/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\PressUp.bas: 
 *
               +-----+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |     | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |     | |
      Address  v     v v Original BASIC statement
    ---------- ------- - ------------------------------------------------------------------------------
    0x00cdba60       A   01000 RANDOMIZE
    0x00cdbaa4       A   01010 REM *** PRESS UPS ***
    0x00cdbb04       A   01020 REM *** RON BEHRNS ***
    0x00cdbb5c       A   01030 REM *** 1979 ***
    0x00cdbc6c       A   01040 B=0
    0x00cdbd60       A   01050 R=0
    0x00cdbe38       A   01060 PRINT "THIS IS THE GAME OF PRESS UPS"
    0x00cdbf0c       A   01070 PRINT "INSTRUCTIONS (Y OR N) ";
    0x00cdbfc4       A   01080 INPUT I$
    0x00cd194c       A   01090 IF I$<>"Y" THEN 1270
    0x00cdcc28       A   01100 PRINT "TWO MAY PLAY -- THE COMPUTER IS YOUR REFEREE"
    0x00cdccf0       A   01110 PRINT "OR YOU MAY PLAY AGAINST THE COMPUTER"
    0x00cdcd68       A   01120 PRINT
    0x00cdce80       A   01130 PRINT "ONE PLAYER HAS RED PEGS, THE OTHER BLUE:YELLOW IS NEUTRAL"
    0x00cdcf94       A   01140 PRINT "A PEG IS PRESSED DOWN BY INPUTTING COORDINATES OF A GRID"
    0x00cdd098       A   01150 PRINT "THE PLAYER WHO PRESSES DOWN ALL HIS PEGS FIRST WINS"
    0x00cdd1a0       A   01160 PRINT "YOU CAN PRESS DOWN YOUR OPPONENT'S PEGS"
    0x00cdd29c       A   01170 PRINT "IF IT IS IMPOSSIBLE TO PRESS DOWN A PEG NEXT TO THE LAST"
    0x00cdd39c       A   01180 PRINT "ONE PRESSED, THE GAME IS OVER."
    0x00cdd4b0       A   01190 PRINT "THE PLAYER WITH THE MOST PEGS PRESSED OF HIS COLOUR WINS"
    0x00cdd59c       A   01200 PRINT "END THE GAME AT ANY TIME BY INPUTTING ZERO(0) FOR THE "
    0x00cdd64c       A   01210 PRINT "X-COORDINATE"
    0x00cdd6cc       A   01220 PRINT
    0x00cdd7f0       A   01230 PRINT "DECIDE WHO STARTS (PLAYER A); A YELLOW PEG MUST BE PRESSED FIRST"
    0x00cdd910       A   01240 PRINT "THEN EACH PLAYER IN TURN PRESSES DOWN A PEG (OF ANY COLOUR)"
    0x00cdda00       A   01250 PRINT "NEXT TO THE PREVIOUS ONE PRESSED (IN ANY DIRECTION INCLUDING"
    0x00cddab0       A   01260 PRINT "DIAGONALLY)."
    0x00cddb14       A T 01270 PRINT
    0x00cddbf4       A   01280 PRINT "PLAY WITH PARTNER(P) OR COMPUTER(C) ";
    0x00cddcac       A   01290 INPUT R$
    0x00cddd88       A   01300 IF R$="C" THEN 1320
    0x00cdde0c       A   01310 GOTO 1350
    0x00cddef0       A T 01320 PRINT "COMPUTER HAS BLUE PEGS--OPPONENT IS PLAYER B"
    0x00cde0c8       A   01330 PRINT "COMPUTER FIRST(Y OR N) ";
    0x00cde170       A   01340 INPUT F$
    0x00cde1c8       A T 01350 PRINT
    0x00cde288       A   01360 PRINT "READY... HERE IS THE BOARD"
    0x00cde2c4       A   01370 PRINT
    0x00cde304       A   01380 PRINT
    0x00cde418       A   01390 DIM P$(7)
    0x00cde550       A   01400 P$(1)="YBBBBBY"
    0x00cde68c       A   01410 P$(2)="RYYYYYR"
    0x00cde7c8       A   01420 P$(3)="RYYYYYR"
    0x00cde904       A   01430 P$(4)="RYYYYYR"
    0x00cdea40       A   01440 P$(5)="RYYYYYR"
    0x00cdeb7c       A   01450 P$(6)="RYYYYYR"
    0x00cdecb0       A   01460 P$(7)="YBBBBBY"
    0x00cdece8       A   01470 GOSUB 2000
    0x00cded2c       A   01480 PRINT
    0x00cdee08       A   01490 IF R$="C" THEN 1650
    0x00cdeee0       A   01500 PRINT "MOVE:PLAYER A"
    0x00cdf000       A T 01510 INPUT X,Y
    0x00cdf0d0       A   01520 IF X>7 THEN 1510
    0x00cdf1c0       A   01530 IF Y>7 THEN 1510
    0x00cdf3e8       A   01540 IF MID$(P$(X),Y,1)="Y" THEN 1570
    0x00cdf4f0       A   01550 PRINT "ILLEGAL MOVE...PRESS A YELLOW PEG!! "
    0x00cdf530       A   01560 GOTO 1510
    0x00cdf63c       A T 01570 P9$="*"
    0x00cdf708       A   01580 P9=X
    0x00cdf7d8       A   01590 P8=Y
    0x00cdf814       A   01600 GOSUB 3450
    0x00cdf848       A   01610 GOSUB 2000
    0x00cdf88c       A   01620 PRINT
    0x00cdf968       A   01630 IF R$="C" THEN 2600
    0x00cdf9cc       A   01640 GO TO 1780
    0x00cdfca4       A T 01650 IF F$<>"Y" THEN 1760
    0x00cdff5c       A   01660 X=INT(3*RND(0) + 3)
    0x00cddf58       A   01670 Y=4
    0x00ce0050       A   01680 PRINT "I MOVE ";X;Y
    0x00ce0120       A   01690 P9$="*"
    0x00ce01a8       A   01700 P9=X
    0x00ce0234       A   01710 P8=Y
    0x00ce0270       A   01720 GOSUB 3450
    0x00ce02a4       A   01730 GOSUB 2000
    0x00ce02dc       A   01740 PRINT
    0x00ce0328       A   01750 GOTO 1780
    0x00ce03d8       A T 01760 PRINT "MOVE; PLAYER B"
    0x00ce0424       A   01770 GOTO1510
    0x00ce04d4  F    A T 01780 PRINT "MOVE: PLAYER B"
    0x00ce0514  F    A   01790 GOSUB 2160
    0x00ce054c  F    A   01800 GOSUB 2310
    0x00ce0614  F    A   01810 P9$="*"
    0x00ce069c  F    A   01820 P9=X
    0x00ce0728  F    A   01830 P8=Y
    0x00ce0764  F    A   01840 GOSUB 3450
    0x00ce07a8  F    A   01850 GOSUB 2470
    0x00ce087c  F    A   01860 IF R$="C" THEN 2600
    0x00ce08d0  F    A   01870 GOSUB 2000
    0x00ce0914  F    A   01880 PRINT
    0x00ce09cc  F    A   01890 PRINT "MOVE: PLAYER A"
    0x00ce0a0c  F    A   01900 GOSUB 2160
    0x00ce0a44  F    A   01910 GOSUB 2310
    0x00ce0b0c  F    A   01920 P9$="*"
    0x00ce0b94  F    A   01930 P9=X
    0x00ce0c20  F    A   01940 P8=Y
    0x00ce0c5c  F    A   01950 GOSUB 3450
    0x00ce0c94  F    A   01960 GOSUB 2470
    0x00ce0cc8  F    A   01970 GOSUB 2000
    0x00ce0d00  F    A   01980 PRINT
    0x00ce0d48  F    A   01990 GOTO 1780
    0x00ce0d80      B  G 02000 REM PRINT BOARD
    0x00ce0ddc      B    02010 PRINT
    0x00ce0eac      B    02020 PRINT "      SECOND NUMBER"
    0x00ce0f64      B    02030 PRINT "      1 2 3 4 5 6 7"
    0x00ce0fa8      B    02040 PRINT
    0x00ce10c8      B    02050 F1$="FIRST #"
    0x00ce1238      B    02060 FOR I=1 TO 7
    0x00ce13b4      B    02070     FOR J=1 TO 7
    0x00ce1488      B    02080 	    IF J<>1 GOTO 2100
    0x00ce1738      B    02090 	    PRINT MID$(F1$,I,1);" ";I;" ";
    0x00ce1894      B  T 02100 	    PRINT MID$(P$(I),J,1);
    0x00ce1954      B    02110 	    PRINT " ";
    0x00ce19a8      B    02120     NEXT J
    0x00ce1ac4      B    02130     PRINT CHR$(14)
    0x00ce1b18      B    02140 NEXT I
    0x00ce1b4c      B    02150 RETURN
    0x00ce1d40     C   B 02160 INPUT X(1),Y(1)
    0x00ce1d84     C     02170 REM CHECK ADJACENCY
    0x00ce1ecc     C     02180 IF X(1)<0 THEN 2160
    0x00ce2020     C     02190 IF Y(1)<0 THEN 2160
    0x00ce2174     C     02200 IF X(1)=0 THEN 2380
    0x00ce22c8     C     02210 IF X(1)>7 THEN 2160
    0x00ce241c     C     02220 IF Y(1)>7 THEN 2160
    0x00ce2624     C     02230 IF ABS(X-X(1))>1 THEN 2290
    0x00ce27e8     C     02240 IF ABS(Y-Y(1))>1 THEN 2290
    0x00ce2a90     C     02250 IF MID$(P$(X(1)),Y(1),1)="*" THEN 2160
    0x00ce2b90     C     02260 X=X(1)
    0x00ce2c78     C     02270 Y=Y(1)
    0x00ce2ca0     C     02280 RETURN
    0x00ce316c     C   T 02290 PRINT "NOT ADJACENT!"
    0x00ce31c4     C     02300 GOTO 2160
    0x00ce3370    D    G 02310 IF MID$(P$(X),Y,1)<>"B" THEN 2330
    0x00ce34a8    D      02320  B=B+1
    0x00ce3658    D    T 02330 IF MID$(P$(X),Y,1)<>"R" THEN 2350
    0x00ce3780    D      02340 R=R+1
    0x00ce384c    D    T 02350 IF B=10 THEN 2410
    0x00ce393c    D      02360 IF R=10 THEN 2430
    0x00ce397c    D      02370 RETURN
    0x00ce3a24   E C   T 02380 IF B>R  THEN 2410
    0x00ce3adc   E C     02390 IF R>B THEN 2430
    0x00ce3b94   E C     02400 IF R=B THEN 2450
    0x00ce3d80   EDC   T 02410 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    0x00ce3ddc   EDC     02420 GOTO 2460
    0x00ce3f88   EDC   T 02430 PRINT "RED IS THE WINNER! ";R;" TO ";B
    0x00cdf9f0   EDC     02440 GOTO 2460
    0x00cdfad8   E C   T 02450 PRINT "IT'S A TIE!!  EACH PLAYER HAS ";B
    0x00cdfb20   EDC   T 02460 GOTO 3530
    0x00ce4124   E     G 02470 FOR G=X-1 TO X+1
    0x00ce4328   E       02480     FOR H=Y-1 TO Y+1
    0x00ce43fc   E       02490     	IF G=0 THEN 2550
    0x00ce44f0   E       02500     	IF H=0 THEN 2540
    0x00ce45e4   E       02510     	IF G=8 THEN 2550
    0x00ce46d8   E       02520     	IF H=8 THEN 2540
    0x00ce48c0   E       02530     	IF MID$(P$(G),H,1)<>"*" THEN 2580
    0x00ce492c   E     T 02540     NEXT H
    0x00ce4988   E     T 02550 NEXT G
    0x00ce4a4c   E       02560 PRINT "GAME OVER"
    0x00ce4a88   E       02570 GOTO 2380
    0x00ce4aac   E     T 02580 RETURN
    0x00ce4b04  F    A   02590 REM COMPUTER'S MOVE
    0x00ce4be8  F    A T 02600 IF X=1 THEN 2620
    0x00ce4cd8  F    A   02610 IF X<>7 THEN 2790
    0x00ce4dc8  F    A T 02620 IF Y>=4 THEN 2680
    0x00ce4eac  F    A   02630 K=X
    0x00ce5010  F    A   02640 L=Y+1
    0x00ce51c0  F    A   02650 IF MID$(P$(K),L,1)<>"*" THEN 2670
    0x00ce52e0  F    A   02660 L=Y-1
    0x00ce5324  F    A T 02670 GOTO 3050
    0x00ce53ec  F    A T 02680 IF Y<>4 THEN 2740
    0x00ce548c  F    A   02690 K=X
    0x00ce55ac  F    A   02700 L=Y-1
    0x00ce575c  F    A   02710 IF MID$(P$(K),L,1)<>"*" THEN 2730
    0x00ce587c  F    A   02720 L=Y+1
    0x00ce58b4  F    A T 02730 GOTO 3050
    0x00ce5938  F    A T 02740 K=X
    0x00ce5a58  F    A   02750 L=Y-1
    0x00ce5c08  F    A   02760 IF MID$(P$(K),L,1)<>"*" THEN 2780
    0x00ce5d28  F    A   02770 L=Y+1
    0x00ce5d6c  F    A T 02780 GOTO 3050
    0x00ce5e34  F    A T 02790 IF X>=5 THEN 2930
    0x00ce5f24  F    A   02800 IF Y>=4 THEN 2850
    0x00ce5f78  F    A   02810 GOSUB 3260
    0x00ce6078  F    A   02820 K=X-1
    0x00ce6180  F    A   02830 L=Y+1
    0x00ce61c4  F    A   02840 GOTO 3050
    0x00ce628c  F    A T 02850 IF Y<>4 THEN 2890
    0x00ce63a8  F    A   02860 K=X-1
    0x00ce6434  F    A   02870 L=Y
    0x00ce6470  F    A   02880 GOTO 3050
    0x00ce64a4  F    A T 02890 GOSUB 3260
    0x00ce65a4  F    A   02900 K=X-1
    0x00ce66ac  F    A   02910 L=Y-1
    0x00ce66f0  F    A   02920 GOTO 3050
    0x00ce67b8  F    A T 02930 IF Y>=4 THEN 2980
    0x00ce680c  F    A   02940 GOSUB 3260
    0x00ce690c  F    A   02950 K=X+1
    0x00ce6a14  F    A   02960 L=Y+1
    0x00ce6a58  F    A   02970 GOTO 3050
    0x00ce6b20  F    A T 02980 IF Y<>4 THEN 3020
    0x00ce6c3c  F    A   02990 K=X+1
    0x00ce6cc8  F    A   03000 L=Y
    0x00ce6d04  F    A   03010 GOTO 3050
    0x00ce6d38  F    A T 03020 GOSUB 3260
    0x00ce6e38  F    A   03030 K=X+1
    0x00ce6f58  F    A   03040 L=Y-1
    0x00ce7108  F    A T 03050 IF MID$(P$(K),L,1)<>"*" THEN 3130
    0x00ce7390  F    A T 03060 K=INT(3*RND(0)-0.99999) + X
    0x00ce745c  F    A   03070 IF K=0 THEN 3060
    0x00ce754c  F    A   03080 IF K=8 THEN 3060
    0x00ce77d4  F    A T 03090 L=INT(3*RND(0)-0.99999) + Y
    0x00ce78a0  F    A   03100 IF L=0 THEN 3090
    0x00ce7990  F    A   03110 IF L=8 THEN 3090
    0x00ce7b74  F    A   03120 IF MID$(P$(K),L,1)="*" THEN 3060
    0x00ce7c14  F    A T 03130 X=K
    0x00ce7ca0  F    A   03140 Y=L
    0x00ce7cdc  F    A   03150 GOSUB 2310
    0x00ce7da4  F    A   03160 P9$="*"
    0x00ce7e2c  F    A   03170 P9=X
    0x00ce7eb8  F    A   03180 P8=Y
    0x00ce7f00  F    A   03190 GOSUB 3450
    0x00ce8020  F    A   03200 PRINT "I MOVE ";X;Y
    0x00ce805c  F    A   03210 GOSUB 2000
    0x00ce8094  F    A   03220 PRINT
    0x00ce80d4  F    A   03230 GOSUB 2470
    0x00ce8118  F    A   03240 GOTO 1780
    0x00ce8154  F        03250 REM GRAB CORNER PEG
    0x00ce8248  F      G 03260 X(2)=X
    0x00ce8340  F        03270 Y(2)=Y
    0x00ce8600  F        03280 FOR M=X(2)-1 TO X(2)+1
    0x00ce88c4  F        03290     FOR N=Y(2)-1 TO Y(2)+1
    0x00ce8998  F        03300     	IF M=0 THEN 3430
    0x00ce8a8c  F        03310     	IF N=0 THEN 3420
    0x00ce8b80  F        03320     	IF M=8 THEN 3430
    0x00ce8c74  F        03330     	IF N=8 THEN 3420
    0x00ce8d68  F        03340     	IF M=1 THEN 3360
    0x00ce8e5c  F        03350     	IF M<>7 THEN 3430
    0x00ce8f50  F      T 03360     	IF N=1 THEN 3380
    0x00ce9044  F        03370     	IF N<>7 THEN 3420
    0x00ce922c  F      T 03380     	IF MID$(P$(M),N,1)="*" THEN 3440
    0x00ce92d4  F        03390     	K=M
    0x00ce9364  F        03400     	L=N
    0x00ce93a0  F        03410     	GOTO 3130
    0x00ce93ec  F      T 03420     NEXT N
    0x00ce9448  F      T 03430 NEXT M
    0x00ce947c  F      T 03440 RETURN
    0x00ce9520 G       G 03450 REM SUBROUTINE TO INSERT A CHARATER IN A CHARATER STRING
    0x00ce9644 G         03460 DIM P7(10)
    0x00ce9724 G         03470 CHANGE P$(P9) TO P7
    0x00ce984c G         03480 DIM P6(10)
    0x00ce9904 G         03490 CHANGE P9$ TO P6
    0x00ce9a40 G         03500 P7(P8) = P6(1)
    0x00ce9ae0 G         03510 CHANGE P7 TO P$(P9)
    0x00ce9b1c G         03520 RETURN
    0x00ce9b4c   EDC   T 03530 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01270      01090T
     01320      01300T
     01350      01310T
     01510      01520T, 01530T, 01560T, 01770T
     01570      01540T
     01650      01490T
     01760      01650T
     01780      01640T, 01750T, 01990T, 03240T
     02000      01470G, 01610G, 01730G, 01870G, 01970G, 03210G
     02100      02080T
     02160      01790G, 01900G, 02180T, 02190T, 02210T, 02220T, 02250T, 02300T
     02290      02230T, 02240T
     02310      01800G, 01910G, 03150G
     02330      02310T
     02350      02330T
     02380      02200T, 02570T
     02410      02350T, 02380T
     02430      02360T, 02390T
     02450      02400T
     02460      02420T, 02440T
     02470      01850G, 01960G, 03230G
     02540      02500T, 02520T
     02550      02490T, 02510T
     02580      02530T
     02600      01630T, 01860T
     02620      02600T
     02670      02650T
     02680      02620T
     02730      02710T
     02740      02680T
     02780      02760T
     02790      02610T
     02850      02800T
     02890      02850T
     02930      02790T
     02980      02930T
     03020      02980T
     03050      02670T, 02730T, 02780T, 02840T, 02880T, 02920T, 02970T, 03010T
     03060      03070T, 03080T, 03120T
     03090      03100T, 03110T
     03130      03050T, 03410T
     03260      02810G, 02890G, 02940G, 03020G
     03360      03340T
     03380      03360T
     03420      03310T, 03330T, 03370T
     03430      03300T, 03320T, 03350T
     03440      03380T
     03450      01600G, 01720G, 01840G, 01950G, 03190G
     03530      02460T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce2ce0   0x00ce2ce0   0x00ce30d4   0x00ce3060 
   B) 0x00ce2e70   0x00ce2e70   0x00ce2eac   0x00ce2eac 
   C) 0x00ce2eb0   0x00ce2eb0   0x00ce2ee0   0x00ce30d4 
   D) 0x00ce2eec   0x00ce2eec   0x00ce2f04   0x00ce30d4 
   E) 0x00ce2f08   0x00ce2f2c   0x00ce2f58   0x00ce30d4 
   F) 0x00ce2e18   0x00ce3068   0x00ce30b0   0x00ce30b0 
   G) 0x00ce30b4   0x00ce30b4   0x00ce30d0   0x00ce30d0 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine D!
    NOTE: Routine G overlaps, or is tangled with, routine D!
    NOTE: Routine G overlaps, or is tangled with, routine E!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce2ce0   0x00ce2ce0   0x00ce30d4   0x00ce3060 
   B) 0x00ce2e70   0x00ce2e70   0x00ce2eac   0x00ce2eac 
   C) 0x00ce2eb0   0x00ce2eb0   0x00ce2ee0   0x00ce30d4 
   D) 0x00ce2eec   0x00ce2eec   0x00ce2f04   0x00ce30d4 
   E) 0x00ce2f08   0x00ce2f2c   0x00ce2f58   0x00ce30d4 
   F) 0x00ce2e18   0x00ce3068   0x00ce30b0   0x00ce30b0 
   G) 0x00ce30b4   0x00ce30b4   0x00ce30d0   0x00ce30d0 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine D!
    NOTE: Routine G overlaps, or is tangled with, routine D!
    NOTE: Routine G overlaps, or is tangled with, routine E!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     02000 - 02580      59 
     03250 - 03540      30 
     05470 - 10000    4540 

 */



/*
 *  Symbol Table Listing for '..\basic\PressUp.bas'
 *
    ABS   Function Integer     args=1, int   
    B              Integer 
    CHR$  Function String      args=1, int   
    F$             String  
    F1$            String  
    G              Integer 
    H              Integer 
    I              Integer 
    I$             String  
    INT   Function Integer     args=1, float 
    J              Integer 
    K              Integer 
    L              Integer 
    M              Integer 
    MID$  Function String      args=2, char* int   
    N              Integer 
    P$    Array    String      {0,8} 
    P6             Integer 
    P6    Array    Integer     {0,11} 
    P7             Integer 
    P7    Array    Integer     {0,11} 
    P8             Integer 
    P9             Integer 
    P9$            String  
    R              Integer 
    R$             String  
    RND   Function Integer     args=1, int   
    X              Integer 
    X     Array    Integer     {0,10} 
    Y              Integer 
    Y     Array    Integer     {0,10} 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\PressUp.bas: 
 *
               +-----+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |     | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |     | |
      Address  v     v v Original BASIC statement
    ---------- ------- - ------------------------------------------------------------------------------
    0x00cdba60       A   01000 RANDOMIZE
    0x00cdbaa4       A   01010 REM *** PRESS UPS ***
    0x00cdbb04       A   01020 REM *** RON BEHRNS ***
    0x00cdbb5c       A   01030 REM *** 1979 ***
    0x00cdbc6c       A   01040 B=0
    0x00cdbd60       A   01050 R=0
    0x00cdbe38       A   01060 PRINT "THIS IS THE GAME OF PRESS UPS"
    0x00cdbf0c       A   01070 PRINT "INSTRUCTIONS (Y OR N) ";
    0x00cdbfc4       A   01080 INPUT I$
    0x00cd194c       A   01090 IF I$<>"Y" THEN 1270
    0x00cdcc28       A   01100 PRINT "TWO MAY PLAY -- THE COMPUTER IS YOUR REFEREE"
    0x00cdccf0       A   01110 PRINT "OR YOU MAY PLAY AGAINST THE COMPUTER"
    0x00cdcd68       A   01120 PRINT
    0x00cdce80       A   01130 PRINT "ONE PLAYER HAS RED PEGS, THE OTHER BLUE:YELLOW IS NEUTRAL"
    0x00cdcf94       A   01140 PRINT "A PEG IS PRESSED DOWN BY INPUTTING COORDINATES OF A GRID"
    0x00cdd098       A   01150 PRINT "THE PLAYER WHO PRESSES DOWN ALL HIS PEGS FIRST WINS"
    0x00cdd1a0       A   01160 PRINT "YOU CAN PRESS DOWN YOUR OPPONENT'S PEGS"
    0x00cdd29c       A   01170 PRINT "IF IT IS IMPOSSIBLE TO PRESS DOWN A PEG NEXT TO THE LAST"
    0x00cdd39c       A   01180 PRINT "ONE PRESSED, THE GAME IS OVER."
    0x00cdd4b0       A   01190 PRINT "THE PLAYER WITH THE MOST PEGS PRESSED OF HIS COLOUR WINS"
    0x00cdd59c       A   01200 PRINT "END THE GAME AT ANY TIME BY INPUTTING ZERO(0) FOR THE "
    0x00cdd64c       A   01210 PRINT "X-COORDINATE"
    0x00cdd6cc       A   01220 PRINT
    0x00cdd7f0       A   01230 PRINT "DECIDE WHO STARTS (PLAYER A); A YELLOW PEG MUST BE PRESSED FIRST"
    0x00cdd910       A   01240 PRINT "THEN EACH PLAYER IN TURN PRESSES DOWN A PEG (OF ANY COLOUR)"
    0x00cdda00       A   01250 PRINT "NEXT TO THE PREVIOUS ONE PRESSED (IN ANY DIRECTION INCLUDING"
    0x00cddab0       A   01260 PRINT "DIAGONALLY)."
    0x00cddb14       A T 01270 PRINT
    0x00cddbf4       A   01280 PRINT "PLAY WITH PARTNER(P) OR COMPUTER(C) ";
    0x00cddcac       A   01290 INPUT R$
    0x00cddd88       A   01300 IF R$="C" THEN 1320
    0x00cdde0c       A   01310 GOTO 1350
    0x00cddef0       A T 01320 PRINT "COMPUTER HAS BLUE PEGS--OPPONENT IS PLAYER B"
    0x00cde0c8       A   01330 PRINT "COMPUTER FIRST(Y OR N) ";
    0x00cde170       A   01340 INPUT F$
    0x00cde1c8       A T 01350 PRINT
    0x00cde288       A   01360 PRINT "READY... HERE IS THE BOARD"
    0x00cde2c4       A   01370 PRINT
    0x00cde304       A   01380 PRINT
    0x00cde418       A   01390 DIM P$(7)
    0x00cde550       A   01400 P$(1)="YBBBBBY"
    0x00cde68c       A   01410 P$(2)="RYYYYYR"
    0x00cde7c8       A   01420 P$(3)="RYYYYYR"
    0x00cde904       A   01430 P$(4)="RYYYYYR"
    0x00cdea40       A   01440 P$(5)="RYYYYYR"
    0x00cdeb7c       A   01450 P$(6)="RYYYYYR"
    0x00cdecb0       A   01460 P$(7)="YBBBBBY"
    0x00cdece8       A   01470 GOSUB 3550
    0x00cded2c       A   01480 PRINT
    0x00cdee08       A   01490 IF R$="C" THEN 1650
    0x00cdeee0       A   01500 PRINT "MOVE:PLAYER A"
    0x00cdf000       A T 01510 INPUT X,Y
    0x00cdf0d0       A   01520 IF X>7 THEN 1510
    0x00cdf1c0       A   01530 IF Y>7 THEN 1510
    0x00cdf3e8       A   01540 IF MID$(P$(X),Y,1)="Y" THEN 1570
    0x00cdf4f0       A   01550 PRINT "ILLEGAL MOVE...PRESS A YELLOW PEG!! "
    0x00cdf530       A   01560 GOTO 1510
    0x00cdf63c       A T 01570 P9$="*"
    0x00cdf708       A   01580 P9=X
    0x00cdf7d8       A   01590 P8=Y
    0x00cdf814       A   01600 GOSUB 5390
    0x00cdf848       A   01610 GOSUB 3550
    0x00cdf88c       A   01620 PRINT
    0x00cdf968       A   01630 IF R$="C" THEN 2600
    0x00cdf9cc       A   01640 GO TO 1780
    0x00cdfca4       A T 01650 IF F$<>"Y" THEN 1760
    0x00cdff5c       A   01660 X=INT(3*RND(0) + 3)
    0x00cddf58       A   01670 Y=4
    0x00ce0050       A   01680 PRINT "I MOVE ";X;Y
    0x00ce0120       A   01690 P9$="*"
    0x00ce01a8       A   01700 P9=X
    0x00ce0234       A   01710 P8=Y
    0x00ce0270       A   01720 GOSUB 5390
    0x00ce02a4       A   01730 GOSUB 3550
    0x00ce02dc       A   01740 PRINT
    0x00ce0328       A   01750 GOTO 1780
    0x00ce03d8       A T 01760 PRINT "MOVE; PLAYER B"
    0x00ce0424       A   01770 GOTO1510
    0x00ce04d4       A T 01780 PRINT "MOVE: PLAYER B"
    0x00ce0514       A   01790 GOSUB 3710
    0x00ce054c       A   01800 GOSUB 3960
    0x00ce0614       A   01810 P9$="*"
    0x00ce069c       A   01820 P9=X
    0x00ce0728       A   01830 P8=Y
    0x00ce0764       A   01840 GOSUB 5390
    0x00ce07a8       A   01850 GOSUB 4089
    0x00ce087c       A   01860 IF R$="C" THEN 2600
    0x00ce08d0       A   01870 GOSUB 3550
    0x00ce0914       A   01880 PRINT
    0x00ce09cc       A   01890 PRINT "MOVE: PLAYER A"
    0x00ce0a0c       A   01900 GOSUB 3710
    0x00ce0a44       A   01910 GOSUB 3960
    0x00ce0b0c       A   01920 P9$="*"
    0x00ce0b94       A   01930 P9=X
    0x00ce0c20       A   01940 P8=Y
    0x00ce0c5c       A   01950 GOSUB 5390
    0x00ce0c94       A   01960 GOSUB 4089
    0x00ce0cc8       A   01970 GOSUB 3550
    0x00ce0d00       A   01980 PRINT
    0x00ce0d48       A   01990 GOTO 1780
    0x00ce4b04       A   02590 REM COMPUTER'S MOVE
    0x00ce4be8       A T 02600 IF X=1 THEN 2620
    0x00ce4cd8       A   02610 IF X<>7 THEN 2790
    0x00ce4dc8       A T 02620 IF Y>=4 THEN 2680
    0x00ce4eac       A   02630 K=X
    0x00ce5010       A   02640 L=Y+1
    0x00ce51c0       A   02650 IF MID$(P$(K),L,1)<>"*" THEN 2670
    0x00ce52e0       A   02660 L=Y-1
    0x00ce5324       A T 02670 GOTO 3050
    0x00ce53ec       A T 02680 IF Y<>4 THEN 2740
    0x00ce548c       A   02690 K=X
    0x00ce55ac       A   02700 L=Y-1
    0x00ce575c       A   02710 IF MID$(P$(K),L,1)<>"*" THEN 2730
    0x00ce587c       A   02720 L=Y+1
    0x00ce58b4       A T 02730 GOTO 3050
    0x00ce5938       A T 02740 K=X
    0x00ce5a58       A   02750 L=Y-1
    0x00ce5c08       A   02760 IF MID$(P$(K),L,1)<>"*" THEN 2780
    0x00ce5d28       A   02770 L=Y+1
    0x00ce5d6c       A T 02780 GOTO 3050
    0x00ce5e34       A T 02790 IF X>=5 THEN 2930
    0x00ce5f24       A   02800 IF Y>=4 THEN 2850
    0x00ce5f78       A   02810 GOSUB 4309
    0x00ce6078       A   02820 K=X-1
    0x00ce6180       A   02830 L=Y+1
    0x00ce61c4       A   02840 GOTO 3050
    0x00ce628c       A T 02850 IF Y<>4 THEN 2890
    0x00ce63a8       A   02860 K=X-1
    0x00ce6434       A   02870 L=Y
    0x00ce6470       A   02880 GOTO 3050
    0x00ce64a4       A T 02890 GOSUB 4309
    0x00ce65a4       A   02900 K=X-1
    0x00ce66ac       A   02910 L=Y-1
    0x00ce66f0       A   02920 GOTO 3050
    0x00ce67b8       A T 02930 IF Y>=4 THEN 2980
    0x00ce680c       A   02940 GOSUB 4309
    0x00ce690c       A   02950 K=X+1
    0x00ce6a14       A   02960 L=Y+1
    0x00ce6a58       A   02970 GOTO 3050
    0x00ce6b20       A T 02980 IF Y<>4 THEN 3020
    0x00ce6c3c       A   02990 K=X+1
    0x00ce6cc8       A   03000 L=Y
    0x00ce6d04       A   03010 GOTO 3050
    0x00ce6d38       A T 03020 GOSUB 4309
    0x00ce6e38       A   03030 K=X+1
    0x00ce6f58       A   03040 L=Y-1
    0x00ce7108       A T 03050 IF MID$(P$(K),L,1)<>"*" THEN 3130
    0x00ce7390       A T 03060 K=INT(3*RND(0)-0.99999) + X
    0x00ce745c       A   03070 IF K=0 THEN 3060
    0x00ce754c       A   03080 IF K=8 THEN 3060
    0x00ce77d4       A T 03090 L=INT(3*RND(0)-0.99999) + Y
    0x00ce78a0       A   03100 IF L=0 THEN 3090
    0x00ce7990       A   03110 IF L=8 THEN 3090
    0x00ce7b74       A   03120 IF MID$(P$(K),L,1)="*" THEN 3060
    0x00ce7c14       A T 03130 X=K
    0x00ce7ca0       A   03140 Y=L
    0x00ce7cdc       A   03150 GOSUB 3960
    0x00ce7da4       A   03160 P9$="*"
    0x00ce7e2c       A   03170 P9=X
    0x00ce7eb8       A   03180 P8=Y
    0x00ce7f00       A   03190 GOSUB 5390
    0x00ce8020       A   03200 PRINT "I MOVE ";X;Y
    0x00ce805c       A   03210 GOSUB 3550
    0x00ce8094       A   03220 PRINT
    0x00ce80d4       A   03230 GOSUB 4089
    0x00ce8118       A   03240 GOTO 1780
    0x00ce0d80      B  G 03550 REM PRINT BOARD
    0x00ce0ddc      B    03560 PRINT
    0x00ce0eac      B    03570 PRINT "      SECOND NUMBER"
    0x00ce0f64      B    03580 PRINT "      1 2 3 4 5 6 7"
    0x00ce0fa8      B    03590 PRINT
    0x00ce10c8      B    03600 F1$="FIRST #"
    0x00ce1238      B    03610 FOR I=1 TO 7
    0x00ce13b4      B    03620     FOR J=1 TO 7
    0x00ce1488      B    03630 	    IF J<>1 GOTO 3650
    0x00ce1738      B    03640 	    PRINT MID$(F1$,I,1);" ";I;" ";
    0x00ce1894      B  T 03650 	    PRINT MID$(P$(I),J,1);
    0x00ce1954      B    03660 	    PRINT " ";
    0x00ce19a8      B    03670     NEXT J
    0x00ce1ac4      B    03680     PRINT CHR$(14)
    0x00ce1b18      B    03690 NEXT I
    0x00ce1b4c      B    03700 RETURN
    0x00ce1d40     C   B 03710 INPUT X(1),Y(1)
    0x00ce1d84     C     03720 REM CHECK ADJACENCY
    0x00ce1ecc     C     03730 IF X(1)<0 THEN 3710
    0x00ce2020     C     03740 IF Y(1)<0 THEN 3710
    0x00ce2174     C     03750 IF X(1)=0 THEN 3860
    0x00ce22c8     C     03760 IF X(1)>7 THEN 3710
    0x00ce241c     C     03770 IF Y(1)>7 THEN 3710
    0x00ce2624     C     03780 IF ABS(X-X(1))>1 THEN 3840
    0x00ce27e8     C     03790 IF ABS(Y-Y(1))>1 THEN 3840
    0x00ce2a90     C     03800 IF MID$(P$(X(1)),Y(1),1)="*" THEN 3710
    0x00ce2b90     C     03810 X=X(1)
    0x00ce2c78     C     03820 Y=Y(1)
    0x00cf1f64     C     03830 GOTO 3951 (Pseudo Goto)
    0x00ce316c     C   T 03840 PRINT "NOT ADJACENT!"
    0x00ce31c4     C     03850 GOTO 3710
    0x00cee5b0     C   T 03860 IF B>R  THEN 3890
    0x00cee5fc     C     03870 IF R>B THEN 3910
    0x00cee648     C     03880 IF R=B THEN 3930
    0x00ceee98     C   T 03890 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    0x00ceeef8     C     03900 GOTO 3940
    0x00ceef30     C   T 03910 PRINT "RED IS THE WINNER! ";R;" TO ";B
    0x00ceef8c     C     03920 GOTO 3940
    0x00ceefc4     C   T 03930 PRINT "IT'S A TIE!!  EACH PLAYER HAS ";B
    0x00cef024     C   T 03940 GOTO 3950
    0x00cef05c     C   T 03950 END
    0x00cf1f20     C   T 03951 RETURN (Pseudo)
    0x00ce3370    D    G 03960 IF MID$(P$(X),Y,1)<>"B" THEN 3980
    0x00ce34a8    D      03970  B=B+1
    0x00ce3658    D    T 03980 IF MID$(P$(X),Y,1)<>"R" THEN 4000
    0x00ce3780    D      03990 R=R+1
    0x00ce384c    D    T 04000 IF B=10 THEN 4030
    0x00ce393c    D      04010 IF R=10 THEN 4050
    0x00cf1fe8    D      04020 GOTO 4081 (Pseudo Goto)
    0x00cef08c    D    T 04030 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    0x00cef0ec    D      04040 GOTO 4070
    0x00cef124    D    T 04050 PRINT "RED IS THE WINNER! ";R;" TO ";B
    0x00cef180    D      04060 GOTO 4070
    0x00cef1b8    D    T 04070 GOTO 4080
    0x00cef1f0    D    T 04080 END
    0x00cf1fa4    D    T 04081 RETURN (Pseudo)
    0x00cf2030   E     G 04089 GOTO 4180 (Pseudo Goto)
    0x00ce3a24   E     T 04090 IF B>R  THEN 4120
    0x00ce3adc   E       04100 IF R>B THEN 4140
    0x00ce3b94   E       04110 IF R=B THEN 4160
    0x00ce3d80   E     T 04120 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    0x00ce3ddc   E       04130 GOTO 4170
    0x00ce3f88   E     T 04140 PRINT "RED IS THE WINNER! ";R;" TO ";B
    0x00cdf9f0   E       04150 GOTO 4170
    0x00cdfad8   E     T 04160 PRINT "IT'S A TIE!!  EACH PLAYER HAS ";B
    0x00cdfb20   E     T 04170 GOTO 4300
    0x00ce4124   E     T 04180 FOR G=X-1 TO X+1
    0x00ce4328   E       04190     FOR H=Y-1 TO Y+1
    0x00ce43fc   E       04200     	IF G=0 THEN 4260
    0x00ce44f0   E       04210     	IF H=0 THEN 4250
    0x00ce45e4   E       04220     	IF G=8 THEN 4260
    0x00ce46d8   E       04230     	IF H=8 THEN 4250
    0x00ce48c0   E       04240     	IF MID$(P$(G),H,1)<>"*" THEN 4290
    0x00ce492c   E     T 04250     NEXT H
    0x00ce4988   E     T 04260 NEXT G
    0x00ce4a4c   E       04270 PRINT "GAME OVER"
    0x00ce4a88   E       04280 GOTO 4090
    0x00cf20b4   E     T 04290 GOTO 4301 (Pseudo Goto)
    0x00ce9b4c   E     T 04300 END
    0x00cf2070   E     T 04301 RETURN (Pseudo)
    0x00cf20fc  F      G 04309 GOTO 5200 (Pseudo Goto)
    0x00cef220  F      T 04310 PRINT "MOVE: PLAYER B"
    0x00cef26c  F        04320 GOSUB 3710
    0x00cef2a4  F        04330 GOSUB 3960
    0x00cef2dc  F        04340 P9$="*"
    0x00cef318  F        04350 P9=X
    0x00cef350  F        04360 P8=Y
    0x00cef388  F        04370 GOSUB 5390
    0x00cef3c0  F        04380 GOSUB 4089
    0x00cef3f8  F        04390 IF R$="C" THEN 4540
    0x00cef448  F        04400 GOSUB 3550
    0x00cef480  F        04410 PRINT
    0x00cef4bc  F        04420 PRINT "MOVE: PLAYER A"
    0x00cef508  F        04430 GOSUB 3710
    0x00cef540  F        04440 GOSUB 3960
    0x00cef578  F        04450 P9$="*"
    0x00cef5b4  F        04460 P9=X
    0x00cef5ec  F        04470 P8=Y
    0x00cef624  F        04480 GOSUB 5390
    0x00cef65c  F        04490 GOSUB 4089
    0x00cef694  F        04500 GOSUB 3550
    0x00cef6cc  F        04510 PRINT
    0x00cef708  F        04520 GOTO 4310
    0x00cef740  F        04530 REM COMPUTER'S MOVE
    0x00cef784  F      T 04540 IF X=1 THEN 4560
    0x00cef7d0  F        04550 IF X<>7 THEN 4730
    0x00cef81c  F      T 04560 IF Y>=4 THEN 4620
    0x00cef868  F        04570 K=X
    0x00cef8a0  F        04580 L=Y+1
    0x00cef8d8  F        04590 IF MID$(P$(K),L,1)<>"*" THEN 4610
    0x00cef934  F        04600 L=Y-1
    0x00cef96c  F      T 04610 GOTO 4990
    0x00cef9a4  F      T 04620 IF Y<>4 THEN 4680
    0x00cef9f0  F        04630 K=X
    0x00cefa28  F        04640 L=Y-1
    0x00cefa60  F        04650 IF MID$(P$(K),L,1)<>"*" THEN 4670
    0x00cefabc  F        04660 L=Y+1
    0x00cefaf4  F      T 04670 GOTO 4990
    0x00cefb2c  F      T 04680 K=X
    0x00cefb64  F        04690 L=Y-1
    0x00cefb9c  F        04700 IF MID$(P$(K),L,1)<>"*" THEN 4720
    0x00cefbf8  F        04710 L=Y+1
    0x00cefc30  F      T 04720 GOTO 4990
    0x00cefc68  F      T 04730 IF X>=5 THEN 4870
    0x00cefcb4  F        04740 IF Y>=4 THEN 4790
    0x00cefd00  F        04750 GOSUB 4309
    0x00cefd38  F        04760 K=X-1
    0x00cefd70  F        04770 L=Y+1
    0x00cefda8  F        04780 GOTO 4990
    0x00cefde0  F      T 04790 IF Y<>4 THEN 4830
    0x00cefe2c  F        04800 K=X-1
    0x00cefe64  F        04810 L=Y
    0x00cefe9c  F        04820 GOTO 4990
    0x00cefed4  F      T 04830 GOSUB 4309
    0x00ceff0c  F        04840 K=X-1
    0x00ceff44  F        04850 L=Y-1
    0x00ceff7c  F        04860 GOTO 4990
    0x00ceffb4  F      T 04870 IF Y>=4 THEN 4920
    0x00ce2ce0  F        04880 GOSUB 4309
    0x00ce2d18  F        04890 K=X+1
    0x00ce2d50  F        04900 L=Y+1
    0x00ce2d88  F        04910 GOTO 4990
    0x00ce2dc0  F      T 04920 IF Y<>4 THEN 4960
    0x00ce2e0c  F        04930 K=X+1
    0x00ce2e44  F        04940 L=Y
    0x00ce2e7c  F        04950 GOTO 4990
    0x00ce2eb4  F      T 04960 GOSUB 4309
    0x00ce2eec  F        04970 K=X+1
    0x00ce2f24  F        04980 L=Y-1
    0x00ce2f5c  F      T 04990 IF MID$(P$(K),L,1)<>"*" THEN 5070
    0x00ce2fb8  F      T 05000 K=INT(3*RND(0)-0.99999) + X
    0x00ce3008  F        05010 IF K=0 THEN 5000
    0x00ce3054  F        05020 IF K=8 THEN 5000
    0x00ce30a0  F      T 05030 L=INT(3*RND(0)-0.99999) + Y
    0x00cf0028  F        05040 IF L=0 THEN 5030
    0x00cf0058  F        05050 IF L=8 THEN 5030
    0x00cf00a4  F        05060 IF MID$(P$(K),L,1)="*" THEN 5000
    0x00cf0100  F      T 05070 X=K
    0x00cf0138  F        05080 Y=L
    0x00cf0170  F        05090 GOSUB 3960
    0x00cf01a8  F        05100 P9$="*"
    0x00cf01e4  F        05110 P9=X
    0x00cf021c  F        05120 P8=Y
    0x00cf0254  F        05130 GOSUB 5390
    0x00cf028c  F        05140 PRINT "I MOVE ";X;Y
    0x00cf02d8  F        05150 GOSUB 3550
    0x00cf0310  F        05160 PRINT
    0x00cf034c  F        05170 GOSUB 4089
    0x00cf0384  F        05180 GOTO 4310
    0x00ce8154  F        05190 REM GRAB CORNER PEG
    0x00ce8248  F      T 05200 X(2)=X
    0x00ce8340  F        05210 Y(2)=Y
    0x00ce8600  F        05220 FOR M=X(2)-1 TO X(2)+1
    0x00ce88c4  F        05230     FOR N=Y(2)-1 TO Y(2)+1
    0x00ce8998  F        05240     	IF M=0 THEN 5370
    0x00ce8a8c  F        05250     	IF N=0 THEN 5360
    0x00ce8b80  F        05260     	IF M=8 THEN 5370
    0x00ce8c74  F        05270     	IF N=8 THEN 5360
    0x00ce8d68  F        05280     	IF M=1 THEN 5300
    0x00ce8e5c  F        05290     	IF M<>7 THEN 5370
    0x00ce8f50  F      T 05300     	IF N=1 THEN 5320
    0x00ce9044  F        05310     	IF N<>7 THEN 5360
    0x00ce922c  F      T 05320     	IF MID$(P$(M),N,1)="*" THEN 5380
    0x00ce92d4  F        05330     	K=M
    0x00ce9364  F        05340     	L=N
    0x00ce93a0  F        05350     	GOTO 5070
    0x00ce93ec  F      T 05360     NEXT N
    0x00ce9448  F      T 05370 NEXT M
    0x00ce947c  F      T 05380 RETURN
    0x00ce9520 G       G 05390 REM SUBROUTINE TO INSERT A CHARATER IN A CHARATER STRING
    0x00ce9644 G         05400 DIM P7(10)
    0x00ce9724 G         05410 CHANGE P$(P9) TO P7
    0x00ce984c G         05420 DIM P6(10)
    0x00ce9904 G         05430 CHANGE P9$ TO P6
    0x00ce9a40 G         05440 P7(P8) = P6(1)
    0x00ce9ae0 G         05450 CHANGE P7 TO P$(P9)
    0x00ce9b1c G         05460 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\PressUp.cpp,v 1.6 2011-10-16 22:43:30-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: PressUp.cpp,v $
// Revision 1.6  2011-10-16 22:43:30-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   B_int;        // Comments?
char* F_str;        // Comments?
char* F1_str;       // Comments?
int   G_int;        // Comments?
int   H_int;        // Comments?
int   I_int;        // Comments?
char* I_str;        // Comments?
int   J_int;        // Comments?
int   K_int;        // Comments?
int   L_int;        // Comments?
int   M_int;        // Comments?
int   N_int;        // Comments?
char* P_str_arr[8]; // Comments?
int   P6_int;       // Comments?
int   P6_int_arr[11];   // Comments?
int   P7_int;       // Comments?
int   P7_int_arr[11];   // Comments?
int   P8_int;       // Comments?
int   P9_int;       // Comments?
char* P9_str;       // Comments?
int   R_int;        // Comments?
char* R_str;        // Comments?
int   X_int;        // Comments?
int   X_int_arr[10];// Comments?
int   Y_int;        // Comments?
int   Y_int_arr[10];// Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_03550();
void Routine_03710();
void Routine_03960();
void Routine_04089();
void Routine_04309();
void Routine_05390();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_03550(){
    // 03550 REM PRINT BOARD
    // print board
    // 03560 PRINT
    MyFpf(stdout,"\n");
    // 03570 PRINT "      SECOND NUMBER"
    MyFpf(stdout,"      second number\n");
    // 03580 PRINT "      1 2 3 4 5 6 7"
    MyFpf(stdout,"      1 2 3 4 5 6 7\n");
    // 03590 PRINT
    MyFpf(stdout,"\n");
    // 03600 F1$="FIRST #"
    GLBpStr="first #";
    F1_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 03610 FOR I=1 TO 7
    for(I_int=1;I_int<=7;I_int++){
        // 03620     FOR J=1 TO 7
        for(J_int=1;J_int<=7;J_int++){
            // 03630 	    IF J<>1 GOTO 3650
            if(J_int!=1) goto Lbl_03650;
            // 03640 	    PRINT MID$(F1$,I,1);" ";I;" ";
            MyFpf(stdout,"%s %d ",MID_str(F1_str,I_int,1),I_int);

  Lbl_03650:
            // 03650 	    PRINT MID$(P$(I),J,1);
            MyFpf(stdout,"%s",MID_str(P_str_arr[(int)I_int],J_int,1));
            // 03660 	    PRINT " ";
            MyFpf(stdout," ");
            // 03670     NEXT J
        }; // End-For(J_int)
        // 03680     PRINT CHR$(14)
        MyFpf(stdout,"%s\n",CHR_str(14));
        // 03690 NEXT I
    }; // End-For(I_int)
    // 03700 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_03710(){

  Lbl_03710:
    // 03710 INPUT X(1),Y(1)
    // Start of Basic INPUT statement 03710
    printf(" ? ");
    char inpbuf_03710[100];
    if(fgets(inpbuf_03710,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_03710=strtok(inpbuf_03710," ,\t\n");
        if(ps_03710==NULL){
            X_int_arr[(int)1] = 0;
        }else{
            X_int_arr[(int)1] = atoi(ps_03710);
        };
        ps_03710=strtok(NULL," ,\t\n");
        if(ps_03710==NULL){
            Y_int_arr[(int)1] = 0;
        }else{
            Y_int_arr[(int)1] = atoi(ps_03710);
        };
    }; // End of Basic INPUT statement 03710
    // 03720 REM CHECK ADJACENCY
    // check adjacency
    // 03730 IF X(1)<0 THEN 3710
    if(X_int_arr[(int)1]<0) goto Lbl_03710;
    // 03740 IF Y(1)<0 THEN 3710
    if(Y_int_arr[(int)1]<0) goto Lbl_03710;
    // 03750 IF X(1)=0 THEN 3860
    if(X_int_arr[(int)1]==0) goto Lbl_03860;
    // 03760 IF X(1)>7 THEN 3710
    if(X_int_arr[(int)1]>7) goto Lbl_03710;
    // 03770 IF Y(1)>7 THEN 3710
    if(Y_int_arr[(int)1]>7) goto Lbl_03710;
    // 03780 IF ABS(X-X(1))>1 THEN 3840
    if(ABS(X_int-X_int_arr[(int)1])>1) goto Lbl_03840;
    // 03790 IF ABS(Y-Y(1))>1 THEN 3840
    if(ABS(Y_int-Y_int_arr[(int)1])>1) goto Lbl_03840;
    // 03800 IF MID$(P$(X(1)),Y(1),1)="*" THEN 3710
    if(strcmp(MID_str(P_str_arr[(int)X_int_arr[(int)1]],Y_int_arr[(int)1],1),"*")==0) goto Lbl_03710;
    // 03810 X=X(1)
    X_int = X_int_arr[(int)1];
    // 03820 Y=Y(1)
    Y_int = Y_int_arr[(int)1];
    // 03830 GOTO 3951 (Pseudo Goto)
    goto Lbl_03951;

  Lbl_03840:
    // 03840 PRINT "NOT ADJACENT!"
    MyFpf(stdout,"not adjacent!\n");
    // 03850 GOTO 3710
    goto Lbl_03710;

  Lbl_03860:
    // 03860 IF B>R  THEN 3890
    if(B_int>R_int) goto Lbl_03890;
    // 03870 IF R>B THEN 3910
    if(R_int>B_int) goto Lbl_03910;
    // 03880 IF R=B THEN 3930
    if(R_int==B_int) goto Lbl_03930;

  Lbl_03890:
    // 03890 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    MyFpf(stdout,"blue is the winner! %d to %d\n",B_int,R_int);
    // 03900 GOTO 3940
    goto Lbl_03940;

  Lbl_03910:
    // 03910 PRINT "RED IS THE WINNER! ";R;" TO ";B
    MyFpf(stdout,"red is the winner! %d to %d\n",R_int,B_int);
    // 03920 GOTO 3940
    goto Lbl_03940;

  Lbl_03930:
    // 03930 PRINT "IT'S A TIE!!  EACH PLAYER HAS ";B
    MyFpf(stdout,"it's a tie!!  each player has %d\n",B_int);

  Lbl_03940:
    // 03940 GOTO 3950
    goto Lbl_03950;

  Lbl_03950:
    // 03950 END
    exit(3950);

  Lbl_03951:
    // 03951 RETURN (Pseudo)
    return;
};


//---------------------------------------------------------------------------
// Routine D
//---------------------------------------------------------------------------

void Routine_03960(){
    // 03960 IF MID$(P$(X),Y,1)<>"B" THEN 3980
    if(strcmp(MID_str(P_str_arr[(int)X_int],Y_int,1),"b")!=0) goto Lbl_03980;
    // 03970  B=B+1
    B_int = B_int+1;

  Lbl_03980:
    // 03980 IF MID$(P$(X),Y,1)<>"R" THEN 4000
    if(strcmp(MID_str(P_str_arr[(int)X_int],Y_int,1),"r")!=0) goto Lbl_04000;
    // 03990 R=R+1
    R_int = R_int+1;

  Lbl_04000:
    // 04000 IF B=10 THEN 4030
    if(B_int==10) goto Lbl_04030;
    // 04010 IF R=10 THEN 4050
    if(R_int==10) goto Lbl_04050;
    // 04020 GOTO 4081 (Pseudo Goto)
    goto Lbl_04081;

  Lbl_04030:
    // 04030 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    MyFpf(stdout,"blue is the winner! %d to %d\n",B_int,R_int);
    // 04040 GOTO 4070
    goto Lbl_04070;

  Lbl_04050:
    // 04050 PRINT "RED IS THE WINNER! ";R;" TO ";B
    MyFpf(stdout,"red is the winner! %d to %d\n",R_int,B_int);
    // 04060 GOTO 4070
    goto Lbl_04070;

  Lbl_04070:
    // 04070 GOTO 4080
    goto Lbl_04080;

  Lbl_04080:
    // 04080 END
    exit(4080);

  Lbl_04081:
    // 04081 RETURN (Pseudo)
    return;
};


//---------------------------------------------------------------------------
// Routine E
//---------------------------------------------------------------------------

void Routine_04089(){
    // 04089 GOTO 4180 (Pseudo Goto)
    goto Lbl_04180;

  Lbl_04090:
    // 04090 IF B>R  THEN 4120
    if(B_int>R_int) goto Lbl_04120;
    // 04100 IF R>B THEN 4140
    if(R_int>B_int) goto Lbl_04140;
    // 04110 IF R=B THEN 4160
    if(R_int==B_int) goto Lbl_04160;

  Lbl_04120:
    // 04120 PRINT "BLUE IS THE WINNER! ";B;" TO ";R
    MyFpf(stdout,"blue is the winner! %d to %d\n",B_int,R_int);
    // 04130 GOTO 4170
    goto Lbl_04170;

  Lbl_04140:
    // 04140 PRINT "RED IS THE WINNER! ";R;" TO ";B
    MyFpf(stdout,"red is the winner! %d to %d\n",R_int,B_int);
    // 04150 GOTO 4170
    goto Lbl_04170;

  Lbl_04160:
    // 04160 PRINT "IT'S A TIE!!  EACH PLAYER HAS ";B
    MyFpf(stdout,"it's a tie!!  each player has %d\n",B_int);

  Lbl_04170:
    // 04170 GOTO 4300
    goto Lbl_04300;

  Lbl_04180:
    // 04180 FOR G=X-1 TO X+1
    for(G_int=X_int-1;G_int<=X_int+1;G_int++){
        // 04190     FOR H=Y-1 TO Y+1
        for(H_int=Y_int-1;H_int<=Y_int+1;H_int++){
            // 04200     	IF G=0 THEN 4260
            if(G_int==0) goto Lbl_04260;
            // 04210     	IF H=0 THEN 4250
            if(H_int==0) goto Lbl_04250;
            // 04220     	IF G=8 THEN 4260
            if(G_int==8) goto Lbl_04260;
            // 04230     	IF H=8 THEN 4250
            if(H_int==8) goto Lbl_04250;
            // 04240     	IF MID$(P$(G),H,1)<>"*" THEN 4290
            if(strcmp(MID_str(P_str_arr[(int)G_int],H_int,1),"*")!=0) goto Lbl_04290;

  Lbl_04250:
            // 04250     NEXT H
        }; // End-For(H_int)

  Lbl_04260:
        // 04260 NEXT G
    }; // End-For(G_int)
    // 04270 PRINT "GAME OVER"
    MyFpf(stdout,"game over\n");
    // 04280 GOTO 4090
    goto Lbl_04090;

  Lbl_04290:
    // 04290 GOTO 4301 (Pseudo Goto)
    goto Lbl_04301;

  Lbl_04300:
    // 04300 END
    exit(4300);

  Lbl_04301:
    // 04301 RETURN (Pseudo)
    return;
};


//---------------------------------------------------------------------------
// Routine F
//---------------------------------------------------------------------------

void Routine_04309(){
    // 04309 GOTO 5200 (Pseudo Goto)
    goto Lbl_05200;

  Lbl_04310:
    // 04310 PRINT "MOVE: PLAYER B"
    MyFpf(stdout,"move: player b\n");
    // 04320 GOSUB 3710
    Routine_03710();
    // 04330 GOSUB 3960
    Routine_03960();
    // 04340 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 04350 P9=X
    P9_int = X_int;
    // 04360 P8=Y
    P8_int = Y_int;
    // 04370 GOSUB 5390
    Routine_05390();
    // 04380 GOSUB 4089
    Routine_04089();
    // 04390 IF R$="C" THEN 4540
    if(strcmp(R_str,"c")==0) goto Lbl_04540;
    // 04400 GOSUB 3550
    Routine_03550();
    // 04410 PRINT
    MyFpf(stdout,"\n");
    // 04420 PRINT "MOVE: PLAYER A"
    MyFpf(stdout,"move: player a\n");
    // 04430 GOSUB 3710
    Routine_03710();
    // 04440 GOSUB 3960
    Routine_03960();
    // 04450 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 04460 P9=X
    P9_int = X_int;
    // 04470 P8=Y
    P8_int = Y_int;
    // 04480 GOSUB 5390
    Routine_05390();
    // 04490 GOSUB 4089
    Routine_04089();
    // 04500 GOSUB 3550
    Routine_03550();
    // 04510 PRINT
    MyFpf(stdout,"\n");
    // 04520 GOTO 4310
    goto Lbl_04310;
    // 04530 REM COMPUTER'S MOVE
    // computer's move

  Lbl_04540:
    // 04540 IF X=1 THEN 4560
    if(X_int==1) goto Lbl_04560;
    // 04550 IF X<>7 THEN 4730
    if(X_int!=7) goto Lbl_04730;

  Lbl_04560:
    // 04560 IF Y>=4 THEN 4620
    if(Y_int>=4) goto Lbl_04620;
    // 04570 K=X
    K_int = X_int;
    // 04580 L=Y+1
    L_int = Y_int+1;
    // 04590 IF MID$(P$(K),L,1)<>"*" THEN 4610
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_04610;
    // 04600 L=Y-1
    L_int = Y_int-1;

  Lbl_04610:
    // 04610 GOTO 4990
    goto Lbl_04990;

  Lbl_04620:
    // 04620 IF Y<>4 THEN 4680
    if(Y_int!=4) goto Lbl_04680;
    // 04630 K=X
    K_int = X_int;
    // 04640 L=Y-1
    L_int = Y_int-1;
    // 04650 IF MID$(P$(K),L,1)<>"*" THEN 4670
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_04670;
    // 04660 L=Y+1
    L_int = Y_int+1;

  Lbl_04670:
    // 04670 GOTO 4990
    goto Lbl_04990;

  Lbl_04680:
    // 04680 K=X
    K_int = X_int;
    // 04690 L=Y-1
    L_int = Y_int-1;
    // 04700 IF MID$(P$(K),L,1)<>"*" THEN 4720
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_04720;
    // 04710 L=Y+1
    L_int = Y_int+1;

  Lbl_04720:
    // 04720 GOTO 4990
    goto Lbl_04990;

  Lbl_04730:
    // 04730 IF X>=5 THEN 4870
    if(X_int>=5) goto Lbl_04870;
    // 04740 IF Y>=4 THEN 4790
    if(Y_int>=4) goto Lbl_04790;
    // 04750 GOSUB 4309
    Routine_04309();
    // 04760 K=X-1
    K_int = X_int-1;
    // 04770 L=Y+1
    L_int = Y_int+1;
    // 04780 GOTO 4990
    goto Lbl_04990;

  Lbl_04790:
    // 04790 IF Y<>4 THEN 4830
    if(Y_int!=4) goto Lbl_04830;
    // 04800 K=X-1
    K_int = X_int-1;
    // 04810 L=Y
    L_int = Y_int;
    // 04820 GOTO 4990
    goto Lbl_04990;

  Lbl_04830:
    // 04830 GOSUB 4309
    Routine_04309();
    // 04840 K=X-1
    K_int = X_int-1;
    // 04850 L=Y-1
    L_int = Y_int-1;
    // 04860 GOTO 4990
    goto Lbl_04990;

  Lbl_04870:
    // 04870 IF Y>=4 THEN 4920
    if(Y_int>=4) goto Lbl_04920;
    // 04880 GOSUB 4309
    Routine_04309();
    // 04890 K=X+1
    K_int = X_int+1;
    // 04900 L=Y+1
    L_int = Y_int+1;
    // 04910 GOTO 4990
    goto Lbl_04990;

  Lbl_04920:
    // 04920 IF Y<>4 THEN 4960
    if(Y_int!=4) goto Lbl_04960;
    // 04930 K=X+1
    K_int = X_int+1;
    // 04940 L=Y
    L_int = Y_int;
    // 04950 GOTO 4990
    goto Lbl_04990;

  Lbl_04960:
    // 04960 GOSUB 4309
    Routine_04309();
    // 04970 K=X+1
    K_int = X_int+1;
    // 04980 L=Y-1
    L_int = Y_int-1;

  Lbl_04990:
    // 04990 IF MID$(P$(K),L,1)<>"*" THEN 5070
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_05070;

  Lbl_05000:
    // 05000 K=INT(3*RND(0)-0.99999) + X
    K_int = INT(3*RND(0)-0.99999)+X_int;
    // 05010 IF K=0 THEN 5000
    if(K_int==0) goto Lbl_05000;
    // 05020 IF K=8 THEN 5000
    if(K_int==8) goto Lbl_05000;

  Lbl_05030:
    // 05030 L=INT(3*RND(0)-0.99999) + Y
    L_int = INT(3*RND(0)-0.99999)+Y_int;
    // 05040 IF L=0 THEN 5030
    if(L_int==0) goto Lbl_05030;
    // 05050 IF L=8 THEN 5030
    if(L_int==8) goto Lbl_05030;
    // 05060 IF MID$(P$(K),L,1)="*" THEN 5000
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")==0) goto Lbl_05000;

  Lbl_05070:
    // 05070 X=K
    X_int = K_int;
    // 05080 Y=L
    Y_int = L_int;
    // 05090 GOSUB 3960
    Routine_03960();
    // 05100 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 05110 P9=X
    P9_int = X_int;
    // 05120 P8=Y
    P8_int = Y_int;
    // 05130 GOSUB 5390
    Routine_05390();
    // 05140 PRINT "I MOVE ";X;Y
    MyFpf(stdout,"i move %d%d\n",X_int,Y_int);
    // 05150 GOSUB 3550
    Routine_03550();
    // 05160 PRINT
    MyFpf(stdout,"\n");
    // 05170 GOSUB 4089
    Routine_04089();
    // 05180 GOTO 4310
    goto Lbl_04310;
    // 05190 REM GRAB CORNER PEG
    // grab corner peg

  Lbl_05200:
    // 05200 X(2)=X
    X_int_arr[(int)2] = X_int;
    // 05210 Y(2)=Y
    Y_int_arr[(int)2] = Y_int;
    // 05220 FOR M=X(2)-1 TO X(2)+1
    for(M_int=X_int_arr[(int)2]-1;M_int<=X_int_arr[(int)2]+1;M_int++){
        // 05230     FOR N=Y(2)-1 TO Y(2)+1
        for(N_int=Y_int_arr[(int)2]-1;N_int<=Y_int_arr[(int)2]+1;N_int++){
            // 05240     	IF M=0 THEN 5370
            if(M_int==0) goto Lbl_05370;
            // 05250     	IF N=0 THEN 5360
            if(N_int==0) goto Lbl_05360;
            // 05260     	IF M=8 THEN 5370
            if(M_int==8) goto Lbl_05370;
            // 05270     	IF N=8 THEN 5360
            if(N_int==8) goto Lbl_05360;
            // 05280     	IF M=1 THEN 5300
            if(M_int==1) goto Lbl_05300;
            // 05290     	IF M<>7 THEN 5370
            if(M_int!=7) goto Lbl_05370;

  Lbl_05300:
            // 05300     	IF N=1 THEN 5320
            if(N_int==1) goto Lbl_05320;
            // 05310     	IF N<>7 THEN 5360
            if(N_int!=7) goto Lbl_05360;

  Lbl_05320:
            // 05320     	IF MID$(P$(M),N,1)="*" THEN 5380
            if(strcmp(MID_str(P_str_arr[(int)M_int],N_int,1),"*")==0) goto Lbl_05380;
            // 05330     	K=M
            K_int = M_int;
            // 05340     	L=N
            L_int = N_int;
            // 05350     	GOTO 5070
            goto Lbl_05070;

  Lbl_05360:
            // 05360     NEXT N
        }; // End-For(N_int)

  Lbl_05370:
        // 05370 NEXT M
    }; // End-For(M_int)

  Lbl_05380:
    // 05380 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine G
//---------------------------------------------------------------------------

void Routine_05390(){
    // 05390 REM SUBROUTINE TO INSERT A CHARATER IN A CHARATER STRING
    // subroutine to insert a charater in a charater string
    // 05400 DIM P7(10)
    // 05410 CHANGE P$(P9) TO P7
    if(P_str_arr[(int)P9_int]!=NULL){
        for(int i=1;(i<=(int)strlen(P_str_arr[(int)P9_int]))&&(i<=11);i++){
            P7_int_arr[i]=(int)P_str_arr[(int)P9_int][i-1];
        }
    }
    // 05420 DIM P6(10)
    // 05430 CHANGE P9$ TO P6
    if(P9_str!=NULL){
        for(int i=1;(i<=(int)strlen(P9_str))&&(i<=11);i++){
            P6_int_arr[i]=(int)P9_str[i-1];
        }
    }
    // 05440 P7(P8) = P6(1)
    P7_int_arr[(int)P8_int] = P6_int_arr[(int)1];
    // 05450 CHANGE P7 TO P$(P9)
    if(P_str_arr[(int)P9_int]!=NULL){
        for(int i=1;(i<=(int)strlen(P_str_arr[(int)P9_int]))&&(i<=-1);i++){
            P_str_arr[(int)P9_int][i]=(int)P_str_arr[(int)P9_int][i-1];
        }
    }
    // 05460 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 RANDOMIZE
    char ranbuf_01000[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01000,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01000); 
        srand(seed); 
    } 
    // 01010 REM *** PRESS UPS ***
    // *** press ups ***
    // 01020 REM *** RON BEHRNS ***
    // *** ron behrns ***
    // 01030 REM *** 1979 ***
    // *** 1979 ***
    // 01040 B=0
    B_int = 0;
    // 01050 R=0
    R_int = 0;
    // 01060 PRINT "THIS IS THE GAME OF PRESS UPS"
    MyFpf(stdout,"this is the game of press ups\n");
    // 01070 PRINT "INSTRUCTIONS (Y OR N) ";
    MyFpf(stdout,"instructions (y or n) ");
    // 01080 INPUT I$
    // Start of Basic INPUT statement 01080
    printf(" ? ");
    char inpbuf_01080[100];
    if(fgets(inpbuf_01080,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01080=strtok(inpbuf_01080," ,\t\n");
        if(ps_01080==NULL){
            I_str = "";
        }else{
            I_str = ps_01080;
        };
    }; // End of Basic INPUT statement 01080
    // 01090 IF I$<>"Y" THEN 1270
    if(strcmp(I_str,"y")!=0) goto Lbl_01270;
    // 01100 PRINT "TWO MAY PLAY -- THE COMPUTER IS YOUR REFEREE"
    MyFpf(stdout,"two may play -- the computer is your referee\n");
    // 01110 PRINT "OR YOU MAY PLAY AGAINST THE COMPUTER"
    MyFpf(stdout,"or you may play against the computer\n");
    // 01120 PRINT
    MyFpf(stdout,"\n");
    // 01130 PRINT "ONE PLAYER HAS RED PEGS, THE OTHER BLUE:YELLOW IS NEUTRAL"
    MyFpf(stdout,"one player has red pegs, the other blue:yellow is neutral\n");
    // 01140 PRINT "A PEG IS PRESSED DOWN BY INPUTTING COORDINATES OF A GRID"
    MyFpf(stdout,"a peg is pressed down by inputting coordinates of a grid\n");
    // 01150 PRINT "THE PLAYER WHO PRESSES DOWN ALL HIS PEGS FIRST WINS"
    MyFpf(stdout,"the player who presses down all his pegs first wins\n");
    // 01160 PRINT "YOU CAN PRESS DOWN YOUR OPPONENT'S PEGS"
    MyFpf(stdout,"you can press down your opponent's pegs\n");
    // 01170 PRINT "IF IT IS IMPOSSIBLE TO PRESS DOWN A PEG NEXT TO THE LAST"
    MyFpf(stdout,"if it is impossible to press down a peg next to the last\n");
    // 01180 PRINT "ONE PRESSED, THE GAME IS OVER."
    MyFpf(stdout,"one pressed, the game is over.\n");
    // 01190 PRINT "THE PLAYER WITH THE MOST PEGS PRESSED OF HIS COLOUR WINS"
    MyFpf(stdout,"the player with the most pegs pressed of his colour wins\n");
    // 01200 PRINT "END THE GAME AT ANY TIME BY INPUTTING ZERO(0) FOR THE "
    MyFpf(stdout,"end the game at any time by inputting zero(0) for the \n");
    // 01210 PRINT "X-COORDINATE"
    MyFpf(stdout,"x-coordinate\n");
    // 01220 PRINT
    MyFpf(stdout,"\n");
    // 01230 PRINT "DECIDE WHO STARTS (PLAYER A); A YELLOW PEG MUST BE PRESSED FIRST"
    MyFpf(stdout,"decide who starts (player a); a yellow peg must be pressed first\n");
    // 01240 PRINT "THEN EACH PLAYER IN TURN PRESSES DOWN A PEG (OF ANY COLOUR)"
    MyFpf(stdout,"then each player in turn presses down a peg (of any colour)\n");
    // 01250 PRINT "NEXT TO THE PREVIOUS ONE PRESSED (IN ANY DIRECTION INCLUDING"
    MyFpf(stdout,"next to the previous one pressed (in any direction including\n");
    // 01260 PRINT "DIAGONALLY)."
    MyFpf(stdout,"diagonally).\n");

  Lbl_01270:
    // 01270 PRINT
    MyFpf(stdout,"\n");
    // 01280 PRINT "PLAY WITH PARTNER(P) OR COMPUTER(C) ";
    MyFpf(stdout,"play with partner(p) or computer(c) ");
    // 01290 INPUT R$
    // Start of Basic INPUT statement 01290
    printf(" ? ");
    char inpbuf_01290[100];
    if(fgets(inpbuf_01290,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01290=strtok(inpbuf_01290," ,\t\n");
        if(ps_01290==NULL){
            R_str = "";
        }else{
            R_str = ps_01290;
        };
    }; // End of Basic INPUT statement 01290
    // 01300 IF R$="C" THEN 1320
    if(strcmp(R_str,"c")==0) goto Lbl_01320;
    // 01310 GOTO 1350
    goto Lbl_01350;

  Lbl_01320:
    // 01320 PRINT "COMPUTER HAS BLUE PEGS--OPPONENT IS PLAYER B"
    MyFpf(stdout,"computer has blue pegs--opponent is player b\n");
    // 01330 PRINT "COMPUTER FIRST(Y OR N) ";
    MyFpf(stdout,"computer first(y or n) ");
    // 01340 INPUT F$
    // Start of Basic INPUT statement 01340
    printf(" ? ");
    char inpbuf_01340[100];
    if(fgets(inpbuf_01340,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01340=strtok(inpbuf_01340," ,\t\n");
        if(ps_01340==NULL){
            F_str = "";
        }else{
            F_str = ps_01340;
        };
    }; // End of Basic INPUT statement 01340

  Lbl_01350:
    // 01350 PRINT
    MyFpf(stdout,"\n");
    // 01360 PRINT "READY... HERE IS THE BOARD"
    MyFpf(stdout,"ready... here is the board\n");
    // 01370 PRINT
    MyFpf(stdout,"\n");
    // 01380 PRINT
    MyFpf(stdout,"\n");
    // 01390 DIM P$(7)
    // 01400 P$(1)="YBBBBBY"
    GLBpStr="ybbbbby";
    P_str_arr[(int)1] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01410 P$(2)="RYYYYYR"
    GLBpStr="ryyyyyr";
    P_str_arr[(int)2] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01420 P$(3)="RYYYYYR"
    GLBpStr="ryyyyyr";
    P_str_arr[(int)3] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01430 P$(4)="RYYYYYR"
    GLBpStr="ryyyyyr";
    P_str_arr[(int)4] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01440 P$(5)="RYYYYYR"
    GLBpStr="ryyyyyr";
    P_str_arr[(int)5] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01450 P$(6)="RYYYYYR"
    GLBpStr="ryyyyyr";
    P_str_arr[(int)6] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01460 P$(7)="YBBBBBY"
    GLBpStr="ybbbbby";
    P_str_arr[(int)7] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01470 GOSUB 3550
    Routine_03550();
    // 01480 PRINT
    MyFpf(stdout,"\n");
    // 01490 IF R$="C" THEN 1650
    if(strcmp(R_str,"c")==0) goto Lbl_01650;
    // 01500 PRINT "MOVE:PLAYER A"
    MyFpf(stdout,"move:player a\n");

  Lbl_01510:
    // 01510 INPUT X,Y
    // Start of Basic INPUT statement 01510
    printf(" ? ");
    char inpbuf_01510[100];
    if(fgets(inpbuf_01510,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01510=strtok(inpbuf_01510," ,\t\n");
        if(ps_01510==NULL){
            X_int = 0;
        }else{
            X_int = atoi(ps_01510);
        };
        ps_01510=strtok(NULL," ,\t\n");
        if(ps_01510==NULL){
            Y_int = 0;
        }else{
            Y_int = atoi(ps_01510);
        };
    }; // End of Basic INPUT statement 01510
    // 01520 IF X>7 THEN 1510
    if(X_int>7) goto Lbl_01510;
    // 01530 IF Y>7 THEN 1510
    if(Y_int>7) goto Lbl_01510;
    // 01540 IF MID$(P$(X),Y,1)="Y" THEN 1570
    if(strcmp(MID_str(P_str_arr[(int)X_int],Y_int,1),"y")==0) goto Lbl_01570;
    // 01550 PRINT "ILLEGAL MOVE...PRESS A YELLOW PEG!! "
    MyFpf(stdout,"illegal move...press a yellow peg!! \n");
    // 01560 GOTO 1510
    goto Lbl_01510;

  Lbl_01570:
    // 01570 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01580 P9=X
    P9_int = X_int;
    // 01590 P8=Y
    P8_int = Y_int;
    // 01600 GOSUB 5390
    Routine_05390();
    // 01610 GOSUB 3550
    Routine_03550();
    // 01620 PRINT
    MyFpf(stdout,"\n");
    // 01630 IF R$="C" THEN 2600
    if(strcmp(R_str,"c")==0) goto Lbl_02600;
    // 01640 GO TO 1780
    goto Lbl_01780;

  Lbl_01650:
    // 01650 IF F$<>"Y" THEN 1760
    if(strcmp(F_str,"y")!=0) goto Lbl_01760;
    // 01660 X=INT(3*RND(0) + 3)
    X_int = INT(3*RND(0)+3);
    // 01670 Y=4
    Y_int = 4;
    // 01680 PRINT "I MOVE ";X;Y
    MyFpf(stdout,"i move %d%d\n",X_int,Y_int);
    // 01690 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01700 P9=X
    P9_int = X_int;
    // 01710 P8=Y
    P8_int = Y_int;
    // 01720 GOSUB 5390
    Routine_05390();
    // 01730 GOSUB 3550
    Routine_03550();
    // 01740 PRINT
    MyFpf(stdout,"\n");
    // 01750 GOTO 1780
    goto Lbl_01780;

  Lbl_01760:
    // 01760 PRINT "MOVE; PLAYER B"
    MyFpf(stdout,"move; player b\n");
    // 01770 GOTO1510
    goto Lbl_01510;

  Lbl_01780:
    // 01780 PRINT "MOVE: PLAYER B"
    MyFpf(stdout,"move: player b\n");
    // 01790 GOSUB 3710
    Routine_03710();
    // 01800 GOSUB 3960
    Routine_03960();
    // 01810 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01820 P9=X
    P9_int = X_int;
    // 01830 P8=Y
    P8_int = Y_int;
    // 01840 GOSUB 5390
    Routine_05390();
    // 01850 GOSUB 4089
    Routine_04089();
    // 01860 IF R$="C" THEN 2600
    if(strcmp(R_str,"c")==0) goto Lbl_02600;
    // 01870 GOSUB 3550
    Routine_03550();
    // 01880 PRINT
    MyFpf(stdout,"\n");
    // 01890 PRINT "MOVE: PLAYER A"
    MyFpf(stdout,"move: player a\n");
    // 01900 GOSUB 3710
    Routine_03710();
    // 01910 GOSUB 3960
    Routine_03960();
    // 01920 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01930 P9=X
    P9_int = X_int;
    // 01940 P8=Y
    P8_int = Y_int;
    // 01950 GOSUB 5390
    Routine_05390();
    // 01960 GOSUB 4089
    Routine_04089();
    // 01970 GOSUB 3550
    Routine_03550();
    // 01980 PRINT
    MyFpf(stdout,"\n");
    // 01990 GOTO 1780
    goto Lbl_01780;
    // 02590 REM COMPUTER'S MOVE
    // computer's move

  Lbl_02600:
    // 02600 IF X=1 THEN 2620
    if(X_int==1) goto Lbl_02620;
    // 02610 IF X<>7 THEN 2790
    if(X_int!=7) goto Lbl_02790;

  Lbl_02620:
    // 02620 IF Y>=4 THEN 2680
    if(Y_int>=4) goto Lbl_02680;
    // 02630 K=X
    K_int = X_int;
    // 02640 L=Y+1
    L_int = Y_int+1;
    // 02650 IF MID$(P$(K),L,1)<>"*" THEN 2670
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_02670;
    // 02660 L=Y-1
    L_int = Y_int-1;

  Lbl_02670:
    // 02670 GOTO 3050
    goto Lbl_03050;

  Lbl_02680:
    // 02680 IF Y<>4 THEN 2740
    if(Y_int!=4) goto Lbl_02740;
    // 02690 K=X
    K_int = X_int;
    // 02700 L=Y-1
    L_int = Y_int-1;
    // 02710 IF MID$(P$(K),L,1)<>"*" THEN 2730
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_02730;
    // 02720 L=Y+1
    L_int = Y_int+1;

  Lbl_02730:
    // 02730 GOTO 3050
    goto Lbl_03050;

  Lbl_02740:
    // 02740 K=X
    K_int = X_int;
    // 02750 L=Y-1
    L_int = Y_int-1;
    // 02760 IF MID$(P$(K),L,1)<>"*" THEN 2780
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_02780;
    // 02770 L=Y+1
    L_int = Y_int+1;

  Lbl_02780:
    // 02780 GOTO 3050
    goto Lbl_03050;

  Lbl_02790:
    // 02790 IF X>=5 THEN 2930
    if(X_int>=5) goto Lbl_02930;
    // 02800 IF Y>=4 THEN 2850
    if(Y_int>=4) goto Lbl_02850;
    // 02810 GOSUB 4309
    Routine_04309();
    // 02820 K=X-1
    K_int = X_int-1;
    // 02830 L=Y+1
    L_int = Y_int+1;
    // 02840 GOTO 3050
    goto Lbl_03050;

  Lbl_02850:
    // 02850 IF Y<>4 THEN 2890
    if(Y_int!=4) goto Lbl_02890;
    // 02860 K=X-1
    K_int = X_int-1;
    // 02870 L=Y
    L_int = Y_int;
    // 02880 GOTO 3050
    goto Lbl_03050;

  Lbl_02890:
    // 02890 GOSUB 4309
    Routine_04309();
    // 02900 K=X-1
    K_int = X_int-1;
    // 02910 L=Y-1
    L_int = Y_int-1;
    // 02920 GOTO 3050
    goto Lbl_03050;

  Lbl_02930:
    // 02930 IF Y>=4 THEN 2980
    if(Y_int>=4) goto Lbl_02980;
    // 02940 GOSUB 4309
    Routine_04309();
    // 02950 K=X+1
    K_int = X_int+1;
    // 02960 L=Y+1
    L_int = Y_int+1;
    // 02970 GOTO 3050
    goto Lbl_03050;

  Lbl_02980:
    // 02980 IF Y<>4 THEN 3020
    if(Y_int!=4) goto Lbl_03020;
    // 02990 K=X+1
    K_int = X_int+1;
    // 03000 L=Y
    L_int = Y_int;
    // 03010 GOTO 3050
    goto Lbl_03050;

  Lbl_03020:
    // 03020 GOSUB 4309
    Routine_04309();
    // 03030 K=X+1
    K_int = X_int+1;
    // 03040 L=Y-1
    L_int = Y_int-1;

  Lbl_03050:
    // 03050 IF MID$(P$(K),L,1)<>"*" THEN 3130
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")!=0) goto Lbl_03130;

  Lbl_03060:
    // 03060 K=INT(3*RND(0)-0.99999) + X
    K_int = INT(3*RND(0)-0.99999)+X_int;
    // 03070 IF K=0 THEN 3060
    if(K_int==0) goto Lbl_03060;
    // 03080 IF K=8 THEN 3060
    if(K_int==8) goto Lbl_03060;

  Lbl_03090:
    // 03090 L=INT(3*RND(0)-0.99999) + Y
    L_int = INT(3*RND(0)-0.99999)+Y_int;
    // 03100 IF L=0 THEN 3090
    if(L_int==0) goto Lbl_03090;
    // 03110 IF L=8 THEN 3090
    if(L_int==8) goto Lbl_03090;
    // 03120 IF MID$(P$(K),L,1)="*" THEN 3060
    if(strcmp(MID_str(P_str_arr[(int)K_int],L_int,1),"*")==0) goto Lbl_03060;

  Lbl_03130:
    // 03130 X=K
    X_int = K_int;
    // 03140 Y=L
    Y_int = L_int;
    // 03150 GOSUB 3960
    Routine_03960();
    // 03160 P9$="*"
    GLBpStr="*";
    P9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 03170 P9=X
    P9_int = X_int;
    // 03180 P8=Y
    P8_int = Y_int;
    // 03190 GOSUB 5390
    Routine_05390();
    // 03200 PRINT "I MOVE ";X;Y
    MyFpf(stdout,"i move %d%d\n",X_int,Y_int);
    // 03210 GOSUB 3550
    Routine_03550();
    // 03220 PRINT
    MyFpf(stdout,"\n");
    // 03230 GOSUB 4089
    Routine_04089();
    // 03240 GOTO 1780
    goto Lbl_01780;
};

//---------------------------------------------------------------------------
// End of $RCSfile: PressUp.cpp,v $ 
//---------------------------------------------------------------------------
