/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Sumer.bas: 
 *
               +---+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |   | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |   | |
      Address  v   v v Original BASIC statement
    ---------- ----- - ------------------------------------------------------------------------------
    0x00cdba88     A   01000 REM ***********************************
    0x00cdbb0c     A   01010 REM ***                             ***
    0x00cdbb90     A   01020 REM *** SUMER  V3.5 L2  JOHN MELLOR ***
    0x00cdbc14     A   01030 REM ***                             ***
    0x00cdbc98     A   01040 REM ***********************************
    0x00cdbcd8     A   01050 REM
    0x00cdbd40     A   01060 REM LAST UPDATED: 04/05/74
    0x00cdbd98     A   01070 REM ADAPTED FROM: DICK'S VERSION ON VM/370
    0x00cdbdd8     A   01080 REM
    0x00cdc904     A   01090 REM *** "SUMER" - GOVERNMENT EXERCISE (IMAGINARY KINGDOM) ***
    0x00cdc9b4     A   01100 REM *********************************************************
    0x00cdca64     A   01110 REM * PROGRAM DOCUMENTATION BLOCK:                          *
    0x00cdcab0     A   01120 REM A  = INITIAL LAND OWNED - ACRES
    0x00cdcb14     A   01130 REM A1 = DEFENSE BUDGET
    0x00cdcb94     A   01140 REM A$ = RULER PERFORMANCE EVALUATIONS
    0x00cdcc14     A   01150 REM B  = PRE-INTEGERIZED BUDGET FIGURE
    0x00cdcc94     A   01160 REM D  = PEOPLE DEAD FROM STARVATION
    0x00cdcd14     A   01170 REM D5 = PEOPLE DEAD FROM THE PLAGUE
    0x00cdcd7c     A   01180 REM D9 = CUMULATIVE DEATHS
    0x00cdcdec     A   01190 REM E1 = ELECTION CONTRIBUTION
    0x00cdce94     A   01200 REM E2 = ELECTION FLAG (0 = NO ELECT, 1 = WIN, 2 = LOSS)
    0x00cdcf2c     A   01210 REM E5 = FIRST ELECTION FLAG 0 = NO ELECTION YET
    0x00cdcfa0     A   01220 REM E8 = CUMULATIVE ERROR COUNT
    0x00cdd008     A   01230 REM E9 = ERRORS THIS YEAR
    0x00cdd08c     A   01240 REM F3 = RULER IS A FLOP FLAG (1= FLOP)
    0x00cdd120     A   01250 REM F6 = ACRES LEFT AFTER PROPOSED SALE OF LAND
    0x00cdd1b4     A   01260 REM F7 = NUMBER OF ACRES CAPABLE OF CULTIVATION
    0x00cdd21c     A   01270 REM F9 = BRIBE TO PRIESTS
    0x00cdd29c     A   01280 REM G1 = HUNGER FLAG (0 = NOT HUNGRY)
    0x00cdd318     A   01290 REM G2 = CUMULATIVE HARVEST QUALITY
    0x00cdd378     A   01300 REM H3 = GROSS HARVEST
    0x00cdd3ec     A   01310 REM I  = NET STOREHOUSE BUSHELS
    0x00cdd45c     A   01320 REM I1 = NUMBER OF IMMIGRANTS
    0x00cdd5c0     A   01330 REM I2 = INTEREST RATE
    0x00cdd634     A   01340 REM I5 = AMOUNT OF BRIBE FOR M5
    0x00cdd694     A   01350 REM J  = RANDOM NUMBER
    0x00cdd740     A   01360 REM L  = AMOUNT BORROWED FROM GONZOR AND ALL HIS FRIENDS...
    0x00cdd7a0     A   01370 REM N1 = ACRES PLANTED
    0x00cdd828     A   01380 REM N2 = HARVEST DENSITY IN BUSHELS/ACRE
    0x00cdd888     A   01390 REM N3 = NET HARVEST
    0x00cdd8ec     A   01400 REM N4 = PSSSTOCK THEFT
    0x00cdd94c     A   01410 REM N5 = ACRES OWNED
    0x00cdd9ac     A   01420 REM N6 = PRICE OF LAND
    0x00cdda20     A   01430 REM N7 = NUMBER OF ACRES BOUGHT
    0x00cdda90     A   01440 REM N8 = NUMBER OF ACRES SOLD
    0x00cddaf8     A   01450 REM N9 = FOOD ALLOCATION
    0x00cddb54     A   01460 REM P  = POPULATION
    0x00cddbcc     A   01470 REM P1 = PLAGUE FLAG (1 = PLAGUE)
    0x00cddc3c     A   01480 REM Q  = BUDGET QUANTITY INPUT
    0x00cddcd8     A   01490 REM R  = CURRENT YEAR NUMBER (ZERO ORIGIN INDEXING)
    0x00cddd68     A   01500 REM R9 = REVOLUTION FLAG (1 = NO REVOLUTION)
    0x00cdddb8     A   01510 REM S  = SCORE
    0x00cdde3c     A   01520 REM T  = PERFORMANCE SCORE GRADE POINTS
    0x00cddec0     A   01530 REM W  = BAD WEATHER FLAG (1  = STORMS)
    0x00cddf50     A   01540 REM W0 = WHO WE BORROWED FROM (INDEX INTO Z$)
    0x00cddfac     A   01550 REM X  = LOOP INDEX
    0x00cde03c     A   01560 REM Y  = TOTAL NUMBER OF YEARS FOR THIS GAME
    0x00cde0bc     A   01570 REM Z$ = LIST OF NAMES OF MONEYLENDERS
    0x00cde0fc     A   01580 REM
    0x00cde214     A   01590 DIM T(8)
    0x00cde24c     A   01600 RANDOMIZE
    0x00cde35c     A   01610 DIM Z$(11)
    0x00cde4dc     A   01620 A$(1) = "GHASTLY"
    0x00cde620     A   01630 A$(2) = "APPALLING"
    0x00cde764     A   01640 A$(3) = "SLUGGISH AT BEST"
    0x00cdea9c     A   01650 A$(4) = "SO-SO"
    0x00cdebd8     A   01660 A$(5) = "GOOD"
    0x00cded18     A   01670 A$(6) = "VERY GOOD"
    0x00cdee5c     A   01680 A$(7) = "EXCELLENT"
    0x00cdefac     A   01690 A$(8) = "SUPER FANTASTIC"
    0x00cdf100     A   01700 Z$(1) = "IGNARP THE HAIRLESS"
    0x00cdf264     A   01710 Z$(5) = "GONZOR THE TOOTHLESS"
    0x00cdf3c4     A   01720 Z$(10) = "THE THUMBSCREW COLLECTION AGENCY"
    0x00cdf514     A   01730 Z$(3) = "WILVILLE AND ORBUR"
    0x00cdf668     A   01740 Z$(8) = "TRAXLER THE WISE"
    0x00cdf7c0     A   01750 Z$(4) = "THUNDERMUG THE ODIFEROUS"
    0x00cdf914     A   01760 Z$(11) = "DICKY THE TRICKY"
    0x00cdfa70     A   01770 Z$(2) = "YGGDRASIL THE STRANGE"
    0x00cdfbcc     A   01780 Z$(7) = "THE TREEFROG FINANCE COMPANY"
    0x00cdfd1c     A   01790 Z$(9) = "ZARDOZ THE WICKED"
    0x00cdfe70     A   01800 Z$(6) = "SHOOGAR THE MAGICIAN"
    0x00ce0140     A   01810 DATA 20,35,50,67,75,84,95,999
    0x00ce09ec     A   01820 DATA 400,10,0,0,0,0,750,675,10,300,2.5,750,75,400,15,40,0,1,0,5
    0x00ce0ac4     A   01830 MAT READ T
    0x00ce1438     A   01840 READ A,D,E2,E5,E8,E9,H3,I,I1,N1,N2,N3,N4,N5,N6,P,R,R9,W,Y
    0x00ce1538     A   01850 D9 = 0
    0x00ce163c     A   01860 F3 = 0
    0x00ce1740     A   01870 L  = 0
    0x00ce1844     A   01880 G1 = 0
    0x00ce1948     A   01890 P1 = 0
    0x00ce1a50     A   01900 G2 = 0
    0x00ce1b58     A   01910 Q9 = 150
    0x00ce1c74     A   01920 B$ = CLK$
    0x00ce1d30     A   01930 CHANGE B$ TO W2
    0x00ce1f1c     A   01940 W2 = W2 + 50 * RND(P)
    0x00ce217c     A   01950 J  = INT(RND(W2)*100+1)
    0x00ce222c     A   01960 J  = RND(J)
    0x00ce2314     A   01970 Z  = J
    0x00ce2528     A   01980 J  = RND( INT( SQR( Z * Z + .5)))
    0x00ce26e4     A   01990 N6 = INT( 7 * J + 13)
    0x00ce28c0     A   02000 Y  =  INT( RND(J)*5) + 8
    0x00ce298c     A   02010 IF Y > 4 GOTO 2030
    0x00ce2a70     A   02020 Y  = 5
    0x00ce2b4c     A T 02030 PRINT USING 2030,Y
    0x00ce2b9c     A   02040 :SUMER VERSION 1.35   (## YEARS)
    0x00ce2be4     A   02050 PRINT
    0x00ce2c38     A   02060 PRINT
    0x00ce2d0c     A   02070 PRINT "MY LORD AND MASTER,"
    0x00ce2dfc     A   02080 PRINT "ABSOLUTE RULER OF SUMER,"
    0x00ce2f00     A   02090 PRINT "I, YOUR HUMBLE SERVANT, THE M5 MULTITRONIC UNIT,"
    0x00ce2fd0     A   02100 PRINT "BEG TO REPORT ON THE STATE OF YOUR DOMAIN..."
    0x00ce3008     A   02110 REM
    0x00ce30a0     A   02120 REM SUBSEQUENT YEARS LOOP BACK TO NEXT STATEMENT
    0x00ce30e0     A   02130 REM
    0x00ce3318     A T 02140 PRINT "IT IS NOW YEAR"R+1" OF YOUR REIGN."
    0x00ce34a0     A   02150 PRINT "LAST YEAR" D" PE";
    0x00ce3570     A   02160 IF D = 1 GOTO 2190
    0x00ce364c     A   02170 PRINT "OPLE";
    0x00ce3690     A   02180 GOTO 2200
    0x00ce3760     A T 02190 PRINT "RSON";
    0x00ce38f4     A T 02200 PRINT " DIED AND"I1" IMMIGRANT";
    0x00ce39c4     A   02210 IF I1 = 1 GOTO 2230
    0x00ce3ab0     A   02220 PRINT "S";
    0x00ce3b74     A T 02230 PRINT " CAME INTO YOUR DOMAIN"
    0x00ce3c54     A   02240 D9 = D9 + D
    0x00ce3d20     A   02250 IF I1 > 0 GOTO 2280
    0x00ce3e38     A   02260 PRINT "(YOU'VE BEEN RECEIVING A BAD PRESS LATELY...)"
    0x00ce3e84     A   02270 GOTO 2370
    0x00ce3f4c     A T 02280 IF P1 = 1 GOTO 2300
    0x00ce43b4     A   02290 GOTO 2370
    0x00ce447c     A T 02300 IF I1 < 2 GOTO 2370
    0x00ce45b8     A   02310 PRINT "MOST REGRETTABLY, THEY BROUGHT WITH THEM A MYSTERIOUS PLAGUE"
    0x00ce468c     A   02320 J  = RND(J)
    0x00ce494c     A   02330 D5 = INT( I1 / 2 + 10 * J * I1 / P)
    0x00ce4a20     A   02340 D9 = D9 + D5
    0x00ce4b1c     A   02350 P  = P - D5
    0x00ce4ccc     A   02360 PRINT " AND"D5" PEOPLE DIED IN THE ENSUING EPIDEMIC."
    0x00ce4dfc     A T 02370 PRINT "THE PRESENT POPULATION OF SUMER IS THEREFORE"P;
    0x00ce4ecc     A   02380 IF G1 = 0 GOTO 2410
    0x00ce4fac     A   02390 PRINT "HUNGRY SUBJECTS"
    0x00ce4ff8     A   02400 GOTO 2420
    0x00ce50b0     A T 02410 PRINT "LOYAL SUBJECTS"
    0x00ce5180     A T 02420 IF P > 9 GOTO 2470
    0x00ce52e0     A   02430 PRINT "WE WHO REMAIN HAVE DECIDED TO LEAVE FOR A HEALTHIER PLANET."
    0x00ce53b0     A T 02440 PRINT "FRANKLY, MASTER, AS A RULER YOU ARE A FLOP"
    0x00ce5478     A   02450 F3 = 1
    0x00ce54b0     A   02460 GOTO 6420
    0x00ce54f4     A T 02470 PRINT
    0x00ce55c4     A   02480 IF Q9 < 150 GOTO 2500
    0x00ce585c     A   02490 N2 = (150 * 150) / (Q9 * Q9) * N2
    0x00ce59d8     A T 02500 PRINT "THE PEASANTS NOW WEIGH "Q9 "LBS."
    0x00ce5ad4     A   02510 G2 = G2 + N2
    0x00ce5d18     A   02520 PRINT "WE PLANTED"N1" OF YOUR"N5" ACRES LAST YEAR"
    0x00ce5e04     A   02530 PRINT USING 2530,N2
    0x00ce5e60     A   02540 :    AND HARVESTED #.## BUSHELS PER ACRE...
    0x00ce5f6c     A   02550 PRINT USING 2550,H3
    0x00ce5fd0     A   02560 :THE TOTAL HARVEST WAS THEREFORE ######## BUSHELS
    0x00ce60bc     A   02570 IF W  = 0 GOTO 2700
    0x00ce61b0     A   02580 IF H3 = 0 GOTO 2610
    0x00ce62e0     A   02590 PRINT "BUT, UNFORTUNATELY, STORMS DESTROYED HALF YOUR CROP"
    0x00ce642c     A   02600 G2 = G2 - N2 / 2
    0x00ce64fc     A T 02610 W  = 0
    0x00ce65c8     A   02620 IF N4 = 0 GOTO 2680
    0x00ce66b0     A T 02630 PRINT "AND";
    0x00ce6784     A T 02640 PRINT " THE PSSSTOCK";
    0x00ce6854     A   02650 IF N4 = 0 GOTO 2730
    0x00ce69f8     A   02660 PRINT "S STOLE"N4" BUSHELS"
    0x00ce6ac8     A   02670 IF W = 0 GOTO 2740
    0x00ce6bac     A T 02680 PRINT "- HOWEVER";
    0x00ce6bf8     A   02690 GOTO 2640
    0x00ce6cc0     A T 02700 IF N4 = 0 GOTO 2630
    0x00ce6d9c     A   02710 PRINT "BUT";
    0x00ce6e00     A   02720 GOTO 2640
    0x00ce6ed0     A T 02730 PRINT " RAIDERS WERE SUCCESSFULLY REPELLED"
    0x00ce6fa0     A T 02740 IF L <= 0 GOTO 2970
    0x00ce724c     A   02750 L = INT( ((100 + I2) * L) / 100)
    0x00ce72e0     A   02760 IF I >= L GOTO 2870
    0x00ce7528     A   02770 IF I + (N5-P)*(N6/6)<L GOTO 3080
    0x00ce7660     A   02780 PRINT "UNFORTUNATELY, YOU DO NOT HAVE ENOUGH GRAIN LEFT TO "
    0x00ce77c4     A   02790 PRINT USING 2790, Z$(W0)
    0x00ce782c     A   02800 :REPAY YOUR DEBT TO 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00ce7a44     A   02810 PRINT "OF "L" BUSHELS. HOWEVER, IN HIS INFINITE GENEROSITY, HE HAS"
    0x00ce7b50     A   02820 PRINT "DECIDED NOT TO FORECLOSE ON OUR KINGDOM BUT WILL TAKE"
    0x00ce7c60     A   02830 PRINT "LAND IN REPAYMENT AT ONE-SIXTH THE GOING RATE (IN"
    0x00ce7d48     A   02840 PRINT "ADDITION TO THE GRAIN IN THE STOREHOUSE) UNTIL YOUR DEBT"
    0x00ce7df8     A   02850 PRINT "IS PAID."
    0x00ce7e48     A   02860 GOTO 2910
    0x00ce7f50     A T 02870 PRINT USING 2870,Z$(W0)
    0x00ce7fa8     A   02880 : AND 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00cde8f8     A   02890 PRINT "COLLECTED THE "L" BUSHELS  THAT YOU OWED."
    0x00cde948     A   02900 GOTO 2960
    0x00ce8268     A T 02910 Z8 = INT((6*(L-I)/N6)+.5)
    0x00ce8368     A   02920 N5 = N5 - Z8
    0x00ce84ec     A   02930 PRINT "YOU THEREFORE HAVE "N5" ACRES OF LAND REMAINING."
    0x00ce85b4     A   02940 I = 0
    0x00ce85f0     A   02950 GOTO 2970
    0x00ce86b8     A T 02960 I = I - L
    0x00ce8784     A T 02970 L = 0
    0x00ce8878     A   02980 PRINT USING 2980,I
    0x00ce88e0     A   02990 :THUS YOU NOW HAVE ######## BUSHELS IN YOUR STOREHOUSE.
    0x00ce89cc     A   03000 IF E2 = 0 GOTO 3200
    0x00ce8b04     A   03010 IF E1 > 0 GOTO 3150
    0x00ce8bf8     A   03020 IF E1 < 0 GOTO 3040
    0x00ce8cec     A   03030 IF E2 = 1 GOTO 3060
    0x00ce8e2c     A T 03040 PRINT "HOWEVER, ALAS! A RECENT COUP D'ETAT HAS DEPOSED YOU FROM OFFICE."
    0x00ce8eb0     A   03050 GOTO 2440
    0x00ce8f94     A T 03060 PRINT "LUCKILY, YOU MANAGED TO MAINTAIN YOUR DICTATORSHIP DURING THE YEAR."
    0x00ce8fdc     A   03070 GOTO 3190
    0x00ce90d0     A T 03080 PRINT USING 2990,I
    0x00ce9270     A   03090 PRINT "HOWEVER AND ALAS! THIS IS LESS THAN THE "L" BUSHELS"
    0x00ce9394     A   03100 PRINT USING 3100,Z$(W0)
    0x00ce9400     A   03110 :    THAT YOU OWE 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00ce9528     A   03120 PRINT " WE HAVE THEREFORE BEEN FORECLOSED"
    0x00ce95fc     A   03130 PRINT "   ON YOUR HAPPY KINGDOM.  YOU ARE DEPOSED."
    0x00ce9648     A   03140 GOTO 2440
    0x00ce9710     A T 03150 IF E2 = 1 GOTO 3180
    0x00ce9830     A   03160 PRINT "ALAS! YOU LOST THE ELECTION - IT THEREFORE SEEMS"
    0x00ce98a4     A   03170 GOTO 2440
    0x00ce9974     A T 03180 PRINT "LUCKILY, THE ELECTION GAVE YOU THE REQUIRED MAJORITY."
    0x00ce9a38     A T 03190 E2 = 0
    0x00ce9a70     A T 03200 PRINT
    0x00ce9aa8     A   03210 REM
    0x00ce9b28     A   03220 REM TEST IF TERM OF OFFICE HAS EXPIRED
    0x00ce9b68     A   03230 REM
    0x00ce9c18     A   03240 IF R >= Y GOTO 6290
    0x00ce9d0c     A   03250 IF E9 > 1 GOTO 3280
    0x00ce9e70     A   03260 IF R = INT(Y/2) GOTO 3280
    0x00ce9ed4     A   03270 GOTO 3600
    0x00ce9f9c     A T 03280 IF E5 = 0 GOTO 3310
    0x00cea064     A   03290 PRINT "AGAIN"
    0x00cea0a8     A   03300 GOTO 3330
    0x00cea15c     A T 03310 PRINT "NOW";
    0x00cea254     A   03320 E5 = 1
    0x00cea364     A T 03330 PRINT ", A MOVEMENT IS AFOOT TO OUST YOU FROM OFFICE AND"
    0x00cea46c     A   03340 PRINT "YOUR ADVISERS URGE YOU TO OBTAIN A MANDATE FROM THE PEOPLE."
    0x00cea570     A   03350 PRINT "SHOULD YOU DECIDE TO HOLD AN ELECTION,"
    0x00cea654     A   03360 PRINT "YOUR CAMPAIGN WORKERS MAY BE PAID IN BUSHELS OF GRAIN:"
    0x00cea758     A   03370 PRINT "NOW, ";
    0x00cea844     A T 03380 PRINT "HOW MANY (IF ANY) BUSHELS DO YOU WISH TO DISTRIBUTE IN THIS MANNER?"
    0x00cea880     A   03390 GOSUB 6090
    0x00cea950     A   03400 E1 = Q
    0x00ceaa1c     A   03410 E8 = E8 + E9
    0x00ceaadc     A   03420 E9 = 0
    0x00ceabac     A   03430 E2 = 1
    0x00ceac78     A   03440 IF E1 = 0 GOTO 3600
    0x00cead6c     A   03450 IF E1 > 0 GOTO 3500
    0x00ceaea0     A   03460 PRINT "OH, MASTER!! THEFT FROM THY CAMPAIGN WORKERS"
    0x00ceaf64     A   03470 PRINT "    IS A PUNISHABLE OFFENCE!"
    0x00ceafa4     A   03480 GOSUB 6190
    0x00ceafe8     A   03490 GOTO 3380
    0x00ceb078     A T 03500 IF I > E1 GOTO 3570
    0x00ceb1b8     A   03510 PRINT "YOUR GENEROSITY, SIRE, IS A SOURCE OF CONTINUAL EMBARRASSMENT"
    0x00ceb2c0     A   03520 PRINT USING 3520,I
    0x00ceb33c     A   03530 :TO YOUR PEOPLE...(AT THIS JUNCTURE, YOU POSSESS A MERE ######## BUSHELS)
    0x00ceb55c     A   03540 E9 = E9 + INT(.5 + RND(Q9 + E9))
    0x00ceb614     A   03550 PRINT "PLEASE TELL ME AGAIN:"
    0x00ceb668     A   03560 GOTO 3380
    0x00cebf60     A T 03570 PRINT "THANK YOU, SIRE...."
    0x00ce3fe8     A   03580 PRINT "AN ELECTION WILL BE HELD TO STABILIZE CONFIDENCE IN YOUR REGIME."
    0x00ce40bc     A   03590 I = I - E1
    0x00ce4188     A T 03600 IF R >= 1 GOTO 3650
    0x00ce4300     A   03610 PRINT "THE GODS DECREE THAT ONE BUSHEL IS REQUIRED TO PLANT ONE ACRE AND"
    0x00cec090     A   03620 PRINT "THE LAWS DECREE THAT ONE ACRE PER PERSON MUST BE SET ASIDE"
    0x00cec12c     A   03630 PRINT "    FOR NON-AGRICULTURAL USE"
    0x00cec180     A   03640 PRINT
    0x00cec32c     A T 03650 IF RND(0) * 8 > 6 GOTO 3670
    0x00cec3c0     A   03660 GOTO 3930
    0x00cec498     A T 03670 PRINT "SOOTHSAYERS ARE PROPHESYING BAD WEATHER THIS SUMMER, MASTER."
    0x00cec574     A   03680 W  = 1
    0x00cec788     A   03690 IF I > 2*P+N5+L+100 GOTO 3930
    0x00cec8f8     A   03700 PRINT "THAT'S KIND OF A ROUGH BLOW, MASTER.  IF YOU WISH, YOU MAY"
    0x00ceca10     A   03710 PRINT "EMPLOY THE PRIESTS IN AN EFFORT TO WARD OFF THE BAD WEATHER."
    0x00cecb08     A   03720 PRINT "NOW, HOW MANY (IF ANY) BUSHELS DO YOU WISH TO GIVE THE"
    0x00cecbcc     A   03730 PRINT "PRIESTS FOR THIS CEREMONY?"
    0x00cecc08     A   03740 GOSUB 6090
    0x00cecce0     A   03750 F9 = Q
    0x00cecdac     A   03760 IF F9 > 0 GOTO 3800
    0x00cecee0     A   03770 PRINT "DE PREESTS AIN'T GONNA LIKE BEIN TAXED, MASTER."
    0x00ced07c     A   03780 E9 = E9 + INT( RND( J) + .5)
    0x00ced14c     A   03790 F9 = 0
    0x00ced218     A T 03800 IF F9 = 0 GOTO 3930
    0x00ced2d0     A   03810 IF F9<=I GOTO 3850
    0x00ced4d0     A   03820 E9=E9+INT(RND(J)+.5)
    0x00ced5b0     A   03830 PRINT "YOU AIN'T GOT THAT MUCH. I'M GONNA BLOW THE WHOLE WAD, MASTER."
    0x00ced674     A   03840 F9 = I
    0x00ced770     A T 03850 PRINT "THANK YOU, EMINENCE.  THE PRIESTS WILL DO THEIR THING!"
    0x00ced7cc     A   03860 REM CALC. CHANCES OF SUCCESSFUL RAIN DANCE
    0x00ced9bc     A   03870 W = 1-(F9/P)*RND(J)
    0x00ceda78     A   03880 W = INT(W)
    0x00cedb44     A   03890 IF W>0 GOTO 3910
    0x00cedc28     A   03900 W = 0
    0x00cedcf4     A T 03910 IF W<1 GOTO 3930
    0x00cede08     A   03920 W = 1
    0x00cedfa8     A T 03930 PRINT"THIS YEAR WE CAN BUY OR SELL LAND FOR"N6" BUSHELS PER ACRE."
    0x00cee0bc     A   03940 IF 5*P<N5 GOTO 3970
    0x00cee204     A   03950 PRINT"HOWEVER, I RESPECTFULLY REMIND YOU THAT SUMER IS BECOMING"
    0x00cee2fc     A   03960 PRINT"    RATHER OVERCROWDED, SO"
    0x00cee3e0     A T 03970 PRINT "HOW MANY ACRES OF LAND DO YOU WISH TO BUY THIS YEAR?"
    0x00cee4b0     A   03980 IF N6>12 GOTO 4000
    0x00cee598     A   03990 PRINT "(THE PRICE IS RIGHT!)"
    0x00cee5d4     A T 04000 GOSUB6090
    0x00cee6ac     A   04010 N7 = Q
    0x00cee778     A   04020 IF N7 = 0 GOTO 4070
    0x00cee868     A   04030 IF N7>0 GOTO 4170
    0x00cee9b8     A   04040 PRINT "IT IS WRITTEN THAT THOU CANST NOT BUY A NEGATIVE NUMBER OF ACRES."
    0x00ceeb9c     A T 04050 E9 = E9+INT(.5+RND(Q9+E9))
    0x00ceebfc     A   04060 GOTO 3970
    0x00ceecc8     A T 04070 PRINT "HOW MANY ACRES DO YOU WISH TO SELL?"
    0x00ceed98     A   04080 IF N6<20 GOTO 4100
    0x00ceee80     A   04090 PRINT"(THE PRICE IS RIGHT!)"
    0x00ceeebc     A T 04100 GOSUB6090
    0x00ceef94     A   04110 N8 = Q
    0x00cef060     A   04120 IF N8 = 0 GOTO 4460
    0x00cef150     A   04130 IF N8>0 GOTO 4270
    0x00cef2a4     A   04140 PRINT"IT IS WRITTEN THAT THOU CANST NOT SELL A NEGATIVE NUMBER OF ACRES."
    0x00cef488     A T 04150 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cef4d4     A   04160 GOTO 4070
    0x00cef624     A T 04170 IF I-N6*N7 = 0 GOTO 4240
    0x00cef7a0     A   04180 IF I-N6*N7>0 GOTO 4420
    0x00cef914     A   04190 PRINT"MUCH THOUGH I WOULD LIKE TO EFFECT THIS TRANSACTION ON YOUR BEHALF,"
    0x00cefb0c     A   04200 PRINT"MASTER, IT WOULD COST"N6*N7" BUSHELS -- WHICH IS"
    0x00cefcb0     A   04210 PRINT"MORE THAN THE"I" BUSHELS IN YOUR STOREHOUSE."
    0x00cefd74     A   04220 PRINT"THEREFORE, PLEASE RECONSIDER:"
    0x00cefde8     A   04230 GOTO 4050
    0x00cefec0     A T 04240 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED."
    0x00ceff00     A   04250 GOSUB 6200
    0x00ceff44     A   04260 GOTO 4050
    0x00cf0050     A T 04270 IF N5-N8 = 0 GOTO 4330
    0x00cf0150     A   04280 IF N5-N8>P GOTO 4390
    0x00cf0208     A   04290 IF N5>N8 GOTO 4350
    0x00cf03d8     A   04300 PRINT"GOOD GRIEF, MASTER.  YOU HAVE ONLY"N5" ACRES."
    0x00cf0418     A T 04310 GOSUB6200
    0x00cf047c     A   04320 GOTO 4150
    0x00cf0548     A T 04330 PRINT "HEAVENS, MASTER! YOU WILL HAVE NO LAND LEFT!!"
    0x00cf0588     A   04340 GOTO 4310
    0x00cf06d0     A T 04350 F6 = N5-N8
    0x00cf0944     A   04360 PRINT "BY GOSH, MASTER! IF"P" PEOPLE ARE CRAMMED INTO "F6" ACRES,"
    0x00cf0a18     A   04370 PRINT "THERE WILL BE TROUBLE AT THE PALACE TONIGHT!"
    0x00cf0a58     A   04380 GOTO 4310
    0x00cf0b28     A T 04390 N5 = N5-N8
    0x00cf0c3c     A   04400 I = I+N6*N8
    0x00cf0c78     A   04410 GOTO 4440
    0x00cf0d48     A T 04420 N5 = N5+N7
    0x00cf0e90     A   04430 I = I-N6*N7
    0x00cf103c     A T 04440 PRINT"AS YOU KNOW, MASTER, THAT MEANS THERE ARE NOW"I"BUSHELS"
    0x00cf1140     A   04450 PRINT"     STASHED IN THE STOREHOUSE."
    0x00cf1224     A T 04460 PRINT "HOW MANY BUSHELS OF GRAIN DO YOU WISH TO DISTRIBUTE AS FOOD?"
    0x00cf1260     A   04470 GOSUB6090
    0x00cf1328     A   04480 N9 = Q
    0x00cf13f8     A   04490 G1 = 0
    0x00cf148c     A   04500 IF N9>= P GOTO 4630
    0x00cf1574     A   04510 G1 = 1
    0x00cf1640     A   04520 IF N9>= 0 GOTO 4550
    0x00cf1768     A   04530 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    0x00cf17b0     A   04540 GOTO 4670
    0x00cf1858     A T 04550 PRINT "TYRANT!! "
    0x00cf1938     A   04560 R9 = N9/P
    0x00cf1a04     A   04570 IF R9 = 0 GOTO 4600
    0x00cf1ae0     A   04580 PRINT"MANY ";
    0x00cf1b28     A   04590 GOTO 4610
    0x00cf1c18     A T 04600 PRINT"ALL THY ";
    0x00cf1cf4     A T 04610 PRINT "PEOPLE WILL STARVE... I SHALL LEAD THE REVOLUTION!!"
    0x00cf1e0c     A   04620 E8 = E8+1
    0x00cf1f1c     A T 04630 IF I-N9 = 0 GOTO 4690
    0x00cf2054     A   04640 IF I-N9>0 GOTO 4720
    0x00cf224c     A   04650 PRINT"THINK, MASTER. YOU HAVE ONLY"I" BUSHELS LEFT IN THE ";
    0x00cf2310     A   04660 PRINT "STOREHOUSE"
    0x00cf24f4     A T 04670 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf2564     A   04680 GOTO 4460
    0x00cf266c     A T 04690 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED"
    0x00cf2748     A   04700 PRINT"SURELY I MISHEARD YOU, MASTER.  PRAY TELL ME AGAIN,"
    0x00cf27ac     A   04710 GOTO 4670
    0x00cf2bac     A T 04720 Q9 = Q9*((LOG(2+N9/P))/(LOG(6)))*(SQR(150/Q9))
    0x00cf2cbc     A   04730 IF N9>= 2*P GOTO 4760
    0x00cf2d74     A   04740 IF N9<P GOTO 4760
    0x00cf2e98     A   04750 PRINT"NO POINT LETTING THEM GET TOO FAT, EH MASTER?"
    0x00cf2fac     A T 04760 IF N9<6*P GOTO 4790
    0x00cf30f0     A   04770 PRINT "BY GOLLY, MASTER, THY PEOPLE WILL BLOAT UP LIKE ZEPPELINS!"
    0x00cf32d4     A   04780 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf33d8     A T 04790 I = I-N9
    0x00cf35cc     A   04800 PRINT"THERE ARE"N5-P"ACRES AVAILABLE FOR CULTIVATION, SIRE"
    0x00cf369c     A T 04810 PRINT "HOW MANY DO YOU WISH TO PLANT WITH SEED?"
    0x00cf36d8     A   04820 GOSUB6090
    0x00cf376c     A   04830 N1 = Q
    0x00cf3838     A   04840 IF N1>= 0 GOTO 4890
    0x00cf3974     A   04850 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    0x00cf3a40     A   04860 PRINT "PRAY TELL ME AGAIN,"
    0x00cf3c24     A T 04870 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf3c60     A   04880 GOTO 4810
    0x00cf3d78     A T 04890 F7 = N5-P
    0x00cf3e0c     A   04900 IF F7>=N1 GOTO4950
    0x00cf3f2c     A   04910 PRINT " YOU DON'T HAVE THAT MUCH LAND, MASTER."
    0x00cf4144     A   04920 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf4218     A   04930 PRINT " BUT I'LL GIVE YOU ANOTHER CHANCE TO MAKE GOOD"
    0x00cf4264     A   04940 GOTO 4810
    0x00cf4370     A T 04950 IF N1>F7/3 GOTO 4980
    0x00cf44b8     A   04960 PRINT "YOUR DISTASTE FOR AGRICULTURE NEVER FAILS TO AMAZE ME, SIRE"
    0x00cf46a4     A   04970 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf4738     A T 04980 IF N1>F7 GOTO 5000
    0x00cf47f4     A   04990 IF I>= N1 GOTO 5180
    0x00cf48ac     A T 05000 IF F7>I GOTO 5060
    0x00cf49c8     A   05010 PRINT"COME NOW, MASTER..."
    0x00cf4b64     A   05020 PRINT"SUMER CURRENTLY HAS ONLY"F7" ACRES CAPABLE OF CULTIVATION"
    0x00cf4bfc     A   05030 IF N1>N5 GOTO 4870
    0x00cf4d04     A   05040 PRINT"(YOUR PEOPLE HAVE TO LIVE SOMEWHERE)"
    0x00cf4d4c     A   05050 GOTO 4870
    0x00cf4e48     A T 05060 PRINT USING 5060,I
    0x00cf4ec0     A   05070 :THINK, MASTER YOU HAVE ONLY ######## BUSHELS LEFT IN THE STOREHOUSE.
    0x00cf4fc0     A   05080 PRINT"(REMEMBER: ONE BUSHEL PER ACRE)"
    0x00cf50d4     A   05090 IF N1-I<20 GOTO 4870
    0x00cf54bc     A   05100 W0=INT(RND(F6+F7+H3+I+P+6+J)*11+1)
    0x00cf55dc     A   05110 PRINT USING 5110,Z$(W0)
    0x00cf5648     A   05120 :HOWEVER, YOUR NEIGHBOR 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00cf59cc     A   05130 I2 = INT(25+25*(RND(J))+INT(50*W0/11))
    0x00cf5ad8     A   05140 L = N1-I
    0x00cf5c88     A   05150 PRINT" HAS AGREED TO LEND YOU THE NECESSARY "L" BUSHELS AT A MODEST"
    0x00cf5e00     A   05160 PRINT"   RATE OF "I2"% INTEREST"
    0x00cf5ee0     A   05170 I = I+L
    0x00cf5ff0     A T 05180 IF 40*P>N1 GOTO 5250
    0x00cf61f4     A   05190 PRINT"YOUR"P" PEOPLE ARE GOING TO BE HARD-PRESSED TO PLANT"
    0x00cf6308     A   05200 PRINT N1" ACRES THIS SPRING, MASTER, WATCH OUT!"
    0x00cf649c     A   05210 N9 = N9+N1-50*P
    0x00cf65ac     A   05220 N9 = 50*P
    0x00cf6678     A   05230 IF N9>0 GOTO 5250
    0x00cf6754     A   05240 N1 =0
    0x00cf682c     A T 05250 I = I-N1
    0x00cf68f8     A   05260 IF I<1 GOTO 5440
    0x00cf6b00     A   05270 PRINT"AND HOW MANY OF YOUR"I"BUSHELS DO YOU WISH TO SPEND"
    0x00cf6bd8     A   05280 PRINT"    ON PROTECTING YOUR GRAIN FROM THE PSSSTOCKS?"
    0x00cf6c14     A T 05290 GOSUB6090
    0x00cf6cec     A   05300 A1 = Q
    0x00cf6db8     A   05310 IF A1>= 0 GOTO 5360
    0x00cf6f10     A   05320 PRINT"NEGATIVE NUMBERS REMAIN A COMPLETE MYSTERY TO ME, MASTER,"
    0x00cf6ff0     A   05330 PRINT"CAN YOU PLEASE GIVE ME THAT FIGURE AGAIN?"
    0x00cf71d4     A   05340 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf721c     A   05350 GOTO 5290
    0x00cf72ac     A T 05360 IF I>= A1 GOTO 5500
    0x00cf73e0     A   05370 PRINT"THOU, MASTER, ART TRULY AFRAID OF THE MIGHTY PSSSTOCKS"
    0x00cf74b0     A   05380 IF I = 0 GOTO 5470
    0x00cf75b8     A   05390 PRINT USING 5390,I
    0x00cf7614     A   05400 :HOWEVER THOU HAST A MERE ######## BUSHELS
    0x00cf775c     A   05410 PRINT"REPOSING IN A CORNER OF YOUR STOREHOUSE..."
    0x00cf7878     A   05420 PRINT"I SHALL PRESUME UPON YOUR DESIRE TO BLOW IT ALL ON THE OUTER"
    0x00cf7958     A   05430 PRINT"WALLS, RATHER THAN LET IT FALL INTO THE HANDS OF THE ENEMY."
    0x00cf79e4     A T 05440 A1 = I
    0x00cf7aa8     A   05450 I = 0
    0x00cf7b08     A   05460 GOTO 5510
    0x00cf7c0c     A T 05470 PRINT"BUT THIS YEAR THY FEARS ARE UNFOUNDED,"
    0x00cf7cf4     A   05480 PRINT"FOR THOU HAST LEFT NO GRAIN IN THE STOREHOUSE FOR THE THIEVES."
    0x00cf7d34     A   05490 GOTO 5440
    0x00cf7e0c     A T 05500 I = I-A1
    0x00cf7ed8     A T 05510 IF E2 = 0 GOTO 5600
    0x00cf7fb0     A   05520 J = RND(J)
    0x00cf807c     A   05530 IF J>.5 GOTO 5560
    0x00cf81d0     A   05540 J = 1-J
    0x00cf8238     A   05550 REM CALC. CHANCE OF SURVIVING NEXT YR. WITH CONTRIB. OF E1
    0x00cf831c     A T 05560 IF R9<.5 GOTO 5580
    0x00cf85dc     A   05570 IF 2.5*J+E1/P+P/40>3 GOTO 5600
    0x00cf86c0     A T 05580 E2 = 2
    0x00cf8700     A   05590 REM CALC. HARVEST
    0x00cf87c8     A T 05600 J = RND(J)
    0x00cf8954     A   05610 N2 = 3.5*J+1.5
    0x00cf8a58     A   05620 N3 = INT(N2*N1)
    0x00cf8b24     A   05630 IF Q9<150 GOTO 5650
    0x00cf8db4     A   05640 N3 = N3*((150*150)/(Q9*Q9))
    0x00cf8e48     A T 05650 H3 = N3
    0x00cf8f14     A   05660 IF W = 0 GOTO 5680
    0x00cf9064     A   05670 N3 = INT(H3/2)
    0x00cf9130     A T 05680 J = RND(J)
    0x00cf9180     A   05690 REM CALCULATE N4: PSSSTOCK THEFT
    0x00cf9748     A   05700 N4 = I^2/(2*(I+A1+1))-A1*J+(N3-8*A1)/(10-N2-E9)
    0x00cf9814     A   05710 IF N4>20 GOTO 5730
    0x00cf98f4     A   05720 N4 = 0
    0x00cf99ac     A T 05730 N4 = INT(N4)
    0x00cf9adc     A   05740 I = I+N3-N4
    0x00cf9b30     A   05750 REM CALCULATE I1: NUMBER OF IMMIGRANTS
    0x00cfa020     A   05760 I1 = R9*(N5^2*SQR(A1+N9)/(A*P^1.5)-4*E9-2*E8)
    0x00cfa0e0     A   05770 I1 = INT(I1)
    0x00cfa1b8     A   05780 IF I1<N5-P GOTO 5800
    0x00cfa2a0     A   05790 I1=N5-P
    0x00cfa374     A T 05800 P1 = 0
    0x00cfa4e4     A   05810 IF 10*RND(J)<9 GOTO 5830
    0x00cfa5c8     A   05820 P1 = 1
    0x00cfa694     A T 05830 IF I1<15 GOTO 5860
    0x00cfa7c0     A   05840 PRINT"A RUMOR OF SUMER'S PROSPERITY IS SPREADING TO"
    0x00cfa880     A   05850 PRINT"NEIGHBORING COUNTRIES."
    0x00cfa970     A T 05860 J = RND(J)
    0x00cfa9e0     A   05870 REM CALCULATE D: NUMBER OF DEATHS FROM STARVATION AND MISC CAUSES
    0x00cfb160     A   05880 D = (P^2)/((2*N9+1)*(Q9*Q9)/(150*150)) + (10*E9*J) - (20*A1)/(I+1)
    0x00cfb3c8     A   05890 D = D*((150*150)/(Q9*Q9))
    0x00cfb494     A   05900 IF D>0 GOTO 5920
    0x00cfb578     A   05910 D = 0
    0x00cfb60c     A T 05920 IF P>D GOTO 5980
    0x00cfb98c     A   05930 D = (P-1)*(5+J+E9)/(6+E9)
    0x00cfba70     A   05940 PRINT"UNDER YOUR RULE, MASTER, YOUR PEOPLE ARE FAST SICKENING"
    0x00cfbb40     A   05950 IF E8<2 GOTO 5980
    0x00cfbc88     A   05960 PRINT"AND THE INTELLIGENTSIA ARE COMMITTING SUICIDE,"
    0x00cfbd60     A   05970 PRINT"RATHER THAN SUFFER THE RESULTS OF YOUR MISTAKES"
    0x00cfbe18     A T 05980 D = INT(D)
    0x00cfbf3c     A   05990 P = P-D+I1
    0x00cfbf80     A   06000 REM CALC. PRICE OF LAND
    0x00cfc050     A   06010 J = RND(J)
    0x00cfc1d8     A   06020 N6 = 11*J+11
    0x00cfc288     A   06030 N6 = INT(N6)
    0x00cfc2dc     A   06040 PRINT
    0x00cfc398     A   06050 PRINT "   (A YEAR PASSETH.....)"
    0x00cfc3d8     A   06060 PRINT
    0x00cfc4e4     A   06070 R = R+1
    0x00cfc540     A   06080 GOTO 2140
    0x00cfc594    B  G 06090 REM SUBROUTINE TO READ ONE BUDGET FIGURE
    0x00cfc64c    B  T 06100 INPUT B
    0x00cfc70c    B    06110 Q = INT(B)
    0x00cfc7a0    B    06120 IF Q = B GOTO 6170
    0x00cfd908    B    06130 PRINT "LAND O'GOSHEN,MASTER, FRACTIONS!!  MY POOR LITTLE CPU REELS"
    0x00cfd9f0    B    06140 PRINT"PLEASE GIVE ME THAT NUMBER AGAIN, OH GREAT ONE"
    0x00cfdbd4    B    06150 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cfdc1c    B    06160 GOTO 6100
    0x00cfdce4    B  T 06170 IF Q = -73 GOTO 6670
    0x00cfdd24    B    06180 RETURN
    0x00cfdddc  DC   G 06190 REM SUBROUTINE TO DEDUCT 10% OF STOREHOUSE GRAIN FOR SILLY MISTAKES
    0x00cfdf3c  DC   G 06200 I5 = I/10
    0x00cfe02c  DC     06210 I5 = INT(I5)
    0x00cfe1e8  DC     06220 PRINT"FOR A GIFT OF BUT"I5" BUSHELS, I GUARANTEE THAT NO-ONE SHALL"
    0x00cfe2b8  DC     06230 PRINT"EXPOSE YOUR STUPIDITY BEFORE THE POPULACE."
    0x00cfe2f4  DC     06240 PRINT
    0x00cfe32c  DC     06250 REM
    0x00cfe434  DC     06260 I = I-I5
    0x00cfe500  DC     06270 PRINT "THANK YOU, SIRE.  NOW, PRAY TELL ME AGAIN,"
    0x00cfe52c  DC     06280 RETURN
    0x00cfe62c     A T 06290 PRINT USING 6290,P
    0x00cfe690     A   06300 :HONOURED MASTER, I AND YOUR ####  LOYAL SUBJECTS,
    0x00cfe7c0     A   06310 IF D9<12*Y GOTO 6340
    0x00cfe990     A   06320 PRINT"HAVING SUFFERED FOR"R"YEARS UNDER YOUR REIGN,"
    0x00cfe9d8     A   06330 GOTO 6360
    0x00cfeac0     A T 06340 PRINT USING 6340,R
    0x00cfeb20     A   06350 :HAVING PROSPERED FOR ## YEARS UNDER YOUR REIGN,
    0x00cfec30     A T 06360 PRINT"HAVE ALL DECIDED TO EMIGRATE AND JOIN THE"
    0x00cfed00     A   06370 IF P>50 GOTO 6400
    0x00cfede8     A   06380 PRINT"JANITORIAL DEPARTMENT"
    0x00cfee48     A   06390 GOTO 6410
    0x00cfef38     A T 06400 PRINT"RESEARCH AND DEVELOPMENT DEPARTMENT"
    0x00cff00c     A T 06410 PRINT"THAT WE MIGHT LEARN TO BE AS WISE AS THEE..."
    0x00cff054     A T 06420 GOSUB 6690
    0x00cff108     A   06430 PRINT"FAREWELL"
    0x00cff1cc     A   06440 PRINT"SCORE BREAKDOWN"
    0x00cff290     A   06450 PRINT"---------------"
    0x00cff50c     A   06460 C1 =INT(P*.8+.5)-22
    0x00cff604     A   06470 PRINT"POPULATION"C1
    0x00cff804     A   06480 C2 =  INT(I/40+0.5)
    0x00cff8fc     A   06490 PRINT"GRAIN     "C2
    0x00cffafc     A   06500 C3 = INT(N5/20+0.5)
    0x00cffbf4     A   06510 PRINT"LAND      "C3
    0x00cffdf4     A   06520 C4 = -INT(E8/2+0.5)
    0x00cffee8     A   06530 PRINT"MISTAKES  "C4
    0x00ceb77c     A   06540 Q1=-INT(G1*9+0.5)
    0x00ceb874     A   06550 PRINT"HUNGER    "Q1
    0x00cebaac     A   06560 Q1=-INT(Y*4+0.5)+36
    0x00cebbac     A   06570 PRINT"YEARS     "Q1
    0x00d00058     A   06580 Q1=-INT((G2/(R+1))*3+0.5)+7
    0x00d00140     A   06590 PRINT"HARVEST   "Q1
    0x00d002fc     A   06600 Q1=-INT(F3*50+0.5)
    0x00d003fc     A   06610 PRINT"FLOP      "Q1
    0x00d0072c     A   06620 Q1=-INT((D9/(R+1))*1.5+0.5)+10
    0x00d00824     A   06630 PRINT"DEATHS    "Q1
    0x00d008ec     A   06640 PRINT"---------- ---"
    0x00d00a48     A   06650 PRINT"TOTAL     "INT(S)
    0x00d00b10     A   06660 J = RND(J)
    0x00d00b5c    BA T 06670 CHAIN "DSK:BASIC.BAS",20
    0x00d00b94    BA   06680 STOP
    0x00d01554 E     G 06690 S = P*.8+I/40+N5/20-E8/2-G1*9-Y*4-(G2/(R+1))*3-F3*50-(D9/(R+1))*1.5+8
    0x00d016c8 E       06700 FOR X = 1 TO 8
    0x00d0178c E       06710 IF S<T(X) GOTO 6730
    0x00d017f4 E       06720 NEXT X
    0x00d0191c E     T 06730 PRINT USING 6740,A$(X)
    0x00d01978 E       06740 :YOUR PERFORMANCE WAS 'LLLLLLLLLLLLLLLLLL
    0x00d019b0 E       06750 RETURN
    0x00d019e0     A   06760 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     02030      02010T
     02140      06080T
     02190      02160T
     02200      02180T
     02230      02210T
     02280      02250T
     02300      02280T
     02370      02270T, 02290T, 02300T
     02410      02380T
     02420      02400T
     02440      03050T, 03140T, 03170T
     02470      02420T
     02500      02480T
     02610      02580T
     02630      02700T
     02640      02690T, 02720T
     02680      02620T
     02700      02570T
     02730      02650T
     02740      02670T
     02870      02760T
     02910      02860T
     02960      02900T
     02970      02740T, 02950T
     03040      03020T
     03060      03030T
     03080      02770T
     03150      03010T
     03180      03150T
     03190      03070T
     03200      03000T
     03280      03250T, 03260T
     03310      03280T
     03330      03300T
     03380      03490T, 03560T
     03500      03450T
     03570      03500T
     03600      03270T, 03440T
     03650      03600T
     03670      03650T
     03800      03760T
     03850      03810T
     03910      03890T
     03930      03660T, 03690T, 03800T, 03910T
     03970      03940T, 04060T
     04000      03980T
     04050      04230T, 04260T
     04070      04020T, 04160T
     04100      04080T
     04150      04320T
     04170      04030T
     04240      04170T
     04270      04130T
     04310      04340T, 04380T
     04330      04270T
     04350      04290T
     04390      04280T
     04420      04180T
     04440      04410T
     04460      04120T, 04680T
     04550      04520T
     04600      04570T
     04610      04590T
     04630      04500T
     04670      04540T, 04710T
     04690      04630T
     04720      04640T
     04760      04730T, 04740T
     04790      04760T
     04810      04880T, 04940T
     04870      05030T, 05050T, 05090T
     04890      04840T
     04950      04900T
     04980      04950T
     05000      04980T
     05060      05000T
     05180      04990T
     05250      05180T, 05230T
     05290      05350T
     05360      05310T
     05440      05260T, 05490T
     05470      05380T
     05500      05360T
     05510      05460T
     05560      05530T
     05580      05560T
     05600      05510T, 05570T
     05650      05630T
     05680      05660T
     05730      05710T
     05800      05780T
     05830      05810T
     05860      05830T
     05920      05900T
     05980      05920T, 05950T
     06090      03390G, 03740G, 04000G, 04100G, 04470G, 04820G, 05290G
     06100      06160T
     06170      06120T
     06190      03480G
     06200      04250G, 04310G
     06290      03240T
     06340      06310T
     06360      06330T
     06400      06370T
     06410      06390T
     06420      02460T
     06670      06170T
     06690      06420G
     06730      06710T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cfc820   0x00cfc820   0x00cfd120   0x00cfd120 
   B) 0x00cfd014   0x00cfd014   0x00cfd038   0x00cfd100 
   C) 0x00cfd03c   0x00cfd03c   0x00cfd060   0x00cfd060 
   D) 0x00cfd03c   0x00cfd040   0x00cfd060   0x00cfd060 
   E) 0x00cfd104   0x00cfd104   0x00cfd11c   0x00cfd11c 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine B!
    NOTE: Routine D overlaps, or is tangled with, routine B!
    NOTE: Routine D overlaps, or is tangled with, routine C!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cfc820   0x00cfc820   0x00cfd120   0x00cfd120 
   B) 0x00cfd014   0x00cfd014   0x00cfd038   0x00cfd100 
   C) 0x00cfd03c   0x00cfd03c   0x00cfd060   0x00cfd060 
   D) 0x00cfd03c   0x00cfd040   0x00cfd060   0x00cfd060 
   E) 0x00cfd104   0x00cfd104   0x00cfd11c   0x00cfd11c 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine B!
    NOTE: Routine D overlaps, or is tangled with, routine B!
    NOTE: Routine D overlaps, or is tangled with, routine C!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     06090 - 06280      20 
     06690 - 06750       7 
     06770 - 06770       1 
     07170 - 10000    2840 

 */



/*
 *  Symbol Table Listing for '..\basic\Sumer.bas'
 *
    A              Integer 
    A$    Array    String      {0,10} 
    A1             Integer 
    B              Integer 
    B$             String  
    C1             Integer 
    C2             Integer 
    C3             Integer 
    C4             Integer 
    CLK$           String  
    D              Integer 
    D5             Integer 
    D9             Integer 
    E1             Integer 
    E2             Integer 
    E5             Integer 
    E8             Integer 
    E9             Integer 
    F3             Integer 
    F6             Integer 
    F7             Integer 
    F9             Integer 
    G1             Integer 
    G2             Float   
    H3             Integer 
    I              Integer 
    I1             Integer 
    I2             Integer 
    I5             Integer 
    INT   Function Integer     args=1, float 
    J              Integer 
    L              Integer 
    LOG   Function Integer     args=1, int   
    N1             Integer 
    N2             Float   
    N3             Integer 
    N4             Integer 
    N5             Integer 
    N6             Integer 
    N7             Integer 
    N8             Integer 
    N9             Integer 
    P              Integer 
    P1             Integer 
    Q              Integer 
    Q1             Integer 
    Q9             Integer 
    R              Integer 
    R9             Integer 
    RND   Function Integer     args=1, int   
    S              Float   
    SQR   Function Integer     args=1, float 
    T              Integer 
    T     Array    Integer     {0,9} 
    W              Integer 
    W0             Integer 
    W2             Integer 
    X              Integer 
    Y              Integer 
    Z              Integer 
    Z$    Array    String      {0,12} 
    Z8             Integer 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Sumer.bas: 
 *
               +---+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |   | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |   | |
      Address  v   v v Original BASIC statement
    ---------- ----- - ------------------------------------------------------------------------------
    0x00cdba88     A   01000 REM ***********************************
    0x00cdbb0c     A   01010 REM ***                             ***
    0x00cdbb90     A   01020 REM *** SUMER  V3.5 L2  JOHN MELLOR ***
    0x00cdbc14     A   01030 REM ***                             ***
    0x00cdbc98     A   01040 REM ***********************************
    0x00cdbcd8     A   01050 REM
    0x00cdbd40     A   01060 REM LAST UPDATED: 04/05/74
    0x00cdbd98     A   01070 REM ADAPTED FROM: DICK'S VERSION ON VM/370
    0x00cdbdd8     A   01080 REM
    0x00cdc904     A   01090 REM *** "SUMER" - GOVERNMENT EXERCISE (IMAGINARY KINGDOM) ***
    0x00cdc9b4     A   01100 REM *********************************************************
    0x00cdca64     A   01110 REM * PROGRAM DOCUMENTATION BLOCK:                          *
    0x00cdcab0     A   01120 REM A  = INITIAL LAND OWNED - ACRES
    0x00cdcb14     A   01130 REM A1 = DEFENSE BUDGET
    0x00cdcb94     A   01140 REM A$ = RULER PERFORMANCE EVALUATIONS
    0x00cdcc14     A   01150 REM B  = PRE-INTEGERIZED BUDGET FIGURE
    0x00cdcc94     A   01160 REM D  = PEOPLE DEAD FROM STARVATION
    0x00cdcd14     A   01170 REM D5 = PEOPLE DEAD FROM THE PLAGUE
    0x00cdcd7c     A   01180 REM D9 = CUMULATIVE DEATHS
    0x00cdcdec     A   01190 REM E1 = ELECTION CONTRIBUTION
    0x00cdce94     A   01200 REM E2 = ELECTION FLAG (0 = NO ELECT, 1 = WIN, 2 = LOSS)
    0x00cdcf2c     A   01210 REM E5 = FIRST ELECTION FLAG 0 = NO ELECTION YET
    0x00cdcfa0     A   01220 REM E8 = CUMULATIVE ERROR COUNT
    0x00cdd008     A   01230 REM E9 = ERRORS THIS YEAR
    0x00cdd08c     A   01240 REM F3 = RULER IS A FLOP FLAG (1= FLOP)
    0x00cdd120     A   01250 REM F6 = ACRES LEFT AFTER PROPOSED SALE OF LAND
    0x00cdd1b4     A   01260 REM F7 = NUMBER OF ACRES CAPABLE OF CULTIVATION
    0x00cdd21c     A   01270 REM F9 = BRIBE TO PRIESTS
    0x00cdd29c     A   01280 REM G1 = HUNGER FLAG (0 = NOT HUNGRY)
    0x00cdd318     A   01290 REM G2 = CUMULATIVE HARVEST QUALITY
    0x00cdd378     A   01300 REM H3 = GROSS HARVEST
    0x00cdd3ec     A   01310 REM I  = NET STOREHOUSE BUSHELS
    0x00cdd45c     A   01320 REM I1 = NUMBER OF IMMIGRANTS
    0x00cdd5c0     A   01330 REM I2 = INTEREST RATE
    0x00cdd634     A   01340 REM I5 = AMOUNT OF BRIBE FOR M5
    0x00cdd694     A   01350 REM J  = RANDOM NUMBER
    0x00cdd740     A   01360 REM L  = AMOUNT BORROWED FROM GONZOR AND ALL HIS FRIENDS...
    0x00cdd7a0     A   01370 REM N1 = ACRES PLANTED
    0x00cdd828     A   01380 REM N2 = HARVEST DENSITY IN BUSHELS/ACRE
    0x00cdd888     A   01390 REM N3 = NET HARVEST
    0x00cdd8ec     A   01400 REM N4 = PSSSTOCK THEFT
    0x00cdd94c     A   01410 REM N5 = ACRES OWNED
    0x00cdd9ac     A   01420 REM N6 = PRICE OF LAND
    0x00cdda20     A   01430 REM N7 = NUMBER OF ACRES BOUGHT
    0x00cdda90     A   01440 REM N8 = NUMBER OF ACRES SOLD
    0x00cddaf8     A   01450 REM N9 = FOOD ALLOCATION
    0x00cddb54     A   01460 REM P  = POPULATION
    0x00cddbcc     A   01470 REM P1 = PLAGUE FLAG (1 = PLAGUE)
    0x00cddc3c     A   01480 REM Q  = BUDGET QUANTITY INPUT
    0x00cddcd8     A   01490 REM R  = CURRENT YEAR NUMBER (ZERO ORIGIN INDEXING)
    0x00cddd68     A   01500 REM R9 = REVOLUTION FLAG (1 = NO REVOLUTION)
    0x00cdddb8     A   01510 REM S  = SCORE
    0x00cdde3c     A   01520 REM T  = PERFORMANCE SCORE GRADE POINTS
    0x00cddec0     A   01530 REM W  = BAD WEATHER FLAG (1  = STORMS)
    0x00cddf50     A   01540 REM W0 = WHO WE BORROWED FROM (INDEX INTO Z$)
    0x00cddfac     A   01550 REM X  = LOOP INDEX
    0x00cde03c     A   01560 REM Y  = TOTAL NUMBER OF YEARS FOR THIS GAME
    0x00cde0bc     A   01570 REM Z$ = LIST OF NAMES OF MONEYLENDERS
    0x00cde0fc     A   01580 REM
    0x00cde214     A   01590 DIM T(8)
    0x00cde24c     A   01600 RANDOMIZE
    0x00cde35c     A   01610 DIM Z$(11)
    0x00cde4dc     A   01620 A$(1) = "GHASTLY"
    0x00cde620     A   01630 A$(2) = "APPALLING"
    0x00cde764     A   01640 A$(3) = "SLUGGISH AT BEST"
    0x00cdea9c     A   01650 A$(4) = "SO-SO"
    0x00cdebd8     A   01660 A$(5) = "GOOD"
    0x00cded18     A   01670 A$(6) = "VERY GOOD"
    0x00cdee5c     A   01680 A$(7) = "EXCELLENT"
    0x00cdefac     A   01690 A$(8) = "SUPER FANTASTIC"
    0x00cdf100     A   01700 Z$(1) = "IGNARP THE HAIRLESS"
    0x00cdf264     A   01710 Z$(5) = "GONZOR THE TOOTHLESS"
    0x00cdf3c4     A   01720 Z$(10) = "THE THUMBSCREW COLLECTION AGENCY"
    0x00cdf514     A   01730 Z$(3) = "WILVILLE AND ORBUR"
    0x00cdf668     A   01740 Z$(8) = "TRAXLER THE WISE"
    0x00cdf7c0     A   01750 Z$(4) = "THUNDERMUG THE ODIFEROUS"
    0x00cdf914     A   01760 Z$(11) = "DICKY THE TRICKY"
    0x00cdfa70     A   01770 Z$(2) = "YGGDRASIL THE STRANGE"
    0x00cdfbcc     A   01780 Z$(7) = "THE TREEFROG FINANCE COMPANY"
    0x00cdfd1c     A   01790 Z$(9) = "ZARDOZ THE WICKED"
    0x00cdfe70     A   01800 Z$(6) = "SHOOGAR THE MAGICIAN"
    0x00ce0140     A   01810 DATA 20,35,50,67,75,84,95,999
    0x00ce09ec     A   01820 DATA 400,10,0,0,0,0,750,675,10,300,2.5,750,75,400,15,40,0,1,0,5
    0x00ce0ac4     A   01830 MAT READ T
    0x00ce1438     A   01840 READ A,D,E2,E5,E8,E9,H3,I,I1,N1,N2,N3,N4,N5,N6,P,R,R9,W,Y
    0x00ce1538     A   01850 D9 = 0
    0x00ce163c     A   01860 F3 = 0
    0x00ce1740     A   01870 L  = 0
    0x00ce1844     A   01880 G1 = 0
    0x00ce1948     A   01890 P1 = 0
    0x00ce1a50     A   01900 G2 = 0
    0x00ce1b58     A   01910 Q9 = 150
    0x00ce1c74     A   01920 B$ = CLK$
    0x00ce1d30     A   01930 CHANGE B$ TO W2
    0x00ce1f1c     A   01940 W2 = W2 + 50 * RND(P)
    0x00ce217c     A   01950 J  = INT(RND(W2)*100+1)
    0x00ce222c     A   01960 J  = RND(J)
    0x00ce2314     A   01970 Z  = J
    0x00ce2528     A   01980 J  = RND( INT( SQR( Z * Z + .5)))
    0x00ce26e4     A   01990 N6 = INT( 7 * J + 13)
    0x00ce28c0     A   02000 Y  =  INT( RND(J)*5) + 8
    0x00ce298c     A   02010 IF Y > 4 GOTO 2030
    0x00ce2a70     A   02020 Y  = 5
    0x00ce2b4c     A T 02030 PRINT USING 2030,Y
    0x00ce2b9c     A   02040 :SUMER VERSION 1.35   (## YEARS)
    0x00ce2be4     A   02050 PRINT
    0x00ce2c38     A   02060 PRINT
    0x00ce2d0c     A   02070 PRINT "MY LORD AND MASTER,"
    0x00ce2dfc     A   02080 PRINT "ABSOLUTE RULER OF SUMER,"
    0x00ce2f00     A   02090 PRINT "I, YOUR HUMBLE SERVANT, THE M5 MULTITRONIC UNIT,"
    0x00ce2fd0     A   02100 PRINT "BEG TO REPORT ON THE STATE OF YOUR DOMAIN..."
    0x00ce3008     A   02110 REM
    0x00ce30a0     A   02120 REM SUBSEQUENT YEARS LOOP BACK TO NEXT STATEMENT
    0x00ce30e0     A   02130 REM
    0x00ce3318     A T 02140 PRINT "IT IS NOW YEAR"R+1" OF YOUR REIGN."
    0x00ce34a0     A   02150 PRINT "LAST YEAR" D" PE";
    0x00ce3570     A   02160 IF D = 1 GOTO 2190
    0x00ce364c     A   02170 PRINT "OPLE";
    0x00ce3690     A   02180 GOTO 2200
    0x00ce3760     A T 02190 PRINT "RSON";
    0x00ce38f4     A T 02200 PRINT " DIED AND"I1" IMMIGRANT";
    0x00ce39c4     A   02210 IF I1 = 1 GOTO 2230
    0x00ce3ab0     A   02220 PRINT "S";
    0x00ce3b74     A T 02230 PRINT " CAME INTO YOUR DOMAIN"
    0x00ce3c54     A   02240 D9 = D9 + D
    0x00ce3d20     A   02250 IF I1 > 0 GOTO 2280
    0x00ce3e38     A   02260 PRINT "(YOU'VE BEEN RECEIVING A BAD PRESS LATELY...)"
    0x00ce3e84     A   02270 GOTO 2370
    0x00ce3f4c     A T 02280 IF P1 = 1 GOTO 2300
    0x00ce43b4     A   02290 GOTO 2370
    0x00ce447c     A T 02300 IF I1 < 2 GOTO 2370
    0x00ce45b8     A   02310 PRINT "MOST REGRETTABLY, THEY BROUGHT WITH THEM A MYSTERIOUS PLAGUE"
    0x00ce468c     A   02320 J  = RND(J)
    0x00ce494c     A   02330 D5 = INT( I1 / 2 + 10 * J * I1 / P)
    0x00ce4a20     A   02340 D9 = D9 + D5
    0x00ce4b1c     A   02350 P  = P - D5
    0x00ce4ccc     A   02360 PRINT " AND"D5" PEOPLE DIED IN THE ENSUING EPIDEMIC."
    0x00ce4dfc     A T 02370 PRINT "THE PRESENT POPULATION OF SUMER IS THEREFORE"P;
    0x00ce4ecc     A   02380 IF G1 = 0 GOTO 2410
    0x00ce4fac     A   02390 PRINT "HUNGRY SUBJECTS"
    0x00ce4ff8     A   02400 GOTO 2420
    0x00ce50b0     A T 02410 PRINT "LOYAL SUBJECTS"
    0x00ce5180     A T 02420 IF P > 9 GOTO 2470
    0x00ce52e0     A   02430 PRINT "WE WHO REMAIN HAVE DECIDED TO LEAVE FOR A HEALTHIER PLANET."
    0x00ce53b0     A T 02440 PRINT "FRANKLY, MASTER, AS A RULER YOU ARE A FLOP"
    0x00ce5478     A   02450 F3 = 1
    0x00ce54b0     A   02460 GOTO 6420
    0x00ce54f4     A T 02470 PRINT
    0x00ce55c4     A   02480 IF Q9 < 150 GOTO 2500
    0x00ce585c     A   02490 N2 = (150 * 150) / (Q9 * Q9) * N2
    0x00ce59d8     A T 02500 PRINT "THE PEASANTS NOW WEIGH "Q9 "LBS."
    0x00ce5ad4     A   02510 G2 = G2 + N2
    0x00ce5d18     A   02520 PRINT "WE PLANTED"N1" OF YOUR"N5" ACRES LAST YEAR"
    0x00ce5e04     A   02530 PRINT USING 2530,N2
    0x00ce5e60     A   02540 :    AND HARVESTED #.## BUSHELS PER ACRE...
    0x00ce5f6c     A   02550 PRINT USING 2550,H3
    0x00ce5fd0     A   02560 :THE TOTAL HARVEST WAS THEREFORE ######## BUSHELS
    0x00ce60bc     A   02570 IF W  = 0 GOTO 2700
    0x00ce61b0     A   02580 IF H3 = 0 GOTO 2610
    0x00ce62e0     A   02590 PRINT "BUT, UNFORTUNATELY, STORMS DESTROYED HALF YOUR CROP"
    0x00ce642c     A   02600 G2 = G2 - N2 / 2
    0x00ce64fc     A T 02610 W  = 0
    0x00ce65c8     A   02620 IF N4 = 0 GOTO 2680
    0x00ce66b0     A T 02630 PRINT "AND";
    0x00ce6784     A T 02640 PRINT " THE PSSSTOCK";
    0x00ce6854     A   02650 IF N4 = 0 GOTO 2730
    0x00ce69f8     A   02660 PRINT "S STOLE"N4" BUSHELS"
    0x00ce6ac8     A   02670 IF W = 0 GOTO 2740
    0x00ce6bac     A T 02680 PRINT "- HOWEVER";
    0x00ce6bf8     A   02690 GOTO 2640
    0x00ce6cc0     A T 02700 IF N4 = 0 GOTO 2630
    0x00ce6d9c     A   02710 PRINT "BUT";
    0x00ce6e00     A   02720 GOTO 2640
    0x00ce6ed0     A T 02730 PRINT " RAIDERS WERE SUCCESSFULLY REPELLED"
    0x00ce6fa0     A T 02740 IF L <= 0 GOTO 2970
    0x00ce724c     A   02750 L = INT( ((100 + I2) * L) / 100)
    0x00ce72e0     A   02760 IF I >= L GOTO 2870
    0x00ce7528     A   02770 IF I + (N5-P)*(N6/6)<L GOTO 3080
    0x00ce7660     A   02780 PRINT "UNFORTUNATELY, YOU DO NOT HAVE ENOUGH GRAIN LEFT TO "
    0x00ce77c4     A   02790 PRINT USING 2790, Z$(W0)
    0x00ce782c     A   02800 :REPAY YOUR DEBT TO 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00ce7a44     A   02810 PRINT "OF "L" BUSHELS. HOWEVER, IN HIS INFINITE GENEROSITY, HE HAS"
    0x00ce7b50     A   02820 PRINT "DECIDED NOT TO FORECLOSE ON OUR KINGDOM BUT WILL TAKE"
    0x00ce7c60     A   02830 PRINT "LAND IN REPAYMENT AT ONE-SIXTH THE GOING RATE (IN"
    0x00ce7d48     A   02840 PRINT "ADDITION TO THE GRAIN IN THE STOREHOUSE) UNTIL YOUR DEBT"
    0x00ce7df8     A   02850 PRINT "IS PAID."
    0x00ce7e48     A   02860 GOTO 2910
    0x00ce7f50     A T 02870 PRINT USING 2870,Z$(W0)
    0x00ce7fa8     A   02880 : AND 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00cde8f8     A   02890 PRINT "COLLECTED THE "L" BUSHELS  THAT YOU OWED."
    0x00cde948     A   02900 GOTO 2960
    0x00ce8268     A T 02910 Z8 = INT((6*(L-I)/N6)+.5)
    0x00ce8368     A   02920 N5 = N5 - Z8
    0x00ce84ec     A   02930 PRINT "YOU THEREFORE HAVE "N5" ACRES OF LAND REMAINING."
    0x00ce85b4     A   02940 I = 0
    0x00ce85f0     A   02950 GOTO 2970
    0x00ce86b8     A T 02960 I = I - L
    0x00ce8784     A T 02970 L = 0
    0x00ce8878     A   02980 PRINT USING 2980,I
    0x00ce88e0     A   02990 :THUS YOU NOW HAVE ######## BUSHELS IN YOUR STOREHOUSE.
    0x00ce89cc     A   03000 IF E2 = 0 GOTO 3200
    0x00ce8b04     A   03010 IF E1 > 0 GOTO 3150
    0x00ce8bf8     A   03020 IF E1 < 0 GOTO 3040
    0x00ce8cec     A   03030 IF E2 = 1 GOTO 3060
    0x00ce8e2c     A T 03040 PRINT "HOWEVER, ALAS! A RECENT COUP D'ETAT HAS DEPOSED YOU FROM OFFICE."
    0x00ce8eb0     A   03050 GOTO 2440
    0x00ce8f94     A T 03060 PRINT "LUCKILY, YOU MANAGED TO MAINTAIN YOUR DICTATORSHIP DURING THE YEAR."
    0x00ce8fdc     A   03070 GOTO 3190
    0x00ce90d0     A T 03080 PRINT USING 2990,I
    0x00ce9270     A   03090 PRINT "HOWEVER AND ALAS! THIS IS LESS THAN THE "L" BUSHELS"
    0x00ce9394     A   03100 PRINT USING 3100,Z$(W0)
    0x00ce9400     A   03110 :    THAT YOU OWE 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00ce9528     A   03120 PRINT " WE HAVE THEREFORE BEEN FORECLOSED"
    0x00ce95fc     A   03130 PRINT "   ON YOUR HAPPY KINGDOM.  YOU ARE DEPOSED."
    0x00ce9648     A   03140 GOTO 2440
    0x00ce9710     A T 03150 IF E2 = 1 GOTO 3180
    0x00ce9830     A   03160 PRINT "ALAS! YOU LOST THE ELECTION - IT THEREFORE SEEMS"
    0x00ce98a4     A   03170 GOTO 2440
    0x00ce9974     A T 03180 PRINT "LUCKILY, THE ELECTION GAVE YOU THE REQUIRED MAJORITY."
    0x00ce9a38     A T 03190 E2 = 0
    0x00ce9a70     A T 03200 PRINT
    0x00ce9aa8     A   03210 REM
    0x00ce9b28     A   03220 REM TEST IF TERM OF OFFICE HAS EXPIRED
    0x00ce9b68     A   03230 REM
    0x00ce9c18     A   03240 IF R >= Y GOTO 6290
    0x00ce9d0c     A   03250 IF E9 > 1 GOTO 3280
    0x00ce9e70     A   03260 IF R = INT(Y/2) GOTO 3280
    0x00ce9ed4     A   03270 GOTO 3600
    0x00ce9f9c     A T 03280 IF E5 = 0 GOTO 3310
    0x00cea064     A   03290 PRINT "AGAIN"
    0x00cea0a8     A   03300 GOTO 3330
    0x00cea15c     A T 03310 PRINT "NOW";
    0x00cea254     A   03320 E5 = 1
    0x00cea364     A T 03330 PRINT ", A MOVEMENT IS AFOOT TO OUST YOU FROM OFFICE AND"
    0x00cea46c     A   03340 PRINT "YOUR ADVISERS URGE YOU TO OBTAIN A MANDATE FROM THE PEOPLE."
    0x00cea570     A   03350 PRINT "SHOULD YOU DECIDE TO HOLD AN ELECTION,"
    0x00cea654     A   03360 PRINT "YOUR CAMPAIGN WORKERS MAY BE PAID IN BUSHELS OF GRAIN:"
    0x00cea758     A   03370 PRINT "NOW, ";
    0x00cea844     A T 03380 PRINT "HOW MANY (IF ANY) BUSHELS DO YOU WISH TO DISTRIBUTE IN THIS MANNER?"
    0x00cea880     A   03390 GOSUB 6780
    0x00cea950     A   03400 E1 = Q
    0x00ceaa1c     A   03410 E8 = E8 + E9
    0x00ceaadc     A   03420 E9 = 0
    0x00ceabac     A   03430 E2 = 1
    0x00ceac78     A   03440 IF E1 = 0 GOTO 3600
    0x00cead6c     A   03450 IF E1 > 0 GOTO 3500
    0x00ceaea0     A   03460 PRINT "OH, MASTER!! THEFT FROM THY CAMPAIGN WORKERS"
    0x00ceaf64     A   03470 PRINT "    IS A PUNISHABLE OFFENCE!"
    0x00ceafa4     A   03480 GOSUB 6900
    0x00ceafe8     A   03490 GOTO 3380
    0x00ceb078     A T 03500 IF I > E1 GOTO 3570
    0x00ceb1b8     A   03510 PRINT "YOUR GENEROSITY, SIRE, IS A SOURCE OF CONTINUAL EMBARRASSMENT"
    0x00ceb2c0     A   03520 PRINT USING 3520,I
    0x00ceb33c     A   03530 :TO YOUR PEOPLE...(AT THIS JUNCTURE, YOU POSSESS A MERE ######## BUSHELS)
    0x00ceb55c     A   03540 E9 = E9 + INT(.5 + RND(Q9 + E9))
    0x00ceb614     A   03550 PRINT "PLEASE TELL ME AGAIN:"
    0x00ceb668     A   03560 GOTO 3380
    0x00cebf60     A T 03570 PRINT "THANK YOU, SIRE...."
    0x00ce3fe8     A   03580 PRINT "AN ELECTION WILL BE HELD TO STABILIZE CONFIDENCE IN YOUR REGIME."
    0x00ce40bc     A   03590 I = I - E1
    0x00ce4188     A T 03600 IF R >= 1 GOTO 3650
    0x00ce4300     A   03610 PRINT "THE GODS DECREE THAT ONE BUSHEL IS REQUIRED TO PLANT ONE ACRE AND"
    0x00cec090     A   03620 PRINT "THE LAWS DECREE THAT ONE ACRE PER PERSON MUST BE SET ASIDE"
    0x00cec12c     A   03630 PRINT "    FOR NON-AGRICULTURAL USE"
    0x00cec180     A   03640 PRINT
    0x00cec32c     A T 03650 IF RND(0) * 8 > 6 GOTO 3670
    0x00cec3c0     A   03660 GOTO 3930
    0x00cec498     A T 03670 PRINT "SOOTHSAYERS ARE PROPHESYING BAD WEATHER THIS SUMMER, MASTER."
    0x00cec574     A   03680 W  = 1
    0x00cec788     A   03690 IF I > 2*P+N5+L+100 GOTO 3930
    0x00cec8f8     A   03700 PRINT "THAT'S KIND OF A ROUGH BLOW, MASTER.  IF YOU WISH, YOU MAY"
    0x00ceca10     A   03710 PRINT "EMPLOY THE PRIESTS IN AN EFFORT TO WARD OFF THE BAD WEATHER."
    0x00cecb08     A   03720 PRINT "NOW, HOW MANY (IF ANY) BUSHELS DO YOU WISH TO GIVE THE"
    0x00cecbcc     A   03730 PRINT "PRIESTS FOR THIS CEREMONY?"
    0x00cecc08     A   03740 GOSUB 6780
    0x00cecce0     A   03750 F9 = Q
    0x00cecdac     A   03760 IF F9 > 0 GOTO 3800
    0x00cecee0     A   03770 PRINT "DE PREESTS AIN'T GONNA LIKE BEIN TAXED, MASTER."
    0x00ced07c     A   03780 E9 = E9 + INT( RND( J) + .5)
    0x00ced14c     A   03790 F9 = 0
    0x00ced218     A T 03800 IF F9 = 0 GOTO 3930
    0x00ced2d0     A   03810 IF F9<=I GOTO 3850
    0x00ced4d0     A   03820 E9=E9+INT(RND(J)+.5)
    0x00ced5b0     A   03830 PRINT "YOU AIN'T GOT THAT MUCH. I'M GONNA BLOW THE WHOLE WAD, MASTER."
    0x00ced674     A   03840 F9 = I
    0x00ced770     A T 03850 PRINT "THANK YOU, EMINENCE.  THE PRIESTS WILL DO THEIR THING!"
    0x00ced7cc     A   03860 REM CALC. CHANCES OF SUCCESSFUL RAIN DANCE
    0x00ced9bc     A   03870 W = 1-(F9/P)*RND(J)
    0x00ceda78     A   03880 W = INT(W)
    0x00cedb44     A   03890 IF W>0 GOTO 3910
    0x00cedc28     A   03900 W = 0
    0x00cedcf4     A T 03910 IF W<1 GOTO 3930
    0x00cede08     A   03920 W = 1
    0x00cedfa8     A T 03930 PRINT"THIS YEAR WE CAN BUY OR SELL LAND FOR"N6" BUSHELS PER ACRE."
    0x00cee0bc     A   03940 IF 5*P<N5 GOTO 3970
    0x00cee204     A   03950 PRINT"HOWEVER, I RESPECTFULLY REMIND YOU THAT SUMER IS BECOMING"
    0x00cee2fc     A   03960 PRINT"    RATHER OVERCROWDED, SO"
    0x00cee3e0     A T 03970 PRINT "HOW MANY ACRES OF LAND DO YOU WISH TO BUY THIS YEAR?"
    0x00cee4b0     A   03980 IF N6>12 GOTO 4000
    0x00cee598     A   03990 PRINT "(THE PRICE IS RIGHT!)"
    0x00cee5d4     A T 04000 GOSUB6780
    0x00cee6ac     A   04010 N7 = Q
    0x00cee778     A   04020 IF N7 = 0 GOTO 4070
    0x00cee868     A   04030 IF N7>0 GOTO 4170
    0x00cee9b8     A   04040 PRINT "IT IS WRITTEN THAT THOU CANST NOT BUY A NEGATIVE NUMBER OF ACRES."
    0x00ceeb9c     A T 04050 E9 = E9+INT(.5+RND(Q9+E9))
    0x00ceebfc     A   04060 GOTO 3970
    0x00ceecc8     A T 04070 PRINT "HOW MANY ACRES DO YOU WISH TO SELL?"
    0x00ceed98     A   04080 IF N6<20 GOTO 4100
    0x00ceee80     A   04090 PRINT"(THE PRICE IS RIGHT!)"
    0x00ceeebc     A T 04100 GOSUB6780
    0x00ceef94     A   04110 N8 = Q
    0x00cef060     A   04120 IF N8 = 0 GOTO 4460
    0x00cef150     A   04130 IF N8>0 GOTO 4270
    0x00cef2a4     A   04140 PRINT"IT IS WRITTEN THAT THOU CANST NOT SELL A NEGATIVE NUMBER OF ACRES."
    0x00cef488     A T 04150 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cef4d4     A   04160 GOTO 4070
    0x00cef624     A T 04170 IF I-N6*N7 = 0 GOTO 4240
    0x00cef7a0     A   04180 IF I-N6*N7>0 GOTO 4420
    0x00cef914     A   04190 PRINT"MUCH THOUGH I WOULD LIKE TO EFFECT THIS TRANSACTION ON YOUR BEHALF,"
    0x00cefb0c     A   04200 PRINT"MASTER, IT WOULD COST"N6*N7" BUSHELS -- WHICH IS"
    0x00cefcb0     A   04210 PRINT"MORE THAN THE"I" BUSHELS IN YOUR STOREHOUSE."
    0x00cefd74     A   04220 PRINT"THEREFORE, PLEASE RECONSIDER:"
    0x00cefde8     A   04230 GOTO 4050
    0x00cefec0     A T 04240 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED."
    0x00ceff00     A   04250 GOSUB 6999
    0x00ceff44     A   04260 GOTO 4050
    0x00cf0050     A T 04270 IF N5-N8 = 0 GOTO 4330
    0x00cf0150     A   04280 IF N5-N8>P GOTO 4390
    0x00cf0208     A   04290 IF N5>N8 GOTO 4350
    0x00cf03d8     A   04300 PRINT"GOOD GRIEF, MASTER.  YOU HAVE ONLY"N5" ACRES."
    0x00cf0418     A T 04310 GOSUB6999
    0x00cf047c     A   04320 GOTO 4150
    0x00cf0548     A T 04330 PRINT "HEAVENS, MASTER! YOU WILL HAVE NO LAND LEFT!!"
    0x00cf0588     A   04340 GOTO 4310
    0x00cf06d0     A T 04350 F6 = N5-N8
    0x00cf0944     A   04360 PRINT "BY GOSH, MASTER! IF"P" PEOPLE ARE CRAMMED INTO "F6" ACRES,"
    0x00cf0a18     A   04370 PRINT "THERE WILL BE TROUBLE AT THE PALACE TONIGHT!"
    0x00cf0a58     A   04380 GOTO 4310
    0x00cf0b28     A T 04390 N5 = N5-N8
    0x00cf0c3c     A   04400 I = I+N6*N8
    0x00cf0c78     A   04410 GOTO 4440
    0x00cf0d48     A T 04420 N5 = N5+N7
    0x00cf0e90     A   04430 I = I-N6*N7
    0x00cf103c     A T 04440 PRINT"AS YOU KNOW, MASTER, THAT MEANS THERE ARE NOW"I"BUSHELS"
    0x00cf1140     A   04450 PRINT"     STASHED IN THE STOREHOUSE."
    0x00cf1224     A T 04460 PRINT "HOW MANY BUSHELS OF GRAIN DO YOU WISH TO DISTRIBUTE AS FOOD?"
    0x00cf1260     A   04470 GOSUB6780
    0x00cf1328     A   04480 N9 = Q
    0x00cf13f8     A   04490 G1 = 0
    0x00cf148c     A   04500 IF N9>= P GOTO 4630
    0x00cf1574     A   04510 G1 = 1
    0x00cf1640     A   04520 IF N9>= 0 GOTO 4550
    0x00cf1768     A   04530 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    0x00cf17b0     A   04540 GOTO 4670
    0x00cf1858     A T 04550 PRINT "TYRANT!! "
    0x00cf1938     A   04560 R9 = N9/P
    0x00cf1a04     A   04570 IF R9 = 0 GOTO 4600
    0x00cf1ae0     A   04580 PRINT"MANY ";
    0x00cf1b28     A   04590 GOTO 4610
    0x00cf1c18     A T 04600 PRINT"ALL THY ";
    0x00cf1cf4     A T 04610 PRINT "PEOPLE WILL STARVE... I SHALL LEAD THE REVOLUTION!!"
    0x00cf1e0c     A   04620 E8 = E8+1
    0x00cf1f1c     A T 04630 IF I-N9 = 0 GOTO 4690
    0x00cf2054     A   04640 IF I-N9>0 GOTO 4720
    0x00cf224c     A   04650 PRINT"THINK, MASTER. YOU HAVE ONLY"I" BUSHELS LEFT IN THE ";
    0x00cf2310     A   04660 PRINT "STOREHOUSE"
    0x00cf24f4     A T 04670 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf2564     A   04680 GOTO 4460
    0x00cf266c     A T 04690 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED"
    0x00cf2748     A   04700 PRINT"SURELY I MISHEARD YOU, MASTER.  PRAY TELL ME AGAIN,"
    0x00cf27ac     A   04710 GOTO 4670
    0x00cf2bac     A T 04720 Q9 = Q9*((LOG(2+N9/P))/(LOG(6)))*(SQR(150/Q9))
    0x00cf2cbc     A   04730 IF N9>= 2*P GOTO 4760
    0x00cf2d74     A   04740 IF N9<P GOTO 4760
    0x00cf2e98     A   04750 PRINT"NO POINT LETTING THEM GET TOO FAT, EH MASTER?"
    0x00cf2fac     A T 04760 IF N9<6*P GOTO 4790
    0x00cf30f0     A   04770 PRINT "BY GOLLY, MASTER, THY PEOPLE WILL BLOAT UP LIKE ZEPPELINS!"
    0x00cf32d4     A   04780 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf33d8     A T 04790 I = I-N9
    0x00cf35cc     A   04800 PRINT"THERE ARE"N5-P"ACRES AVAILABLE FOR CULTIVATION, SIRE"
    0x00cf369c     A T 04810 PRINT "HOW MANY DO YOU WISH TO PLANT WITH SEED?"
    0x00cf36d8     A   04820 GOSUB6780
    0x00cf376c     A   04830 N1 = Q
    0x00cf3838     A   04840 IF N1>= 0 GOTO 4890
    0x00cf3974     A   04850 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    0x00cf3a40     A   04860 PRINT "PRAY TELL ME AGAIN,"
    0x00cf3c24     A T 04870 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf3c60     A   04880 GOTO 4810
    0x00cf3d78     A T 04890 F7 = N5-P
    0x00cf3e0c     A   04900 IF F7>=N1 GOTO4950
    0x00cf3f2c     A   04910 PRINT " YOU DON'T HAVE THAT MUCH LAND, MASTER."
    0x00cf4144     A   04920 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf4218     A   04930 PRINT " BUT I'LL GIVE YOU ANOTHER CHANCE TO MAKE GOOD"
    0x00cf4264     A   04940 GOTO 4810
    0x00cf4370     A T 04950 IF N1>F7/3 GOTO 4980
    0x00cf44b8     A   04960 PRINT "YOUR DISTASTE FOR AGRICULTURE NEVER FAILS TO AMAZE ME, SIRE"
    0x00cf46a4     A   04970 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf4738     A T 04980 IF N1>F7 GOTO 5000
    0x00cf47f4     A   04990 IF I>= N1 GOTO 5180
    0x00cf48ac     A T 05000 IF F7>I GOTO 5060
    0x00cf49c8     A   05010 PRINT"COME NOW, MASTER..."
    0x00cf4b64     A   05020 PRINT"SUMER CURRENTLY HAS ONLY"F7" ACRES CAPABLE OF CULTIVATION"
    0x00cf4bfc     A   05030 IF N1>N5 GOTO 4870
    0x00cf4d04     A   05040 PRINT"(YOUR PEOPLE HAVE TO LIVE SOMEWHERE)"
    0x00cf4d4c     A   05050 GOTO 4870
    0x00cf4e48     A T 05060 PRINT USING 5060,I
    0x00cf4ec0     A   05070 :THINK, MASTER YOU HAVE ONLY ######## BUSHELS LEFT IN THE STOREHOUSE.
    0x00cf4fc0     A   05080 PRINT"(REMEMBER: ONE BUSHEL PER ACRE)"
    0x00cf50d4     A   05090 IF N1-I<20 GOTO 4870
    0x00cf54bc     A   05100 W0=INT(RND(F6+F7+H3+I+P+6+J)*11+1)
    0x00cf55dc     A   05110 PRINT USING 5110,Z$(W0)
    0x00cf5648     A   05120 :HOWEVER, YOUR NEIGHBOR 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    0x00cf59cc     A   05130 I2 = INT(25+25*(RND(J))+INT(50*W0/11))
    0x00cf5ad8     A   05140 L = N1-I
    0x00cf5c88     A   05150 PRINT" HAS AGREED TO LEND YOU THE NECESSARY "L" BUSHELS AT A MODEST"
    0x00cf5e00     A   05160 PRINT"   RATE OF "I2"% INTEREST"
    0x00cf5ee0     A   05170 I = I+L
    0x00cf5ff0     A T 05180 IF 40*P>N1 GOTO 5250
    0x00cf61f4     A   05190 PRINT"YOUR"P" PEOPLE ARE GOING TO BE HARD-PRESSED TO PLANT"
    0x00cf6308     A   05200 PRINT N1" ACRES THIS SPRING, MASTER, WATCH OUT!"
    0x00cf649c     A   05210 N9 = N9+N1-50*P
    0x00cf65ac     A   05220 N9 = 50*P
    0x00cf6678     A   05230 IF N9>0 GOTO 5250
    0x00cf6754     A   05240 N1 =0
    0x00cf682c     A T 05250 I = I-N1
    0x00cf68f8     A   05260 IF I<1 GOTO 5440
    0x00cf6b00     A   05270 PRINT"AND HOW MANY OF YOUR"I"BUSHELS DO YOU WISH TO SPEND"
    0x00cf6bd8     A   05280 PRINT"    ON PROTECTING YOUR GRAIN FROM THE PSSSTOCKS?"
    0x00cf6c14     A T 05290 GOSUB6780
    0x00cf6cec     A   05300 A1 = Q
    0x00cf6db8     A   05310 IF A1>= 0 GOTO 5360
    0x00cf6f10     A   05320 PRINT"NEGATIVE NUMBERS REMAIN A COMPLETE MYSTERY TO ME, MASTER,"
    0x00cf6ff0     A   05330 PRINT"CAN YOU PLEASE GIVE ME THAT FIGURE AGAIN?"
    0x00cf71d4     A   05340 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cf721c     A   05350 GOTO 5290
    0x00cf72ac     A T 05360 IF I>= A1 GOTO 5500
    0x00cf73e0     A   05370 PRINT"THOU, MASTER, ART TRULY AFRAID OF THE MIGHTY PSSSTOCKS"
    0x00cf74b0     A   05380 IF I = 0 GOTO 5470
    0x00cf75b8     A   05390 PRINT USING 5390,I
    0x00cf7614     A   05400 :HOWEVER THOU HAST A MERE ######## BUSHELS
    0x00cf775c     A   05410 PRINT"REPOSING IN A CORNER OF YOUR STOREHOUSE..."
    0x00cf7878     A   05420 PRINT"I SHALL PRESUME UPON YOUR DESIRE TO BLOW IT ALL ON THE OUTER"
    0x00cf7958     A   05430 PRINT"WALLS, RATHER THAN LET IT FALL INTO THE HANDS OF THE ENEMY."
    0x00cf79e4     A T 05440 A1 = I
    0x00cf7aa8     A   05450 I = 0
    0x00cf7b08     A   05460 GOTO 5510
    0x00cf7c0c     A T 05470 PRINT"BUT THIS YEAR THY FEARS ARE UNFOUNDED,"
    0x00cf7cf4     A   05480 PRINT"FOR THOU HAST LEFT NO GRAIN IN THE STOREHOUSE FOR THE THIEVES."
    0x00cf7d34     A   05490 GOTO 5440
    0x00cf7e0c     A T 05500 I = I-A1
    0x00cf7ed8     A T 05510 IF E2 = 0 GOTO 5600
    0x00cf7fb0     A   05520 J = RND(J)
    0x00cf807c     A   05530 IF J>.5 GOTO 5560
    0x00cf81d0     A   05540 J = 1-J
    0x00cf8238     A   05550 REM CALC. CHANCE OF SURVIVING NEXT YR. WITH CONTRIB. OF E1
    0x00cf831c     A T 05560 IF R9<.5 GOTO 5580
    0x00cf85dc     A   05570 IF 2.5*J+E1/P+P/40>3 GOTO 5600
    0x00cf86c0     A T 05580 E2 = 2
    0x00cf8700     A   05590 REM CALC. HARVEST
    0x00cf87c8     A T 05600 J = RND(J)
    0x00cf8954     A   05610 N2 = 3.5*J+1.5
    0x00cf8a58     A   05620 N3 = INT(N2*N1)
    0x00cf8b24     A   05630 IF Q9<150 GOTO 5650
    0x00cf8db4     A   05640 N3 = N3*((150*150)/(Q9*Q9))
    0x00cf8e48     A T 05650 H3 = N3
    0x00cf8f14     A   05660 IF W = 0 GOTO 5680
    0x00cf9064     A   05670 N3 = INT(H3/2)
    0x00cf9130     A T 05680 J = RND(J)
    0x00cf9180     A   05690 REM CALCULATE N4: PSSSTOCK THEFT
    0x00cf9748     A   05700 N4 = I^2/(2*(I+A1+1))-A1*J+(N3-8*A1)/(10-N2-E9)
    0x00cf9814     A   05710 IF N4>20 GOTO 5730
    0x00cf98f4     A   05720 N4 = 0
    0x00cf99ac     A T 05730 N4 = INT(N4)
    0x00cf9adc     A   05740 I = I+N3-N4
    0x00cf9b30     A   05750 REM CALCULATE I1: NUMBER OF IMMIGRANTS
    0x00cfa020     A   05760 I1 = R9*(N5^2*SQR(A1+N9)/(A*P^1.5)-4*E9-2*E8)
    0x00cfa0e0     A   05770 I1 = INT(I1)
    0x00cfa1b8     A   05780 IF I1<N5-P GOTO 5800
    0x00cfa2a0     A   05790 I1=N5-P
    0x00cfa374     A T 05800 P1 = 0
    0x00cfa4e4     A   05810 IF 10*RND(J)<9 GOTO 5830
    0x00cfa5c8     A   05820 P1 = 1
    0x00cfa694     A T 05830 IF I1<15 GOTO 5860
    0x00cfa7c0     A   05840 PRINT"A RUMOR OF SUMER'S PROSPERITY IS SPREADING TO"
    0x00cfa880     A   05850 PRINT"NEIGHBORING COUNTRIES."
    0x00cfa970     A T 05860 J = RND(J)
    0x00cfa9e0     A   05870 REM CALCULATE D: NUMBER OF DEATHS FROM STARVATION AND MISC CAUSES
    0x00cfb160     A   05880 D = (P^2)/((2*N9+1)*(Q9*Q9)/(150*150)) + (10*E9*J) - (20*A1)/(I+1)
    0x00cfb3c8     A   05890 D = D*((150*150)/(Q9*Q9))
    0x00cfb494     A   05900 IF D>0 GOTO 5920
    0x00cfb578     A   05910 D = 0
    0x00cfb60c     A T 05920 IF P>D GOTO 5980
    0x00cfb98c     A   05930 D = (P-1)*(5+J+E9)/(6+E9)
    0x00cfba70     A   05940 PRINT"UNDER YOUR RULE, MASTER, YOUR PEOPLE ARE FAST SICKENING"
    0x00cfbb40     A   05950 IF E8<2 GOTO 5980
    0x00cfbc88     A   05960 PRINT"AND THE INTELLIGENTSIA ARE COMMITTING SUICIDE,"
    0x00cfbd60     A   05970 PRINT"RATHER THAN SUFFER THE RESULTS OF YOUR MISTAKES"
    0x00cfbe18     A T 05980 D = INT(D)
    0x00cfbf3c     A   05990 P = P-D+I1
    0x00cfbf80     A   06000 REM CALC. PRICE OF LAND
    0x00cfc050     A   06010 J = RND(J)
    0x00cfc1d8     A   06020 N6 = 11*J+11
    0x00cfc288     A   06030 N6 = INT(N6)
    0x00cfc2dc     A   06040 PRINT
    0x00cfc398     A   06050 PRINT "   (A YEAR PASSETH.....)"
    0x00cfc3d8     A   06060 PRINT
    0x00cfc4e4     A   06070 R = R+1
    0x00cfc540     A   06080 GOTO 2140
    0x00cfe62c     A T 06290 PRINT USING 6290,P
    0x00cfe690     A   06300 :HONOURED MASTER, I AND YOUR ####  LOYAL SUBJECTS,
    0x00cfe7c0     A   06310 IF D9<12*Y GOTO 6340
    0x00cfe990     A   06320 PRINT"HAVING SUFFERED FOR"R"YEARS UNDER YOUR REIGN,"
    0x00cfe9d8     A   06330 GOTO 6360
    0x00cfeac0     A T 06340 PRINT USING 6340,R
    0x00cfeb20     A   06350 :HAVING PROSPERED FOR ## YEARS UNDER YOUR REIGN,
    0x00cfec30     A T 06360 PRINT"HAVE ALL DECIDED TO EMIGRATE AND JOIN THE"
    0x00cfed00     A   06370 IF P>50 GOTO 6400
    0x00cfede8     A   06380 PRINT"JANITORIAL DEPARTMENT"
    0x00cfee48     A   06390 GOTO 6410
    0x00cfef38     A T 06400 PRINT"RESEARCH AND DEVELOPMENT DEPARTMENT"
    0x00cff00c     A T 06410 PRINT"THAT WE MIGHT LEARN TO BE AS WISE AS THEE..."
    0x00cff054     A T 06420 GOSUB 7100
    0x00cff108     A   06430 PRINT"FAREWELL"
    0x00cff1cc     A   06440 PRINT"SCORE BREAKDOWN"
    0x00cff290     A   06450 PRINT"---------------"
    0x00cff50c     A   06460 C1 =INT(P*.8+.5)-22
    0x00cff604     A   06470 PRINT"POPULATION"C1
    0x00cff804     A   06480 C2 =  INT(I/40+0.5)
    0x00cff8fc     A   06490 PRINT"GRAIN     "C2
    0x00cffafc     A   06500 C3 = INT(N5/20+0.5)
    0x00cffbf4     A   06510 PRINT"LAND      "C3
    0x00cffdf4     A   06520 C4 = -INT(E8/2+0.5)
    0x00cffee8     A   06530 PRINT"MISTAKES  "C4
    0x00ceb77c     A   06540 Q1=-INT(G1*9+0.5)
    0x00ceb874     A   06550 PRINT"HUNGER    "Q1
    0x00cebaac     A   06560 Q1=-INT(Y*4+0.5)+36
    0x00cebbac     A   06570 PRINT"YEARS     "Q1
    0x00d00058     A   06580 Q1=-INT((G2/(R+1))*3+0.5)+7
    0x00d00140     A   06590 PRINT"HARVEST   "Q1
    0x00d002fc     A   06600 Q1=-INT(F3*50+0.5)
    0x00d003fc     A   06610 PRINT"FLOP      "Q1
    0x00d0072c     A   06620 Q1=-INT((D9/(R+1))*1.5+0.5)+10
    0x00d00824     A   06630 PRINT"DEATHS    "Q1
    0x00d008ec     A   06640 PRINT"---------- ---"
    0x00d00a48     A   06650 PRINT"TOTAL     "INT(S)
    0x00d00b10     A   06660 J = RND(J)
    0x00d00b5c     A   06670 CHAIN "DSK:BASIC.BAS",20
    0x00d00b94     A   06680 STOP
    0x00d019e0     A   06760 END
    0x00cfc594    B  G 06780 REM SUBROUTINE TO READ ONE BUDGET FIGURE
    0x00cfc64c    B  T 06790 INPUT B
    0x00cfc70c    B    06800 Q = INT(B)
    0x00cfc7a0    B    06810 IF Q = B GOTO 6860
    0x00cfd908    B    06820 PRINT "LAND O'GOSHEN,MASTER, FRACTIONS!!  MY POOR LITTLE CPU REELS"
    0x00cfd9f0    B    06830 PRINT"PLEASE GIVE ME THAT NUMBER AGAIN, OH GREAT ONE"
    0x00cfdbd4    B    06840 E9 = E9+INT(.5+RND(Q9+E9))
    0x00cfdc1c    B    06850 GOTO 6790
    0x00cfdce4    B  T 06860 IF Q = -73 GOTO 6880
    0x00d0c818    B    06870 GOTO 6891 (Pseudo Goto)
    0x00d0c414    B  T 06880 CHAIN "DSK:BASIC.BAS",20
    0x00d0c470    B    06890 STOP
    0x00d0c7d4    B  T 06891 RETURN (Pseudo)
    0x00d0c4a0   C   G 06900 REM SUBROUTINE TO DEDUCT 10% OF STOREHOUSE GRAIN FOR SILLY MISTAKES
    0x00d0c514   C     06910 I5 = I/10
    0x00d0c550   C     06920 I5 = INT(I5)
    0x00d0c590   C     06930 PRINT"FOR A GIFT OF BUT"I5" BUSHELS, I GUARANTEE THAT NO-ONE SHALL"
    0x00d0c60c   C     06940 PRINT"EXPOSE YOUR STUPIDITY BEFORE THE POPULACE."
    0x00d0c674   C     06950 PRINT
    0x00d0c6b0   C     06960 REM
    0x00d0c6e4   C     06970 I = I-I5
    0x00d0c720   C     06980 PRINT "THANK YOU, SIRE.  NOW, PRAY TELL ME AGAIN,"
    0x00d0c788   C     06990 RETURN
    0x00d0c860  D    G 06999 GOTO 7010 (Pseudo Goto)
    0x00cfdddc  D      07000 REM SUBROUTINE TO DEDUCT 10% OF STOREHOUSE GRAIN FOR SILLY MISTAKES
    0x00cfdf3c  D    T 07010 I5 = I/10
    0x00cfe02c  D      07020 I5 = INT(I5)
    0x00cfe1e8  D      07030 PRINT"FOR A GIFT OF BUT"I5" BUSHELS, I GUARANTEE THAT NO-ONE SHALL"
    0x00cfe2b8  D      07040 PRINT"EXPOSE YOUR STUPIDITY BEFORE THE POPULACE."
    0x00cfe2f4  D      07050 PRINT
    0x00cfe32c  D      07060 REM
    0x00cfe434  D      07070 I = I-I5
    0x00cfe500  D      07080 PRINT "THANK YOU, SIRE.  NOW, PRAY TELL ME AGAIN,"
    0x00cfe52c  D      07090 RETURN
    0x00d01554 E     G 07100 S = P*.8+I/40+N5/20-E8/2-G1*9-Y*4-(G2/(R+1))*3-F3*50-(D9/(R+1))*1.5+8
    0x00d016c8 E       07110 FOR X = 1 TO 8
    0x00d0178c E       07120 IF S<T(X) GOTO 7140
    0x00d017f4 E       07130 NEXT X
    0x00d0191c E     T 07140 PRINT USING 7150,A$(X)
    0x00d01978 E       07150 :YOUR PERFORMANCE WAS 'LLLLLLLLLLLLLLLLLL
    0x00d019b0 E       07160 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\Sumer.cpp,v 1.6 2011-10-16 22:43:29-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: Sumer.cpp,v $
// Revision 1.6  2011-10-16 22:43:29-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//#include <process.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
char* data_01810s[]={"20","35","50","67","75","84","95","999"};
char* data_01820s[]={"400","10","0","0","0","0","750","675","10","300","2.5","750","75","400","15","40","0","1","0","5"};
char* UsingFmt_02040 = "sumer version 1.35   (%2d years)";
char* UsingFmt_02540 = "    and harvested %4.2d bushels per acre...";
char* UsingFmt_02560 = "the total harvest was therefore %8d bushels";
char* UsingFmt_02800 = "repay your debt to %-35s";
char* UsingFmt_02880 = " and %-33s";
char* UsingFmt_02990 = "thus you now have %8d bushels in your storehouse.";
char* UsingFmt_03110 = "    that you owe %-40s";
char* UsingFmt_03530 = "to your people...(at this juncture, you possess a mere %8d bushels)";
char* UsingFmt_05070 = "think, master you have only %8d bushels left in the storehouse.";
char* UsingFmt_05120 = "however, your neighbor %-34s";
char* UsingFmt_05400 = "however thou hast a mere %8d bushels";
char* UsingFmt_06300 = "honoured master, i and your %4d  loyal subjects,";
char* UsingFmt_06350 = "having prospered for %2d years under your reign,";
char* UsingFmt_07150 = "your performance was %-18s";
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    { 1810,  8,data_01810s},
    { 1820, 20,data_01820s},
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int;        // Comments?
char* A_str_arr[10];// Comments?
int   A1_int;       // Comments?
int   B_int;        // Comments?
char* B_str;        // Comments?
int   C1_int;       // Comments?
int   C2_int;       // Comments?
int   C3_int;       // Comments?
int   C4_int;       // Comments?
char* CLK_str;      // Comments?
int   D_int;        // Comments?
int   D5_int;       // Comments?
int   D9_int;       // Comments?
int   E1_int;       // Comments?
int   E2_int;       // Comments?
int   E5_int;       // Comments?
int   E8_int;       // Comments?
int   E9_int;       // Comments?
int   F3_int;       // Comments?
int   F6_int;       // Comments?
int   F7_int;       // Comments?
int   F9_int;       // Comments?
int   G1_int;       // Comments?
float G2_flt;       // Comments?
int   H3_int;       // Comments?
int   I_int;        // Comments?
int   I1_int;       // Comments?
int   I2_int;       // Comments?
int   I5_int;       // Comments?
int   J_int;        // Comments?
int   L_int;        // Comments?
int   N1_int;       // Comments?
float N2_flt;       // Comments?
int   N3_int;       // Comments?
int   N4_int;       // Comments?
int   N5_int;       // Comments?
int   N6_int;       // Comments?
int   N7_int;       // Comments?
int   N8_int;       // Comments?
int   N9_int;       // Comments?
int   P_int;        // Comments?
int   P1_int;       // Comments?
int   Q_int;        // Comments?
int   Q1_int;       // Comments?
int   Q9_int;       // Comments?
int   R_int;        // Comments?
int   R9_int;       // Comments?
float S_flt;        // Comments?
int   T_int;        // Comments?
int   T_int_arr[9]; // Comments?
int   W_int;        // Comments?
int   W0_int;       // Comments?
int   W2_int;       // Comments?
int   X_int;        // Comments?
int   Y_int;        // Comments?
int   Z_int;        // Comments?
char* Z_str_arr[12];// Comments?
int   Z8_int;       // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_06780();
void Routine_06900();
void Routine_06999();
void Routine_07100();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_06780(){
    // 06780 REM SUBROUTINE TO READ ONE BUDGET FIGURE
    // subroutine to read one budget figure

  Lbl_06790:
    // 06790 INPUT B
    // Start of Basic INPUT statement 06790
    printf(" ? ");
    char inpbuf_06790[100];
    if(fgets(inpbuf_06790,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_06790=strtok(inpbuf_06790," ,\t\n");
        if(ps_06790==NULL){
            B_int = 0;
        }else{
            B_int = atoi(ps_06790);
        };
    }; // End of Basic INPUT statement 06790
    // 06800 Q = INT(B)
    Q_int = INT(B_int);
    // 06810 IF Q = B GOTO 6860
    if(Q_int==B_int) goto Lbl_06860;
    // 06820 PRINT "LAND O'GOSHEN,MASTER, FRACTIONS!!  MY POOR LITTLE CPU REELS"
    MyFpf(stdout,"land o'goshen,master, fractions!!  my poor little cpu reels\n");
    // 06830 PRINT"PLEASE GIVE ME THAT NUMBER AGAIN, OH GREAT ONE"
    MyFpf(stdout,"please give me that number again, oh great one\n");
    // 06840 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 06850 GOTO 6790
    goto Lbl_06790;

  Lbl_06860:
    // 06860 IF Q = -73 GOTO 6880
    if(Q_int==-73) goto Lbl_06880;
    // 06870 GOTO 6891 (Pseudo Goto)
    goto Lbl_06891;

  Lbl_06880:
    // 06880 CHAIN "DSK:BASIC.BAS",20
    execl("BASIC.BAS",NULL);
    switch(errno){
        case EACCES:	fprintf(stderr,"EXECL: Permission denied.\n"); break;
        case EMFILE:	fprintf(stderr,"EXECL: Too many open files.\n"); break;
        case ENOENT:	fprintf(stderr,"EXECL: Path or file name not found.\n"); break;
        case ENOEXEC:	fprintf(stderr,"EXECL: Exec format error.\n"); break;
        case ENOMEM:	fprintf(stderr,"EXECL: Not enough memory.\n"); break;
        default:	    fprintf(stderr,"EXECL: Unknown error.\n"); break;
    };
    // 06890 STOP
    exit(1);

  Lbl_06891:
    // 06891 RETURN (Pseudo)
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_06900(){
    // 06900 REM SUBROUTINE TO DEDUCT 10% OF STOREHOUSE GRAIN FOR SILLY MISTAKES
    // subroutine to deduct 10% of storehouse grain for silly mistakes
    // 06910 I5 = I/10
    I5_int = I_int/10;
    // 06920 I5 = INT(I5)
    I5_int = INT(I5_int);
    // 06930 PRINT"FOR A GIFT OF BUT"I5" BUSHELS, I GUARANTEE THAT NO-ONE SHALL"
    MyFpf(stdout,"for a gift of but%d bushels, i guarantee that no-one shall\n",I5_int);
    // 06940 PRINT"EXPOSE YOUR STUPIDITY BEFORE THE POPULACE."
    MyFpf(stdout,"expose your stupidity before the populace.\n");
    // 06950 PRINT
    MyFpf(stdout,"\n");
    // 06960 REM
    //
    // 06970 I = I-I5
    I_int = I_int-I5_int;
    // 06980 PRINT "THANK YOU, SIRE.  NOW, PRAY TELL ME AGAIN,"
    MyFpf(stdout,"thank you, sire.  now, pray tell me again,\n");
    // 06990 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine D
//---------------------------------------------------------------------------

void Routine_06999(){
    // 06999 GOTO 7010 (Pseudo Goto)
    goto Lbl_07010;
    // 07000 REM SUBROUTINE TO DEDUCT 10% OF STOREHOUSE GRAIN FOR SILLY MISTAKES
    // subroutine to deduct 10% of storehouse grain for silly mistakes

  Lbl_07010:
    // 07010 I5 = I/10
    I5_int = I_int/10;
    // 07020 I5 = INT(I5)
    I5_int = INT(I5_int);
    // 07030 PRINT"FOR A GIFT OF BUT"I5" BUSHELS, I GUARANTEE THAT NO-ONE SHALL"
    MyFpf(stdout,"for a gift of but%d bushels, i guarantee that no-one shall\n",I5_int);
    // 07040 PRINT"EXPOSE YOUR STUPIDITY BEFORE THE POPULACE."
    MyFpf(stdout,"expose your stupidity before the populace.\n");
    // 07050 PRINT
    MyFpf(stdout,"\n");
    // 07060 REM
    //
    // 07070 I = I-I5
    I_int = I_int-I5_int;
    // 07080 PRINT "THANK YOU, SIRE.  NOW, PRAY TELL ME AGAIN,"
    MyFpf(stdout,"thank you, sire.  now, pray tell me again,\n");
    // 07090 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine E
//---------------------------------------------------------------------------

void Routine_07100(){
    // 07100 S = P*.8+I/40+N5/20-E8/2-G1*9-Y*4-(G2/(R+1))*3-F3*50-(D9/(R+1))*1.5+8
    S_flt = P_int*0.8+I_int/40+N5_int/20-E8_int/2-G1_int*9-Y_int*4-(G2_flt/(R_int+1))*3-F3_int*50-(D9_int/(R_int+1))*1.5+8;
    // 07110 FOR X = 1 TO 8
    for(X_int=1;X_int<=8;X_int++){
        // 07120 IF S<T(X) GOTO 7140
        if(S_flt<T_int_arr[(int)X_int]) goto Lbl_07140;
        // 07130 NEXT X
    }; // End-For(X_int)

  Lbl_07140:
    // 07140 PRINT USING 7150,A$(X)
    MyFpf(stdout,UsingFmt_07150,ST(A_str_arr[(int)X_int]));
    // 07150 :YOUR PERFORMANCE WAS 'LLLLLLLLLLLLLLLLLL
    // 07160 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 REM ***********************************
    // ***********************************
    // 01010 REM ***                             ***
    // ***                             ***
    // 01020 REM *** SUMER  V3.5 L2  JOHN MELLOR ***
    // *** sumer  v3.5 l2  john mellor ***
    // 01030 REM ***                             ***
    // ***                             ***
    // 01040 REM ***********************************
    // ***********************************
    // 01050 REM
    //
    // 01060 REM LAST UPDATED: 04/05/74
    // last updated: 04/05/74
    // 01070 REM ADAPTED FROM: DICK'S VERSION ON VM/370
    // adapted from: dick's version on vm/370
    // 01080 REM
    //
    // 01090 REM *** "SUMER" - GOVERNMENT EXERCISE (IMAGINARY KINGDOM) ***
    // *** "sumer" - government exercise (imaginary kingdom) ***
    // 01100 REM *********************************************************
    // *********************************************************
    // 01110 REM * PROGRAM DOCUMENTATION BLOCK:                          *
    // * program documentation block:                          *
    // 01120 REM A  = INITIAL LAND OWNED - ACRES
    // a  = initial land owned - acres
    // 01130 REM A1 = DEFENSE BUDGET
    // a1 = defense budget
    // 01140 REM A$ = RULER PERFORMANCE EVALUATIONS
    // a$ = ruler performance evaluations
    // 01150 REM B  = PRE-INTEGERIZED BUDGET FIGURE
    // b  = pre-integerized budget figure
    // 01160 REM D  = PEOPLE DEAD FROM STARVATION
    // d  = people dead from starvation
    // 01170 REM D5 = PEOPLE DEAD FROM THE PLAGUE
    // d5 = people dead from the plague
    // 01180 REM D9 = CUMULATIVE DEATHS
    // d9 = cumulative deaths
    // 01190 REM E1 = ELECTION CONTRIBUTION
    // e1 = election contribution
    // 01200 REM E2 = ELECTION FLAG (0 = NO ELECT, 1 = WIN, 2 = LOSS)
    // e2 = election flag (0 = no elect, 1 = win, 2 = loss)
    // 01210 REM E5 = FIRST ELECTION FLAG 0 = NO ELECTION YET
    // e5 = first election flag 0 = no election yet
    // 01220 REM E8 = CUMULATIVE ERROR COUNT
    // e8 = cumulative error count
    // 01230 REM E9 = ERRORS THIS YEAR
    // e9 = errors this year
    // 01240 REM F3 = RULER IS A FLOP FLAG (1= FLOP)
    // f3 = ruler is a flop flag (1= flop)
    // 01250 REM F6 = ACRES LEFT AFTER PROPOSED SALE OF LAND
    // f6 = acres left after proposed sale of land
    // 01260 REM F7 = NUMBER OF ACRES CAPABLE OF CULTIVATION
    // f7 = number of acres capable of cultivation
    // 01270 REM F9 = BRIBE TO PRIESTS
    // f9 = bribe to priests
    // 01280 REM G1 = HUNGER FLAG (0 = NOT HUNGRY)
    // g1 = hunger flag (0 = not hungry)
    // 01290 REM G2 = CUMULATIVE HARVEST QUALITY
    // g2 = cumulative harvest quality
    // 01300 REM H3 = GROSS HARVEST
    // h3 = gross harvest
    // 01310 REM I  = NET STOREHOUSE BUSHELS
    // i  = net storehouse bushels
    // 01320 REM I1 = NUMBER OF IMMIGRANTS
    // i1 = number of immigrants
    // 01330 REM I2 = INTEREST RATE
    // i2 = interest rate
    // 01340 REM I5 = AMOUNT OF BRIBE FOR M5
    // i5 = amount of bribe for m5
    // 01350 REM J  = RANDOM NUMBER
    // j  = random number
    // 01360 REM L  = AMOUNT BORROWED FROM GONZOR AND ALL HIS FRIENDS...
    // l  = amount borrowed from gonzor and all his friends...
    // 01370 REM N1 = ACRES PLANTED
    // n1 = acres planted
    // 01380 REM N2 = HARVEST DENSITY IN BUSHELS/ACRE
    // n2 = harvest density in bushels/acre
    // 01390 REM N3 = NET HARVEST
    // n3 = net harvest
    // 01400 REM N4 = PSSSTOCK THEFT
    // n4 = pssstock theft
    // 01410 REM N5 = ACRES OWNED
    // n5 = acres owned
    // 01420 REM N6 = PRICE OF LAND
    // n6 = price of land
    // 01430 REM N7 = NUMBER OF ACRES BOUGHT
    // n7 = number of acres bought
    // 01440 REM N8 = NUMBER OF ACRES SOLD
    // n8 = number of acres sold
    // 01450 REM N9 = FOOD ALLOCATION
    // n9 = food allocation
    // 01460 REM P  = POPULATION
    // p  = population
    // 01470 REM P1 = PLAGUE FLAG (1 = PLAGUE)
    // p1 = plague flag (1 = plague)
    // 01480 REM Q  = BUDGET QUANTITY INPUT
    // q  = budget quantity input
    // 01490 REM R  = CURRENT YEAR NUMBER (ZERO ORIGIN INDEXING)
    // r  = current year number (zero origin indexing)
    // 01500 REM R9 = REVOLUTION FLAG (1 = NO REVOLUTION)
    // r9 = revolution flag (1 = no revolution)
    // 01510 REM S  = SCORE
    // s  = score
    // 01520 REM T  = PERFORMANCE SCORE GRADE POINTS
    // t  = performance score grade points
    // 01530 REM W  = BAD WEATHER FLAG (1  = STORMS)
    // w  = bad weather flag (1  = storms)
    // 01540 REM W0 = WHO WE BORROWED FROM (INDEX INTO Z$)
    // w0 = who we borrowed from (index into z$)
    // 01550 REM X  = LOOP INDEX
    // x  = loop index
    // 01560 REM Y  = TOTAL NUMBER OF YEARS FOR THIS GAME
    // y  = total number of years for this game
    // 01570 REM Z$ = LIST OF NAMES OF MONEYLENDERS
    // z$ = list of names of moneylenders
    // 01580 REM
    //
    // 01590 DIM T(8)
    // 01600 RANDOMIZE
    char ranbuf_01600[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01600,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01600); 
        srand(seed); 
    } 
    // 01610 DIM Z$(11)
    // 01620 A$(1) = "GHASTLY"
    GLBpStr="ghastly";
    A_str_arr[(int)1] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01630 A$(2) = "APPALLING"
    GLBpStr="appalling";
    A_str_arr[(int)2] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01640 A$(3) = "SLUGGISH AT BEST"
    GLBpStr="sluggish at best";
    A_str_arr[(int)3] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01650 A$(4) = "SO-SO"
    GLBpStr="so-so";
    A_str_arr[(int)4] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01660 A$(5) = "GOOD"
    GLBpStr="good";
    A_str_arr[(int)5] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01670 A$(6) = "VERY GOOD"
    GLBpStr="very good";
    A_str_arr[(int)6] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01680 A$(7) = "EXCELLENT"
    GLBpStr="excellent";
    A_str_arr[(int)7] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01690 A$(8) = "SUPER FANTASTIC"
    GLBpStr="super fantastic";
    A_str_arr[(int)8] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01700 Z$(1) = "IGNARP THE HAIRLESS"
    GLBpStr="ignarp the hairless";
    Z_str_arr[(int)1] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01710 Z$(5) = "GONZOR THE TOOTHLESS"
    GLBpStr="gonzor the toothless";
    Z_str_arr[(int)5] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01720 Z$(10) = "THE THUMBSCREW COLLECTION AGENCY"
    GLBpStr="the thumbscrew collection agency";
    Z_str_arr[(int)10] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01730 Z$(3) = "WILVILLE AND ORBUR"
    GLBpStr="wilville and orbur";
    Z_str_arr[(int)3] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01740 Z$(8) = "TRAXLER THE WISE"
    GLBpStr="traxler the wise";
    Z_str_arr[(int)8] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01750 Z$(4) = "THUNDERMUG THE ODIFEROUS"
    GLBpStr="thundermug the odiferous";
    Z_str_arr[(int)4] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01760 Z$(11) = "DICKY THE TRICKY"
    GLBpStr="dicky the tricky";
    Z_str_arr[(int)11] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01770 Z$(2) = "YGGDRASIL THE STRANGE"
    GLBpStr="yggdrasil the strange";
    Z_str_arr[(int)2] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01780 Z$(7) = "THE TREEFROG FINANCE COMPANY"
    GLBpStr="the treefrog finance company";
    Z_str_arr[(int)7] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01790 Z$(9) = "ZARDOZ THE WICKED"
    GLBpStr="zardoz the wicked";
    Z_str_arr[(int)9] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01800 Z$(6) = "SHOOGAR THE MAGICIAN"
    GLBpStr="shoogar the magician";
    Z_str_arr[(int)6] = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01810 DATA 20,35,50,67,75,84,95,999
    // 01820 DATA 400,10,0,0,0,0,750,675,10,300,2.5,750,75,400,15,40,0,1,0,5
    // 01830 MAT READ T
    for(int d0=1;d0<=8;d0++){
        T_int_arr[d0] = Get_Data_Int();
    }
    // 01840 READ A,D,E2,E5,E8,E9,H3,I,I1,N1,N2,N3,N4,N5,N6,P,R,R9,W,Y
    A_int = Get_Data_Int();
    D_int = Get_Data_Int();
    E2_int = Get_Data_Int();
    E5_int = Get_Data_Int();
    E8_int = Get_Data_Int();
    E9_int = Get_Data_Int();
    H3_int = Get_Data_Int();
    I_int = Get_Data_Int();
    I1_int = Get_Data_Int();
    N1_int = Get_Data_Int();
    N2_flt = Get_Data_Float();
    N3_int = Get_Data_Int();
    N4_int = Get_Data_Int();
    N5_int = Get_Data_Int();
    N6_int = Get_Data_Int();
    P_int = Get_Data_Int();
    R_int = Get_Data_Int();
    R9_int = Get_Data_Int();
    W_int = Get_Data_Int();
    Y_int = Get_Data_Int();
    // 01850 D9 = 0
    D9_int = 0;
    // 01860 F3 = 0
    F3_int = 0;
    // 01870 L  = 0
    L_int = 0;
    // 01880 G1 = 0
    G1_int = 0;
    // 01890 P1 = 0
    P1_int = 0;
    // 01900 G2 = 0
    G2_flt = 0;
    // 01910 Q9 = 150
    Q9_int = 150;
    // 01920 B$ = CLK$
    GLBpStr=CLK_str;
    B_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01930 CHANGE B$ TO W2
    W2_int=atoi(B_str);
    // 01940 W2 = W2 + 50 * RND(P)
    W2_int = W2_int+50*RND(P_int);
    // 01950 J  = INT(RND(W2)*100+1)
    J_int = INT(RND(W2_int)*100+1);
    // 01960 J  = RND(J)
    J_int = RND(J_int);
    // 01970 Z  = J
    Z_int = J_int;
    // 01980 J  = RND( INT( SQR( Z * Z + .5)))
    J_int = RND(INT(SQR(Z_int*Z_int+0.5)));
    // 01990 N6 = INT( 7 * J + 13)
    N6_int = INT(7*J_int+13);
    // 02000 Y  =  INT( RND(J)*5) + 8
    Y_int = INT(RND(J_int)*5)+8;
    // 02010 IF Y > 4 GOTO 2030
    if(Y_int>4) goto Lbl_02030;
    // 02020 Y  = 5
    Y_int = 5;

  Lbl_02030:
    // 02030 PRINT USING 2030,Y
    MyFpf(stdout,UsingFmt_02040,IT(Y_int));
    // 02040 :SUMER VERSION 1.35   (## YEARS)
    // 02050 PRINT
    MyFpf(stdout,"\n");
    // 02060 PRINT
    MyFpf(stdout,"\n");
    // 02070 PRINT "MY LORD AND MASTER,"
    MyFpf(stdout,"my lord and master,\n");
    // 02080 PRINT "ABSOLUTE RULER OF SUMER,"
    MyFpf(stdout,"absolute ruler of sumer,\n");
    // 02090 PRINT "I, YOUR HUMBLE SERVANT, THE M5 MULTITRONIC UNIT,"
    MyFpf(stdout,"i, your humble servant, the m5 multitronic unit,\n");
    // 02100 PRINT "BEG TO REPORT ON THE STATE OF YOUR DOMAIN..."
    MyFpf(stdout,"beg to report on the state of your domain...\n");
    // 02110 REM
    //
    // 02120 REM SUBSEQUENT YEARS LOOP BACK TO NEXT STATEMENT
    // subsequent years loop back to next statement
    // 02130 REM
    //

  Lbl_02140:
    // 02140 PRINT "IT IS NOW YEAR"R+1" OF YOUR REIGN."
    MyFpf(stdout,"it is now year%d of your reign.\n",R_int+1);
    // 02150 PRINT "LAST YEAR" D" PE";
    MyFpf(stdout,"last year%d pe",D_int);
    // 02160 IF D = 1 GOTO 2190
    if(D_int==1) goto Lbl_02190;
    // 02170 PRINT "OPLE";
    MyFpf(stdout,"ople");
    // 02180 GOTO 2200
    goto Lbl_02200;

  Lbl_02190:
    // 02190 PRINT "RSON";
    MyFpf(stdout,"rson");

  Lbl_02200:
    // 02200 PRINT " DIED AND"I1" IMMIGRANT";
    MyFpf(stdout," died and%d immigrant",I1_int);
    // 02210 IF I1 = 1 GOTO 2230
    if(I1_int==1) goto Lbl_02230;
    // 02220 PRINT "S";
    MyFpf(stdout,"s");

  Lbl_02230:
    // 02230 PRINT " CAME INTO YOUR DOMAIN"
    MyFpf(stdout," came into your domain\n");
    // 02240 D9 = D9 + D
    D9_int = D9_int+D_int;
    // 02250 IF I1 > 0 GOTO 2280
    if(I1_int>0) goto Lbl_02280;
    // 02260 PRINT "(YOU'VE BEEN RECEIVING A BAD PRESS LATELY...)"
    MyFpf(stdout,"(you've been receiving a bad press lately...)\n");
    // 02270 GOTO 2370
    goto Lbl_02370;

  Lbl_02280:
    // 02280 IF P1 = 1 GOTO 2300
    if(P1_int==1) goto Lbl_02300;
    // 02290 GOTO 2370
    goto Lbl_02370;

  Lbl_02300:
    // 02300 IF I1 < 2 GOTO 2370
    if(I1_int<2) goto Lbl_02370;
    // 02310 PRINT "MOST REGRETTABLY, THEY BROUGHT WITH THEM A MYSTERIOUS PLAGUE"
    MyFpf(stdout,"most regrettably, they brought with them a mysterious plague\n");
    // 02320 J  = RND(J)
    J_int = RND(J_int);
    // 02330 D5 = INT( I1 / 2 + 10 * J * I1 / P)
    D5_int = INT(I1_int/2+10*J_int*I1_int/P_int);
    // 02340 D9 = D9 + D5
    D9_int = D9_int+D5_int;
    // 02350 P  = P - D5
    P_int = P_int-D5_int;
    // 02360 PRINT " AND"D5" PEOPLE DIED IN THE ENSUING EPIDEMIC."
    MyFpf(stdout," and%d people died in the ensuing epidemic.\n",D5_int);

  Lbl_02370:
    // 02370 PRINT "THE PRESENT POPULATION OF SUMER IS THEREFORE"P;
    MyFpf(stdout,"the present population of sumer is therefore%d",P_int);
    // 02380 IF G1 = 0 GOTO 2410
    if(G1_int==0) goto Lbl_02410;
    // 02390 PRINT "HUNGRY SUBJECTS"
    MyFpf(stdout,"hungry subjects\n");
    // 02400 GOTO 2420
    goto Lbl_02420;

  Lbl_02410:
    // 02410 PRINT "LOYAL SUBJECTS"
    MyFpf(stdout,"loyal subjects\n");

  Lbl_02420:
    // 02420 IF P > 9 GOTO 2470
    if(P_int>9) goto Lbl_02470;
    // 02430 PRINT "WE WHO REMAIN HAVE DECIDED TO LEAVE FOR A HEALTHIER PLANET."
    MyFpf(stdout,"we who remain have decided to leave for a healthier planet.\n");

  Lbl_02440:
    // 02440 PRINT "FRANKLY, MASTER, AS A RULER YOU ARE A FLOP"
    MyFpf(stdout,"frankly, master, as a ruler you are a flop\n");
    // 02450 F3 = 1
    F3_int = 1;
    // 02460 GOTO 6420
    goto Lbl_06420;

  Lbl_02470:
    // 02470 PRINT
    MyFpf(stdout,"\n");
    // 02480 IF Q9 < 150 GOTO 2500
    if(Q9_int<150) goto Lbl_02500;
    // 02490 N2 = (150 * 150) / (Q9 * Q9) * N2
    N2_flt = (150*150)/(Q9_int*Q9_int)*N2_flt;

  Lbl_02500:
    // 02500 PRINT "THE PEASANTS NOW WEIGH "Q9 "LBS."
    MyFpf(stdout,"the peasants now weigh %dlbs.\n",Q9_int);
    // 02510 G2 = G2 + N2
    G2_flt = G2_flt+N2_flt;
    // 02520 PRINT "WE PLANTED"N1" OF YOUR"N5" ACRES LAST YEAR"
    MyFpf(stdout,"we planted%d of your%d acres last year\n",N1_int,N5_int);
    // 02530 PRINT USING 2530,N2
    MyFpf(stdout,UsingFmt_02540,FT(N2_flt));
    // 02540 :    AND HARVESTED #.## BUSHELS PER ACRE...
    // 02550 PRINT USING 2550,H3
    MyFpf(stdout,UsingFmt_02560,IT(H3_int));
    // 02560 :THE TOTAL HARVEST WAS THEREFORE ######## BUSHELS
    // 02570 IF W  = 0 GOTO 2700
    if(W_int==0) goto Lbl_02700;
    // 02580 IF H3 = 0 GOTO 2610
    if(H3_int==0) goto Lbl_02610;
    // 02590 PRINT "BUT, UNFORTUNATELY, STORMS DESTROYED HALF YOUR CROP"
    MyFpf(stdout,"but, unfortunately, storms destroyed half your crop\n");
    // 02600 G2 = G2 - N2 / 2
    G2_flt = G2_flt-N2_flt/2;

  Lbl_02610:
    // 02610 W  = 0
    W_int = 0;
    // 02620 IF N4 = 0 GOTO 2680
    if(N4_int==0) goto Lbl_02680;

  Lbl_02630:
    // 02630 PRINT "AND";
    MyFpf(stdout,"and");

  Lbl_02640:
    // 02640 PRINT " THE PSSSTOCK";
    MyFpf(stdout," the pssstock");
    // 02650 IF N4 = 0 GOTO 2730
    if(N4_int==0) goto Lbl_02730;
    // 02660 PRINT "S STOLE"N4" BUSHELS"
    MyFpf(stdout,"s stole%d bushels\n",N4_int);
    // 02670 IF W = 0 GOTO 2740
    if(W_int==0) goto Lbl_02740;

  Lbl_02680:
    // 02680 PRINT "- HOWEVER";
    MyFpf(stdout,"- however");
    // 02690 GOTO 2640
    goto Lbl_02640;

  Lbl_02700:
    // 02700 IF N4 = 0 GOTO 2630
    if(N4_int==0) goto Lbl_02630;
    // 02710 PRINT "BUT";
    MyFpf(stdout,"but");
    // 02720 GOTO 2640
    goto Lbl_02640;

  Lbl_02730:
    // 02730 PRINT " RAIDERS WERE SUCCESSFULLY REPELLED"
    MyFpf(stdout," raiders were successfully repelled\n");

  Lbl_02740:
    // 02740 IF L <= 0 GOTO 2970
    if(L_int<=0) goto Lbl_02970;
    // 02750 L = INT( ((100 + I2) * L) / 100)
    L_int = INT(((100+I2_int)*L_int)/100);
    // 02760 IF I >= L GOTO 2870
    if(I_int>=L_int) goto Lbl_02870;
    // 02770 IF I + (N5-P)*(N6/6)<L GOTO 3080
    if(I_int+(N5_int-P_int)*(N6_int/6)<L_int) goto Lbl_03080;
    // 02780 PRINT "UNFORTUNATELY, YOU DO NOT HAVE ENOUGH GRAIN LEFT TO "
    MyFpf(stdout,"unfortunately, you do not have enough grain left to \n");
    // 02790 PRINT USING 2790, Z$(W0)
    MyFpf(stdout,UsingFmt_02800,ST(Z_str_arr[(int)W0_int]));
    // 02800 :REPAY YOUR DEBT TO 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    // 02810 PRINT "OF "L" BUSHELS. HOWEVER, IN HIS INFINITE GENEROSITY, HE HAS"
    MyFpf(stdout,"of %d bushels. however, in his infinite generosity, he has\n",L_int);
    // 02820 PRINT "DECIDED NOT TO FORECLOSE ON OUR KINGDOM BUT WILL TAKE"
    MyFpf(stdout,"decided not to foreclose on our kingdom but will take\n");
    // 02830 PRINT "LAND IN REPAYMENT AT ONE-SIXTH THE GOING RATE (IN"
    MyFpf(stdout,"land in repayment at one-sixth the going rate (in\n");
    // 02840 PRINT "ADDITION TO THE GRAIN IN THE STOREHOUSE) UNTIL YOUR DEBT"
    MyFpf(stdout,"addition to the grain in the storehouse) until your debt\n");
    // 02850 PRINT "IS PAID."
    MyFpf(stdout,"is paid.\n");
    // 02860 GOTO 2910
    goto Lbl_02910;

  Lbl_02870:
    // 02870 PRINT USING 2870,Z$(W0)
    MyFpf(stdout,UsingFmt_02880,ST(Z_str_arr[(int)W0_int]));
    // 02880 : AND 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    // 02890 PRINT "COLLECTED THE "L" BUSHELS  THAT YOU OWED."
    MyFpf(stdout,"collected the %d bushels  that you owed.\n",L_int);
    // 02900 GOTO 2960
    goto Lbl_02960;

  Lbl_02910:
    // 02910 Z8 = INT((6*(L-I)/N6)+.5)
    Z8_int = INT((6*(L_int-I_int)/N6_int)+0.5);
    // 02920 N5 = N5 - Z8
    N5_int = N5_int-Z8_int;
    // 02930 PRINT "YOU THEREFORE HAVE "N5" ACRES OF LAND REMAINING."
    MyFpf(stdout,"you therefore have %d acres of land remaining.\n",N5_int);
    // 02940 I = 0
    I_int = 0;
    // 02950 GOTO 2970
    goto Lbl_02970;

  Lbl_02960:
    // 02960 I = I - L
    I_int = I_int-L_int;

  Lbl_02970:
    // 02970 L = 0
    L_int = 0;
    // 02980 PRINT USING 2980,I
    MyFpf(stdout,UsingFmt_02990,IT(I_int));
    // 02990 :THUS YOU NOW HAVE ######## BUSHELS IN YOUR STOREHOUSE.
    // 03000 IF E2 = 0 GOTO 3200
    if(E2_int==0) goto Lbl_03200;
    // 03010 IF E1 > 0 GOTO 3150
    if(E1_int>0) goto Lbl_03150;
    // 03020 IF E1 < 0 GOTO 3040
    if(E1_int<0) goto Lbl_03040;
    // 03030 IF E2 = 1 GOTO 3060
    if(E2_int==1) goto Lbl_03060;

  Lbl_03040:
    // 03040 PRINT "HOWEVER, ALAS! A RECENT COUP D'ETAT HAS DEPOSED YOU FROM OFFICE."
    MyFpf(stdout,"however, alas! a recent coup d'etat has deposed you from office.\n");
    // 03050 GOTO 2440
    goto Lbl_02440;

  Lbl_03060:
    // 03060 PRINT "LUCKILY, YOU MANAGED TO MAINTAIN YOUR DICTATORSHIP DURING THE YEAR."
    MyFpf(stdout,"luckily, you managed to maintain your dictatorship during the year.\n");
    // 03070 GOTO 3190
    goto Lbl_03190;

  Lbl_03080:
    // 03080 PRINT USING 2990,I
    MyFpf(stdout,UsingFmt_02990,IT(I_int));
    // 03090 PRINT "HOWEVER AND ALAS! THIS IS LESS THAN THE "L" BUSHELS"
    MyFpf(stdout,"however and alas! this is less than the %d bushels\n",L_int);
    // 03100 PRINT USING 3100,Z$(W0)
    MyFpf(stdout,UsingFmt_03110,ST(Z_str_arr[(int)W0_int]));
    // 03110 :    THAT YOU OWE 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    // 03120 PRINT " WE HAVE THEREFORE BEEN FORECLOSED"
    MyFpf(stdout," we have therefore been foreclosed\n");
    // 03130 PRINT "   ON YOUR HAPPY KINGDOM.  YOU ARE DEPOSED."
    MyFpf(stdout,"   on your happy kingdom.  you are deposed.\n");
    // 03140 GOTO 2440
    goto Lbl_02440;

  Lbl_03150:
    // 03150 IF E2 = 1 GOTO 3180
    if(E2_int==1) goto Lbl_03180;
    // 03160 PRINT "ALAS! YOU LOST THE ELECTION - IT THEREFORE SEEMS"
    MyFpf(stdout,"alas! you lost the election - it therefore seems\n");
    // 03170 GOTO 2440
    goto Lbl_02440;

  Lbl_03180:
    // 03180 PRINT "LUCKILY, THE ELECTION GAVE YOU THE REQUIRED MAJORITY."
    MyFpf(stdout,"luckily, the election gave you the required majority.\n");

  Lbl_03190:
    // 03190 E2 = 0
    E2_int = 0;

  Lbl_03200:
    // 03200 PRINT
    MyFpf(stdout,"\n");
    // 03210 REM
    //
    // 03220 REM TEST IF TERM OF OFFICE HAS EXPIRED
    // test if term of office has expired
    // 03230 REM
    //
    // 03240 IF R >= Y GOTO 6290
    if(R_int>=Y_int) goto Lbl_06290;
    // 03250 IF E9 > 1 GOTO 3280
    if(E9_int>1) goto Lbl_03280;
    // 03260 IF R = INT(Y/2) GOTO 3280
    if(R_int==INT(Y_int/2)) goto Lbl_03280;
    // 03270 GOTO 3600
    goto Lbl_03600;

  Lbl_03280:
    // 03280 IF E5 = 0 GOTO 3310
    if(E5_int==0) goto Lbl_03310;
    // 03290 PRINT "AGAIN"
    MyFpf(stdout,"again\n");
    // 03300 GOTO 3330
    goto Lbl_03330;

  Lbl_03310:
    // 03310 PRINT "NOW";
    MyFpf(stdout,"now");
    // 03320 E5 = 1
    E5_int = 1;

  Lbl_03330:
    // 03330 PRINT ", A MOVEMENT IS AFOOT TO OUST YOU FROM OFFICE AND"
    MyFpf(stdout,", a movement is afoot to oust you from office and\n");
    // 03340 PRINT "YOUR ADVISERS URGE YOU TO OBTAIN A MANDATE FROM THE PEOPLE."
    MyFpf(stdout,"your advisers urge you to obtain a mandate from the people.\n");
    // 03350 PRINT "SHOULD YOU DECIDE TO HOLD AN ELECTION,"
    MyFpf(stdout,"should you decide to hold an election,\n");
    // 03360 PRINT "YOUR CAMPAIGN WORKERS MAY BE PAID IN BUSHELS OF GRAIN:"
    MyFpf(stdout,"your campaign workers may be paid in bushels of grain:\n");
    // 03370 PRINT "NOW, ";
    MyFpf(stdout,"now, ");

  Lbl_03380:
    // 03380 PRINT "HOW MANY (IF ANY) BUSHELS DO YOU WISH TO DISTRIBUTE IN THIS MANNER?"
    MyFpf(stdout,"how many (if any) bushels do you wish to distribute in this manner?\n");
    // 03390 GOSUB 6780
    Routine_06780();
    // 03400 E1 = Q
    E1_int = Q_int;
    // 03410 E8 = E8 + E9
    E8_int = E8_int+E9_int;
    // 03420 E9 = 0
    E9_int = 0;
    // 03430 E2 = 1
    E2_int = 1;
    // 03440 IF E1 = 0 GOTO 3600
    if(E1_int==0) goto Lbl_03600;
    // 03450 IF E1 > 0 GOTO 3500
    if(E1_int>0) goto Lbl_03500;
    // 03460 PRINT "OH, MASTER!! THEFT FROM THY CAMPAIGN WORKERS"
    MyFpf(stdout,"oh, master!! theft from thy campaign workers\n");
    // 03470 PRINT "    IS A PUNISHABLE OFFENCE!"
    MyFpf(stdout,"    is a punishable offence!\n");
    // 03480 GOSUB 6900
    Routine_06900();
    // 03490 GOTO 3380
    goto Lbl_03380;

  Lbl_03500:
    // 03500 IF I > E1 GOTO 3570
    if(I_int>E1_int) goto Lbl_03570;
    // 03510 PRINT "YOUR GENEROSITY, SIRE, IS A SOURCE OF CONTINUAL EMBARRASSMENT"
    MyFpf(stdout,"your generosity, sire, is a source of continual embarrassment\n");
    // 03520 PRINT USING 3520,I
    MyFpf(stdout,UsingFmt_03530,IT(I_int));
    // 03530 :TO YOUR PEOPLE...(AT THIS JUNCTURE, YOU POSSESS A MERE ######## BUSHELS)
    // 03540 E9 = E9 + INT(.5 + RND(Q9 + E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 03550 PRINT "PLEASE TELL ME AGAIN:"
    MyFpf(stdout,"please tell me again:\n");
    // 03560 GOTO 3380
    goto Lbl_03380;

  Lbl_03570:
    // 03570 PRINT "THANK YOU, SIRE...."
    MyFpf(stdout,"thank you, sire....\n");
    // 03580 PRINT "AN ELECTION WILL BE HELD TO STABILIZE CONFIDENCE IN YOUR REGIME."
    MyFpf(stdout,"an election will be held to stabilize confidence in your regime.\n");
    // 03590 I = I - E1
    I_int = I_int-E1_int;

  Lbl_03600:
    // 03600 IF R >= 1 GOTO 3650
    if(R_int>=1) goto Lbl_03650;
    // 03610 PRINT "THE GODS DECREE THAT ONE BUSHEL IS REQUIRED TO PLANT ONE ACRE AND"
    MyFpf(stdout,"the gods decree that one bushel is required to plant one acre and\n");
    // 03620 PRINT "THE LAWS DECREE THAT ONE ACRE PER PERSON MUST BE SET ASIDE"
    MyFpf(stdout,"the laws decree that one acre per person must be set aside\n");
    // 03630 PRINT "    FOR NON-AGRICULTURAL USE"
    MyFpf(stdout,"    for non-agricultural use\n");
    // 03640 PRINT
    MyFpf(stdout,"\n");

  Lbl_03650:
    // 03650 IF RND(0) * 8 > 6 GOTO 3670
    if(RND(0)*8>6) goto Lbl_03670;
    // 03660 GOTO 3930
    goto Lbl_03930;

  Lbl_03670:
    // 03670 PRINT "SOOTHSAYERS ARE PROPHESYING BAD WEATHER THIS SUMMER, MASTER."
    MyFpf(stdout,"soothsayers are prophesying bad weather this summer, master.\n");
    // 03680 W  = 1
    W_int = 1;
    // 03690 IF I > 2*P+N5+L+100 GOTO 3930
    if(I_int>2*P_int+N5_int+L_int+100) goto Lbl_03930;
    // 03700 PRINT "THAT'S KIND OF A ROUGH BLOW, MASTER.  IF YOU WISH, YOU MAY"
    MyFpf(stdout,"that's kind of a rough blow, master.  if you wish, you may\n");
    // 03710 PRINT "EMPLOY THE PRIESTS IN AN EFFORT TO WARD OFF THE BAD WEATHER."
    MyFpf(stdout,"employ the priests in an effort to ward off the bad weather.\n");
    // 03720 PRINT "NOW, HOW MANY (IF ANY) BUSHELS DO YOU WISH TO GIVE THE"
    MyFpf(stdout,"now, how many (if any) bushels do you wish to give the\n");
    // 03730 PRINT "PRIESTS FOR THIS CEREMONY?"
    MyFpf(stdout,"priests for this ceremony?\n");
    // 03740 GOSUB 6780
    Routine_06780();
    // 03750 F9 = Q
    F9_int = Q_int;
    // 03760 IF F9 > 0 GOTO 3800
    if(F9_int>0) goto Lbl_03800;
    // 03770 PRINT "DE PREESTS AIN'T GONNA LIKE BEIN TAXED, MASTER."
    MyFpf(stdout,"de preests ain't gonna like bein taxed, master.\n");
    // 03780 E9 = E9 + INT( RND( J) + .5)
    E9_int = E9_int+INT(RND(J_int)+0.5);
    // 03790 F9 = 0
    F9_int = 0;

  Lbl_03800:
    // 03800 IF F9 = 0 GOTO 3930
    if(F9_int==0) goto Lbl_03930;
    // 03810 IF F9<=I GOTO 3850
    if(F9_int<=I_int) goto Lbl_03850;
    // 03820 E9=E9+INT(RND(J)+.5)
    E9_int = E9_int+INT(RND(J_int)+0.5);
    // 03830 PRINT "YOU AIN'T GOT THAT MUCH. I'M GONNA BLOW THE WHOLE WAD, MASTER."
    MyFpf(stdout,"you ain't got that much. i'm gonna blow the whole wad, master.\n");
    // 03840 F9 = I
    F9_int = I_int;

  Lbl_03850:
    // 03850 PRINT "THANK YOU, EMINENCE.  THE PRIESTS WILL DO THEIR THING!"
    MyFpf(stdout,"thank you, eminence.  the priests will do their thing!\n");
    // 03860 REM CALC. CHANCES OF SUCCESSFUL RAIN DANCE
    // calc. chances of successful rain dance
    // 03870 W = 1-(F9/P)*RND(J)
    W_int = 1-(F9_int/P_int)*RND(J_int);
    // 03880 W = INT(W)
    W_int = INT(W_int);
    // 03890 IF W>0 GOTO 3910
    if(W_int>0) goto Lbl_03910;
    // 03900 W = 0
    W_int = 0;

  Lbl_03910:
    // 03910 IF W<1 GOTO 3930
    if(W_int<1) goto Lbl_03930;
    // 03920 W = 1
    W_int = 1;

  Lbl_03930:
    // 03930 PRINT"THIS YEAR WE CAN BUY OR SELL LAND FOR"N6" BUSHELS PER ACRE."
    MyFpf(stdout,"this year we can buy or sell land for%d bushels per acre.\n",N6_int);
    // 03940 IF 5*P<N5 GOTO 3970
    if(5*P_int<N5_int) goto Lbl_03970;
    // 03950 PRINT"HOWEVER, I RESPECTFULLY REMIND YOU THAT SUMER IS BECOMING"
    MyFpf(stdout,"however, i respectfully remind you that sumer is becoming\n");
    // 03960 PRINT"    RATHER OVERCROWDED, SO"
    MyFpf(stdout,"    rather overcrowded, so\n");

  Lbl_03970:
    // 03970 PRINT "HOW MANY ACRES OF LAND DO YOU WISH TO BUY THIS YEAR?"
    MyFpf(stdout,"how many acres of land do you wish to buy this year?\n");
    // 03980 IF N6>12 GOTO 4000
    if(N6_int>12) goto Lbl_04000;
    // 03990 PRINT "(THE PRICE IS RIGHT!)"
    MyFpf(stdout,"(the price is right!)\n");

  Lbl_04000:
    // 04000 GOSUB6780
    Routine_06780();
    // 04010 N7 = Q
    N7_int = Q_int;
    // 04020 IF N7 = 0 GOTO 4070
    if(N7_int==0) goto Lbl_04070;
    // 04030 IF N7>0 GOTO 4170
    if(N7_int>0) goto Lbl_04170;
    // 04040 PRINT "IT IS WRITTEN THAT THOU CANST NOT BUY A NEGATIVE NUMBER OF ACRES."
    MyFpf(stdout,"it is written that thou canst not buy a negative number of acres.\n");

  Lbl_04050:
    // 04050 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 04060 GOTO 3970
    goto Lbl_03970;

  Lbl_04070:
    // 04070 PRINT "HOW MANY ACRES DO YOU WISH TO SELL?"
    MyFpf(stdout,"how many acres do you wish to sell?\n");
    // 04080 IF N6<20 GOTO 4100
    if(N6_int<20) goto Lbl_04100;
    // 04090 PRINT"(THE PRICE IS RIGHT!)"
    MyFpf(stdout,"(the price is right!)\n");

  Lbl_04100:
    // 04100 GOSUB6780
    Routine_06780();
    // 04110 N8 = Q
    N8_int = Q_int;
    // 04120 IF N8 = 0 GOTO 4460
    if(N8_int==0) goto Lbl_04460;
    // 04130 IF N8>0 GOTO 4270
    if(N8_int>0) goto Lbl_04270;
    // 04140 PRINT"IT IS WRITTEN THAT THOU CANST NOT SELL A NEGATIVE NUMBER OF ACRES."
    MyFpf(stdout,"it is written that thou canst not sell a negative number of acres.\n");

  Lbl_04150:
    // 04150 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 04160 GOTO 4070
    goto Lbl_04070;

  Lbl_04170:
    // 04170 IF I-N6*N7 = 0 GOTO 4240
    if(I_int-N6_int*N7_int==0) goto Lbl_04240;
    // 04180 IF I-N6*N7>0 GOTO 4420
    if(I_int-N6_int*N7_int>0) goto Lbl_04420;
    // 04190 PRINT"MUCH THOUGH I WOULD LIKE TO EFFECT THIS TRANSACTION ON YOUR BEHALF,"
    MyFpf(stdout,"much though i would like to effect this transaction on your behalf,\n");
    // 04200 PRINT"MASTER, IT WOULD COST"N6*N7" BUSHELS -- WHICH IS"
    MyFpf(stdout,"master, it would cost%d bushels -- which is\n",N6_int*N7_int);
    // 04210 PRINT"MORE THAN THE"I" BUSHELS IN YOUR STOREHOUSE."
    MyFpf(stdout,"more than the%d bushels in your storehouse.\n",I_int);
    // 04220 PRINT"THEREFORE, PLEASE RECONSIDER:"
    MyFpf(stdout,"therefore, please reconsider:\n");
    // 04230 GOTO 4050
    goto Lbl_04050;

  Lbl_04240:
    // 04240 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED."
    MyFpf(stdout,"you will have no grain left in the storehouse for seed.\n");
    // 04250 GOSUB 6999
    Routine_06999();
    // 04260 GOTO 4050
    goto Lbl_04050;

  Lbl_04270:
    // 04270 IF N5-N8 = 0 GOTO 4330
    if(N5_int-N8_int==0) goto Lbl_04330;
    // 04280 IF N5-N8>P GOTO 4390
    if(N5_int-N8_int>P_int) goto Lbl_04390;
    // 04290 IF N5>N8 GOTO 4350
    if(N5_int>N8_int) goto Lbl_04350;
    // 04300 PRINT"GOOD GRIEF, MASTER.  YOU HAVE ONLY"N5" ACRES."
    MyFpf(stdout,"good grief, master.  you have only%d acres.\n",N5_int);

  Lbl_04310:
    // 04310 GOSUB6999
    Routine_06999();
    // 04320 GOTO 4150
    goto Lbl_04150;

  Lbl_04330:
    // 04330 PRINT "HEAVENS, MASTER! YOU WILL HAVE NO LAND LEFT!!"
    MyFpf(stdout,"heavens, master! you will have no land left!!\n");
    // 04340 GOTO 4310
    goto Lbl_04310;

  Lbl_04350:
    // 04350 F6 = N5-N8
    F6_int = N5_int-N8_int;
    // 04360 PRINT "BY GOSH, MASTER! IF"P" PEOPLE ARE CRAMMED INTO "F6" ACRES,"
    MyFpf(stdout,"by gosh, master! if%d people are crammed into %d acres,\n",P_int,F6_int);
    // 04370 PRINT "THERE WILL BE TROUBLE AT THE PALACE TONIGHT!"
    MyFpf(stdout,"there will be trouble at the palace tonight!\n");
    // 04380 GOTO 4310
    goto Lbl_04310;

  Lbl_04390:
    // 04390 N5 = N5-N8
    N5_int = N5_int-N8_int;
    // 04400 I = I+N6*N8
    I_int = I_int+N6_int*N8_int;
    // 04410 GOTO 4440
    goto Lbl_04440;

  Lbl_04420:
    // 04420 N5 = N5+N7
    N5_int = N5_int+N7_int;
    // 04430 I = I-N6*N7
    I_int = I_int-N6_int*N7_int;

  Lbl_04440:
    // 04440 PRINT"AS YOU KNOW, MASTER, THAT MEANS THERE ARE NOW"I"BUSHELS"
    MyFpf(stdout,"as you know, master, that means there are now%dbushels\n",I_int);
    // 04450 PRINT"     STASHED IN THE STOREHOUSE."
    MyFpf(stdout,"     stashed in the storehouse.\n");

  Lbl_04460:
    // 04460 PRINT "HOW MANY BUSHELS OF GRAIN DO YOU WISH TO DISTRIBUTE AS FOOD?"
    MyFpf(stdout,"how many bushels of grain do you wish to distribute as food?\n");
    // 04470 GOSUB6780
    Routine_06780();
    // 04480 N9 = Q
    N9_int = Q_int;
    // 04490 G1 = 0
    G1_int = 0;
    // 04500 IF N9>= P GOTO 4630
    if(N9_int>=P_int) goto Lbl_04630;
    // 04510 G1 = 1
    G1_int = 1;
    // 04520 IF N9>= 0 GOTO 4550
    if(N9_int>=0) goto Lbl_04550;
    // 04530 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    MyFpf(stdout,"i know not the meaning of negative numbers, master.\n");
    // 04540 GOTO 4670
    goto Lbl_04670;

  Lbl_04550:
    // 04550 PRINT "TYRANT!! "
    MyFpf(stdout,"tyrant!! \n");
    // 04560 R9 = N9/P
    R9_int = N9_int/P_int;
    // 04570 IF R9 = 0 GOTO 4600
    if(R9_int==0) goto Lbl_04600;
    // 04580 PRINT"MANY ";
    MyFpf(stdout,"many ");
    // 04590 GOTO 4610
    goto Lbl_04610;

  Lbl_04600:
    // 04600 PRINT"ALL THY ";
    MyFpf(stdout,"all thy ");

  Lbl_04610:
    // 04610 PRINT "PEOPLE WILL STARVE... I SHALL LEAD THE REVOLUTION!!"
    MyFpf(stdout,"people will starve... i shall lead the revolution!!\n");
    // 04620 E8 = E8+1
    E8_int = E8_int+1;

  Lbl_04630:
    // 04630 IF I-N9 = 0 GOTO 4690
    if(I_int-N9_int==0) goto Lbl_04690;
    // 04640 IF I-N9>0 GOTO 4720
    if(I_int-N9_int>0) goto Lbl_04720;
    // 04650 PRINT"THINK, MASTER. YOU HAVE ONLY"I" BUSHELS LEFT IN THE ";
    MyFpf(stdout,"think, master. you have only%d bushels left in the ",I_int);
    // 04660 PRINT "STOREHOUSE"
    MyFpf(stdout,"storehouse\n");

  Lbl_04670:
    // 04670 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 04680 GOTO 4460
    goto Lbl_04460;

  Lbl_04690:
    // 04690 PRINT"YOU WILL HAVE NO GRAIN LEFT IN THE STOREHOUSE FOR SEED"
    MyFpf(stdout,"you will have no grain left in the storehouse for seed\n");
    // 04700 PRINT"SURELY I MISHEARD YOU, MASTER.  PRAY TELL ME AGAIN,"
    MyFpf(stdout,"surely i misheard you, master.  pray tell me again,\n");
    // 04710 GOTO 4670
    goto Lbl_04670;

  Lbl_04720:
    // 04720 Q9 = Q9*((LOG(2+N9/P))/(LOG(6)))*(SQR(150/Q9))
    Q9_int = Q9_int*((LOG(2+N9_int/P_int))/(LOG(6)))*(SQR(150/Q9_int));
    // 04730 IF N9>= 2*P GOTO 4760
    if(N9_int>=2*P_int) goto Lbl_04760;
    // 04740 IF N9<P GOTO 4760
    if(N9_int<P_int) goto Lbl_04760;
    // 04750 PRINT"NO POINT LETTING THEM GET TOO FAT, EH MASTER?"
    MyFpf(stdout,"no point letting them get too fat, eh master?\n");

  Lbl_04760:
    // 04760 IF N9<6*P GOTO 4790
    if(N9_int<6*P_int) goto Lbl_04790;
    // 04770 PRINT "BY GOLLY, MASTER, THY PEOPLE WILL BLOAT UP LIKE ZEPPELINS!"
    MyFpf(stdout,"by golly, master, thy people will bloat up like zeppelins!\n");
    // 04780 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));

  Lbl_04790:
    // 04790 I = I-N9
    I_int = I_int-N9_int;
    // 04800 PRINT"THERE ARE"N5-P"ACRES AVAILABLE FOR CULTIVATION, SIRE"
    MyFpf(stdout,"there are%dacres available for cultivation, sire\n",N5_int-P_int);

  Lbl_04810:
    // 04810 PRINT "HOW MANY DO YOU WISH TO PLANT WITH SEED?"
    MyFpf(stdout,"how many do you wish to plant with seed?\n");
    // 04820 GOSUB6780
    Routine_06780();
    // 04830 N1 = Q
    N1_int = Q_int;
    // 04840 IF N1>= 0 GOTO 4890
    if(N1_int>=0) goto Lbl_04890;
    // 04850 PRINT "I KNOW NOT THE MEANING OF NEGATIVE NUMBERS, MASTER."
    MyFpf(stdout,"i know not the meaning of negative numbers, master.\n");
    // 04860 PRINT "PRAY TELL ME AGAIN,"
    MyFpf(stdout,"pray tell me again,\n");

  Lbl_04870:
    // 04870 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 04880 GOTO 4810
    goto Lbl_04810;

  Lbl_04890:
    // 04890 F7 = N5-P
    F7_int = N5_int-P_int;
    // 04900 IF F7>=N1 GOTO4950
    if(F7_int>=N1_int) goto Lbl_04950;
    // 04910 PRINT " YOU DON'T HAVE THAT MUCH LAND, MASTER."
    MyFpf(stdout," you don't have that much land, master.\n");
    // 04920 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 04930 PRINT " BUT I'LL GIVE YOU ANOTHER CHANCE TO MAKE GOOD"
    MyFpf(stdout," but i'll give you another chance to make good\n");
    // 04940 GOTO 4810
    goto Lbl_04810;

  Lbl_04950:
    // 04950 IF N1>F7/3 GOTO 4980
    if(N1_int>F7_int/3) goto Lbl_04980;
    // 04960 PRINT "YOUR DISTASTE FOR AGRICULTURE NEVER FAILS TO AMAZE ME, SIRE"
    MyFpf(stdout,"your distaste for agriculture never fails to amaze me, sire\n");
    // 04970 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));

  Lbl_04980:
    // 04980 IF N1>F7 GOTO 5000
    if(N1_int>F7_int) goto Lbl_05000;
    // 04990 IF I>= N1 GOTO 5180
    if(I_int>=N1_int) goto Lbl_05180;

  Lbl_05000:
    // 05000 IF F7>I GOTO 5060
    if(F7_int>I_int) goto Lbl_05060;
    // 05010 PRINT"COME NOW, MASTER..."
    MyFpf(stdout,"come now, master...\n");
    // 05020 PRINT"SUMER CURRENTLY HAS ONLY"F7" ACRES CAPABLE OF CULTIVATION"
    MyFpf(stdout,"sumer currently has only%d acres capable of cultivation\n",F7_int);
    // 05030 IF N1>N5 GOTO 4870
    if(N1_int>N5_int) goto Lbl_04870;
    // 05040 PRINT"(YOUR PEOPLE HAVE TO LIVE SOMEWHERE)"
    MyFpf(stdout,"(your people have to live somewhere)\n");
    // 05050 GOTO 4870
    goto Lbl_04870;

  Lbl_05060:
    // 05060 PRINT USING 5060,I
    MyFpf(stdout,UsingFmt_05070,IT(I_int));
    // 05070 :THINK, MASTER YOU HAVE ONLY ######## BUSHELS LEFT IN THE STOREHOUSE.
    // 05080 PRINT"(REMEMBER: ONE BUSHEL PER ACRE)"
    MyFpf(stdout,"(remember: one bushel per acre)\n");
    // 05090 IF N1-I<20 GOTO 4870
    if(N1_int-I_int<20) goto Lbl_04870;
    // 05100 W0=INT(RND(F6+F7+H3+I+P+6+J)*11+1)
    W0_int = INT(RND(F6_int+F7_int+H3_int+I_int+P_int+6+J_int)*11+1);
    // 05110 PRINT USING 5110,Z$(W0)
    MyFpf(stdout,UsingFmt_05120,ST(Z_str_arr[(int)W0_int]));
    // 05120 :HOWEVER, YOUR NEIGHBOR 'LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
    // 05130 I2 = INT(25+25*(RND(J))+INT(50*W0/11))
    I2_int = INT(25+25*(RND(J_int))+INT(50*W0_int/11));
    // 05140 L = N1-I
    L_int = N1_int-I_int;
    // 05150 PRINT" HAS AGREED TO LEND YOU THE NECESSARY "L" BUSHELS AT A MODEST"
    MyFpf(stdout," has agreed to lend you the necessary %d bushels at a modest\n",L_int);
    // 05160 PRINT"   RATE OF "I2"% INTEREST"
    MyFpf(stdout,"   rate of %d%% interest\n",I2_int);
    // 05170 I = I+L
    I_int = I_int+L_int;

  Lbl_05180:
    // 05180 IF 40*P>N1 GOTO 5250
    if(40*P_int>N1_int) goto Lbl_05250;
    // 05190 PRINT"YOUR"P" PEOPLE ARE GOING TO BE HARD-PRESSED TO PLANT"
    MyFpf(stdout,"your%d people are going to be hard-pressed to plant\n",P_int);
    // 05200 PRINT N1" ACRES THIS SPRING, MASTER, WATCH OUT!"
    MyFpf(stdout,"%d acres this spring, master, watch out!\n",N1_int);
    // 05210 N9 = N9+N1-50*P
    N9_int = N9_int+N1_int-50*P_int;
    // 05220 N9 = 50*P
    N9_int = 50*P_int;
    // 05230 IF N9>0 GOTO 5250
    if(N9_int>0) goto Lbl_05250;
    // 05240 N1 =0
    N1_int = 0;

  Lbl_05250:
    // 05250 I = I-N1
    I_int = I_int-N1_int;
    // 05260 IF I<1 GOTO 5440
    if(I_int<1) goto Lbl_05440;
    // 05270 PRINT"AND HOW MANY OF YOUR"I"BUSHELS DO YOU WISH TO SPEND"
    MyFpf(stdout,"and how many of your%dbushels do you wish to spend\n",I_int);
    // 05280 PRINT"    ON PROTECTING YOUR GRAIN FROM THE PSSSTOCKS?"
    MyFpf(stdout,"    on protecting your grain from the pssstocks?\n");

  Lbl_05290:
    // 05290 GOSUB6780
    Routine_06780();
    // 05300 A1 = Q
    A1_int = Q_int;
    // 05310 IF A1>= 0 GOTO 5360
    if(A1_int>=0) goto Lbl_05360;
    // 05320 PRINT"NEGATIVE NUMBERS REMAIN A COMPLETE MYSTERY TO ME, MASTER,"
    MyFpf(stdout,"negative numbers remain a complete mystery to me, master,\n");
    // 05330 PRINT"CAN YOU PLEASE GIVE ME THAT FIGURE AGAIN?"
    MyFpf(stdout,"can you please give me that figure again?\n");
    // 05340 E9 = E9+INT(.5+RND(Q9+E9))
    E9_int = E9_int+INT(0.5+RND(Q9_int+E9_int));
    // 05350 GOTO 5290
    goto Lbl_05290;

  Lbl_05360:
    // 05360 IF I>= A1 GOTO 5500
    if(I_int>=A1_int) goto Lbl_05500;
    // 05370 PRINT"THOU, MASTER, ART TRULY AFRAID OF THE MIGHTY PSSSTOCKS"
    MyFpf(stdout,"thou, master, art truly afraid of the mighty pssstocks\n");
    // 05380 IF I = 0 GOTO 5470
    if(I_int==0) goto Lbl_05470;
    // 05390 PRINT USING 5390,I
    MyFpf(stdout,UsingFmt_05400,IT(I_int));
    // 05400 :HOWEVER THOU HAST A MERE ######## BUSHELS
    // 05410 PRINT"REPOSING IN A CORNER OF YOUR STOREHOUSE..."
    MyFpf(stdout,"reposing in a corner of your storehouse...\n");
    // 05420 PRINT"I SHALL PRESUME UPON YOUR DESIRE TO BLOW IT ALL ON THE OUTER"
    MyFpf(stdout,"i shall presume upon your desire to blow it all on the outer\n");
    // 05430 PRINT"WALLS, RATHER THAN LET IT FALL INTO THE HANDS OF THE ENEMY."
    MyFpf(stdout,"walls, rather than let it fall into the hands of the enemy.\n");

  Lbl_05440:
    // 05440 A1 = I
    A1_int = I_int;
    // 05450 I = 0
    I_int = 0;
    // 05460 GOTO 5510
    goto Lbl_05510;

  Lbl_05470:
    // 05470 PRINT"BUT THIS YEAR THY FEARS ARE UNFOUNDED,"
    MyFpf(stdout,"but this year thy fears are unfounded,\n");
    // 05480 PRINT"FOR THOU HAST LEFT NO GRAIN IN THE STOREHOUSE FOR THE THIEVES."
    MyFpf(stdout,"for thou hast left no grain in the storehouse for the thieves.\n");
    // 05490 GOTO 5440
    goto Lbl_05440;

  Lbl_05500:
    // 05500 I = I-A1
    I_int = I_int-A1_int;

  Lbl_05510:
    // 05510 IF E2 = 0 GOTO 5600
    if(E2_int==0) goto Lbl_05600;
    // 05520 J = RND(J)
    J_int = RND(J_int);
    // 05530 IF J>.5 GOTO 5560
    if(J_int>0.5) goto Lbl_05560;
    // 05540 J = 1-J
    J_int = 1-J_int;
    // 05550 REM CALC. CHANCE OF SURVIVING NEXT YR. WITH CONTRIB. OF E1
    // calc. chance of surviving next yr. with contrib. of e1

  Lbl_05560:
    // 05560 IF R9<.5 GOTO 5580
    if(R9_int<0.5) goto Lbl_05580;
    // 05570 IF 2.5*J+E1/P+P/40>3 GOTO 5600
    if(2.5*J_int+E1_int/P_int+P_int/40>3) goto Lbl_05600;

  Lbl_05580:
    // 05580 E2 = 2
    E2_int = 2;
    // 05590 REM CALC. HARVEST
    // calc. harvest

  Lbl_05600:
    // 05600 J = RND(J)
    J_int = RND(J_int);
    // 05610 N2 = 3.5*J+1.5
    N2_flt = 3.5*J_int+1.5;
    // 05620 N3 = INT(N2*N1)
    N3_int = INT(N2_flt*N1_int);
    // 05630 IF Q9<150 GOTO 5650
    if(Q9_int<150) goto Lbl_05650;
    // 05640 N3 = N3*((150*150)/(Q9*Q9))
    N3_int = N3_int*((150*150)/(Q9_int*Q9_int));

  Lbl_05650:
    // 05650 H3 = N3
    H3_int = N3_int;
    // 05660 IF W = 0 GOTO 5680
    if(W_int==0) goto Lbl_05680;
    // 05670 N3 = INT(H3/2)
    N3_int = INT(H3_int/2);

  Lbl_05680:
    // 05680 J = RND(J)
    J_int = RND(J_int);
    // 05690 REM CALCULATE N4: PSSSTOCK THEFT
    // calculate n4: pssstock theft
    // 05700 N4 = I^2/(2*(I+A1+1))-A1*J+(N3-8*A1)/(10-N2-E9)
    N4_int = IPower(I_int,2)/(2*(I_int+A1_int+1))-A1_int*J_int+(N3_int-8*A1_int)/(10-N2_flt-E9_int);
    // 05710 IF N4>20 GOTO 5730
    if(N4_int>20) goto Lbl_05730;
    // 05720 N4 = 0
    N4_int = 0;

  Lbl_05730:
    // 05730 N4 = INT(N4)
    N4_int = INT(N4_int);
    // 05740 I = I+N3-N4
    I_int = I_int+N3_int-N4_int;
    // 05750 REM CALCULATE I1: NUMBER OF IMMIGRANTS
    // calculate i1: number of immigrants
    // 05760 I1 = R9*(N5^2*SQR(A1+N9)/(A*P^1.5)-4*E9-2*E8)
    I1_int = R9_int*(IPower(N5_int,2)*SQR(A1_int+N9_int)/(A_int*FPower(P_int,1.5))-4*E9_int-2*E8_int);
    // 05770 I1 = INT(I1)
    I1_int = INT(I1_int);
    // 05780 IF I1<N5-P GOTO 5800
    if(I1_int<N5_int-P_int) goto Lbl_05800;
    // 05790 I1=N5-P
    I1_int = N5_int-P_int;

  Lbl_05800:
    // 05800 P1 = 0
    P1_int = 0;
    // 05810 IF 10*RND(J)<9 GOTO 5830
    if(10*RND(J_int)<9) goto Lbl_05830;
    // 05820 P1 = 1
    P1_int = 1;

  Lbl_05830:
    // 05830 IF I1<15 GOTO 5860
    if(I1_int<15) goto Lbl_05860;
    // 05840 PRINT"A RUMOR OF SUMER'S PROSPERITY IS SPREADING TO"
    MyFpf(stdout,"a rumor of sumer's prosperity is spreading to\n");
    // 05850 PRINT"NEIGHBORING COUNTRIES."
    MyFpf(stdout,"neighboring countries.\n");

  Lbl_05860:
    // 05860 J = RND(J)
    J_int = RND(J_int);
    // 05870 REM CALCULATE D: NUMBER OF DEATHS FROM STARVATION AND MISC CAUSES
    // calculate d: number of deaths from starvation and misc causes
    // 05880 D = (P^2)/((2*N9+1)*(Q9*Q9)/(150*150)) + (10*E9*J) - (20*A1)/(I+1)
    D_int = (IPower(P_int,2))/((2*N9_int+1)*(Q9_int*Q9_int)/(150*150))+(10*E9_int*J_int)-(20*A1_int)/(I_int+1);
    // 05890 D = D*((150*150)/(Q9*Q9))
    D_int = D_int*((150*150)/(Q9_int*Q9_int));
    // 05900 IF D>0 GOTO 5920
    if(D_int>0) goto Lbl_05920;
    // 05910 D = 0
    D_int = 0;

  Lbl_05920:
    // 05920 IF P>D GOTO 5980
    if(P_int>D_int) goto Lbl_05980;
    // 05930 D = (P-1)*(5+J+E9)/(6+E9)
    D_int = (P_int-1)*(5+J_int+E9_int)/(6+E9_int);
    // 05940 PRINT"UNDER YOUR RULE, MASTER, YOUR PEOPLE ARE FAST SICKENING"
    MyFpf(stdout,"under your rule, master, your people are fast sickening\n");
    // 05950 IF E8<2 GOTO 5980
    if(E8_int<2) goto Lbl_05980;
    // 05960 PRINT"AND THE INTELLIGENTSIA ARE COMMITTING SUICIDE,"
    MyFpf(stdout,"and the intelligentsia are committing suicide,\n");
    // 05970 PRINT"RATHER THAN SUFFER THE RESULTS OF YOUR MISTAKES"
    MyFpf(stdout,"rather than suffer the results of your mistakes\n");

  Lbl_05980:
    // 05980 D = INT(D)
    D_int = INT(D_int);
    // 05990 P = P-D+I1
    P_int = P_int-D_int+I1_int;
    // 06000 REM CALC. PRICE OF LAND
    // calc. price of land
    // 06010 J = RND(J)
    J_int = RND(J_int);
    // 06020 N6 = 11*J+11
    N6_int = 11*J_int+11;
    // 06030 N6 = INT(N6)
    N6_int = INT(N6_int);
    // 06040 PRINT
    MyFpf(stdout,"\n");
    // 06050 PRINT "   (A YEAR PASSETH.....)"
    MyFpf(stdout,"   (a year passeth.....)\n");
    // 06060 PRINT
    MyFpf(stdout,"\n");
    // 06070 R = R+1
    R_int = R_int+1;
    // 06080 GOTO 2140
    goto Lbl_02140;

  Lbl_06290:
    // 06290 PRINT USING 6290,P
    MyFpf(stdout,UsingFmt_06300,IT(P_int));
    // 06300 :HONOURED MASTER, I AND YOUR ####  LOYAL SUBJECTS,
    // 06310 IF D9<12*Y GOTO 6340
    if(D9_int<12*Y_int) goto Lbl_06340;
    // 06320 PRINT"HAVING SUFFERED FOR"R"YEARS UNDER YOUR REIGN,"
    MyFpf(stdout,"having suffered for%dyears under your reign,\n",R_int);
    // 06330 GOTO 6360
    goto Lbl_06360;

  Lbl_06340:
    // 06340 PRINT USING 6340,R
    MyFpf(stdout,UsingFmt_06350,IT(R_int));
    // 06350 :HAVING PROSPERED FOR ## YEARS UNDER YOUR REIGN,

  Lbl_06360:
    // 06360 PRINT"HAVE ALL DECIDED TO EMIGRATE AND JOIN THE"
    MyFpf(stdout,"have all decided to emigrate and join the\n");
    // 06370 IF P>50 GOTO 6400
    if(P_int>50) goto Lbl_06400;
    // 06380 PRINT"JANITORIAL DEPARTMENT"
    MyFpf(stdout,"janitorial department\n");
    // 06390 GOTO 6410
    goto Lbl_06410;

  Lbl_06400:
    // 06400 PRINT"RESEARCH AND DEVELOPMENT DEPARTMENT"
    MyFpf(stdout,"research and development department\n");

  Lbl_06410:
    // 06410 PRINT"THAT WE MIGHT LEARN TO BE AS WISE AS THEE..."
    MyFpf(stdout,"that we might learn to be as wise as thee...\n");

  Lbl_06420:
    // 06420 GOSUB 7100
    Routine_07100();
    // 06430 PRINT"FAREWELL"
    MyFpf(stdout,"farewell\n");
    // 06440 PRINT"SCORE BREAKDOWN"
    MyFpf(stdout,"score breakdown\n");
    // 06450 PRINT"---------------"
    MyFpf(stdout,"---------------\n");
    // 06460 C1 =INT(P*.8+.5)-22
    C1_int = INT(P_int*0.8+0.5)-22;
    // 06470 PRINT"POPULATION"C1
    MyFpf(stdout,"population%d\n",C1_int);
    // 06480 C2 =  INT(I/40+0.5)
    C2_int = INT(I_int/40+0.5);
    // 06490 PRINT"GRAIN     "C2
    MyFpf(stdout,"grain     %d\n",C2_int);
    // 06500 C3 = INT(N5/20+0.5)
    C3_int = INT(N5_int/20+0.5);
    // 06510 PRINT"LAND      "C3
    MyFpf(stdout,"land      %d\n",C3_int);
    // 06520 C4 = -INT(E8/2+0.5)
    C4_int = -INT(E8_int/2+0.5);
    // 06530 PRINT"MISTAKES  "C4
    MyFpf(stdout,"mistakes  %d\n",C4_int);
    // 06540 Q1=-INT(G1*9+0.5)
    Q1_int = -INT(G1_int*9+0.5);
    // 06550 PRINT"HUNGER    "Q1
    MyFpf(stdout,"hunger    %d\n",Q1_int);
    // 06560 Q1=-INT(Y*4+0.5)+36
    Q1_int = -INT(Y_int*4+0.5)+36;
    // 06570 PRINT"YEARS     "Q1
    MyFpf(stdout,"years     %d\n",Q1_int);
    // 06580 Q1=-INT((G2/(R+1))*3+0.5)+7
    Q1_int = -INT((G2_flt/(R_int+1))*3+0.5)+7;
    // 06590 PRINT"HARVEST   "Q1
    MyFpf(stdout,"harvest   %d\n",Q1_int);
    // 06600 Q1=-INT(F3*50+0.5)
    Q1_int = -INT(F3_int*50+0.5);
    // 06610 PRINT"FLOP      "Q1
    MyFpf(stdout,"flop      %d\n",Q1_int);
    // 06620 Q1=-INT((D9/(R+1))*1.5+0.5)+10
    Q1_int = -INT((D9_int/(R_int+1))*1.5+0.5)+10;
    // 06630 PRINT"DEATHS    "Q1
    MyFpf(stdout,"deaths    %d\n",Q1_int);
    // 06640 PRINT"---------- ---"
    MyFpf(stdout,"---------- ---\n");
    // 06650 PRINT"TOTAL     "INT(S)
    MyFpf(stdout,"total     %d\n",INT(S_flt));
    // 06660 J = RND(J)
    J_int = RND(J_int);
    // 06670 CHAIN "DSK:BASIC.BAS",20
    execl("BASIC.BAS",NULL);
    switch(errno){
        case EACCES:	fprintf(stderr,"EXECL: Permission denied.\n"); break;
        case EMFILE:	fprintf(stderr,"EXECL: Too many open files.\n"); break;
        case ENOENT:	fprintf(stderr,"EXECL: Path or file name not found.\n"); break;
        case ENOEXEC:	fprintf(stderr,"EXECL: Exec format error.\n"); break;
        case ENOMEM:	fprintf(stderr,"EXECL: Not enough memory.\n"); break;
        default:	    fprintf(stderr,"EXECL: Unknown error.\n"); break;
    };
    // 06680 STOP
    exit(1);
    // 06760 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: Sumer.cpp,v $ 
//---------------------------------------------------------------------------
