/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Wumpus.bas: 
 *
               +-------------------+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |                   | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |                   | |
      Address  v                   v v Original BASIC statement
    ---------- --------------------- - ------------------------------------------------------------------------------
    0x00cdba64                     A   01000 RANDOMIZE
    0x00cdbab0                     A   01010 REM *******WUMPUS VERSION II
    0x00cdbba0                     A   01020 PRINT "INSTRUCTIONS (Y,N)";
    0x00cdbc48                     A   01030 INPUT I$
    0x00cdbca0                     A   01040 PRINT
    0x00cd19cc                     A   01050 IF MID$(I$,1,1) <> "Y" THEN 1090
    0x00cdbee8                     A   01060 GOSUB 1670
    0x00cdbf34                     A   01070 REM *******CHOOSE & SET UP A CAVE
    0x00cdc0b0                     A   01080 DIM S(20,3)
    0x00cdcb78                     A T 01090 GOSUB 3600
    0x00cdcec8                     A   01100 DEF FNA(X)=INT(20*RND(0))+1
    0x00cdd15c                     A   01110 DEF FNB(X)=INT(3*RND(0))+1
    0x00cdd3f8                     A   01120 DEF FNC(X)=INT(4*RND(0))+1
    0x00cdd450                     A   01130 REM *******LOCATE L ARRAY ITEMS
    0x00cdd4e0                     A   01140 REM *******1-YOU, 2-WUMPUS, 3&4-PITS, 5&6-BATS
    0x00cdd5f8                     A   01150 DIM L(6)
    0x00cdd700                     A   01160 DIM M(6)
    0x00cd1948                     A T 01170 FOR J = 1 TO 6
    0x00cdd960                     A   01180     L(J) = FNA(0)
    0x00cdda38                     A   01190     M(J) = L(J)
    0x00cdda88                     A   01200 NEXT J
    0x00cddb30                     A   01210 REM *******CHECK FOR CROSSOVERS (I.E. L(1) = L(2), ETC.)
    0x00cddc70                     A   01220 FOR J = 1 TO 6
    0x00cdddb4                     A   01230     FOR K = J TO 6
    0x00cdde50                     A   01240 	IF J = K THEN 1270
    0x00cddf60                     A   01250 	IF L(J) = L(K) THEN 1170
    0x00cddfcc                     A   01260     NEXT K
    0x00cde028                     A T 01270 NEXT J
    0x00cde08c                     A   01280 REM *******SET # ARROWS
    0x00cde1a0                     A T 01290 A = 5
    0x00cde2e0                     A   01300 L = L(1)
    0x00cde324                     A   01310 REM *******RUN THE GAME
    0x00cde410                     A   01320 PRINT"HUNT THE WUMPUS"
    0x00cde56c                     A   01330 REM *******HAZARD WARNINGS & LOCATION
    0x00cde5c8                     A T 01340 GOSUB 2260
    0x00cde60c                     A   01350 REM *******MOVE OR SHOOT
    0x00cde664                     A T 01360 GOSUB 2430
    0x00cde7d0                     A   01370 ON O GOTO 1390,1420
    0x00cde814                     A   01380 REM *******SHOOT
    0x00cde868                     A T 01390 GOSUB 2560
    0x00cde974                     A   01400 IF F = 0 THEN 1360
    0x00cde9d4                     A   01410 GOTO 1490
    0x00cdea0c                     A T 01420 REM *******MOVE
    0x00cdea60                     A   01430 GOSUB 3180
    0x00cdeb28                     A   01440 IF F = 0 THEN 1340
    0x00cdeb88                     A   01450 GOTO 1490
    0x00cdebc0                     A   01460 REM *******MOVE
    0x00cdec14                         01470 GOSUB 3180
    0x00cdecdc                         01480 IF F = 0 THEN 1340
    0x00cdedcc                     A T 01490 IF F > 0 THEN 1540
    0x00cdee2c                     A   01500 REM *******LOSE
    0x00cdef04                     A   01510 PRINT"HA HA HA - YOU LOSE"
    0x00cdef48                     A   01520 GOTO 1550
    0x00cdef80                     A   01530 REM *******WIN
    0x00cdf094                     A T 01540 PRINT"HEE HEE HEE - THE WUMPUS'LL GET YOU NEXT TIME!!"
    0x00cdf1c4                     A T 01550 FOR J = 1 TO 6
    0x00cdf2a4                     A   01560     L(J) = M(J)
    0x00cdf2f4                     A   01570 NEXT J
    0x00cdf3d4                     A   01580 PRINT"PLAY AGAIN ";
    0x00cdf438                     A   01590 INPUT I$
    0x00cdf490                     A   01600 PRINT
    0x00cdf654                     A   01610 IF MID$(I$,1,1) <> "Y" THEN 5280
    0x00cdf740                     A   01620 PRINT"SAME SETUP ";
    0x00cdf7a4                     A   01630 INPUT I$
    0x00cdf7fc                     A   01640 PRINT
    0x00cdfbc4                     A   01650 IF MID$(I$,1,1) <> "Y" THEN 1090
    0x00cdfc2c                     A   01660 GOTO 1290
    0x00cdfc6c                    B  G 01670 REM *******INSTRUCTIONS
    0x00cdfd7c                    B    01680 PRINT"WELCOME TO WUMPUS II"
    0x00cdfe84                    B    01690 PRINT"THIS VERSION HAS THE SAME RULES AS 'HUNT THE WUMPUS'"
    0x00cdff94                    B    01700 PRINT"HOWEVER, YOU HAVE A CHOICE OF CAVES TO PLAY IN"
    0x00cde508                    B    01710 PRINT"SOME CAVES ARE EASIER THAN OTHERS.  ALL CAVES HAVE 20 ROOMS"
    0x00ce0098                    B    01720 PRINT"AND 3 TUNNELS LEADING FROM ONE ROOM TO OTHER ROOMS"
    0x00ce014c                    B    01730 PRINT"THE CAVES ARE:"
    0x00ce01bc                    B    01740 PRINT
    0x00ce02c0                    B    01750 PRINT"	0  -  DODECAHEDRON	THE ROOMS OF THIS CAVE ARE A"
    0x00ce03c8                    B    01760 PRINT"		12-SIDED OBJECT, EACH SIDE FORMING A PENTAGON"
    0x00ce04d0                    B    01770 PRINT"		THE ROOMS ARE AT THE CORNERS OF THE PENTAGONS,"
    0x00ce05a8                    B    01780 PRINT"		EACH ROOM HAVING TUNNELS LEADING TO 3 OTHER ROOMS"
    0x00ce0610                    B    01790 PRINT
    0x00ce070c                    B    01800 PRINT"	1  -  MOBIUS STRIP	THIS CAVE IS TWO ROOMS"
    0x00ce0800                    B    01810 PRINT"		WIDE AND TEN ROOMS AROUND (LIKE A BELT)"
    0x00ce08dc                    B    01820 PRINT"		YOU WILL NOTICE THERE IS A HALF-TWIST"
    0x00ce098c                    B    01830 PRINT"		SOMEWHERE."
    0x00ce09f8                    B    01840 PRINT
    0x00ce0af8                    B    01850 PRINT"	2  -  STRING OF BEADS		FIVE BEADS ON A CIRCLE"
    0x00ce0bf0                    B    01860 PRINT"		EACH BEAD IS A DIAMOND WITH A VERTICAL"
    0x00ce0cf0                    B    01870 PRINT"		CROSS-BAR.  THE RIGHT & LEFT CORNERS LEAD"
    0x00ce0dd0                    B    01880 PRINT"		TO NEIBOURING BEADS.  (THIS ONE IS DIFFICULT"
    0x00ce0e80                    B    01890 PRINT"		TO PLAY.)"
    0x00ce0ef0                    B    01900 PRINT
    0x00ce0ff8                    B    01910 PRINT"	3  -  HEX NETWORK	IMAGINE A HEX TILE FLOOR.  TAKE"
    0x00ce10fc                    B    01920 PRINT"		A RECTANGLE WITH 20 POINTS (INTERSECTIONS)"
    0x00ce1204                    B    01930 PRINT"		INSIDE (4X4).  JOIN RIGHT & LEFT SIDES TO MAKE A"
    0x00ce12e8                    B    01940 PRINT"		CYLINDER.  THEN JOIN TOP & BOTTOM TO FORM A"
    0x00ce13c0                    B    01950 PRINT"		TORUS (DOUGHNUT)."
    0x00ce1484                    B    01960 PRINT"		HAVE FUN IMAGINING THIS ONE!"
    0x00ce14f4                    B    01970 PRINT
    0x00ce15fc                    B    01980 PRINT"	CAVES 1-3 ARE REGULAR IN THE SENSE THAT EACH ROOM"
    0x00ce1700                    B    01990 PRINT"	GOES TO THREE OTHER ROOMS & TUNNELS ALLOW TWO"
    0x00ce17d4                    B    02000 PRINT"	WAY TRAFFIC.  HERE ARE SOME 'IRREGULAR' CAVES."
    0x00ce1844                    B    02010 PRINT
    0x00ce1948                    B    02020 PRINT"	4  -  DENDRITE WITH DEGENERACIES	PULL A PLANT FROM"
    0x00ce1a48                    B    02030 PRINT"		THE GROUND.  THE ROOTS & BRANCHES FORM A"
    0x00ce1b48                    B    02040 PRINT"		DENDRITE - I.E. THERE ARE NO LOOPING PATHS"
    0x00ce1c48                    B    02050 PRINT"		DEGENERACY MEANS:  A)SOME ROOMS CONNENCT TO"
    0x00ce1d4c                    B    02060 PRINT"		THEMSELVES AND B) SOME ROOMS HAVE MORE THAN"
    0x00ce1e34                    B    02070 PRINT"		ONE TUNNEL TO THE SAME OTHER ROOM, I.E. 12 HAS"
    0x00ce1eec                    B    02080 PRINT"		TWO TUNNELS TO 13"
    0x00ce1f58                    B    02090 PRINT
    0x00ce205c                    B    02100 PRINT"	5  -  ONE WAY LATTICE		HERE ALL TUNNELS GO ONE"
    0x00ce2148                    B    02110 PRINT"		WAY ONLY.  TO RETURN, YOU MUST GO AROUND THE"
    0x00ce2204                    B    02120 PRINT"		CAVE (ABOUT 5 MOVES)."
    0x00ce2274                    B    02130 PRINT
    0x00ce2378                    B    02140 PRINT"	6  -  ENTER YOUR OWN CAVE	THE COMPUTER WILL ASK"
    0x00ce245c                    B    02150 PRINT"		YOU THE ROOMS NEXT TO EACH ROOM IN THE CAVE."
    0x00ce253c                    B    02160 PRINT"		FOR EXAMPLE:"
    0x00ce2634                    B    02170 PRINT"		  ROOM # 1	?2,3,4		YOUR REPLY OF 2,3,4"
    0x00ce2710                    B    02180 PRINT"		MEANS ROOM 1 HAS TUNNELS GOING TO ROOMS:"
    0x00ce27c0                    B    02190 PRINT"		2, 3 & 4."
    0x00ce280c                    B    02200 PRINT
    0x00ce28c0                    B    02210 PRINT"	HAPPY HUNTING!"
    0x00ce292c                    B    02220 PRINT
    0x00ce29fc                    B    02230 PRINT"********************************************"
    0x00ce2a38                    B    02240 PRINT
    0x00ce2a64                    B    02250 RETURN
    0x00ce2af0                   C   G 02260 REM *******PRINT LOCATIONS AND HAZARD WARNINGS
    0x00ce2b3c                   C     02270 PRINT
    0x00ce2c60                   C     02280 FOR J = 2 TO 6
    0x00ce31a8                   C     02290     FOR K = 1 TO 3
    0x00ce331c                   C     02300 	IF S(L(1),K) <> L(J) THEN 2370
    0x00ce3624                   C     02310 	ON J-1 GOTO 2320,2340,2340,2360,2360
    0x00ce36dc                   C   T 02320 	PRINT"I SMELL A WUMPUS!"
    0x00ce372c                   C     02330 	GOTO 2370
    0x00ce37dc                   C   T 02340 	PRINT"I FEEL A DRAFT!"
    0x00ce3828                   C     02350 	GOTO 2370
    0x00ce38d4                   C   T 02360 	PRINT"BATS NEARBY!"
    0x00ce3928                   C   T 02370     NEXT K
    0x00ce3984                   C     02380 NEXT J
    0x00ce3b30                   C     02390 PRINT"YOU ARE IN ROOM ";L(1);
    0x00ce3e34                   C     02400 PRINT"  TUNNELS LEAD TO ";S(L,1);S(L,2);S(L,3)
    0x00ce3e70                   C     02410 PRINT
    0x00ce3e9c                   C     02420 RETURN
    0x00ce3f00                  D    G 02430 REM *******CHOOSE OPTION
    0x00ce3f54                  D      02440 GOTO 2470
    0x00cdf828                  D    T 02450 PRINT"ERROR   "
    0x00cdf8e4                  D      02460 PRINT""
    0x00cdf9b0                  D    T 02470 PRINT"SHOOT OR MOVE  ";
    0x00ce4000                  D      02480 INPUT I$
    0x00ce4058                  D      02490 PRINT
    0x00ce421c                  D      02500 IF MID$(I$,1,1) <> "S" THEN 2530
    0x00ce42f4                  D      02510 O=1
    0x00ce431c                  D      02520 RETURN
    0x00ce4500                  D    T 02530 IF MID$(I$,1,1) <> "M" THEN 2450
    0x00ce45d8                  D      02540 O=2
    0x00ce4600                  D      02550 RETURN
    0x00ce4664                 E     G 02560 REM *******ARROW ROUTINE
    0x00ce4744                 E       02570 F=0
    0x00ce478c                 E       02580 REM *******PATH OF ARROW
    0x00ce48a4                 E       02590 DIM P(5)
    0x00ce48e4                 E       02600 GOTO 2630
    0x00ce498c                 E     T 02610 PRINT"ERROR   "
    0x00ce4a4c                 E       02620 PRINT""
    0x00ce4b1c                 E     T 02630 PRINT"NO. OF ROOMS (1-5) ";
    0x00ce4bc4                 E       02640 INPUT J9
    0x00ce4c10                 E       02650 PRINT
    0x00ce4ce0                 E       02660 IF J9 < 1 THEN 2610
    0x00ce4dd4                 E       02670 IF J9 > 5 THEN 2610
    0x00ce4f30                 E       02680 IF INT(J9) <> ABS(J9) THEN 2610
    0x00ce5048                 E       02690 FOR K = 1 TO J9
    0x00ce50fc                 E     T 02700     PRINT"ROOM #";
    0x00ce518c                 E       02710     INPUT P(K)
    0x00ce51dc                 E       02720     PRINT
    0x00ce52d4                 E       02730     IF P(K) > 0 THEN 2750
    0x00ce5340                 E       02740     GOTO 2780
    0x00ce5430                 E     T 02750     IF P(K) < 21 THEN 2770
    0x00ce54ac                 E       02760     GOTO 2780
    0x00ce55dc                 E     T 02770 	    IF INT(P(K)) = ABS(P(K)) THEN 2810
    0x00ce56b4                 E     T 02780     PRINT"ERROR   "
    0x00ce5764                 E       02790     PRINT""
    0x00ce57a0                 E       02800     GOTO 2700
    0x00ce57ec                 E     T 02810 NEXT K
    0x00ce5840                 E       02820 PRINT
    0x00ce5888                 E       02830 REM *******SHOOT ARROW
    0x00ce59a0                 E       02840 A = A-1
    0x00ce5ad8                 E       02850 A9 = L(1)
    0x00ce5bd0                 E       02860 FOR K = 1 TO J9
    0x00ce5d54                 E       02870     FOR K1 = 1 TO 3
    0x00ce5e68                 E       02880 	IF S(A9,K1) = P(K) THEN 3020
    0x00ce5ed8                 E       02890     NEXT K1
    0x00ce5f54                 E       02900     REM *******NO TUNNEL FOR THE ARROW
    0x00ce60b0                 E       02910     A9 = S(A9,FNB(1))
    0x00ce60e8                 E       02920     GOTO 3030
    0x00ce6134                 E     T 02930 NEXT K
    0x00ce6200                 E       02940 PRINT"MISSED"
    0x00ce6248                 E       02950 REM *******MOVE WUMPUS
    0x00ce62a0                 E       02960 GOSUB 3100
    0x00ce62e0                 E       02970 REM *******AMMO CHECK
    0x00ce63c4                 E       02980 IF A > 0 THEN 3000
    0x00ce649c                 E     T 02990 F = -1
    0x00ce64c4                 E     T 03000 RETURN
    0x00ce6548                 E       03010 REM *******SEE IF ARROW IS AT L(1) OR L(2)
    0x00ce661c                 E     T 03020 A9 = P(K)
    0x00ce6710                 E     T 03030 IF A9 <> L(2) THEN 3070
    0x00ce68bc                 E       03040 PRINT"AHA! YOU GOT THE WUMPUS!  HE WAS IN ROOM";L(2)
    0x00ce6980                 E       03050 F = 1
    0x00ce69a8                 E       03060 RETURN
    0x00ce6ab4                 E     T 03070 IF A9 = L(1) THEN 2930
    0x00ce6b9c                 E       03080 PRINT"OUCH!  ARROW GOT YOU!"
    0x00ce6bf0                 E       03090 GOTO 2990
    0x00ce6c38               GF      G 03100 REM *******MOVE WUMPUS ROUTINE
    0x00ce6d3c               GF      G 03110 K = FNC(0)
    0x00ce6e08               GF        03120 IF K = 4 THEN 3170
    0x00ce6fd4               GF        03130 L(2) = S(L(2),K)
    0x00ce70c8               GF        03140 IF L(2) <> L THEN 3170
    0x00ce71bc               GF        03150 PRINT"TSK TSK TSK - WUMPUS GOT YOU"
    0x00ce7280               GF        03160 F = -1
    0x00ce72a8               GF      T 03170 RETURN
    0x00ce7308              H        G 03180 REM *******MOVE ROUTINE
    0x00ce73d8              H        T 03190 F = 0
    0x00ce741c              H          03200 GOTO 3230
    0x00ce74c4              H        T 03210 PRINT"ERROR   "
    0x00ce7578              H          03220 PRINT""
    0x00ce763c              H        T 03230 PRINT"WHERE TO ";
    0x00ce76a0              H          03240 INPUT L
    0x00ce76e8              H          03250 PRINT
    0x00ce77b8              H          03260 IF L < 1 THEN 3210
    0x00ce78ac              H          03270 IF L > 25 THEN 3190
    0x00ce79c0              H          03280 	IF INT(L) <> ABS(L) THEN 3210
    0x00ce7b1c              H          03290 FOR K = 1 TO 3
    0x00ce7b70              H          03300     REM *******CHECK IF LEGAL MOVE
    0x00ce7cd8              H          03310     IF S(L(1),K) = L THEN 3380
    0x00ce7d40              H          03320 NEXT K
    0x00ce7e50              H          03330 IF L = L(1) THEN 3380
    0x00ce7f2c              H          03340 PRINT"NOT POSSIBLE - "
    0x00ce7fd8              H          03350 PRINT""
    0x00ce802c              H          03360 GOTO 3230
    0x00ce8074              H          03370 REM *******CHECK FOR HAZARDS
    0x00ce8178              H        T 03380 L(1) = L
    0x00ce81b8              H          03390 REM *******WUMPUS
    0x00ce82c8              H          03400 IF L <> L(2) THEN 3460
    0x00ce83c8              H          03410 PRINT"...OOPS!  BUMPED A WUMPUS!"
    0x00ce8410              H          03420 REM *******MOVE WUMPUS
    0x00ce8464              H          03430 GOSUB 3110
    0x00ce852c              H          03440 IF F = 0 THEN 3460
    0x00ce8588              H          03450 REM *******PIT
    0x00ce8698              H        T 03460 IF L <> L(3) THEN 3480
    0x00ce86fc              H          03470 GOTO 3490
    0x00ce87ec              H        T 03480 IF L <> L(4) THEN 3530
    0x00ce88e4              H        T 03490 PRINT"YYYIIIIEEEE . . . FELL IN A PIT"
    0x00ce89a8              H          03500 F = -1
    0x00ce89d0              H          03510 RETURN
    0x00ce8a20              H          03520 REM *******BATS
    0x00ce8b30              H        T 03530 IF L <> L(5) THEN 3550
    0x00ce8b94              H          03540 GOTO 3560
    0x00ce8c84              H        T 03550 IF L <> L(6) THEN 3590
    0x00ce8da0              H        T 03560 PRINT"ZAP--SUPER BAT SNATCH!  ELSEWHEREVILLE FOR YOU!"
    0x00ce9694              H          03570 L = FNA(1)
    0x00ce96cc              H          03580 GOTO 3380
    0x00ce96f0              H        T 03590 RETURN
    0x00ce974c             I         G 03600 REM *******SELECT CAVE
    0x00ce97a0             I           03610 GOTO 3640
    0x00ce9848             I         T 03620 PRINT"ERROR   "
    0x00ce9900             I           03630 PRINT""
    0x00ce99c8             I         T 03640 PRINT"CAVE # (0-6) ";
    0x00ce9a70             I           03650 INPUT N
    0x00ce9ab8             I           03660 PRINT
    0x00ce9b88             I           03670 IF N < 0 THEN 3620
    0x00ce9c78             I           03680 IF N > 6 THEN 3620
    0x00ce9d8c             I           03690 IF INT(N) <> ABS(N) THEN 3620
    0x00cea14c             I           03700 ON N+1 GOTO 3720,3740,3760,3780,3800,3820,3840
    0x00cea18c             I           03710 GOTO 3850
    0x00cea1c4             I         T 03720 GOSUB 3870
    0x00cea1fc             I           03730 GOTO 3850
    0x00cea234             I         T 03740 GOSUB 3940
    0x00cea26c             I           03750 GOTO 3850
    0x00cea2a4             I         T 03760 GOSUB 4020
    0x00cea2dc             I           03770 GOTO 3850
    0x00cea314             I         T 03780 GOSUB 4100
    0x00cea34c             I           03790 GOTO 3850
    0x00cea384             I         T 03800 GOSUB 4180
    0x00cea3bc             I           03810 GOTO 3850
    0x00cea3f4             I         T 03820 GOSUB 4260
    0x00cea42c             I           03830 GOTO 3850
    0x00cea460             I         T 03840 GOSUB 4340
    0x00cea484             I         T 03850 RETURN
    0x00cea4e4            J            03860 REM *******DODECAHEDRON
    0x00cea520            J          G 03870 RESTORE 3880
    0x00ceabfc            J            03880 DATA 2,5,8,1,3,10,2,4,12,3,5,14,1,4,6
    0x00ceb2b0            J            03890 DATA 5,7,15,6,8,17,1,7,9,8,10,18,2,9,11
    0x00ceb968            J            03900 DATA 10,12,19,3,11,13,12,14,20,4,13,15,6,14,16
    0x00ce2c90            J            03910 DATA 15,17,20,7,16,18,9,17,19,11,18,20,13,16,19
    0x00ce2cc8            J            03920 GOSUB 4550
    0x00ce2cec            J            03930 RETURN
    0x00ce2d4c           K           G 03940 REM *******MOBIUS STRIP
    0x00ce2d88           K             03950 RESTORE 3960
    0x00cec3f0           K             03960 DATA 20,2,3,19,1,4,1,4,5,2,3,6,3,6,7
    0x00cecaa8           K             03970 DATA 4,5,8,5,8,9,6,7,10,7,10,11,8,9,12
    0x00ced160           K             03980 DATA 9,12,13,10,11,14,11,14,15,12,13,16,12,16,17
    0x00ced7f0           K             03990 DATA 14,15,18,15,18,19,16,17,20,2,17,20,1,18,19
    0x00ce3070           K             04000 GOSUB 4550
    0x00ced828           K             04010 RETURN
    0x00ced88c          L            G 04020 REM *******STRING OF BEADS
    0x00ced8c8          L              04030 RESTORE 4040
    0x00cedfa0          L              04040 DATA 2,3,20,1,3,4,1,2,4,2,3,5,4,6,7
    0x00cee658          L              04050 DATA 5,7,8,5,6,8,6,7,9,8,10,11,9,11,12
    0x00ceed10          L              04060 DATA 9,10,12,10,11,13,12,14,15,13,15,16,13,14,16
    0x00cef3a0          L              04070 DATA 14,15,17,16,18,19,17,19,20,17,18,20,1,18,19
    0x00cef3d8          L              04080 GOSUB 4550
    0x00cef3fc          L              04090 RETURN
    0x00cef464         M             G 04100 REM *******HEX NET ON TORUS
    0x00cef4a0         M               04110 RESTORE 4120
    0x00cefb80         M               04120 DATA 6,10,16,6,7,17,7,8,18,8,9,19,9,10,20
    0x00cf0234         M               04130 DATA 1,2,15,2,3,11,3,4,12,4,5,13,5,6,14
    0x00cf08e8         M               04140 DATA 7,16,20,8,16,17,9,17,18,10,18,19,6,19,20
    0x00cf0f78         M               04150 DATA 1,11,12,2,12,13,3,13,14,4,14,15,5,11,15
    0x00cf0fb0         M               04160 GOSUB 4550
    0x00cf0fd4         M               04170 RETURN
    0x00cf104c        N              G 04180 REM *******DENDRITE W/ DEGENERACIES
    0x00cf1088        N                04190 RESTORE 4200
    0x00cf175c        N                04200 DATA 1,1,5,2,2,5,3,3,6,4,4,6,1,2,7
    0x00cf1e14        N                04210 DATA 3,4,7,5,6,10,8,9,9,8,8,10,7,9,11
    0x00cf24cc        N                04220 DATA 10,13,14,12,13,13,11,12,12,11,15,16,14,17,18
    0x00cf2b5c        N                04230 DATA 14,19,20,15,17,17,15,18,18,16,19,19,16,20,20
    0x00cf2b94        N                04240 GOSUB 4550
    0x00cf2bb8        N                04250 RETURN
    0x00cf2c1c       O               G 04260 REM *******ONE WAY LATTICE
    0x00cf2c58       O                 04270 RESTORE 4280
    0x00cf3338       O                 04280 DATA 5,4,8,1,5,6,2,6,7,3,7,8,8,9,12
    0x00cf39f0       O                 04290 DATA 5,9,10,6,10,11,7,11,12,12,13,16,9,13,14
    0x00cf40a0       O                 04300 DATA 10,14,15,11,15,16,16,17,20,13,17,18,14,18,19
    0x00cf4730       O                 04310 DATA 15,19,20,1,4,20,1,2,17,2,3,18,3,4,19
    0x00cf4768       O                 04320 GOSUB 4550
    0x00cf478c       O                 04330 RETURN
    0x00cf47f0      P                G 04340 REM *******INPUT OWN CAVE
    0x00cf48f0      P                  04350 PRINT "(M)MAKE OR (R)READ A CAVE ";
    0x00cf49a8      P                  04360 INPUT Y9$
    0x00cf4a84      P                  04370 IF Y9$="M" GOTO 4400
    0x00cf4adc      P                  04380 GOSUB 4800
    0x00cf4b1c      P                  04390 GO TO 4540
    0x00cf4c48      P                T 04400 FOR J = 1 TO 20
    0x00cf4d60      P                T 04410     PRINT"ROOM #";J;
    0x00cf4fb8      P                  04420     INPUT S(J,1),S(J,2),S(J,3)
    0x00cf50f0      P                  04430     FOR K = 1 TO 3
    0x00cf5214      P                  04440 	IF S(J,K) > 0 THEN 4460
    0x00cf527c      P                  04450 	GOTO 4490
    0x00cf5394      P                T 04460 	IF S(J,K) < 21 THEN 4480
    0x00cf540c      P                  04470 	GOTO 4490
    0x00cf558c      P                T 04480 	IF INT(S(J,K)) = ABS(S(J,K)) THEN 4510
    0x00cf566c      P                T 04490 	PRINT"***** ERROR !!!!!"
    0x00cf56ac      P                  04500 	GOTO 4410
    0x00cf56f8      P                T 04510     NEXT K
    0x00cf5754      P                  04520 NEXT J
    0x00cf579c      P                  04530 GOSUB 4620
    0x00cf57c0      P                T 04540 RETURN
    0x00cf581c     Q                 G 04550 REM *******INPUT CAVE
    0x00cf5960     Q                   04560 FOR J = 1 TO 20
    0x00cf5a90     Q                   04570     FOR K = 1 TO 3
    0x00cf5b4c     Q                   04580 	READ S(J,K)
    0x00cf5b98     Q                   04590     NEXT K
    0x00cf5bf4     Q                   04600 NEXT J
    0x00cf5c28     Q                   04610 RETURN
    0x00cf5ca0    R                  G 04620 REM ********* OUTPUT A USER DUNGEON
    0x00cf5db8    R                    04630 PRINT "DO YOU WANT TO SAVE THIS DUNGEON (Y,N)";
    0x00cf5e34    R                    04640 INPUT Y9$
    0x00cf5ff8   SR                  G 04650 IF MID$(Y9$,1,1)="N" THEN 4790
    0x00cf6114   SR                    04660 PRINT "WHAT NAME DO YOU WANT TO GIVE IT "
    0x00cf61ec   SR                    04670 PRINT "INPUT A 6 CHARATER FILENAME: ";
    0x00cf6260   SR                    04680 INPUT Y9$
    0x00cf633c   SR                    04690 IF Y9$="" THEN 4790
    0x00cf63b8   SR                    04700 GOSUB 5140
    0x00cf6534   SR                    04710 PRINT "YOUR DUNGEON WILL BE IN ";Y9$;".DUN"
    0x00cf6650   SR                    04720 Y9$=Y9$ + ".DUN"
    0x00cf66b4   SR                    04730 FILE #1,Y9$
    0x00cf66dc   SR                    04740 SCRATCH #1
    0x00cf682c   SR                    04750 FOR J=1 TO 20
    0x00cf6aa4   SR                    04760     PRINT #1,S(J,1),S(J,2),S(J,3)
    0x00cf6af8   SR                    04770 NEXT J
    0x00cf6b30   SR                    04780 CLOSE #1
    0x00cf6b64   SR                  T 04790 RETURN
    0x00cf6be0  T                    G 04800 REM **************READ IN A USER CAVE
    0x00cf6ce8  T                      04810 PRINT "WHAT DUNGEON DO YOU WANT(NAME) ";
    0x00cf6d50  T                      04820 INPUT Y9$
    0x00cf6d98  T                      04830 GOSUB 5140
    0x00cf6eac  T                      04840 Y9$=Y9$ + ".DUN"
    0x00cf6f14  T                      04850 FILE #1, Y9$
    0x00cf6f3c  T                      04860 RESTORE  #1
    0x00cf708c  T                      04870 FOR J=1 TO 20
    0x00cf72e8  T                      04880     INPUT #1, S(J,1),S(J,2),S(J,3)
    0x00cf741c  T                      04890     FOR K=1 TO 3
    0x00cf7540  T                      04900 	IF S(J,K)=0 THEN 4940
    0x00cf75ac  T                      04910     NEXT K
    0x00cf76e0  T                      04920     Y8$="DATA OK"
    0x00cf773c  T                      04930     GOTO 5060
    0x00cf7814  T                    T 04940     PRINT "ALL ROOMS MUST HAVE 3 EXITS"
    0x00cf7990  T                      04950     PRINT "ROOM ";J;" HAS EXITS TO:"
    0x00cf7a70  T                      04960     Y8$="RE-SAVE"
    0x00cf7ba0  T                      04970     FOR L=1 TO 3
    0x00cf7cc4  T                      04980 	IF S(J,L)=0 THEN 5000
    0x00cf7e38  T                      04990 	PRINT "    ROOM NUMBER: ";S(J,L)
    0x00cf7e8c  T                    T 05000     NEXT L
    0x00cf7fd8  T                      05010     FOR L=1 TO 3
    0x00cf80fc  T                      05020 	IF S(J,L)<>0 THEN 5050
    0x00cf8204  T                      05030 	PRINT "    AND ROOM NUMBER ????";
    0x00cf82bc  T                      05040 	INPUT S(J,L)
    0x00cf8310  T                    T 05050     NEXT L
    0x00cf836c  T                    T 05060 NEXT J
    0x00cf83a4  T                      05070 CLOSE #1
    0x00cf84a4  T                      05080 IF Y8$<>"RE-SAVE" THEN 5100
    0x00cf84f8  T                      05090 GOSUB 4650
    0x00cf851c  T                    T 05100 RETURN
    0x00cf85a0 U                     T 05110 REM ********** HELP USER INPUT A FILENAME
    0x00cf86b8 U                       05120 PRINT "PLEASE INPUT A SIX(6) CHARACTER FILENAME";
    0x00cf8730 U                       05130 INPUT Y9$
    0x00cf89ac U                     G 05140 Y9(1) = INSTR(1,Y9$,".")
    0x00cf8b98 U                       05150 Y9(2) = INSTR(1,Y9$,".")
    0x00cf8cc4 U                       05160 IF Y9(1)<>0 THEN 5200
    0x00cf8e18 U                       05170 IF Y9(2)= 0 THEN 5240
    0x00cf9040 U                       05180 Y9$ = RIGHT$(Y9$,Y9(2)+1)
    0x00cf9088 U                       05190 GOTO 5240
    0x00cf91b0 U                     T 05200 IF Y9(2) = 0 THEN 5230
    0x00cf9494 U                       05210 Y9$ = LEFT$(RIGHT$(Y9$,Y9(1)),Y9(2)+1)
    0x00cf94dc U                       05220 GOTO 5240
    0x00cf961c U                     T 05230 Y9$ = LEFT$(Y9$,Y9(1))
    0x00cf9780 U                     T 05240 Y9(3) = LEN(Y9$)
    0x00cf98ac U                       05250 IF Y9(3)<1 THEN 5110
    0x00cf9a00 U                       05260 IF Y9(3)>6 THEN 5110
    0x00cf9a40 U                       05270 RETURN
    0x00cf9a70                     A T 05280 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     00001      04860G
     01090      01050T, 01650T
     01170      01250T
     01270      01240T
     01290      01660T
     01340      01440T, 01480T
     01360      01400T
     01390      01370T
     01420      01370T
     01490      01410T, 01450T
     01540      01490T
     01550      01520T
     01670      01060G
     02260      01340G
     02320      02310T
     02340      02310T, 02310T
     02360      02310T, 02310T
     02370      02300T, 02330T, 02350T
     02430      01360G
     02450      02530T
     02470      02440T
     02530      02500T
     02560      01390G
     02610      02660T, 02670T, 02680T
     02630      02600T
     02700      02800T
     02750      02730T
     02770      02750T
     02780      02740T, 02760T
     02810      02770T
     02930      03070T
     02990      03090T
     03000      02980T
     03020      02880T
     03030      02920T
     03070      03030T
     03100      02960G
     03110      03430G
     03170      03120T, 03140T
     03180      01430G, 01470G
     03190      03270T
     03210      03260T, 03280T
     03230      03200T, 03360T
     03380      03310T, 03330T, 03580T
     03460      03400T, 03440T
     03480      03460T
     03490      03470T
     03530      03480T
     03550      03530T
     03560      03540T
     03590      03550T
     03600      01090G
     03620      03670T, 03680T, 03690T
     03640      03610T
     03720      03700T
     03740      03700T
     03760      03700T
     03780      03700T
     03800      03700T
     03820      03700T
     03840      03700T
     03850      03710T, 03730T, 03750T, 03770T, 03790T, 03810T, 03830T
     03870      03720G
     03880      03870G
     03940      03740G
     03960      03950G
     04020      03760G
     04040      04030G
     04100      03780G
     04120      04110G
     04180      03800G
     04200      04190G
     04260      03820G
     04280      04270G
     04340      03840G
     04400      04370T
     04410      04500T
     04460      04440T
     04480      04460T
     04490      04450T, 04470T
     04510      04480T
     04540      04390T
     04550      03920G, 04000G, 04080G, 04160G, 04240G, 04320G
     04620      04530G
     04650      05090G
     04790      04650T, 04690T
     04800      04380G
     04940      04900T
     05000      04980T
     05050      05020T
     05060      04930T
     05100      05080T
     05110      05250T, 05260T
     05140      04700G, 04830G
     05200      05160T
     05230      05200T
     05240      05170T, 05190T, 05220T
     05280      01610T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce8dcc   0x00ce8dcc   0x00ce947c   0x00ce947c 
   B) 0x00ce8ed8   0x00ce8ed8   0x00ce8fc0   0x00ce8fc0 
   C) 0x00ce8fc4   0x00ce8fc4   0x00ce9004   0x00ce9004 
   D) 0x00ce9008   0x00ce9008   0x00ce902c   0x00ce9038 
   E) 0x00ce903c   0x00ce903c   0x00ce90ec   0x00ce9110 
   F) 0x00ce9114   0x00ce9114   0x00ce9130   0x00ce9130 
   G) 0x00ce9114   0x00ce9118   0x00ce9130   0x00ce9130 
   H) 0x00ce9134   0x00ce9134   0x00ce91b8   0x00ce91d8 
   I) 0x00ce91dc   0x00ce91dc   0x00ce9240   0x00ce9240 
   J) 0x00ce9244   0x00ce9248   0x00ce9260   0x00ce9260 
   K) 0x00ce9264   0x00ce9264   0x00ce9280   0x00ce9280 
   L) 0x00ce9284   0x00ce9284   0x00ce92a0   0x00ce92a0 
   M) 0x00ce92a4   0x00ce92a4   0x00ce92c0   0x00ce92c0 
   N) 0x00ce92c4   0x00ce92c4   0x00ce92e0   0x00ce92e0 
   O) 0x00ce92e4   0x00ce92e4   0x00ce9300   0x00ce9300 
   P) 0x00ce9304   0x00ce9304   0x00ce9354   0x00ce9354 
   Q) 0x00ce9358   0x00ce9358   0x00ce9370   0x00ce9370 
   R) 0x00ce9374   0x00ce9374   0x00ce93b8   0x00ce93b8 
   S) 0x00ce9380   0x00ce9380   0x00ce93b8   0x00ce93b8 
   T) 0x00ce93bc   0x00ce93bc   0x00ce9434   0x00ce9434 
   U) 0x00ce9438   0x00ce9444   0x00ce9478   0x00ce9478 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine J overlaps, or is tangled with, routine A!
    NOTE: Routine K overlaps, or is tangled with, routine A!
    NOTE: Routine L overlaps, or is tangled with, routine A!
    NOTE: Routine M overlaps, or is tangled with, routine A!
    NOTE: Routine N overlaps, or is tangled with, routine A!
    NOTE: Routine O overlaps, or is tangled with, routine A!
    NOTE: Routine P overlaps, or is tangled with, routine A!
    NOTE: Routine Q overlaps, or is tangled with, routine A!
    NOTE: Routine R overlaps, or is tangled with, routine A!
    NOTE: Routine S overlaps, or is tangled with, routine A!
    NOTE: Routine T overlaps, or is tangled with, routine A!
    NOTE: Routine U overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine F!
    NOTE: Routine S overlaps, or is tangled with, routine R!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce8dcc   0x00ce8dcc   0x00ce947c   0x00ce947c 
   B) 0x00ce8ed8   0x00ce8ed8   0x00ce8fc0   0x00ce8fc0 
   C) 0x00ce8fc4   0x00ce8fc4   0x00ce9004   0x00ce9004 
   D) 0x00ce9008   0x00ce9008   0x00ce902c   0x00ce9038 
   E) 0x00ce903c   0x00ce903c   0x00ce90ec   0x00ce9110 
   F) 0x00ce9114   0x00ce9114   0x00ce9130   0x00ce9130 
   G) 0x00ce9114   0x00ce9118   0x00ce9130   0x00ce9130 
   H) 0x00ce9134   0x00ce9134   0x00ce91b8   0x00ce91d8 
   I) 0x00ce91dc   0x00ce91dc   0x00ce9240   0x00ce9240 
   J) 0x00ce9244   0x00ce9248   0x00ce9260   0x00ce9260 
   K) 0x00ce9264   0x00ce9264   0x00ce9280   0x00ce9280 
   L) 0x00ce9284   0x00ce9284   0x00ce92a0   0x00ce92a0 
   M) 0x00ce92a4   0x00ce92a4   0x00ce92c0   0x00ce92c0 
   N) 0x00ce92c4   0x00ce92c4   0x00ce92e0   0x00ce92e0 
   O) 0x00ce92e4   0x00ce92e4   0x00ce9300   0x00ce9300 
   P) 0x00ce9304   0x00ce9304   0x00ce9354   0x00ce9354 
   Q) 0x00ce9358   0x00ce9358   0x00ce9370   0x00ce9370 
   R) 0x00ce9374   0x00ce9374   0x00ce93b8   0x00ce93b8 
   S) 0x00ce9380   0x00ce9380   0x00ce93b8   0x00ce93b8 
   T) 0x00ce93bc   0x00ce93bc   0x00ce9434   0x00ce9434 
   U) 0x00ce9438   0x00ce9444   0x00ce9478   0x00ce9478 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine J overlaps, or is tangled with, routine A!
    NOTE: Routine K overlaps, or is tangled with, routine A!
    NOTE: Routine L overlaps, or is tangled with, routine A!
    NOTE: Routine M overlaps, or is tangled with, routine A!
    NOTE: Routine N overlaps, or is tangled with, routine A!
    NOTE: Routine O overlaps, or is tangled with, routine A!
    NOTE: Routine P overlaps, or is tangled with, routine A!
    NOTE: Routine Q overlaps, or is tangled with, routine A!
    NOTE: Routine R overlaps, or is tangled with, routine A!
    NOTE: Routine S overlaps, or is tangled with, routine A!
    NOTE: Routine T overlaps, or is tangled with, routine A!
    NOTE: Routine U overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine F!
    NOTE: Routine S overlaps, or is tangled with, routine R!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     01670 - 05270     361 
     05290 - 05290       1 
     09140 - 10000     870 

 */



/*
 *  Symbol Table Listing for '..\basic\Wumpus.bas'
 *
    A              Integer 
    A9             Integer 
    ABS   Function Integer     args=1, int   
    F              Integer 
    FNA   Function Integer     args=1, int   
    FNB   Function Integer     args=1, int   
    FNC   Function Integer     args=1, int   
    I$             String  
    INSTR Function Integer     args=3, int   char* char* 
    INT   Function Integer     args=1, float 
    J              Integer 
    J9             Integer 
    K              Integer 
    K1             Integer 
    L     Array    Integer     {0,7} 
    L              Integer 
    LEFT$ Function String      args=2, char* int   
    LEN   Function Integer     args=1, char* 
    M     Array    Integer     {0,7} 
    MID$  Function String      args=2, char* int   
    N              Integer 
    O              Integer 
    P     Array    Integer     {0,6} 
    RIGHT$ Function String      args=2, char* int   
    RND   Function Integer     args=1, int   
    S     Array    Integer     {0,21} {0,4} 
    X              Integer 
    Y8$            String  
    Y9    Array    Integer     {0,10} 
    Y9$            String  

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Wumpus.bas: 
 *
               +-------------------+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |                   | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |                   | |
      Address  v                   v v Original BASIC statement
    ---------- --------------------- - ------------------------------------------------------------------------------
    0x00cdba64                     A   01000 RANDOMIZE
    0x00cdbab0                     A   01010 REM *******WUMPUS VERSION II
    0x00cdbba0                     A   01020 PRINT "INSTRUCTIONS (Y,N)";
    0x00cdbc48                     A   01030 INPUT I$
    0x00cdbca0                     A   01040 PRINT
    0x00cd19cc                     A   01050 IF MID$(I$,1,1) <> "Y" THEN 1090
    0x00cdbee8                     A   01060 GOSUB 5300
    0x00cdbf34                     A   01070 REM *******CHOOSE & SET UP A CAVE
    0x00cdc0b0                     A   01080 DIM S(20,3)
    0x00cdcb78                     A T 01090 GOSUB 7310
    0x00cdcec8                     A   01100 DEF FNA(X)=INT(20*RND(0))+1
    0x00cdd15c                     A   01110 DEF FNB(X)=INT(3*RND(0))+1
    0x00cdd3f8                     A   01120 DEF FNC(X)=INT(4*RND(0))+1
    0x00cdd450                     A   01130 REM *******LOCATE L ARRAY ITEMS
    0x00cdd4e0                     A   01140 REM *******1-YOU, 2-WUMPUS, 3&4-PITS, 5&6-BATS
    0x00cdd5f8                     A   01150 DIM L(6)
    0x00cdd700                     A   01160 DIM M(6)
    0x00cd1948                     A T 01170 FOR J = 1 TO 6
    0x00cdd960                     A   01180     L(J) = FNA(0)
    0x00cdda38                     A   01190     M(J) = L(J)
    0x00cdda88                     A   01200 NEXT J
    0x00cddb30                     A   01210 REM *******CHECK FOR CROSSOVERS (I.E. L(1) = L(2), ETC.)
    0x00cddc70                     A   01220 FOR J = 1 TO 6
    0x00cdddb4                     A   01230     FOR K = J TO 6
    0x00cdde50                     A   01240 	IF J = K THEN 1270
    0x00cddf60                     A   01250 	IF L(J) = L(K) THEN 1170
    0x00cddfcc                     A   01260     NEXT K
    0x00cde028                     A T 01270 NEXT J
    0x00cde08c                     A   01280 REM *******SET # ARROWS
    0x00cde1a0                     A T 01290 A = 5
    0x00cde2e0                     A   01300 L = L(1)
    0x00cde324                     A   01310 REM *******RUN THE GAME
    0x00cde410                     A   01320 PRINT"HUNT THE WUMPUS"
    0x00cde56c                     A   01330 REM *******HAZARD WARNINGS & LOCATION
    0x00cde5c8                     A T 01340 GOSUB 5890
    0x00cde60c                     A   01350 REM *******MOVE OR SHOOT
    0x00cde664                     A T 01360 GOSUB 6060
    0x00cde7d0                     A   01370 ON O GOTO 1390,1420
    0x00cde814                     A   01380 REM *******SHOOT
    0x00cde868                     A T 01390 GOSUB 6190
    0x00cde974                     A   01400 IF F = 0 THEN 1360
    0x00cde9d4                     A   01410 GOTO 1490
    0x00cdea0c                     A T 01420 REM *******MOVE
    0x00cdea60                     A   01430 GOSUB 6890
    0x00cdeb28                     A   01440 IF F = 0 THEN 1340
    0x00cdeb88                     A   01450 GOTO 1490
    0x00cdebc0                     A   01460 REM *******MOVE
    0x00cdec14                         01470 GOSUB 6890
    0x00cdecdc                         01480 IF F = 0 THEN 1340
    0x00cdedcc                     A T 01490 IF F > 0 THEN 1540
    0x00cdee2c                     A   01500 REM *******LOSE
    0x00cdef04                     A   01510 PRINT"HA HA HA - YOU LOSE"
    0x00cdef48                     A   01520 GOTO 1550
    0x00cdef80                     A   01530 REM *******WIN
    0x00cdf094                     A T 01540 PRINT"HEE HEE HEE - THE WUMPUS'LL GET YOU NEXT TIME!!"
    0x00cdf1c4                     A T 01550 FOR J = 1 TO 6
    0x00cdf2a4                     A   01560     L(J) = M(J)
    0x00cdf2f4                     A   01570 NEXT J
    0x00cdf3d4                     A   01580 PRINT"PLAY AGAIN ";
    0x00cdf438                     A   01590 INPUT I$
    0x00cdf490                     A   01600 PRINT
    0x00cdf654                     A   01610 IF MID$(I$,1,1) <> "Y" THEN 5280
    0x00cdf740                     A   01620 PRINT"SAME SETUP ";
    0x00cdf7a4                     A   01630 INPUT I$
    0x00cdf7fc                     A   01640 PRINT
    0x00cdfbc4                     A   01650 IF MID$(I$,1,1) <> "Y" THEN 1090
    0x00cdfc2c                     A   01660 GOTO 1290
    0x00cf9a70                     A T 05280 END
    0x00cdfc6c                    B  G 05300 REM *******INSTRUCTIONS
    0x00cdfd7c                    B    05310 PRINT"WELCOME TO WUMPUS II"
    0x00cdfe84                    B    05320 PRINT"THIS VERSION HAS THE SAME RULES AS 'HUNT THE WUMPUS'"
    0x00cdff94                    B    05330 PRINT"HOWEVER, YOU HAVE A CHOICE OF CAVES TO PLAY IN"
    0x00cde508                    B    05340 PRINT"SOME CAVES ARE EASIER THAN OTHERS.  ALL CAVES HAVE 20 ROOMS"
    0x00ce0098                    B    05350 PRINT"AND 3 TUNNELS LEADING FROM ONE ROOM TO OTHER ROOMS"
    0x00ce014c                    B    05360 PRINT"THE CAVES ARE:"
    0x00ce01bc                    B    05370 PRINT
    0x00ce02c0                    B    05380 PRINT"	0  -  DODECAHEDRON	THE ROOMS OF THIS CAVE ARE A"
    0x00ce03c8                    B    05390 PRINT"		12-SIDED OBJECT, EACH SIDE FORMING A PENTAGON"
    0x00ce04d0                    B    05400 PRINT"		THE ROOMS ARE AT THE CORNERS OF THE PENTAGONS,"
    0x00ce05a8                    B    05410 PRINT"		EACH ROOM HAVING TUNNELS LEADING TO 3 OTHER ROOMS"
    0x00ce0610                    B    05420 PRINT
    0x00ce070c                    B    05430 PRINT"	1  -  MOBIUS STRIP	THIS CAVE IS TWO ROOMS"
    0x00ce0800                    B    05440 PRINT"		WIDE AND TEN ROOMS AROUND (LIKE A BELT)"
    0x00ce08dc                    B    05450 PRINT"		YOU WILL NOTICE THERE IS A HALF-TWIST"
    0x00ce098c                    B    05460 PRINT"		SOMEWHERE."
    0x00ce09f8                    B    05470 PRINT
    0x00ce0af8                    B    05480 PRINT"	2  -  STRING OF BEADS		FIVE BEADS ON A CIRCLE"
    0x00ce0bf0                    B    05490 PRINT"		EACH BEAD IS A DIAMOND WITH A VERTICAL"
    0x00ce0cf0                    B    05500 PRINT"		CROSS-BAR.  THE RIGHT & LEFT CORNERS LEAD"
    0x00ce0dd0                    B    05510 PRINT"		TO NEIBOURING BEADS.  (THIS ONE IS DIFFICULT"
    0x00ce0e80                    B    05520 PRINT"		TO PLAY.)"
    0x00ce0ef0                    B    05530 PRINT
    0x00ce0ff8                    B    05540 PRINT"	3  -  HEX NETWORK	IMAGINE A HEX TILE FLOOR.  TAKE"
    0x00ce10fc                    B    05550 PRINT"		A RECTANGLE WITH 20 POINTS (INTERSECTIONS)"
    0x00ce1204                    B    05560 PRINT"		INSIDE (4X4).  JOIN RIGHT & LEFT SIDES TO MAKE A"
    0x00ce12e8                    B    05570 PRINT"		CYLINDER.  THEN JOIN TOP & BOTTOM TO FORM A"
    0x00ce13c0                    B    05580 PRINT"		TORUS (DOUGHNUT)."
    0x00ce1484                    B    05590 PRINT"		HAVE FUN IMAGINING THIS ONE!"
    0x00ce14f4                    B    05600 PRINT
    0x00ce15fc                    B    05610 PRINT"	CAVES 1-3 ARE REGULAR IN THE SENSE THAT EACH ROOM"
    0x00ce1700                    B    05620 PRINT"	GOES TO THREE OTHER ROOMS & TUNNELS ALLOW TWO"
    0x00ce17d4                    B    05630 PRINT"	WAY TRAFFIC.  HERE ARE SOME 'IRREGULAR' CAVES."
    0x00ce1844                    B    05640 PRINT
    0x00ce1948                    B    05650 PRINT"	4  -  DENDRITE WITH DEGENERACIES	PULL A PLANT FROM"
    0x00ce1a48                    B    05660 PRINT"		THE GROUND.  THE ROOTS & BRANCHES FORM A"
    0x00ce1b48                    B    05670 PRINT"		DENDRITE - I.E. THERE ARE NO LOOPING PATHS"
    0x00ce1c48                    B    05680 PRINT"		DEGENERACY MEANS:  A)SOME ROOMS CONNENCT TO"
    0x00ce1d4c                    B    05690 PRINT"		THEMSELVES AND B) SOME ROOMS HAVE MORE THAN"
    0x00ce1e34                    B    05700 PRINT"		ONE TUNNEL TO THE SAME OTHER ROOM, I.E. 12 HAS"
    0x00ce1eec                    B    05710 PRINT"		TWO TUNNELS TO 13"
    0x00ce1f58                    B    05720 PRINT
    0x00ce205c                    B    05730 PRINT"	5  -  ONE WAY LATTICE		HERE ALL TUNNELS GO ONE"
    0x00ce2148                    B    05740 PRINT"		WAY ONLY.  TO RETURN, YOU MUST GO AROUND THE"
    0x00ce2204                    B    05750 PRINT"		CAVE (ABOUT 5 MOVES)."
    0x00ce2274                    B    05760 PRINT
    0x00ce2378                    B    05770 PRINT"	6  -  ENTER YOUR OWN CAVE	THE COMPUTER WILL ASK"
    0x00ce245c                    B    05780 PRINT"		YOU THE ROOMS NEXT TO EACH ROOM IN THE CAVE."
    0x00ce253c                    B    05790 PRINT"		FOR EXAMPLE:"
    0x00ce2634                    B    05800 PRINT"		  ROOM # 1	?2,3,4		YOUR REPLY OF 2,3,4"
    0x00ce2710                    B    05810 PRINT"		MEANS ROOM 1 HAS TUNNELS GOING TO ROOMS:"
    0x00ce27c0                    B    05820 PRINT"		2, 3 & 4."
    0x00ce280c                    B    05830 PRINT
    0x00ce28c0                    B    05840 PRINT"	HAPPY HUNTING!"
    0x00ce292c                    B    05850 PRINT
    0x00ce29fc                    B    05860 PRINT"********************************************"
    0x00ce2a38                    B    05870 PRINT
    0x00ce2a64                    B    05880 RETURN
    0x00ce2af0                   C   G 05890 REM *******PRINT LOCATIONS AND HAZARD WARNINGS
    0x00ce2b3c                   C     05900 PRINT
    0x00ce2c60                   C     05910 FOR J = 2 TO 6
    0x00ce31a8                   C     05920     FOR K = 1 TO 3
    0x00ce331c                   C     05930 	IF S(L(1),K) <> L(J) THEN 6000
    0x00ce3624                   C     05940 	ON J-1 GOTO 5950,5970,5970,5990,5990
    0x00ce36dc                   C   T 05950 	PRINT"I SMELL A WUMPUS!"
    0x00ce372c                   C     05960 	GOTO 6000
    0x00ce37dc                   C   T 05970 	PRINT"I FEEL A DRAFT!"
    0x00ce3828                   C     05980 	GOTO 6000
    0x00ce38d4                   C   T 05990 	PRINT"BATS NEARBY!"
    0x00ce3928                   C   T 06000     NEXT K
    0x00ce3984                   C     06010 NEXT J
    0x00ce3b30                   C     06020 PRINT"YOU ARE IN ROOM ";L(1);
    0x00ce3e34                   C     06030 PRINT"  TUNNELS LEAD TO ";S(L,1);S(L,2);S(L,3)
    0x00ce3e70                   C     06040 PRINT
    0x00ce3e9c                   C     06050 RETURN
    0x00ce3f00                  D    G 06060 REM *******CHOOSE OPTION
    0x00ce3f54                  D      06070 GOTO 6100
    0x00cdf828                  D    T 06080 PRINT"ERROR   "
    0x00cdf8e4                  D      06090 PRINT""
    0x00cdf9b0                  D    T 06100 PRINT"SHOOT OR MOVE  ";
    0x00ce4000                  D      06110 INPUT I$
    0x00ce4058                  D      06120 PRINT
    0x00ce421c                  D      06130 IF MID$(I$,1,1) <> "S" THEN 6160
    0x00ce42f4                  D      06140 O=1
    0x00d02a98                  D      06150 GOTO 6180 (Pseudo Goto)
    0x00ce4500                  D    T 06160 IF MID$(I$,1,1) <> "M" THEN 6080
    0x00ce45d8                  D      06170 O=2
    0x00ce4600                  D    T 06180 RETURN
    0x00ce4664                 E     G 06190 REM *******ARROW ROUTINE
    0x00ce4744                 E       06200 F=0
    0x00ce478c                 E       06210 REM *******PATH OF ARROW
    0x00ce48a4                 E       06220 DIM P(5)
    0x00ce48e4                 E       06230 GOTO 6260
    0x00ce498c                 E     T 06240 PRINT"ERROR   "
    0x00ce4a4c                 E       06250 PRINT""
    0x00ce4b1c                 E     T 06260 PRINT"NO. OF ROOMS (1-5) ";
    0x00ce4bc4                 E       06270 INPUT J9
    0x00ce4c10                 E       06280 PRINT
    0x00ce4ce0                 E       06290 IF J9 < 1 THEN 6240
    0x00ce4dd4                 E       06300 IF J9 > 5 THEN 6240
    0x00ce4f30                 E       06310 IF INT(J9) <> ABS(J9) THEN 6240
    0x00ce5048                 E       06320 FOR K = 1 TO J9
    0x00ce50fc                 E     T 06330     PRINT"ROOM #";
    0x00ce518c                 E       06340     INPUT P(K)
    0x00ce51dc                 E       06350     PRINT
    0x00ce52d4                 E       06360     IF P(K) > 0 THEN 6380
    0x00ce5340                 E       06370     GOTO 6410
    0x00ce5430                 E     T 06380     IF P(K) < 21 THEN 6400
    0x00ce54ac                 E       06390     GOTO 6410
    0x00ce55dc                 E     T 06400 	    IF INT(P(K)) = ABS(P(K)) THEN 6440
    0x00ce56b4                 E     T 06410     PRINT"ERROR   "
    0x00ce5764                 E       06420     PRINT""
    0x00ce57a0                 E       06430     GOTO 6330
    0x00ce57ec                 E     T 06440 NEXT K
    0x00ce5840                 E       06450 PRINT
    0x00ce5888                 E       06460 REM *******SHOOT ARROW
    0x00ce59a0                 E       06470 A = A-1
    0x00ce5ad8                 E       06480 A9 = L(1)
    0x00ce5bd0                 E       06490 FOR K = 1 TO J9
    0x00ce5d54                 E       06500     FOR K1 = 1 TO 3
    0x00ce5e68                 E       06510 	IF S(A9,K1) = P(K) THEN 6650
    0x00ce5ed8                 E       06520     NEXT K1
    0x00ce5f54                 E       06530     REM *******NO TUNNEL FOR THE ARROW
    0x00ce60b0                 E       06540     A9 = S(A9,FNB(1))
    0x00ce60e8                 E       06550     GOTO 6660
    0x00ce6134                 E     T 06560 NEXT K
    0x00ce6200                 E       06570 PRINT"MISSED"
    0x00ce6248                 E       06580 REM *******MOVE WUMPUS
    0x00ce62a0                 E       06590 GOSUB 6730
    0x00ce62e0                 E       06600 REM *******AMMO CHECK
    0x00ce63c4                 E       06610 IF A > 0 THEN 6630
    0x00ce649c                 E     T 06620 F = -1
    0x00d02b1c                 E     T 06630 GOTO 6721 (Pseudo Goto)
    0x00ce6548                 E       06640 REM *******SEE IF ARROW IS AT L(1) OR L(2)
    0x00ce661c                 E     T 06650 A9 = P(K)
    0x00ce6710                 E     T 06660 IF A9 <> L(2) THEN 6700
    0x00ce68bc                 E       06670 PRINT"AHA! YOU GOT THE WUMPUS!  HE WAS IN ROOM";L(2)
    0x00ce6980                 E       06680 F = 1
    0x00d02b64                 E       06690 GOTO 6721 (Pseudo Goto)
    0x00ce6ab4                 E     T 06700 IF A9 = L(1) THEN 6560
    0x00ce6b9c                 E       06710 PRINT"OUCH!  ARROW GOT YOU!"
    0x00ce6bf0                 E       06720 GOTO 6620
    0x00d02ad8                 E     T 06721 RETURN (Pseudo)
    0x00d02440                F      G 06730 REM *******MOVE WUMPUS ROUTINE
    0x00d0248c                F        06740 K = FNC(0)
    0x00ce5efc                F        06750 IF K = 4 THEN 6800
    0x00d024e4                F        06760 L(2) = S(L(2),K)
    0x00d02528                F        06770 IF L(2) <> L THEN 6800
    0x00d02578                F        06780 PRINT"TSK TSK TSK - WUMPUS GOT YOU"
    0x00d025d4                F        06790 F = -1
    0x00d0260c                F      T 06800 RETURN
    0x00d02bac               G       G 06809 GOTO 6820 (Pseudo Goto)
    0x00ce6c38               G         06810 REM *******MOVE WUMPUS ROUTINE
    0x00ce6d3c               G       T 06820 K = FNC(0)
    0x00ce6e08               G         06830 IF K = 4 THEN 6880
    0x00ce6fd4               G         06840 L(2) = S(L(2),K)
    0x00ce70c8               G         06850 IF L(2) <> L THEN 6880
    0x00ce71bc               G         06860 PRINT"TSK TSK TSK - WUMPUS GOT YOU"
    0x00ce7280               G         06870 F = -1
    0x00ce72a8               G       T 06880 RETURN
    0x00ce7308              H        G 06890 REM *******MOVE ROUTINE
    0x00ce73d8              H        T 06900 F = 0
    0x00ce741c              H          06910 GOTO 6940
    0x00ce74c4              H        T 06920 PRINT"ERROR   "
    0x00ce7578              H          06930 PRINT""
    0x00ce763c              H        T 06940 PRINT"WHERE TO ";
    0x00ce76a0              H          06950 INPUT L
    0x00ce76e8              H          06960 PRINT
    0x00ce77b8              H          06970 IF L < 1 THEN 6920
    0x00ce78ac              H          06980 IF L > 25 THEN 6900
    0x00ce79c0              H          06990 	IF INT(L) <> ABS(L) THEN 6920
    0x00ce7b1c              H          07000 FOR K = 1 TO 3
    0x00ce7b70              H          07010     REM *******CHECK IF LEGAL MOVE
    0x00ce7cd8              H          07020     IF S(L(1),K) = L THEN 7090
    0x00ce7d40              H          07030 NEXT K
    0x00ce7e50              H          07040 IF L = L(1) THEN 7090
    0x00ce7f2c              H          07050 PRINT"NOT POSSIBLE - "
    0x00ce7fd8              H          07060 PRINT""
    0x00ce802c              H          07070 GOTO 6940
    0x00ce8074              H          07080 REM *******CHECK FOR HAZARDS
    0x00ce8178              H        T 07090 L(1) = L
    0x00ce81b8              H          07100 REM *******WUMPUS
    0x00ce82c8              H          07110 IF L <> L(2) THEN 7170
    0x00ce83c8              H          07120 PRINT"...OOPS!  BUMPED A WUMPUS!"
    0x00ce8410              H          07130 REM *******MOVE WUMPUS
    0x00ce8464              H          07140 GOSUB 6809
    0x00ce852c              H          07150 IF F = 0 THEN 7170
    0x00ce8588              H          07160 REM *******PIT
    0x00ce8698              H        T 07170 IF L <> L(3) THEN 7190
    0x00ce86fc              H          07180 GOTO 7200
    0x00ce87ec              H        T 07190 IF L <> L(4) THEN 7240
    0x00ce88e4              H        T 07200 PRINT"YYYIIIIEEEE . . . FELL IN A PIT"
    0x00ce89a8              H          07210 F = -1
    0x00d02bf4              H          07220 GOTO 7300 (Pseudo Goto)
    0x00ce8a20              H          07230 REM *******BATS
    0x00ce8b30              H        T 07240 IF L <> L(5) THEN 7260
    0x00ce8b94              H          07250 GOTO 7270
    0x00ce8c84              H        T 07260 IF L <> L(6) THEN 7300
    0x00ce8da0              H        T 07270 PRINT"ZAP--SUPER BAT SNATCH!  ELSEWHEREVILLE FOR YOU!"
    0x00ce9694              H          07280 L = FNA(1)
    0x00ce96cc              H          07290 GOTO 7090
    0x00ce96f0              H        T 07300 RETURN
    0x00ce974c             I         G 07310 REM *******SELECT CAVE
    0x00ce97a0             I           07320 GOTO 7350
    0x00ce9848             I         T 07330 PRINT"ERROR   "
    0x00ce9900             I           07340 PRINT""
    0x00ce99c8             I         T 07350 PRINT"CAVE # (0-6) ";
    0x00ce9a70             I           07360 INPUT N
    0x00ce9ab8             I           07370 PRINT
    0x00ce9b88             I           07380 IF N < 0 THEN 7330
    0x00ce9c78             I           07390 IF N > 6 THEN 7330
    0x00ce9d8c             I           07400 IF INT(N) <> ABS(N) THEN 7330
    0x00cea14c             I           07410 ON N+1 GOTO 7430,7450,7470,7490,7510,7530,7550
    0x00cea18c             I           07420 GOTO 7560
    0x00cea1c4             I         T 07430 GOSUB 7569
    0x00cea1fc             I           07440 GOTO 7560
    0x00cea234             I         T 07450 GOSUB 7650
    0x00cea26c             I           07460 GOTO 7560
    0x00cea2a4             I         T 07470 GOSUB 7730
    0x00cea2dc             I           07480 GOTO 7560
    0x00cea314             I         T 07490 GOSUB 7810
    0x00cea34c             I           07500 GOTO 7560
    0x00cea384             I         T 07510 GOSUB 7890
    0x00cea3bc             I           07520 GOTO 7560
    0x00cea3f4             I         T 07530 GOSUB 7970
    0x00cea42c             I           07540 GOTO 7560
    0x00cea460             I         T 07550 GOSUB 8050
    0x00cea484             I         T 07560 RETURN
    0x00d02c3c            J          G 07569 GOTO 7580 (Pseudo Goto)
    0x00cea4e4            J            07570 REM *******DODECAHEDRON
    0x00cea520            J          T 07580 RESTORE 7590
    0x00ceabfc            J            07590 DATA 2,5,8,1,3,10,2,4,12,3,5,14,1,4,6
    0x00ceb2b0            J            07600 DATA 5,7,15,6,8,17,1,7,9,8,10,18,2,9,11
    0x00ceb968            J            07610 DATA 10,12,19,3,11,13,12,14,20,4,13,15,6,14,16
    0x00ce2c90            J            07620 DATA 15,17,20,7,16,18,9,17,19,11,18,20,13,16,19
    0x00ce2cc8            J            07630 GOSUB 8260
    0x00ce2cec            J            07640 RETURN
    0x00ce2d4c           K           G 07650 REM *******MOBIUS STRIP
    0x00ce2d88           K             07660 RESTORE 7670
    0x00cec3f0           K             07670 DATA 20,2,3,19,1,4,1,4,5,2,3,6,3,6,7
    0x00cecaa8           K             07680 DATA 4,5,8,5,8,9,6,7,10,7,10,11,8,9,12
    0x00ced160           K             07690 DATA 9,12,13,10,11,14,11,14,15,12,13,16,12,16,17
    0x00ced7f0           K             07700 DATA 14,15,18,15,18,19,16,17,20,2,17,20,1,18,19
    0x00ce3070           K             07710 GOSUB 8260
    0x00ced828           K             07720 RETURN
    0x00ced88c          L            G 07730 REM *******STRING OF BEADS
    0x00ced8c8          L              07740 RESTORE 7750
    0x00cedfa0          L              07750 DATA 2,3,20,1,3,4,1,2,4,2,3,5,4,6,7
    0x00cee658          L              07760 DATA 5,7,8,5,6,8,6,7,9,8,10,11,9,11,12
    0x00ceed10          L              07770 DATA 9,10,12,10,11,13,12,14,15,13,15,16,13,14,16
    0x00cef3a0          L              07780 DATA 14,15,17,16,18,19,17,19,20,17,18,20,1,18,19
    0x00cef3d8          L              07790 GOSUB 8260
    0x00cef3fc          L              07800 RETURN
    0x00cef464         M             G 07810 REM *******HEX NET ON TORUS
    0x00cef4a0         M               07820 RESTORE 7830
    0x00cefb80         M               07830 DATA 6,10,16,6,7,17,7,8,18,8,9,19,9,10,20
    0x00cf0234         M               07840 DATA 1,2,15,2,3,11,3,4,12,4,5,13,5,6,14
    0x00cf08e8         M               07850 DATA 7,16,20,8,16,17,9,17,18,10,18,19,6,19,20
    0x00cf0f78         M               07860 DATA 1,11,12,2,12,13,3,13,14,4,14,15,5,11,15
    0x00cf0fb0         M               07870 GOSUB 8260
    0x00cf0fd4         M               07880 RETURN
    0x00cf104c        N              G 07890 REM *******DENDRITE W/ DEGENERACIES
    0x00cf1088        N                07900 RESTORE 7910
    0x00cf175c        N                07910 DATA 1,1,5,2,2,5,3,3,6,4,4,6,1,2,7
    0x00cf1e14        N                07920 DATA 3,4,7,5,6,10,8,9,9,8,8,10,7,9,11
    0x00cf24cc        N                07930 DATA 10,13,14,12,13,13,11,12,12,11,15,16,14,17,18
    0x00cf2b5c        N                07940 DATA 14,19,20,15,17,17,15,18,18,16,19,19,16,20,20
    0x00cf2b94        N                07950 GOSUB 8260
    0x00cf2bb8        N                07960 RETURN
    0x00cf2c1c       O               G 07970 REM *******ONE WAY LATTICE
    0x00cf2c58       O                 07980 RESTORE 7990
    0x00cf3338       O                 07990 DATA 5,4,8,1,5,6,2,6,7,3,7,8,8,9,12
    0x00cf39f0       O                 08000 DATA 5,9,10,6,10,11,7,11,12,12,13,16,9,13,14
    0x00cf40a0       O                 08010 DATA 10,14,15,11,15,16,16,17,20,13,17,18,14,18,19
    0x00cf4730       O                 08020 DATA 15,19,20,1,4,20,1,2,17,2,3,18,3,4,19
    0x00cf4768       O                 08030 GOSUB 8260
    0x00cf478c       O                 08040 RETURN
    0x00cf47f0      P                G 08050 REM *******INPUT OWN CAVE
    0x00cf48f0      P                  08060 PRINT "(M)MAKE OR (R)READ A CAVE ";
    0x00cf49a8      P                  08070 INPUT Y9$
    0x00cf4a84      P                  08080 IF Y9$="M" GOTO 8110
    0x00cf4adc      P                  08090 GOSUB 8660
    0x00cf4b1c      P                  08100 GO TO 8250
    0x00cf4c48      P                T 08110 FOR J = 1 TO 20
    0x00cf4d60      P                T 08120     PRINT"ROOM #";J;
    0x00cf4fb8      P                  08130     INPUT S(J,1),S(J,2),S(J,3)
    0x00cf50f0      P                  08140     FOR K = 1 TO 3
    0x00cf5214      P                  08150 	IF S(J,K) > 0 THEN 8170
    0x00cf527c      P                  08160 	GOTO 8200
    0x00cf5394      P                T 08170 	IF S(J,K) < 21 THEN 8190
    0x00cf540c      P                  08180 	GOTO 8200
    0x00cf558c      P                T 08190 	IF INT(S(J,K)) = ABS(S(J,K)) THEN 8220
    0x00cf566c      P                T 08200 	PRINT"***** ERROR !!!!!"
    0x00cf56ac      P                  08210 	GOTO 8120
    0x00cf56f8      P                T 08220     NEXT K
    0x00cf5754      P                  08230 NEXT J
    0x00cf579c      P                  08240 GOSUB 8330
    0x00cf57c0      P                T 08250 RETURN
    0x00cf581c     Q                 G 08260 REM *******INPUT CAVE
    0x00cf5960     Q                   08270 FOR J = 1 TO 20
    0x00cf5a90     Q                   08280     FOR K = 1 TO 3
    0x00cf5b4c     Q                   08290 	READ S(J,K)
    0x00cf5b98     Q                   08300     NEXT K
    0x00cf5bf4     Q                   08310 NEXT J
    0x00cf5c28     Q                   08320 RETURN
    0x00cf5ca0    R                  G 08330 REM ********* OUTPUT A USER DUNGEON
    0x00cf5db8    R                    08340 PRINT "DO YOU WANT TO SAVE THIS DUNGEON (Y,N)";
    0x00cf5e34    R                    08350 INPUT Y9$
    0x00d0263c    R                    08360 IF MID$(Y9$,1,1)="N" THEN 8500
    0x00d02694    R                    08370 PRINT "WHAT NAME DO YOU WANT TO GIVE IT "
    0x00d026f4    R                    08380 PRINT "INPUT A 6 CHARATER FILENAME: ";
    0x00d02750    R                    08390 INPUT Y9$
    0x00d02790    R                    08400 IF Y9$="" THEN 8500
    0x00d027e0    R                    08410 GOSUB 8969
    0x00d02818    R                    08420 PRINT "YOUR DUNGEON WILL BE IN ";Y9$;".DUN"
    0x00d0287c    R                    08430 Y9$=Y9$ + ".DUN"
    0x00d028c0    R                    08440 FILE #1,Y9$
    0x00d02900    R                    08450 SCRATCH #1
    0x00d02938    R                    08460 FOR J=1 TO 20
    0x00d02980    R                    08470     PRINT #1,S(J,1),S(J,2),S(J,3)
    0x00d029d8    R                    08480 NEXT J
    0x00d02a0c    R                    08490 CLOSE #1
    0x00d02a44    R                  T 08500 RETURN
    0x00cf5ff8   S                   G 08510 IF MID$(Y9$,1,1)="N" THEN 8650
    0x00cf6114   S                     08520 PRINT "WHAT NAME DO YOU WANT TO GIVE IT "
    0x00cf61ec   S                     08530 PRINT "INPUT A 6 CHARATER FILENAME: ";
    0x00cf6260   S                     08540 INPUT Y9$
    0x00cf633c   S                     08550 IF Y9$="" THEN 8650
    0x00cf63b8   S                     08560 GOSUB 8969
    0x00cf6534   S                     08570 PRINT "YOUR DUNGEON WILL BE IN ";Y9$;".DUN"
    0x00cf6650   S                     08580 Y9$=Y9$ + ".DUN"
    0x00cf66b4   S                     08590 FILE #1,Y9$
    0x00cf66dc   S                     08600 SCRATCH #1
    0x00cf682c   S                     08610 FOR J=1 TO 20
    0x00cf6aa4   S                     08620     PRINT #1,S(J,1),S(J,2),S(J,3)
    0x00cf6af8   S                     08630 NEXT J
    0x00cf6b30   S                     08640 CLOSE #1
    0x00cf6b64   S                   T 08650 RETURN
    0x00cf6be0  T                    G 08660 REM **************READ IN A USER CAVE
    0x00cf6ce8  T                      08670 PRINT "WHAT DUNGEON DO YOU WANT(NAME) ";
    0x00cf6d50  T                      08680 INPUT Y9$
    0x00cf6d98  T                      08690 GOSUB 8969
    0x00cf6eac  T                      08700 Y9$=Y9$ + ".DUN"
    0x00cf6f14  T                      08710 FILE #1, Y9$
    0x00cf6f3c  T                      08720 RESTORE  #1
    0x00cf708c  T                      08730 FOR J=1 TO 20
    0x00cf72e8  T                      08740     INPUT #1, S(J,1),S(J,2),S(J,3)
    0x00cf741c  T                      08750     FOR K=1 TO 3
    0x00cf7540  T                      08760 	IF S(J,K)=0 THEN 8800
    0x00cf75ac  T                      08770     NEXT K
    0x00cf76e0  T                      08780     Y8$="DATA OK"
    0x00cf773c  T                      08790     GOTO 8920
    0x00cf7814  T                    T 08800     PRINT "ALL ROOMS MUST HAVE 3 EXITS"
    0x00cf7990  T                      08810     PRINT "ROOM ";J;" HAS EXITS TO:"
    0x00cf7a70  T                      08820     Y8$="RE-SAVE"
    0x00cf7ba0  T                      08830     FOR L=1 TO 3
    0x00cf7cc4  T                      08840 	IF S(J,L)=0 THEN 8860
    0x00cf7e38  T                      08850 	PRINT "    ROOM NUMBER: ";S(J,L)
    0x00cf7e8c  T                    T 08860     NEXT L
    0x00cf7fd8  T                      08870     FOR L=1 TO 3
    0x00cf80fc  T                      08880 	IF S(J,L)<>0 THEN 8910
    0x00cf8204  T                      08890 	PRINT "    AND ROOM NUMBER ????";
    0x00cf82bc  T                      08900 	INPUT S(J,L)
    0x00cf8310  T                    T 08910     NEXT L
    0x00cf836c  T                    T 08920 NEXT J
    0x00cf83a4  T                      08930 CLOSE #1
    0x00cf84a4  T                      08940 IF Y8$<>"RE-SAVE" THEN 8960
    0x00cf84f8  T                      08950 GOSUB 8510
    0x00cf851c  T                    T 08960 RETURN
    0x00d02c84 U                     G 08969 GOTO 9000 (Pseudo Goto)
    0x00cf85a0 U                     T 08970 REM ********** HELP USER INPUT A FILENAME
    0x00cf86b8 U                       08980 PRINT "PLEASE INPUT A SIX(6) CHARACTER FILENAME";
    0x00cf8730 U                       08990 INPUT Y9$
    0x00cf89ac U                     T 09000 Y9(1) = INSTR(1,Y9$,".")
    0x00cf8b98 U                       09010 Y9(2) = INSTR(1,Y9$,".")
    0x00cf8cc4 U                       09020 IF Y9(1)<>0 THEN 9060
    0x00cf8e18 U                       09030 IF Y9(2)= 0 THEN 9100
    0x00cf9040 U                       09040 Y9$ = RIGHT$(Y9$,Y9(2)+1)
    0x00cf9088 U                       09050 GOTO 9100
    0x00cf91b0 U                     T 09060 IF Y9(2) = 0 THEN 9090
    0x00cf9494 U                       09070 Y9$ = LEFT$(RIGHT$(Y9$,Y9(1)),Y9(2)+1)
    0x00cf94dc U                       09080 GOTO 9100
    0x00cf961c U                     T 09090 Y9$ = LEFT$(Y9$,Y9(1))
    0x00cf9780 U                     T 09100 Y9(3) = LEN(Y9$)
    0x00cf98ac U                       09110 IF Y9(3)<1 THEN 8970
    0x00cf9a00 U                       09120 IF Y9(3)>6 THEN 8970
    0x00cf9a40 U                       09130 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\Wumpus.cpp,v 1.6 2011-10-16 22:43:30-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: Wumpus.cpp,v $
// Revision 1.6  2011-10-16 22:43:30-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
char* data_07590s[]={"2","5","8","1","3","10","2","4","12","3","5","14","1","4","6"};
char* data_07600s[]={"5","7","15","6","8","17","1","7","9","8","10","18","2","9","11"};
char* data_07610s[]={"10","12","19","3","11","13","12","14","20","4","13","15","6","14","16"};
char* data_07620s[]={"15","17","20","7","16","18","9","17","19","11","18","20","13","16","19"};
char* data_07670s[]={"20","2","3","19","1","4","1","4","5","2","3","6","3","6","7"};
char* data_07680s[]={"4","5","8","5","8","9","6","7","10","7","10","11","8","9","12"};
char* data_07690s[]={"9","12","13","10","11","14","11","14","15","12","13","16","12","16","17"};
char* data_07700s[]={"14","15","18","15","18","19","16","17","20","2","17","20","1","18","19"};
char* data_07750s[]={"2","3","20","1","3","4","1","2","4","2","3","5","4","6","7"};
char* data_07760s[]={"5","7","8","5","6","8","6","7","9","8","10","11","9","11","12"};
char* data_07770s[]={"9","10","12","10","11","13","12","14","15","13","15","16","13","14","16"};
char* data_07780s[]={"14","15","17","16","18","19","17","19","20","17","18","20","1","18","19"};
char* data_07830s[]={"6","10","16","6","7","17","7","8","18","8","9","19","9","10","20"};
char* data_07840s[]={"1","2","15","2","3","11","3","4","12","4","5","13","5","6","14"};
char* data_07850s[]={"7","16","20","8","16","17","9","17","18","10","18","19","6","19","20"};
char* data_07860s[]={"1","11","12","2","12","13","3","13","14","4","14","15","5","11","15"};
char* data_07910s[]={"1","1","5","2","2","5","3","3","6","4","4","6","1","2","7"};
char* data_07920s[]={"3","4","7","5","6","10","8","9","9","8","8","10","7","9","11"};
char* data_07930s[]={"10","13","14","12","13","13","11","12","12","11","15","16","14","17","18"};
char* data_07940s[]={"14","19","20","15","17","17","15","18","18","16","19","19","16","20","20"};
char* data_07990s[]={"5","4","8","1","5","6","2","6","7","3","7","8","8","9","12"};
char* data_08000s[]={"5","9","10","6","10","11","7","11","12","12","13","16","9","13","14"};
char* data_08010s[]={"10","14","15","11","15","16","16","17","20","13","17","18","14","18","19"};
char* data_08020s[]={"15","19","20","1","4","20","1","2","17","2","3","18","3","4","19"};
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    { 7590, 15,data_07590s},
    { 7600, 15,data_07600s},
    { 7610, 15,data_07610s},
    { 7620, 15,data_07620s},
    { 7670, 15,data_07670s},
    { 7680, 15,data_07680s},
    { 7690, 15,data_07690s},
    { 7700, 15,data_07700s},
    { 7750, 15,data_07750s},
    { 7760, 15,data_07760s},
    { 7770, 15,data_07770s},
    { 7780, 15,data_07780s},
    { 7830, 15,data_07830s},
    { 7840, 15,data_07840s},
    { 7850, 15,data_07850s},
    { 7860, 15,data_07860s},
    { 7910, 15,data_07910s},
    { 7920, 15,data_07920s},
    { 7930, 15,data_07930s},
    { 7940, 15,data_07940s},
    { 7990, 15,data_07990s},
    { 8000, 15,data_08000s},
    { 8010, 15,data_08010s},
    { 8020, 15,data_08020s},
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int;        // Comments?
int   A9_int;       // Comments?
int   F_int;        // Comments?
char* I_str;        // Comments?
int   J_int;        // Comments?
int   J9_int;       // Comments?
int   K_int;        // Comments?
int   K1_int;       // Comments?
int   L_int_arr[7]; // Comments?
int   L_int;        // Comments?
int   M_int_arr[7]; // Comments?
int   N_int;        // Comments?
int   O_int;        // Comments?
int   P_int_arr[6]; // Comments?
int   S_int_arr[21][4]; // Comments?
int   X_int;        // Comments?
char* Y8_str;       // Comments?
int   Y9_int_arr[10];   // Comments?
char* Y9_str;       // Comments?
//---------------------------------------------------------------------------
FILE* fh_ch01=NULL;
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_05300();
void Routine_05890();
void Routine_06060();
void Routine_06190();
void Routine_06730();
void Routine_06809();
void Routine_06890();
void Routine_07310();
void Routine_07569();
void Routine_07650();
void Routine_07730();
void Routine_07810();
void Routine_07890();
void Routine_07970();
void Routine_08050();
void Routine_08260();
void Routine_08330();
void Routine_08510();
void Routine_08660();
void Routine_08969();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
#pragma argsused X
int FNA(int X){
    int rtn=INT(20*RND(0))+1;
    return(rtn);
}

#pragma argsused X
int FNB(int X){
    int rtn=INT(3*RND(0))+1;
    return(rtn);
}

#pragma argsused X
int FNC(int X){
    int rtn=INT(4*RND(0))+1;
    return(rtn);
}

//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_05300(){
    // 05300 REM *******INSTRUCTIONS
    // *******instructions
    // 05310 PRINT"WELCOME TO WUMPUS II"
    MyFpf(stdout,"welcome to wumpus ii\n");
    // 05320 PRINT"THIS VERSION HAS THE SAME RULES AS 'HUNT THE WUMPUS'"
    MyFpf(stdout,"this version has the same rules as 'hunt the wumpus'\n");
    // 05330 PRINT"HOWEVER, YOU HAVE A CHOICE OF CAVES TO PLAY IN"
    MyFpf(stdout,"however, you have a choice of caves to play in\n");
    // 05340 PRINT"SOME CAVES ARE EASIER THAN OTHERS.  ALL CAVES HAVE 20 ROOMS"
    MyFpf(stdout,"some caves are easier than others.  all caves have 20 rooms\n");
    // 05350 PRINT"AND 3 TUNNELS LEADING FROM ONE ROOM TO OTHER ROOMS"
    MyFpf(stdout,"and 3 tunnels leading from one room to other rooms\n");
    // 05360 PRINT"THE CAVES ARE:"
    MyFpf(stdout,"the caves are:\n");
    // 05370 PRINT
    MyFpf(stdout,"\n");
    // 05380 PRINT"	0  -  DODECAHEDRON	THE ROOMS OF THIS CAVE ARE A"
    MyFpf(stdout,"	0  -  dodecahedron	the rooms of this cave are a\n");
    // 05390 PRINT"		12-SIDED OBJECT, EACH SIDE FORMING A PENTAGON"
    MyFpf(stdout,"		12-sided object, each side forming a pentagon\n");
    // 05400 PRINT"		THE ROOMS ARE AT THE CORNERS OF THE PENTAGONS,"
    MyFpf(stdout,"		the rooms are at the corners of the pentagons,\n");
    // 05410 PRINT"		EACH ROOM HAVING TUNNELS LEADING TO 3 OTHER ROOMS"
    MyFpf(stdout,"		each room having tunnels leading to 3 other rooms\n");
    // 05420 PRINT
    MyFpf(stdout,"\n");
    // 05430 PRINT"	1  -  MOBIUS STRIP	THIS CAVE IS TWO ROOMS"
    MyFpf(stdout,"	1  -  mobius strip	this cave is two rooms\n");
    // 05440 PRINT"		WIDE AND TEN ROOMS AROUND (LIKE A BELT)"
    MyFpf(stdout,"		wide and ten rooms around (like a belt)\n");
    // 05450 PRINT"		YOU WILL NOTICE THERE IS A HALF-TWIST"
    MyFpf(stdout,"		you will notice there is a half-twist\n");
    // 05460 PRINT"		SOMEWHERE."
    MyFpf(stdout,"		somewhere.\n");
    // 05470 PRINT
    MyFpf(stdout,"\n");
    // 05480 PRINT"	2  -  STRING OF BEADS		FIVE BEADS ON A CIRCLE"
    MyFpf(stdout,"	2  -  string of beads		five beads on a circle\n");
    // 05490 PRINT"		EACH BEAD IS A DIAMOND WITH A VERTICAL"
    MyFpf(stdout,"		each bead is a diamond with a vertical\n");
    // 05500 PRINT"		CROSS-BAR.  THE RIGHT & LEFT CORNERS LEAD"
    MyFpf(stdout,"		cross-bar.  the right & left corners lead\n");
    // 05510 PRINT"		TO NEIBOURING BEADS.  (THIS ONE IS DIFFICULT"
    MyFpf(stdout,"		to neibouring beads.  (this one is difficult\n");
    // 05520 PRINT"		TO PLAY.)"
    MyFpf(stdout,"		to play.)\n");
    // 05530 PRINT
    MyFpf(stdout,"\n");
    // 05540 PRINT"	3  -  HEX NETWORK	IMAGINE A HEX TILE FLOOR.  TAKE"
    MyFpf(stdout,"	3  -  hex network	imagine a hex tile floor.  take\n");
    // 05550 PRINT"		A RECTANGLE WITH 20 POINTS (INTERSECTIONS)"
    MyFpf(stdout,"		a rectangle with 20 points (intersections)\n");
    // 05560 PRINT"		INSIDE (4X4).  JOIN RIGHT & LEFT SIDES TO MAKE A"
    MyFpf(stdout,"		inside (4x4).  join right & left sides to make a\n");
    // 05570 PRINT"		CYLINDER.  THEN JOIN TOP & BOTTOM TO FORM A"
    MyFpf(stdout,"		cylinder.  then join top & bottom to form a\n");
    // 05580 PRINT"		TORUS (DOUGHNUT)."
    MyFpf(stdout,"		torus (doughnut).\n");
    // 05590 PRINT"		HAVE FUN IMAGINING THIS ONE!"
    MyFpf(stdout,"		have fun imagining this one!\n");
    // 05600 PRINT
    MyFpf(stdout,"\n");
    // 05610 PRINT"	CAVES 1-3 ARE REGULAR IN THE SENSE THAT EACH ROOM"
    MyFpf(stdout,"	caves 1-3 are regular in the sense that each room\n");
    // 05620 PRINT"	GOES TO THREE OTHER ROOMS & TUNNELS ALLOW TWO"
    MyFpf(stdout,"	goes to three other rooms & tunnels allow two\n");
    // 05630 PRINT"	WAY TRAFFIC.  HERE ARE SOME 'IRREGULAR' CAVES."
    MyFpf(stdout,"	way traffic.  here are some 'irregular' caves.\n");
    // 05640 PRINT
    MyFpf(stdout,"\n");
    // 05650 PRINT"	4  -  DENDRITE WITH DEGENERACIES	PULL A PLANT FROM"
    MyFpf(stdout,"	4  -  dendrite with degeneracies	pull a plant from\n");
    // 05660 PRINT"		THE GROUND.  THE ROOTS & BRANCHES FORM A"
    MyFpf(stdout,"		the ground.  the roots & branches form a\n");
    // 05670 PRINT"		DENDRITE - I.E. THERE ARE NO LOOPING PATHS"
    MyFpf(stdout,"		dendrite - i.e. there are no looping paths\n");
    // 05680 PRINT"		DEGENERACY MEANS:  A)SOME ROOMS CONNENCT TO"
    MyFpf(stdout,"		degeneracy means:  a)some rooms connenct to\n");
    // 05690 PRINT"		THEMSELVES AND B) SOME ROOMS HAVE MORE THAN"
    MyFpf(stdout,"		themselves and b) some rooms have more than\n");
    // 05700 PRINT"		ONE TUNNEL TO THE SAME OTHER ROOM, I.E. 12 HAS"
    MyFpf(stdout,"		one tunnel to the same other room, i.e. 12 has\n");
    // 05710 PRINT"		TWO TUNNELS TO 13"
    MyFpf(stdout,"		two tunnels to 13\n");
    // 05720 PRINT
    MyFpf(stdout,"\n");
    // 05730 PRINT"	5  -  ONE WAY LATTICE		HERE ALL TUNNELS GO ONE"
    MyFpf(stdout,"	5  -  one way lattice		here all tunnels go one\n");
    // 05740 PRINT"		WAY ONLY.  TO RETURN, YOU MUST GO AROUND THE"
    MyFpf(stdout,"		way only.  to return, you must go around the\n");
    // 05750 PRINT"		CAVE (ABOUT 5 MOVES)."
    MyFpf(stdout,"		cave (about 5 moves).\n");
    // 05760 PRINT
    MyFpf(stdout,"\n");
    // 05770 PRINT"	6  -  ENTER YOUR OWN CAVE	THE COMPUTER WILL ASK"
    MyFpf(stdout,"	6  -  enter your own cave	the computer will ask\n");
    // 05780 PRINT"		YOU THE ROOMS NEXT TO EACH ROOM IN THE CAVE."
    MyFpf(stdout,"		you the rooms next to each room in the cave.\n");
    // 05790 PRINT"		FOR EXAMPLE:"
    MyFpf(stdout,"		for example:\n");
    // 05800 PRINT"		  ROOM # 1	?2,3,4		YOUR REPLY OF 2,3,4"
    MyFpf(stdout,"		  room # 1	?2,3,4		your reply of 2,3,4\n");
    // 05810 PRINT"		MEANS ROOM 1 HAS TUNNELS GOING TO ROOMS:"
    MyFpf(stdout,"		means room 1 has tunnels going to rooms:\n");
    // 05820 PRINT"		2, 3 & 4."
    MyFpf(stdout,"		2, 3 & 4.\n");
    // 05830 PRINT
    MyFpf(stdout,"\n");
    // 05840 PRINT"	HAPPY HUNTING!"
    MyFpf(stdout,"	happy hunting!\n");
    // 05850 PRINT
    MyFpf(stdout,"\n");
    // 05860 PRINT"********************************************"
    MyFpf(stdout,"********************************************\n");
    // 05870 PRINT
    MyFpf(stdout,"\n");
    // 05880 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_05890(){
    // 05890 REM *******PRINT LOCATIONS AND HAZARD WARNINGS
    // *******print locations and hazard warnings
    // 05900 PRINT
    MyFpf(stdout,"\n");
    // 05910 FOR J = 2 TO 6
    for(J_int=2;J_int<=6;J_int++){
        // 05920     FOR K = 1 TO 3
        for(K_int=1;K_int<=3;K_int++){
            // 05930 	IF S(L(1),K) <> L(J) THEN 6000
            if(S_int_arr[(int)L_int_arr[(int)1]][(int)K_int]!=L_int_arr[(int)J_int]) goto Lbl_06000;
            // 05940 	ON J-1 GOTO 5950,5970,5970,5990,5990
            switch((int)(J_int-1)){
                case 1: goto Lbl_05950;
                case 2: goto Lbl_05970;
                case 3: goto Lbl_05970;
                case 4: goto Lbl_05990;
                case 5: goto Lbl_05990;
                default: break; 
            };

  Lbl_05950:
            // 05950 	PRINT"I SMELL A WUMPUS!"
            MyFpf(stdout,"i smell a wumpus!\n");
            // 05960 	GOTO 6000
            goto Lbl_06000;

  Lbl_05970:
            // 05970 	PRINT"I FEEL A DRAFT!"
            MyFpf(stdout,"i feel a draft!\n");
            // 05980 	GOTO 6000
            goto Lbl_06000;

  Lbl_05990:
            // 05990 	PRINT"BATS NEARBY!"
            MyFpf(stdout,"bats nearby!\n");

  Lbl_06000:
            // 06000     NEXT K
        }; // End-For(K_int)
        // 06010 NEXT J
    }; // End-For(J_int)
    // 06020 PRINT"YOU ARE IN ROOM ";L(1);
    MyFpf(stdout,"you are in room %d",L_int_arr[(int)1]);
    // 06030 PRINT"  TUNNELS LEAD TO ";S(L,1);S(L,2);S(L,3)
    MyFpf(stdout,"  tunnels lead to %d%d%d\n",S_int_arr[(int)L_int][(int)1],S_int_arr[(int)L_int][(int)2],S_int_arr[(int)L_int][(int)3]);
    // 06040 PRINT
    MyFpf(stdout,"\n");
    // 06050 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine D
//---------------------------------------------------------------------------

void Routine_06060(){
    // 06060 REM *******CHOOSE OPTION
    // *******choose option
    // 06070 GOTO 6100
    goto Lbl_06100;

  Lbl_06080:
    // 06080 PRINT"ERROR   "
    MyFpf(stdout,"error   \n");
    // 06090 PRINT""
    MyFpf(stdout,"\n");

  Lbl_06100:
    // 06100 PRINT"SHOOT OR MOVE  ";
    MyFpf(stdout,"shoot or move  ");
    // 06110 INPUT I$
    // Start of Basic INPUT statement 06110
    printf(" ? ");
    char inpbuf_06110[100];
    if(fgets(inpbuf_06110,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_06110=strtok(inpbuf_06110," ,\t\n");
        if(ps_06110==NULL){
            I_str = "";
        }else{
            I_str = ps_06110;
        };
    }; // End of Basic INPUT statement 06110
    // 06120 PRINT
    MyFpf(stdout,"\n");
    // 06130 IF MID$(I$,1,1) <> "S" THEN 6160
    if(strcmp(MID_str(I_str,1,1),"s")!=0) goto Lbl_06160;
    // 06140 O=1
    O_int = 1;
    // 06150 GOTO 6180 (Pseudo Goto)
    goto Lbl_06180;

  Lbl_06160:
    // 06160 IF MID$(I$,1,1) <> "M" THEN 6080
    if(strcmp(MID_str(I_str,1,1),"m")!=0) goto Lbl_06080;
    // 06170 O=2
    O_int = 2;

  Lbl_06180:
    // 06180 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine E
//---------------------------------------------------------------------------

void Routine_06190(){
    // 06190 REM *******ARROW ROUTINE
    // *******arrow routine
    // 06200 F=0
    F_int = 0;
    // 06210 REM *******PATH OF ARROW
    // *******path of arrow
    // 06220 DIM P(5)
    // 06230 GOTO 6260
    goto Lbl_06260;

  Lbl_06240:
    // 06240 PRINT"ERROR   "
    MyFpf(stdout,"error   \n");
    // 06250 PRINT""
    MyFpf(stdout,"\n");

  Lbl_06260:
    // 06260 PRINT"NO. OF ROOMS (1-5) ";
    MyFpf(stdout,"no. of rooms (1-5) ");
    // 06270 INPUT J9
    // Start of Basic INPUT statement 06270
    printf(" ? ");
    char inpbuf_06270[100];
    if(fgets(inpbuf_06270,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_06270=strtok(inpbuf_06270," ,\t\n");
        if(ps_06270==NULL){
            J9_int = 0;
        }else{
            J9_int = atoi(ps_06270);
        };
    }; // End of Basic INPUT statement 06270
    // 06280 PRINT
    MyFpf(stdout,"\n");
    // 06290 IF J9 < 1 THEN 6240
    if(J9_int<1) goto Lbl_06240;
    // 06300 IF J9 > 5 THEN 6240
    if(J9_int>5) goto Lbl_06240;
    // 06310 IF INT(J9) <> ABS(J9) THEN 6240
    if(INT(J9_int)!=ABS(J9_int)) goto Lbl_06240;
    // 06320 FOR K = 1 TO J9
    for(K_int=1;K_int<=J9_int;K_int++){

  Lbl_06330:
        // 06330     PRINT"ROOM #";
        MyFpf(stdout,"room #");
        // 06340     INPUT P(K)
        // Start of Basic INPUT statement 06340
        printf(" ? ");
        char inpbuf_06340[100];
        if(fgets(inpbuf_06340,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_06340=strtok(inpbuf_06340," ,\t\n");
            if(ps_06340==NULL){
                P_int_arr[(int)K_int] = 0;
            }else{
                P_int_arr[(int)K_int] = atoi(ps_06340);
            };
        }; // End of Basic INPUT statement 06340
        // 06350     PRINT
        MyFpf(stdout,"\n");
        // 06360     IF P(K) > 0 THEN 6380
        if(P_int_arr[(int)K_int]>0) goto Lbl_06380;
        // 06370     GOTO 6410
        goto Lbl_06410;

  Lbl_06380:
        // 06380     IF P(K) < 21 THEN 6400
        if(P_int_arr[(int)K_int]<21) goto Lbl_06400;
        // 06390     GOTO 6410
        goto Lbl_06410;

  Lbl_06400:
        // 06400 	    IF INT(P(K)) = ABS(P(K)) THEN 6440
        if(INT(P_int_arr[(int)K_int])==ABS(P_int_arr[(int)K_int])) goto Lbl_06440;

  Lbl_06410:
        // 06410     PRINT"ERROR   "
        MyFpf(stdout,"error   \n");
        // 06420     PRINT""
        MyFpf(stdout,"\n");
        // 06430     GOTO 6330
        goto Lbl_06330;

  Lbl_06440:
        // 06440 NEXT K
    }; // End-For(K_int)
    // 06450 PRINT
    MyFpf(stdout,"\n");
    // 06460 REM *******SHOOT ARROW
    // *******shoot arrow
    // 06470 A = A-1
    A_int = A_int-1;
    // 06480 A9 = L(1)
    A9_int = L_int_arr[(int)1];
    // 06490 FOR K = 1 TO J9
    for(K_int=1;K_int<=J9_int;K_int++){
        // 06500     FOR K1 = 1 TO 3
        for(K1_int=1;K1_int<=3;K1_int++){
            // 06510 	IF S(A9,K1) = P(K) THEN 6650
            if(S_int_arr[(int)A9_int][(int)K1_int]==P_int_arr[(int)K_int]) goto Lbl_06650;
            // 06520     NEXT K1
        }; // End-For(K1_int)
        // 06530     REM *******NO TUNNEL FOR THE ARROW
        // *******no tunnel for the arrow
        // 06540     A9 = S(A9,FNB(1))
        A9_int = S_int_arr[(int)A9_int][(int)FNB(1)];
        // 06550     GOTO 6660
        goto Lbl_06660;

  Lbl_06560:
        // 06560 NEXT K
    }; // End-For(K_int)
    // 06570 PRINT"MISSED"
    MyFpf(stdout,"missed\n");
    // 06580 REM *******MOVE WUMPUS
    // *******move wumpus
    // 06590 GOSUB 6730
    Routine_06730();
    // 06600 REM *******AMMO CHECK
    // *******ammo check
    // 06610 IF A > 0 THEN 6630
    if(A_int>0) goto Lbl_06630;

  Lbl_06620:
    // 06620 F = -1
    F_int = -1;

  Lbl_06630:
    // 06630 GOTO 6721 (Pseudo Goto)
    goto Lbl_06721;
    // 06640 REM *******SEE IF ARROW IS AT L(1) OR L(2)
    // *******see if arrow is at l(1) or l(2)

  Lbl_06650:
    // 06650 A9 = P(K)
    A9_int = P_int_arr[(int)K_int];

  Lbl_06660:
    // 06660 IF A9 <> L(2) THEN 6700
    if(A9_int!=L_int_arr[(int)2]) goto Lbl_06700;
    // 06670 PRINT"AHA! YOU GOT THE WUMPUS!  HE WAS IN ROOM";L(2)
    MyFpf(stdout,"aha! you got the wumpus!  he was in room%d\n",L_int_arr[(int)2]);
    // 06680 F = 1
    F_int = 1;
    // 06690 GOTO 6721 (Pseudo Goto)
    goto Lbl_06721;

  Lbl_06700:
    // 06700 IF A9 = L(1) THEN 6560
    if(A9_int==L_int_arr[(int)1]) goto Lbl_06560;
    // 06710 PRINT"OUCH!  ARROW GOT YOU!"
    MyFpf(stdout,"ouch!  arrow got you!\n");
    // 06720 GOTO 6620
    goto Lbl_06620;

  Lbl_06721:
    // 06721 RETURN (Pseudo)
    return;
};


//---------------------------------------------------------------------------
// Routine F
//---------------------------------------------------------------------------

void Routine_06730(){
    // 06730 REM *******MOVE WUMPUS ROUTINE
    // *******move wumpus routine
    // 06740 K = FNC(0)
    K_int = FNC(0);
    // 06750 IF K = 4 THEN 6800
    if(K_int==4) goto Lbl_06800;
    // 06760 L(2) = S(L(2),K)
    L_int_arr[(int)2] = S_int_arr[(int)L_int_arr[(int)2]][(int)K_int];
    // 06770 IF L(2) <> L THEN 6800
    if(L_int_arr[(int)2]!=L_int) goto Lbl_06800;
    // 06780 PRINT"TSK TSK TSK - WUMPUS GOT YOU"
    MyFpf(stdout,"tsk tsk tsk - wumpus got you\n");
    // 06790 F = -1
    F_int = -1;

  Lbl_06800:
    // 06800 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine G
//---------------------------------------------------------------------------

void Routine_06809(){
    // 06809 GOTO 6820 (Pseudo Goto)
    goto Lbl_06820;
    // 06810 REM *******MOVE WUMPUS ROUTINE
    // *******move wumpus routine

  Lbl_06820:
    // 06820 K = FNC(0)
    K_int = FNC(0);
    // 06830 IF K = 4 THEN 6880
    if(K_int==4) goto Lbl_06880;
    // 06840 L(2) = S(L(2),K)
    L_int_arr[(int)2] = S_int_arr[(int)L_int_arr[(int)2]][(int)K_int];
    // 06850 IF L(2) <> L THEN 6880
    if(L_int_arr[(int)2]!=L_int) goto Lbl_06880;
    // 06860 PRINT"TSK TSK TSK - WUMPUS GOT YOU"
    MyFpf(stdout,"tsk tsk tsk - wumpus got you\n");
    // 06870 F = -1
    F_int = -1;

  Lbl_06880:
    // 06880 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine H
//---------------------------------------------------------------------------

void Routine_06890(){
    // 06890 REM *******MOVE ROUTINE
    // *******move routine

  Lbl_06900:
    // 06900 F = 0
    F_int = 0;
    // 06910 GOTO 6940
    goto Lbl_06940;

  Lbl_06920:
    // 06920 PRINT"ERROR   "
    MyFpf(stdout,"error   \n");
    // 06930 PRINT""
    MyFpf(stdout,"\n");

  Lbl_06940:
    // 06940 PRINT"WHERE TO ";
    MyFpf(stdout,"where to ");
    // 06950 INPUT L
    // Start of Basic INPUT statement 06950
    printf(" ? ");
    char inpbuf_06950[100];
    if(fgets(inpbuf_06950,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_06950=strtok(inpbuf_06950," ,\t\n");
        if(ps_06950==NULL){
            L_int = 0;
        }else{
            L_int = atoi(ps_06950);
        };
    }; // End of Basic INPUT statement 06950
    // 06960 PRINT
    MyFpf(stdout,"\n");
    // 06970 IF L < 1 THEN 6920
    if(L_int<1) goto Lbl_06920;
    // 06980 IF L > 25 THEN 6900
    if(L_int>25) goto Lbl_06900;
    // 06990 	IF INT(L) <> ABS(L) THEN 6920
    if(INT(L_int)!=ABS(L_int)) goto Lbl_06920;
    // 07000 FOR K = 1 TO 3
    for(K_int=1;K_int<=3;K_int++){
        // 07010     REM *******CHECK IF LEGAL MOVE
        // *******check if legal move
        // 07020     IF S(L(1),K) = L THEN 7090
        if(S_int_arr[(int)L_int_arr[(int)1]][(int)K_int]==L_int) goto Lbl_07090;
        // 07030 NEXT K
    }; // End-For(K_int)
    // 07040 IF L = L(1) THEN 7090
    if(L_int==L_int_arr[(int)1]) goto Lbl_07090;
    // 07050 PRINT"NOT POSSIBLE - "
    MyFpf(stdout,"not possible - \n");
    // 07060 PRINT""
    MyFpf(stdout,"\n");
    // 07070 GOTO 6940
    goto Lbl_06940;
    // 07080 REM *******CHECK FOR HAZARDS
    // *******check for hazards

  Lbl_07090:
    // 07090 L(1) = L
    L_int_arr[(int)1] = L_int;
    // 07100 REM *******WUMPUS
    // *******wumpus
    // 07110 IF L <> L(2) THEN 7170
    if(L_int!=L_int_arr[(int)2]) goto Lbl_07170;
    // 07120 PRINT"...OOPS!  BUMPED A WUMPUS!"
    MyFpf(stdout,"...oops!  bumped a wumpus!\n");
    // 07130 REM *******MOVE WUMPUS
    // *******move wumpus
    // 07140 GOSUB 6809
    Routine_06809();
    // 07150 IF F = 0 THEN 7170
    if(F_int==0) goto Lbl_07170;
    // 07160 REM *******PIT
    // *******pit

  Lbl_07170:
    // 07170 IF L <> L(3) THEN 7190
    if(L_int!=L_int_arr[(int)3]) goto Lbl_07190;
    // 07180 GOTO 7200
    goto Lbl_07200;

  Lbl_07190:
    // 07190 IF L <> L(4) THEN 7240
    if(L_int!=L_int_arr[(int)4]) goto Lbl_07240;

  Lbl_07200:
    // 07200 PRINT"YYYIIIIEEEE . . . FELL IN A PIT"
    MyFpf(stdout,"yyyiiiieeee . . . fell in a pit\n");
    // 07210 F = -1
    F_int = -1;
    // 07220 GOTO 7300 (Pseudo Goto)
    goto Lbl_07300;
    // 07230 REM *******BATS
    // *******bats

  Lbl_07240:
    // 07240 IF L <> L(5) THEN 7260
    if(L_int!=L_int_arr[(int)5]) goto Lbl_07260;
    // 07250 GOTO 7270
    goto Lbl_07270;

  Lbl_07260:
    // 07260 IF L <> L(6) THEN 7300
    if(L_int!=L_int_arr[(int)6]) goto Lbl_07300;

  Lbl_07270:
    // 07270 PRINT"ZAP--SUPER BAT SNATCH!  ELSEWHEREVILLE FOR YOU!"
    MyFpf(stdout,"zap--super bat snatch!  elsewhereville for you!\n");
    // 07280 L = FNA(1)
    L_int = FNA(1);
    // 07290 GOTO 7090
    goto Lbl_07090;

  Lbl_07300:
    // 07300 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine I
//---------------------------------------------------------------------------

void Routine_07310(){
    // 07310 REM *******SELECT CAVE
    // *******select cave
    // 07320 GOTO 7350
    goto Lbl_07350;

  Lbl_07330:
    // 07330 PRINT"ERROR   "
    MyFpf(stdout,"error   \n");
    // 07340 PRINT""
    MyFpf(stdout,"\n");

  Lbl_07350:
    // 07350 PRINT"CAVE # (0-6) ";
    MyFpf(stdout,"cave # (0-6) ");
    // 07360 INPUT N
    // Start of Basic INPUT statement 07360
    printf(" ? ");
    char inpbuf_07360[100];
    if(fgets(inpbuf_07360,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_07360=strtok(inpbuf_07360," ,\t\n");
        if(ps_07360==NULL){
            N_int = 0;
        }else{
            N_int = atoi(ps_07360);
        };
    }; // End of Basic INPUT statement 07360
    // 07370 PRINT
    MyFpf(stdout,"\n");
    // 07380 IF N < 0 THEN 7330
    if(N_int<0) goto Lbl_07330;
    // 07390 IF N > 6 THEN 7330
    if(N_int>6) goto Lbl_07330;
    // 07400 IF INT(N) <> ABS(N) THEN 7330
    if(INT(N_int)!=ABS(N_int)) goto Lbl_07330;
    // 07410 ON N+1 GOTO 7430,7450,7470,7490,7510,7530,7550
    switch((int)(N_int+1)){
        case 1: goto Lbl_07430;
        case 2: goto Lbl_07450;
        case 3: goto Lbl_07470;
        case 4: goto Lbl_07490;
        case 5: goto Lbl_07510;
        case 6: goto Lbl_07530;
        case 7: goto Lbl_07550;
        default: break; 
    };
    // 07420 GOTO 7560
    goto Lbl_07560;

  Lbl_07430:
    // 07430 GOSUB 7569
    Routine_07569();
    // 07440 GOTO 7560
    goto Lbl_07560;

  Lbl_07450:
    // 07450 GOSUB 7650
    Routine_07650();
    // 07460 GOTO 7560
    goto Lbl_07560;

  Lbl_07470:
    // 07470 GOSUB 7730
    Routine_07730();
    // 07480 GOTO 7560
    goto Lbl_07560;

  Lbl_07490:
    // 07490 GOSUB 7810
    Routine_07810();
    // 07500 GOTO 7560
    goto Lbl_07560;

  Lbl_07510:
    // 07510 GOSUB 7890
    Routine_07890();
    // 07520 GOTO 7560
    goto Lbl_07560;

  Lbl_07530:
    // 07530 GOSUB 7970
    Routine_07970();
    // 07540 GOTO 7560
    goto Lbl_07560;

  Lbl_07550:
    // 07550 GOSUB 8050
    Routine_08050();

  Lbl_07560:
    // 07560 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine J
//---------------------------------------------------------------------------

void Routine_07569(){
    // 07569 GOTO 7580 (Pseudo Goto)
    goto Lbl_07580;
    // 07570 REM *******DODECAHEDRON
    // *******dodecahedron

  Lbl_07580:
    // 07580 RESTORE 7590
    Data_Index=0;
    RestoreData(7590);
    // 07590 DATA 2,5,8,1,3,10,2,4,12,3,5,14,1,4,6
    // 07600 DATA 5,7,15,6,8,17,1,7,9,8,10,18,2,9,11
    // 07610 DATA 10,12,19,3,11,13,12,14,20,4,13,15,6,14,16
    // 07620 DATA 15,17,20,7,16,18,9,17,19,11,18,20,13,16,19
    // 07630 GOSUB 8260
    Routine_08260();
    // 07640 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine K
//---------------------------------------------------------------------------

void Routine_07650(){
    // 07650 REM *******MOBIUS STRIP
    // *******mobius strip
    // 07660 RESTORE 7670
    Data_Index=0;
    RestoreData(7670);
    // 07670 DATA 20,2,3,19,1,4,1,4,5,2,3,6,3,6,7
    // 07680 DATA 4,5,8,5,8,9,6,7,10,7,10,11,8,9,12
    // 07690 DATA 9,12,13,10,11,14,11,14,15,12,13,16,12,16,17
    // 07700 DATA 14,15,18,15,18,19,16,17,20,2,17,20,1,18,19
    // 07710 GOSUB 8260
    Routine_08260();
    // 07720 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine L
//---------------------------------------------------------------------------

void Routine_07730(){
    // 07730 REM *******STRING OF BEADS
    // *******string of beads
    // 07740 RESTORE 7750
    Data_Index=0;
    RestoreData(7750);
    // 07750 DATA 2,3,20,1,3,4,1,2,4,2,3,5,4,6,7
    // 07760 DATA 5,7,8,5,6,8,6,7,9,8,10,11,9,11,12
    // 07770 DATA 9,10,12,10,11,13,12,14,15,13,15,16,13,14,16
    // 07780 DATA 14,15,17,16,18,19,17,19,20,17,18,20,1,18,19
    // 07790 GOSUB 8260
    Routine_08260();
    // 07800 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine M
//---------------------------------------------------------------------------

void Routine_07810(){
    // 07810 REM *******HEX NET ON TORUS
    // *******hex net on torus
    // 07820 RESTORE 7830
    Data_Index=0;
    RestoreData(7830);
    // 07830 DATA 6,10,16,6,7,17,7,8,18,8,9,19,9,10,20
    // 07840 DATA 1,2,15,2,3,11,3,4,12,4,5,13,5,6,14
    // 07850 DATA 7,16,20,8,16,17,9,17,18,10,18,19,6,19,20
    // 07860 DATA 1,11,12,2,12,13,3,13,14,4,14,15,5,11,15
    // 07870 GOSUB 8260
    Routine_08260();
    // 07880 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine N
//---------------------------------------------------------------------------

void Routine_07890(){
    // 07890 REM *******DENDRITE W/ DEGENERACIES
    // *******dendrite w/ degeneracies
    // 07900 RESTORE 7910
    Data_Index=0;
    RestoreData(7910);
    // 07910 DATA 1,1,5,2,2,5,3,3,6,4,4,6,1,2,7
    // 07920 DATA 3,4,7,5,6,10,8,9,9,8,8,10,7,9,11
    // 07930 DATA 10,13,14,12,13,13,11,12,12,11,15,16,14,17,18
    // 07940 DATA 14,19,20,15,17,17,15,18,18,16,19,19,16,20,20
    // 07950 GOSUB 8260
    Routine_08260();
    // 07960 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine O
//---------------------------------------------------------------------------

void Routine_07970(){
    // 07970 REM *******ONE WAY LATTICE
    // *******one way lattice
    // 07980 RESTORE 7990
    Data_Index=0;
    RestoreData(7990);
    // 07990 DATA 5,4,8,1,5,6,2,6,7,3,7,8,8,9,12
    // 08000 DATA 5,9,10,6,10,11,7,11,12,12,13,16,9,13,14
    // 08010 DATA 10,14,15,11,15,16,16,17,20,13,17,18,14,18,19
    // 08020 DATA 15,19,20,1,4,20,1,2,17,2,3,18,3,4,19
    // 08030 GOSUB 8260
    Routine_08260();
    // 08040 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine P
//---------------------------------------------------------------------------

void Routine_08050(){
    // 08050 REM *******INPUT OWN CAVE
    // *******input own cave
    // 08060 PRINT "(M)MAKE OR (R)READ A CAVE ";
    MyFpf(stdout,"(m)make or (r)read a cave ");
    // 08070 INPUT Y9$
    // Start of Basic INPUT statement 08070
    printf(" ? ");
    char inpbuf_08070[100];
    if(fgets(inpbuf_08070,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08070=strtok(inpbuf_08070," ,\t\n");
        if(ps_08070==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08070;
        };
    }; // End of Basic INPUT statement 08070
    // 08080 IF Y9$="M" GOTO 8110
    if(strcmp(Y9_str,"m")==0) goto Lbl_08110;
    // 08090 GOSUB 8660
    Routine_08660();
    // 08100 GO TO 8250
    goto Lbl_08250;

  Lbl_08110:
    // 08110 FOR J = 1 TO 20
    for(J_int=1;J_int<=20;J_int++){

  Lbl_08120:
        // 08120     PRINT"ROOM #";J;
        MyFpf(stdout,"room #%d",J_int);
        // 08130     INPUT S(J,1),S(J,2),S(J,3)
        // Start of Basic INPUT statement 08130
        printf(" ? ");
        char inpbuf_08130[100];
        if(fgets(inpbuf_08130,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_08130=strtok(inpbuf_08130," ,\t\n");
            if(ps_08130==NULL){
                S_int_arr[(int)J_int][(int)1] = 0;
            }else{
                S_int_arr[(int)J_int][(int)1] = atoi(ps_08130);
            };
            ps_08130=strtok(NULL," ,\t\n");
            if(ps_08130==NULL){
                S_int_arr[(int)J_int][(int)2] = 0;
            }else{
                S_int_arr[(int)J_int][(int)2] = atoi(ps_08130);
            };
            ps_08130=strtok(NULL," ,\t\n");
            if(ps_08130==NULL){
                S_int_arr[(int)J_int][(int)3] = 0;
            }else{
                S_int_arr[(int)J_int][(int)3] = atoi(ps_08130);
            };
        }; // End of Basic INPUT statement 08130
        // 08140     FOR K = 1 TO 3
        for(K_int=1;K_int<=3;K_int++){
            // 08150 	IF S(J,K) > 0 THEN 8170
            if(S_int_arr[(int)J_int][(int)K_int]>0) goto Lbl_08170;
            // 08160 	GOTO 8200
            goto Lbl_08200;

  Lbl_08170:
            // 08170 	IF S(J,K) < 21 THEN 8190
            if(S_int_arr[(int)J_int][(int)K_int]<21) goto Lbl_08190;
            // 08180 	GOTO 8200
            goto Lbl_08200;

  Lbl_08190:
            // 08190 	IF INT(S(J,K)) = ABS(S(J,K)) THEN 8220
            if(INT(S_int_arr[(int)J_int][(int)K_int])==ABS(S_int_arr[(int)J_int][(int)K_int])) goto Lbl_08220;

  Lbl_08200:
            // 08200 	PRINT"***** ERROR !!!!!"
            MyFpf(stdout,"***** error !!!!!\n");
            // 08210 	GOTO 8120
            goto Lbl_08120;

  Lbl_08220:
            // 08220     NEXT K
        }; // End-For(K_int)
        // 08230 NEXT J
    }; // End-For(J_int)
    // 08240 GOSUB 8330
    Routine_08330();

  Lbl_08250:
    // 08250 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine Q
//---------------------------------------------------------------------------

void Routine_08260(){
    // 08260 REM *******INPUT CAVE
    // *******input cave
    // 08270 FOR J = 1 TO 20
    for(J_int=1;J_int<=20;J_int++){
        // 08280     FOR K = 1 TO 3
        for(K_int=1;K_int<=3;K_int++){
            // 08290 	READ S(J,K)
            S_int_arr[(int)J_int][(int)K_int] = Get_Data_Int();
            // 08300     NEXT K
        }; // End-For(K_int)
        // 08310 NEXT J
    }; // End-For(J_int)
    // 08320 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine R
//---------------------------------------------------------------------------

void Routine_08330(){
    // 08330 REM ********* OUTPUT A USER DUNGEON
    // ********* output a user dungeon
    // 08340 PRINT "DO YOU WANT TO SAVE THIS DUNGEON (Y,N)";
    MyFpf(stdout,"do you want to save this dungeon (y,n)");
    // 08350 INPUT Y9$
    // Start of Basic INPUT statement 08350
    printf(" ? ");
    char inpbuf_08350[100];
    if(fgets(inpbuf_08350,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08350=strtok(inpbuf_08350," ,\t\n");
        if(ps_08350==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08350;
        };
    }; // End of Basic INPUT statement 08350
    // 08360 IF MID$(Y9$,1,1)="N" THEN 8500
    if(strcmp(MID_str(Y9_str,1,1),"n")==0) goto Lbl_08500;
    // 08370 PRINT "WHAT NAME DO YOU WANT TO GIVE IT "
    MyFpf(stdout,"what name do you want to give it \n");
    // 08380 PRINT "INPUT A 6 CHARATER FILENAME: ";
    MyFpf(stdout,"input a 6 charater filename: ");
    // 08390 INPUT Y9$
    // Start of Basic INPUT statement 08390
    printf(" ? ");
    char inpbuf_08390[100];
    if(fgets(inpbuf_08390,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08390=strtok(inpbuf_08390," ,\t\n");
        if(ps_08390==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08390;
        };
    }; // End of Basic INPUT statement 08390
    // 08400 IF Y9$="" THEN 8500
    if(strcmp(Y9_str,"")==0) goto Lbl_08500;
    // 08410 GOSUB 8969
    Routine_08969();
    // 08420 PRINT "YOUR DUNGEON WILL BE IN ";Y9$;".DUN"
    MyFpf(stdout,"your dungeon will be in %s.dun\n",Y9_str);
    // 08430 Y9$=Y9$ + ".DUN"
    GLBpStr=StringCat(Y9_str,".dun");
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 08440 FILE #1,Y9$
    if((fh_ch01=fopen(Y9_str,"r"))==NULL){
        fprintf(stderr,"ERROR: Opening file %s on fh_ch01",Y9_str);
        exit(8440);
    }
    // 08450 SCRATCH #1
    // 08460 FOR J=1 TO 20
    for(J_int=1;J_int<=20;J_int++){
        // 08470     PRINT #1,S(J,1),S(J,2),S(J,3)
        MyFpf(fh_ch01,"%d@%d@%d\n",S_int_arr[(int)J_int][(int)1],S_int_arr[(int)J_int][(int)2],S_int_arr[(int)J_int][(int)3]);
        // 08480 NEXT J
    }; // End-For(J_int)
    // 08490 CLOSE #1
    if(fh_ch01!=NULL) fclose(fh_ch01);

  Lbl_08500:
    // 08500 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine S
//---------------------------------------------------------------------------

void Routine_08510(){
    // 08510 IF MID$(Y9$,1,1)="N" THEN 8650
    if(strcmp(MID_str(Y9_str,1,1),"n")==0) goto Lbl_08650;
    // 08520 PRINT "WHAT NAME DO YOU WANT TO GIVE IT "
    MyFpf(stdout,"what name do you want to give it \n");
    // 08530 PRINT "INPUT A 6 CHARATER FILENAME: ";
    MyFpf(stdout,"input a 6 charater filename: ");
    // 08540 INPUT Y9$
    // Start of Basic INPUT statement 08540
    printf(" ? ");
    char inpbuf_08540[100];
    if(fgets(inpbuf_08540,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08540=strtok(inpbuf_08540," ,\t\n");
        if(ps_08540==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08540;
        };
    }; // End of Basic INPUT statement 08540
    // 08550 IF Y9$="" THEN 8650
    if(strcmp(Y9_str,"")==0) goto Lbl_08650;
    // 08560 GOSUB 8969
    Routine_08969();
    // 08570 PRINT "YOUR DUNGEON WILL BE IN ";Y9$;".DUN"
    MyFpf(stdout,"your dungeon will be in %s.dun\n",Y9_str);
    // 08580 Y9$=Y9$ + ".DUN"
    GLBpStr=StringCat(Y9_str,".dun");
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 08590 FILE #1,Y9$
    if((fh_ch01=fopen(Y9_str,"r"))==NULL){
        fprintf(stderr,"ERROR: Opening file %s on fh_ch01",Y9_str);
        exit(8590);
    }
    // 08600 SCRATCH #1
    // 08610 FOR J=1 TO 20
    for(J_int=1;J_int<=20;J_int++){
        // 08620     PRINT #1,S(J,1),S(J,2),S(J,3)
        MyFpf(fh_ch01,"%d@%d@%d\n",S_int_arr[(int)J_int][(int)1],S_int_arr[(int)J_int][(int)2],S_int_arr[(int)J_int][(int)3]);
        // 08630 NEXT J
    }; // End-For(J_int)
    // 08640 CLOSE #1
    if(fh_ch01!=NULL) fclose(fh_ch01);

  Lbl_08650:
    // 08650 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine T
//---------------------------------------------------------------------------

void Routine_08660(){
    // 08660 REM **************READ IN A USER CAVE
    // **************read in a user cave
    // 08670 PRINT "WHAT DUNGEON DO YOU WANT(NAME) ";
    MyFpf(stdout,"what dungeon do you want(name) ");
    // 08680 INPUT Y9$
    // Start of Basic INPUT statement 08680
    printf(" ? ");
    char inpbuf_08680[100];
    if(fgets(inpbuf_08680,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08680=strtok(inpbuf_08680," ,\t\n");
        if(ps_08680==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08680;
        };
    }; // End of Basic INPUT statement 08680
    // 08690 GOSUB 8969
    Routine_08969();
    // 08700 Y9$=Y9$ + ".DUN"
    GLBpStr=StringCat(Y9_str,".dun");
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 08710 FILE #1, Y9$
    if((fh_ch01=fopen(Y9_str,"r"))==NULL){
        fprintf(stderr,"ERROR: Opening file %s on fh_ch01",Y9_str);
        exit(8710);
    }
    // 08720 RESTORE  #1
    Data_Index=0;
    RestoreData(1);
    // 08730 FOR J=1 TO 20
    for(J_int=1;J_int<=20;J_int++){
        // 08740     INPUT #1, S(J,1),S(J,2),S(J,3)
        // Start of Basic INPUT statement 08740
        printf(" ? ");
        char inpbuf_08740[100];
        if(fgets(inpbuf_08740,100,fh_ch01)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_08740=strtok(inpbuf_08740," ,\t\n");
            if(ps_08740==NULL){
                S_int_arr[(int)J_int][(int)1] = 0;
            }else{
                S_int_arr[(int)J_int][(int)1] = atoi(ps_08740);
            };
            ps_08740=strtok(NULL," ,\t\n");
            if(ps_08740==NULL){
                S_int_arr[(int)J_int][(int)2] = 0;
            }else{
                S_int_arr[(int)J_int][(int)2] = atoi(ps_08740);
            };
            ps_08740=strtok(NULL," ,\t\n");
            if(ps_08740==NULL){
                S_int_arr[(int)J_int][(int)3] = 0;
            }else{
                S_int_arr[(int)J_int][(int)3] = atoi(ps_08740);
            };
        }; // End of Basic INPUT statement 08740
        // 08750     FOR K=1 TO 3
        for(K_int=1;K_int<=3;K_int++){
            // 08760 	IF S(J,K)=0 THEN 8800
            if(S_int_arr[(int)J_int][(int)K_int]==0) goto Lbl_08800;
            // 08770     NEXT K
        }; // End-For(K_int)
        // 08780     Y8$="DATA OK"
        GLBpStr="data ok";
        Y8_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
        // 08790     GOTO 8920
        goto Lbl_08920;

  Lbl_08800:
        // 08800     PRINT "ALL ROOMS MUST HAVE 3 EXITS"
        MyFpf(stdout,"all rooms must have 3 exits\n");
        // 08810     PRINT "ROOM ";J;" HAS EXITS TO:"
        MyFpf(stdout,"room %d has exits to:\n",J_int);
        // 08820     Y8$="RE-SAVE"
        GLBpStr="re-save";
        Y8_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
        // 08830     FOR L=1 TO 3
        for(L_int=1;L_int<=3;L_int++){
            // 08840 	IF S(J,L)=0 THEN 8860
            if(S_int_arr[(int)J_int][(int)L_int]==0) goto Lbl_08860;
            // 08850 	PRINT "    ROOM NUMBER: ";S(J,L)
            MyFpf(stdout,"    room number: %d\n",S_int_arr[(int)J_int][(int)L_int]);

  Lbl_08860:
            // 08860     NEXT L
        }; // End-For(L_int)
        // 08870     FOR L=1 TO 3
        for(L_int=1;L_int<=3;L_int++){
            // 08880 	IF S(J,L)<>0 THEN 8910
            if(S_int_arr[(int)J_int][(int)L_int]!=0) goto Lbl_08910;
            // 08890 	PRINT "    AND ROOM NUMBER ????";
            MyFpf(stdout,"    and room number ????");
            // 08900 	INPUT S(J,L)
            // Start of Basic INPUT statement 08900
            printf(" ? ");
            char inpbuf_08900[100];
            if(fgets(inpbuf_08900,100,stdin)==NULL){
                fprintf(stderr,"ERROR: End of file on input.\n");
                exit(2);
            }else{
                // This may cause problems if BASIC programmer expected
                // input strings to be copied instead of just pointing
                // to the input buffer (ie. strings can be over written).
                char *ps_08900=strtok(inpbuf_08900," ,\t\n");
                if(ps_08900==NULL){
                    S_int_arr[(int)J_int][(int)L_int] = 0;
                }else{
                    S_int_arr[(int)J_int][(int)L_int] = atoi(ps_08900);
                };
            }; // End of Basic INPUT statement 08900

  Lbl_08910:
            // 08910     NEXT L
        }; // End-For(L_int)

  Lbl_08920:
        // 08920 NEXT J
    }; // End-For(J_int)
    // 08930 CLOSE #1
    if(fh_ch01!=NULL) fclose(fh_ch01);
    // 08940 IF Y8$<>"RE-SAVE" THEN 8960
    if(strcmp(Y8_str,"re-save")!=0) goto Lbl_08960;
    // 08950 GOSUB 8510
    Routine_08510();

  Lbl_08960:
    // 08960 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine U
//---------------------------------------------------------------------------

void Routine_08969(){
    // 08969 GOTO 9000 (Pseudo Goto)
    goto Lbl_09000;

  Lbl_08970:
    // 08970 REM ********** HELP USER INPUT A FILENAME
    // ********** help user input a filename
    // 08980 PRINT "PLEASE INPUT A SIX(6) CHARACTER FILENAME";
    MyFpf(stdout,"please input a six(6) character filename");
    // 08990 INPUT Y9$
    // Start of Basic INPUT statement 08990
    printf(" ? ");
    char inpbuf_08990[100];
    if(fgets(inpbuf_08990,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_08990=strtok(inpbuf_08990," ,\t\n");
        if(ps_08990==NULL){
            Y9_str = "";
        }else{
            Y9_str = ps_08990;
        };
    }; // End of Basic INPUT statement 08990

  Lbl_09000:
    // 09000 Y9(1) = INSTR(1,Y9$,".")
    Y9_int_arr[(int)1] = INSTR(1,Y9_str,".");
    // 09010 Y9(2) = INSTR(1,Y9$,".")
    Y9_int_arr[(int)2] = INSTR(1,Y9_str,".");
    // 09020 IF Y9(1)<>0 THEN 9060
    if(Y9_int_arr[(int)1]!=0) goto Lbl_09060;
    // 09030 IF Y9(2)= 0 THEN 9100
    if(Y9_int_arr[(int)2]==0) goto Lbl_09100;
    // 09040 Y9$ = RIGHT$(Y9$,Y9(2)+1)
    GLBpStr=RIGHT_str(Y9_str,Y9_int_arr[(int)2]+1);
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 09050 GOTO 9100
    goto Lbl_09100;

  Lbl_09060:
    // 09060 IF Y9(2) = 0 THEN 9090
    if(Y9_int_arr[(int)2]==0) goto Lbl_09090;
    // 09070 Y9$ = LEFT$(RIGHT$(Y9$,Y9(1)),Y9(2)+1)
    GLBpStr=LEFT_str(RIGHT_str(Y9_str,Y9_int_arr[(int)1]),Y9_int_arr[(int)2]+1);
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 09080 GOTO 9100
    goto Lbl_09100;

  Lbl_09090:
    // 09090 Y9$ = LEFT$(Y9$,Y9(1))
    GLBpStr=LEFT_str(Y9_str,Y9_int_arr[(int)1]);
    Y9_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;

  Lbl_09100:
    // 09100 Y9(3) = LEN(Y9$)
    Y9_int_arr[(int)3] = LEN(Y9_str);
    // 09110 IF Y9(3)<1 THEN 8970
    if(Y9_int_arr[(int)3]<1) goto Lbl_08970;
    // 09120 IF Y9(3)>6 THEN 8970
    if(Y9_int_arr[(int)3]>6) goto Lbl_08970;
    // 09130 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 RANDOMIZE
    char ranbuf_01000[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01000,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01000); 
        srand(seed); 
    } 
    // 01010 REM *******WUMPUS VERSION II
    // *******wumpus version ii
    // 01020 PRINT "INSTRUCTIONS (Y,N)";
    MyFpf(stdout,"instructions (y,n)");
    // 01030 INPUT I$
    // Start of Basic INPUT statement 01030
    printf(" ? ");
    char inpbuf_01030[100];
    if(fgets(inpbuf_01030,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01030=strtok(inpbuf_01030," ,\t\n");
        if(ps_01030==NULL){
            I_str = "";
        }else{
            I_str = ps_01030;
        };
    }; // End of Basic INPUT statement 01030
    // 01040 PRINT
    MyFpf(stdout,"\n");
    // 01050 IF MID$(I$,1,1) <> "Y" THEN 1090
    if(strcmp(MID_str(I_str,1,1),"y")!=0) goto Lbl_01090;
    // 01060 GOSUB 5300
    Routine_05300();
    // 01070 REM *******CHOOSE & SET UP A CAVE
    // *******choose & set up a cave
    // 01080 DIM S(20,3)

  Lbl_01090:
    // 01090 GOSUB 7310
    Routine_07310();
    // 01100 DEF FNA(X)=INT(20*RND(0))+1
    // 01110 DEF FNB(X)=INT(3*RND(0))+1
    // 01120 DEF FNC(X)=INT(4*RND(0))+1
    // 01130 REM *******LOCATE L ARRAY ITEMS
    // *******locate l array items
    // 01140 REM *******1-YOU, 2-WUMPUS, 3&4-PITS, 5&6-BATS
    // *******1-you, 2-wumpus, 3&4-pits, 5&6-bats
    // 01150 DIM L(6)
    // 01160 DIM M(6)

  Lbl_01170:
    // 01170 FOR J = 1 TO 6
    for(J_int=1;J_int<=6;J_int++){
        // 01180     L(J) = FNA(0)
        L_int_arr[(int)J_int] = FNA(0);
        // 01190     M(J) = L(J)
        M_int_arr[(int)J_int] = L_int_arr[(int)J_int];
        // 01200 NEXT J
    }; // End-For(J_int)
    // 01210 REM *******CHECK FOR CROSSOVERS (I.E. L(1) = L(2), ETC.)
    // *******check for crossovers (i.e. l(1) = l(2), etc.)
    // 01220 FOR J = 1 TO 6
    for(J_int=1;J_int<=6;J_int++){
        // 01230     FOR K = J TO 6
        for(K_int=J_int;K_int<=6;K_int++){
            // 01240 	IF J = K THEN 1270
            if(J_int==K_int) goto Lbl_01270;
            // 01250 	IF L(J) = L(K) THEN 1170
            if(L_int_arr[(int)J_int]==L_int_arr[(int)K_int]) goto Lbl_01170;
            // 01260     NEXT K
        }; // End-For(K_int)

  Lbl_01270:
        // 01270 NEXT J
    }; // End-For(J_int)
    // 01280 REM *******SET # ARROWS
    // *******set # arrows

  Lbl_01290:
    // 01290 A = 5
    A_int = 5;
    // 01300 L = L(1)
    L_int = L_int_arr[(int)1];
    // 01310 REM *******RUN THE GAME
    // *******run the game
    // 01320 PRINT"HUNT THE WUMPUS"
    MyFpf(stdout,"hunt the wumpus\n");
    // 01330 REM *******HAZARD WARNINGS & LOCATION
    // *******hazard warnings & location

  Lbl_01340:
    // 01340 GOSUB 5890
    Routine_05890();
    // 01350 REM *******MOVE OR SHOOT
    // *******move or shoot

  Lbl_01360:
    // 01360 GOSUB 6060
    Routine_06060();
    // 01370 ON O GOTO 1390,1420
    switch((int)(O_int)){
        case 1: goto Lbl_01390;
        case 2: goto Lbl_01420;
        default: break; 
    };
    // 01380 REM *******SHOOT
    // *******shoot

  Lbl_01390:
    // 01390 GOSUB 6190
    Routine_06190();
    // 01400 IF F = 0 THEN 1360
    if(F_int==0) goto Lbl_01360;
    // 01410 GOTO 1490
    goto Lbl_01490;

  Lbl_01420:
    // 01420 REM *******MOVE
    // *******move
    // 01430 GOSUB 6890
    Routine_06890();
    // 01440 IF F = 0 THEN 1340
    if(F_int==0) goto Lbl_01340;
    // 01450 GOTO 1490
    goto Lbl_01490;
    // 01460 REM *******MOVE
    // *******move

  Lbl_01490:
    // 01490 IF F > 0 THEN 1540
    if(F_int>0) goto Lbl_01540;
    // 01500 REM *******LOSE
    // *******lose
    // 01510 PRINT"HA HA HA - YOU LOSE"
    MyFpf(stdout,"ha ha ha - you lose\n");
    // 01520 GOTO 1550
    goto Lbl_01550;
    // 01530 REM *******WIN
    // *******win

  Lbl_01540:
    // 01540 PRINT"HEE HEE HEE - THE WUMPUS'LL GET YOU NEXT TIME!!"
    MyFpf(stdout,"hee hee hee - the wumpus'll get you next time!!\n");

  Lbl_01550:
    // 01550 FOR J = 1 TO 6
    for(J_int=1;J_int<=6;J_int++){
        // 01560     L(J) = M(J)
        L_int_arr[(int)J_int] = M_int_arr[(int)J_int];
        // 01570 NEXT J
    }; // End-For(J_int)
    // 01580 PRINT"PLAY AGAIN ";
    MyFpf(stdout,"play again ");
    // 01590 INPUT I$
    // Start of Basic INPUT statement 01590
    printf(" ? ");
    char inpbuf_01590[100];
    if(fgets(inpbuf_01590,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01590=strtok(inpbuf_01590," ,\t\n");
        if(ps_01590==NULL){
            I_str = "";
        }else{
            I_str = ps_01590;
        };
    }; // End of Basic INPUT statement 01590
    // 01600 PRINT
    MyFpf(stdout,"\n");
    // 01610 IF MID$(I$,1,1) <> "Y" THEN 5280
    if(strcmp(MID_str(I_str,1,1),"y")!=0) goto Lbl_05280;
    // 01620 PRINT"SAME SETUP ";
    MyFpf(stdout,"same setup ");
    // 01630 INPUT I$
    // Start of Basic INPUT statement 01630
    printf(" ? ");
    char inpbuf_01630[100];
    if(fgets(inpbuf_01630,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01630=strtok(inpbuf_01630," ,\t\n");
        if(ps_01630==NULL){
            I_str = "";
        }else{
            I_str = ps_01630;
        };
    }; // End of Basic INPUT statement 01630
    // 01640 PRINT
    MyFpf(stdout,"\n");
    // 01650 IF MID$(I$,1,1) <> "Y" THEN 1090
    if(strcmp(MID_str(I_str,1,1),"y")!=0) goto Lbl_01090;
    // 01660 GOTO 1290
    goto Lbl_01290;

  Lbl_05280:
    // 05280 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: Wumpus.cpp,v $ 
//---------------------------------------------------------------------------
