/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\CivilWar2.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdbbe0   A   01000 PRINT TAB(26) "CIVIL WAR"
    0x00cdbd58   A   01010 PRINT TAB(15) "CREATIVE COMPUTING  MORRISTOWN, NEW JERSEY"
    0x00cdbd84   A   01020 PRINT : PRINT : PRINT
    0x00cdbe94   A   01050 REM ORIGINAL GAME DESIGN: CRAM, GOODIE, HIBBARD LEXINGTON H.S.
    0x00cdbf28   A   01060 REM MODIFICATIONS: G. PAUL, R. HESS (TIES), 1973
    0x00cdc554   A   01070  DIM S(4),C$(14),M1(14),M2(14),C1(14),C2(14),M(14)
    0x00cdc5ac   A   01080  REM UNION INFO ON LIKELY CONFEDERATE STRATEGY
    0x00cdd134   A   01090  S(1)=25 : S(2)=25 : S(3)=25 : S(4)=25
    0x00cdd4d0   A   01130  REM READ HISTORICAL DATA.
    0x00cdd638   A   01140  FOR D=1 TO 14
    0x00cdd858   A   01150  READ C$(D),M1(D),M2(D),C1(D),C2(D),M(D)
    0x00cdd8a4   A   01160  NEXT D
    0x00cdd9e4   A   01170  LET D=RND(-1)
    0x00cdda38   A   01180  PRINT
    0x00cddb0c   A   01190  PRINT "DO YOU WANT INSTRUCTIONS";
    0x00cddbc4   A T 01200  INPUT X$
    0x00cddca0   A   01210  IF X$="YES" THEN 1250
    0x00cddda0   A   01220  IF X$="NO" THEN 1500
    0x00cdde8c   A   01230  PRINT "YES OR NO -- ";
    0x00cddee0   A   01240  GOTO 1200
    0x00cddf04   A T 01250  PRINT : PRINT : PRINT : PRINT
    0x00cde0b4   A   01290  PRINT "THIS IS A CIVIL WAR SIMULATION."
    0x00cde1c4   A   01300  PRINT "TO PLAY TYPE A RESPONSE WHEN THE COMPUTER ASKS."
    0x00cde2dc   A   01310  PRINT "REMEMBER THAT ALL FACTORS ARE INTERRELATED AND THAT YOUR"
    0x00cde3fc   A   01320  PRINT "RESPONSES COULD CHANGE HISTORY. FACTS AND FIGURES USED ARE"
    0x00cde61c   A   01330  PRINT "BASED ON THE ACTUAL OCCURRENCE. MOST BATTLES TEND TO RESULT"
    0x00cde6f8   A   01340  PRINT "AS THEY DID IN THE CIVIL WAR, BUT IT ALL DEPENDS ON YOU!!"
    0x00cde76c   A   01350  PRINT
    0x00cde864   A   01360  PRINT "THE OBJECT OF THE GAME IS TO WIN AS MANY BATTLES AS ";
    0x00cde910   A   01370  PRINT "POSSIBLE."
    0x00cde978   A   01380  PRINT
    0x00cdea64   A   01390  PRINT "YOUR CHOICES FOR DEFENSIVE STRATEGY ARE:"
    0x00cdeb58   A   01400  PRINT "        (1) ARTILLERY ATTACK"
    0x00cdec64   A   01410  PRINT "        (2) FORTIFICATION AGAINST FRONTAL ATTACK"
    0x00cded58   A   01420  PRINT "        (3) FORTIFICATION AGAINST FLANKING MANEUVERS"
    0x00cdee40   A   01430  PRINT "        (4) FALLING BACK"
    0x00cdef2c   A   01440  PRINT " YOUR CHOICES FOR OFFENSIVE STRATEGY ARE:"
    0x00cdf008   A   01450  PRINT "        (1) ARTILLERY ATTACK"
    0x00cdf0e8   A   01460  PRINT "        (2) FRONTAL ATTACK"
    0x00cdf1c8   A   01470  PRINT "        (3) FLANKING MANEUVERS"
    0x00cdf2bc   A   01480  PRINT "        (4) ENCIRCLEMENT"
    0x00cdf3d0   A   01490  PRINT "YOU MAY SURRENDER BY TYPING A '5' FOR YOUR STRATEGY."
    0x00cdf3fc   A T 01500  PRINT : PRINT : PRINT : PRINT "ARE THERE TWO GENERALS PRESENT ";
    0x00cdf614   A T 01540  PRINT "(ANSWER YES OR NO)";
    0x00cdf6cc   A   01550  INPUT B$
    0x00cdf7a8   A   01560  IF B$="YES" THEN 1610
    0x00cdf8a8   A   01570  IF B$ <> "NO" THEN 1540
    0x00cdf918   A   01580  PRINT : PRINT "YOU ARE THE CONFEDERACY.   GOOD LUCK!"
    0x00cdfa20   A   01600  PRINT
    0x00cdfaf8   A T 01610  LET D=1
    0x00cdfbd0   A   01620  IF B$ <> "YES" THEN 1640
    0x00cdfce0   A   01630  LET D=2
    0x00cdfdec   A T 01640  PRINT "SELECT A BATTLE BY TYPING A NUMBER FROM 1 TO 14 ON"
    0x00ce0104   A   01650  PRINT "REQUEST.  TYPE ANY OTHER NUMBER TO END THE SIMULATION."
    0x00ce01f8   A   01660  PRINT "BUT '0' BRINGS BACK EXACT PREVIOUS BATTLE SITUATION"
    0x00ce02b4   A   01670  PRINT "ALLOWING YOU TO REPLAY IT"
    0x00ce0328   A   01680  PRINT
    0x00ce042c   A   01690  PRINT "NOTE: A NEGATIVE FOOD$ ENTRY CAUSES THE PROGRAM TO "
    0x00ce04f8   A   01700  PRINT "USE THE ENTRIES FROM THE PREVIOUS BATTLE"
    0x00ce0560   A   01710  PRINT
    0x00ce0658   A   01720  PRINT "AFTER REQUESTING A BATTLE, DO YOU WISH ";
    0x00ce073c   A   01730  PRINT "BATTLE DESCRIPTIONS ";
    0x00ce080c   A T 01740  PRINT "(ANSWER YES OR NO)";
    0x00ce0880   A   01750  INPUT X$
    0x00ce095c   A   01760  IF X$="YES" THEN 1780
    0x00ce0a5c   A   01770  IF X$ <> "NO" THEN 1740
    0x00ce0b94   A T 01780  L=0:W=0:R1=0:Q1=0:M3=0:M4=0:P1=0:P2=0:T1=0:T2=0
    0x00ce15c4   A   01880  F(2)=0:H(2)=0:B(2)=0:R2=0:Q2=0:C6=0:F=0:W0=0:Y=0:Y2=0:U=0:U2=0
    0x00ce2148   A T 02000  PRINT : PRINT : PRINT
    0x00ce22b8   A   02030  PRINT "WHICH BATTLE DO YOU WISH TO SIMULATE";
    0x00ce236c   A   02040  INPUT A
    0x00ce243c   A   02050  IF A <> 0 THEN 2070
    0x00ce2574   A   02060  IF R <> 0 THEN 2380
    0x00ce2664   A T 02070  IF A <=0 THEN 4150
    0x00ce2758   A   02080  IF A >= 15 THEN 4150
    0x00ce2874   A   02090  LET C$=C$(A)
    0x00ce2970   A   02100  LET M1=M1(A)
    0x00ce2a6c   A   02110  LET M2=M2(A)
    0x00ce2b68   A   02120  LET C1=C1(A)
    0x00ce2c60   A   02130  LET C2=C2(A)
    0x00ce2d58   A   02140  LET M=M(A)
    0x00ce2e28   A   02150  LET U=0
    0x00ce2e68   A   02160  REM  INFLATION CALC
    0x00ce30b0   A   02170  LET I1=10+(L-W)*2
    0x00ce32e4   A   02180  LET I2=10+(W-L)*2
    0x00ce3328   A   02190  REM - MONEY AVAILABLE
    0x00ce39a8   A   02200  LET D(1)=100*INT((M1*(100-I1)/2000)*(1+(R1-Q1)/(R1+1))+.5)
    0x00ce3d1c   A   02210  LET D(2)=100*INT(M2*(100-I2)/2000+.5)
    0x00ce3df4   A   02220  IF B$ <> "YES" THEN 2240
    0x00ce42fc   A   02230  LET D(2)=100*INT((M2*(100-I2)/2000)*(1+(R2-Q2)/(R2+1))+.5)
    0x00ce4340   A T 02240  REM - MEN   AVAILABLE
    0x00ce4690   A   02250  LET M5=INT(M1*(1+(P1-T1)/(M3+1)))
    0x00ce498c   A   02260  LET M6=INT(M2*(1+(P2-T2)/(M4+1)))
    0x00ce4b70   A   02270  LET F1=5*M1/6
    0x00ce4b98   A   02280  PRINT : PRINT : PRINT : PRINT : PRINT
    0x00ce5180   A   02330  PRINT "THIS IS THE BATTLE OF ";C$
    0x00ce525c   A   02340  IF X$="NO" THEN 2390
    0x00ce534c   A   02350  IF A>11 THEN 2370
    0x00ce5838   A   02360  ON A GOTO 4940,4980,5010,5050,5090,5120,5150,5180,5210,5240,5280
    0x00ce5a4c   A T 02370  ON A-11 GOTO 5310,5340,5370
    0x00ce5b3c   A T 02380  PRINT C$" INSTANT REPLAY"
    0x00ce5b94   A T 02390  PRINT
    0x00ce5d5c   A   02400  PRINT " ","CONFEDERACY"," UNION"
    0x00ce5f98   A   02410  PRINT "MEN"," "M5," "M6
    0x00ce62a0   A   02420  PRINT "MONEY","$";D(1),"$";D(2)
    0x00ce6640   A   02430  PRINT "INFLATION"," ";I1+15;"%"," ";I2;"%"
    0x00ce66ac   A   02440  PRINT
    0x00ce6710   A   02450  REM - ONLY IN PRINTOUT IS CONFED INFLATION = I1+15%
    0x00ce679c   A   02460  REM - IF TWO GENERALS, INPUT CONFED. FIRST
    0x00ce68f0   A   02470  FOR I=1 TO D
    0x00ce69d0   A   02480  IF B$ <> "YES" THEN 2510
    0x00ce6ac0   A   02490  IF I=2 THEN 2510
    0x00ce6be4   A   02500  PRINT "CONFEDERATE GENERAL---";
    0x00ce6cbc   A T 02510  PRINT "HOW MUCH DO YOU WISH TO SPEND FOR"
    0x00ce6d84   A T 02520  PRINT " - FOOD......";
    0x00ce6df8   A   02530  INPUT F
    0x00ce6ec8   A   02540  IF F >= 0 THEN 2610
    0x00ce6fbc   A   02550  IF R1 <> 0 THEN 2580
    0x00ce70a4   A   02560  PRINT "NO PREVIOUS ENTRIES"
    0x00ce710c   A   02570  GOTO 2520
    0x00ce71d0   A T 02580  PRINT "ASSUME YOU WANT TO KEEP SAME ALLOCATIONS"
    0x00ce7210   A   02590  PRINT
    0x00ce7254   A   02600  GOTO 2760
    0x00ce7314   A T 02610  LET F(I)=F
    0x00ce73dc   A T 02620  PRINT " - SALARIES..";
    0x00ce746c   A   02630  INPUT H(I)
    0x00ce7584   A   02640  LET N=1
    0x00ce7678   A   02650  IF H(I)<0 THEN 2740
    0x00ce776c   A T 02660  PRINT " - AMMUNITION";
    0x00ce77fc   A   02670  INPUT B(I)
    0x00ce78d0   A   02680  LET N=2
    0x00ce79c4   A   02690  IF B(I)<0 THEN 2740
    0x00ce7a34   A   02700  PRINT
    0x00ce7bf4   A   02710  IF F(I)+H(I)+B(I) <= D(I) THEN 2760
    0x00ce7d54   A   02720  PRINT "THINK AGAIN! YOU HAVE ONLY $"D(I)
    0x00ce7db0   A   02730  GOTO 2520
    0x00ce7e78   A T 02740  PRINT "NEGATIVE VALUES NOT ALLOWED."
    0x00ce7fb0   A   02750  ON N GOTO 2620,2660
    0x00cdfeb0   A T 02760  IF B$ <> "YES" THEN 2800
    0x00cdff94   A   02770  IF I=2 THEN 2800
    0x00ce806c   A   02780  PRINT "UNION GENERAL---";
    0x00ce80c0   A   02790  NEXT I
    0x00ce8214   A T 02800  FOR Z=1 TO D
    0x00ce82f4   A   02810  IF B$ <> "YES" THEN 2870
    0x00ce844c   A   02820  ON Z GOTO 2830,2850
    0x00ce8514   A T 02830  PRINT "CONFEDERATE ";
    0x00ce8560   A   02840  GOTO 2870
    0x00ce8628   A T 02850  PRINT "      UNION ";
    0x00ce866c   A   02860  REM - FIND MORALE
    0x00ce8ae8   A T 02870  LET O=((2*F(Z)^2+H(Z)^2)/F1^2+1)
    0x00ce8bb4   A   02880  IF O<10 THEN 2910
    0x00ce8c94   A   02890  PRINT "MORALE IS HIGH"
    0x00ce8cdc   A   02900  GOTO 2950
    0x00ce8da4   A T 02910  IF O<5 THEN 2940
    0x00ce8e84   A   02920  PRINT "MORALE IS FAIR"
    0x00ce8ed4   A   02930  GOTO 2950
    0x00ce8f94   A T 02940  PRINT "MORALE IS POOR"
    0x00ce9070   A T 02950  IF B$ <> "YES" THEN 3010
    0x00ce9188   A   02960  LET O(Z)=O
    0x00ce91d8   A   02970  NEXT Z
    0x00ce9320   A   02980  LET O2=O(2)
    0x00ce9424   A   02990  LET O=O(1)
    0x00ce9510   A   03000  PRINT "CONFEDERATE GENERAL---";
    0x00ce9568   A T 03010  REM - ACTUAL OFF/DEF BATTLE SITUATION
    0x00ce9650   A   03020  IF M <> 3 THEN 3050
    0x00ce9740   A   03030  PRINT "YOU ARE ON THE OFFENSIVE"
    0x00ce978c   A   03040  GOTO 3090
    0x00ce9854   A T 03050  IF M <> 1 THEN 3080
    0x00ce9944   A   03060  PRINT "YOU ARE ON THE DEFENSIVE"
    0x00ce99a4   A   03070  GOTO 3090
    0x00ce9a60   A T 03080  PRINT "BOTH SIDES ARE ON THE OFFENSIVE "
    0x00ce9ab0   A T 03090  PRINT
    0x00ce9af8   A   03100  REM - CHOOSE STRATEGIES
    0x00ce9bf0   A   03110  IF B$ <> "YES" THEN 3160
    0x00ce9d40   A   03120  FOR I=1 TO 2
    0x00ce9e84   A   03130  ON I GOTO 3140,3170
    0x00ce9f54   A T 03140  PRINT "CONFEDERATE STRATEGY ";
    0x00ce9fa4   A   03150  GOTO 3170
    0x00cea068   A T 03160  PRINT "YOUR STRATEGY ";
    0x00cea0e0   A T 03170  INPUT Y
    0x00cea298   A   03180  IF ABS(Y-3)<3 THEN 3210
    0x00cea43c   A   03190  PRINT "STRATEGY";Y;"NOT ALLOWED."
    0x00cea488   A   03200  GOTO 3160
    0x00cea55c   A T 03210  IF B$="YES" THEN 3250
    0x00cea64c   A   03220  IF Y=5 THEN 4120
    0x00cea6a8   A   03230  GOSUB 4460
    0x00cea6e8   A   03240  GOTO 3420
    0x00cea7b0   A T 03250  IF I=2 THEN 3290
    0x00cea8ac   A   03260  LET Y1=Y
    0x00cea974   A T 03270  PRINT "UNION STRATEGY ";
    0x00cea9c8   A   03280  NEXT I
    0x00ceaa64   A T 03290  LET Y2=Y
    0x00ceaaf8   A   03300  LET Y=Y1
    0x00ceabc4   A   03310  IF Y2=5 THEN 3270
    0x00ceac40   A   03320  REM : SIMULATED LOSSES-NORTH
    0x00ceb120   A   03330  LET C6=(2*C2/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    0x00ceb4ec   A   03340  LET C6=C6*(1.28+(5*M2/6)/(B(2)+1))
    0x00ceb798   A   03350  LET C6=INT(C6*(1+1/O2)+.5)
    0x00ceb7f0   A   03360  REM - IF LOSS > MEN PRESENT, RESCALE LOSSES
    0x00ceb964   A   03370  LET E2=100/O2
    0x00ceba64   A   03380  IF INT(C6+E2)<M6 THEN 3440
    0x00cebc40   A   03390  LET C6=INT(13*M6/20)
    0x00cebdc4   A   03400  LET E2=7*C6/13
    0x00cebea0   A   03410  LET U2=1
    0x00cebef0   A T 03420  REM - CALCULATE SIMULATED LOSSES
    0x00cebf5c   A   03430  PRINT
    0x00cebf88   A T 03440  PRINT : PRINT : PRINT ,"CONFEDERACY","UNION"
    0x00cec61c   A   03470  LET C5=(2*C1/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    0x00cecac0   A   03480  LET C5=INT(C5*(1+1/O)*(1.28+F1/(B(1)+1))+.5)
    0x00cecc30   A   03490  LET E=100/O
    0x00cecf9c   A   03500  IF C5+100/O<M1*(1+(P1-T1)/(M3+1)) THEN 3540
    0x00ced3a0   A   03510  LET C5=INT(13*M1/20*(1+(P1-T1)/(M3+1)))
    0x00ced524   A   03520  LET E=7*C5/13
    0x00ced5f0   A   03530  LET U=1
    0x00ced6bc   A T 03540  IF D=1 THEN 3780
    0x00ced828   A T 03550  PRINT "CASUALTIES",C5,C6
    0x00ced9a0   A   03560  PRINT "DESERTIONS",INT(E),INT(E2)
    0x00cee1f4   A   03570  PRINT
    0x00cee2d0   A   03580  IF B$ <> "YES" THEN 3620
    0x00cee44c   A   03590  PRINT "COMPARED TO THE ACTUAL CASUALTIES AT "C$
    0x00cee77c   A   03600  PRINT "CONFEDERATE:"INT(100*(C5/C1)+.5)"% OF THE ORIGINAL"
    0x00ceea74   A   03610  PRINT "UNION:      "INT(100*(C6/C2)+.5)"% OF THE ORIGINAL"
    0x00ceeabc   A T 03620  PRINT
    0x00ceeafc   A   03630  REM - 1 WHO ONE
    0x00ceebe4   A   03640  IF U <> 1 THEN 3660
    0x00ceecd4   A   03650  IF U2=1 THEN 3740
    0x00ceedc4   A T 03660  IF U=1 THEN 3700
    0x00ceeeb4   A   03670  IF U2=1 THEN 3720
    0x00ceeffc   A   03680  IF C5+E=C6+E2 THEN 3740
    0x00cef144   A   03690  IF C5+E<C6+E2 THEN 3720
    0x00cef260   A T 03700  PRINT "THE UNION WINS "C$
    0x00cef2b8   A   03710  GOTO 3880
    0x00cef3a8   A T 03720  PRINT "THE CONFEDERACY WINS "C$
    0x00cef400   A   03730  GOTO 3940
    0x00cef4bc   A T 03740  PRINT "BATTLE OUTCOME UNRESOLVED"
    0x00cef5d0   A   03750  LET W0=W0+1
    0x00cef69c   A   03760  IF A=0 THEN 4070
    0x00cef708   A   03770  GOTO 3960
    0x00cef958   A T 03780  LET C6=INT(17*C2*C1/(C5*20))
    0x00cefa60   A   03790  LET E2=5*O
    0x00cefacc   A   03800  GOTO 3550
    0x00cefdd8       03810  PRINT "YOUR CASUALTIES WERE "INT(100*(C5/C1)+.5)"% OF "
    0x00cefed0       03820  PRINT "THE ACTUAL CASUALTIES AT ";C$
    0x00ceff1c       03830  PRINT
    0x00ceff60   A   03840  REM - FIND WHO WON
    0x00ce4c08       03850  IF U=1 THEN 3870
    0x00ce4f78       03860  IF C5+E<17*C2*C1/(C5*20)+5*O THEN 3910
    0x00cf00c8     T 03870  PRINT "YOU LOSE ";C$
    0x00cf0198   A T 03880  IF A=0 THEN 4070
    0x00cf02bc   A   03890  LET L=L+1
    0x00cf0304   A   03900  GOTO 3960
    0x00cf0418     T 03910  PRINT "YOU WIN ";C$
    0x00cf0480   A   03920  REM - CUMULATIVE BATTLE FACTORS WHICH ALTER HISTORICAL
    0x00cf051c   A   03930  REM  RESOURCES AVAILABLE.IF A REPLAY DON'T UPDATE.
    0x00cf0600   A T 03940  IF A=0 THEN 4070
    0x00cf072c   A   03950  LET W=W+1
    0x00cf0848   A T 03960  LET T1=T1+C5+E
    0x00cf0960   A   03970  LET T2=T2+C6+E2
    0x00cf0a34   A   03980  LET P1=P1+C1
    0x00cf0b18   A   03990  LET P2=P2+C2
    0x00cf0dc0   A   04000  LET Q1=Q1+(F(1)+H(1)+B(1))
    0x00cf1064   A   04010  LET Q2=Q2+(F(2)+H(2)+B(2))
    0x00cf129c   A   04020  LET R1=R1+M1*(100-I1)/20
    0x00cf14c8   A   04030  LET R2=R2+M2*(100-I2)/20
    0x00cf159c   A   04040  LET M3=M3+M1
    0x00cf1670   A   04050  LET M4=M4+M2
    0x00cf16ac   A   04060  GOSUB 4660
    0x00cf1758   A T 04070  U=0:U2=0
    0x00cf18e0   A   04090  PRINT "---------------"
    0x00cf192c   A   04100  GOTO 2000
    0x00cf1968   A   04110  REM------FINISH OFF
    0x00cf1a5c   A T 04120  PRINT "THE CONFEDERACY HAS SURRENDERED"
    0x00cf1ab8   A   04130  GOTO 4150
    0x00cf1b98       04140  PRINT "THE UNION HAS SURRENDERED."
    0x00cf1bc4   A T 04150  PRINT : PRINT : PRINT : PRINT : PRINT : PRINT
    0x00cf1db0   A   04210  PRINT "THE CONFEDERACY ";
    0x00cf1f70   A   04220  PRINT "HAS WON "W" BATTLES AND LOST "L
    0x00cf2040   A   04230  IF Y=5 THEN 4290
    0x00cf2130   A   04240  IF Y2=5 THEN 4270
    0x00cf21ec   A   04250  IF W <= L THEN 4290
    0x00cf22dc   A   04260  IF Y=5 THEN 4290
    0x00cf23dc   A T 04270  PRINT "THE CONFEDERACY HAS WON THE WAR"
    0x00cf2434   A   04280  GOTO 4300
    0x00cf24e8   A T 04290  PRINT "THE UNION HAS WON THE WAR"
    0x00cf2530   A T 04300  PRINT
    0x00cf2600   A   04310  IF R1=0 THEN 4450
    0x00cf2864   A   04320  PRINT "FOR THE "W+L+W0" BATTLES FOUGHT (EXCUDING RERUNS)"
    0x00cf2a38   A   04330  PRINT " "," "," ";
    0x00cf2b98   A   04340  PRINT "CONFEDERACY"," UNION"
    0x00cf2e38   A   04350  PRINT "HISTORICAL LOSSES",INT(P1+.5),INT(P2+.5)
    0x00cf30ac   A   04360  PRINT "SIMULATED LOSSES",INT(T1+.5),INT(T2+.5)
    0x00cf3124   A   04370  PRINT
    0x00cf3560   A   04380  PRINT "    % OF ORIGINAL",INT(100*(T1/P1)+.5),INT(100*(T2/P2)+.5)
    0x00cf363c   A   04390  IF B$="YES" THEN 4450
    0x00cf36c0   A   04400  PRINT
    0x00cf37cc   A   04410  PRINT "UNION INTELLIGENCE SUGGESTS THAT THE SOUTH USED "
    0x00cf38bc   A   04420  PRINT "STRATEGIES 1, 2, 3, 4 IN THE FOLLOWING PERCENTAGES"
    0x00cf3bb8   A   04430  PRINT S(1);S2(2);S(3);S(4)
    0x00cf3c10   A   04440  REM---------------------------------
    0x00cf3c44   A T 04450  STOP
    0x00cf3cc4  B  G 04460  REM - UNION STRATEGY IS COMPUTER CHOSEN
    0x00cf3dc0  B    04470  PRINT "UNION STRATEGY IS ";
    0x00cf3e90  B    04480  IF A <> 0 THEN 4540
    0x00cf3f1c  B  T 04490  INPUT Y2
    0x00cf3fec  B    04500  IF Y2 <=0 THEN 4520
    0x00cf40dc  B    04510  IF Y2<5 THEN 4650
    0x00cf420c  B  T 04520  PRINT "ENTER 1 , 2 ,3 , OR 4 (USUALLY PREVIOUS UNION STRATEGY)"
    0x00cf424c  B    04530  GOTO 4490
    0x00cf4358  B  T 04540  LET S0=0
    0x00cf44c4  B    04550  LET R=100*RND(0)
    0x00cf45f0  B    04560  FOR I=1 TO 4
    0x00cf4724  B    04570  LET S0=S0+S(I)
    0x00cf478c  B    04580  REM - IF ACTUAL STRATEGY INFO IS IN PROGRAM DATA STATEMENTS
    0x00cf4830  B    04590  REM   THEN R-100 IS EXTRA WEIGHT GIVEN TO THAT STATEGY.
    0x00cf48dc  B    04600  IF R<S0 THEN 4630
    0x00cf4948  B    04610  NEXT I
    0x00cf49ec  B    04620  REM - IF ACTUAL STRAT. IN,THEN HERE IS Y2= HIST. STRAT.
    0x00cf4a88  B  T 04630  LET Y2=I
    0x00cf4aec  B    04640  PRINT Y2
    0x00cf4b18  B  T 04650  RETURN
    0x00cf4bb8 C   G 04660  REM LEARN  PRESENT STRATEGY, START FORGETTING OLD ONES
    0x00cf4c60 C     04670  REM - PRESENT STRATEGY OF SOUTH GAINS 3*S, OTHERS LOSE S
    0x00cf4d0c C     04680  REM   PROBABILITY POINTS, UNLESS A STRATEGY FALLS BELOW 5%.
    0x00cf4e24 C     04690  LET S=3
    0x00cf4eec C     04700  LET S0=0
    0x00cf5020 C     04710  FOR I=1 TO 4
    0x00cf511c C     04720  IF S(I) <= 5 THEN 4750
    0x00cf5264 C     04730  LET S(I)=S(I)-S
    0x00cf5334 C     04740  LET S0=S0+S
    0x00cf5384 C   T 04750  NEXT I
    0x00cf54bc C     04760  LET S(Y)=S(Y)+S0
    0x00cf54e4 C     04770  RETURN
    0x00cf5594   A   04780  REM - HISTORICAL DATA...CAN ADD MORE (STRAT.,ETC) BY INSERTING
    0x00cf5640   A   04790  REM   DATA STATEMENTS AFTER APPRO. INFO, AND ADJUSTING READ
    0x00cf5958   A   04800  DATA "BULL RUN",18000,18500,1967,2708,1
    0x00cf5c48   A   04810  DATA "SHILOH",40000.,44894.,10699,13047,3
    0x00cf5f40   A   04820  DATA "SEVEN DAYS",95000.,115000.,20614,15849,3
    0x00cf6234   A   04830  DATA "SECOND BULL RUN",54000.,63000.,10000,14000,2
    0x00cf6524   A   04840  DATA "ANTIETAM",40000.,50000.,10000,12000,3
    0x00cf681c   A   04850  DATA "FREDERICKSBURG",75000.,120000.,5377,12653,1
    0x00cf6b14   A   04860  DATA "MURFREESBORO",38000.,45000.,11000,12000,1
    0x00cf6e08   A   04870  DATA "CHANCELLORSVILLE",32000,90000.,13000,17197,2
    0x00cf70f4   A   04880  DATA "VICKSBURG",50000.,70000.,12000,19000,1
    0x00cf73e8   A   04890  DATA "GETTYSBURG",72500.,85000.,20000,23000,3
    0x00cf76dc   A   04900  DATA "CHICKAMAUGA",66000.,60000.,18000,16000,2
    0x00cf79d0   A   04910  DATA "CHATTANOOGA",37000.,60000.,36700.,5800,2
    0x00cf7cbc   A   04920  DATA "SPOTSYLVANIA",62000.,110000.,17723,18000,2
    0x00cf7fc0   A   04930  DATA "ATLANTA",65000.,100000.,8500,3700,1
    0x00cf80d8   A T 04940  PRINT "JULY 21, 1861.  GEN. BEAUREGARD, COMMANDING THE SOUTH, MET"
    0x00cf81f0   A   04950  PRINT "UNION FORCES WITH GEN. MCDOWELL IN A PREMATURE BATTLE AT"
    0x00cf82d0   A   04960  PRINT "BULL RUN. GEN. JACKSON HELPED PUSH BACK THE UNION ATTACK."
    0x00cf8344   A   04970  GOTO 2390
    0x00cf8440   A T 04980  PRINT "APRIL 6-7, 1862.  THE CONFEDERATE SURPRISE ATTACK AT"
    0x00cf8510   A   04990  PRINT "SHILOH FAILED DUE TO POOR ORGANIZATION."
    0x00cf8584   A   05000  GOTO 2390
    0x00cf8690   A T 05010  PRINT "JUNE 25-JULY 1, 1862.  GENERAL LEE (CSA) UPHELD THE"
    0x00cf8798   A   05020  PRINT "OFFENSIVE THROUGHOUT THE BATTLE AND FORCED GEN. MCCLELLAN"
    0x00cf8868   A   05030  PRINT "AND THE UNION FORCES AWAY FROM RICHMOND."
    0x00cf88e0   A   05040  GOTO 2390
    0x00cf89d0   A T 05050  PRINT "AUG 29-30, 1862.  THE COMBINED CONFEDERATE FORCES UNDER";
    0x00cf8ab4   A   05060  PRINT " LEE"
    0x00cf8b94   A   05070  PRINT "AND JACKSON DROVE THE UNION FORCES BACK INTO WASHINGTON."
    0x00cf8c0c   A   05080  GOTO 2390
    0x00cf8cf8   A T 05090  PRINT "SEPT 17, 1862.  THE SOUTH FAILED TO INCORPORATE MARYLAND"
    0x00cf8db4   A   05100  PRINT "INTO THE CONFEDERACY."
    0x00cf8e28   A   05110  GOTO 2390
    0x00cf8f30   A T 05120  PRINT "DEC 13, 1862.  THE CONFEDERACY UNDER LEE SUCCESSFULLY"
    0x00cf900c   A   05130  PRINT "REPULSED AN ATTACK BY THE UNION UNDER GEN. BURNSIDE."
    0x00cf9084   A   05140  GOTO 2390
    0x00cf9178   A T 05150  PRINT "DEC 31, 1862.  THE SOUTH UNDER GEN. BRAGG WON A CLOSE ";
    0x00cf9228   A   05160  PRINT "BATTLE."
    0x00cf92a0   A   05170  GOTO 2390
    0x00cf93b0   A T 05180  PRINT "MAY 1-6, 1863.  THE SOUTH HAD A COSTLY VICTORY AND LOST"
    0x00cf9490   A   05190  PRINT "ONE OF THEIR OUTSTANDING GENERALS, 'STONEWALL' JACKSON."
    0x00cf950c   A   05200  GOTO 2390
    0x00cf961c   A T 05210  PRINT "JULY 4, 1863.  VICKSBURG WAS A COSTLY DEFEAT FOR THE SOUTH"
    0x00cf96f8   A   05220  PRINT "BECAUSE IT GAVE THE UNION ACCESS TO THE MISSISSIPPI."
    0x00cf976c   A   05230  GOTO 2390
    0x00cf9860   A T 05240  PRINT "JULY 1-3, 1863.  A SOUTHERN MISTAKE BY GEN. LEE AT ";
    0x00cf9948   A   05250  PRINT "GETTYSBURG"
    0x00cf9a24   A   05260  PRINT "COST THEM ONE OF THE MOST CRUCIAL BATTLES OF THE WAR."
    0x00cf9aa0   A   05270  GOTO 2390
    0x00cf9b98   A T 05280  PRINT "SEPT. 15, 1863. CONFUSION IN A FOREST NEAR CHICKAMAUGA LED"
    0x00cf9c5c   A   05290  PRINT "TO A COSTLY SOUTHERN VICTORY."
    0x00cf9cd8   A   05300  GOTO 2390
    0x00cf9de8   A T 05310  PRINT "NOV. 25, 1863. AFTER THE SOUTH HAD SIEGED GEN. ROSENCRANS'"
    0x00cf9ec4   A   05320  PRINT "ARMY FOR THREE MONTHS, GEN. GRANT BROKE THE SIEGE."
    0x00cf9f3c   A   05330  GOTO 2390
    0x00cfa04c   A T 05340  PRINT "MAY 5, 1864.  GRANT'S PLAN TO KEEP LEE ISOLATED BEGAN TO"
    0x00cfa12c   A   05350  PRINT "FAIL HERE, AND CONTINUED AT COLD HARBOR AND PETERSBURG."
    0x00cfa1a4   A   05360  GOTO 2390
    0x00cfa2b4   A T 05370  PRINT "AUGUST, 1864.  SHERMAN AND THREE VETERAN ARMIES CONVERGED"
    0x00cfa394   A   05380  PRINT "ON ATLANTA AND DEALT THE DEATH BLOW TO THE CONFEDERACY."
    0x00cfa3d0   A   05390  GOTO 2390
    0x00cfa3f4   A   05400  END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01200      01240T
     01250      01210T
     01500      01220T
     01540      01570T
     01610      01560T
     01640      01620T
     01740      01770T
     01780      01760T
     02000      04100T
     02070      02050T
     02240      02220T
     02370      02350T
     02380      02060T
     02390      02340T, 04970T, 05000T, 05040T, 05080T, 05110T, 05140T, 05170T, 
                05200T, 05230T, 05270T, 05300T, 05330T, 05360T, 05390T
     02510      02480T, 02490T
     02520      02570T, 02730T
     02580      02550T
     02610      02540T
     02620      02750T
     02660      02750T
     02740      02650T, 02690T
     02760      02600T, 02710T
     02800      02760T, 02770T
     02830      02820T
     02850      02820T
     02870      02810T, 02840T
     02910      02880T
     02940      02910T
     02950      02900T, 02930T
     03010      02950T
     03050      03020T
     03080      03050T
     03090      03040T, 03070T
     03140      03130T
     03160      03110T, 03200T
     03170      03130T, 03150T
     03210      03180T
     03250      03210T
     03270      03310T
     03290      03250T
     03420      03240T
     03440      03380T
     03540      03500T
     03550      03800T
     03620      03580T
     03660      03640T
     03700      03660T
     03720      03670T, 03690T
     03740      03650T, 03680T
     03780      03540T
     03870      03850T
     03880      03710T
     03910      03860T
     03940      03730T
     03960      03770T, 03900T
     04070      03760T, 03880T, 03940T
     04120      03220T
     04150      02070T, 02080T, 04130T
     04270      04240T
     04290      04230T, 04250T, 04260T
     04300      04280T
     04450      04310T, 04390T
     04460      03230G
     04490      04530T
     04520      04500T
     04540      04480T
     04630      04600T
     04650      04510T
     04660      04060G
     04750      04720T
     04940      02360T
     04980      02360T
     05010      02360T
     05050      02360T
     05090      02360T
     05120      02360T
     05150      02360T
     05180      02360T
     05210      02360T
     05240      02360T
     05280      02360T
     05310      02370T
     05340      02370T
     05370      02370T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ced9cc   0x00ced9cc   0x00cee0ac   0x00cee0ac 
   B) 0x00cedf34   0x00cedf34   0x00cedf80   0x00cedf80 
   C) 0x00cedf84   0x00cedf84   0x00cedfb0   0x00cedfb0 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ced9cc   0x00ced9cc   0x00cee0ac   0x00cee0ac 
   B) 0x00cedf34   0x00cedf34   0x00cedf80   0x00cedf80 
   C) 0x00cedf84   0x00cedf84   0x00cedfb0   0x00cedfb0 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     04460 - 04770      32 
     05410 - 05410       1 
     05740 - 10000    4270 

 */



/*
 *  Symbol Table Listing for '..\basic\CivilWar2.bas'
 *
    A              Integer 
    ABS   Function Integer     args=1, int   
    B     Array    Integer     {0,10} 
    B$             String  
    C$    Array    String      {0,15} 
    C$             String  
    C1             Integer 
    C1    Array    Integer     {0,15} 
    C2             Integer 
    C2    Array    Integer     {0,15} 
    C5             Integer 
    C6             Integer 
    D     Array    Integer     {0,10} 
    D              Integer 
    E              Integer 
    E2             Integer 
    F              Integer 
    F     Array    Integer     {0,10} 
    F1             Integer 
    H     Array    Integer     {0,10} 
    I              Integer 
    I1             Integer 
    I2             Integer 
    INT   Function Integer     args=1, float 
    L              Integer 
    M              Integer 
    M     Array    Integer     {0,15} 
    M1    Array    Integer     {0,15} 
    M1             Integer 
    M2             Integer 
    M2    Array    Integer     {0,15} 
    M3             Integer 
    M4             Integer 
    M5             Integer 
    M6             Integer 
    N              Integer 
    O     Array    Integer     {0,10} 
    O              Integer 
    O2             Integer 
    P1             Integer 
    P2             Integer 
    Q1             Integer 
    Q2             Integer 
    R              Integer 
    R1             Integer 
    R2             Integer 
    RND   Function Integer     args=1, int   
    S     Array    Integer     {0,5} 
    S              Integer 
    S0             Integer 
    S2    Array    Integer     {0,10} 
    T1             Integer 
    T2             Integer 
    TAB   Function String      args=1, 
    U              Integer 
    U2             Integer 
    W              Integer 
    W0             Integer 
    X$             String  
    Y              Integer 
    Y1             Integer 
    Y2             Integer 
    Z              Integer 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\CivilWar2.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdbbe0   A   01000 PRINT TAB(26) "CIVIL WAR"
    0x00cdbd58   A   01010 PRINT TAB(15) "CREATIVE COMPUTING  MORRISTOWN, NEW JERSEY"
    0x00cdbd84   A   01020 PRINT : PRINT : PRINT
    0x00cdbe94   A   01050 REM ORIGINAL GAME DESIGN: CRAM, GOODIE, HIBBARD LEXINGTON H.S.
    0x00cdbf28   A   01060 REM MODIFICATIONS: G. PAUL, R. HESS (TIES), 1973
    0x00cdc554   A   01070  DIM S(4),C$(14),M1(14),M2(14),C1(14),C2(14),M(14)
    0x00cdc5ac   A   01080  REM UNION INFO ON LIKELY CONFEDERATE STRATEGY
    0x00cdd134   A   01090  S(1)=25 : S(2)=25 : S(3)=25 : S(4)=25
    0x00cdd4d0   A   01130  REM READ HISTORICAL DATA.
    0x00cdd638   A   01140  FOR D=1 TO 14
    0x00cdd858   A   01150  READ C$(D),M1(D),M2(D),C1(D),C2(D),M(D)
    0x00cdd8a4   A   01160  NEXT D
    0x00cdd9e4   A   01170  LET D=RND(-1)
    0x00cdda38   A   01180  PRINT
    0x00cddb0c   A   01190  PRINT "DO YOU WANT INSTRUCTIONS";
    0x00cddbc4   A T 01200  INPUT X$
    0x00cddca0   A   01210  IF X$="YES" THEN 1250
    0x00cddda0   A   01220  IF X$="NO" THEN 1500
    0x00cdde8c   A   01230  PRINT "YES OR NO -- ";
    0x00cddee0   A   01240  GOTO 1200
    0x00cddf04   A T 01250  PRINT : PRINT : PRINT : PRINT
    0x00cde0b4   A   01290  PRINT "THIS IS A CIVIL WAR SIMULATION."
    0x00cde1c4   A   01300  PRINT "TO PLAY TYPE A RESPONSE WHEN THE COMPUTER ASKS."
    0x00cde2dc   A   01310  PRINT "REMEMBER THAT ALL FACTORS ARE INTERRELATED AND THAT YOUR"
    0x00cde3fc   A   01320  PRINT "RESPONSES COULD CHANGE HISTORY. FACTS AND FIGURES USED ARE"
    0x00cde61c   A   01330  PRINT "BASED ON THE ACTUAL OCCURRENCE. MOST BATTLES TEND TO RESULT"
    0x00cde6f8   A   01340  PRINT "AS THEY DID IN THE CIVIL WAR, BUT IT ALL DEPENDS ON YOU!!"
    0x00cde76c   A   01350  PRINT
    0x00cde864   A   01360  PRINT "THE OBJECT OF THE GAME IS TO WIN AS MANY BATTLES AS ";
    0x00cde910   A   01370  PRINT "POSSIBLE."
    0x00cde978   A   01380  PRINT
    0x00cdea64   A   01390  PRINT "YOUR CHOICES FOR DEFENSIVE STRATEGY ARE:"
    0x00cdeb58   A   01400  PRINT "        (1) ARTILLERY ATTACK"
    0x00cdec64   A   01410  PRINT "        (2) FORTIFICATION AGAINST FRONTAL ATTACK"
    0x00cded58   A   01420  PRINT "        (3) FORTIFICATION AGAINST FLANKING MANEUVERS"
    0x00cdee40   A   01430  PRINT "        (4) FALLING BACK"
    0x00cdef2c   A   01440  PRINT " YOUR CHOICES FOR OFFENSIVE STRATEGY ARE:"
    0x00cdf008   A   01450  PRINT "        (1) ARTILLERY ATTACK"
    0x00cdf0e8   A   01460  PRINT "        (2) FRONTAL ATTACK"
    0x00cdf1c8   A   01470  PRINT "        (3) FLANKING MANEUVERS"
    0x00cdf2bc   A   01480  PRINT "        (4) ENCIRCLEMENT"
    0x00cdf3d0   A   01490  PRINT "YOU MAY SURRENDER BY TYPING A '5' FOR YOUR STRATEGY."
    0x00cdf3fc   A T 01500  PRINT : PRINT : PRINT : PRINT "ARE THERE TWO GENERALS PRESENT ";
    0x00cdf614   A T 01540  PRINT "(ANSWER YES OR NO)";
    0x00cdf6cc   A   01550  INPUT B$
    0x00cdf7a8   A   01560  IF B$="YES" THEN 1610
    0x00cdf8a8   A   01570  IF B$ <> "NO" THEN 1540
    0x00cdf918   A   01580  PRINT : PRINT "YOU ARE THE CONFEDERACY.   GOOD LUCK!"
    0x00cdfa20   A   01600  PRINT
    0x00cdfaf8   A T 01610  LET D=1
    0x00cdfbd0   A   01620  IF B$ <> "YES" THEN 1640
    0x00cdfce0   A   01630  LET D=2
    0x00cdfdec   A T 01640  PRINT "SELECT A BATTLE BY TYPING A NUMBER FROM 1 TO 14 ON"
    0x00ce0104   A   01650  PRINT "REQUEST.  TYPE ANY OTHER NUMBER TO END THE SIMULATION."
    0x00ce01f8   A   01660  PRINT "BUT '0' BRINGS BACK EXACT PREVIOUS BATTLE SITUATION"
    0x00ce02b4   A   01670  PRINT "ALLOWING YOU TO REPLAY IT"
    0x00ce0328   A   01680  PRINT
    0x00ce042c   A   01690  PRINT "NOTE: A NEGATIVE FOOD$ ENTRY CAUSES THE PROGRAM TO "
    0x00ce04f8   A   01700  PRINT "USE THE ENTRIES FROM THE PREVIOUS BATTLE"
    0x00ce0560   A   01710  PRINT
    0x00ce0658   A   01720  PRINT "AFTER REQUESTING A BATTLE, DO YOU WISH ";
    0x00ce073c   A   01730  PRINT "BATTLE DESCRIPTIONS ";
    0x00ce080c   A T 01740  PRINT "(ANSWER YES OR NO)";
    0x00ce0880   A   01750  INPUT X$
    0x00ce095c   A   01760  IF X$="YES" THEN 1780
    0x00ce0a5c   A   01770  IF X$ <> "NO" THEN 1740
    0x00ce0b94   A T 01780  L=0:W=0:R1=0:Q1=0:M3=0:M4=0:P1=0:P2=0:T1=0:T2=0
    0x00ce15c4   A   01880  F(2)=0:H(2)=0:B(2)=0:R2=0:Q2=0:C6=0:F=0:W0=0:Y=0:Y2=0:U=0:U2=0
    0x00ce2148   A T 02000  PRINT : PRINT : PRINT
    0x00ce22b8   A   02030  PRINT "WHICH BATTLE DO YOU WISH TO SIMULATE";
    0x00ce236c   A   02040  INPUT A
    0x00ce243c   A   02050  IF A <> 0 THEN 2070
    0x00ce2574   A   02060  IF R <> 0 THEN 2380
    0x00ce2664   A T 02070  IF A <=0 THEN 4150
    0x00ce2758   A   02080  IF A >= 15 THEN 4150
    0x00ce2874   A   02090  LET C$=C$(A)
    0x00ce2970   A   02100  LET M1=M1(A)
    0x00ce2a6c   A   02110  LET M2=M2(A)
    0x00ce2b68   A   02120  LET C1=C1(A)
    0x00ce2c60   A   02130  LET C2=C2(A)
    0x00ce2d58   A   02140  LET M=M(A)
    0x00ce2e28   A   02150  LET U=0
    0x00ce2e68   A   02160  REM  INFLATION CALC
    0x00ce30b0   A   02170  LET I1=10+(L-W)*2
    0x00ce32e4   A   02180  LET I2=10+(W-L)*2
    0x00ce3328   A   02190  REM - MONEY AVAILABLE
    0x00ce39a8   A   02200  LET D(1)=100*INT((M1*(100-I1)/2000)*(1+(R1-Q1)/(R1+1))+.5)
    0x00ce3d1c   A   02210  LET D(2)=100*INT(M2*(100-I2)/2000+.5)
    0x00ce3df4   A   02220  IF B$ <> "YES" THEN 2240
    0x00ce42fc   A   02230  LET D(2)=100*INT((M2*(100-I2)/2000)*(1+(R2-Q2)/(R2+1))+.5)
    0x00ce4340   A T 02240  REM - MEN   AVAILABLE
    0x00ce4690   A   02250  LET M5=INT(M1*(1+(P1-T1)/(M3+1)))
    0x00ce498c   A   02260  LET M6=INT(M2*(1+(P2-T2)/(M4+1)))
    0x00ce4b70   A   02270  LET F1=5*M1/6
    0x00ce4b98   A   02280  PRINT : PRINT : PRINT : PRINT : PRINT
    0x00ce5180   A   02330  PRINT "THIS IS THE BATTLE OF ";C$
    0x00ce525c   A   02340  IF X$="NO" THEN 2390
    0x00ce534c   A   02350  IF A>11 THEN 2370
    0x00ce5838   A   02360  ON A GOTO 4940,4980,5010,5050,5090,5120,5150,5180,5210,5240,5280
    0x00ce5a4c   A T 02370  ON A-11 GOTO 5310,5340,5370
    0x00ce5b3c   A T 02380  PRINT C$" INSTANT REPLAY"
    0x00ce5b94   A T 02390  PRINT
    0x00ce5d5c   A   02400  PRINT " ","CONFEDERACY"," UNION"
    0x00ce5f98   A   02410  PRINT "MEN"," "M5," "M6
    0x00ce62a0   A   02420  PRINT "MONEY","$";D(1),"$";D(2)
    0x00ce6640   A   02430  PRINT "INFLATION"," ";I1+15;"%"," ";I2;"%"
    0x00ce66ac   A   02440  PRINT
    0x00ce6710   A   02450  REM - ONLY IN PRINTOUT IS CONFED INFLATION = I1+15%
    0x00ce679c   A   02460  REM - IF TWO GENERALS, INPUT CONFED. FIRST
    0x00ce68f0   A   02470  FOR I=1 TO D
    0x00ce69d0   A   02480  IF B$ <> "YES" THEN 2510
    0x00ce6ac0   A   02490  IF I=2 THEN 2510
    0x00ce6be4   A   02500  PRINT "CONFEDERATE GENERAL---";
    0x00ce6cbc   A T 02510  PRINT "HOW MUCH DO YOU WISH TO SPEND FOR"
    0x00ce6d84   A T 02520  PRINT " - FOOD......";
    0x00ce6df8   A   02530  INPUT F
    0x00ce6ec8   A   02540  IF F >= 0 THEN 2610
    0x00ce6fbc   A   02550  IF R1 <> 0 THEN 2580
    0x00ce70a4   A   02560  PRINT "NO PREVIOUS ENTRIES"
    0x00ce710c   A   02570  GOTO 2520
    0x00ce71d0   A T 02580  PRINT "ASSUME YOU WANT TO KEEP SAME ALLOCATIONS"
    0x00ce7210   A   02590  PRINT
    0x00ce7254   A   02600  GOTO 2760
    0x00ce7314   A T 02610  LET F(I)=F
    0x00ce73dc   A T 02620  PRINT " - SALARIES..";
    0x00ce746c   A   02630  INPUT H(I)
    0x00ce7584   A   02640  LET N=1
    0x00ce7678   A   02650  IF H(I)<0 THEN 2740
    0x00ce776c   A T 02660  PRINT " - AMMUNITION";
    0x00ce77fc   A   02670  INPUT B(I)
    0x00ce78d0   A   02680  LET N=2
    0x00ce79c4   A   02690  IF B(I)<0 THEN 2740
    0x00ce7a34   A   02700  PRINT
    0x00ce7bf4   A   02710  IF F(I)+H(I)+B(I) <= D(I) THEN 2760
    0x00ce7d54   A   02720  PRINT "THINK AGAIN! YOU HAVE ONLY $"D(I)
    0x00ce7db0   A   02730  GOTO 2520
    0x00ce7e78   A T 02740  PRINT "NEGATIVE VALUES NOT ALLOWED."
    0x00ce7fb0   A   02750  ON N GOTO 2620,2660
    0x00cdfeb0   A T 02760  IF B$ <> "YES" THEN 2800
    0x00cdff94   A   02770  IF I=2 THEN 2800
    0x00ce806c   A   02780  PRINT "UNION GENERAL---";
    0x00ce80c0   A   02790  NEXT I
    0x00ce8214   A T 02800  FOR Z=1 TO D
    0x00ce82f4   A   02810  IF B$ <> "YES" THEN 2870
    0x00ce844c   A   02820  ON Z GOTO 2830,2850
    0x00ce8514   A T 02830  PRINT "CONFEDERATE ";
    0x00ce8560   A   02840  GOTO 2870
    0x00ce8628   A T 02850  PRINT "      UNION ";
    0x00ce866c   A   02860  REM - FIND MORALE
    0x00ce8ae8   A T 02870  LET O=((2*F(Z)^2+H(Z)^2)/F1^2+1)
    0x00ce8bb4   A   02880  IF O<10 THEN 2910
    0x00ce8c94   A   02890  PRINT "MORALE IS HIGH"
    0x00ce8cdc   A   02900  GOTO 2950
    0x00ce8da4   A T 02910  IF O<5 THEN 2940
    0x00ce8e84   A   02920  PRINT "MORALE IS FAIR"
    0x00ce8ed4   A   02930  GOTO 2950
    0x00ce8f94   A T 02940  PRINT "MORALE IS POOR"
    0x00ce9070   A T 02950  IF B$ <> "YES" THEN 3010
    0x00ce9188   A   02960  LET O(Z)=O
    0x00ce91d8   A   02970  NEXT Z
    0x00ce9320   A   02980  LET O2=O(2)
    0x00ce9424   A   02990  LET O=O(1)
    0x00ce9510   A   03000  PRINT "CONFEDERATE GENERAL---";
    0x00ce9568   A T 03010  REM - ACTUAL OFF/DEF BATTLE SITUATION
    0x00ce9650   A   03020  IF M <> 3 THEN 3050
    0x00ce9740   A   03030  PRINT "YOU ARE ON THE OFFENSIVE"
    0x00ce978c   A   03040  GOTO 3090
    0x00ce9854   A T 03050  IF M <> 1 THEN 3080
    0x00ce9944   A   03060  PRINT "YOU ARE ON THE DEFENSIVE"
    0x00ce99a4   A   03070  GOTO 3090
    0x00ce9a60   A T 03080  PRINT "BOTH SIDES ARE ON THE OFFENSIVE "
    0x00ce9ab0   A T 03090  PRINT
    0x00ce9af8   A   03100  REM - CHOOSE STRATEGIES
    0x00ce9bf0   A   03110  IF B$ <> "YES" THEN 3160
    0x00ce9d40   A   03120  FOR I=1 TO 2
    0x00ce9e84   A   03130  ON I GOTO 3140,3170
    0x00ce9f54   A T 03140  PRINT "CONFEDERATE STRATEGY ";
    0x00ce9fa4   A   03150  GOTO 3170
    0x00cea068   A T 03160  PRINT "YOUR STRATEGY ";
    0x00cea0e0   A T 03170  INPUT Y
    0x00cea298   A   03180  IF ABS(Y-3)<3 THEN 3210
    0x00cea43c   A   03190  PRINT "STRATEGY";Y;"NOT ALLOWED."
    0x00cea488   A   03200  GOTO 3160
    0x00cea55c   A T 03210  IF B$="YES" THEN 3250
    0x00cea64c   A   03220  IF Y=5 THEN 4120
    0x00cea6a8   A   03230  GOSUB 5420
    0x00cea6e8   A   03240  GOTO 3420
    0x00cea7b0   A T 03250  IF I=2 THEN 3290
    0x00cea8ac   A   03260  LET Y1=Y
    0x00cea974   A T 03270  PRINT "UNION STRATEGY ";
    0x00cea9c8   A   03280  NEXT I
    0x00ceaa64   A T 03290  LET Y2=Y
    0x00ceaaf8   A   03300  LET Y=Y1
    0x00ceabc4   A   03310  IF Y2=5 THEN 3270
    0x00ceac40   A   03320  REM : SIMULATED LOSSES-NORTH
    0x00ceb120   A   03330  LET C6=(2*C2/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    0x00ceb4ec   A   03340  LET C6=C6*(1.28+(5*M2/6)/(B(2)+1))
    0x00ceb798   A   03350  LET C6=INT(C6*(1+1/O2)+.5)
    0x00ceb7f0   A   03360  REM - IF LOSS > MEN PRESENT, RESCALE LOSSES
    0x00ceb964   A   03370  LET E2=100/O2
    0x00ceba64   A   03380  IF INT(C6+E2)<M6 THEN 3440
    0x00cebc40   A   03390  LET C6=INT(13*M6/20)
    0x00cebdc4   A   03400  LET E2=7*C6/13
    0x00cebea0   A   03410  LET U2=1
    0x00cebef0   A T 03420  REM - CALCULATE SIMULATED LOSSES
    0x00cebf5c   A   03430  PRINT
    0x00cebf88   A T 03440  PRINT : PRINT : PRINT ,"CONFEDERACY","UNION"
    0x00cec61c   A   03470  LET C5=(2*C1/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    0x00cecac0   A   03480  LET C5=INT(C5*(1+1/O)*(1.28+F1/(B(1)+1))+.5)
    0x00cecc30   A   03490  LET E=100/O
    0x00cecf9c   A   03500  IF C5+100/O<M1*(1+(P1-T1)/(M3+1)) THEN 3540
    0x00ced3a0   A   03510  LET C5=INT(13*M1/20*(1+(P1-T1)/(M3+1)))
    0x00ced524   A   03520  LET E=7*C5/13
    0x00ced5f0   A   03530  LET U=1
    0x00ced6bc   A T 03540  IF D=1 THEN 3780
    0x00ced828   A T 03550  PRINT "CASUALTIES",C5,C6
    0x00ced9a0   A   03560  PRINT "DESERTIONS",INT(E),INT(E2)
    0x00cee1f4   A   03570  PRINT
    0x00cee2d0   A   03580  IF B$ <> "YES" THEN 3620
    0x00cee44c   A   03590  PRINT "COMPARED TO THE ACTUAL CASUALTIES AT "C$
    0x00cee77c   A   03600  PRINT "CONFEDERATE:"INT(100*(C5/C1)+.5)"% OF THE ORIGINAL"
    0x00ceea74   A   03610  PRINT "UNION:      "INT(100*(C6/C2)+.5)"% OF THE ORIGINAL"
    0x00ceeabc   A T 03620  PRINT
    0x00ceeafc   A   03630  REM - 1 WHO ONE
    0x00ceebe4   A   03640  IF U <> 1 THEN 3660
    0x00ceecd4   A   03650  IF U2=1 THEN 3740
    0x00ceedc4   A T 03660  IF U=1 THEN 3700
    0x00ceeeb4   A   03670  IF U2=1 THEN 3720
    0x00ceeffc   A   03680  IF C5+E=C6+E2 THEN 3740
    0x00cef144   A   03690  IF C5+E<C6+E2 THEN 3720
    0x00cef260   A T 03700  PRINT "THE UNION WINS "C$
    0x00cef2b8   A   03710  GOTO 3880
    0x00cef3a8   A T 03720  PRINT "THE CONFEDERACY WINS "C$
    0x00cef400   A   03730  GOTO 3940
    0x00cef4bc   A T 03740  PRINT "BATTLE OUTCOME UNRESOLVED"
    0x00cef5d0   A   03750  LET W0=W0+1
    0x00cef69c   A   03760  IF A=0 THEN 4070
    0x00cef708   A   03770  GOTO 3960
    0x00cef958   A T 03780  LET C6=INT(17*C2*C1/(C5*20))
    0x00cefa60   A   03790  LET E2=5*O
    0x00cefacc   A   03800  GOTO 3550
    0x00cefdd8       03810  PRINT "YOUR CASUALTIES WERE "INT(100*(C5/C1)+.5)"% OF "
    0x00cefed0       03820  PRINT "THE ACTUAL CASUALTIES AT ";C$
    0x00ceff1c       03830  PRINT
    0x00ceff60   A   03840  REM - FIND WHO WON
    0x00ce4c08       03850  IF U=1 THEN 3870
    0x00ce4f78       03860  IF C5+E<17*C2*C1/(C5*20)+5*O THEN 3910
    0x00cf00c8     T 03870  PRINT "YOU LOSE ";C$
    0x00cf0198   A T 03880  IF A=0 THEN 4070
    0x00cf02bc   A   03890  LET L=L+1
    0x00cf0304   A   03900  GOTO 3960
    0x00cf0418     T 03910  PRINT "YOU WIN ";C$
    0x00cf0480   A   03920  REM - CUMULATIVE BATTLE FACTORS WHICH ALTER HISTORICAL
    0x00cf051c   A   03930  REM  RESOURCES AVAILABLE.IF A REPLAY DON'T UPDATE.
    0x00cf0600   A T 03940  IF A=0 THEN 4070
    0x00cf072c   A   03950  LET W=W+1
    0x00cf0848   A T 03960  LET T1=T1+C5+E
    0x00cf0960   A   03970  LET T2=T2+C6+E2
    0x00cf0a34   A   03980  LET P1=P1+C1
    0x00cf0b18   A   03990  LET P2=P2+C2
    0x00cf0dc0   A   04000  LET Q1=Q1+(F(1)+H(1)+B(1))
    0x00cf1064   A   04010  LET Q2=Q2+(F(2)+H(2)+B(2))
    0x00cf129c   A   04020  LET R1=R1+M1*(100-I1)/20
    0x00cf14c8   A   04030  LET R2=R2+M2*(100-I2)/20
    0x00cf159c   A   04040  LET M3=M3+M1
    0x00cf1670   A   04050  LET M4=M4+M2
    0x00cf16ac   A   04060  GOSUB 5620
    0x00cf1758   A T 04070  U=0:U2=0
    0x00cf18e0   A   04090  PRINT "---------------"
    0x00cf192c   A   04100  GOTO 2000
    0x00cf1968   A   04110  REM------FINISH OFF
    0x00cf1a5c   A T 04120  PRINT "THE CONFEDERACY HAS SURRENDERED"
    0x00cf1ab8   A   04130  GOTO 4150
    0x00cf1b98       04140  PRINT "THE UNION HAS SURRENDERED."
    0x00cf1bc4   A T 04150  PRINT : PRINT : PRINT : PRINT : PRINT : PRINT
    0x00cf1db0   A   04210  PRINT "THE CONFEDERACY ";
    0x00cf1f70   A   04220  PRINT "HAS WON "W" BATTLES AND LOST "L
    0x00cf2040   A   04230  IF Y=5 THEN 4290
    0x00cf2130   A   04240  IF Y2=5 THEN 4270
    0x00cf21ec   A   04250  IF W <= L THEN 4290
    0x00cf22dc   A   04260  IF Y=5 THEN 4290
    0x00cf23dc   A T 04270  PRINT "THE CONFEDERACY HAS WON THE WAR"
    0x00cf2434   A   04280  GOTO 4300
    0x00cf24e8   A T 04290  PRINT "THE UNION HAS WON THE WAR"
    0x00cf2530   A T 04300  PRINT
    0x00cf2600   A   04310  IF R1=0 THEN 4450
    0x00cf2864   A   04320  PRINT "FOR THE "W+L+W0" BATTLES FOUGHT (EXCUDING RERUNS)"
    0x00cf2a38   A   04330  PRINT " "," "," ";
    0x00cf2b98   A   04340  PRINT "CONFEDERACY"," UNION"
    0x00cf2e38   A   04350  PRINT "HISTORICAL LOSSES",INT(P1+.5),INT(P2+.5)
    0x00cf30ac   A   04360  PRINT "SIMULATED LOSSES",INT(T1+.5),INT(T2+.5)
    0x00cf3124   A   04370  PRINT
    0x00cf3560   A   04380  PRINT "    % OF ORIGINAL",INT(100*(T1/P1)+.5),INT(100*(T2/P2)+.5)
    0x00cf363c   A   04390  IF B$="YES" THEN 4450
    0x00cf36c0   A   04400  PRINT
    0x00cf37cc   A   04410  PRINT "UNION INTELLIGENCE SUGGESTS THAT THE SOUTH USED "
    0x00cf38bc   A   04420  PRINT "STRATEGIES 1, 2, 3, 4 IN THE FOLLOWING PERCENTAGES"
    0x00cf3bb8   A   04430  PRINT S(1);S2(2);S(3);S(4)
    0x00cf3c10   A   04440  REM---------------------------------
    0x00cf3c44   A T 04450  STOP
    0x00cf5594   A   04780  REM - HISTORICAL DATA...CAN ADD MORE (STRAT.,ETC) BY INSERTING
    0x00cf5640   A   04790  REM   DATA STATEMENTS AFTER APPRO. INFO, AND ADJUSTING READ
    0x00cf5958   A   04800  DATA "BULL RUN",18000,18500,1967,2708,1
    0x00cf5c48   A   04810  DATA "SHILOH",40000.,44894.,10699,13047,3
    0x00cf5f40   A   04820  DATA "SEVEN DAYS",95000.,115000.,20614,15849,3
    0x00cf6234   A   04830  DATA "SECOND BULL RUN",54000.,63000.,10000,14000,2
    0x00cf6524   A   04840  DATA "ANTIETAM",40000.,50000.,10000,12000,3
    0x00cf681c   A   04850  DATA "FREDERICKSBURG",75000.,120000.,5377,12653,1
    0x00cf6b14   A   04860  DATA "MURFREESBORO",38000.,45000.,11000,12000,1
    0x00cf6e08   A   04870  DATA "CHANCELLORSVILLE",32000,90000.,13000,17197,2
    0x00cf70f4   A   04880  DATA "VICKSBURG",50000.,70000.,12000,19000,1
    0x00cf73e8   A   04890  DATA "GETTYSBURG",72500.,85000.,20000,23000,3
    0x00cf76dc   A   04900  DATA "CHICKAMAUGA",66000.,60000.,18000,16000,2
    0x00cf79d0   A   04910  DATA "CHATTANOOGA",37000.,60000.,36700.,5800,2
    0x00cf7cbc   A   04920  DATA "SPOTSYLVANIA",62000.,110000.,17723,18000,2
    0x00cf7fc0   A   04930  DATA "ATLANTA",65000.,100000.,8500,3700,1
    0x00cf80d8   A T 04940  PRINT "JULY 21, 1861.  GEN. BEAUREGARD, COMMANDING THE SOUTH, MET"
    0x00cf81f0   A   04950  PRINT "UNION FORCES WITH GEN. MCDOWELL IN A PREMATURE BATTLE AT"
    0x00cf82d0   A   04960  PRINT "BULL RUN. GEN. JACKSON HELPED PUSH BACK THE UNION ATTACK."
    0x00cf8344   A   04970  GOTO 2390
    0x00cf8440   A T 04980  PRINT "APRIL 6-7, 1862.  THE CONFEDERATE SURPRISE ATTACK AT"
    0x00cf8510   A   04990  PRINT "SHILOH FAILED DUE TO POOR ORGANIZATION."
    0x00cf8584   A   05000  GOTO 2390
    0x00cf8690   A T 05010  PRINT "JUNE 25-JULY 1, 1862.  GENERAL LEE (CSA) UPHELD THE"
    0x00cf8798   A   05020  PRINT "OFFENSIVE THROUGHOUT THE BATTLE AND FORCED GEN. MCCLELLAN"
    0x00cf8868   A   05030  PRINT "AND THE UNION FORCES AWAY FROM RICHMOND."
    0x00cf88e0   A   05040  GOTO 2390
    0x00cf89d0   A T 05050  PRINT "AUG 29-30, 1862.  THE COMBINED CONFEDERATE FORCES UNDER";
    0x00cf8ab4   A   05060  PRINT " LEE"
    0x00cf8b94   A   05070  PRINT "AND JACKSON DROVE THE UNION FORCES BACK INTO WASHINGTON."
    0x00cf8c0c   A   05080  GOTO 2390
    0x00cf8cf8   A T 05090  PRINT "SEPT 17, 1862.  THE SOUTH FAILED TO INCORPORATE MARYLAND"
    0x00cf8db4   A   05100  PRINT "INTO THE CONFEDERACY."
    0x00cf8e28   A   05110  GOTO 2390
    0x00cf8f30   A T 05120  PRINT "DEC 13, 1862.  THE CONFEDERACY UNDER LEE SUCCESSFULLY"
    0x00cf900c   A   05130  PRINT "REPULSED AN ATTACK BY THE UNION UNDER GEN. BURNSIDE."
    0x00cf9084   A   05140  GOTO 2390
    0x00cf9178   A T 05150  PRINT "DEC 31, 1862.  THE SOUTH UNDER GEN. BRAGG WON A CLOSE ";
    0x00cf9228   A   05160  PRINT "BATTLE."
    0x00cf92a0   A   05170  GOTO 2390
    0x00cf93b0   A T 05180  PRINT "MAY 1-6, 1863.  THE SOUTH HAD A COSTLY VICTORY AND LOST"
    0x00cf9490   A   05190  PRINT "ONE OF THEIR OUTSTANDING GENERALS, 'STONEWALL' JACKSON."
    0x00cf950c   A   05200  GOTO 2390
    0x00cf961c   A T 05210  PRINT "JULY 4, 1863.  VICKSBURG WAS A COSTLY DEFEAT FOR THE SOUTH"
    0x00cf96f8   A   05220  PRINT "BECAUSE IT GAVE THE UNION ACCESS TO THE MISSISSIPPI."
    0x00cf976c   A   05230  GOTO 2390
    0x00cf9860   A T 05240  PRINT "JULY 1-3, 1863.  A SOUTHERN MISTAKE BY GEN. LEE AT ";
    0x00cf9948   A   05250  PRINT "GETTYSBURG"
    0x00cf9a24   A   05260  PRINT "COST THEM ONE OF THE MOST CRUCIAL BATTLES OF THE WAR."
    0x00cf9aa0   A   05270  GOTO 2390
    0x00cf9b98   A T 05280  PRINT "SEPT. 15, 1863. CONFUSION IN A FOREST NEAR CHICKAMAUGA LED"
    0x00cf9c5c   A   05290  PRINT "TO A COSTLY SOUTHERN VICTORY."
    0x00cf9cd8   A   05300  GOTO 2390
    0x00cf9de8   A T 05310  PRINT "NOV. 25, 1863. AFTER THE SOUTH HAD SIEGED GEN. ROSENCRANS'"
    0x00cf9ec4   A   05320  PRINT "ARMY FOR THREE MONTHS, GEN. GRANT BROKE THE SIEGE."
    0x00cf9f3c   A   05330  GOTO 2390
    0x00cfa04c   A T 05340  PRINT "MAY 5, 1864.  GRANT'S PLAN TO KEEP LEE ISOLATED BEGAN TO"
    0x00cfa12c   A   05350  PRINT "FAIL HERE, AND CONTINUED AT COLD HARBOR AND PETERSBURG."
    0x00cfa1a4   A   05360  GOTO 2390
    0x00cfa2b4   A T 05370  PRINT "AUGUST, 1864.  SHERMAN AND THREE VETERAN ARMIES CONVERGED"
    0x00cfa394   A   05380  PRINT "ON ATLANTA AND DEALT THE DEATH BLOW TO THE CONFEDERACY."
    0x00cfa3d0   A   05390  GOTO 2390
    0x00cfa3f4   A   05400  END
    0x00cf3cc4  B  G 05420  REM - UNION STRATEGY IS COMPUTER CHOSEN
    0x00cf3dc0  B    05430  PRINT "UNION STRATEGY IS ";
    0x00cf3e90  B    05440  IF A <> 0 THEN 5500
    0x00cf3f1c  B  T 05450  INPUT Y2
    0x00cf3fec  B    05460  IF Y2 <=0 THEN 5480
    0x00cf40dc  B    05470  IF Y2<5 THEN 5610
    0x00cf420c  B  T 05480  PRINT "ENTER 1 , 2 ,3 , OR 4 (USUALLY PREVIOUS UNION STRATEGY)"
    0x00cf424c  B    05490  GOTO 5450
    0x00cf4358  B  T 05500  LET S0=0
    0x00cf44c4  B    05510  LET R=100*RND(0)
    0x00cf45f0  B    05520  FOR I=1 TO 4
    0x00cf4724  B    05530  LET S0=S0+S(I)
    0x00cf478c  B    05540  REM - IF ACTUAL STRATEGY INFO IS IN PROGRAM DATA STATEMENTS
    0x00cf4830  B    05550  REM   THEN R-100 IS EXTRA WEIGHT GIVEN TO THAT STATEGY.
    0x00cf48dc  B    05560  IF R<S0 THEN 5590
    0x00cf4948  B    05570  NEXT I
    0x00cf49ec  B    05580  REM - IF ACTUAL STRAT. IN,THEN HERE IS Y2= HIST. STRAT.
    0x00cf4a88  B  T 05590  LET Y2=I
    0x00cf4aec  B    05600  PRINT Y2
    0x00cf4b18  B  T 05610  RETURN
    0x00cf4bb8 C   G 05620  REM LEARN  PRESENT STRATEGY, START FORGETTING OLD ONES
    0x00cf4c60 C     05630  REM - PRESENT STRATEGY OF SOUTH GAINS 3*S, OTHERS LOSE S
    0x00cf4d0c C     05640  REM   PROBABILITY POINTS, UNLESS A STRATEGY FALLS BELOW 5%.
    0x00cf4e24 C     05650  LET S=3
    0x00cf4eec C     05660  LET S0=0
    0x00cf5020 C     05670  FOR I=1 TO 4
    0x00cf511c C     05680  IF S(I) <= 5 THEN 5710
    0x00cf5264 C     05690  LET S(I)=S(I)-S
    0x00cf5334 C     05700  LET S0=S0+S
    0x00cf5384 C   T 05710  NEXT I
    0x00cf54bc C     05720  LET S(Y)=S(Y)+S0
    0x00cf54e4 C     05730  RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\civilwar2.cpp,v 1.6 2011-10-16 22:43:32-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: civilwar2.cpp,v $
// Revision 1.6  2011-10-16 22:43:32-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
char* data_04800s[]={"BULL RUN","18000","18500","1967","2708","1"};
char* data_04810s[]={"SHILOH","40000.","44894.","10699","13047","3"};
char* data_04820s[]={"SEVEN DAYS","95000.","115000.","20614","15849","3"};
char* data_04830s[]={"SECOND BULL RUN","54000.","63000.","10000","14000","2"};
char* data_04840s[]={"ANTIETAM","40000.","50000.","10000","12000","3"};
char* data_04850s[]={"FREDERICKSBURG","75000.","120000.","5377","12653","1"};
char* data_04860s[]={"MURFREESBORO","38000.","45000.","11000","12000","1"};
char* data_04870s[]={"CHANCELLORSVILLE","32000","90000.","13000","17197","2"};
char* data_04880s[]={"VICKSBURG","50000.","70000.","12000","19000","1"};
char* data_04890s[]={"GETTYSBURG","72500.","85000.","20000","23000","3"};
char* data_04900s[]={"CHICKAMAUGA","66000.","60000.","18000","16000","2"};
char* data_04910s[]={"CHATTANOOGA","37000.","60000.","36700.","5800","2"};
char* data_04920s[]={"SPOTSYLVANIA","62000.","110000.","17723","18000","2"};
char* data_04930s[]={"ATLANTA","65000.","100000.","8500","3700","1"};
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    { 4800,  6,data_04800s},
    { 4810,  6,data_04810s},
    { 4820,  6,data_04820s},
    { 4830,  6,data_04830s},
    { 4840,  6,data_04840s},
    { 4850,  6,data_04850s},
    { 4860,  6,data_04860s},
    { 4870,  6,data_04870s},
    { 4880,  6,data_04880s},
    { 4890,  6,data_04890s},
    { 4900,  6,data_04900s},
    { 4910,  6,data_04910s},
    { 4920,  6,data_04920s},
    { 4930,  6,data_04930s},
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int;        // Comments?
int   B_int_arr[10];// Comments?
char* B_str;        // Comments?
char* C_str_arr[15];// Comments?
char* C_str;        // Comments?
int   C1_int;       // Comments?
int   C1_int_arr[15];   // Comments?
int   C2_int;       // Comments?
int   C2_int_arr[15];   // Comments?
int   C5_int;       // Comments?
int   C6_int;       // Comments?
int   D_int_arr[10];// Comments?
int   D_int;        // Comments?
int   E_int;        // Comments?
int   E2_int;       // Comments?
int   F_int;        // Comments?
int   F_int_arr[10];// Comments?
int   F1_int;       // Comments?
int   H_int_arr[10];// Comments?
int   I_int;        // Comments?
int   I1_int;       // Comments?
int   I2_int;       // Comments?
int   L_int;        // Comments?
int   M_int;        // Comments?
int   M_int_arr[15];// Comments?
int   M1_int_arr[15];   // Comments?
int   M1_int;       // Comments?
int   M2_int;       // Comments?
int   M2_int_arr[15];   // Comments?
int   M3_int;       // Comments?
int   M4_int;       // Comments?
int   M5_int;       // Comments?
int   M6_int;       // Comments?
int   N_int;        // Comments?
int   O_int_arr[10];// Comments?
int   O_int;        // Comments?
int   O2_int;       // Comments?
int   P1_int;       // Comments?
int   P2_int;       // Comments?
int   Q1_int;       // Comments?
int   Q2_int;       // Comments?
int   R_int;        // Comments?
int   R1_int;       // Comments?
int   R2_int;       // Comments?
int   S_int_arr[5]; // Comments?
int   S_int;        // Comments?
int   S0_int;       // Comments?
int   S2_int_arr[10];   // Comments?
int   T1_int;       // Comments?
int   T2_int;       // Comments?
int   U_int;        // Comments?
int   U2_int;       // Comments?
int   W_int;        // Comments?
int   W0_int;       // Comments?
char* X_str;        // Comments?
int   Y_int;        // Comments?
int   Y1_int;       // Comments?
int   Y2_int;       // Comments?
int   Z_int;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_05420();
void Routine_05620();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_05420(){
    // 05420  REM - UNION STRATEGY IS COMPUTER CHOSEN
    // - union strategy is computer chosen
    // 05430  PRINT "UNION STRATEGY IS ";
    MyFpf(stdout,"union strategy is ");
    // 05440  IF A <> 0 THEN 5500
    if(A_int!=0) goto Lbl_05500;

  Lbl_05450:
    // 05450  INPUT Y2
    // Start of Basic INPUT statement 05450
    printf(" ? ");
    char inpbuf_05450[100];
    if(fgets(inpbuf_05450,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_05450=strtok(inpbuf_05450," ,\t\n");
        if(ps_05450==NULL){
            Y2_int = 0;
        }else{
            Y2_int = atoi(ps_05450);
        };
    }; // End of Basic INPUT statement 05450
    // 05460  IF Y2 <=0 THEN 5480
    if(Y2_int<=0) goto Lbl_05480;
    // 05470  IF Y2<5 THEN 5610
    if(Y2_int<5) goto Lbl_05610;

  Lbl_05480:
    // 05480  PRINT "ENTER 1 , 2 ,3 , OR 4 (USUALLY PREVIOUS UNION STRATEGY)"
    MyFpf(stdout,"enter 1 , 2 ,3 , or 4 (usually previous union strategy)\n");
    // 05490  GOTO 5450
    goto Lbl_05450;

  Lbl_05500:
    // 05500  LET S0=0
    S0_int = 0;
    // 05510  LET R=100*RND(0)
    R_int = 100*RND(0);
    // 05520  FOR I=1 TO 4
    for(I_int=1;I_int<=4;I_int++){
        // 05530  LET S0=S0+S(I)
        S0_int = S0_int+S_int_arr[(int)I_int];
        // 05540  REM - IF ACTUAL STRATEGY INFO IS IN PROGRAM DATA STATEMENTS
        // - if actual strategy info is in program data statements
        // 05550  REM   THEN R-100 IS EXTRA WEIGHT GIVEN TO THAT STATEGY.
        //   then r-100 is extra weight given to that stategy.
        // 05560  IF R<S0 THEN 5590
        if(R_int<S0_int) goto Lbl_05590;
        // 05570  NEXT I
    }; // End-For(I_int)
    // 05580  REM - IF ACTUAL STRAT. IN,THEN HERE IS Y2= HIST. STRAT.
    // - if actual strat. in,then here is y2= hist. strat.

  Lbl_05590:
    // 05590  LET Y2=I
    Y2_int = I_int;
    // 05600  PRINT Y2
    MyFpf(stdout,"%d\n",Y2_int);

  Lbl_05610:
    // 05610  RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_05620(){
    // 05620  REM LEARN  PRESENT STRATEGY, START FORGETTING OLD ONES
    // learn  present strategy, start forgetting old ones
    // 05630  REM - PRESENT STRATEGY OF SOUTH GAINS 3*S, OTHERS LOSE S
    // - present strategy of south gains 3*s, others lose s
    // 05640  REM   PROBABILITY POINTS, UNLESS A STRATEGY FALLS BELOW 5%.
    //   probability points, unless a strategy falls below 5%.
    // 05650  LET S=3
    S_int = 3;
    // 05660  LET S0=0
    S0_int = 0;
    // 05670  FOR I=1 TO 4
    for(I_int=1;I_int<=4;I_int++){
        // 05680  IF S(I) <= 5 THEN 5710
        if(S_int_arr[(int)I_int]<=5) goto Lbl_05710;
        // 05690  LET S(I)=S(I)-S
        S_int_arr[(int)I_int] = S_int_arr[(int)I_int]-S_int;
        // 05700  LET S0=S0+S
        S0_int = S0_int+S_int;

  Lbl_05710:
        // 05710  NEXT I
    }; // End-For(I_int)
    // 05720  LET S(Y)=S(Y)+S0
    S_int_arr[(int)Y_int] = S_int_arr[(int)Y_int]+S0_int;
    // 05730  RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 PRINT TAB(26) "CIVIL WAR"
    MyFpf(stdout,"%scivil war\n",TAB(26));
    // 01010 PRINT TAB(15) "CREATIVE COMPUTING  MORRISTOWN, NEW JERSEY"
    MyFpf(stdout,"%screative computing  morristown, new jersey\n",TAB(15));
    // 01020 PRINT : PRINT : PRINT
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    // 01050 REM ORIGINAL GAME DESIGN: CRAM, GOODIE, HIBBARD LEXINGTON H.S.
    // original game design: cram, goodie, hibbard lexington h.s.
    // 01060 REM MODIFICATIONS: G. PAUL, R. HESS (TIES), 1973
    // modifications: g. paul, r. hess (ties), 1973
    // 01070  DIM S(4),C$(14),M1(14),M2(14),C1(14),C2(14),M(14)
    // 01080  REM UNION INFO ON LIKELY CONFEDERATE STRATEGY
    // union info on likely confederate strategy
    // 01090  S(1)=25 : S(2)=25 : S(3)=25 : S(4)=25
    S_int_arr[(int)1] = 25;
    S_int_arr[(int)2] = 25;
    S_int_arr[(int)3] = 25;
    S_int_arr[(int)4] = 25;
    // 01130  REM READ HISTORICAL DATA.
    // read historical data.
    // 01140  FOR D=1 TO 14
    for(D_int=1;D_int<=14;D_int++){
        // 01150  READ C$(D),M1(D),M2(D),C1(D),C2(D),M(D)
        C_str_arr[(int)D_int] = Get_Data_String();
        M1_int_arr[(int)D_int] = Get_Data_Int();
        M2_int_arr[(int)D_int] = Get_Data_Int();
        C1_int_arr[(int)D_int] = Get_Data_Int();
        C2_int_arr[(int)D_int] = Get_Data_Int();
        M_int_arr[(int)D_int] = Get_Data_Int();
        // 01160  NEXT D
    }; // End-For(D_int)
    // 01170  LET D=RND(-1)
    D_int = RND(-1);
    // 01180  PRINT
    MyFpf(stdout,"\n");
    // 01190  PRINT "DO YOU WANT INSTRUCTIONS";
    MyFpf(stdout,"do you want instructions");

  Lbl_01200:
    // 01200  INPUT X$
    // Start of Basic INPUT statement 01200
    printf(" ? ");
    char inpbuf_01200[100];
    if(fgets(inpbuf_01200,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01200=strtok(inpbuf_01200," ,\t\n");
        if(ps_01200==NULL){
            X_str = "";
        }else{
            X_str = ps_01200;
        };
    }; // End of Basic INPUT statement 01200
    // 01210  IF X$="YES" THEN 1250
    if(strcmp(X_str,"yes")==0) goto Lbl_01250;
    // 01220  IF X$="NO" THEN 1500
    if(strcmp(X_str,"no")==0) goto Lbl_01500;
    // 01230  PRINT "YES OR NO -- ";
    MyFpf(stdout,"yes or no -- ");
    // 01240  GOTO 1200
    goto Lbl_01200;

  Lbl_01250:
    // 01250  PRINT : PRINT : PRINT : PRINT
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    // 01290  PRINT "THIS IS A CIVIL WAR SIMULATION."
    MyFpf(stdout,"this is a civil war simulation.\n");
    // 01300  PRINT "TO PLAY TYPE A RESPONSE WHEN THE COMPUTER ASKS."
    MyFpf(stdout,"to play type a response when the computer asks.\n");
    // 01310  PRINT "REMEMBER THAT ALL FACTORS ARE INTERRELATED AND THAT YOUR"
    MyFpf(stdout,"remember that all factors are interrelated and that your\n");
    // 01320  PRINT "RESPONSES COULD CHANGE HISTORY. FACTS AND FIGURES USED ARE"
    MyFpf(stdout,"responses could change history. facts and figures used are\n");
    // 01330  PRINT "BASED ON THE ACTUAL OCCURRENCE. MOST BATTLES TEND TO RESULT"
    MyFpf(stdout,"based on the actual occurrence. most battles tend to result\n");
    // 01340  PRINT "AS THEY DID IN THE CIVIL WAR, BUT IT ALL DEPENDS ON YOU!!"
    MyFpf(stdout,"as they did in the civil war, but it all depends on you!!\n");
    // 01350  PRINT
    MyFpf(stdout,"\n");
    // 01360  PRINT "THE OBJECT OF THE GAME IS TO WIN AS MANY BATTLES AS ";
    MyFpf(stdout,"the object of the game is to win as many battles as ");
    // 01370  PRINT "POSSIBLE."
    MyFpf(stdout,"possible.\n");
    // 01380  PRINT
    MyFpf(stdout,"\n");
    // 01390  PRINT "YOUR CHOICES FOR DEFENSIVE STRATEGY ARE:"
    MyFpf(stdout,"your choices for defensive strategy are:\n");
    // 01400  PRINT "        (1) ARTILLERY ATTACK"
    MyFpf(stdout,"        (1) artillery attack\n");
    // 01410  PRINT "        (2) FORTIFICATION AGAINST FRONTAL ATTACK"
    MyFpf(stdout,"        (2) fortification against frontal attack\n");
    // 01420  PRINT "        (3) FORTIFICATION AGAINST FLANKING MANEUVERS"
    MyFpf(stdout,"        (3) fortification against flanking maneuvers\n");
    // 01430  PRINT "        (4) FALLING BACK"
    MyFpf(stdout,"        (4) falling back\n");
    // 01440  PRINT " YOUR CHOICES FOR OFFENSIVE STRATEGY ARE:"
    MyFpf(stdout," your choices for offensive strategy are:\n");
    // 01450  PRINT "        (1) ARTILLERY ATTACK"
    MyFpf(stdout,"        (1) artillery attack\n");
    // 01460  PRINT "        (2) FRONTAL ATTACK"
    MyFpf(stdout,"        (2) frontal attack\n");
    // 01470  PRINT "        (3) FLANKING MANEUVERS"
    MyFpf(stdout,"        (3) flanking maneuvers\n");
    // 01480  PRINT "        (4) ENCIRCLEMENT"
    MyFpf(stdout,"        (4) encirclement\n");
    // 01490  PRINT "YOU MAY SURRENDER BY TYPING A '5' FOR YOUR STRATEGY."
    MyFpf(stdout,"you may surrender by typing a '5' for your strategy.\n");

  Lbl_01500:
    // 01500  PRINT : PRINT : PRINT : PRINT "ARE THERE TWO GENERALS PRESENT ";
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"are there two generals present ");

  Lbl_01540:
    // 01540  PRINT "(ANSWER YES OR NO)";
    MyFpf(stdout,"(answer yes or no)");
    // 01550  INPUT B$
    // Start of Basic INPUT statement 01550
    printf(" ? ");
    char inpbuf_01550[100];
    if(fgets(inpbuf_01550,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01550=strtok(inpbuf_01550," ,\t\n");
        if(ps_01550==NULL){
            B_str = "";
        }else{
            B_str = ps_01550;
        };
    }; // End of Basic INPUT statement 01550
    // 01560  IF B$="YES" THEN 1610
    if(strcmp(B_str,"yes")==0) goto Lbl_01610;
    // 01570  IF B$ <> "NO" THEN 1540
    if(strcmp(B_str,"no")!=0) goto Lbl_01540;
    // 01580  PRINT : PRINT "YOU ARE THE CONFEDERACY.   GOOD LUCK!"
    MyFpf(stdout,"\n");
    MyFpf(stdout,"you are the confederacy.   good luck!\n");
    // 01600  PRINT
    MyFpf(stdout,"\n");

  Lbl_01610:
    // 01610  LET D=1
    D_int = 1;
    // 01620  IF B$ <> "YES" THEN 1640
    if(strcmp(B_str,"yes")!=0) goto Lbl_01640;
    // 01630  LET D=2
    D_int = 2;

  Lbl_01640:
    // 01640  PRINT "SELECT A BATTLE BY TYPING A NUMBER FROM 1 TO 14 ON"
    MyFpf(stdout,"select a battle by typing a number from 1 to 14 on\n");
    // 01650  PRINT "REQUEST.  TYPE ANY OTHER NUMBER TO END THE SIMULATION."
    MyFpf(stdout,"request.  type any other number to end the simulation.\n");
    // 01660  PRINT "BUT '0' BRINGS BACK EXACT PREVIOUS BATTLE SITUATION"
    MyFpf(stdout,"but '0' brings back exact previous battle situation\n");
    // 01670  PRINT "ALLOWING YOU TO REPLAY IT"
    MyFpf(stdout,"allowing you to replay it\n");
    // 01680  PRINT
    MyFpf(stdout,"\n");
    // 01690  PRINT "NOTE: A NEGATIVE FOOD$ ENTRY CAUSES THE PROGRAM TO "
    MyFpf(stdout,"note: a negative food$ entry causes the program to \n");
    // 01700  PRINT "USE THE ENTRIES FROM THE PREVIOUS BATTLE"
    MyFpf(stdout,"use the entries from the previous battle\n");
    // 01710  PRINT
    MyFpf(stdout,"\n");
    // 01720  PRINT "AFTER REQUESTING A BATTLE, DO YOU WISH ";
    MyFpf(stdout,"after requesting a battle, do you wish ");
    // 01730  PRINT "BATTLE DESCRIPTIONS ";
    MyFpf(stdout,"battle descriptions ");

  Lbl_01740:
    // 01740  PRINT "(ANSWER YES OR NO)";
    MyFpf(stdout,"(answer yes or no)");
    // 01750  INPUT X$
    // Start of Basic INPUT statement 01750
    printf(" ? ");
    char inpbuf_01750[100];
    if(fgets(inpbuf_01750,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01750=strtok(inpbuf_01750," ,\t\n");
        if(ps_01750==NULL){
            X_str = "";
        }else{
            X_str = ps_01750;
        };
    }; // End of Basic INPUT statement 01750
    // 01760  IF X$="YES" THEN 1780
    if(strcmp(X_str,"yes")==0) goto Lbl_01780;
    // 01770  IF X$ <> "NO" THEN 1740
    if(strcmp(X_str,"no")!=0) goto Lbl_01740;

  Lbl_01780:
    // 01780  L=0:W=0:R1=0:Q1=0:M3=0:M4=0:P1=0:P2=0:T1=0:T2=0
    L_int = 0;
    W_int = 0;
    R1_int = 0;
    Q1_int = 0;
    M3_int = 0;
    M4_int = 0;
    P1_int = 0;
    P2_int = 0;
    T1_int = 0;
    T2_int = 0;
    // 01880  F(2)=0:H(2)=0:B(2)=0:R2=0:Q2=0:C6=0:F=0:W0=0:Y=0:Y2=0:U=0:U2=0
    F_int_arr[(int)2] = 0;
    H_int_arr[(int)2] = 0;
    B_int_arr[(int)2] = 0;
    R2_int = 0;
    Q2_int = 0;
    C6_int = 0;
    F_int = 0;
    W0_int = 0;
    Y_int = 0;
    Y2_int = 0;
    U_int = 0;
    U2_int = 0;

  Lbl_02000:
    // 02000  PRINT : PRINT : PRINT
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    // 02030  PRINT "WHICH BATTLE DO YOU WISH TO SIMULATE";
    MyFpf(stdout,"which battle do you wish to simulate");
    // 02040  INPUT A
    // Start of Basic INPUT statement 02040
    printf(" ? ");
    char inpbuf_02040[100];
    if(fgets(inpbuf_02040,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_02040=strtok(inpbuf_02040," ,\t\n");
        if(ps_02040==NULL){
            A_int = 0;
        }else{
            A_int = atoi(ps_02040);
        };
    }; // End of Basic INPUT statement 02040
    // 02050  IF A <> 0 THEN 2070
    if(A_int!=0) goto Lbl_02070;
    // 02060  IF R <> 0 THEN 2380
    if(R_int!=0) goto Lbl_02380;

  Lbl_02070:
    // 02070  IF A <=0 THEN 4150
    if(A_int<=0) goto Lbl_04150;
    // 02080  IF A >= 15 THEN 4150
    if(A_int>=15) goto Lbl_04150;
    // 02090  LET C$=C$(A)
    GLBpStr=C_str_arr[(int)A_int];
    C_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 02100  LET M1=M1(A)
    M1_int = M1_int_arr[(int)A_int];
    // 02110  LET M2=M2(A)
    M2_int = M2_int_arr[(int)A_int];
    // 02120  LET C1=C1(A)
    C1_int = C1_int_arr[(int)A_int];
    // 02130  LET C2=C2(A)
    C2_int = C2_int_arr[(int)A_int];
    // 02140  LET M=M(A)
    M_int = M_int_arr[(int)A_int];
    // 02150  LET U=0
    U_int = 0;
    // 02160  REM  INFLATION CALC
    //  inflation calc
    // 02170  LET I1=10+(L-W)*2
    I1_int = 10+(L_int-W_int)*2;
    // 02180  LET I2=10+(W-L)*2
    I2_int = 10+(W_int-L_int)*2;
    // 02190  REM - MONEY AVAILABLE
    // - money available
    // 02200  LET D(1)=100*INT((M1*(100-I1)/2000)*(1+(R1-Q1)/(R1+1))+.5)
    D_int_arr[(int)1] = 100*INT((M1_int*(100-I1_int)/2000)*(1+(R1_int-Q1_int)/(R1_int+1))+0.5);
    // 02210  LET D(2)=100*INT(M2*(100-I2)/2000+.5)
    D_int_arr[(int)2] = 100*INT(M2_int*(100-I2_int)/2000+0.5);
    // 02220  IF B$ <> "YES" THEN 2240
    if(strcmp(B_str,"yes")!=0) goto Lbl_02240;
    // 02230  LET D(2)=100*INT((M2*(100-I2)/2000)*(1+(R2-Q2)/(R2+1))+.5)
    D_int_arr[(int)2] = 100*INT((M2_int*(100-I2_int)/2000)*(1+(R2_int-Q2_int)/(R2_int+1))+0.5);

  Lbl_02240:
    // 02240  REM - MEN   AVAILABLE
    // - men   available
    // 02250  LET M5=INT(M1*(1+(P1-T1)/(M3+1)))
    M5_int = INT(M1_int*(1+(P1_int-T1_int)/(M3_int+1)));
    // 02260  LET M6=INT(M2*(1+(P2-T2)/(M4+1)))
    M6_int = INT(M2_int*(1+(P2_int-T2_int)/(M4_int+1)));
    // 02270  LET F1=5*M1/6
    F1_int = 5*M1_int/6;
    // 02280  PRINT : PRINT : PRINT : PRINT : PRINT
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    // 02330  PRINT "THIS IS THE BATTLE OF ";C$
    MyFpf(stdout,"this is the battle of %s\n",C_str);
    // 02340  IF X$="NO" THEN 2390
    if(strcmp(X_str,"no")==0) goto Lbl_02390;
    // 02350  IF A>11 THEN 2370
    if(A_int>11) goto Lbl_02370;
    // 02360  ON A GOTO 4940,4980,5010,5050,5090,5120,5150,5180,5210,5240,5280
    switch((int)(A_int)){
        case 1: goto Lbl_04940;
        case 2: goto Lbl_04980;
        case 3: goto Lbl_05010;
        case 4: goto Lbl_05050;
        case 5: goto Lbl_05090;
        case 6: goto Lbl_05120;
        case 7: goto Lbl_05150;
        case 8: goto Lbl_05180;
        case 9: goto Lbl_05210;
        case 10: goto Lbl_05240;
        case 11: goto Lbl_05280;
        default: break; 
    };

  Lbl_02370:
    // 02370  ON A-11 GOTO 5310,5340,5370
    switch((int)(A_int-11)){
        case 1: goto Lbl_05310;
        case 2: goto Lbl_05340;
        case 3: goto Lbl_05370;
        default: break; 
    };

  Lbl_02380:
    // 02380  PRINT C$" INSTANT REPLAY"
    MyFpf(stdout,"%s instant replay\n",C_str);

  Lbl_02390:
    // 02390  PRINT
    MyFpf(stdout,"\n");
    // 02400  PRINT " ","CONFEDERACY"," UNION"
    MyFpf(stdout," @confederacy@ union\n");
    // 02410  PRINT "MEN"," "M5," "M6
    MyFpf(stdout,"men@ %d@ %d\n",M5_int,M6_int);
    // 02420  PRINT "MONEY","$";D(1),"$";D(2)
    MyFpf(stdout,"money@$%d@$%d\n",D_int_arr[(int)1],D_int_arr[(int)2]);
    // 02430  PRINT "INFLATION"," ";I1+15;"%"," ";I2;"%"
    MyFpf(stdout,"inflation@ %d%%@ %d%%\n",I1_int+15,I2_int);
    // 02440  PRINT
    MyFpf(stdout,"\n");
    // 02450  REM - ONLY IN PRINTOUT IS CONFED INFLATION = I1+15%
    // - only in printout is confed inflation = i1+15%
    // 02460  REM - IF TWO GENERALS, INPUT CONFED. FIRST
    // - if two generals, input confed. first
    // 02470  FOR I=1 TO D
    for(I_int=1;I_int<=D_int;I_int++){
        // 02480  IF B$ <> "YES" THEN 2510
        if(strcmp(B_str,"yes")!=0) goto Lbl_02510;
        // 02490  IF I=2 THEN 2510
        if(I_int==2) goto Lbl_02510;
        // 02500  PRINT "CONFEDERATE GENERAL---";
        MyFpf(stdout,"confederate general---");

  Lbl_02510:
        // 02510  PRINT "HOW MUCH DO YOU WISH TO SPEND FOR"
        MyFpf(stdout,"how much do you wish to spend for\n");

  Lbl_02520:
        // 02520  PRINT " - FOOD......";
        MyFpf(stdout," - food......");
        // 02530  INPUT F
        // Start of Basic INPUT statement 02530
        printf(" ? ");
        char inpbuf_02530[100];
        if(fgets(inpbuf_02530,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_02530=strtok(inpbuf_02530," ,\t\n");
            if(ps_02530==NULL){
                F_int = 0;
            }else{
                F_int = atoi(ps_02530);
            };
        }; // End of Basic INPUT statement 02530
        // 02540  IF F >= 0 THEN 2610
        if(F_int>=0) goto Lbl_02610;
        // 02550  IF R1 <> 0 THEN 2580
        if(R1_int!=0) goto Lbl_02580;
        // 02560  PRINT "NO PREVIOUS ENTRIES"
        MyFpf(stdout,"no previous entries\n");
        // 02570  GOTO 2520
        goto Lbl_02520;

  Lbl_02580:
        // 02580  PRINT "ASSUME YOU WANT TO KEEP SAME ALLOCATIONS"
        MyFpf(stdout,"assume you want to keep same allocations\n");
        // 02590  PRINT
        MyFpf(stdout,"\n");
        // 02600  GOTO 2760
        goto Lbl_02760;

  Lbl_02610:
        // 02610  LET F(I)=F
        F_int_arr[(int)I_int] = F_int;

  Lbl_02620:
        // 02620  PRINT " - SALARIES..";
        MyFpf(stdout," - salaries..");
        // 02630  INPUT H(I)
        // Start of Basic INPUT statement 02630
        printf(" ? ");
        char inpbuf_02630[100];
        if(fgets(inpbuf_02630,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_02630=strtok(inpbuf_02630," ,\t\n");
            if(ps_02630==NULL){
                H_int_arr[(int)I_int] = 0;
            }else{
                H_int_arr[(int)I_int] = atoi(ps_02630);
            };
        }; // End of Basic INPUT statement 02630
        // 02640  LET N=1
        N_int = 1;
        // 02650  IF H(I)<0 THEN 2740
        if(H_int_arr[(int)I_int]<0) goto Lbl_02740;

  Lbl_02660:
        // 02660  PRINT " - AMMUNITION";
        MyFpf(stdout," - ammunition");
        // 02670  INPUT B(I)
        // Start of Basic INPUT statement 02670
        printf(" ? ");
        char inpbuf_02670[100];
        if(fgets(inpbuf_02670,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_02670=strtok(inpbuf_02670," ,\t\n");
            if(ps_02670==NULL){
                B_int_arr[(int)I_int] = 0;
            }else{
                B_int_arr[(int)I_int] = atoi(ps_02670);
            };
        }; // End of Basic INPUT statement 02670
        // 02680  LET N=2
        N_int = 2;
        // 02690  IF B(I)<0 THEN 2740
        if(B_int_arr[(int)I_int]<0) goto Lbl_02740;
        // 02700  PRINT
        MyFpf(stdout,"\n");
        // 02710  IF F(I)+H(I)+B(I) <= D(I) THEN 2760
        if(F_int_arr[(int)I_int]+H_int_arr[(int)I_int]+B_int_arr[(int)I_int]<=D_int_arr[(int)I_int]) goto Lbl_02760;
        // 02720  PRINT "THINK AGAIN! YOU HAVE ONLY $"D(I)
        MyFpf(stdout,"think again! you have only $%d\n",D_int_arr[(int)I_int]);
        // 02730  GOTO 2520
        goto Lbl_02520;

  Lbl_02740:
        // 02740  PRINT "NEGATIVE VALUES NOT ALLOWED."
        MyFpf(stdout,"negative values not allowed.\n");
        // 02750  ON N GOTO 2620,2660
        switch((int)(N_int)){
            case 1: goto Lbl_02620;
            case 2: goto Lbl_02660;
            default: break; 
        };

  Lbl_02760:
        // 02760  IF B$ <> "YES" THEN 2800
        if(strcmp(B_str,"yes")!=0) goto Lbl_02800;
        // 02770  IF I=2 THEN 2800
        if(I_int==2) goto Lbl_02800;
        // 02780  PRINT "UNION GENERAL---";
        MyFpf(stdout,"union general---");
        // 02790  NEXT I
    }; // End-For(I_int)

  Lbl_02800:
    // 02800  FOR Z=1 TO D
    for(Z_int=1;Z_int<=D_int;Z_int++){
        // 02810  IF B$ <> "YES" THEN 2870
        if(strcmp(B_str,"yes")!=0) goto Lbl_02870;
        // 02820  ON Z GOTO 2830,2850
        switch((int)(Z_int)){
            case 1: goto Lbl_02830;
            case 2: goto Lbl_02850;
            default: break; 
        };

  Lbl_02830:
        // 02830  PRINT "CONFEDERATE ";
        MyFpf(stdout,"confederate ");
        // 02840  GOTO 2870
        goto Lbl_02870;

  Lbl_02850:
        // 02850  PRINT "      UNION ";
        MyFpf(stdout,"      union ");
        // 02860  REM - FIND MORALE
        // - find morale

  Lbl_02870:
        // 02870  LET O=((2*F(Z)^2+H(Z)^2)/F1^2+1)
        O_int = ((2*IPower(F_int_arr[(int)Z_int],2)+IPower(H_int_arr[(int)Z_int],2))/IPower(F1_int,2)+1);
        // 02880  IF O<10 THEN 2910
        if(O_int<10) goto Lbl_02910;
        // 02890  PRINT "MORALE IS HIGH"
        MyFpf(stdout,"morale is high\n");
        // 02900  GOTO 2950
        goto Lbl_02950;

  Lbl_02910:
        // 02910  IF O<5 THEN 2940
        if(O_int<5) goto Lbl_02940;
        // 02920  PRINT "MORALE IS FAIR"
        MyFpf(stdout,"morale is fair\n");
        // 02930  GOTO 2950
        goto Lbl_02950;

  Lbl_02940:
        // 02940  PRINT "MORALE IS POOR"
        MyFpf(stdout,"morale is poor\n");

  Lbl_02950:
        // 02950  IF B$ <> "YES" THEN 3010
        if(strcmp(B_str,"yes")!=0) goto Lbl_03010;
        // 02960  LET O(Z)=O
        O_int_arr[(int)Z_int] = O_int;
        // 02970  NEXT Z
    }; // End-For(Z_int)
    // 02980  LET O2=O(2)
    O2_int = O_int_arr[(int)2];
    // 02990  LET O=O(1)
    O_int = O_int_arr[(int)1];
    // 03000  PRINT "CONFEDERATE GENERAL---";
    MyFpf(stdout,"confederate general---");

  Lbl_03010:
    // 03010  REM - ACTUAL OFF/DEF BATTLE SITUATION
    // - actual off/def battle situation
    // 03020  IF M <> 3 THEN 3050
    if(M_int!=3) goto Lbl_03050;
    // 03030  PRINT "YOU ARE ON THE OFFENSIVE"
    MyFpf(stdout,"you are on the offensive\n");
    // 03040  GOTO 3090
    goto Lbl_03090;

  Lbl_03050:
    // 03050  IF M <> 1 THEN 3080
    if(M_int!=1) goto Lbl_03080;
    // 03060  PRINT "YOU ARE ON THE DEFENSIVE"
    MyFpf(stdout,"you are on the defensive\n");
    // 03070  GOTO 3090
    goto Lbl_03090;

  Lbl_03080:
    // 03080  PRINT "BOTH SIDES ARE ON THE OFFENSIVE "
    MyFpf(stdout,"both sides are on the offensive \n");

  Lbl_03090:
    // 03090  PRINT
    MyFpf(stdout,"\n");
    // 03100  REM - CHOOSE STRATEGIES
    // - choose strategies
    // 03110  IF B$ <> "YES" THEN 3160
    if(strcmp(B_str,"yes")!=0) goto Lbl_03160;
    // 03120  FOR I=1 TO 2
    for(I_int=1;I_int<=2;I_int++){
        // 03130  ON I GOTO 3140,3170
        switch((int)(I_int)){
            case 1: goto Lbl_03140;
            case 2: goto Lbl_03170;
            default: break; 
        };

  Lbl_03140:
        // 03140  PRINT "CONFEDERATE STRATEGY ";
        MyFpf(stdout,"confederate strategy ");
        // 03150  GOTO 3170
        goto Lbl_03170;

  Lbl_03160:
        // 03160  PRINT "YOUR STRATEGY ";
        MyFpf(stdout,"your strategy ");

  Lbl_03170:
        // 03170  INPUT Y
        // Start of Basic INPUT statement 03170
        printf(" ? ");
        char inpbuf_03170[100];
        if(fgets(inpbuf_03170,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_03170=strtok(inpbuf_03170," ,\t\n");
            if(ps_03170==NULL){
                Y_int = 0;
            }else{
                Y_int = atoi(ps_03170);
            };
        }; // End of Basic INPUT statement 03170
        // 03180  IF ABS(Y-3)<3 THEN 3210
        if(ABS(Y_int-3)<3) goto Lbl_03210;
        // 03190  PRINT "STRATEGY";Y;"NOT ALLOWED."
        MyFpf(stdout,"strategy%dnot allowed.\n",Y_int);
        // 03200  GOTO 3160
        goto Lbl_03160;

  Lbl_03210:
        // 03210  IF B$="YES" THEN 3250
        if(strcmp(B_str,"yes")==0) goto Lbl_03250;
        // 03220  IF Y=5 THEN 4120
        if(Y_int==5) goto Lbl_04120;
        // 03230  GOSUB 5420
        Routine_05420();
        // 03240  GOTO 3420
        goto Lbl_03420;

  Lbl_03250:
        // 03250  IF I=2 THEN 3290
        if(I_int==2) goto Lbl_03290;
        // 03260  LET Y1=Y
        Y1_int = Y_int;

  Lbl_03270:
        // 03270  PRINT "UNION STRATEGY ";
        MyFpf(stdout,"union strategy ");
        // 03280  NEXT I
    }; // End-For(I_int)

  Lbl_03290:
    // 03290  LET Y2=Y
    Y2_int = Y_int;
    // 03300  LET Y=Y1
    Y_int = Y1_int;
    // 03310  IF Y2=5 THEN 3270
    if(Y2_int==5) goto Lbl_03270;
    // 03320  REM : SIMULATED LOSSES-NORTH
    // : simulated losses-north
    // 03330  LET C6=(2*C2/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    C6_int = (2*C2_int/5)*(1+1/(2*(ABS(Y2_int-Y_int)+1)));
    // 03340  LET C6=C6*(1.28+(5*M2/6)/(B(2)+1))
    C6_int = C6_int*(1.28+(5*M2_int/6)/(B_int_arr[(int)2]+1));
    // 03350  LET C6=INT(C6*(1+1/O2)+.5)
    C6_int = INT(C6_int*(1+1/O2_int)+0.5);
    // 03360  REM - IF LOSS > MEN PRESENT, RESCALE LOSSES
    // - if loss > men present, rescale losses
    // 03370  LET E2=100/O2
    E2_int = 100/O2_int;
    // 03380  IF INT(C6+E2)<M6 THEN 3440
    if(INT(C6_int+E2_int)<M6_int) goto Lbl_03440;
    // 03390  LET C6=INT(13*M6/20)
    C6_int = INT(13*M6_int/20);
    // 03400  LET E2=7*C6/13
    E2_int = 7*C6_int/13;
    // 03410  LET U2=1
    U2_int = 1;

  Lbl_03420:
    // 03420  REM - CALCULATE SIMULATED LOSSES
    // - calculate simulated losses
    // 03430  PRINT
    MyFpf(stdout,"\n");

  Lbl_03440:
    // 03440  PRINT : PRINT : PRINT ,"CONFEDERACY","UNION"
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"@confederacy@union\n");
    // 03470  LET C5=(2*C1/5)*(1+1/(2*(ABS(Y2-Y)+1)))
    C5_int = (2*C1_int/5)*(1+1/(2*(ABS(Y2_int-Y_int)+1)));
    // 03480  LET C5=INT(C5*(1+1/O)*(1.28+F1/(B(1)+1))+.5)
    C5_int = INT(C5_int*(1+1/O_int)*(1.28+F1_int/(B_int_arr[(int)1]+1))+0.5);
    // 03490  LET E=100/O
    E_int = 100/O_int;
    // 03500  IF C5+100/O<M1*(1+(P1-T1)/(M3+1)) THEN 3540
    if(C5_int+100/O_int<M1_int*(1+(P1_int-T1_int)/(M3_int+1))) goto Lbl_03540;
    // 03510  LET C5=INT(13*M1/20*(1+(P1-T1)/(M3+1)))
    C5_int = INT(13*M1_int/20*(1+(P1_int-T1_int)/(M3_int+1)));
    // 03520  LET E=7*C5/13
    E_int = 7*C5_int/13;
    // 03530  LET U=1
    U_int = 1;

  Lbl_03540:
    // 03540  IF D=1 THEN 3780
    if(D_int==1) goto Lbl_03780;

  Lbl_03550:
    // 03550  PRINT "CASUALTIES",C5,C6
    MyFpf(stdout,"casualties@%d@%d\n",C5_int,C6_int);
    // 03560  PRINT "DESERTIONS",INT(E),INT(E2)
    MyFpf(stdout,"desertions@%d@%d\n",INT(E_int),INT(E2_int));
    // 03570  PRINT
    MyFpf(stdout,"\n");
    // 03580  IF B$ <> "YES" THEN 3620
    if(strcmp(B_str,"yes")!=0) goto Lbl_03620;
    // 03590  PRINT "COMPARED TO THE ACTUAL CASUALTIES AT "C$
    MyFpf(stdout,"compared to the actual casualties at %s\n",C_str);
    // 03600  PRINT "CONFEDERATE:"INT(100*(C5/C1)+.5)"% OF THE ORIGINAL"
    MyFpf(stdout,"confederate:%d%% of the original\n",INT(100*(C5_int/C1_int)+0.5));
    // 03610  PRINT "UNION:      "INT(100*(C6/C2)+.5)"% OF THE ORIGINAL"
    MyFpf(stdout,"union:      %d%% of the original\n",INT(100*(C6_int/C2_int)+0.5));

  Lbl_03620:
    // 03620  PRINT
    MyFpf(stdout,"\n");
    // 03630  REM - 1 WHO ONE
    // - 1 who one
    // 03640  IF U <> 1 THEN 3660
    if(U_int!=1) goto Lbl_03660;
    // 03650  IF U2=1 THEN 3740
    if(U2_int==1) goto Lbl_03740;

  Lbl_03660:
    // 03660  IF U=1 THEN 3700
    if(U_int==1) goto Lbl_03700;
    // 03670  IF U2=1 THEN 3720
    if(U2_int==1) goto Lbl_03720;
    // 03680  IF C5+E=C6+E2 THEN 3740
    if(C5_int+E_int==C6_int+E2_int) goto Lbl_03740;
    // 03690  IF C5+E<C6+E2 THEN 3720
    if(C5_int+E_int<C6_int+E2_int) goto Lbl_03720;

  Lbl_03700:
    // 03700  PRINT "THE UNION WINS "C$
    MyFpf(stdout,"the union wins %s\n",C_str);
    // 03710  GOTO 3880
    goto Lbl_03880;

  Lbl_03720:
    // 03720  PRINT "THE CONFEDERACY WINS "C$
    MyFpf(stdout,"the confederacy wins %s\n",C_str);
    // 03730  GOTO 3940
    goto Lbl_03940;

  Lbl_03740:
    // 03740  PRINT "BATTLE OUTCOME UNRESOLVED"
    MyFpf(stdout,"battle outcome unresolved\n");
    // 03750  LET W0=W0+1
    W0_int = W0_int+1;
    // 03760  IF A=0 THEN 4070
    if(A_int==0) goto Lbl_04070;
    // 03770  GOTO 3960
    goto Lbl_03960;

  Lbl_03780:
    // 03780  LET C6=INT(17*C2*C1/(C5*20))
    C6_int = INT(17*C2_int*C1_int/(C5_int*20));
    // 03790  LET E2=5*O
    E2_int = 5*O_int;
    // 03800  GOTO 3550
    goto Lbl_03550;
    // 03840  REM - FIND WHO WON
    // - find who won

  Lbl_03880:
    // 03880  IF A=0 THEN 4070
    if(A_int==0) goto Lbl_04070;
    // 03890  LET L=L+1
    L_int = L_int+1;
    // 03900  GOTO 3960
    goto Lbl_03960;
    // 03920  REM - CUMULATIVE BATTLE FACTORS WHICH ALTER HISTORICAL
    // - cumulative battle factors which alter historical
    // 03930  REM  RESOURCES AVAILABLE.IF A REPLAY DON'T UPDATE.
    //  resources available.if a replay don't update.

  Lbl_03940:
    // 03940  IF A=0 THEN 4070
    if(A_int==0) goto Lbl_04070;
    // 03950  LET W=W+1
    W_int = W_int+1;

  Lbl_03960:
    // 03960  LET T1=T1+C5+E
    T1_int = T1_int+C5_int+E_int;
    // 03970  LET T2=T2+C6+E2
    T2_int = T2_int+C6_int+E2_int;
    // 03980  LET P1=P1+C1
    P1_int = P1_int+C1_int;
    // 03990  LET P2=P2+C2
    P2_int = P2_int+C2_int;
    // 04000  LET Q1=Q1+(F(1)+H(1)+B(1))
    Q1_int = Q1_int+(F_int_arr[(int)1]+H_int_arr[(int)1]+B_int_arr[(int)1]);
    // 04010  LET Q2=Q2+(F(2)+H(2)+B(2))
    Q2_int = Q2_int+(F_int_arr[(int)2]+H_int_arr[(int)2]+B_int_arr[(int)2]);
    // 04020  LET R1=R1+M1*(100-I1)/20
    R1_int = R1_int+M1_int*(100-I1_int)/20;
    // 04030  LET R2=R2+M2*(100-I2)/20
    R2_int = R2_int+M2_int*(100-I2_int)/20;
    // 04040  LET M3=M3+M1
    M3_int = M3_int+M1_int;
    // 04050  LET M4=M4+M2
    M4_int = M4_int+M2_int;
    // 04060  GOSUB 5620
    Routine_05620();

  Lbl_04070:
    // 04070  U=0:U2=0
    U_int = 0;
    U2_int = 0;
    // 04090  PRINT "---------------"
    MyFpf(stdout,"---------------\n");
    // 04100  GOTO 2000
    goto Lbl_02000;
    // 04110  REM------FINISH OFF
    //------finish off

  Lbl_04120:
    // 04120  PRINT "THE CONFEDERACY HAS SURRENDERED"
    MyFpf(stdout,"the confederacy has surrendered\n");
    // 04130  GOTO 4150
    goto Lbl_04150;

  Lbl_04150:
    // 04150  PRINT : PRINT : PRINT : PRINT : PRINT : PRINT
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    MyFpf(stdout,"\n");
    // 04210  PRINT "THE CONFEDERACY ";
    MyFpf(stdout,"the confederacy ");
    // 04220  PRINT "HAS WON "W" BATTLES AND LOST "L
    MyFpf(stdout,"has won %d battles and lost %d\n",W_int,L_int);
    // 04230  IF Y=5 THEN 4290
    if(Y_int==5) goto Lbl_04290;
    // 04240  IF Y2=5 THEN 4270
    if(Y2_int==5) goto Lbl_04270;
    // 04250  IF W <= L THEN 4290
    if(W_int<=L_int) goto Lbl_04290;
    // 04260  IF Y=5 THEN 4290
    if(Y_int==5) goto Lbl_04290;

  Lbl_04270:
    // 04270  PRINT "THE CONFEDERACY HAS WON THE WAR"
    MyFpf(stdout,"the confederacy has won the war\n");
    // 04280  GOTO 4300
    goto Lbl_04300;

  Lbl_04290:
    // 04290  PRINT "THE UNION HAS WON THE WAR"
    MyFpf(stdout,"the union has won the war\n");

  Lbl_04300:
    // 04300  PRINT
    MyFpf(stdout,"\n");
    // 04310  IF R1=0 THEN 4450
    if(R1_int==0) goto Lbl_04450;
    // 04320  PRINT "FOR THE "W+L+W0" BATTLES FOUGHT (EXCUDING RERUNS)"
    MyFpf(stdout,"for the %d battles fought (excuding reruns)\n",W_int+L_int+W0_int);
    // 04330  PRINT " "," "," ";
    MyFpf(stdout," @ @ ");
    // 04340  PRINT "CONFEDERACY"," UNION"
    MyFpf(stdout,"confederacy@ union\n");
    // 04350  PRINT "HISTORICAL LOSSES",INT(P1+.5),INT(P2+.5)
    MyFpf(stdout,"historical losses@%d@%d\n",INT(P1_int+0.5),INT(P2_int+0.5));
    // 04360  PRINT "SIMULATED LOSSES",INT(T1+.5),INT(T2+.5)
    MyFpf(stdout,"simulated losses@%d@%d\n",INT(T1_int+0.5),INT(T2_int+0.5));
    // 04370  PRINT
    MyFpf(stdout,"\n");
    // 04380  PRINT "    % OF ORIGINAL",INT(100*(T1/P1)+.5),INT(100*(T2/P2)+.5)
    MyFpf(stdout,"    %% of original@%d@%d\n",INT(100*(T1_int/P1_int)+0.5),INT(100*(T2_int/P2_int)+0.5));
    // 04390  IF B$="YES" THEN 4450
    if(strcmp(B_str,"yes")==0) goto Lbl_04450;
    // 04400  PRINT
    MyFpf(stdout,"\n");
    // 04410  PRINT "UNION INTELLIGENCE SUGGESTS THAT THE SOUTH USED "
    MyFpf(stdout,"union intelligence suggests that the south used \n");
    // 04420  PRINT "STRATEGIES 1, 2, 3, 4 IN THE FOLLOWING PERCENTAGES"
    MyFpf(stdout,"strategies 1, 2, 3, 4 in the following percentages\n");
    // 04430  PRINT S(1);S2(2);S(3);S(4)
    MyFpf(stdout,"%d%d%d%d\n",S_int_arr[(int)1],S2_int_arr[(int)2],S_int_arr[(int)3],S_int_arr[(int)4]);
    // 04440  REM---------------------------------
    //---------------------------------

  Lbl_04450:
    // 04450  STOP
    exit(1);
    // 04780  REM - HISTORICAL DATA...CAN ADD MORE (STRAT.,ETC) BY INSERTING
    // - historical data...can add more (strat.,etc) by inserting
    // 04790  REM   DATA STATEMENTS AFTER APPRO. INFO, AND ADJUSTING READ
    //   data statements after appro. info, and adjusting read
    // 04800  DATA "BULL RUN",18000,18500,1967,2708,1
    // 04810  DATA "SHILOH",40000.,44894.,10699,13047,3
    // 04820  DATA "SEVEN DAYS",95000.,115000.,20614,15849,3
    // 04830  DATA "SECOND BULL RUN",54000.,63000.,10000,14000,2
    // 04840  DATA "ANTIETAM",40000.,50000.,10000,12000,3
    // 04850  DATA "FREDERICKSBURG",75000.,120000.,5377,12653,1
    // 04860  DATA "MURFREESBORO",38000.,45000.,11000,12000,1
    // 04870  DATA "CHANCELLORSVILLE",32000,90000.,13000,17197,2
    // 04880  DATA "VICKSBURG",50000.,70000.,12000,19000,1
    // 04890  DATA "GETTYSBURG",72500.,85000.,20000,23000,3
    // 04900  DATA "CHICKAMAUGA",66000.,60000.,18000,16000,2
    // 04910  DATA "CHATTANOOGA",37000.,60000.,36700.,5800,2
    // 04920  DATA "SPOTSYLVANIA",62000.,110000.,17723,18000,2
    // 04930  DATA "ATLANTA",65000.,100000.,8500,3700,1

  Lbl_04940:
    // 04940  PRINT "JULY 21, 1861.  GEN. BEAUREGARD, COMMANDING THE SOUTH, MET"
    MyFpf(stdout,"july 21, 1861.  gen. beauregard, commanding the south, met\n");
    // 04950  PRINT "UNION FORCES WITH GEN. MCDOWELL IN A PREMATURE BATTLE AT"
    MyFpf(stdout,"union forces with gen. mcdowell in a premature battle at\n");
    // 04960  PRINT "BULL RUN. GEN. JACKSON HELPED PUSH BACK THE UNION ATTACK."
    MyFpf(stdout,"bull run. gen. jackson helped push back the union attack.\n");
    // 04970  GOTO 2390
    goto Lbl_02390;

  Lbl_04980:
    // 04980  PRINT "APRIL 6-7, 1862.  THE CONFEDERATE SURPRISE ATTACK AT"
    MyFpf(stdout,"april 6-7, 1862.  the confederate surprise attack at\n");
    // 04990  PRINT "SHILOH FAILED DUE TO POOR ORGANIZATION."
    MyFpf(stdout,"shiloh failed due to poor organization.\n");
    // 05000  GOTO 2390
    goto Lbl_02390;

  Lbl_05010:
    // 05010  PRINT "JUNE 25-JULY 1, 1862.  GENERAL LEE (CSA) UPHELD THE"
    MyFpf(stdout,"june 25-july 1, 1862.  general lee (csa) upheld the\n");
    // 05020  PRINT "OFFENSIVE THROUGHOUT THE BATTLE AND FORCED GEN. MCCLELLAN"
    MyFpf(stdout,"offensive throughout the battle and forced gen. mcclellan\n");
    // 05030  PRINT "AND THE UNION FORCES AWAY FROM RICHMOND."
    MyFpf(stdout,"and the union forces away from richmond.\n");
    // 05040  GOTO 2390
    goto Lbl_02390;

  Lbl_05050:
    // 05050  PRINT "AUG 29-30, 1862.  THE COMBINED CONFEDERATE FORCES UNDER";
    MyFpf(stdout,"aug 29-30, 1862.  the combined confederate forces under");
    // 05060  PRINT " LEE"
    MyFpf(stdout," lee\n");
    // 05070  PRINT "AND JACKSON DROVE THE UNION FORCES BACK INTO WASHINGTON."
    MyFpf(stdout,"and jackson drove the union forces back into washington.\n");
    // 05080  GOTO 2390
    goto Lbl_02390;

  Lbl_05090:
    // 05090  PRINT "SEPT 17, 1862.  THE SOUTH FAILED TO INCORPORATE MARYLAND"
    MyFpf(stdout,"sept 17, 1862.  the south failed to incorporate maryland\n");
    // 05100  PRINT "INTO THE CONFEDERACY."
    MyFpf(stdout,"into the confederacy.\n");
    // 05110  GOTO 2390
    goto Lbl_02390;

  Lbl_05120:
    // 05120  PRINT "DEC 13, 1862.  THE CONFEDERACY UNDER LEE SUCCESSFULLY"
    MyFpf(stdout,"dec 13, 1862.  the confederacy under lee successfully\n");
    // 05130  PRINT "REPULSED AN ATTACK BY THE UNION UNDER GEN. BURNSIDE."
    MyFpf(stdout,"repulsed an attack by the union under gen. burnside.\n");
    // 05140  GOTO 2390
    goto Lbl_02390;

  Lbl_05150:
    // 05150  PRINT "DEC 31, 1862.  THE SOUTH UNDER GEN. BRAGG WON A CLOSE ";
    MyFpf(stdout,"dec 31, 1862.  the south under gen. bragg won a close ");
    // 05160  PRINT "BATTLE."
    MyFpf(stdout,"battle.\n");
    // 05170  GOTO 2390
    goto Lbl_02390;

  Lbl_05180:
    // 05180  PRINT "MAY 1-6, 1863.  THE SOUTH HAD A COSTLY VICTORY AND LOST"
    MyFpf(stdout,"may 1-6, 1863.  the south had a costly victory and lost\n");
    // 05190  PRINT "ONE OF THEIR OUTSTANDING GENERALS, 'STONEWALL' JACKSON."
    MyFpf(stdout,"one of their outstanding generals, 'stonewall' jackson.\n");
    // 05200  GOTO 2390
    goto Lbl_02390;

  Lbl_05210:
    // 05210  PRINT "JULY 4, 1863.  VICKSBURG WAS A COSTLY DEFEAT FOR THE SOUTH"
    MyFpf(stdout,"july 4, 1863.  vicksburg was a costly defeat for the south\n");
    // 05220  PRINT "BECAUSE IT GAVE THE UNION ACCESS TO THE MISSISSIPPI."
    MyFpf(stdout,"because it gave the union access to the mississippi.\n");
    // 05230  GOTO 2390
    goto Lbl_02390;

  Lbl_05240:
    // 05240  PRINT "JULY 1-3, 1863.  A SOUTHERN MISTAKE BY GEN. LEE AT ";
    MyFpf(stdout,"july 1-3, 1863.  a southern mistake by gen. lee at ");
    // 05250  PRINT "GETTYSBURG"
    MyFpf(stdout,"gettysburg\n");
    // 05260  PRINT "COST THEM ONE OF THE MOST CRUCIAL BATTLES OF THE WAR."
    MyFpf(stdout,"cost them one of the most crucial battles of the war.\n");
    // 05270  GOTO 2390
    goto Lbl_02390;

  Lbl_05280:
    // 05280  PRINT "SEPT. 15, 1863. CONFUSION IN A FOREST NEAR CHICKAMAUGA LED"
    MyFpf(stdout,"sept. 15, 1863. confusion in a forest near chickamauga led\n");
    // 05290  PRINT "TO A COSTLY SOUTHERN VICTORY."
    MyFpf(stdout,"to a costly southern victory.\n");
    // 05300  GOTO 2390
    goto Lbl_02390;

  Lbl_05310:
    // 05310  PRINT "NOV. 25, 1863. AFTER THE SOUTH HAD SIEGED GEN. ROSENCRANS'"
    MyFpf(stdout,"nov. 25, 1863. after the south had sieged gen. rosencrans'\n");
    // 05320  PRINT "ARMY FOR THREE MONTHS, GEN. GRANT BROKE THE SIEGE."
    MyFpf(stdout,"army for three months, gen. grant broke the siege.\n");
    // 05330  GOTO 2390
    goto Lbl_02390;

  Lbl_05340:
    // 05340  PRINT "MAY 5, 1864.  GRANT'S PLAN TO KEEP LEE ISOLATED BEGAN TO"
    MyFpf(stdout,"may 5, 1864.  grant's plan to keep lee isolated began to\n");
    // 05350  PRINT "FAIL HERE, AND CONTINUED AT COLD HARBOR AND PETERSBURG."
    MyFpf(stdout,"fail here, and continued at cold harbor and petersburg.\n");
    // 05360  GOTO 2390
    goto Lbl_02390;

  Lbl_05370:
    // 05370  PRINT "AUGUST, 1864.  SHERMAN AND THREE VETERAN ARMIES CONVERGED"
    MyFpf(stdout,"august, 1864.  sherman and three veteran armies converged\n");
    // 05380  PRINT "ON ATLANTA AND DEALT THE DEATH BLOW TO THE CONFEDERACY."
    MyFpf(stdout,"on atlanta and dealt the death blow to the confederacy.\n");
    // 05390  GOTO 2390
    goto Lbl_02390;
    // 05400  END
};

//---------------------------------------------------------------------------
// End of $RCSfile: civilwar2.cpp,v $ 
//---------------------------------------------------------------------------
