/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Rabbit.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdbb00   A   01000 PRINT"DO YOU WANT INSTRUCTIONS :";
    0x00cdbbc0   A   01010 INPUT A$
    0x00cd19cc   A   01020 IF MID$(A$,1,1)="N" THEN 1220
    0x00cd1948   A   01030 IF MID$(A$,1,1)="n" THEN 1220
    0x00cdbfa8   A   01040 PRINT
    0x00cdc020   A   01050 PRINT
    0x00cdc13c   A   01060 PRINT"    This is the game of RABBIT.  The object of RABBIT is"
    0x00cdc238   A   01070 PRINT"to come within a certian distance of the computer controlled"
    0x00cdc338   A   01080 PRINT"rabbit, which also moves.  "
    0x00cdced8   A   01090 PRINT"    The way you do this is to hop around (the rabbit hops too) "
    0x00cdcff8   A   01100 PRINT"such that your path crosses the rabbit's path at the same time"
    0x00cdd0e4   A   01110 PRINT"Or in other words you come close enough to grab the little "
    0x00cdd1d4   A   01120 PRINT"booger.  "
    0x00cdd2f8   A   01130 PRINT"    Oh by the way your arms are about 20 units long.  The number"
    0x00cdd41c   A   01140 PRINT"'CLOSEST APPROACH' is the closest distance you and your bouncy"
    0x00cdd53c   A   01150 PRINT"friend came to each other during the last hop.  The 'DISTANCE"
    0x00cdd65c   A   01160 PRINT"TO RABBIT' is the distance you are from the rabbit now.  The"
    0x00cdd77c   A   01170 PRINT"rabbits 'DIRECTION' is the direction he is just about to hop,"
    0x00cdd894   A   01180 PRINT"so keep that in mind when jumping.  The computer will prompt"
    0x00cdd9b0   A   01190 PRINT"you for the direction you want to jump next.  Remember "
    0x00cddaa4   A   01200 PRINT"you and the rabbit don't necessarily jump at the same velocity."
    0x00cddb54   A   01210 PRINT"   GOOD LUCK"
    0x00cddbb8   A T 01220 PRINT
    0x00cddc84   A   01230 PRINT"                   TYPE 'QUIT' TO STOP."
    0x00cddcc4   A   01240 PRINT
    0x00cddd34   A   01250 RANDOMIZE
    0x00cddd9c   A   01260 REM -- ( `.T` IS THE SQUARE OF THE CAPTURE DISTANCE ) --
    0x00cddeb4   A   01270 LET T = 400
    0x00cddee8   A   01280 REM
    0x00cddf78   A   01290 REM -- INITIALIZE VELOCITIES AND POSITIONS --
    0x00cddfb8   A   01300 REM
    0x00cde3c8   A   01310 LET V1 = INT(RND(0)*10+0.5)*10+50
    0x00cde718   A   01320 LET V2 = (INT(RND(0)*2+0.5)+1)*V1
    0x00cdec38   A T 01330 LET X1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    0x00cdeff8   A   01340 LET Y1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    0x00cdf0c4   A   01350 IF Y1 = 0  THEN 1330
    0x00cdf1b8   A   01360 IF X1 = 0 THEN 1330
    0x00cdf2dc   A   01370 LET X2 = 0
    0x00cdf3f4   A   01380 LET Y2 = 0
    0x00cdf4c0   A   01390 PRINT"SPEEDS (UNITS/HOP):"
    0x00cdf664   A   01400 PRINT"RABBIT -";V1,"YOU -";V2
    0x00cdf6a0   A   01410 PRINT
    0x00cdf6dc   A   01420 PRINT
    0x00cdf730   A   01430 PRINT
    0x00cdfa0c   A   01440 LET C = (X2-X1)^2+(Y2-Y1)^2
    0x00cdfb90   A   01450 LET P1 = 3.14159/180
    0x00cdfc94   A   01460 LET H1 = 1
    0x00cdfcc8   A   01470 REM
    0x00cdfd24   A   01480 REM -- PRINT OUT --
    0x00cdfd64   A   01490 REM
    0x00cdff5c   A T 01500 LET D1 = INT(RND(0)*359)
    0x00ce001c   A   01510 PRINT"HOP#: ";
    0x00ce0134   A   01520 LET Z = H
    0x00ce0188   A   01530 GOSUB 2340
    0x00ce026c   A   01540 PRINT"    DISTANCE TO RABBIT: ";
    0x00ce0564   A   01550 LET Z = SQR((X2-X1)^2+(Y2-Y1)^2)
    0x00ce05b4   A   01560 GOSUB 2340
    0x00ce0684   A   01570 PRINT"    CLOSEST APPROACH: ";
    0x00ce073c   A   01580 LET Z = SQR(C)
    0x00ce0774   A   01590 GOSUB 2340
    0x00ce07c8   A   01600 PRINT
    0x00ce08a0   A   01610 PRINT"RABBIT   ---    POSITION:  (";
    0x00ce0930   A   01620 LET Z = X1
    0x00ce096c   A   01630 GOSUB 2290
    0x00ce0a24   A   01640 PRINT",";
    0x00ce0cb8   A   01650 LET Z = Y1
    0x00ce0d08   A   01660 GOSUB 2290
    0x00ce0dd4   A   01670 PRINT")     AND DIRECTION:  ";
    0x00ce0e64   A   01680 LET Z = D1
    0x00ce0e9c   A   01690 GOSUB 2340
    0x00ce0ef0   A   01700 PRINT
    0x00ce0fc8   A   01710 PRINT"YOU      ---    POSITION:  (";
    0x00ce1058   A   01720 LET Z = X2
    0x00ce1094   A   01730 GOSUB 2290
    0x00ce114c   A   01740 PRINT",";
    0x00ce11dc   A   01750 LET Z = Y2
    0x00ce122c   A   01760 GOSUB 2290
    0x00ce12f4   A   01770 PRINT")     AND DIRECTION: ";
    0x00ce1358   A   01780 GOTO 1800
    0x00ce1430   A T 01790 PRINT "DIRECTION TO HOP (0-359 DEGREES): ";
    0x00ce1498   A T 01800 INPUT A$
    0x00ce15bc   A   01810 DIM A(15)
    0x00ce196c   A   01820 LET A(1)=A(2)=A(3)=A(4)=A(5)=D2=0
    0x00ce1a28   A   01830 CHANGE A$ TO A
    0x00ce1bc0   A   01840 FOR I = 1 TO 15
    0x00ce1cbc   A   01850     IF A(I) = 0 THEN 1920
    0x00ce1ddc   A   01860     IF A(I) =113 THEN 2250
    0x00ce1efc   A   01870     IF A(I) = 81 THEN 2250
    0x00ce209c   A   01880     IF A(I)-48 < 0 THEN 1790
    0x00ce223c   A   01890     IF A(I)-48 > 9 THEN 1790
    0x00ce22a4   A   01900 NEXT I
    0x00ce22f8   A   01910 GO TO 1790
    0x00ce24b4   A T 01920 FOR J = 1 TO I-1
    0x00ce27e4   A   01930     D2=D2+(A(I-J)-48)*10^(J-1)
    0x00ce2834   A   01940 NEXT J
    0x00ce291c   A   01950 IF D2 < 0 THEN 1790
    0x00ce2a10   A   01960 IF D2 >= 360 THEN 1790
    0x00ce2a60   A   01970 PRINT
    0x00ce2a9c   A   01980 PRINT
    0x00ce2ad4   A   01990 REM
    0x00ce2b6c   A   02000 REM -- COMPUTE PATHS AND SEE IF THEY INTERSECT --
    0x00ce2bac   A   02010 REM
    0x00ce2e1c   A   02020 LET X3 = V1*COS(D1*P1)/100
    0x00ce306c   A   02030 LET Y3 = V1*SIN(D1*P1)/100
    0x00ce3278   A   02040 LET X4 = V2*COS(D2*P1)/100
    0x00ce3488   A   02050 LET Y4 = V2*SIN(D2*P1)/100
    0x00ce3718   A   02060 LET C = (X2-X1)^2+(Y2-Y1)^2
    0x00ce3844   A   02070 FOR I = 1 TO 100
    0x00ce3924   A   02080     LET X1 = X1+X3
    0x00ce39fc   A   02090     LET Y1 = Y1+Y3
    0x00ce3ad4   A   02100     LET X2 = X2+X4
    0x00ce3bc4   A   02110     LET Y2 = Y2+Y4
    0x00ce3e54   A   02120     IF C < (X2-X1)^2+(Y2-Y1)^2 THEN 2140
    0x00ce401c   A   02130     C = (X2-X1)^2+(Y2-Y1)^2
    0x00ce406c   A T 02140 NEXT I
    0x00ce4178   A   02150 LET H = H+1
    0x00ce420c   A   02160 IF C > T THEN 1500
    0x00ce425c   A   02170 PRINT
    0x00ce42a4   A   02180 PRINT
    0x00ce4360   A   02190 PRINT"**********"
    0x00ce441c   A   02200 PRINT"* GOT YA *"
    0x00ce44cc   A   02210 PRINT"**********"
    0x00ce4508   A   02220 PRINT
    0x00ce4544   A   02230 PRINT
    0x00ce4580   A   02240 PRINT
    0x00ce45ac   A T 02250 STOP
    0x00ce45e8  B    02260 REM
    0x00ce468c  B    02270 REM -- CONVERT NUMBERS TO STRINGS FOR CLEANER OUTPUT --
    0x00ce46cc  B    02280 REM
    0x00ce4bb4  B  G 02290 IF Z < 0 THEN 2320
    0x00ce4c8c  B    02300 PRINT "+";
    0x00ce4ccc  B    02310 GOTO 2340
    0x00ce4d84  B  T 02320 PRINT"-";
    0x00ce4e1c  B    02330 LET Z = -Z
    0x00ce4f58 CB  B 02340 LET Z = INT(Z+0.5)
    0x00ce5078 CB    02350 LET S$ = "0123456789"
    0x00ce51b0 CB    02360 FOR I = 1 TO 4
    0x00ce5418 CB    02370     LET W = INT(Z/10^(4-I))
    0x00ce55cc CB    02380     PRINT MID$(S$,W+1,1);
    0x00ce57f4 CB    02390     LET Z = Z-W*10^(4-I)
    0x00ce5844 CB    02400 NEXT I
    0x00ce5878 CB    02410 RETURN
    0x00ce58a8   A   02420 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01220      01020T, 01030T
     01330      01350T, 01360T
     01500      02160T
     01790      01880T, 01890T, 01910T, 01950T, 01960T
     01800      01780T
     01920      01850T
     02140      02120T
     02250      01860T, 01870T
     02290      01630G, 01660G, 01730G, 01760G
     02320      02290T
     02340      01530G, 01560G, 01590G, 01690G, 02310T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce470c   0x00ce470c   0x00ce4944   0x00ce4944 
   B) 0x00ce4904   0x00ce4910   0x00ce4940   0x00ce4940 
   C) 0x00ce4924   0x00ce4924   0x00ce4940   0x00ce4940 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine B!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce470c   0x00ce470c   0x00ce4944   0x00ce4944 
   B) 0x00ce4904   0x00ce4910   0x00ce4940   0x00ce4940 
   C) 0x00ce4924   0x00ce4924   0x00ce4940   0x00ce4940 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine B!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     02260 - 02410      16 
     02430 - 02430       1 
     02680 - 10000    7330 

 */



/*
 *  Symbol Table Listing for '..\basic\Rabbit.bas'
 *
    A     Array    Integer     {0,16} 
    A              Integer 
    A$             String  
    C              Integer 
    COS   Function Integer     args=1, float 
    D1             Integer 
    D2             Integer 
    H              Integer 
    H1             Integer 
    I              Integer 
    INT   Function Integer     args=1, float 
    J              Integer 
    MID$  Function String      args=2, char* int   
    P1             Float   
    RND   Function Integer     args=1, int   
    S$             String  
    SGN   Function Integer     args=1, int   
    SIN   Function Integer     args=1, float 
    SQR   Function Integer     args=1, float 
    T              Integer 
    V1             Integer 
    V2             Integer 
    W              Integer 
    X1             Integer 
    X2             Integer 
    X3             Integer 
    X4             Integer 
    Y1             Integer 
    Y2             Integer 
    Y3             Integer 
    Y4             Integer 
    Z              Integer 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Rabbit.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdbb00   A   01000 PRINT"DO YOU WANT INSTRUCTIONS :";
    0x00cdbbc0   A   01010 INPUT A$
    0x00cd19cc   A   01020 IF MID$(A$,1,1)="N" THEN 1220
    0x00cd1948   A   01030 IF MID$(A$,1,1)="n" THEN 1220
    0x00cdbfa8   A   01040 PRINT
    0x00cdc020   A   01050 PRINT
    0x00cdc13c   A   01060 PRINT"    This is the game of RABBIT.  The object of RABBIT is"
    0x00cdc238   A   01070 PRINT"to come within a certian distance of the computer controlled"
    0x00cdc338   A   01080 PRINT"rabbit, which also moves.  "
    0x00cdced8   A   01090 PRINT"    The way you do this is to hop around (the rabbit hops too) "
    0x00cdcff8   A   01100 PRINT"such that your path crosses the rabbit's path at the same time"
    0x00cdd0e4   A   01110 PRINT"Or in other words you come close enough to grab the little "
    0x00cdd1d4   A   01120 PRINT"booger.  "
    0x00cdd2f8   A   01130 PRINT"    Oh by the way your arms are about 20 units long.  The number"
    0x00cdd41c   A   01140 PRINT"'CLOSEST APPROACH' is the closest distance you and your bouncy"
    0x00cdd53c   A   01150 PRINT"friend came to each other during the last hop.  The 'DISTANCE"
    0x00cdd65c   A   01160 PRINT"TO RABBIT' is the distance you are from the rabbit now.  The"
    0x00cdd77c   A   01170 PRINT"rabbits 'DIRECTION' is the direction he is just about to hop,"
    0x00cdd894   A   01180 PRINT"so keep that in mind when jumping.  The computer will prompt"
    0x00cdd9b0   A   01190 PRINT"you for the direction you want to jump next.  Remember "
    0x00cddaa4   A   01200 PRINT"you and the rabbit don't necessarily jump at the same velocity."
    0x00cddb54   A   01210 PRINT"   GOOD LUCK"
    0x00cddbb8   A T 01220 PRINT
    0x00cddc84   A   01230 PRINT"                   TYPE 'QUIT' TO STOP."
    0x00cddcc4   A   01240 PRINT
    0x00cddd34   A   01250 RANDOMIZE
    0x00cddd9c   A   01260 REM -- ( `.T` IS THE SQUARE OF THE CAPTURE DISTANCE ) --
    0x00cddeb4   A   01270 LET T = 400
    0x00cddee8   A   01280 REM
    0x00cddf78   A   01290 REM -- INITIALIZE VELOCITIES AND POSITIONS --
    0x00cddfb8   A   01300 REM
    0x00cde3c8   A   01310 LET V1 = INT(RND(0)*10+0.5)*10+50
    0x00cde718   A   01320 LET V2 = (INT(RND(0)*2+0.5)+1)*V1
    0x00cdec38   A T 01330 LET X1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    0x00cdeff8   A   01340 LET Y1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    0x00cdf0c4   A   01350 IF Y1 = 0  THEN 1330
    0x00cdf1b8   A   01360 IF X1 = 0 THEN 1330
    0x00cdf2dc   A   01370 LET X2 = 0
    0x00cdf3f4   A   01380 LET Y2 = 0
    0x00cdf4c0   A   01390 PRINT"SPEEDS (UNITS/HOP):"
    0x00cdf664   A   01400 PRINT"RABBIT -";V1,"YOU -";V2
    0x00cdf6a0   A   01410 PRINT
    0x00cdf6dc   A   01420 PRINT
    0x00cdf730   A   01430 PRINT
    0x00cdfa0c   A   01440 LET C = (X2-X1)^2+(Y2-Y1)^2
    0x00cdfb90   A   01450 LET P1 = 3.14159/180
    0x00cdfc94   A   01460 LET H1 = 1
    0x00cdfcc8   A   01470 REM
    0x00cdfd24   A   01480 REM -- PRINT OUT --
    0x00cdfd64   A   01490 REM
    0x00cdff5c   A T 01500 LET D1 = INT(RND(0)*359)
    0x00ce001c   A   01510 PRINT"HOP#: ";
    0x00ce0134   A   01520 LET Z = H
    0x00ce0188   A   01530 GOSUB 2600
    0x00ce026c   A   01540 PRINT"    DISTANCE TO RABBIT: ";
    0x00ce0564   A   01550 LET Z = SQR((X2-X1)^2+(Y2-Y1)^2)
    0x00ce05b4   A   01560 GOSUB 2600
    0x00ce0684   A   01570 PRINT"    CLOSEST APPROACH: ";
    0x00ce073c   A   01580 LET Z = SQR(C)
    0x00ce0774   A   01590 GOSUB 2600
    0x00ce07c8   A   01600 PRINT
    0x00ce08a0   A   01610 PRINT"RABBIT   ---    POSITION:  (";
    0x00ce0930   A   01620 LET Z = X1
    0x00ce096c   A   01630 GOSUB 2439
    0x00ce0a24   A   01640 PRINT",";
    0x00ce0cb8   A   01650 LET Z = Y1
    0x00ce0d08   A   01660 GOSUB 2439
    0x00ce0dd4   A   01670 PRINT")     AND DIRECTION:  ";
    0x00ce0e64   A   01680 LET Z = D1
    0x00ce0e9c   A   01690 GOSUB 2600
    0x00ce0ef0   A   01700 PRINT
    0x00ce0fc8   A   01710 PRINT"YOU      ---    POSITION:  (";
    0x00ce1058   A   01720 LET Z = X2
    0x00ce1094   A   01730 GOSUB 2439
    0x00ce114c   A   01740 PRINT",";
    0x00ce11dc   A   01750 LET Z = Y2
    0x00ce122c   A   01760 GOSUB 2439
    0x00ce12f4   A   01770 PRINT")     AND DIRECTION: ";
    0x00ce1358   A   01780 GOTO 1800
    0x00ce1430   A T 01790 PRINT "DIRECTION TO HOP (0-359 DEGREES): ";
    0x00ce1498   A T 01800 INPUT A$
    0x00ce15bc   A   01810 DIM A(15)
    0x00ce196c   A   01820 LET A(1)=A(2)=A(3)=A(4)=A(5)=D2=0
    0x00ce1a28   A   01830 CHANGE A$ TO A
    0x00ce1bc0   A   01840 FOR I = 1 TO 15
    0x00ce1cbc   A   01850     IF A(I) = 0 THEN 1920
    0x00ce1ddc   A   01860     IF A(I) =113 THEN 2250
    0x00ce1efc   A   01870     IF A(I) = 81 THEN 2250
    0x00ce209c   A   01880     IF A(I)-48 < 0 THEN 1790
    0x00ce223c   A   01890     IF A(I)-48 > 9 THEN 1790
    0x00ce22a4   A   01900 NEXT I
    0x00ce22f8   A   01910 GO TO 1790
    0x00ce24b4   A T 01920 FOR J = 1 TO I-1
    0x00ce27e4   A   01930     D2=D2+(A(I-J)-48)*10^(J-1)
    0x00ce2834   A   01940 NEXT J
    0x00ce291c   A   01950 IF D2 < 0 THEN 1790
    0x00ce2a10   A   01960 IF D2 >= 360 THEN 1790
    0x00ce2a60   A   01970 PRINT
    0x00ce2a9c   A   01980 PRINT
    0x00ce2ad4   A   01990 REM
    0x00ce2b6c   A   02000 REM -- COMPUTE PATHS AND SEE IF THEY INTERSECT --
    0x00ce2bac   A   02010 REM
    0x00ce2e1c   A   02020 LET X3 = V1*COS(D1*P1)/100
    0x00ce306c   A   02030 LET Y3 = V1*SIN(D1*P1)/100
    0x00ce3278   A   02040 LET X4 = V2*COS(D2*P1)/100
    0x00ce3488   A   02050 LET Y4 = V2*SIN(D2*P1)/100
    0x00ce3718   A   02060 LET C = (X2-X1)^2+(Y2-Y1)^2
    0x00ce3844   A   02070 FOR I = 1 TO 100
    0x00ce3924   A   02080     LET X1 = X1+X3
    0x00ce39fc   A   02090     LET Y1 = Y1+Y3
    0x00ce3ad4   A   02100     LET X2 = X2+X4
    0x00ce3bc4   A   02110     LET Y2 = Y2+Y4
    0x00ce3e54   A   02120     IF C < (X2-X1)^2+(Y2-Y1)^2 THEN 2140
    0x00ce401c   A   02130     C = (X2-X1)^2+(Y2-Y1)^2
    0x00ce406c   A T 02140 NEXT I
    0x00ce4178   A   02150 LET H = H+1
    0x00ce420c   A   02160 IF C > T THEN 1500
    0x00ce425c   A   02170 PRINT
    0x00ce42a4   A   02180 PRINT
    0x00ce4360   A   02190 PRINT"**********"
    0x00ce441c   A   02200 PRINT"* GOT YA *"
    0x00ce44cc   A   02210 PRINT"**********"
    0x00ce4508   A   02220 PRINT
    0x00ce4544   A   02230 PRINT
    0x00ce4580   A   02240 PRINT
    0x00ce45ac   A T 02250 STOP
    0x00ce58a8   A   02420 END
    0x00ce8a60  B  G 02439 GOTO 2470 (Pseudo Goto)
    0x00ce45e8  B    02440 REM
    0x00ce468c  B    02450 REM -- CONVERT NUMBERS TO STRINGS FOR CLEANER OUTPUT --
    0x00ce46cc  B    02460 REM
    0x00ce4bb4  B  T 02470 IF Z < 0 THEN 2500
    0x00ce4c8c  B    02480 PRINT "+";
    0x00ce4ccc  B    02490 GOTO 2520
    0x00ce4d84  B  T 02500 PRINT"-";
    0x00ce4e1c  B    02510 LET Z = -Z
    0x00ce8818  B  T 02520 LET Z = INT(Z+0.5)
    0x00ce885c  B    02530 LET S$ = "0123456789"
    0x00ce88a4  B    02540 FOR I = 1 TO 4
    0x00ce88ec  B    02550     LET W = INT(Z/10^(4-I))
    0x00ce893c  B    02560     PRINT MID$(S$,W+1,1);
    0x00ce898c  B    02570     LET Z = Z-W*10^(4-I)
    0x00ce89d8  B    02580 NEXT I
    0x00ce8a0c  B    02590 RETURN
    0x00ce4f58 C   G 02600 LET Z = INT(Z+0.5)
    0x00ce5078 C     02610 LET S$ = "0123456789"
    0x00ce51b0 C     02620 FOR I = 1 TO 4
    0x00ce5418 C     02630     LET W = INT(Z/10^(4-I))
    0x00ce55cc C     02640     PRINT MID$(S$,W+1,1);
    0x00ce57f4 C     02650     LET Z = Z-W*10^(4-I)
    0x00ce5844 C     02660 NEXT I
    0x00ce5878 C     02670 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\rabbit.cpp,v 1.6 2011-10-16 22:43:31-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: rabbit.cpp,v $
// Revision 1.6  2011-10-16 22:43:31-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int_arr[16];// Comments?
int   A_int;        // Comments?
char* A_str;        // Comments?
int   C_int;        // Comments?
int   D1_int;       // Comments?
int   D2_int;       // Comments?
int   H_int;        // Comments?
int   H1_int;       // Comments?
int   I_int;        // Comments?
int   J_int;        // Comments?
float P1_flt;       // Comments?
char* S_str;        // Comments?
int   T_int;        // Comments?
int   V1_int;       // Comments?
int   V2_int;       // Comments?
int   W_int;        // Comments?
int   X1_int;       // Comments?
int   X2_int;       // Comments?
int   X3_int;       // Comments?
int   X4_int;       // Comments?
int   Y1_int;       // Comments?
int   Y2_int;       // Comments?
int   Y3_int;       // Comments?
int   Y4_int;       // Comments?
int   Z_int;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_02439();
void Routine_02600();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_02439(){
    // 02439 GOTO 2470 (Pseudo Goto)
    goto Lbl_02470;
    // 02440 REM
    //
    // 02450 REM -- CONVERT NUMBERS TO STRINGS FOR CLEANER OUTPUT --
    // -- convert numbers to strings for cleaner output --
    // 02460 REM
    //

  Lbl_02470:
    // 02470 IF Z < 0 THEN 2500
    if(Z_int<0) goto Lbl_02500;
    // 02480 PRINT "+";
    MyFpf(stdout,"+");
    // 02490 GOTO 2520
    goto Lbl_02520;

  Lbl_02500:
    // 02500 PRINT"-";
    MyFpf(stdout,"-");
    // 02510 LET Z = -Z
    Z_int = -Z_int;

  Lbl_02520:
    // 02520 LET Z = INT(Z+0.5)
    Z_int = INT(Z_int+0.5);
    // 02530 LET S$ = "0123456789"
    GLBpStr="0123456789";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 02540 FOR I = 1 TO 4
    for(I_int=1;I_int<=4;I_int++){
        // 02550     LET W = INT(Z/10^(4-I))
        W_int = INT(Z_int/IPower(10,(4-I_int)));
        // 02560     PRINT MID$(S$,W+1,1);
        MyFpf(stdout,"%s",MID_str(S_str,W_int+1,1));
        // 02570     LET Z = Z-W*10^(4-I)
        Z_int = Z_int-W_int*IPower(10,(4-I_int));
        // 02580 NEXT I
    }; // End-For(I_int)
    // 02590 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_02600(){
    // 02600 LET Z = INT(Z+0.5)
    Z_int = INT(Z_int+0.5);
    // 02610 LET S$ = "0123456789"
    GLBpStr="0123456789";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 02620 FOR I = 1 TO 4
    for(I_int=1;I_int<=4;I_int++){
        // 02630     LET W = INT(Z/10^(4-I))
        W_int = INT(Z_int/IPower(10,(4-I_int)));
        // 02640     PRINT MID$(S$,W+1,1);
        MyFpf(stdout,"%s",MID_str(S_str,W_int+1,1));
        // 02650     LET Z = Z-W*10^(4-I)
        Z_int = Z_int-W_int*IPower(10,(4-I_int));
        // 02660 NEXT I
    }; // End-For(I_int)
    // 02670 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 PRINT"DO YOU WANT INSTRUCTIONS :";
    MyFpf(stdout,"do you want instructions :");
    // 01010 INPUT A$
    // Start of Basic INPUT statement 01010
    printf(" ? ");
    char inpbuf_01010[100];
    if(fgets(inpbuf_01010,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01010=strtok(inpbuf_01010," ,\t\n");
        if(ps_01010==NULL){
            A_str = "";
        }else{
            A_str = ps_01010;
        };
    }; // End of Basic INPUT statement 01010
    // 01020 IF MID$(A$,1,1)="N" THEN 1220
    if(strcmp(MID_str(A_str,1,1),"n")==0) goto Lbl_01220;
    // 01030 IF MID$(A$,1,1)="n" THEN 1220
    if(strcmp(MID_str(A_str,1,1),"n")==0) goto Lbl_01220;
    // 01040 PRINT
    MyFpf(stdout,"\n");
    // 01050 PRINT
    MyFpf(stdout,"\n");
    // 01060 PRINT"    This is the game of RABBIT.  The object of RABBIT is"
    MyFpf(stdout,"    this is the game of rabbit.  the object of rabbit is\n");
    // 01070 PRINT"to come within a certian distance of the computer controlled"
    MyFpf(stdout,"to come within a certian distance of the computer controlled\n");
    // 01080 PRINT"rabbit, which also moves.  "
    MyFpf(stdout,"rabbit, which also moves.  \n");
    // 01090 PRINT"    The way you do this is to hop around (the rabbit hops too) "
    MyFpf(stdout,"    the way you do this is to hop around (the rabbit hops too) \n");
    // 01100 PRINT"such that your path crosses the rabbit's path at the same time"
    MyFpf(stdout,"such that your path crosses the rabbit's path at the same time\n");
    // 01110 PRINT"Or in other words you come close enough to grab the little "
    MyFpf(stdout,"or in other words you come close enough to grab the little \n");
    // 01120 PRINT"booger.  "
    MyFpf(stdout,"booger.  \n");
    // 01130 PRINT"    Oh by the way your arms are about 20 units long.  The number"
    MyFpf(stdout,"    oh by the way your arms are about 20 units long.  the number\n");
    // 01140 PRINT"'CLOSEST APPROACH' is the closest distance you and your bouncy"
    MyFpf(stdout,"'closest approach' is the closest distance you and your bouncy\n");
    // 01150 PRINT"friend came to each other during the last hop.  The 'DISTANCE"
    MyFpf(stdout,"friend came to each other during the last hop.  the 'distance\n");
    // 01160 PRINT"TO RABBIT' is the distance you are from the rabbit now.  The"
    MyFpf(stdout,"to rabbit' is the distance you are from the rabbit now.  the\n");
    // 01170 PRINT"rabbits 'DIRECTION' is the direction he is just about to hop,"
    MyFpf(stdout,"rabbits 'direction' is the direction he is just about to hop,\n");
    // 01180 PRINT"so keep that in mind when jumping.  The computer will prompt"
    MyFpf(stdout,"so keep that in mind when jumping.  the computer will prompt\n");
    // 01190 PRINT"you for the direction you want to jump next.  Remember "
    MyFpf(stdout,"you for the direction you want to jump next.  remember \n");
    // 01200 PRINT"you and the rabbit don't necessarily jump at the same velocity."
    MyFpf(stdout,"you and the rabbit don't necessarily jump at the same velocity.\n");
    // 01210 PRINT"   GOOD LUCK"
    MyFpf(stdout,"   good luck\n");

  Lbl_01220:
    // 01220 PRINT
    MyFpf(stdout,"\n");
    // 01230 PRINT"                   TYPE 'QUIT' TO STOP."
    MyFpf(stdout,"                   type 'quit' to stop.\n");
    // 01240 PRINT
    MyFpf(stdout,"\n");
    // 01250 RANDOMIZE
    char ranbuf_01250[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01250,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01250); 
        srand(seed); 
    } 
    // 01260 REM -- ( `.T` IS THE SQUARE OF THE CAPTURE DISTANCE ) --
    // -- ( `.t` is the square of the capture distance ) --
    // 01270 LET T = 400
    T_int = 400;
    // 01280 REM
    //
    // 01290 REM -- INITIALIZE VELOCITIES AND POSITIONS --
    // -- initialize velocities and positions --
    // 01300 REM
    //
    // 01310 LET V1 = INT(RND(0)*10+0.5)*10+50
    V1_int = INT(RND(0)*10+0.5)*10+50;
    // 01320 LET V2 = (INT(RND(0)*2+0.5)+1)*V1
    V2_int = (INT(RND(0)*2+0.5)+1)*V1_int;

  Lbl_01330:
    // 01330 LET X1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    X1_int = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5);
    // 01340 LET Y1 = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5)
    Y1_int = (INT(RND(0)*400)+100)*SGN(RND(0)-0.5);
    // 01350 IF Y1 = 0  THEN 1330
    if(Y1_int==0) goto Lbl_01330;
    // 01360 IF X1 = 0 THEN 1330
    if(X1_int==0) goto Lbl_01330;
    // 01370 LET X2 = 0
    X2_int = 0;
    // 01380 LET Y2 = 0
    Y2_int = 0;
    // 01390 PRINT"SPEEDS (UNITS/HOP):"
    MyFpf(stdout,"speeds (units/hop):\n");
    // 01400 PRINT"RABBIT -";V1,"YOU -";V2
    MyFpf(stdout,"rabbit -%d@you -%d\n",V1_int,V2_int);
    // 01410 PRINT
    MyFpf(stdout,"\n");
    // 01420 PRINT
    MyFpf(stdout,"\n");
    // 01430 PRINT
    MyFpf(stdout,"\n");
    // 01440 LET C = (X2-X1)^2+(Y2-Y1)^2
    C_int = IPower((X2_int-X1_int),2)+IPower((Y2_int-Y1_int),2);
    // 01450 LET P1 = 3.14159/180
    P1_flt = 3.14159/180;
    // 01460 LET H1 = 1
    H1_int = 1;
    // 01470 REM
    //
    // 01480 REM -- PRINT OUT --
    // -- print out --
    // 01490 REM
    //

  Lbl_01500:
    // 01500 LET D1 = INT(RND(0)*359)
    D1_int = INT(RND(0)*359);
    // 01510 PRINT"HOP#: ";
    MyFpf(stdout,"hop#: ");
    // 01520 LET Z = H
    Z_int = H_int;
    // 01530 GOSUB 2600
    Routine_02600();
    // 01540 PRINT"    DISTANCE TO RABBIT: ";
    MyFpf(stdout,"    distance to rabbit: ");
    // 01550 LET Z = SQR((X2-X1)^2+(Y2-Y1)^2)
    Z_int = SQR(IPower((X2_int-X1_int),2)+IPower((Y2_int-Y1_int),2));
    // 01560 GOSUB 2600
    Routine_02600();
    // 01570 PRINT"    CLOSEST APPROACH: ";
    MyFpf(stdout,"    closest approach: ");
    // 01580 LET Z = SQR(C)
    Z_int = SQR(C_int);
    // 01590 GOSUB 2600
    Routine_02600();
    // 01600 PRINT
    MyFpf(stdout,"\n");
    // 01610 PRINT"RABBIT   ---    POSITION:  (";
    MyFpf(stdout,"rabbit   ---    position:  (");
    // 01620 LET Z = X1
    Z_int = X1_int;
    // 01630 GOSUB 2439
    Routine_02439();
    // 01640 PRINT",";
    MyFpf(stdout,",");
    // 01650 LET Z = Y1
    Z_int = Y1_int;
    // 01660 GOSUB 2439
    Routine_02439();
    // 01670 PRINT")     AND DIRECTION:  ";
    MyFpf(stdout,")     and direction:  ");
    // 01680 LET Z = D1
    Z_int = D1_int;
    // 01690 GOSUB 2600
    Routine_02600();
    // 01700 PRINT
    MyFpf(stdout,"\n");
    // 01710 PRINT"YOU      ---    POSITION:  (";
    MyFpf(stdout,"you      ---    position:  (");
    // 01720 LET Z = X2
    Z_int = X2_int;
    // 01730 GOSUB 2439
    Routine_02439();
    // 01740 PRINT",";
    MyFpf(stdout,",");
    // 01750 LET Z = Y2
    Z_int = Y2_int;
    // 01760 GOSUB 2439
    Routine_02439();
    // 01770 PRINT")     AND DIRECTION: ";
    MyFpf(stdout,")     and direction: ");
    // 01780 GOTO 1800
    goto Lbl_01800;

  Lbl_01790:
    // 01790 PRINT "DIRECTION TO HOP (0-359 DEGREES): ";
    MyFpf(stdout,"direction to hop (0-359 degrees): ");

  Lbl_01800:
    // 01800 INPUT A$
    // Start of Basic INPUT statement 01800
    printf(" ? ");
    char inpbuf_01800[100];
    if(fgets(inpbuf_01800,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01800=strtok(inpbuf_01800," ,\t\n");
        if(ps_01800==NULL){
            A_str = "";
        }else{
            A_str = ps_01800;
        };
    }; // End of Basic INPUT statement 01800
    // 01810 DIM A(15)
    // 01820 LET A(1)=A(2)=A(3)=A(4)=A(5)=D2=0
    D2_int = A_int_arr[(int)5] = A_int_arr[(int)4] = A_int_arr[(int)3] = A_int_arr[(int)2] = A_int_arr[(int)1] = 0;
    // 01830 CHANGE A$ TO A
    if(A_str!=NULL){
        for(int i=1;(i<=(int)strlen(A_str))&&(i<=16);i++){
            A_int_arr[i]=(int)A_str[i-1];
        }
    }
    // 01840 FOR I = 1 TO 15
    for(I_int=1;I_int<=15;I_int++){
        // 01850     IF A(I) = 0 THEN 1920
        if(A_int_arr[(int)I_int]==0) goto Lbl_01920;
        // 01860     IF A(I) =113 THEN 2250
        if(A_int_arr[(int)I_int]==113) goto Lbl_02250;
        // 01870     IF A(I) = 81 THEN 2250
        if(A_int_arr[(int)I_int]==81) goto Lbl_02250;
        // 01880     IF A(I)-48 < 0 THEN 1790
        if(A_int_arr[(int)I_int]-48<0) goto Lbl_01790;
        // 01890     IF A(I)-48 > 9 THEN 1790
        if(A_int_arr[(int)I_int]-48>9) goto Lbl_01790;
        // 01900 NEXT I
    }; // End-For(I_int)
    // 01910 GO TO 1790
    goto Lbl_01790;

  Lbl_01920:
    // 01920 FOR J = 1 TO I-1
    for(J_int=1;J_int<=I_int-1;J_int++){
        // 01930     D2=D2+(A(I-J)-48)*10^(J-1)
        D2_int = D2_int+(A_int_arr[(int)I_int-J_int]-48)*IPower(10,(J_int-1));
        // 01940 NEXT J
    }; // End-For(J_int)
    // 01950 IF D2 < 0 THEN 1790
    if(D2_int<0) goto Lbl_01790;
    // 01960 IF D2 >= 360 THEN 1790
    if(D2_int>=360) goto Lbl_01790;
    // 01970 PRINT
    MyFpf(stdout,"\n");
    // 01980 PRINT
    MyFpf(stdout,"\n");
    // 01990 REM
    //
    // 02000 REM -- COMPUTE PATHS AND SEE IF THEY INTERSECT --
    // -- compute paths and see if they intersect --
    // 02010 REM
    //
    // 02020 LET X3 = V1*COS(D1*P1)/100
    X3_int = V1_int*COS(D1_int*P1_flt)/100;
    // 02030 LET Y3 = V1*SIN(D1*P1)/100
    Y3_int = V1_int*SIN(D1_int*P1_flt)/100;
    // 02040 LET X4 = V2*COS(D2*P1)/100
    X4_int = V2_int*COS(D2_int*P1_flt)/100;
    // 02050 LET Y4 = V2*SIN(D2*P1)/100
    Y4_int = V2_int*SIN(D2_int*P1_flt)/100;
    // 02060 LET C = (X2-X1)^2+(Y2-Y1)^2
    C_int = IPower((X2_int-X1_int),2)+IPower((Y2_int-Y1_int),2);
    // 02070 FOR I = 1 TO 100
    for(I_int=1;I_int<=100;I_int++){
        // 02080     LET X1 = X1+X3
        X1_int = X1_int+X3_int;
        // 02090     LET Y1 = Y1+Y3
        Y1_int = Y1_int+Y3_int;
        // 02100     LET X2 = X2+X4
        X2_int = X2_int+X4_int;
        // 02110     LET Y2 = Y2+Y4
        Y2_int = Y2_int+Y4_int;
        // 02120     IF C < (X2-X1)^2+(Y2-Y1)^2 THEN 2140
        if(C_int<IPower((X2_int-X1_int),2)+IPower((Y2_int-Y1_int),2)) goto Lbl_02140;
        // 02130     C = (X2-X1)^2+(Y2-Y1)^2
        C_int = IPower((X2_int-X1_int),2)+IPower((Y2_int-Y1_int),2);

  Lbl_02140:
        // 02140 NEXT I
    }; // End-For(I_int)
    // 02150 LET H = H+1
    H_int = H_int+1;
    // 02160 IF C > T THEN 1500
    if(C_int>T_int) goto Lbl_01500;
    // 02170 PRINT
    MyFpf(stdout,"\n");
    // 02180 PRINT
    MyFpf(stdout,"\n");
    // 02190 PRINT"**********"
    MyFpf(stdout,"**********\n");
    // 02200 PRINT"* GOT YA *"
    MyFpf(stdout,"* got ya *\n");
    // 02210 PRINT"**********"
    MyFpf(stdout,"**********\n");
    // 02220 PRINT
    MyFpf(stdout,"\n");
    // 02230 PRINT
    MyFpf(stdout,"\n");
    // 02240 PRINT
    MyFpf(stdout,"\n");

  Lbl_02250:
    // 02250 STOP
    exit(1);
    // 02420 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: rabbit.cpp,v $ 
//---------------------------------------------------------------------------
