/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\XStrek.bas: 
 *
               +-------+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |       | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |       | |
      Address  v       v v Original BASIC statement
    ---------- --------- - ------------------------------------------------------------------------------
    0x00cdba50         A   01000   REM (VERSION "STREK7", 1/12/75 RCL)
    0x00cdba90         A   01010   REM
    0x00cdbad0         A   01020   REM
    0x00cdbb2c         A   01030   REM ***         *** STAR TREK ***       ***
    0x00cdbbd8         A   01040   REM *** SIMULATION OF A MISSION OF THE STARSHIP ENTERPRISE.
    0x00cdbc64         A   01050   REM *** AS SEEN ON THE STAR TREK TV SHOW.
    0x00cdbd10         A   01060   REM *** ORIGINAL PROGRAM BY MIKE MAYFIELD, MODIFIED VERSION
    0x00cdbdbc         A   01070   REM *** PUBLISHED IN DEC'S "101 BASIC GAMES", BY DAVE AHL.
    0x00cdbe68         A   01080   REM ***   MODIFICATIONS TO THE LATTER (PLUS DEBUGGING) BY
    0x00cdc980         A   01090   REM ***      BOB LEEDOM -- APRIL & DECEMBER 1974,
    0x00cdca14         A   01100   REM ***  WITH A LITTLE HELP FROM HIS FRIENDS...
    0x00cdcac0         A   01110   REM *** COMMENTS, EPITHETS, AND SUGGESTIONS SOLICITED --
    0x00cdcb3c         A   01120   REM *** ADDRESS TO:   R.C.LEEDOM
    0x00cdcbe8         A   01130   REM ***     WESTINGHOUSE DEFENSE & ELECTRONIC SYSTEMS CNTR.
    0x00cdcc84         A   01140   REM ***     BOX 746, M.S. 338   BALTIMORE, MD 21203
    0x00cdccf4         A   01150   RANDOMIZE
    0x00cdce8c         A   01160   PRINT TAB(15); "* * * STAR TREK * * *"
    0x00cdcef0         A   01170   PRINT
    0x00cdcfd0         A   01180   PRINT "DO YOU NEED INSTRUCTIONS (YES/NO)";
    0x00cdd090         A   01190   INPUT A$
    0x00cdd16c         A   01200   IF A$ <> "YES" GOTO 1280
    0x00cdd278         A   01210   PRINT "PLEASE WAIT  . . .";
    0x00cdd2d0         A   01220   CHAIN "DSK:STINST.BAS"
    0x00cdd318         A   01230   PRINT
    0x00cdd350       C A   01240   REM
    0x00cdd40c       C A   01250   REM ===============================================================
    0x00cdd44c       C A   01260   REM
    0x00cdd4c0       C A T 01270   REM  PROGRAM BEGINS HERE .....
    0x00cdd5e4       C A T 01280   DIM Q$(8)
    0x00cdd758       C A   01290   FOR I = 1 TO 8
    0x00cdd8b8       C A   01300       Q$(I) = SPACE$(24)
    0x00cdd908       C A   01310   NEXT I
    0x00cddf14       C A   01320   DIM G(8, 8), C(9, 2), K(3, 3), N(3), Z(8, 8)
    0x00cde378       C A   01330   LET T = INT(RND(1) * 20 + 20) * 100
    0x00cde500       C A   01340   LET P1 = 3.14159 / 4
    0x00cde5d4       C A   01350   LET T0 = T
    0x00cde6e0       C A   01360   LET T9 = 30
    0x00cde7f0       C A   01370   LET D0 = 0
    0x00cde8fc       C A   01380   LET E0 = 3000
    0x00cde9d0       C A   01390   LET E = E0
    0x00cdeadc       C A   01400   LET P = 10
    0x00cdebb4       C A   01410   LET P0 = P
    0x00cdecc0       C A   01420   LET S9 = 200
    0x00cdedfc       C A   01430   LET S = 0
    0x00cdf334       C A   01440   DEF FND (D) = SQR((K(I, 1) - S1) ^ 2 + (K(I, 2) - S2) ^ 2)
    0x00cdf374       C A   01450   REM
    0x00cdf430       C A   01460   REM ===============================================================
    0x00cdf470       C A   01470   REM
    0x00cdf4f4       C A   01480   REM INITIALIZE INTERPRISE'S POSITION
    0x00cdf784       C A   01490   LET Q1 = INT(RND(1) * 8 + 1)
    0x00cdf9ec       C A   01500   LET Q2 = INT(RND(1) * 8 + 1)
    0x00cdfc10       C A   01510   LET S1 = INT(RND(1) * 8 + 1)
    0x00cdfe20       C A   01520   LET S2 = INT(RND(1) * 8 + 1)
    0x00cdfeb4       C A   01530   MAT C = ZER
    0x00ce0130       C A   01540   LET C(4, 1) = -1
    0x00ce02c0       C A   01550   LET C(3, 1) = -1
    0x00ce0450       C A   01560   LET C(2, 1) = -1
    0x00ce05e0       C A   01570   LET C(4, 2) = -1
    0x00ce0770       C A   01580   LET C(5, 2) = -1
    0x00ce08fc       C A   01590   LET C(6, 2) = -1
    0x00ce0a88       C A   01600   LET C(1, 2) = 1
    0x00ce0c14       C A   01610   LET C(2, 2) = 1
    0x00ce0da0       C A   01620   LET C(6, 1) = 1
    0x00ce0f2c       C A   01630   LET C(7, 1) = 1
    0x00ce10b8       C A   01640   LET C(8, 1) = 1
    0x00ce1448       C A   01650   LET C(8, 2) = 1
    0x00ce15d0       C A   01660   LET C(9, 2) = 1
    0x00ce16e0       C A   01670   DIM D(8)
    0x00ce180c       C A   01680   FOR I = 1 TO 8
    0x00ce1900       C A   01690       LET D(I) = 0
    0x00ce1950       C A   01700   NEXT I
    0x00ce1a6c       C A   01710   DIM D$(8)
    0x00ce1ad8       C A   01720   RESTORE
    0x00ce1f8c       C A   01730   READ D$(1), D$(2), D$(3), D$(4), D$(5), D$(6), D$(7), D$(8)
    0x00ce21d0       C A   01740   DATA "WARP ENGINES","S.R. SENSORS","L.R. SENSORS","PHASER CNTRL"
    0x00ce23e4       C A   01750   DATA "PHOTON TUBES","DAMAGE CNTRL","SHIELD CNTRL","COMPUTER    "
    0x00ce24fc       C A   01760   LET G4$ = "III"
    0x00ce260c       C A   01770   DIM G1$(16)
    0x00ce2734       C A   01780   FOR I = 1 TO 16
    0x00ce27c8       C A   01790       READ G1$(I)
    0x00ce2814       C A   01800   NEXT I
    0x00ce2bd4       C A   01810   DATA "ANTARES","SIRIUS","RIGEL","DENEB","PROCYON","CAPELLA","VEGA"
    0x00ce2e6c       C A   01820   DATA "BETELGEUSE","CANOPUS","ALDEBARAN","ALTAIR","REGULUS"
    0x00ce306c       C A   01830   DATA "SAGITTARIUS","ARCTURUS","POLLUX","SPICA"
    0x00ce3178       C A   01840   LET B9 = 0
    0x00ce3290       C A   01850   LET K9 = 0
    0x00ce33a4       C A   01860   LET A1$ = "NSLPTSDCX"
    0x00ce33d8       C A   01870   REM
    0x00ce3494       C A   01880   REM ===============================================================
    0x00ce34d4       C A   01890   REM
    0x00ce3558       C A   01900   REM  SET UP WHAT EXISTS IN GALAXY ...
    0x00ce36a0       C A   01910   FOR I = 1 TO 8
    0x00ce381c       C A   01920       FOR J = 1 TO 8
    0x00ce3968       C A   01930       LET R1 = RND(1)
    0x00ce3a34       C A   01940       IF R1 > .98 GOTO 1990
    0x00ce3b30       C A   01950       IF R1 > .95 GOTO 2020
    0x00ce3c2c       C A   01960       IF R1 > .8 GOTO 2050
    0x00ce3d60       C A   01970       LET K3 = 0
    0x00ce3da4       C A   01980       GOTO 2070
    0x00ce3e70       C A T 01990       LET K3 = 3
    0x00ce3f80       C A   02000       LET K9 = K9 + 3
    0x00ce3fc4       C A   02010       GOTO 2070
    0x00cddfd4       C A T 02020       LET K3 = 2
    0x00ce40b4       C A   02030       LET K9 = K9 + 2
    0x00ce40f8       C A   02040       GOTO 2070
    0x00ce41c4       C A T 02050       LET K3 = 1
    0x00ce42d8       C A   02060       LET K9 = K9 + 1
    0x00ce43d8       C A T 02070       LET R1 = RND(1)
    0x00ce44a4       C A   02080       IF R1 > .96 GOTO 2110
    0x00ce45d8       C A   02090       LET B3 = 0
    0x00ce461c       C A   02100       GOTO 2130
    0x00ce46e8       C A T 02110       LET B3 = 1
    0x00ce480c       C A   02120       LET B9 = B9 + 1
    0x00ce4a80       C A T 02130       LET S3 = INT(RND(1) * 8 + 1)
    0x00ce4d04       C A   02140       LET G(I, J) = K3 * 100 + B3 * 10 + S3
    0x00ce4d5c       C A   02150       REM K3=#KLINGONS B3=#STARBASES S3=#STARS
    0x00ce4e78       C A   02160       LET Z(I, J) = 0
    0x00ce4ec8       C A   02170       NEXT J
    0x00ce4f28       C A   02180   NEXT I
    0x00ce5010       C A   02190   LET K7 = K9
    0x00ce5130       C A   02200   LET X$ = ""
    0x00ce5254       C A   02210   LET X0$ = " IS "
    0x00ce5320       C A   02220   IF B9 <> 0 GOTO 2280
    0x00ce5418       C A   02230   LET B9 = 1
    0x00ce55a4       C A   02240   IF G(6, 3) >= 200 GOTO 2270
    0x00ce5864       C A   02250   LET G(6, 3) = G(6, 3) + 100
    0x00ce5980       C A   02260   LET K9 = K9 + 1
    0x00ce5c14       C A T 02270   LET G(6, 3) = G(6, 3) + 10
    0x00ce5ce0       C A T 02280   IF B9 = 1 GOTO 2330
    0x00ce61e4       C A   02290   LET X$ = "S"
    0x00ce62b8       C A   02300   LET X0$ = " ARE "
    0x00ce6364       C A   02310   PRINT " "
    0x00ce642c       C A   02320   PRINT " "
    0x00ce64f4       C A T 02330   PRINT "YOUR ORDERS ARE AS FOLLOWS:"
    0x00ce65e0       C A   02340   PRINT " "
    0x00ce67b0       C A   02350   PRINT "    DESTROY THE "; K9; " KLINGON WARSHIPS WHICH HAVE INVADED"
    0x00ce68dc       C A   02360   PRINT "  THE GALAXY BEFORE THEY CAN ATTACK FEDERATION HEADQUARTERS"
    0x00ce6be0       C A   02370   PRINT "  ON STARDATE"; T0 + T9; "; THIS GIVES YOU"; T9; " DAYS.  THERE"; X0$
    0x00ce6e30       C A   02380   PRINT " "; B9; "STARBASE"; X$; " IN THE GALAXY FOR RESUPPLYING YOUR SHIP."
    0x00ce6f0c       C A   02390   PRINT " "
    0x00ce6ff8       C A   02400   PRINT "HIT 'RETURN' WHEN READY TO ASSUME COMMAND ---";
    0x00ce705c       C A   02410   INPUT A$
    0x00ce7094       C A   02420   REM
    0x00ce7150       C A   02430   REM ===============================================================
    0x00ce7190       C A   02440   REM
    0x00ce7224       C A   02450   REM *** HERE ANY TIME ENTER NEW QUADRANT ...
    0x00ce730c       C A T 02460   LET Z4 = Q1
    0x00ce73e0       C A   02470   LET Z5 = Q2
    0x00ce74a8       C A   02480   LET K3 = 0
    0x00ce7570       C A   02490   LET B3 = 0
    0x00ce7638       C A   02500   LET S3 = 0
    0x00ce7750       C A   02510   LET G5 = 0
    0x00ce7904       C A   02520   LET D4 = .5 * RND(1)
    0x00ce7a7c       C A   02530   FOR I7 = 1 TO 8
    0x00ce7b98       C A   02540       Q$(I7) = SPACE$(24)
    0x00ce7be8       C A   02550   NEXT I7
    0x00ce7cd0       C A   02560   IF Q1 < 1 GOTO 2770
    0x00ce7dc4       C A   02570   IF Q1 > 8 GOTO 2770
    0x00ce7eb8       C A   02580   IF Q2 < 1 GOTO 2770
    0x00ce7fac       C A   02590   IF Q2 > 8 GOTO 2770
    0x00ce10f8       C A   02600   GOSUB 10960
    0x00ce11a0       C A   02610   PRINT " "
    0x00ce1238       C A   02620   IF T <> T0 GOTO 2660
    0x00ce809c       C A   02630   PRINT "YOUR MISSION BEGINS WITH YOUR STARSHIP LOCATED"
    0x00ce8264       C A   02640   PRINT "IN THE GALACTIC QUADRANT, '"; G2$; "'."
    0x00ce82c8       C A   02650   GOTO 2670
    0x00ce843c       C A T 02660   PRINT "NOW ENTERING "; G2$; " QUADRANT ..."
    0x00ce84f8       C A T 02670   PRINT " "
    0x00ce86a0       C A   02680   LET X = G(Q1, Q2) * .01
    0x00ce8768       C A   02690   LET K3 = INT(X)
    0x00ce8920       C A   02700   LET B3 = INT((X - K3) * 10)
    0x00ce8bbc       C A   02710   LET S3 = G(Q1, Q2) - INT(G(Q1, Q2) * .1) * 10
    0x00ce8c88       C A   02720   IF K3 = 0 GOTO 2760
    0x00ce8d98       C A   02730   PRINT "COMBAT AREA      CONDITION RED"
    0x00ce8e68       C A   02740   IF S > 200 GOTO 2760
    0x00ce8f64       C A   02750   PRINT "   SHIELDS DANGEROUSLY LOW"
    0x00ce8ffc       C A T 02760   MAT K = ZER
    0x00ce9214       C A T 02770   FOR I = 1 TO 3
    0x00ce9368       C A   02780       LET K(I, 3) = 0
    0x00ce93b8       C A   02790   NEXT I
    0x00ce93f8       C A   02800   REM
    0x00ce94b4       C A   02810   REM ===============================================================
    0x00ce94f4       C A   02820   REM
    0x00ce95a8       C A   02830   REM POSITION ENTERPRISE IN QUADRANT, THEN PLACE 'K3' KLINGONS,
    0x00ce963c       C A   02840   REM  'B3' STARBASES, AND 'S3' STARS ELSEWHERE.
    0x00ce9728       C A   02850   LET A$ = "<*>"
    0x00ce97fc       C A   02860   LET Z1 = S1
    0x00ce98d0       C A   02870   LET Z2 = S2
    0x00ce9914       C A   02880   GOSUB 10550
    0x00ce9a04       C A   02890   FOR I = 1 TO K3
    0x00ce9a54       C A   02900       GOSUB 10440
    0x00ce9b28       C A   02910       LET A$ = "+++"
    0x00ce9bbc       C A   02920       LET Z1 = R1
    0x00ce9c94       C A   02930       LET Z2 = R2
    0x00ce9ce0       C A   02940       GOSUB 10550
    0x00ce9e00       C A   02950       LET K(I, 1) = R1
    0x00ce9f24       C A   02960       LET K(I, 2) = R2
    0x00cea070       C A   02970       LET K(I, 3) = 200
    0x00cea0c0       C A   02980   NEXT I
    0x00cea1cc       C A   02990   FOR I = 1 TO B3
    0x00cea21c       C A   03000       GOSUB 10440
    0x00cea2f0       C A   03010       LET A$ = ">!<"
    0x00cea384       C A   03020       LET Z1 = R1
    0x00cea418       C A   03030       LET Z2 = R2
    0x00cea45c       C A   03040       GOSUB 10550
    0x00cea530       C A   03050       LET B4 = Z1
    0x00cea600       C A   03060       LET B5 = Z2
    0x00cea650       C A   03070   NEXT I
    0x00cea75c       C A   03080   FOR I = 1 TO S3
    0x00cea7ac       C A   03090       GOSUB 10440
    0x00cea880       C A   03100       LET A$ = " * "
    0x00cea914       C A   03110       LET Z1 = R1
    0x00cea9a8       C A   03120       LET Z2 = R2
    0x00cea9e4       C A   03130       GOSUB 10550
    0x00ceaa30       C A   03140   NEXT I
    0x00ceaa94       C A T 03150   GOSUB 8070
    0x00ceaba0       C A T 03160   IF S + E <= 10 GOTO 3190
    0x00ceac94       C A   03170   IF E > 10 GOTO 3230
    0x00ceadec       C A   03180   IF D(7) >= 0 GOTO 3230
    0x00ceb174       C A T 03190   PRINT CHR$(7); "** FATAL ERROR **"; CHR$(7); "   YOU'VE JUST STRANDED YOUR SHIP IN SPACE!!"
    0x00ceb294       C A   03200   PRINT "YOU HAVE INSUFFICIENT MANEUVERING ENERGY, AND SHIELD CONTROL"
    0x00ceb37c       C A   03210   PRINT "IS PRESENTLY INCAPABLE OF CROSS-CIRCUITING TO ENGINE ROOM!"
    0x00ceb3c8       C A   03220   GOTO 7870
    0x00ceb488       C A T 03230   PRINT "COMMAND";
    0x00ceb4f8       C A   03240   INPUT A$
    0x00ceb64c       C A   03250   FOR I = 1 TO 9
    0x00ceb8c4       C A   03260       IF MID$(A$, 1, 1) <> MID$(A1$, I, 1) GOTO 3320
    0x00ceb9bc       C A   03270       IF I <> 2 GOTO 3310
    0x00cebb28       C A   03280       IF LEN(A$) < 2 GOTO 3310
    0x00cebd24       C A   03290       IF MID$(A$, 2, 1) = "R" GOTO 3310
    0x00cebe48       C A   03300       LET I = 6
    0x00cec210       C A T 03310       ON I GOTO 3490, 3150, 5380, 5670, 6140, 7080, 7270, 8950, 7880
    0x00cec264       C A T 03320   NEXT I
    0x00cec368       C A   03330   PRINT "ENTER ONE OF THE FOLLOWING:"
    0x00cec448       C A   03340   PRINT "  NAV (TO SET COURSE)"
    0x00cec538       C A   03350   PRINT "  SRS (FOR SHORT RANGE SENSOR SCAN)"
    0x00cec61c       C A   03360   PRINT "  LRS (FOR LONG RANGE SENSOR SCAN)"
    0x00cec700       C A   03370   PRINT "  PHA (TO FIRE PHASERS)"
    0x00cec7ec       C A   03380   PRINT "  TOR (TO FIRE PHOTON TORPEDOES)"
    0x00cec8d8       C A   03390   PRINT "  SHE (TO RAISE OR LOWER SHEILDS)"
    0x00cec9c4       C A   03400   PRINT "  DAM (FOR DAMAGE CONTROL REPORT)"
    0x00cecab0       C A   03410   PRINT "  COM (TO CALL ON LIBRARY-COMPUTER)"
    0x00cecb7c       C A   03420   PRINT "  XXX (TO RESIGN YOUR COMMAND)"
    0x00cecc2c       C A   03430   PRINT " "
    0x00cecc68       C A   03440   GOTO 3160
    0x00cecc98       C A   03450   REM
    0x00cecd54       C A   03460   REM ===============================================================
    0x00cecd94       C A   03470   REM
    0x00cece08       C A   03480   REM  COURSE CONTROL BEGINS HERE
    0x00cecef0       C A T 03490   PRINT "COURSE(1-9)";
    0x00cecfac       C A   03500   INPUT C1
    0x00ced07c       C A   03510   IF C1 >= 1 GOTO 3540
    0x00ced1a4       C A T 03520   PRINT "  LT. SULU REPORTS, 'INCORRECT COURSE DATA, SIR!'"
    0x00ced1f0       C A   03530   GOTO 3160
    0x00ced2b8       C A T 03540   IF C1 < 9 GOTO 3570
    0x00ced3ac       C A   03550   IF C1 > 9 GOTO 3520
    0x00ced41c       C A   03560   GOTO 3520
    0x00cedce8       C A T 03570   PRINT "WARP FACTOR (0-8)";
    0x00cedda0       C A   03580   INPUT W1
    0x00cede70       C A   03590   IF W1 > 0 GOTO 3630
    0x00cedfb4       C A   03600   PRINT "  ENSIGN CHEKOV REPORTS INSTURMENTS NOT MADE TO "
    0x00cee130       C A   03610   PRINT "          SET WARP "; W1; " !"
    0x00cee180       C A   03620   GOTO 3160
    0x00cee248       C A T 03630   IF W1 <= 8 GOTO 3670
    0x00cee38c       C A   03640   PRINT "  CHIEF ENGINEER SCOTT REPORTS 'THE ENGINES WON'T"
    0x00cee508       C A   03650   PRINT "         TAKE WARP "; W1; "!/"
    0x00cee558       C A   03660   GOTO 3160
    0x00cee680       C A T 03670   IF D(1) >= 0 GOTO 3710
    0x00cee778       C A   03680   IF W1 <= .2 GOTO 3710
    0x00cee8a4       C A   03690   PRINT "WARP ENGINES ARE DAMAGED.  MAXIMUM SPEED = WARP 0.2"
    0x00cee8f8       C A   03700   GOTO 3490
    0x00ceeaf4       C A T 03710   LET N = INT(W1 * 8 + .5)
    0x00ceec04       C A   03720   IF E - N >= 0 GOTO 3840
    0x00ceed54       C A   03730   PRINT "ENGINEERING REPORTS 'INSUFFICIENT ENERGY AVAILABLE"
    0x00ceeee4       C A   03740   PRINT "   FOR MANEUVERING AT WARP"; W1; "!'"
    0x00ceefc0       C A   03750   IF S < N - E GOTO 3160
    0x00cef118       C A   03760   IF D(7) < 0 GOTO 3160
    0x00cef318       C A   03770   PRINT "DEFLECTOR CONTROL ROOM ACKNOWLEGES"; S; " UNITS"
    0x00cef3f0       C A   03780   PRINT "   OF ENERGY PRESENTLY DEPLOYED TO SHIELDS."
    0x00cef42c       C A   03790   GOTO 7080
    0x00cef45c       C A   03800   REM
    0x00cef518       C A   03810   REM ===============================================================
    0x00cef558       C A   03820   REM
    0x00cef5ec       C A   03830   REM KLINGONS MOVE/FIRE ON MOVING STARSHIP ...
    0x00cef708       C A T 03840   FOR I = 1 TO K3
    0x00cef89c       C A   03850       IF K(1, 3) <= 0 GOTO 3950
    0x00cef9a4       C A   03860       LET A$ = "   "
    0x00cefac8       C A   03870       LET Z1 = K(I, 1)
    0x00cefbe4       C A   03880       LET Z2 = K(I, 2)
    0x00cefc28       C A   03890       GOSUB 10550
    0x00cefc70       C A   03900       GOSUB 10440
    0x00cefd90       C A   03910       LET K(I, 1) = Z1
    0x00cefeb0       C A   03920       LET K(I, 2) = Z2
    0x00ceff88       C A   03930       LET A$ = "+++"
    0x00ceffc4       C A   03940       GOSUB 10550
    0x00ce5d48       C A T 03950   NEXT I
    0x00ce5d9c       C A   03960   GOSUB 7610
    0x00ce5e98       C A   03970   LET D1 = 0
    0x00ce5f74       C A   03980   LET D6 = W1
    0x00ce6040       C A   03990   IF W1 < 1 GOTO 4050
    0x00cf0000       C A   04000   LET D6 = 1
    0x00cf0034       C A   04010   REM
    0x00cf00f0       C A   04020   REM ===============================================================
    0x00cf0120       C A   04030   REM
    0x00cf018c       C A   04040   REM MAKE REPAIRS TO SHIP
    0x00cf02dc       C A T 04050   FOR I = 1 TO 8
    0x00cf03d8       C A   04060       IF D(I) >= 0 GOTO 4160
    0x00cf0570       C A   04070       LET D(I) = D(I) + 6
    0x00cf0664       C A   04080       IF D(I) < 0 GOTO 4160
    0x00cf075c       C A   04090       IF D1 = 1 GOTO 4120
    0x00cf0860       C A   04100       LET D1 = 1
    0x00cf0928       C A   04110       PRINT "DAMAGE CONTROL REPORT:"
    0x00cf0a0c       C A T 04120       PRINT TAB(8);
    0x00cf0aa4       C A   04130       LET R1 = I
    0x00cf0af8       C A   04140       GOSUB 10780
    0x00cf0ba8       C A   04150       PRINT " REPAIR COMPLETED"
    0x00cf0bfc       C A T 04160   NEXT I
    0x00cf0c3c       C A   04170   REM
    0x00cf0cf8       C A   04180   REM ===============================================================
    0x00cf0d38       C A   04190   REM
    0x00cf0dbc       C A   04200   REM DAMAGE/IMPROVEMENT DURING SOME VES
    0x00cf0f0c       C A   04210   IF RND(1) > .2 GOTO 4410
    0x00cf1160       C A   04220   LET R1 = INT(RND(1) * 8 + 1)
    0x00cf128c       C A   04230   IF RND(1) >= .6 GOTO 4310
    0x00cf1560       C A   04240   LET D(R1) = D(R1) - (RND(1) * 5 + 1)
    0x00cf1620       C A   04250   PRINT " "
    0x00cf16f8       C A   04260   PRINT "DAMAGE CONTROL REPORT:";
    0x00cf1744       C A   04270   GOSUB 10780
    0x00cf17f0       C A   04280   PRINT " DAMAGED"
    0x00cf18a0       C A   04290   PRINT " "
    0x00cf1900       C A   04300   GOTO 4410
    0x00cf1b94       C A T 04310   LET D(R1) = D(R1) + (RND(1) * 3 + 1)
    0x00cf1c54       C A   04320   PRINT " "
    0x00cf1d2c       C A   04330   PRINT "DAMAGE CONTROL REPORT:";
    0x00cf1d88       C A   04340   GOSUB 10780
    0x00cf1e44       C A   04350   PRINT " STATE OF REPAIR IMPROVED"
    0x00cf1eec       C A   04360   PRINT " "
    0x00cf1f24       C A   04370   REM
    0x00cf1fe0       C A   04380   REM ===============================================================
    0x00cf2020       C A   04390   REM
    0x00cf2094       C A   04400   REM BEGIN MOVING STARSHIP **
    0x00cf2188       C A T 04410   LET A$ = "   "
    0x00cf2248       C A   04420   LET Z1 = INT(S1)
    0x00cf2300       C A   04430   LET Z2 = INT(S2)
    0x00cf2354       C A   04440   GOSUB 10550
    0x00cf256c       C A   04450   LET X1 = -SIN((C1 - 1) * P1)
    0x00cf25fc       C A   04460   LET X = S1
    0x00cf26e0       C A   04470   LET Y = S2
    0x00cf28fc       C A   04480   LET X2 = COS((C1 - 1) * P1)
    0x00cf29d0       C A   04490   LET Q4 = Q1
    0x00cf2aa8       C A   04500   LET Q5 = Q2
    0x00cf2ba4       C A   04510   FOR I = 1 TO N
    0x00cf2c8c       C A   04520       LET S1 = S1 + X1
    0x00cf2d70       C A   04530       LET S2 = S2 + X2
    0x00cf2e3c       C A   04540       IF S1 < .5 GOTO 4800
    0x00cf2f38       C A   04550       IF S1 >= 8.5 GOTO 4800
    0x00cf3034       C A   04560       IF S2 < .5 GOTO 4800
    0x00cf3130       C A   04570       IF S2 >= 8.5 GOTO 4800
    0x00cf359c       C A   04580       IF MID$(Q$(INT(S1 + .5)), (3 * INT(S2 + .5) - 2), 3) = "   " GOTO 4640
    0x00cf36a8       C A   04590       LET S1 = S1 - X1
    0x00cf37b0       C A   04600       LET S2 = S2 - X2
    0x00cf3998       C A   04610       PRINT "WARP ENGINES SHUT DOWN AT SECTOR "; INT(S1 + .5);
    0x00cf3bc0       C A   04620       PRINT ","; INT(S2 + .5); " DUE TO BAD NAVIGATION"
    0x00cf3c00       C A   04630       GOTO 4650
    0x00cf3c4c       C A T 04640   NEXT I
    0x00cf3d40       C A T 04650   LET A$ = "<*>"
    0x00cf3e7c       C A   04660   S1 = INT(S1 + .5)
    0x00cf3fb8       C A   04670   S2 = INT(S2 + .5)
    0x00cf4078       C A   04680   LET Z1 = INT(S1)
    0x00cf4130       C A   04690   LET Z2 = INT(S2)
    0x00cf4170       C A   04700   GOSUB 10550
    0x00cf41ac       C A   04710   GOSUB 5260
    0x00cf42c0       C A   04720   LET T8 = 1
    0x00cf438c       C A   04730   IF W1 >= 1 GOTO 4750
    0x00cf4570       C A   04740   LET T8 = .1 * INT(10 * W1)
    0x00cf4654       C A T 04750   LET T = T + T8
    0x00cf472c       C A   04760   IF T > T0 + T9 GOTO 7830
    0x00cf47b4       C A   04770   REM SEE IF DOCKED, THEN GET COMMAND
    0x00cf481c       C A   04780   GOTO 3150
    0x00cf4864       C A   04790   REM EXCEEDED QUADRANT LIMITS
    0x00cf4a70       C A T 04800   LET X = 8 * Q1 + X + N * X1
    0x00cf4c50       C A   04810   LET Y = 8 * Q2 + Y + N * X2
    0x00cf4d8c       C A   04820   LET Q1 = INT(X / 8)
    0x00cf4ed0       C A   04830   LET Q2 = INT(Y / 8)
    0x00cf5058       C A   04840   LET S1 = INT(X - Q1 * 8)
    0x00cf51d0       C A   04850   LET S2 = INT(Y - Q2 * 8)
    0x00cf52e8       C A   04860   LET X5 = 0
    0x00cf53b4       C A   04870   IF S1 <> 0 GOTO 4910
    0x00cf54e4       C A   04880   LET Q1 = Q1 - 1
    0x00cf55ac       C A   04890   LET S1 = 8
    0x00cf5680       C A   04900   LET X5 = 0
    0x00cf574c       C A T 04910   IF S2 <> 0 GOTO 4950
    0x00cf587c       C A   04920   LET Q2 = Q2 - 1
    0x00cf5944       C A   04930   LET S2 = 8
    0x00cf5a18       C A   04940   LET X5 = 0
    0x00cf5ae4       C A T 04950   IF Q1 >= 1 GOTO 4990
    0x00cf5bcc       C A   04960   LET X5 = 1
    0x00cf5c94       C A   04970   LET Q1 = 1
    0x00cf5d68       C A   04980   LET S1 = 1
    0x00cf5e34       C A T 04990   IF Q1 <= 8 GOTO 5030
    0x00cf5f1c       C A   05000   LET X5 = 1
    0x00cf5fe4       C A   05010   LET Q1 = 8
    0x00cf60b8       C A   05020   LET S1 = 8
    0x00cf6184       C A T 05030   IF Q2 >= 1 GOTO 5070
    0x00cf626c       C A   05040   LET X5 = 1
    0x00cf6334       C A   05050   LET Q2 = 1
    0x00cf6408       C A   05060   LET S2 = 1
    0x00cf64d4       C A T 05070   IF Q2 <= 8 GOTO 5110
    0x00cf65bc       C A   05080   LET X5 = 1
    0x00cf6684       C A   05090   LET Q2 = 8
    0x00cf6754       C A   05100   LET S2 = 8
    0x00cf6820       C A T 05110   IF X5 = 0 GOTO 5180
    0x00cf697c       C A   05120   PRINT "LT. UHURA REPORTS MESSAGE FROM STARFLEET COMMAND:"
    0x00cf6a90       C A   05130   PRINT "  'PERMISSION TO ATTEMPT CROSSING OF GALACTIC PERIMETER"
    0x00cf6ba0       C A   05140   PRINT "   IS HEREBY *DENIED*.  SHUT DOWN YOUR ENGINES.'"
    0x00cf6cbc       C A   05150   PRINT "CHIEF ENGINEER SCOTT REPORTS 'WARP ENGINES SHUT DOWN"
    0x00cf707c       C A   05160   PRINT "   AT SECTOR "; S1; ","; S2; " OF QUADRANT "; Q1; ","; Q2; ".'"
    0x00cf7158       C A   05170   IF T > T0 + T9 GOTO 7830
    0x00cf73a8       C A T 05180   IF 8 * Q1 + Q2 = 8 * Q4 + Q5 GOTO 4650
    0x00cf74d8       C A   05190   LET T = T + 1
    0x00cf7518       C A   05200   GOSUB 5260
    0x00cf754c       C A   05210   GOTO 2460
    0x00cf757c        B    05220   REM
    0x00cf7638        B    05230   REM ===============================================================
    0x00cf7678        B    05240   REM
    0x00cf76e4        B    05250   REM MANEUVER ENERGY S/R ***
    0x00cf7858        B  G 05260   LET E = E - N - 10
    0x00cf7924        B    05270   IF E >= 0 GOTO 5330
    0x00cf7a60        B    05280   PRINT "SHIELD CONTROL SUPPLIED ENERGY TO COMPLETE THE MANEUVER."
    0x00cf7b38        B    05290   LET S = S + E
    0x00cf7c08        B    05300   LET E = 0
    0x00cf7cd4        B    05310   IF S > 0 GOTO 5330
    0x00cf7db8        B    05320   LET S = 0
    0x00cf7de0        B  T 05330   RETURN
    0x00cf7e1c       C A   05340   REM
    0x00cf7ed8       C A   05350   REM ===============================================================
    0x00cf7f18       C A   05360   REM
    0x00cf7f8c       C A   05370   REM L.R. SENSOR SCAN CODE ***
    0x00cf80d8       C A T 05380   IF D(3) >= 0 GOTO 5410
    0x00cf81e0       C A   05390   PRINT "LONG RANGE SENSORS ARE INOPERABLE"
    0x00cf8254       C A   05400   GOTO 3160
    0x00cf8428       C A T 05410   PRINT "LONG RANGE SENSOR SCAN FOR QUADRANT"; Q1; ","; Q2
    0x00cf8554       C A   05420   LET O1$ = "..................."
    0x00cf85cc       C A   05430   PRINT O1$
    0x00cf8788       C A   05440   FOR I = Q1 - 1 TO Q1 + 1
    0x00cf87cc       C A   05450       REM    DIM N(3)
    0x00cf895c       C A   05460       FOR I1 = 1 TO 3
    0x00cf8a54       C A   05470       LET N(I1) = 0
    0x00cf8aa4       C A   05480       NEXT I1
    0x00cf8c88       C A   05490       FOR J = Q2 - 1 TO Q2 + 1
    0x00cf8d5c       C A   05500       IF I < 1 GOTO 5580
    0x00cf8e54       C A   05510       IF I > 8 GOTO 5580
    0x00cf8f4c       C A   05520       IF J < 1 GOTO 5560
    0x00cf9044       C A   05530       IF J > 8 GOTO 5560
    0x00cf9250       C A   05540       LET N(J - Q2 + 2) = G(I, J)
    0x00cf9380       C A   05550       LET Z(I, J) = G(I, J)
    0x00cf93d0       C A T 05560       NEXTJ
    0x00cf9430       C A   05570       REM   DIM P1$(20)
    0x00cf95a0       C A T 05580       LET P1$ = ": ### : ### : ### :"
    0x00cf97cc       C A   05590       PRINT USING P1$; N(1); N(2); N(3)
    0x00cf9834       C A   05600       PRINT O1$
    0x00cf9888       C A   05610   NEXT I
    0x00cf98d4       C A   05620   GOTO 3160
    0x00cf9904       C A   05630   REM
    0x00cf99c0       C A   05640   REM ===============================================================
    0x00cf9a00       C A   05650   REM
    0x00cf9a84       C A   05660   REM *** PHASER CONTROL CODE BEGINS HERE
    0x00cf9b6c       C A T 05670   IF K3 > 0 GOTO 5710
    0x00cf9ca8       C A   05680   PRINT "SCIENCE OFFICER SPOCK REPORTS 'SENSOR SHOW"
    0x00cf9d78       C A   05690   PRINT "  NO ENEMY SHIPS IN THIS QUADRANT.'"
    0x00cf9dc8       C A   05700   GOTO 3160
    0x00cf9ef0       C A T 05710   IF D(4) >= 0 GOTO 5740
    0x00cf9fdc       C A   05720   PRINT "PHASERS INOPERATIVE"
    0x00cfa02c       C A   05730   GOTO 3160
    0x00cfa154       C A T 05740   IF D(8) >= 0 GOTO 5760
    0x00cfa274       C A   05750   PRINT "COMPUTER FAILURE HAMPERS ACCURACY"
    0x00cfa350       C A T 05760   PRINT "PHASERS LOCKED ON TARGET;  "
    0x00cfa464       C A T 05770   PRINT "ENERGY AVAILABLE ="; E
    0x00cfa538       C A   05780   PRINT "NUMBER OF UNITS TO FIRE:";
    0x00cfa5ac       C A   05790   INPUT X
    0x00cfa67c       C A   05800   IF X <= 0 GOTO 3160
    0x00cfa7b8       C A   05810   IF E - X < 0 GOTO 5770
    0x00cfa8b0       C A   05820   LET E = E - X
    0x00cfa8fc       C A   05830   GOSUB 7610
    0x00cfaa24       C A   05840   IF D(7) >= 0 GOTO 5860
    0x00cfab8c       C A   05850   LET X = X * RND(1)
    0x00cfacd0       C A T 05860   LET H1 = INT(X / K3)
    0x00cfae0c       C A   05870   FOR I = 1 TO 3
    0x00cfaf68       C A   05880       IF K(I, 3) <= 0 GOTO 6080
    0x00cfb2bc       C A   05890       LET H = INT((H1 / FND(0)) * (RND(1) * 2))
    0x00cfb454       C A   05900       IF H > .15 * K(I, 3) GOTO 5940
    0x00cfb574       C A   05910       PRINT "SENSORS SHOW NO DAMAGE"
    0x00cfb83c       C A   05920       PRINT "    TO ENEMY AT "; K(I, 1); ","; K(I, 2)
    0x00cfb894       C A   05930       GOTO 6080
    0x00cfbab0       C A T 05940       LET K(I, 3) = K(I, 3) - H
    0x00cfbdd0       C A   05950       PRINT H; " UNIT HIT ON KLINGON AT SECTOR "; K(I, 1); ","; K(I, 2)
    0x00cfbf28       C A   05960       IF K(I, 3) <= 0 GOTO 5990
    0x00cfc188       C A   05970       PRINT "   (SENSORS SHOW"; K(I, 3); " UNITS REMAINING)"
    0x00cfc1e8       C A   05980       GOTO 6080
    0x00cfc2b0       C A T 05990       PRINT " *** KLINGON DESTROYED ***"
    0x00cfc3c8       C A   06000       LET K3 = K3 - 1
    0x00cfc4d8       C A   06010       LET K9 = K9 - 1
    0x00cfc5b8       C A   06020       A$ = "   "
    0x00cfc6dc       C A   06030       LET Z1 = K(I, 1)
    0x00cfc7f8       C A   06040       LET Z2 = K(I, 2)
    0x00cfc858       C A   06050       GOSUB 10550
    0x00cfcac4       C A   06060       LET G(Q1, Q2) = K3 * 100 + B3 * 10 + S3
    0x00cfcb90       C A   06070       IF K9 <= 0 GOTO 7980
    0x00cfcbfc       C A T 06080   NEXT I
    0x00cfcc48       C A   06090   GOTO 3160
    0x00cfcc78       C A   06100   REM
    0x00cfcd34       C A   06110   REM ===============================================================
    0x00cfcd74       C A   06120   REM
    0x00cfddf4       C A   06130   REM PHOTON TORPEDO CODE BEGINS ***
    0x00cfdf40       C A T 06140   IF D(5) >= 0 GOTO 6170
    0x00cfe048       C A   06150   PRINT "PHOTON TUBES ARE NOT OPERATIONAL "
    0x00cfe094       C A   06160   GOTO 3160
    0x00cfe15c       C A T 06170   IF P > 0 GOTO 6200
    0x00cfe25c       C A   06180   PRINT "ALL PHOTON TORPEDOES EXPENDED"
    0x00cfe2b4       C A   06190   GOTO 3160
    0x00cfe380       C A T 06200   PRINT "TORPEDO COURSE (1-9)";
    0x00cfe3f8       C A   06210   INPUT C1
    0x00cfe4c8       C A   06220   IF C1 >= 1 GOTO 6250
    0x00cfe5f8       C A T 06230   PRINT " ENSIGN CHEKOV REPORTS, 'INCORRECT COURSE DATA, SIR!'"
    0x00cfe644       C A   06240   GOTO 3160
    0x00cfe70c       C A T 06250   IF C1 > 9 GOTO 6230
    0x00cfe800       C A   06260   IF C1 < 9 GOTO 6290
    0x00cfe8f8       C A   06270   IF C1 >= 9 GOTO 6200
    0x00cfe9f4       C A   06280   LET C1 = 1
    0x00cfeb98       C A T 06290   LET X1 = -SIN((C1 - 1) * P1)
    0x00cfed40       C A   06300   LET X2 = COS((C1 - 1) * P1)
    0x00cfee68       C A   06310   IF ABS(X1) < ABS(X2) THEN 6360
    0x00cff00c       C A   06320   M9 = ABS(1 / X1)
    0x00cff10c       C A   06330   X1 = SGN(X1)
    0x00cff1e0       C A   06340   X2 = X2 * M9
    0x00cff228       C A   06350   GOTO 6390
    0x00cff35c       C A T 06360   M9 = ABS(1 / X2)
    0x00cff418       C A   06370   X2 = SGN(X2)
    0x00cff4f0       C A   06380   X1 = X1 * M9
    0x00cff5fc       C A T 06390   LET E = E - 2
    0x00cff68c       C A   06400   LET X = S1
    0x00cff720       C A   06410   LET Y = S2
    0x00cff838       C A   06420   LET P = P - 1
    0x00cff8f4       C A   06430   PRINT "TORPEDO TRACK:"
    0x00cff9d0       C A T 06440   LET X = X + X1
    0x00cffab0       C A   06450   LET Y = Y + X2
    0x00cffc34       C A   06460   LET X9 = INT(X + .5)
    0x00cffdb4       C A   06470   LET Y9 = INT(Y + .5)
    0x00cffe80       C A   06480   IF X9 < 1 GOTO 7010
    0x00cfff78       C A   06490   IF X9 >= 9 GOTO 7010
    0x00ced4bc       C A   06500   IF Y9 < 1 GOTO 7010
    0x00ced5a8       C A   06510   IF Y9 >= 9 GOTO 7010
    0x00ced798       C A   06520   PRINT "               "; X9; ","; Y9
    0x00ced870       C A   06530   LET A$ = "   "
    0x00ced900       C A   06540   LET Z1 = X9
    0x00ced990       C A   06550   LET Z2 = Y9
    0x00ced9dc       C A   06560   GOSUB 10840
    0x00cedae8       C A   06570   IF Z3 <> 0 GOTO 6440
    0x00cedbe0       C A   06580   LET A$ = "+++"
    0x00d00034       C A   06590   LET Z1 = X9
    0x00d000c4       C A   06600   LET Z2 = Y9
    0x00d0010c       C A   06610   GOSUB 10840
    0x00d001d4       C A   06620   IF Z3 = 0 GOTO 6730
    0x00d002d0       C A   06630   PRINT "*** KLINGON DESTROYED ***"
    0x00d003e4       C A   06640   LET K3 = K3 - 1
    0x00d004fc       C A   06650   LET K9 = K9 - 1
    0x00d005c8       C A   06660   IF K9 <= 0 GOTO 7980
    0x00d00728       C A   06670   FOR I = 1 TO 3
    0x00d0084c       C A   06680       IF X9 <> K(I, 1) GOTO 6700
    0x00d0099c       C A   06690       IF Y9 = K(I, 2) GOTO 6710
    0x00d00a08       C A T 06700   NEXT I
    0x00d00b70       C A T 06710   LET K(I, 3) = 0
    0x00d00bb4       C A   06720   GOTO 6950
    0x00d00c84       C A T 06730   LET A$ = " * "
    0x00d00d14       C A   06740   LET Z1 = X9
    0x00d00da4       C A   06750   LET Z2 = Y9
    0x00d00dec       C A   06760   GOSUB 10840
    0x00d00eb4       C A   06770   IF Z3 = 0 GOTO 6800
    0x00d01140       C A   06780   PRINT "STAR AT"; X9; ","; Y9; " ABSORBED TORPEDO ENERGY."
    0x00d01188       C A   06790   GOTO 7020
    0x00d01258       C A T 06800   LET A$ = ">!<"
    0x00d012e8       C A   06810   LET Z1 = X9
    0x00d01378       C A   06820   LET Z2 = Y9
    0x00d013c0       C A   06830   GOSUB 10840
    0x00d01488       C A   06840   IF Z3 = 0 GOTO 6200
    0x00d01588       C A   06850   PRINT "*** STARBASE DESTROYED ***"
    0x00d0169c       C A   06860   LET B3 = B3 - 1
    0x00d017b0       C A   06870   LET B9 = B9 - 1
    0x00d0187c       C A   06880   IF B9 > 0 GOTO 6920
    0x00d019f4       C A   06890   PRINT "THAT DOES IT, CAPTAIN!!  YOU ARE HEREBY RELIEVED OF COMMAND"
    0x00d01ae0       C A   06900   PRINT "   AND SENTENCED TO 99 STARDATES AT HARD LABOUR IN CYGNUS 12!!"
    0x00d01b54       C A   06910   GOTO 7880
    0x00d01c3c       C A T 06920   PRINT "STARFLEET COMMAND REVIEWING YOUR RECORD TO CONSIDER"
    0x00d01cf8       C A   06930   PRINT "   COURT MARTIAL!"
    0x00d01dc8       C A   06940   LET D0 = 0
    0x00d01e9c       C A T 06950   LET A$ = "   "
    0x00d01f2c       C A   06960   LET Z1 = X9
    0x00d01fbc       C A   06970   LET Z2 = Y9
    0x00d02018       C A   06980   GOSUB 10550
    0x00d02274       C A   06990   LET G(Q1, Q2) = K3 * 100 + B3 * 10 + S3
    0x00d022c0       C A   07000   GOTO 7020
    0x00d02374       C A T 07010   PRINT "TORPEDO MISSED"
    0x00d023b8       C A T 07020   GOSUB 7610
    0x00d023ec       C A   07030   GOTO 3160
    0x00d0241c       C A   07040   REM
    0x00d024d8       C A   07050   REM ===============================================================
    0x00d02518       C A   07060   REM
    0x00d02594       C A   07070   REM *** SHIELD CONTROL STARTS HERE
    0x00d026e0       C A T 07080   IF D(7) >= 0 GOTO 7110
    0x00d027d8       C A   07090   PRINT "SHIELD CONTROL INOPERABLE"
    0x00d02854       C A   07100   GOTO 3160
    0x00d02a6c       C A T 07110   PRINT "ENERGY AVAILABLE ="; E + 5; ". NUMBER OF UNITS TO SHIELDS:";
    0x00d02ae0       C A   07120   INPUT X
    0x00d02bb0       C A   07130   IF X >= 0 GOTO 7170
    0x00d02c6c       C A   07140   IF S <> X GOTO 7170
    0x00d02d58       C A   07150   PRINT "(SHIELDS UNCHANGED)"
    0x00d02dac       C A   07160   GOTO 3160
    0x00d02efc       C A T 07170   IF E + S - X < 0 GOTO 7110
    0x00d0303c       C A   07180   LET E = E + S - X
    0x00d030e8       C A   07190   LET S = X
    0x00d031d8       C A   07200   PRINT "DEFLECTOR CONTROL ROOM REPORT:"
    0x00d03364       C A   07210   PRINT "  'SHIELDS NOW AT "; S; " PER YOUR COMMAND'"
    0x00d033a0       C A   07220   GOTO 3160
    0x00d033d0       C A   07230   REM
    0x00d0348c       C A   07240   REM ===============================================================
    0x00d034cc       C A   07250   REM
    0x00d03548       C A   07260   REM *** DAMAGE CONTROL STARTS HERE
    0x00d03694       C A T 07270   IF D(6) >= 0 GOTO 7490
    0x00d037a8       C A   07280   PRINT "DAMAGE CONTROL REPORT NOT AVAILABLE"
    0x00d03878       C A T 07290   IF D0 = 0 GOTO 3160
    0x00d039a8       C A   07300   LET D3 = 0
    0x00d03ae0       C A   07310   FOR I = 1 TO 8
    0x00d03bdc       C A   07320       IF D(I) >= 0 GOTO 7340
    0x00d03d10       C A   07330       LET D3 = D3 + .1
    0x00d03d60       C A T 07340   NEXT I
    0x00d03e48       C A   07350   IF D3 = 0 GOTO 3160
    0x00d03f4c       C A   07360   LET D3 = D3 + D4
    0x00d0401c       C A   07370   IF D3 < 1 GOTO 7390
    0x00d04138       C A   07380   LET D3 = .9
    0x00d04230       C A T 07390   PRINT "TECHNICIANS STANDING BY TO EFFECT REPAIRS TO YOUR SHIP:"
    0x00d04320       C A   07400   PRINT "ESTIMATED TIME TO REPAIR: ";
    0x00d0442c       C A   07410   PRINT USING ".# STARDATES"; D3
    0x00d04518       C A   07420   PRINT "WILL YOU AUTHORIZE THE REPAIR ORDER (YES/NO)";
    0x00d04594       C A   07430   INPUT A$
    0x00d04670       C A   07440   IF A$ <> "YES" GOTO 3160
    0x00d047c4       C A   07450   FOR I = 1 TO 8
    0x00d048b8       C A   07460       LET D(I) = 0
    0x00d04908       C A   07470   NEXT I
    0x00d04a74       C A   07480   LET T = T + D3 + .1
    0x00d04b3c       C A T 07490   PRINT " "
    0x00d04c08       C A   07500   PRINT "DEVICE        STATE OF REPAIR"
    0x00d04d38       C A   07510   FOR R1 = 1 TO 8
    0x00d04d98       C A   07520       GOSUB 10780
    0x00d04e90       C A   07530       PRINT USING "  -##.##";D(R1)
    0x00d04ee4       C A   07540   NEXT R1
    0x00d04fa4       C A   07550   PRINT " "
    0x00d04fe0       C A   07560   GOTO 7290
    0x00d05010       C     07570   REM
    0x00d050cc       C     07580   REM ===============================================================
    0x00d0510c       C     07590   REM
    0x00d05190       C     07600   REM "KLINGONS SHOOTING" CODE BEGINS ***
    0x00d0527c       C   G 07610   IF K3 <= 0 GOTO 7820
    0x00d05370       C     07620   IF D0 = 0 GOTO 7650
    0x00d05488       C     07630   PRINT "STAR BASE SHIELDS PROTECT THE ENTERPRISE"
    0x00d054d0       C     07640   GOTO 7820
    0x00d05608       C   T 07650   FOR I = 1 TO 3
    0x00d05764       C     07660       IF K(I, 3) <= 0 GOTO 7810
    0x00d05af0       C     07670       LET H = INT((K(I, 3) / FND(0)) * (2 + RND(1)))
    0x00d05c04       C     07680       LET S = S - H
    0x00d05f20       C     07690       PRINT H; " UNIT HIT ON ENTERPRISE FROM SECTOR"; K(I, 1); ","; K(I, 2)
    0x00d05ff0       C     07700       IF S < 0 GOTO 7850
    0x00d061c4       C     07710       PRINT "      (SHIELDS DOWN TO"; S; " UNITS.)"
    0x00d06294       C     07720       IF H < 20 GOTO 7810
    0x00d063f4       C     07730       IF RND(1) > .6 GOTO 7810
    0x00d06538       C     07740       IF H / S <= .02 GOTO 7810
    0x00d067c0       C     07750       LET D2 = H / S + .5 * RND(1)
    0x00d069e0       C     07760       LET R1 = INT(RND(1) * 8 + 1)
    0x00d06b20       C     07770       LET D(R1) = D(R1) - D2
    0x00d06bf8       C     07780       PRINT "DAMAGE CONTROL REPORTS '";
    0x00d06c54       C     07790       GOSUB 10780
    0x00d06d08       C     07800       PRINT "DAMAGED BY THE HIT!'"
    0x00d06d5c       C   T 07810   NEXT I
    0x00d06d94       C   T 07820   RETURN
    0x00d06ea8       C A T 07830   PRINT "ITS IS STARDATE "; T
    0x00d06eec       C A   07840   GOTO 7880
    0x00d06fd8       C   T 07850   PRINT " "
    0x00d070dc       C     07860   PRINT "THE ENTERPRISE HAS BEEN DESTROYED.  THE FEDERATION WILL BE CONQUERED."
    0x00d07288       C A T 07870   PRINT "IT IS STARDATE "; T; "."
    0x00d07430       C A T 07880   PRINT "THERE WERE "; K9; " KLINGON BATTLE CRUISERS LEFT AT "
    0x00d074f4       C A   07890   PRINT "THE END OF YOUR MISSION."
    0x00d075a4       C A T 07900   PRINT " "
    0x00d07688       C A   07910   PRINT " "
    0x00d07798       C A   07920   PRINT "THE FEDERATION IS IN NEED OF A NEW STARSHIP COMMANDER"
    0x00d07898       C A   07930   PRINT "FOR A SIMILAR MISSION -- IF THERE IS A VOLUNTEER,"
    0x00d07968       C A   07940   PRINT "LET HIM STEP FORWARD AND ENTER 'AYE'."
    0x00d079e0       C A   07950   INPUT A$
    0x00d07abc       C A   07960   IF A$ = "AYE" GOTO 1270
    0x00d07b54       C A   07970   GOTO 11100
    0x00d07c60       C A T 07980   PRINT "CONGRATULATIONS, CAPTAIN!  THE LAST KLINGON BATTLE CRUISER"
    0x00d07d38       C A   07990   PRINT "  MENACING THE FEDERATION HAS BEEN DESTROYED."
    0x00d07e20       C A   08000   PRINT " "
    0x00d080fc       C A   08010   PRINT "YOUR EFFICIENCY RATING IS "; ((K / (T - T0)) * 1000); "."
    0x00d08138       C A   08020   GOTO 7900
    0x00d08168      D      08030   REM
    0x00d08224      D      08040   REM ===============================================================
    0x00d08264      D      08050   REM
    0x00d082f0      D      08060   REM S.R. SENSOR SCAN & STARTUP SUBR. ***
    0x00d084d8      D    G 08070   FOR I = S1 - 1 TO S1 + 1
    0x00d086a8      D      08080       FOR J = S2 - 1 TO S2 + 1
    0x00d08820      D      08090       IF INT(I + .5) < 1 GOTO 8180
    0x00d089c8      D      08100       IF INT(I + .5) > 8 GOTO 8180
    0x00d08b70      D      08110       IF INT(J + .5) < 1 GOTO 8180
    0x00d08d18      D      08120       IF INT(J + .5) > 8 GOTO 8180
    0x00d08e18      D      08130       LET A$ = ">!<"
    0x00d08eac      D      08140       LET Z1 = I
    0x00d08f40      D      08150       LET Z2 = J
    0x00d08f8c      D      08160       GOSUB 10840
    0x00d09054      D      08170       IF Z3 = 1 GOTO 8220
    0x00d090c4      D    T 08180       NEXT J
    0x00d09124      D      08190   NEXT I
    0x00d09200      D      08200   LET D0 = 0
    0x00d09240      D      08210   GOTO 8290
    0x00d0930c      D    T 08220   LET D0 = 1
    0x00d0942c      D      08230   LET C$ = "DOCKED"
    0x00d094f4      D      08240   LET E = 3000
    0x00d095e0      D      08250   LET P = 10
    0x00d096ac      D      08260   PRINT "SHIELDS DROPPED FOR DOCKING PURPOSES"
    0x00d09778      D      08270   LET S = 0
    0x00d097c0      D      08280   GOTO 8360
    0x00d09888      D    T 08290   IF K3 > 0 GOTO 8330
    0x00d099c8      D      08300   IF E < E0 * .1 GOTO 8350
    0x00d09ac8      D      08310   LET C$ = " GREEN"
    0x00d09b24      D      08320   GOTO 8360
    0x00d09dc4      D    T 08330   C$ = " " + CHR$(7) + "*RED*" + CHR$(7)
    0x00d09e0c      D      08340   GOTO 8360
    0x00d09eec      D    T 08350   LET C$ = "YELLOW"
    0x00d0a018      D    T 08360   IF D(2) >= 0 GOTO 8410
    0x00d0a104      D      08370   PRINT " "
    0x00d0a1d4      D      08380   PRINT "*** SHORT RANGE SENSORS ARE OUT ***"
    0x00d0a284      D      08390   PRINT " "
    0x00d0a2ec      D      08400   GOTO 8900
    0x00d0a3d8      D    T 08410   LET O1$ = "--------------------------------"
    0x00d0a448      D      08420   PRINT O1$
    0x00d0a564      D      08430   LET N5$ = "####"
    0x00d0a630      D      08440   PRINT " ";
    0x00d0a7d4      D      08450   FOR I = 1 TO 22 STEP 3
    0x00d0a9e4      D      08460       PRINT MID$(Q$(1), I, 3); " ";
    0x00d0aa38      D      08470   NEXT I
    0x00d0aaf8      D      08480   PRINT " "
    0x00d0abc8      D      08490   PRINT " ";
    0x00d0ad6c      D      08500   FOR I = 1 TO 22 STEP 3
    0x00d0af7c      D      08510       PRINT MID$(Q$(2), I, 3); " ";
    0x00d0afd0      D      08520   NEXT I
    0x00d0b0dc      D      08530   PRINT "        STARDATE         ";
    0x00d0b1b8      D      08540   PRINT USING "####.#";T
    0x00d0b288      D      08550   PRINT " ";
    0x00d0b42c      D      08560   FOR I = 1 TO 22 STEP 3
    0x00d0b63c      D      08570       PRINT MID$(Q$(3), I, 3); " ";
    0x00d0b690      D      08580   NEXT I
    0x00d0b790      D      08590   PRINT "        CONDITION        ";
    0x00d0b7fc      D      08600   PRINT C$
    0x00d0b8cc      D      08610   PRINT " ";
    0x00d0ba70      D      08620   FOR I = 1 TO 22 STEP 3
    0x00d0bc80      D      08630       PRINT MID$(Q$(4), I, 3); " ";
    0x00d0bcd4      D      08640   NEXT I
    0x00d0bec4      D      08650   PRINT "        QUADRANT         "; Q1; ","; Q2
    0x00d0bf94      D      08660   PRINT " ";
    0x00d0c138      D      08670   FOR I = 1 TO 22 STEP 3
    0x00d0c348      D      08680       PRINT MID$(Q$(5), I, 3); " ";
    0x00d0c39c      D      08690   NEXT I
    0x00d0c58c      D      08700   PRINT "        SECTOR           "; S1; ","; S2
    0x00d0c65c      D      08710   PRINT " ";
    0x00d0c800      D      08720   FOR I = 1 TO 22 STEP 3
    0x00d0ca10      D      08730       PRINT MID$(Q$(6), I, 3); " ";
    0x00d0ca64      D      08740   NEXT I
    0x00d0cb6c      D      08750   PRINT "        TOTAL ENERGY     ";
    0x00d0cc44      D      08760   PRINT USING N5$;E+S
    0x00d0cd14      D      08770   PRINT " ";
    0x00d0ceb8      D      08780   FOR I = 1 TO 22 STEP 3
    0x00d0d0c8      D      08790       PRINT MID$(Q$(7), I, 3); " ";
    0x00d0d11c      D      08800   NEXT I
    0x00d0d224      D      08810   PRINT "        PHOTON TORPEDOES ";
    0x00d0d2b8      D      08820   PRINT USING N5$;P
    0x00d0d388      D      08830   PRINT " ";
    0x00d0d52c      D      08840   FOR I = 1 TO 22 STEP 3
    0x00d0d73c      D      08850       PRINT MID$(Q$(8), I, 3); " ";
    0x00d0d790      D      08860   NEXT I
    0x00d0d898      D      08870   PRINT "        SHIELDS          ";
    0x00d0d92c      D      08880   PRINT USING N5$;S
    0x00d0d994      D      08890   PRINT O1$
    0x00d0d9c0      D    T 08900   RETURN
    0x00d0d9fc       C A   08910   REM
    0x00d0dab8       C A   08920   REM ===============================================================
    0x00d0daf8       C A   08930   REM
    0x00d0db84       C A   08940   REM *** LIBARY COMPUTER CODE BEGINS HERE
    0x00d0dcd0       C A T 08950   IF D(8) >= 0 GOTO 8980
    0x00d0ddb8       C A   08960   PRINT "COMPUTER DISABLED"
    0x00d0de20       C A   08970   GOTO 3160
    0x00d0def8       C A T 08980   PRINT "COMPUTER ACTIVE AND AWAITING COMMAND:";
    0x00d0dfb0       C A   08990   INPUT A
    0x00d0e080       C A   09000   IF A < 0 GOTO 3160
    0x00d0e0dc       C A   09010   PRINT
    0x00d0e1f4       C A   09020   LET H8 = 1
    0x00d0e2c0       C A   09030   IF A = 0 GOTO 9270
    0x00d0e3b4       C A   09040   IF A > 5 GOTO 9150
    0x00d0e400       C A   09050   REM
    0x00d0e4bc       C A   09060   REM ===============================================================
    0x00d0e4fc       C A   09070   REM
    0x00d0e778       C A   09080   ON A GOTO 9690, 9890, 10320, 9970, 9100
    0x00d0e7b8       C A   09090   REM  GOTO 9150
    0x00d0e854       C A T 09100   REM *** SETUP TO CHANGE C.G. RECORD TO GALAXY MAP
    0x00d0e930       C A   09110   LET H8 = 0
    0x00d0ea18       C A   09120   LET G5 = 1
    0x00d0eae0       C A   09130   PRINT "                      THE GALAXY"
    0x00d0eb4c       C A   09140   GOTO 9280
    0x00d0ec38       C A T 09150   PRINT "FUNCTIONS AVAILABLE FROM LIBARY-COMPUTER:"
    0x00d0ed18       C A   09160   PRINT "   0 = CUMULATIVE GALACTIC RECORD"
    0x00d0edf0       C A   09170   PRINT "   1 = STATUS REPORT"
    0x00d0eed4       C A   09180   PRINT "   2 = PHOTON TORPEDO DATA"
    0x00d0efc4       C A   09190   PRINT "   3 = STARBASE NAVIGATION DATA"
    0x00d0f0b0       C A   09200   PRINT "   4 = DIRECTION/DISTANCE CALCULATOR"
    0x00d0f17c       C A   09210   PRINT "   5 = GALAXY 'REGION NAME' MAP"
    0x00d0f1b8       C A   09220   GOTO 8980
    0x00d0f1e8       C A   09230   REM
    0x00d0f2a4       C A   09240   REM ===============================================================
    0x00d0f2e4       C A   09250   REM
    0x00d0f370       C A   09260   REM *** CUM GALACTIC RECORD CODE BEGINS ***
    0x00d0f634       C A T 09270   PRINT "COMPUTER RECORD OF GALAXY FOR QUADRANT "; Q1; ","; Q2; ":"
    0x00d0f744       C A T 09280   PRINT "      1     2     3     4     5     6     7     8"
    0x00d0f890       C A   09290   LET O3$ = "    ----- ----- ----- ----- ----- ----- ----- -----"
    0x00d0f90c       C A   09300   PRINT O3$
    0x00d0f95c       C A   09310   REM   DIM N1$(2),N2$(8),N$(5)
    0x00d0faa4       C A   09320   FOR I = 1 TO 8
    0x00d0fbd0       C A   09330       LET N1$ = "##"
    0x00d0fc80       C A   09340       PRINT USING N1$;I;
    0x00d0fdec       C A   09350       PRINT TAB(3); "|";
    0x00d0febc       C A   09360       IF H8 = 0 GOTO 9480
    0x00d10018       C A   09370       FOR J = 1 TO 8
    0x00d10140       C A   09380       LET N2$ = " ### |"
    0x00d10268       C A   09390       LET N$ = ""
    0x00d102fc       C A   09400       IF I <> Q1 GOTO 9440
    0x00d103c0       C A   09410       IF J <> Q2 GOTO 9440
    0x00d104e0       C A   09420       LET N$ = CHR$(7)
    0x00d1056c       C A   09430       PRINT N$;
    0x00d10668       C A T 09440       PRINT USING N2$;Z(I,J);
    0x00d106e8       C A   09450       PRINT N$;
    0x00d1073c       C A   09460       NEXT J
    0x00d10798       C A   09470       GOTO 9610
    0x00d10828       C A T 09480       LET Z4 = I
    0x00d108f4       C A   09490       LET Z5 = 1
    0x00d10950       C A   09500       GOSUB 10960
    0x00d10b70       C A   09510       LET J0 = INT(15 - .5 * LEN(G2$))
    0x00d10c18       C A   09520       PRINT TAB(J0);
    0x00d10ca4       C A   09530       PRINT G2$;
    0x00d10e08       C A   09540       PRINT TAB(27); "|";
    0x00d10ed8       C A   09550       LET Z5 = 5
    0x00d10f34       C A   09560       GOSUB 10960
    0x00d11110       C A   09570       LET J0 = INT(39 - .5 * LEN(G2$))
    0x00d111b8       C A   09580       PRINT TAB(J0);
    0x00d11244       C A   09590       PRINT G2$;
    0x00d113a4       C A   09600       PRINT TAB(51); "|";
    0x00d113ec       C A T 09610       PRINT
    0x00d11454       C A   09620       PRINT O3$
    0x00d114a8       C A   09630   NEXT I
    0x00d114f4       C A   09640   GOTO 3160
    0x00d11524       C A   09650   REM
    0x00d115e0       C A   09660   REM ===============================================================
    0x00d11620       C A   09670   REM
    0x00d116ac       C A   09680   REM *** STATUS REPORT CODE BEGINS HERE ***
    0x00d11788       C A T 09690   PRINT "   STATUS REPORT:"
    0x00d11868       C A   09700   LET X$ = ""
    0x00d11934       C A   09710   IF K9 = 1 GOTO 9730
    0x00d11a44       C A   09720   LET X$ = "S"
    0x00d11bf8       C A T 09730   PRINT K9; " KLINGON"; X$; " LEFT"
    0x00d11da8       C A   09740   LET V5 = (T0 + T9) - T
    0x00d11ea4       C A   09750   PRINT USING "MISSION MUST BE COMPLETED IN ##.# STARDATES";V5
    0x00d11f84       C A   09760   LET X$ = ""
    0x00d12050       C A   09770   IF B9 = 1 GOTO 9830
    0x00d12154       C A   09780   LET X$ = "S"
    0x00d12220       C A   09790   IF B9 <> 0 GOTO 9830
    0x00d12364       C A   09800   PRINT "YOUR STUPIDITY HAS LEFT YOU ON YOUR OWN IN"
    0x00d1243c       C A   09810   PRINT "  THE GALAXY -- YOU HAVE NO STARBASES LEFT!"
    0x00d124c4       C A   09820   GOTO 7270
    0x00d1270c       C A T 09830   PRINT "THE FEDERATION IS MAINTAINING"; B9; " STARBASE"; X$; " IN THE GALAXY"
    0x00d12748       C A   09840   GOTO 7270
    0x00d12778       C A   09850   REM
    0x00d12834       C A   09860   REM ===============================================================
    0x00d12874       C A   09870   REM
    0x00d12918       C A   09880   REM CODE FOR TORPEDO DATA, BASE NAV, D/D CALCULATOR ***
    0x00d129f8       C A T 09890   LET H8 = 0
    0x00d12b34       C A   09900   FOR I = 1 TO 3
    0x00d12c90       C A   09910       IF K(I, 3) <= 0 GOTO 10300
    0x00d12ddc       C A   09920       LET W1 = K(I, 1)
    0x00d12ef8       C A   09930       LET X = K(I, 2)
    0x00d12f8c       C A T 09940       LET C1 = S1
    0x00d13020       C A   09950       LET A = S2
    0x00d13080       C A   09960       GOTO10040
    0x00d13188       C A T 09970       PRINT "DIRECTION/DISTANCE CALCULAJTOR:"
    0x00d13550       C A   09980       PRINT "YOU ARE AT QUADRANT ("; Q1; ","; Q2; ") SECTOR ("; S1; ","; S2; ")"
    0x00d1362c       C A   09990       PRINT "PLEASE ENTER --"
    0x00d1370c       C A   10000       PRINT "  INITIAL COORDINATES (X,Y)";
    0x00d137bc       C A   10010       INPUT C1, A
    0x00d13898       C A   10020       PRINT "  FINAL COORDINATES (X,Y)";
    0x00d13934       C A   10030       INPUT W1, X
    0x00d13a14       C A T 10040       LET X = X - A
    0x00d13af4       C A   10050       LET A = C1 - W1
    0x00d13bc0       C A   10060       IF X < 0 GOTO 10170
    0x00d13cb8       C A   10070       IF A < 0 GOTO 10230
    0x00d13db0       C A   10080       IF X > 0 GOTO 10100
    0x00d13ea8       C A   10090       IF A = 0 GOTO 10190
    0x00d13fac       C A T 10100       LET C1 = 1
    0x00d14090       C A T 10110       IF ABS(A) <= ABS(X) GOTO 10150
    0x00d14384       C A   10120       LET V5 = C1 + (((ABS(A) - ABS(X)) + ABS(A)) / ABS(A))
    0x00d14478       C A   10130       PRINT "DIRECTION ="; V5
    0x00d144e0       C A   10140       GOTO 10280
    0x00d146c4       C A T 10150       PRINT "DIRECTION ="; C1 + (ABS(A) / ABS(X))
    0x00d14714       C A   10160       GOTO 10280
    0x00d147dc       C A T 10170       IF A > 0 GOTO 10210
    0x00d148d4       C A   10180       IF X = 0 GOTO 10230
    0x00d149c4       C A T 10190       LET C1 = 5
    0x00d14a08       C A   10200       GOTO 10110
    0x00d14ad0       C A T 10210       LET C1 = 3
    0x00d14b14       C A   10220       GOTO 10240
    0x00d14bf0       C A T 10230       LET C1 = 7
    0x00d14cd4       C A T 10240       IF ABS(A) >= ABS(X) GOTO 10270
    0x00d15028       C A   10250       PRINT "DIRECTION ="; C1 + (((ABS(X) - ABS(A)) + ABS(X)) / ABS(X))
    0x00d15090       C A   10260       GOTO 10280
    0x00d15290       C A T 10270       PRINT "DIRECTION ="; C1 + (ABS(X) / ABS(A))
    0x00d154f4       C A T 10280       PRINT "DISTANCE ="; SQR(X ^ 2 + A ^ 2)
    0x00d155c4       C A   10290       IF H8 = 1 GOTO 3160
    0x00d15630       C A T 10300   NEXT I
    0x00d15690       C A   10310   GOTO 3160
    0x00d15758       C A T 10320   IF B3 <> 0 GOTO 10350
    0x00d158a0       C A   10330   PRINT "MR. SPOCK REPORTS, 'SENSORS SHOW NO STARBASES IN THIS QUADRANT.'"
    0x00d15900       C A   10340   GOTO 3160
    0x00d159c0       C A T 10350   PRINT "FROM ENTERPRISE TO STARBASE:"
    0x00d15a54       C A   10360   LET W1 = B4
    0x00d15ae4       C A   10370   LET X = B5
    0x00d15b40       C A   10380   GOTO 9940
    0x00d15b90     E       10390   REM *** END OF LIBRARY-COMPUTER CODE
    0x00d15bd0     E       10400   REM
    0x00d15c8c     E       10410   REM ===============================================================
    0x00d15ccc     E       10420   REM
    0x00d15d50     E       10430   REM S/R FINDS RANDOM HOLE IN QUADRANT
    0x00d15f9c     E     B 10440   LET R1 = INT(RND(1) * 8 + 1)
    0x00d161b0     E       10450   LET R2 = INT(RND(1) * 8 + 1)
    0x00d16284     E       10460   LET A$ = "   "
    0x00d16314     E       10470   LET Z1 = R1
    0x00d163a4     E       10480   LET Z2 = R2
    0x00d163f0     E       10490   GOSUB 10840
    0x00d164b8     E       10500   IF Z3 = 0 GOTO 10440
    0x00d164fc     E       10510   RETURN
    0x00d16538    F        10520   REM
    0x00d165f4    F        10530   REM ===============================================================
    0x00d16634    F        10540   REM
    0x00d166d0    F      G 10550   REM *** INSERTION IN STRING ARRAY FOR QUADRANT ***
    0x00d16828    F        10560   Z1 = INT(Z1 + .5)
    0x00d16968    F        10570   Z2 = INT(Z2 + .5)
    0x00d16a34    F        10580   IF Z1 < 1 GOTO 10700
    0x00d16b2c    F        10590   IF Z1 > 8 GOTO 10700
    0x00d16c24    F        10600   IF Z2 < 1 GOTO 10700
    0x00d16d1c    F        10610   IF Z2 > 8 GOTO 10700
    0x00d16f24    F        10620   DIM Q9(24), A9(3)
    0x00d17004    F        10630   CHANGE Q$(Z1) TO Q9
    0x00d170e0    F        10640   CHANGE A$ TO A9
    0x00d17284    F        10650   FOR I8 = 1 TO 3
    0x00d174c0    F        10660       Q9(3 * (Z2 - 1) + I8) = A9(I8)
    0x00d17510    F        10670   NEXT I8
    0x00d175cc    F        10680   CHANGE Q9 TO Q$(Z1)
    0x00d17624    F        10690   GOTO 10740
    0x00d17690    F      T 10700   PRINT
    0x00d178ec    F        10710   PRINT "ERROR IN COORDINATES (Z1,Z2): ("; Z1; ","; Z2; ")"
    0x00d179ac    F        10720   PRINT "     1 <=  Z1,Z2  <=8    "
    0x00d179ec    F        10730   PRINT
    0x00d17a18    F      T 10740   RETURN
    0x00d17a54   G         10750   REM
    0x00d17b10   G         10760   REM ===============================================================
    0x00d17b50   G         10770   REM
    0x00d17bdc   G       G 10780   REM *** PRINTS DEVICE NAME FROM ARRAY ***
    0x00d17c94   G         10790   PRINT D$(R1);
    0x00d17cc0   G         10800   RETURN
    0x00d17cfc  H          10810   REM
    0x00d17db8  H          10820   REM ===============================================================
    0x00d17df8  H          10830   REM
    0x00d17e8c  H        G 10840   REM *** STRING COMPARISON IN QUADRANT ARRAY ***
    0x00d17fec  H          10850   LET Z1 = INT(Z1 + .5)
    0x00d18120  H          10860   LET Z2 = INT(Z2 + .5)
    0x00d18210  H          10870   LET Z3 = 0
    0x00d18490  H          10880   IF MID$(Q$(Z1), (3 * Z2 - 2), 3) <> A$ GOTO 10900
    0x00d18570  H          10890   Z3 = 1
    0x00d18598  H        T 10900   RETURN
    0x00d185d4 I           10910   REM
    0x00d18690 I           10920   REM ===============================================================
    0x00d186d0 I           10930   REM
    0x00d1877c I           10940   REM ** S/R PRODUCES QUADRANT NAME IN G2$ FROM Z4,Z5(=Q1,Q2)
    0x00d18810 I           10950   REM ** (CALL WITH G5=1 TO GET REGION NAME ONLY)
    0x00d1893c I         G 10960   LET L2 = 2
    0x00d18a08 I           10970   IF Z5 >= 5 GOTO 10990
    0x00d18b00 I           10980   LET L2 = 1
    0x00d18d34 I         T 10990   LET L3 = 2 * (Z4 - 1) + L2
    0x00d18df8 I           11000   LET G2$ = G1$(L3)
    0x00d18ec4 I           11010   IF G5 = 1 GOTO 11090
    0x00d18f80 I           11020   LET L3 = Z5
    0x00d1904c I           11030   IF Z5 <= 4 GOTO 11050
    0x00d19180 I           11040   LET L3 = Z5 - 4
    0x00d192a4 I         T 11050   LET G3$ = "IV"
    0x00d19370 I           11060   IF L3 = 4 GOTO 11080
    0x00d194ec I           11070   LET G3$ = MID$(G4$, 1, L3)
    0x00d19644 I         T 11080   G2$ = G2$ + " " + G3$
    0x00d1966c I         T 11090   RETURN
    0x00d196a0       C A T 11100   STOP
    0x00d196d0         A   11110   END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01270      07960T
     01280      01200T
     01990      01940T
     02020      01950T
     02050      01960T
     02070      01980T, 02010T, 02040T
     02110      02080T
     02130      02100T
     02270      02240T
     02280      02220T
     02330      02280T
     02460      05210T
     02660      02620T
     02670      02650T
     02760      02720T, 02740T
     02770      02560T, 02570T, 02580T, 02590T
     03150      03310T, 04780T
     03160      03440T, 03530T, 03620T, 03660T, 03750T, 03760T, 05400T, 05620T, 
                05700T, 05730T, 05800T, 06090T, 06160T, 06190T, 06240T, 07030T, 
                07100T, 07160T, 07220T, 07290T, 07350T, 07440T, 08970T, 09000T, 
                09640T, 10290T, 10310T, 10340T
     03190      03160T
     03230      03170T, 03180T
     03310      03270T, 03280T, 03290T
     03320      03260T
     03490      03310T, 03700T
     03520      03550T, 03560T
     03540      03510T
     03570      03540T
     03630      03590T
     03670      03630T
     03710      03670T, 03680T
     03840      03720T
     03950      03850T
     04050      03990T
     04120      04090T
     04160      04060T, 04080T
     04310      04230T
     04410      04210T, 04300T
     04640      04580T
     04650      04630T, 05180T
     04750      04730T
     04800      04540T, 04550T, 04560T, 04570T
     04910      04870T
     04950      04910T
     04990      04950T
     05030      04990T
     05070      05030T
     05110      05070T
     05180      05110T
     05260      04710G, 05200G
     05330      05270T, 05310T
     05380      03310T
     05410      05380T
     05560      05520T, 05530T
     05580      05500T, 05510T
     05670      03310T
     05710      05670T
     05740      05710T
     05760      05740T
     05770      05810T
     05860      05840T
     05940      05900T
     05990      05960T
     06080      05880T, 05930T, 05980T
     06140      03310T
     06170      06140T
     06200      06170T, 06270T, 06840T
     06230      06250T
     06250      06220T
     06290      06260T
     06360      06310T
     06390      06350T
     06440      06570T
     06700      06680T
     06710      06690T
     06730      06620T
     06800      06770T
     06920      06880T
     06950      06720T
     07010      06480T, 06490T, 06500T, 06510T
     07020      06790T, 07000T
     07080      03310T, 03790T
     07110      07080T, 07170T
     07170      07130T, 07140T
     07270      03310T, 09820T, 09840T
     07290      07560T
     07340      07320T
     07390      07370T
     07490      07270T
     07610      03960G, 05830G, 07020G
     07650      07620T
     07810      07660T, 07720T, 07730T, 07740T
     07820      07610T, 07640T
     07830      04760T, 05170T
     07850      07700T
     07870      03220T
     07880      03310T, 06910T, 07840T
     07900      08020T
     07980      06070T, 06660T
     08070      03150G
     08180      08090T, 08100T, 08110T, 08120T
     08220      08170T
     08290      08210T
     08330      08290T
     08350      08300T
     08360      08280T, 08320T, 08340T
     08410      08360T
     08900      08400T
     08950      03310T
     08980      08950T, 09220T
     09100      09080T
     09150      09040T
     09270      09030T
     09280      09140T
     09440      09400T, 09410T
     09480      09360T
     09610      09470T
     09690      09080T
     09730      09710T
     09830      09770T, 09790T
     09890      09080T
     09940      10380T
     09970      09080T
     10040      09960T
     10100      10080T
     10110      10200T
     10150      10110T
     10170      10060T
     10190      10090T
     10210      10170T
     10230      10070T, 10180T
     10240      10220T
     10270      10240T
     10280      10140T, 10160T, 10260T
     10300      09910T
     10320      09080T
     10350      10320T
     10440      02900G, 03000G, 03090G, 03900G, 10500T
     10550      02880G, 02940G, 03040G, 03130G, 03890G, 03940G, 04440G, 04700G, 
                06050G, 06980G
     10700      10580T, 10590T, 10600T, 10610T
     10740      10690T
     10780      04140G, 04270G, 04340G, 07520G, 07790G
     10840      06560G, 06610G, 06760G, 06830G, 08160G, 10490G
     10900      10880T
     10960      02600G, 09500G, 09560G
     10990      10970T
     11050      11030T
     11080      11060T
     11090      11010T
     11100      07970T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cfcdc8   0x00cfcdc8   0x00cfdd94   0x00cfdd94 
   B) 0x00cfd460   0x00cfd470   0x00cfd48c   0x00cfd48c 
   C) 0x00cfce28   0x00cfd81c   0x00cfd870   0x00cfdd90 
   D) 0x00cfd8c4   0x00cfd8d4   0x00cfda20   0x00cfda20 
   E) 0x00cfdc74   0x00cfdc88   0x00cfdca4   0x00cfdca4 
   F) 0x00cfdca8   0x00cfdcb4   0x00cfdd00   0x00cfdd00 
   G) 0x00cfdd04   0x00cfdd10   0x00cfdd18   0x00cfdd18 
   H) 0x00cfdd1c   0x00cfdd28   0x00cfdd40   0x00cfdd40 
   I) 0x00cfdd44   0x00cfdd58   0x00cfdd8c   0x00cfdd8c 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine F overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine H overlaps, or is tangled with, routine C!
    NOTE: Routine I overlaps, or is tangled with, routine C!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cfcdc8   0x00cfcdc8   0x00cfdd94   0x00cfdd94 
   B) 0x00cfd460   0x00cfd470   0x00cfd48c   0x00cfd48c 
   C) 0x00cfce28   0x00cfd81c   0x00cfd870   0x00cfdd90 
   D) 0x00cfd8c4   0x00cfd8d4   0x00cfda20   0x00cfda20 
   E) 0x00cfdc74   0x00cfdc88   0x00cfdca4   0x00cfdca4 
   F) 0x00cfdca8   0x00cfdcb4   0x00cfdd00   0x00cfdd00 
   G) 0x00cfdd04   0x00cfdd10   0x00cfdd18   0x00cfdd18 
   H) 0x00cfdd1c   0x00cfdd28   0x00cfdd40   0x00cfdd40 
   I) 0x00cfdd44   0x00cfdd58   0x00cfdd8c   0x00cfdd8c 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine F overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine H overlaps, or is tangled with, routine C!
    NOTE: Routine I overlaps, or is tangled with, routine C!

 */

