/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Lunar.bas: 
 *
               +---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | |
      Address  v v Original BASIC statement
    ---------- - - ------------------------------------------------------------------------------
    0x00cdbaf8 A   01000 PRINT "D A T A L I N E   S Y S T E M S   L T D."
    0x00cdbbbc A   01010 PRINT "BASIC LIBRARY--'LUNAR'--18-OCT-73"
    0x00cdbc30 A   01020 PRINT
    0x00cdbd40 A   01030 PRINT" THIS PROGRAM IS DESIGNED TO SIMULATE THE LANDING OF"
    0x00cdbe44 A   01040 PRINT"   A LUNAR EXCURSION MODULE.  IF YOU KNOW HOW IT WORKS,"
    0x00cdbf10 A   01050 PRINT"    TYPE IN '1' ,IF NOT, TYPE IN '0'."
    0x00cdbfc0 A   01060 INPUT A
    0x00cdc07c A   01070 IF A=1 THEN1230
    0x00cdc16c A   01080 IF A=0 THEN 1090
    0x00cdcc6c A T 01090 PRINT
    0x00cdcd7c A   01100 PRINT"  YOU ARE TRAVELING IN THE LUNAR ATMOSPHERE AT AN "
    0x00cdce8c A   01110 PRINT"   ALTITUDE OF 40,000 FEET, AND DESCENDING AT A RATE OF"
    0x00cdcf8c A   01120 PRINT"   8,000 FEET PER SECOND.  YOU HAVE ACCESS TO 20 "
    0x00cdd094 A   01130 PRINT"    RETROROCKETS -- 1 TO 10 AND -1 TO -10."
    0x00cdd19c A   01140 PRINT"    A POSITIVE NUMBER SLOWS DOWN YOUR DESCENT, AND A "
    0x00cdd2a4 A   01150 PRINT"    NEGATIVE NUMBER INCREASES YOUR DESCENT. THE"
    0x00cdd3a4 A   01160 PRINT"    NEGATIVE FIRINGS ARE PARTICULARLY USEFUL WHEN"
    0x00cdd4ac A   01170 PRINT"    YOU HAVE SLOWED DOWN  TOO MUCH, AND YOU"
    0x00cdd5bc A   01180 PRINT"    FIND YOUR HEIGHT INCREASING, INSTEAD OF DECREASING."
    0x00cdd6b8 A   01190 PRINT"    YOU WILL LAND SAFELY IF YOUR FINAL VELOCITY IS"
    0x00cdd7b4 A   01200 PRINT"     LESS THAN 20 FEET PER SECOND."
    0x00cdd8c8 A   01210 PRINT"   AN ASTERISK (*) WILL GIVE YOUR RELATIVE POSITION"
    0x00cdd9a8 A   01220 PRINT"    TO THE MOON AFTER EACH RETRO FIRE. YOU MAY NOW BEGIN..."
    0x00cdda08 A T 01230 PRINT
    0x00cddabc A   01240 PRINT"PLEASE TYPE IN YOUR FIRST NAME..."
    0x00cddb64 A   01250 INPUT T$
    0x00cddbe0 A   01260 PRINT
    0x00cddc58 A   01270 :             ##.##             #####             #####          ####
    0x00cddddc A   01280 PRINT"              TIME            HEIGHT            VELOCITY        FUEL"
    0x00cddec4 A   01290 PRINT"              ----            ------            --------        ----"
    0x00cddf14 A   01300 PRINT
    0x00cde120 A   01310 PRINT"MOON" TAB(45);"*"
    0x00cde228 A   01320 H=40000
    0x00cde434 A   01330 V=8000
    0x00cde53c A   01340 V1=8000
    0x00cde6b8 A   01350 J=RND(-1)
    0x00cde828 A   01360 LET J=INT(J*15)
    0x00cde92c A   01370 F=9000
    0x00cdea30 A   01380 N=0.00
    0x00cdeb38 A   01390 B=40
    0x00cdeb70 A   01400 GO TO 1510
    0x00cdec34 A T 01410 B=0
    0x00cdedb0 A   01420 FOR X=1 TO 100
    0x00cdf1e0 A   01430 V=V-(K^3*1.5+K*15)+10-H/10000
    0x00cdf3a0 A   01440 F=F-ABS(K*93)
    0x00cdf46c A   01450 IF F<0 THEN 1670
    0x00cdf638 A   01460 H=H-(V+V1)/2
    0x00cdf7c4 A   01470 B=H/1000+4
    0x00cdf890 A   01480 IF H<0 THEN 1700
    0x00cdf944 A   01490 V1=V
    0x00cdfae0 A   01500 PRINT"MOON"; TAB(B);"*"
    0x00cdfc64 A T 01510 PRINT USING 1270,N,H,V,F
    0x00cdfd2c A   01520 PRINT"      FIRE";
    0x00cdfd98 A   01530 GO TO 1550
    0x00cdfe68 A T 01540 PRINT"  RETROROCKET FIRE MUST BE BETWEEN 10 AND -10!"
    0x00cdfed8 A T 01550 INPUT K
    0x00cdffa8 A   01560 IF K=999 THEN 1780
    0x00ce00cc A   01570 IF ABS(K)>10 THEN 1540
    0x00ce0120 A   01580 PRINT
    0x00ce0234 A   01590 N=N+1.00
    0x00ce0300 A   01600 IF X=2 THEN 1630
    0x00ce0368 A T 01610 NEXT X
    0x00ce03bc A   01620 GO TO 1410
    0x00ce0484 A T 01630 IF J=2 THEN 2040
    0x00ce0574 A   01640 IF J=13 THEN 2080
    0x00ce0868 A   01650 IF J=4 THEN 2240
    0x00ce08bc A   01660 GO TO 1410
    0x00ce0930 A T 01670 PRINT
    0x00ce0ac8 A   01680 PRINT"  YOU HAVE JUST RUN OUT OF FUEL ";H;"FEET ABOVE THE SURFACE!!"
    0x00ce0b10 A   01690 GO TO 2460
    0x00ce0bd8 A T 01700 IF V<0 THEN 1810
    0x00ce0cc8 A   01710 IF V<20 THEN 1850
    0x00ce0db8 A   01720 IFV<40 THEN 2470
    0x00ce0e44 A   01730 PRINT
    0x00ce108c A   01740 PRINT" YOU HAVE JUST CRASHED!! AT ";V;"FPS., GOOD-BYE, ";T$;"!!"
    0x00ce10d4 A   01750 GO TO 2460
    0x00ce119c     01760 IF H<5 THEN 1850
    0x00ce1224     01770 GO TO 1410
    0x00ce1310 A T 01780 PRINT"  YOU NOT ONLY LANDED, YOU WENT COMPLETELY THROUGH"
    0x00ce13d0 A   01790 PRINT"  THE LUNAR SURFACE !!!!"
    0x00ce140c A   01800 GO TO 1880
    0x00ce1480 A T 01810 PRINT
    0x00ce1574 A   01820 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY AT 0.001 FEET"
    0x00ce162c A   01830 PRINT"  PER SECOND!!"
    0x00ce1668 A   01840 GO TO 1880
    0x00ce16d0 A T 01850 PRINT
    0x00ce17c4 A   01860 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY"
    0x00ce195c A   01870 PRINT"  AT ";V;" FEET PER SECOND!!"
    0x00ce1a20 A T 01880 PRINT"  HERE IS YOUR PILOT\S LICENSE..."
    0x00ce1a5c A   01890 PRINT
    0x00ce1acc A   01900 PRINT
    0x00ce1bd8 A   01910 PRINT"**************************************************"
    0x00ce1ce8 A   01920 PRINT"*                                                *"
    0x00ce1e80 A   01930 PRINT"*       ";T$;"                                    * "
    0x00ce1f50 A   01940 IF K=999 THEN 1970
    0x00ce2074 A   01950 PRINT"*                  HAS SUCCESSFULLY LANDED       *"
    0x00ce20e4 A   01960 GO TO 1980
    0x00ce21e8 A T 01970 PRINT"*           HAS SUCCESSFULLY LANDED(BY CHEATING) *"
    0x00ce22f4 A T 01980 PRINT"*     A SIMULATED MODULE ON THE MOON, AND IS     *"
    0x00ce2400 A   01990 PRINT"*     A CERTIFIED MOON BUGGY DRIVER.             *"
    0x00ce250c A   02000 PRINT"*                                                *"
    0x00ce2618 A   02010 PRINT"*                              DATALINE          *"
    0x00ce26f4 A   02020 PRINT"**************************************************"
    0x00ce276c A   02030 GO TO 2460
    0x00ce2928 A T 02040 PRINT" SORRY,"T$", BUT A HOSTILE STARSHIP FROM SATURN HAS JUST"
    0x00ce2a28 A   02050 PRINT"   INVADED DATALINE'S COMPUTER AND DESTROYED YOUR"
    0x00ce2af8 A   02060 PRINT"   LUNAR VEHICLE !!  START OVER AGAIN..."
    0x00ce2b34 A   02070 GO TO 2460
    0x00ce2ba0 A T 02080 PRINT
    0x00ce2cb0 A   02090 PRINT" ONE OF YOUR THREE FUEL TANKS JUST BURST INTO FLAME!!"
    0x00ce2da4 A   02100 PRINT"  TO AVOID AN EXPLOSION, TURN OFF ONE OF THE 3 TANKS."
    0x00ce2e7c A   02110 PRINT"  (TYPE IN 1, 2, OR 3 )...";
    0x00ce2f2c A   02120 INPUT R
    0x00ce3068 A   02130 LET W=RND(-1)
    0x00ce321c A   02140 LET W=INT(W*3)+1
    0x00ce32b0 A   02150 IF W=R THEN 2200
    0x00ce357c A   02160 PRINT" SORRY ";T$;", BUT THE CORRECT FUEL TANK WAS NUMBER "W" , AND"
    0x00ce3664 A   02170 PRINT"  YOU HAVE JUST BECOME INTERGALACTIC DUST!!"
    0x00ce3720 A   02180 PRINT" START OVER AGAIN...."
    0x00ce3798 A   02190 GO TO 2500
    0x00ce38a8 A T 02200 PRINT" YOU HAVE PICKED THE CORRECT FUEL TANK, AND HAVE STOPPED"
    0x00ce3988 A   02210 PRINT"  THE FIRE SUCCESSFULLY!! YOU MAY NOW CONTINUE SAFELY..."
    0x00ce39c8 A   02220 GO TO 1610
    0x00ce39fc     02230 GO TO 2460
    0x00ce3a68 A T 02240 PRINT
    0x00ce3b7c A   02250 PRINT"  A METEOR SHOWER IS JUST DEAD AHEAD!!!  IF YOU WANT TO"
    0x00ce3c94 A   02260 PRINT"     SAVE YOURSELF, YOU HAD BETTER VEER TO THE SIDE AND"
    0x00ce3d94 A   02270 PRINT"     FIRE SOME OF YOUR ANTI-METEOR ROCKETS!!  FROM 1 TO 15,"
    0x00ce3e5c A   02280 PRINT"     HOW MANY WILL YOU SHOOT ?"
    0x00ce4314 A   02290 INPUT Z
    0x00ce43e4 A   02300 IF Z=9 THEN 2340
    0x00ce44d4 A   02310 IF Z=8 THEN 2340
    0x00ce45c4 A   02320 IF Z<8 THEN 2360
    0x00ce46b4 A   02330 IF Z>8 THEN 2410
    0x00ce47c8 A T 02340 PRINT"  YOU MADE IT!!!   NOW YOU MAY CONTINUE..."
    0x00ce4804 A   02350 GO TO 1610
    0x00ce4860 A T 02360 PRINT
    0x00ce4a18 A   02370 PRINT" SORRY, "T$", BUT THAT WASN\T ENOUGH!!"
    0x00ce4b08 A   02380 PRINT"   YOU HAVE JUST BEEN DISINTEGRATED BY THE METEORS!!"
    0x00ce4bc8 A   02390 PRINT"   START OVER AGAIN..."
    0x00ce4c04 A   02400 GO TO 2460
    0x00ce4c68 A T 02410 PRINT
    0x00ce4e20 A   02420 PRINT"  SORRY,"T$", BUT YOU USED TOO MANY ROCKETS,"
    0x00ce4f30 A   02430 PRINT"    AND YOU ARE NOW HEADING SOMEWHERE TOWARDS MARS,"
    0x00ce5038 A   02440 PRINT"    BECAUSE THE FIRING OF ALL THOSE ROCKETS THREW YOU"
    0x00ce510c A   02450 PRINT"    COMPLETELY OFF COURSE!! START OVER AGAIN..."
    0x00ce5138 A T 02460 STOP
    0x00ce534c A T 02470 PRINT" YOU HAVE LANDED, BUT AT A VELOCITY OF ";V;" FEET PER SECOND,"
    0x00ce5468 A   02480 PRINT"  WHICH HAS DAMAGED THE INSTRUMENTS IN YOUR SHIP ENOUGH TO"
    0x00ce5548 A   02490 PRINT"  PREVENT YOUR RETURN TO THE EARTH!! BETTER LUCK NEXT TIME!"
    0x00ce5574 A T 02500 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01090      01080T
     01230      01070T
     01410      01620T, 01660T, 01770T
     01510      01400T
     01540      01570T
     01550      01530T
     01610      02220T, 02350T
     01630      01600T
     01670      01450T
     01700      01480T
     01780      01560T
     01810      01700T
     01850      01710T, 01760T
     01880      01800T, 01840T
     01970      01940T
     01980      01960T
     02040      01630T
     02080      01640T
     02200      02150T
     02240      01650T
     02340      02300T, 02310T
     02360      02320T
     02410      02330T
     02460      01690T, 01750T, 02030T, 02070T, 02230T, 02400T
     02470      01720T
     02500      02190T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce3e88   0x00ce3e88   0x00ce40e0   0x00ce40e0 


 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00ce3e88   0x00ce3e88   0x00ce40e0   0x00ce40e0 


 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     02510 - 10000    7500 

 */



/*
 *  Symbol Table Listing for '..\basic\Lunar.bas'
 *
    A              Integer 
    ABS   Function Integer     args=1, int   
    B              Float   
    F              Integer 
    H              Float   
    INT   Function Integer     args=1, float 
    J              Integer 
    K              Integer 
    N              Float   
    R              Integer 
    RND   Function Integer     args=1, int   
    T$             String  
    TAB   Function String      args=1, 
    V              Float   
    V1             Float   
    W              Integer 
    X              Integer 
    Z              Integer 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Lunar.bas: 
 *
               +---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | |
      Address  v v Original BASIC statement
    ---------- - - ------------------------------------------------------------------------------
    0x00cdbaf8 A   01000 PRINT "D A T A L I N E   S Y S T E M S   L T D."
    0x00cdbbbc A   01010 PRINT "BASIC LIBRARY--'LUNAR'--18-OCT-73"
    0x00cdbc30 A   01020 PRINT
    0x00cdbd40 A   01030 PRINT" THIS PROGRAM IS DESIGNED TO SIMULATE THE LANDING OF"
    0x00cdbe44 A   01040 PRINT"   A LUNAR EXCURSION MODULE.  IF YOU KNOW HOW IT WORKS,"
    0x00cdbf10 A   01050 PRINT"    TYPE IN '1' ,IF NOT, TYPE IN '0'."
    0x00cdbfc0 A   01060 INPUT A
    0x00cdc07c A   01070 IF A=1 THEN1230
    0x00cdc16c A   01080 IF A=0 THEN 1090
    0x00cdcc6c A T 01090 PRINT
    0x00cdcd7c A   01100 PRINT"  YOU ARE TRAVELING IN THE LUNAR ATMOSPHERE AT AN "
    0x00cdce8c A   01110 PRINT"   ALTITUDE OF 40,000 FEET, AND DESCENDING AT A RATE OF"
    0x00cdcf8c A   01120 PRINT"   8,000 FEET PER SECOND.  YOU HAVE ACCESS TO 20 "
    0x00cdd094 A   01130 PRINT"    RETROROCKETS -- 1 TO 10 AND -1 TO -10."
    0x00cdd19c A   01140 PRINT"    A POSITIVE NUMBER SLOWS DOWN YOUR DESCENT, AND A "
    0x00cdd2a4 A   01150 PRINT"    NEGATIVE NUMBER INCREASES YOUR DESCENT. THE"
    0x00cdd3a4 A   01160 PRINT"    NEGATIVE FIRINGS ARE PARTICULARLY USEFUL WHEN"
    0x00cdd4ac A   01170 PRINT"    YOU HAVE SLOWED DOWN  TOO MUCH, AND YOU"
    0x00cdd5bc A   01180 PRINT"    FIND YOUR HEIGHT INCREASING, INSTEAD OF DECREASING."
    0x00cdd6b8 A   01190 PRINT"    YOU WILL LAND SAFELY IF YOUR FINAL VELOCITY IS"
    0x00cdd7b4 A   01200 PRINT"     LESS THAN 20 FEET PER SECOND."
    0x00cdd8c8 A   01210 PRINT"   AN ASTERISK (*) WILL GIVE YOUR RELATIVE POSITION"
    0x00cdd9a8 A   01220 PRINT"    TO THE MOON AFTER EACH RETRO FIRE. YOU MAY NOW BEGIN..."
    0x00cdda08 A T 01230 PRINT
    0x00cddabc A   01240 PRINT"PLEASE TYPE IN YOUR FIRST NAME..."
    0x00cddb64 A   01250 INPUT T$
    0x00cddbe0 A   01260 PRINT
    0x00cddc58 A   01270 :             ##.##             #####             #####          ####
    0x00cddddc A   01280 PRINT"              TIME            HEIGHT            VELOCITY        FUEL"
    0x00cddec4 A   01290 PRINT"              ----            ------            --------        ----"
    0x00cddf14 A   01300 PRINT
    0x00cde120 A   01310 PRINT"MOON" TAB(45);"*"
    0x00cde228 A   01320 H=40000
    0x00cde434 A   01330 V=8000
    0x00cde53c A   01340 V1=8000
    0x00cde6b8 A   01350 J=RND(-1)
    0x00cde828 A   01360 LET J=INT(J*15)
    0x00cde92c A   01370 F=9000
    0x00cdea30 A   01380 N=0.00
    0x00cdeb38 A   01390 B=40
    0x00cdeb70 A   01400 GO TO 1510
    0x00cdec34 A T 01410 B=0
    0x00cdedb0 A   01420 FOR X=1 TO 100
    0x00cdf1e0 A   01430 V=V-(K^3*1.5+K*15)+10-H/10000
    0x00cdf3a0 A   01440 F=F-ABS(K*93)
    0x00cdf46c A   01450 IF F<0 THEN 1670
    0x00cdf638 A   01460 H=H-(V+V1)/2
    0x00cdf7c4 A   01470 B=H/1000+4
    0x00cdf890 A   01480 IF H<0 THEN 1700
    0x00cdf944 A   01490 V1=V
    0x00cdfae0 A   01500 PRINT"MOON"; TAB(B);"*"
    0x00cdfc64 A T 01510 PRINT USING 1270,N,H,V,F
    0x00cdfd2c A   01520 PRINT"      FIRE";
    0x00cdfd98 A   01530 GO TO 1550
    0x00cdfe68 A T 01540 PRINT"  RETROROCKET FIRE MUST BE BETWEEN 10 AND -10!"
    0x00cdfed8 A T 01550 INPUT K
    0x00cdffa8 A   01560 IF K=999 THEN 1780
    0x00ce00cc A   01570 IF ABS(K)>10 THEN 1540
    0x00ce0120 A   01580 PRINT
    0x00ce0234 A   01590 N=N+1.00
    0x00ce0300 A   01600 IF X=2 THEN 1630
    0x00ce0368 A T 01610 NEXT X
    0x00ce03bc A   01620 GO TO 1410
    0x00ce0484 A T 01630 IF J=2 THEN 2040
    0x00ce0574 A   01640 IF J=13 THEN 2080
    0x00ce0868 A   01650 IF J=4 THEN 2240
    0x00ce08bc A   01660 GO TO 1410
    0x00ce0930 A T 01670 PRINT
    0x00ce0ac8 A   01680 PRINT"  YOU HAVE JUST RUN OUT OF FUEL ";H;"FEET ABOVE THE SURFACE!!"
    0x00ce0b10 A   01690 GO TO 2460
    0x00ce0bd8 A T 01700 IF V<0 THEN 1810
    0x00ce0cc8 A   01710 IF V<20 THEN 1850
    0x00ce0db8 A   01720 IFV<40 THEN 2470
    0x00ce0e44 A   01730 PRINT
    0x00ce108c A   01740 PRINT" YOU HAVE JUST CRASHED!! AT ";V;"FPS., GOOD-BYE, ";T$;"!!"
    0x00ce10d4 A   01750 GO TO 2460
    0x00ce119c     01760 IF H<5 THEN 1850
    0x00ce1224     01770 GO TO 1410
    0x00ce1310 A T 01780 PRINT"  YOU NOT ONLY LANDED, YOU WENT COMPLETELY THROUGH"
    0x00ce13d0 A   01790 PRINT"  THE LUNAR SURFACE !!!!"
    0x00ce140c A   01800 GO TO 1880
    0x00ce1480 A T 01810 PRINT
    0x00ce1574 A   01820 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY AT 0.001 FEET"
    0x00ce162c A   01830 PRINT"  PER SECOND!!"
    0x00ce1668 A   01840 GO TO 1880
    0x00ce16d0 A T 01850 PRINT
    0x00ce17c4 A   01860 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY"
    0x00ce195c A   01870 PRINT"  AT ";V;" FEET PER SECOND!!"
    0x00ce1a20 A T 01880 PRINT"  HERE IS YOUR PILOT\S LICENSE..."
    0x00ce1a5c A   01890 PRINT
    0x00ce1acc A   01900 PRINT
    0x00ce1bd8 A   01910 PRINT"**************************************************"
    0x00ce1ce8 A   01920 PRINT"*                                                *"
    0x00ce1e80 A   01930 PRINT"*       ";T$;"                                    * "
    0x00ce1f50 A   01940 IF K=999 THEN 1970
    0x00ce2074 A   01950 PRINT"*                  HAS SUCCESSFULLY LANDED       *"
    0x00ce20e4 A   01960 GO TO 1980
    0x00ce21e8 A T 01970 PRINT"*           HAS SUCCESSFULLY LANDED(BY CHEATING) *"
    0x00ce22f4 A T 01980 PRINT"*     A SIMULATED MODULE ON THE MOON, AND IS     *"
    0x00ce2400 A   01990 PRINT"*     A CERTIFIED MOON BUGGY DRIVER.             *"
    0x00ce250c A   02000 PRINT"*                                                *"
    0x00ce2618 A   02010 PRINT"*                              DATALINE          *"
    0x00ce26f4 A   02020 PRINT"**************************************************"
    0x00ce276c A   02030 GO TO 2460
    0x00ce2928 A T 02040 PRINT" SORRY,"T$", BUT A HOSTILE STARSHIP FROM SATURN HAS JUST"
    0x00ce2a28 A   02050 PRINT"   INVADED DATALINE'S COMPUTER AND DESTROYED YOUR"
    0x00ce2af8 A   02060 PRINT"   LUNAR VEHICLE !!  START OVER AGAIN..."
    0x00ce2b34 A   02070 GO TO 2460
    0x00ce2ba0 A T 02080 PRINT
    0x00ce2cb0 A   02090 PRINT" ONE OF YOUR THREE FUEL TANKS JUST BURST INTO FLAME!!"
    0x00ce2da4 A   02100 PRINT"  TO AVOID AN EXPLOSION, TURN OFF ONE OF THE 3 TANKS."
    0x00ce2e7c A   02110 PRINT"  (TYPE IN 1, 2, OR 3 )...";
    0x00ce2f2c A   02120 INPUT R
    0x00ce3068 A   02130 LET W=RND(-1)
    0x00ce321c A   02140 LET W=INT(W*3)+1
    0x00ce32b0 A   02150 IF W=R THEN 2200
    0x00ce357c A   02160 PRINT" SORRY ";T$;", BUT THE CORRECT FUEL TANK WAS NUMBER "W" , AND"
    0x00ce3664 A   02170 PRINT"  YOU HAVE JUST BECOME INTERGALACTIC DUST!!"
    0x00ce3720 A   02180 PRINT" START OVER AGAIN...."
    0x00ce3798 A   02190 GO TO 2500
    0x00ce38a8 A T 02200 PRINT" YOU HAVE PICKED THE CORRECT FUEL TANK, AND HAVE STOPPED"
    0x00ce3988 A   02210 PRINT"  THE FIRE SUCCESSFULLY!! YOU MAY NOW CONTINUE SAFELY..."
    0x00ce39c8 A   02220 GO TO 1610
    0x00ce39fc     02230 GO TO 2460
    0x00ce3a68 A T 02240 PRINT
    0x00ce3b7c A   02250 PRINT"  A METEOR SHOWER IS JUST DEAD AHEAD!!!  IF YOU WANT TO"
    0x00ce3c94 A   02260 PRINT"     SAVE YOURSELF, YOU HAD BETTER VEER TO THE SIDE AND"
    0x00ce3d94 A   02270 PRINT"     FIRE SOME OF YOUR ANTI-METEOR ROCKETS!!  FROM 1 TO 15,"
    0x00ce3e5c A   02280 PRINT"     HOW MANY WILL YOU SHOOT ?"
    0x00ce4314 A   02290 INPUT Z
    0x00ce43e4 A   02300 IF Z=9 THEN 2340
    0x00ce44d4 A   02310 IF Z=8 THEN 2340
    0x00ce45c4 A   02320 IF Z<8 THEN 2360
    0x00ce46b4 A   02330 IF Z>8 THEN 2410
    0x00ce47c8 A T 02340 PRINT"  YOU MADE IT!!!   NOW YOU MAY CONTINUE..."
    0x00ce4804 A   02350 GO TO 1610
    0x00ce4860 A T 02360 PRINT
    0x00ce4a18 A   02370 PRINT" SORRY, "T$", BUT THAT WASN\T ENOUGH!!"
    0x00ce4b08 A   02380 PRINT"   YOU HAVE JUST BEEN DISINTEGRATED BY THE METEORS!!"
    0x00ce4bc8 A   02390 PRINT"   START OVER AGAIN..."
    0x00ce4c04 A   02400 GO TO 2460
    0x00ce4c68 A T 02410 PRINT
    0x00ce4e20 A   02420 PRINT"  SORRY,"T$", BUT YOU USED TOO MANY ROCKETS,"
    0x00ce4f30 A   02430 PRINT"    AND YOU ARE NOW HEADING SOMEWHERE TOWARDS MARS,"
    0x00ce5038 A   02440 PRINT"    BECAUSE THE FIRING OF ALL THOSE ROCKETS THREW YOU"
    0x00ce510c A   02450 PRINT"    COMPLETELY OFF COURSE!! START OVER AGAIN..."
    0x00ce5138 A T 02460 STOP
    0x00ce534c A T 02470 PRINT" YOU HAVE LANDED, BUT AT A VELOCITY OF ";V;" FEET PER SECOND,"
    0x00ce5468 A   02480 PRINT"  WHICH HAS DAMAGED THE INSTRUMENTS IN YOUR SHIP ENOUGH TO"
    0x00ce5548 A   02490 PRINT"  PREVENT YOUR RETURN TO THE EARTH!! BETTER LUCK NEXT TIME!"
    0x00ce5574 A T 02500 END
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\Lunar.cpp,v 1.6 2011-10-16 22:43:32-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: Lunar.cpp,v $
// Revision 1.6  2011-10-16 22:43:32-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
char* UsingFmt_01270 = "             %5.2d             %5d             %5d          %4d";
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int;        // Comments?
float B_flt;        // Comments?
int   F_int;        // Comments?
float H_flt;        // Comments?
int   J_int;        // Comments?
int   K_int;        // Comments?
float N_flt;        // Comments?
int   R_int;        // Comments?
char* T_str;        // Comments?
float V_flt;        // Comments?
float V1_flt;       // Comments?
int   W_int;        // Comments?
int   X_int;        // Comments?
int   Z_int;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 PRINT "D A T A L I N E   S Y S T E M S   L T D."
    MyFpf(stdout,"d a t a l i n e   s y s t e m s   l t d.\n");
    // 01010 PRINT "BASIC LIBRARY--'LUNAR'--18-OCT-73"
    MyFpf(stdout,"basic library--'lunar'--18-oct-73\n");
    // 01020 PRINT
    MyFpf(stdout,"\n");
    // 01030 PRINT" THIS PROGRAM IS DESIGNED TO SIMULATE THE LANDING OF"
    MyFpf(stdout," this program is designed to simulate the landing of\n");
    // 01040 PRINT"   A LUNAR EXCURSION MODULE.  IF YOU KNOW HOW IT WORKS,"
    MyFpf(stdout,"   a lunar excursion module.  if you know how it works,\n");
    // 01050 PRINT"    TYPE IN '1' ,IF NOT, TYPE IN '0'."
    MyFpf(stdout,"    type in '1' ,if not, type in '0'.\n");
    // 01060 INPUT A
    // Start of Basic INPUT statement 01060
    printf(" ? ");
    char inpbuf_01060[100];
    if(fgets(inpbuf_01060,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01060=strtok(inpbuf_01060," ,\t\n");
        if(ps_01060==NULL){
            A_int = 0;
        }else{
            A_int = atoi(ps_01060);
        };
    }; // End of Basic INPUT statement 01060
    // 01070 IF A=1 THEN1230
    if(A_int==1) goto Lbl_01230;
    // 01080 IF A=0 THEN 1090
    if(A_int==0) goto Lbl_01090;

  Lbl_01090:
    // 01090 PRINT
    MyFpf(stdout,"\n");
    // 01100 PRINT"  YOU ARE TRAVELING IN THE LUNAR ATMOSPHERE AT AN "
    MyFpf(stdout,"  you are traveling in the lunar atmosphere at an \n");
    // 01110 PRINT"   ALTITUDE OF 40,000 FEET, AND DESCENDING AT A RATE OF"
    MyFpf(stdout,"   altitude of 40,000 feet, and descending at a rate of\n");
    // 01120 PRINT"   8,000 FEET PER SECOND.  YOU HAVE ACCESS TO 20 "
    MyFpf(stdout,"   8,000 feet per second.  you have access to 20 \n");
    // 01130 PRINT"    RETROROCKETS -- 1 TO 10 AND -1 TO -10."
    MyFpf(stdout,"    retrorockets -- 1 to 10 and -1 to -10.\n");
    // 01140 PRINT"    A POSITIVE NUMBER SLOWS DOWN YOUR DESCENT, AND A "
    MyFpf(stdout,"    a positive number slows down your descent, and a \n");
    // 01150 PRINT"    NEGATIVE NUMBER INCREASES YOUR DESCENT. THE"
    MyFpf(stdout,"    negative number increases your descent. the\n");
    // 01160 PRINT"    NEGATIVE FIRINGS ARE PARTICULARLY USEFUL WHEN"
    MyFpf(stdout,"    negative firings are particularly useful when\n");
    // 01170 PRINT"    YOU HAVE SLOWED DOWN  TOO MUCH, AND YOU"
    MyFpf(stdout,"    you have slowed down  too much, and you\n");
    // 01180 PRINT"    FIND YOUR HEIGHT INCREASING, INSTEAD OF DECREASING."
    MyFpf(stdout,"    find your height increasing, instead of decreasing.\n");
    // 01190 PRINT"    YOU WILL LAND SAFELY IF YOUR FINAL VELOCITY IS"
    MyFpf(stdout,"    you will land safely if your final velocity is\n");
    // 01200 PRINT"     LESS THAN 20 FEET PER SECOND."
    MyFpf(stdout,"     less than 20 feet per second.\n");
    // 01210 PRINT"   AN ASTERISK (*) WILL GIVE YOUR RELATIVE POSITION"
    MyFpf(stdout,"   an asterisk (*) will give your relative position\n");
    // 01220 PRINT"    TO THE MOON AFTER EACH RETRO FIRE. YOU MAY NOW BEGIN..."
    MyFpf(stdout,"    to the moon after each retro fire. you may now begin...\n");

  Lbl_01230:
    // 01230 PRINT
    MyFpf(stdout,"\n");
    // 01240 PRINT"PLEASE TYPE IN YOUR FIRST NAME..."
    MyFpf(stdout,"please type in your first name...\n");
    // 01250 INPUT T$
    // Start of Basic INPUT statement 01250
    printf(" ? ");
    char inpbuf_01250[100];
    if(fgets(inpbuf_01250,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01250=strtok(inpbuf_01250," ,\t\n");
        if(ps_01250==NULL){
            T_str = "";
        }else{
            T_str = ps_01250;
        };
    }; // End of Basic INPUT statement 01250
    // 01260 PRINT
    MyFpf(stdout,"\n");
    // 01270 :             ##.##             #####             #####          ####
    // 01280 PRINT"              TIME            HEIGHT            VELOCITY        FUEL"
    MyFpf(stdout,"              time            height            velocity        fuel\n");
    // 01290 PRINT"              ----            ------            --------        ----"
    MyFpf(stdout,"              ----            ------            --------        ----\n");
    // 01300 PRINT
    MyFpf(stdout,"\n");
    // 01310 PRINT"MOON" TAB(45);"*"
    MyFpf(stdout,"moon%s*\n",TAB(45));
    // 01320 H=40000
    H_flt = 40000;
    // 01330 V=8000
    V_flt = 8000;
    // 01340 V1=8000
    V1_flt = 8000;
    // 01350 J=RND(-1)
    J_int = RND(-1);
    // 01360 LET J=INT(J*15)
    J_int = INT(J_int*15);
    // 01370 F=9000
    F_int = 9000;
    // 01380 N=0.00
    N_flt = 0.;
    // 01390 B=40
    B_flt = 40;
    // 01400 GO TO 1510
    goto Lbl_01510;

  Lbl_01410:
    // 01410 B=0
    B_flt = 0;
    // 01420 FOR X=1 TO 100
    for(X_int=1;X_int<=100;X_int++){
        // 01430 V=V-(K^3*1.5+K*15)+10-H/10000
        V_flt = V_flt-(IPower(K_int,3)*1.5+K_int*15)+10-H_flt/10000;
        // 01440 F=F-ABS(K*93)
        F_int = F_int-ABS(K_int*93);
        // 01450 IF F<0 THEN 1670
        if(F_int<0) goto Lbl_01670;
        // 01460 H=H-(V+V1)/2
        H_flt = H_flt-(V_flt+V1_flt)/2;
        // 01470 B=H/1000+4
        B_flt = H_flt/1000+4;
        // 01480 IF H<0 THEN 1700
        if(H_flt<0) goto Lbl_01700;
        // 01490 V1=V
        V1_flt = V_flt;
        // 01500 PRINT"MOON"; TAB(B);"*"
        MyFpf(stdout,"moon%s*\n",TAB(B_flt));

  Lbl_01510:
        // 01510 PRINT USING 1270,N,H,V,F
        MyFpf(stdout,UsingFmt_01270,FT(N_flt),IT(H_flt),IT(V_flt),IT(F_int));
        // 01520 PRINT"      FIRE";
        MyFpf(stdout,"      fire");
        // 01530 GO TO 1550
        goto Lbl_01550;

  Lbl_01540:
        // 01540 PRINT"  RETROROCKET FIRE MUST BE BETWEEN 10 AND -10!"
        MyFpf(stdout,"  retrorocket fire must be between 10 and -10!\n");

  Lbl_01550:
        // 01550 INPUT K
        // Start of Basic INPUT statement 01550
        printf(" ? ");
        char inpbuf_01550[100];
        if(fgets(inpbuf_01550,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_01550=strtok(inpbuf_01550," ,\t\n");
            if(ps_01550==NULL){
                K_int = 0;
            }else{
                K_int = atoi(ps_01550);
            };
        }; // End of Basic INPUT statement 01550
        // 01560 IF K=999 THEN 1780
        if(K_int==999) goto Lbl_01780;
        // 01570 IF ABS(K)>10 THEN 1540
        if(ABS(K_int)>10) goto Lbl_01540;
        // 01580 PRINT
        MyFpf(stdout,"\n");
        // 01590 N=N+1.00
        N_flt = N_flt+1.;
        // 01600 IF X=2 THEN 1630
        if(X_int==2) goto Lbl_01630;

  Lbl_01610:
        // 01610 NEXT X
    }; // End-For(X_int)
    // 01620 GO TO 1410
    goto Lbl_01410;

  Lbl_01630:
    // 01630 IF J=2 THEN 2040
    if(J_int==2) goto Lbl_02040;
    // 01640 IF J=13 THEN 2080
    if(J_int==13) goto Lbl_02080;
    // 01650 IF J=4 THEN 2240
    if(J_int==4) goto Lbl_02240;
    // 01660 GO TO 1410
    goto Lbl_01410;

  Lbl_01670:
    // 01670 PRINT
    MyFpf(stdout,"\n");
    // 01680 PRINT"  YOU HAVE JUST RUN OUT OF FUEL ";H;"FEET ABOVE THE SURFACE!!"
    MyFpf(stdout,"  you have just run out of fuel %ffeet above the surface!!\n",H_flt);
    // 01690 GO TO 2460
    goto Lbl_02460;

  Lbl_01700:
    // 01700 IF V<0 THEN 1810
    if(V_flt<0) goto Lbl_01810;
    // 01710 IF V<20 THEN 1850
    if(V_flt<20) goto Lbl_01850;
    // 01720 IFV<40 THEN 2470
    if(V_flt<40) goto Lbl_02470;
    // 01730 PRINT
    MyFpf(stdout,"\n");
    // 01740 PRINT" YOU HAVE JUST CRASHED!! AT ";V;"FPS., GOOD-BYE, ";T$;"!!"
    MyFpf(stdout," you have just crashed!! at %ffps., good-bye, %s!!\n",V_flt,T_str);
    // 01750 GO TO 2460
    goto Lbl_02460;

  Lbl_01780:
    // 01780 PRINT"  YOU NOT ONLY LANDED, YOU WENT COMPLETELY THROUGH"
    MyFpf(stdout,"  you not only landed, you went completely through\n");
    // 01790 PRINT"  THE LUNAR SURFACE !!!!"
    MyFpf(stdout,"  the lunar surface !!!!\n");
    // 01800 GO TO 1880
    goto Lbl_01880;

  Lbl_01810:
    // 01810 PRINT
    MyFpf(stdout,"\n");
    // 01820 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY AT 0.001 FEET"
    MyFpf(stdout," congratulations !!! you have just landed safely at 0.001 feet\n");
    // 01830 PRINT"  PER SECOND!!"
    MyFpf(stdout,"  per second!!\n");
    // 01840 GO TO 1880
    goto Lbl_01880;

  Lbl_01850:
    // 01850 PRINT
    MyFpf(stdout,"\n");
    // 01860 PRINT" CONGRATULATIONS !!! YOU HAVE JUST LANDED SAFELY"
    MyFpf(stdout," congratulations !!! you have just landed safely\n");
    // 01870 PRINT"  AT ";V;" FEET PER SECOND!!"
    MyFpf(stdout,"  at %f feet per second!!\n",V_flt);

  Lbl_01880:
    // 01880 PRINT"  HERE IS YOUR PILOT\S LICENSE..."
    MyFpf(stdout,"  here is your pilot\s license...\n");
    // 01890 PRINT
    MyFpf(stdout,"\n");
    // 01900 PRINT
    MyFpf(stdout,"\n");
    // 01910 PRINT"**************************************************"
    MyFpf(stdout,"**************************************************\n");
    // 01920 PRINT"*                                                *"
    MyFpf(stdout,"*                                                *\n");
    // 01930 PRINT"*       ";T$;"                                    * "
    MyFpf(stdout,"*       %s                                    * \n",T_str);
    // 01940 IF K=999 THEN 1970
    if(K_int==999) goto Lbl_01970;
    // 01950 PRINT"*                  HAS SUCCESSFULLY LANDED       *"
    MyFpf(stdout,"*                  has successfully landed       *\n");
    // 01960 GO TO 1980
    goto Lbl_01980;

  Lbl_01970:
    // 01970 PRINT"*           HAS SUCCESSFULLY LANDED(BY CHEATING) *"
    MyFpf(stdout,"*           has successfully landed(by cheating) *\n");

  Lbl_01980:
    // 01980 PRINT"*     A SIMULATED MODULE ON THE MOON, AND IS     *"
    MyFpf(stdout,"*     a simulated module on the moon, and is     *\n");
    // 01990 PRINT"*     A CERTIFIED MOON BUGGY DRIVER.             *"
    MyFpf(stdout,"*     a certified moon buggy driver.             *\n");
    // 02000 PRINT"*                                                *"
    MyFpf(stdout,"*                                                *\n");
    // 02010 PRINT"*                              DATALINE          *"
    MyFpf(stdout,"*                              dataline          *\n");
    // 02020 PRINT"**************************************************"
    MyFpf(stdout,"**************************************************\n");
    // 02030 GO TO 2460
    goto Lbl_02460;

  Lbl_02040:
    // 02040 PRINT" SORRY,"T$", BUT A HOSTILE STARSHIP FROM SATURN HAS JUST"
    MyFpf(stdout," sorry,%s, but a hostile starship from saturn has just\n",T_str);
    // 02050 PRINT"   INVADED DATALINE'S COMPUTER AND DESTROYED YOUR"
    MyFpf(stdout,"   invaded dataline's computer and destroyed your\n");
    // 02060 PRINT"   LUNAR VEHICLE !!  START OVER AGAIN..."
    MyFpf(stdout,"   lunar vehicle !!  start over again...\n");
    // 02070 GO TO 2460
    goto Lbl_02460;

  Lbl_02080:
    // 02080 PRINT
    MyFpf(stdout,"\n");
    // 02090 PRINT" ONE OF YOUR THREE FUEL TANKS JUST BURST INTO FLAME!!"
    MyFpf(stdout," one of your three fuel tanks just burst into flame!!\n");
    // 02100 PRINT"  TO AVOID AN EXPLOSION, TURN OFF ONE OF THE 3 TANKS."
    MyFpf(stdout,"  to avoid an explosion, turn off one of the 3 tanks.\n");
    // 02110 PRINT"  (TYPE IN 1, 2, OR 3 )...";
    MyFpf(stdout,"  (type in 1, 2, or 3 )...");
    // 02120 INPUT R
    // Start of Basic INPUT statement 02120
    printf(" ? ");
    char inpbuf_02120[100];
    if(fgets(inpbuf_02120,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_02120=strtok(inpbuf_02120," ,\t\n");
        if(ps_02120==NULL){
            R_int = 0;
        }else{
            R_int = atoi(ps_02120);
        };
    }; // End of Basic INPUT statement 02120
    // 02130 LET W=RND(-1)
    W_int = RND(-1);
    // 02140 LET W=INT(W*3)+1
    W_int = INT(W_int*3)+1;
    // 02150 IF W=R THEN 2200
    if(W_int==R_int) goto Lbl_02200;
    // 02160 PRINT" SORRY ";T$;", BUT THE CORRECT FUEL TANK WAS NUMBER "W" , AND"
    MyFpf(stdout," sorry %s, but the correct fuel tank was number %d , and\n",T_str,W_int);
    // 02170 PRINT"  YOU HAVE JUST BECOME INTERGALACTIC DUST!!"
    MyFpf(stdout,"  you have just become intergalactic dust!!\n");
    // 02180 PRINT" START OVER AGAIN...."
    MyFpf(stdout," start over again....\n");
    // 02190 GO TO 2500
    goto Lbl_02500;

  Lbl_02200:
    // 02200 PRINT" YOU HAVE PICKED THE CORRECT FUEL TANK, AND HAVE STOPPED"
    MyFpf(stdout," you have picked the correct fuel tank, and have stopped\n");
    // 02210 PRINT"  THE FIRE SUCCESSFULLY!! YOU MAY NOW CONTINUE SAFELY..."
    MyFpf(stdout,"  the fire successfully!! you may now continue safely...\n");
    // 02220 GO TO 1610
    goto Lbl_01610;

  Lbl_02240:
    // 02240 PRINT
    MyFpf(stdout,"\n");
    // 02250 PRINT"  A METEOR SHOWER IS JUST DEAD AHEAD!!!  IF YOU WANT TO"
    MyFpf(stdout,"  a meteor shower is just dead ahead!!!  if you want to\n");
    // 02260 PRINT"     SAVE YOURSELF, YOU HAD BETTER VEER TO THE SIDE AND"
    MyFpf(stdout,"     save yourself, you had better veer to the side and\n");
    // 02270 PRINT"     FIRE SOME OF YOUR ANTI-METEOR ROCKETS!!  FROM 1 TO 15,"
    MyFpf(stdout,"     fire some of your anti-meteor rockets!!  from 1 to 15,\n");
    // 02280 PRINT"     HOW MANY WILL YOU SHOOT ?"
    MyFpf(stdout,"     how many will you shoot ?\n");
    // 02290 INPUT Z
    // Start of Basic INPUT statement 02290
    printf(" ? ");
    char inpbuf_02290[100];
    if(fgets(inpbuf_02290,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_02290=strtok(inpbuf_02290," ,\t\n");
        if(ps_02290==NULL){
            Z_int = 0;
        }else{
            Z_int = atoi(ps_02290);
        };
    }; // End of Basic INPUT statement 02290
    // 02300 IF Z=9 THEN 2340
    if(Z_int==9) goto Lbl_02340;
    // 02310 IF Z=8 THEN 2340
    if(Z_int==8) goto Lbl_02340;
    // 02320 IF Z<8 THEN 2360
    if(Z_int<8) goto Lbl_02360;
    // 02330 IF Z>8 THEN 2410
    if(Z_int>8) goto Lbl_02410;

  Lbl_02340:
    // 02340 PRINT"  YOU MADE IT!!!   NOW YOU MAY CONTINUE..."
    MyFpf(stdout,"  you made it!!!   now you may continue...\n");
    // 02350 GO TO 1610
    goto Lbl_01610;

  Lbl_02360:
    // 02360 PRINT
    MyFpf(stdout,"\n");
    // 02370 PRINT" SORRY, "T$", BUT THAT WASN\T ENOUGH!!"
    MyFpf(stdout," sorry, %s, but that wasn\t enough!!\n",T_str);
    // 02380 PRINT"   YOU HAVE JUST BEEN DISINTEGRATED BY THE METEORS!!"
    MyFpf(stdout,"   you have just been disintegrated by the meteors!!\n");
    // 02390 PRINT"   START OVER AGAIN..."
    MyFpf(stdout,"   start over again...\n");
    // 02400 GO TO 2460
    goto Lbl_02460;

  Lbl_02410:
    // 02410 PRINT
    MyFpf(stdout,"\n");
    // 02420 PRINT"  SORRY,"T$", BUT YOU USED TOO MANY ROCKETS,"
    MyFpf(stdout,"  sorry,%s, but you used too many rockets,\n",T_str);
    // 02430 PRINT"    AND YOU ARE NOW HEADING SOMEWHERE TOWARDS MARS,"
    MyFpf(stdout,"    and you are now heading somewhere towards mars,\n");
    // 02440 PRINT"    BECAUSE THE FIRING OF ALL THOSE ROCKETS THREW YOU"
    MyFpf(stdout,"    because the firing of all those rockets threw you\n");
    // 02450 PRINT"    COMPLETELY OFF COURSE!! START OVER AGAIN..."
    MyFpf(stdout,"    completely off course!! start over again...\n");

  Lbl_02460:
    // 02460 STOP
    exit(1);

  Lbl_02470:
    // 02470 PRINT" YOU HAVE LANDED, BUT AT A VELOCITY OF ";V;" FEET PER SECOND,"
    MyFpf(stdout," you have landed, but at a velocity of %f feet per second,\n",V_flt);
    // 02480 PRINT"  WHICH HAS DAMAGED THE INSTRUMENTS IN YOUR SHIP ENOUGH TO"
    MyFpf(stdout,"  which has damaged the instruments in your ship enough to\n");
    // 02490 PRINT"  PREVENT YOUR RETURN TO THE EARTH!! BETTER LUCK NEXT TIME!"
    MyFpf(stdout,"  prevent your return to the earth!! better luck next time!\n");

  Lbl_02500:
    // 02500 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: Lunar.cpp,v $ 
//---------------------------------------------------------------------------
