/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Bandit.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdba5c   A   01000 REM THIS PROGRAM SIMULATES THE MECHANICAL
    0x00cdbacc   A   01010 REM THREE WHEEL ONE-ARM-BANDIT
    0x00cdbbc8   A T 01020 PRINT"ARE INTRUCTIONS REQUIRED?"
    0x00cdbc88   A   01030 PRINT"TYPE EITHER 'YES' OR 'NO'"
    0x00cdbd40   A   01040 INPUT L$
    0x00cd1948   A   01050 IF L$="YES" THEN 1090
    0x00cdbeec   A   01060 IF L$="NO" THEN 1160
    0x00cdbfc8   A   01070 PRINT"INVALID COMMAND"
    0x00cdc02c   A   01080 GOTO 1020
    0x00cdcb94   A T 01090 PRINT"SCORING IS SIMPLE; 3 ORANGES, LEMONS OR"
    0x00cdcc8c   A   01100 PRINT"BANANAS EARN $10. 3 CHERRIES EARN $90."
    0x00cdcd90   A   01110 PRINT"IF THE FIRST FRUIT IS AN APPLE, YOU EARN $2"
    0x00cdce8c   A   01120 PRINT"IF THE FIRST AND SECOND ARE APPLES, YOU EARN $3."
    0x00cdcf80   A   01130 PRINT"IF THE LAST FRUIT IS A CHERRY AND THE"
    0x00cdd074   A   01140 PRINT"OTHER TWO ARE THE SAME BUT NOT APPLES YOU"
    0x00cdd144   A   01150 PRINT"EARN $10. EACH TURN COSTS $1. GOOD LUCK"
    0x00cdd24c   A T 01160 LET J=0
    0x00cdd288   A   01170 PRINT
    0x00cdd2c8   A T 01180 GOSUB 1580
    0x00cdd3d8   A   01190 LET S1=S
    0x00cdd414   A   01200 GOSUB 1580
    0x00cdd4e0   A   01210 LET S2=S
    0x00cdd51c   A   01220 GOSUB 1580
    0x00cdd5e8   A   01230 LET S3=S
    0x00cdd674   A   01240 LET S=S1
    0x00cdd6b0   A   01250 GOSUB 1600
    0x00cdd7c0   A   01260 LET S1$=S$
    0x00cdd84c   A   01270 LET S=S2
    0x00cdd888   A   01280 GOSUB 1600
    0x00cdd954   A   01290 LET S2$=S$
    0x00cdd9e0   A   01300 LET S=S3
    0x00cdda1c   A   01310 GOSUB 1600
    0x00cddaf8   A   01320 LET S3$=S$
    0x00cddcd8   A   01330 IF S1$="CHERRY" THEN 1370
    0x00cddddc   A   01340 IF S1$="APPLE" THEN 1410
    0x00cdde98   A   01350 IF S1$=S2$ THEN 1430
    0x00cddefc   A   01360 GOTO 1450
    0x00cddf8c   A T 01370 IF S1$=S2$ THEN 1390
    0x00cddff0   A   01380 GOTO 1450
    0x00cde080   A T 01390 IF S2$=S3$ THEN 1470
    0x00cde0e4   A   01400 GOTO 1450
    0x00cde174   A T 01410 IF S1$=S2$ THEN 1490
    0x00cde1d8   A   01420 GOTO 1510
    0x00cde268   A T 01430 IF S2$=S3$ THEN 1530
    0x00cde370   A   01440 IF S3$="CHERRY" THEN 1530
    0x00cde494   A T 01450 LET J=J-1
    0x00cde4d0   A   01460 GOTO 1540
    0x00cde5d4   A T 01470 LET J=J+89
    0x00cde610   A   01480 GOTO 1540
    0x00cde714   A T 01490 LET J=J+2
    0x00cde750   A   01500 GOTO 1540
    0x00cde854   A T 01510 LET J=J+1
    0x00cde890   A   01520 GOTO 1540
    0x00cde990   A T 01530 LET J=J+9
    0x00cde9dc   A T 01540 PRINT
    0x00cdebd8   A   01550 PRINT S1$;" ";S2$;" ";S3$
    0x00cdecd8   A   01560 PRINT"YOUR TOTAL EARNINGS ARE NOW $";J
    0x00cded04   A   01570 GOTO 1710
    0x00cdef4c  B  G 01580 LET S=1+INT(5*RND)
    0x00cdef74  B    01590 RETURN
    0x00cdf1e4 C   G 01600 ON S GOTO 1610,1630,1650,1670,1690
    0x00cdf2bc C   T 01610 LET S$="CHERRY"
    0x00cdf2fc C     01620 GOTO 1700
    0x00cdf3c8 C   T 01630 LET S$="APPLE"
    0x00cdf408 C     01640 GOTO 1700
    0x00cdf6d8 C   T 01650 LET S$="LEMON"
    0x00cdf71c C     01660 GOTO 1700
    0x00cdf7ec C   T 01670 LET S$="ORANGE"
    0x00cdf830 C     01680 GOTO 1700
    0x00cdf8fc C   T 01690 LET S$="BANANA"
    0x00cdf924 C   T 01700 RETURN
    0x00cdf98c   A T 01710 PRINT
    0x00cdfa58   A   01720 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE 'N'"
    0x00cdfb10   A   01730 INPUT Z$
    0x00cdfbec   A   01740 IF Z$="Y" THEN 1790
    0x00cdfcec   A   01750 IF Z$="N" THEN 1770
    0x00cdfde8   A   01760 PRINT"INVALID RESPONSE"
    0x00cdfea8   A T 01770 PRINT"ONE-ARM-BANDIT SAYS GOOD-BYE"
    0x00cdfed4   A   01780 STOP
    0x00cdff18   A T 01790 PRINT
    0x00cdff54   A   01800 GOTO 1180
    0x00cdff78   A   01810 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01020      01080T
     01090      01050T
     01160      01060T
     01180      01800T
     01370      01330T
     01390      01370T
     01410      01340T
     01430      01350T
     01450      01360T, 01380T, 01400T
     01470      01390T
     01490      01410T
     01510      01420T
     01530      01430T, 01440T
     01540      01460T, 01480T, 01500T, 01520T
     01580      01180G, 01200G, 01220G
     01600      01250G, 01280G, 01310G
     01610      01600T
     01630      01600T
     01650      01600T
     01670      01600T
     01690      01600T
     01700      01620T, 01640T, 01660T, 01680T
     01710      01570T
     01770      01750T
     01790      01740T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cdf42c   0x00cdf42c   0x00cdf570   0x00cdf570 
   B) 0x00cdf514   0x00cdf514   0x00cdf518   0x00cdf518 
   C) 0x00cdf51c   0x00cdf51c   0x00cdf544   0x00cdf544 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cdf42c   0x00cdf42c   0x00cdf570   0x00cdf570 
   B) 0x00cdf514   0x00cdf514   0x00cdf518   0x00cdf518 
   C) 0x00cdf51c   0x00cdf51c   0x00cdf544   0x00cdf544 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     01580 - 01700      13 
     01820 - 01820       1 
     01960 - 10000    8050 

 */



/*
 *  Symbol Table Listing for '..\basic\Bandit.bas'
 *
    INT   Function Integer     args=1, float 
    J              Integer 
    L$             String  
    RND   Function Integer     args=1, int   
    S              Integer 
    S$             String  
    S1             Integer 
    S1$            String  
    S2             Integer 
    S2$            String  
    S3             Integer 
    S3$            String  
    Z$             String  

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Bandit.bas: 
 *
               +-+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               | | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  | | |
      Address  v v v Original BASIC statement
    ---------- --- - ------------------------------------------------------------------------------
    0x00cdba5c   A   01000 REM THIS PROGRAM SIMULATES THE MECHANICAL
    0x00cdbacc   A   01010 REM THREE WHEEL ONE-ARM-BANDIT
    0x00cdbbc8   A T 01020 PRINT"ARE INTRUCTIONS REQUIRED?"
    0x00cdbc88   A   01030 PRINT"TYPE EITHER 'YES' OR 'NO'"
    0x00cdbd40   A   01040 INPUT L$
    0x00cd1948   A   01050 IF L$="YES" THEN 1090
    0x00cdbeec   A   01060 IF L$="NO" THEN 1160
    0x00cdbfc8   A   01070 PRINT"INVALID COMMAND"
    0x00cdc02c   A   01080 GOTO 1020
    0x00cdcb94   A T 01090 PRINT"SCORING IS SIMPLE; 3 ORANGES, LEMONS OR"
    0x00cdcc8c   A   01100 PRINT"BANANAS EARN $10. 3 CHERRIES EARN $90."
    0x00cdcd90   A   01110 PRINT"IF THE FIRST FRUIT IS AN APPLE, YOU EARN $2"
    0x00cdce8c   A   01120 PRINT"IF THE FIRST AND SECOND ARE APPLES, YOU EARN $3."
    0x00cdcf80   A   01130 PRINT"IF THE LAST FRUIT IS A CHERRY AND THE"
    0x00cdd074   A   01140 PRINT"OTHER TWO ARE THE SAME BUT NOT APPLES YOU"
    0x00cdd144   A   01150 PRINT"EARN $10. EACH TURN COSTS $1. GOOD LUCK"
    0x00cdd24c   A T 01160 LET J=0
    0x00cdd288   A   01170 PRINT
    0x00cdd2c8   A T 01180 GOSUB 1830
    0x00cdd3d8   A   01190 LET S1=S
    0x00cdd414   A   01200 GOSUB 1830
    0x00cdd4e0   A   01210 LET S2=S
    0x00cdd51c   A   01220 GOSUB 1830
    0x00cdd5e8   A   01230 LET S3=S
    0x00cdd674   A   01240 LET S=S1
    0x00cdd6b0   A   01250 GOSUB 1850
    0x00cdd7c0   A   01260 LET S1$=S$
    0x00cdd84c   A   01270 LET S=S2
    0x00cdd888   A   01280 GOSUB 1850
    0x00cdd954   A   01290 LET S2$=S$
    0x00cdd9e0   A   01300 LET S=S3
    0x00cdda1c   A   01310 GOSUB 1850
    0x00cddaf8   A   01320 LET S3$=S$
    0x00cddcd8   A   01330 IF S1$="CHERRY" THEN 1370
    0x00cddddc   A   01340 IF S1$="APPLE" THEN 1410
    0x00cdde98   A   01350 IF S1$=S2$ THEN 1430
    0x00cddefc   A   01360 GOTO 1450
    0x00cddf8c   A T 01370 IF S1$=S2$ THEN 1390
    0x00cddff0   A   01380 GOTO 1450
    0x00cde080   A T 01390 IF S2$=S3$ THEN 1470
    0x00cde0e4   A   01400 GOTO 1450
    0x00cde174   A T 01410 IF S1$=S2$ THEN 1490
    0x00cde1d8   A   01420 GOTO 1510
    0x00cde268   A T 01430 IF S2$=S3$ THEN 1530
    0x00cde370   A   01440 IF S3$="CHERRY" THEN 1530
    0x00cde494   A T 01450 LET J=J-1
    0x00cde4d0   A   01460 GOTO 1540
    0x00cde5d4   A T 01470 LET J=J+89
    0x00cde610   A   01480 GOTO 1540
    0x00cde714   A T 01490 LET J=J+2
    0x00cde750   A   01500 GOTO 1540
    0x00cde854   A T 01510 LET J=J+1
    0x00cde890   A   01520 GOTO 1540
    0x00cde990   A T 01530 LET J=J+9
    0x00cde9dc   A T 01540 PRINT
    0x00cdebd8   A   01550 PRINT S1$;" ";S2$;" ";S3$
    0x00cdecd8   A   01560 PRINT"YOUR TOTAL EARNINGS ARE NOW $";J
    0x00cded04   A   01570 GOTO 1710
    0x00cdf98c   A T 01710 PRINT
    0x00cdfa58   A   01720 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE 'N'"
    0x00cdfb10   A   01730 INPUT Z$
    0x00cdfbec   A   01740 IF Z$="Y" THEN 1790
    0x00cdfcec   A   01750 IF Z$="N" THEN 1770
    0x00cdfde8   A   01760 PRINT"INVALID RESPONSE"
    0x00cdfea8   A T 01770 PRINT"ONE-ARM-BANDIT SAYS GOOD-BYE"
    0x00cdfed4   A   01780 STOP
    0x00cdff18   A T 01790 PRINT
    0x00cdff54   A   01800 GOTO 1180
    0x00cdff78   A   01810 END
    0x00cdef4c  B  G 01830 LET S=1+INT(5*RND)
    0x00cdef74  B    01840 RETURN
    0x00cdf1e4 C   G 01850 ON S GOTO 1860,1880,1900,1920,1940
    0x00cdf2bc C   T 01860 LET S$="CHERRY"
    0x00cdf2fc C     01870 GOTO 1950
    0x00cdf3c8 C   T 01880 LET S$="APPLE"
    0x00cdf408 C     01890 GOTO 1950
    0x00cdf6d8 C   T 01900 LET S$="LEMON"
    0x00cdf71c C     01910 GOTO 1950
    0x00cdf7ec C   T 01920 LET S$="ORANGE"
    0x00cdf830 C     01930 GOTO 1950
    0x00cdf8fc C   T 01940 LET S$="BANANA"
    0x00cdf924 C   T 01950 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\bandit.cpp,v 1.9 2011-10-16 22:43:34-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: bandit.cpp,v $
// Revision 1.9  2011-10-16 22:43:34-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   J_int;        // Comments?
char* L_str;        // Comments?
int   S_int;        // Comments?
char* S_str;        // Comments?
int   S1_int;       // Comments?
char* S1_str;       // Comments?
int   S2_int;       // Comments?
char* S2_str;       // Comments?
int   S3_int;       // Comments?
char* S3_str;       // Comments?
char* Z_str;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_01830();
void Routine_01850();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_01830(){
    // 01830 LET S=1+INT(5*RND)
    S_int = 1+INT(5*RND());
    // 01840 RETURN
    return;
};


//---------------------------------------------------------------------------
// Routine C
//---------------------------------------------------------------------------

void Routine_01850(){
    // 01850 ON S GOTO 1860,1880,1900,1920,1940
    switch((int)(S_int)){
        case 1: goto Lbl_01860;
        case 2: goto Lbl_01880;
        case 3: goto Lbl_01900;
        case 4: goto Lbl_01920;
        case 5: goto Lbl_01940;
        default: break; 
    };

  Lbl_01860:
    // 01860 LET S$="CHERRY"
    GLBpStr="cherry";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01870 GOTO 1950
    goto Lbl_01950;

  Lbl_01880:
    // 01880 LET S$="APPLE"
    GLBpStr="apple";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01890 GOTO 1950
    goto Lbl_01950;

  Lbl_01900:
    // 01900 LET S$="LEMON"
    GLBpStr="lemon";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01910 GOTO 1950
    goto Lbl_01950;

  Lbl_01920:
    // 01920 LET S$="ORANGE"
    GLBpStr="orange";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01930 GOTO 1950
    goto Lbl_01950;

  Lbl_01940:
    // 01940 LET S$="BANANA"
    GLBpStr="banana";
    S_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;

  Lbl_01950:
    // 01950 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 REM THIS PROGRAM SIMULATES THE MECHANICAL
    // this program simulates the mechanical
    // 01010 REM THREE WHEEL ONE-ARM-BANDIT
    // three wheel one-arm-bandit

  Lbl_01020:
    // 01020 PRINT"ARE INTRUCTIONS REQUIRED?"
    MyFpf(stdout,"are intructions required?\n");
    // 01030 PRINT"TYPE EITHER 'YES' OR 'NO'"
    MyFpf(stdout,"type either 'yes' or 'no'\n");
    // 01040 INPUT L$
    // Start of Basic INPUT statement 01040
    printf(" ? ");
    char inpbuf_01040[100];
    if(fgets(inpbuf_01040,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01040=strtok(inpbuf_01040," ,\t\n");
        if(ps_01040==NULL){
            L_str = "";
        }else{
            L_str = ps_01040;
        };
    }; // End of Basic INPUT statement 01040
    // 01050 IF L$="YES" THEN 1090
    if(strcmp(L_str,"yes")==0) goto Lbl_01090;
    // 01060 IF L$="NO" THEN 1160
    if(strcmp(L_str,"no")==0) goto Lbl_01160;
    // 01070 PRINT"INVALID COMMAND"
    MyFpf(stdout,"invalid command\n");
    // 01080 GOTO 1020
    goto Lbl_01020;

  Lbl_01090:
    // 01090 PRINT"SCORING IS SIMPLE; 3 ORANGES, LEMONS OR"
    MyFpf(stdout,"scoring is simple; 3 oranges, lemons or\n");
    // 01100 PRINT"BANANAS EARN $10. 3 CHERRIES EARN $90."
    MyFpf(stdout,"bananas earn $10. 3 cherries earn $90.\n");
    // 01110 PRINT"IF THE FIRST FRUIT IS AN APPLE, YOU EARN $2"
    MyFpf(stdout,"if the first fruit is an apple, you earn $2\n");
    // 01120 PRINT"IF THE FIRST AND SECOND ARE APPLES, YOU EARN $3."
    MyFpf(stdout,"if the first and second are apples, you earn $3.\n");
    // 01130 PRINT"IF THE LAST FRUIT IS A CHERRY AND THE"
    MyFpf(stdout,"if the last fruit is a cherry and the\n");
    // 01140 PRINT"OTHER TWO ARE THE SAME BUT NOT APPLES YOU"
    MyFpf(stdout,"other two are the same but not apples you\n");
    // 01150 PRINT"EARN $10. EACH TURN COSTS $1. GOOD LUCK"
    MyFpf(stdout,"earn $10. each turn costs $1. good luck\n");

  Lbl_01160:
    // 01160 LET J=0
    J_int = 0;
    // 01170 PRINT
    MyFpf(stdout,"\n");

  Lbl_01180:
    // 01180 GOSUB 1830
    Routine_01830();
    // 01190 LET S1=S
    S1_int = S_int;
    // 01200 GOSUB 1830
    Routine_01830();
    // 01210 LET S2=S
    S2_int = S_int;
    // 01220 GOSUB 1830
    Routine_01830();
    // 01230 LET S3=S
    S3_int = S_int;
    // 01240 LET S=S1
    S_int = S1_int;
    // 01250 GOSUB 1850
    Routine_01850();
    // 01260 LET S1$=S$
    GLBpStr=S_str;
    S1_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01270 LET S=S2
    S_int = S2_int;
    // 01280 GOSUB 1850
    Routine_01850();
    // 01290 LET S2$=S$
    GLBpStr=S_str;
    S2_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01300 LET S=S3
    S_int = S3_int;
    // 01310 GOSUB 1850
    Routine_01850();
    // 01320 LET S3$=S$
    GLBpStr=S_str;
    S3_str = (GLBpStr==GLB_StrCatBuf)?strdup(GLBpStr):GLBpStr;
    // 01330 IF S1$="CHERRY" THEN 1370
    if(strcmp(S1_str,"cherry")==0) goto Lbl_01370;
    // 01340 IF S1$="APPLE" THEN 1410
    if(strcmp(S1_str,"apple")==0) goto Lbl_01410;
    // 01350 IF S1$=S2$ THEN 1430
    if(strcmp(S1_str,S2_str)==0) goto Lbl_01430;
    // 01360 GOTO 1450
    goto Lbl_01450;

  Lbl_01370:
    // 01370 IF S1$=S2$ THEN 1390
    if(strcmp(S1_str,S2_str)==0) goto Lbl_01390;
    // 01380 GOTO 1450
    goto Lbl_01450;

  Lbl_01390:
    // 01390 IF S2$=S3$ THEN 1470
    if(strcmp(S2_str,S3_str)==0) goto Lbl_01470;
    // 01400 GOTO 1450
    goto Lbl_01450;

  Lbl_01410:
    // 01410 IF S1$=S2$ THEN 1490
    if(strcmp(S1_str,S2_str)==0) goto Lbl_01490;
    // 01420 GOTO 1510
    goto Lbl_01510;

  Lbl_01430:
    // 01430 IF S2$=S3$ THEN 1530
    if(strcmp(S2_str,S3_str)==0) goto Lbl_01530;
    // 01440 IF S3$="CHERRY" THEN 1530
    if(strcmp(S3_str,"cherry")==0) goto Lbl_01530;

  Lbl_01450:
    // 01450 LET J=J-1
    J_int = J_int-1;
    // 01460 GOTO 1540
    goto Lbl_01540;

  Lbl_01470:
    // 01470 LET J=J+89
    J_int = J_int+89;
    // 01480 GOTO 1540
    goto Lbl_01540;

  Lbl_01490:
    // 01490 LET J=J+2
    J_int = J_int+2;
    // 01500 GOTO 1540
    goto Lbl_01540;

  Lbl_01510:
    // 01510 LET J=J+1
    J_int = J_int+1;
    // 01520 GOTO 1540
    goto Lbl_01540;

  Lbl_01530:
    // 01530 LET J=J+9
    J_int = J_int+9;

  Lbl_01540:
    // 01540 PRINT
    MyFpf(stdout,"\n");
    // 01550 PRINT S1$;" ";S2$;" ";S3$
    MyFpf(stdout,"%s %s %s\n",S1_str,S2_str,S3_str);
    // 01560 PRINT"YOUR TOTAL EARNINGS ARE NOW $";J
    MyFpf(stdout,"your total earnings are now $%d\n",J_int);
    // 01570 GOTO 1710
    goto Lbl_01710;

  Lbl_01710:
    // 01710 PRINT
    MyFpf(stdout,"\n");
    // 01720 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE 'N'"
    MyFpf(stdout,"to continue type 'y', if not type 'n'\n");
    // 01730 INPUT Z$
    // Start of Basic INPUT statement 01730
    printf(" ? ");
    char inpbuf_01730[100];
    if(fgets(inpbuf_01730,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01730=strtok(inpbuf_01730," ,\t\n");
        if(ps_01730==NULL){
            Z_str = "";
        }else{
            Z_str = ps_01730;
        };
    }; // End of Basic INPUT statement 01730
    // 01740 IF Z$="Y" THEN 1790
    if(strcmp(Z_str,"y")==0) goto Lbl_01790;
    // 01750 IF Z$="N" THEN 1770
    if(strcmp(Z_str,"n")==0) goto Lbl_01770;
    // 01760 PRINT"INVALID RESPONSE"
    MyFpf(stdout,"invalid response\n");

  Lbl_01770:
    // 01770 PRINT"ONE-ARM-BANDIT SAYS GOOD-BYE"
    MyFpf(stdout,"one-arm-bandit says good-bye\n");
    // 01780 STOP
    exit(1);

  Lbl_01790:
    // 01790 PRINT
    MyFpf(stdout,"\n");
    // 01800 GOTO 1180
    goto Lbl_01180;
    // 01810 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: bandit.cpp,v $ 
//---------------------------------------------------------------------------
