/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Craps.bas: 
 *
               ++---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               || +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  || |
      Address  vv v Original BASIC statement
    ---------- -- - ------------------------------------------------------------------------------
    0x00cdba94  A   01000 REM THIS PROGRAM SIMULATES THE GAME OF CRAPS
    0x00cdbb0c  A   01010 RANDOMIZE
    0x00cdbbdc  A T 01020 PRINT"FOR RULES, TYPE 'RULES', OTHERWISE TYPE 'GO'"
    0x00cdbc98  A   01030 INPUT R$
    0x00cd19cc  A   01040 IF R$="RULES" THEN 1080
    0x00cd1948  A   01050 IF R$="GO" THEN 1130
    0x00cdbef0  A   01060 PRINT"INVALID COMMAND"
    0x00cdbf50  A   01070 GOTO 1020
    0x00cdc03c  A T 01080 PRINT"A 7 OR 11 ON THE FIRST THROW WINS"
    0x00cdcbb4  A   01090 PRINT"YOU CAN ALSO WIN BY THROWING A 4,5,6,8,9,10"
    0x00cdccac  A   01100 PRINT"AND MATCHING IT BEFORE THROWING A 7, IF ON"
    0x00cdcd90  A   01110 PRINT"THE FIRST THROW A 2,3, OR A 12 COMES UP"
    0x00cdce50  A   01120 PRINT"YOU LOSE AUTOMATICALLY"
    0x00cdcf5c  A T 01130 LET J=0
    0x00cdcf98  A T 01140 GOSUB 1480
    0x00cdd0a8  A   01150 LET D1=N
    0x00cdd0e4  A   01160 GOSUB 1480
    0x00cdd1b4  A   01170 LET D2=N
    0x00cdd2c8  A   01180 LET D3=D1+D2
    0x00cdd3d8  A   01190 LET J=J+1
    0x00cdd4a4  A   01200 IF J=1 THEN 1250
    0x00cdd5a0  A   01210 IF D3=D4 THEN 1440
    0x00cdd690  A   01220 IF D3=7 THEN 1460
    0x00cdd7a4  A T 01230 PRINT"YOU THROW A ";D3
    0x00cdd7ec  A   01240 GOTO 1140
    0x00cdd8b4  A T 01250 IF D3=7 THEN 1320
    0x00cdd9a4  A   01260 IF D3=2 THEN 1340
    0x00cdda94  A   01270 IF D3=3 THEN 1340
    0x00cddb84  A   01280 IF D3=12 THEN 1340
    0x00cddc74  A   01290 IF D3=11 THEN 1320
    0x00cddd1c  A   01300 LET D4=D3
    0x00cddd70  A   01310 GOTO 1230
    0x00cddedc  A T 01320 PRINT"YOU THROW A ";D3;" YOU WIN"
    0x00cde038  A   01330 GOTO 1350
    0x00cde1a0  A T 01340 PRINT"YOU THROW A ";D3;" YOU LOSE"
    0x00cde204  A T 01350 PRINT
    0x00cde2d0  A   01360 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE'N'"
    0x00cde388  A   01370 INPUT L$
    0x00cde464  A   01380 IF L$="Y" THEN 1420
    0x00cde564  A   01390 IF L$="N" THEN 1400
    0x00cde670  A T 01400 PRINT"WHAT? QUITTING ALREADY, CRAP OUT DID YOU?"
    0x00cde69c  A   01410 STOP
    0x00cde6e0  A T 01420 PRINT
    0x00cde744  A   01430 GOTO 1130
    0x00cde8bc  A T 01440 PRINT"YOU THROW A ";D3;" YOU WIN BY MATCHING"
    0x00cde91c  A   01450 GOTO 1350
    0x00cdea90  A T 01460 PRINT"YOU THROW A ";D3;" SORRY, YOU LOSE"
    0x00cdead8  A   01470 GOTO 1350
    0x00cded04 B  G 01480 LET N=1+INT(6*RND)
    0x00cded2c B    01490 RETURN
    0x00cded5c  A   01500 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01020      01070T
     01080      01040T
     01130      01050T, 01430T
     01140      01240T
     01230      01310T
     01250      01200T
     01320      01250T, 01290T
     01340      01260T, 01270T, 01280T
     01350      01330T, 01450T, 01470T
     01400      01390T
     01420      01380T
     01440      01210T
     01460      01220T
     01480      01140G, 01160G

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cddf08   0x00cddf08   0x00cddfd0   0x00cddfd0 
   B) 0x00cddfc8   0x00cddfc8   0x00cddfcc   0x00cddfcc 

    NOTE: Routine B overlaps, or is tangled with, routine A!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cddf08   0x00cddf08   0x00cddfd0   0x00cddfd0 
   B) 0x00cddfc8   0x00cddfc8   0x00cddfcc   0x00cddfcc 

    NOTE: Routine B overlaps, or is tangled with, routine A!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     01480 - 01490       2 
     01510 - 01510       1 
     01540 - 10000    8470 

 */



/*
 *  Symbol Table Listing for '..\basic\Craps.bas'
 *
    D1             Integer 
    D2             Integer 
    D3             Integer 
    D4             Integer 
    INT   Function Integer     args=1, float 
    J              Integer 
    L$             String  
    N              Integer 
    R$             String  
    RND   Function Integer     args=1, int   

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Craps.bas: 
 *
               ++---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               || +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  || |
      Address  vv v Original BASIC statement
    ---------- -- - ------------------------------------------------------------------------------
    0x00cdba94  A   01000 REM THIS PROGRAM SIMULATES THE GAME OF CRAPS
    0x00cdbb0c  A   01010 RANDOMIZE
    0x00cdbbdc  A T 01020 PRINT"FOR RULES, TYPE 'RULES', OTHERWISE TYPE 'GO'"
    0x00cdbc98  A   01030 INPUT R$
    0x00cd19cc  A   01040 IF R$="RULES" THEN 1080
    0x00cd1948  A   01050 IF R$="GO" THEN 1130
    0x00cdbef0  A   01060 PRINT"INVALID COMMAND"
    0x00cdbf50  A   01070 GOTO 1020
    0x00cdc03c  A T 01080 PRINT"A 7 OR 11 ON THE FIRST THROW WINS"
    0x00cdcbb4  A   01090 PRINT"YOU CAN ALSO WIN BY THROWING A 4,5,6,8,9,10"
    0x00cdccac  A   01100 PRINT"AND MATCHING IT BEFORE THROWING A 7, IF ON"
    0x00cdcd90  A   01110 PRINT"THE FIRST THROW A 2,3, OR A 12 COMES UP"
    0x00cdce50  A   01120 PRINT"YOU LOSE AUTOMATICALLY"
    0x00cdcf5c  A T 01130 LET J=0
    0x00cdcf98  A T 01140 GOSUB 1520
    0x00cdd0a8  A   01150 LET D1=N
    0x00cdd0e4  A   01160 GOSUB 1520
    0x00cdd1b4  A   01170 LET D2=N
    0x00cdd2c8  A   01180 LET D3=D1+D2
    0x00cdd3d8  A   01190 LET J=J+1
    0x00cdd4a4  A   01200 IF J=1 THEN 1250
    0x00cdd5a0  A   01210 IF D3=D4 THEN 1440
    0x00cdd690  A   01220 IF D3=7 THEN 1460
    0x00cdd7a4  A T 01230 PRINT"YOU THROW A ";D3
    0x00cdd7ec  A   01240 GOTO 1140
    0x00cdd8b4  A T 01250 IF D3=7 THEN 1320
    0x00cdd9a4  A   01260 IF D3=2 THEN 1340
    0x00cdda94  A   01270 IF D3=3 THEN 1340
    0x00cddb84  A   01280 IF D3=12 THEN 1340
    0x00cddc74  A   01290 IF D3=11 THEN 1320
    0x00cddd1c  A   01300 LET D4=D3
    0x00cddd70  A   01310 GOTO 1230
    0x00cddedc  A T 01320 PRINT"YOU THROW A ";D3;" YOU WIN"
    0x00cde038  A   01330 GOTO 1350
    0x00cde1a0  A T 01340 PRINT"YOU THROW A ";D3;" YOU LOSE"
    0x00cde204  A T 01350 PRINT
    0x00cde2d0  A   01360 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE'N'"
    0x00cde388  A   01370 INPUT L$
    0x00cde464  A   01380 IF L$="Y" THEN 1420
    0x00cde564  A   01390 IF L$="N" THEN 1400
    0x00cde670  A T 01400 PRINT"WHAT? QUITTING ALREADY, CRAP OUT DID YOU?"
    0x00cde69c  A   01410 STOP
    0x00cde6e0  A T 01420 PRINT
    0x00cde744  A   01430 GOTO 1130
    0x00cde8bc  A T 01440 PRINT"YOU THROW A ";D3;" YOU WIN BY MATCHING"
    0x00cde91c  A   01450 GOTO 1350
    0x00cdea90  A T 01460 PRINT"YOU THROW A ";D3;" SORRY, YOU LOSE"
    0x00cdead8  A   01470 GOTO 1350
    0x00cded5c  A   01500 END
    0x00cded04 B  G 01520 LET N=1+INT(6*RND)
    0x00cded2c B    01530 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\craps.cpp,v 1.9 2011-10-16 22:43:34-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: craps.cpp,v $
// Revision 1.9  2011-10-16 22:43:34-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   D1_int;       // Comments?
int   D2_int;       // Comments?
int   D3_int;       // Comments?
int   D4_int;       // Comments?
int   J_int;        // Comments?
char* L_str;        // Comments?
int   N_int;        // Comments?
char* R_str;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_01520();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_01520(){
    // 01520 LET N=1+INT(6*RND)
    N_int = 1+INT(6*RND());
    // 01530 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 REM THIS PROGRAM SIMULATES THE GAME OF CRAPS
    // this program simulates the game of craps
    // 01010 RANDOMIZE
    char ranbuf_01010[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01010,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01010); 
        srand(seed); 
    } 

  Lbl_01020:
    // 01020 PRINT"FOR RULES, TYPE 'RULES', OTHERWISE TYPE 'GO'"
    MyFpf(stdout,"for rules, type 'rules', otherwise type 'go'\n");
    // 01030 INPUT R$
    // Start of Basic INPUT statement 01030
    printf(" ? ");
    char inpbuf_01030[100];
    if(fgets(inpbuf_01030,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01030=strtok(inpbuf_01030," ,\t\n");
        if(ps_01030==NULL){
            R_str = "";
        }else{
            R_str = ps_01030;
        };
    }; // End of Basic INPUT statement 01030
    // 01040 IF R$="RULES" THEN 1080
    if(strcmp(R_str,"rules")==0) goto Lbl_01080;
    // 01050 IF R$="GO" THEN 1130
    if(strcmp(R_str,"go")==0) goto Lbl_01130;
    // 01060 PRINT"INVALID COMMAND"
    MyFpf(stdout,"invalid command\n");
    // 01070 GOTO 1020
    goto Lbl_01020;

  Lbl_01080:
    // 01080 PRINT"A 7 OR 11 ON THE FIRST THROW WINS"
    MyFpf(stdout,"a 7 or 11 on the first throw wins\n");
    // 01090 PRINT"YOU CAN ALSO WIN BY THROWING A 4,5,6,8,9,10"
    MyFpf(stdout,"you can also win by throwing a 4,5,6,8,9,10\n");
    // 01100 PRINT"AND MATCHING IT BEFORE THROWING A 7, IF ON"
    MyFpf(stdout,"and matching it before throwing a 7, if on\n");
    // 01110 PRINT"THE FIRST THROW A 2,3, OR A 12 COMES UP"
    MyFpf(stdout,"the first throw a 2,3, or a 12 comes up\n");
    // 01120 PRINT"YOU LOSE AUTOMATICALLY"
    MyFpf(stdout,"you lose automatically\n");

  Lbl_01130:
    // 01130 LET J=0
    J_int = 0;

  Lbl_01140:
    // 01140 GOSUB 1520
    Routine_01520();
    // 01150 LET D1=N
    D1_int = N_int;
    // 01160 GOSUB 1520
    Routine_01520();
    // 01170 LET D2=N
    D2_int = N_int;
    // 01180 LET D3=D1+D2
    D3_int = D1_int+D2_int;
    // 01190 LET J=J+1
    J_int = J_int+1;
    // 01200 IF J=1 THEN 1250
    if(J_int==1) goto Lbl_01250;
    // 01210 IF D3=D4 THEN 1440
    if(D3_int==D4_int) goto Lbl_01440;
    // 01220 IF D3=7 THEN 1460
    if(D3_int==7) goto Lbl_01460;

  Lbl_01230:
    // 01230 PRINT"YOU THROW A ";D3
    MyFpf(stdout,"you throw a %d\n",D3_int);
    // 01240 GOTO 1140
    goto Lbl_01140;

  Lbl_01250:
    // 01250 IF D3=7 THEN 1320
    if(D3_int==7) goto Lbl_01320;
    // 01260 IF D3=2 THEN 1340
    if(D3_int==2) goto Lbl_01340;
    // 01270 IF D3=3 THEN 1340
    if(D3_int==3) goto Lbl_01340;
    // 01280 IF D3=12 THEN 1340
    if(D3_int==12) goto Lbl_01340;
    // 01290 IF D3=11 THEN 1320
    if(D3_int==11) goto Lbl_01320;
    // 01300 LET D4=D3
    D4_int = D3_int;
    // 01310 GOTO 1230
    goto Lbl_01230;

  Lbl_01320:
    // 01320 PRINT"YOU THROW A ";D3;" YOU WIN"
    MyFpf(stdout,"you throw a %d you win\n",D3_int);
    // 01330 GOTO 1350
    goto Lbl_01350;

  Lbl_01340:
    // 01340 PRINT"YOU THROW A ";D3;" YOU LOSE"
    MyFpf(stdout,"you throw a %d you lose\n",D3_int);

  Lbl_01350:
    // 01350 PRINT
    MyFpf(stdout,"\n");
    // 01360 PRINT"TO CONTINUE TYPE 'Y', IF NOT TYPE'N'"
    MyFpf(stdout,"to continue type 'y', if not type'n'\n");
    // 01370 INPUT L$
    // Start of Basic INPUT statement 01370
    printf(" ? ");
    char inpbuf_01370[100];
    if(fgets(inpbuf_01370,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01370=strtok(inpbuf_01370," ,\t\n");
        if(ps_01370==NULL){
            L_str = "";
        }else{
            L_str = ps_01370;
        };
    }; // End of Basic INPUT statement 01370
    // 01380 IF L$="Y" THEN 1420
    if(strcmp(L_str,"y")==0) goto Lbl_01420;
    // 01390 IF L$="N" THEN 1400
    if(strcmp(L_str,"n")==0) goto Lbl_01400;

  Lbl_01400:
    // 01400 PRINT"WHAT? QUITTING ALREADY, CRAP OUT DID YOU?"
    MyFpf(stdout,"what? quitting already, crap out did you?\n");
    // 01410 STOP
    exit(1);

  Lbl_01420:
    // 01420 PRINT
    MyFpf(stdout,"\n");
    // 01430 GOTO 1130
    goto Lbl_01130;

  Lbl_01440:
    // 01440 PRINT"YOU THROW A ";D3;" YOU WIN BY MATCHING"
    MyFpf(stdout,"you throw a %d you win by matching\n",D3_int);
    // 01450 GOTO 1350
    goto Lbl_01350;

  Lbl_01460:
    // 01460 PRINT"YOU THROW A ";D3;" SORRY, YOU LOSE"
    MyFpf(stdout,"you throw a %d sorry, you lose\n",D3_int);
    // 01470 GOTO 1350
    goto Lbl_01350;
    // 01500 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: craps.cpp,v $ 
//---------------------------------------------------------------------------
