/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Depth.bas: 
 *
               ++---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               || +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  || |
      Address  vv v Original BASIC statement
    ---------- -- - ------------------------------------------------------------------------------
    0x00cdbad4  A   01000 PRINT "DEPTH CHARGE GAME" 
    0x00cdbb2c  A T 01010 PRINT
    0x00cdbc00  A   01020 PRINT "DIMENSION OF SEARCH AREA"; 
    0x00cdbca8  A   01030 INPUT G
    0x00cdbcf8  A   01040 PRINT
    0x00cdbfc4  A   01050 N=INT(LOG(G)/LOG(2))+1 
    0x00cdc040  A   01060 RANDOMIZE
    0x00cdc164  A   01070 PRINT "YOU ARE CAPTAIN OF THE DESTROYER USS DIGITAL AND AN ENEMY SUB HAS"
    0x00cdc28c  A   01080 PRINT "BEEN CAUSING  YOU  TROUBLE,  YOUR MISSION  IS TO DESTROY IT.  YOU"
    0x00cdcee8  A   01090 PRINT "HAVE "N" SHOTS.  SPECIFY DEPTH CHARGE EXPLOSION POINT WITH A TRIO "
    0x00cdcfcc  A   01100 PRINT "OF NUMBERS (DISTANCE NORTH, DISTANCE EAST, DEPTH FROM SURFACE)."
    0x00cdd018  A   01110 PRINT 
    0x00cdd0c8  A   01120 PRINT "GOOD LUCK !" 
    0x00cdd10c  A   01130 PRINT
    0x00cdd294  A   01140 A=INT(G*RND) 
    0x00cdd3d4  A   01150 B=INT(G*RND) 
    0x00cdd514  A   01160 C=INT(G*RND)
    0x00cd19cc  A   01170 FOR D=1 TO N 
    0x00cdd664  A   01180 PRINT 
    0x00cdd740  A   01190 PRINT "TRIAL NUMBER ";D 
    0x00cdd81c  A   01200 PRINT "ENTER COORDINATES (N,E,D) : ";
    0x00cdd9c0  A   01210 INPUT Y,X,Z
    0x00cddca0  A   01220 IF ABS(X-A)+ABS(Y-B)+ABS(Z-C)=0 THEN 1300
    0x00cddcf4  A   01230 GOSUB 1390
    0x00cddd28  A   01240 PRINT 
    0x00cddd7c  A   01250 NEXT D
    0x00cdddec  A   01260 PRINT 
    0x00cddee0  A   01270 PRINT "YOU HAVE BEEN TORPEDOED!  ABANDON SHIP!"
    0x00cde150  A   01280 PRINT "THE SUBMARINE WAS AT ";B,",";A,",";C
    0x00cde18c  A   01290 GOTO 1340
    0x00cde1ec  A T 01300 PRINT 
    0x00cde36c  A   01310 PRINT "B O O M ! !  YOU FOUND IT IN ";D;"TRIES!"
    0x00cde3a8  A   01320 PRINT 
    0x00cde500  A   01330 PRINT 
    0x00cde5d0  A T 01340 PRINT "ANOTHER GAME (Y OR N)";
    0x00cde688  A   01350 INPUT A$
    0x00cde764  A   01360 IF A$="Y" THEN 1010
    0x00cde864  A   01370 PRINT "OK.  HOPE YOU ENJOYED YOURSELF " 
    0x00cde8bc  A   01380 GOTO 1650
    0x00cde990 B  G 01390 PRINT "SONAR REPORTS SHOT WAS ";
    0x00cdea28 B    01400 IF Y>B THEN 1470
    0x00cdeae0 B    01410 IF Y<B THEN 1490
    0x00cdeb98 B  T 01420 IF X>A THEN 1510
    0x00cdec50 B    01430 IF X<A THEN 1530
    0x00cded08 B  T 01440 IF Y<>B THEN 1550
    0x00cdedc0 B    01450 IF X<>A THEN 1550
    0x00cdee1c B    01460 GOTO 1560
    0x00cdeed4 B  T 01470 PRINT "NORTH";
    0x00cdef18 B    01480 GOTO 1420
    0x00cdefd0 B  T 01490 PRINT "SOUTH";
    0x00cdf014 B    01500 GOTO 1420
    0x00cdf0cc B  T 01510 PRINT "EAST";
    0x00cdf110 B    01520 GOTO 1440
    0x00cdf1c8 B  T 01530 PRINT "WEST";
    0x00cdf20c B    01540 GOTO 1440
    0x00cdf2cc B  T 01550 PRINT " AND ";
    0x00cdf364 B  T 01560 IF Z>C THEN 1590
    0x00cdf41c B    01570 IF Z<C THEN 1610
    0x00cdf4d4 B    01580 IF Z=C THEN 1630
    0x00cdf5a4 B  T 01590 PRINT "TOO LOW"
    0x00cdf5ec B    01600 GOTO 1640
    0x00cdf694 B  T 01610 PRINT "TOO HIGH"
    0x00cdf6dc B    01620 GOTO 1640
    0x00cdf780 B  T 01630 PRINT "DEPTH OK"
    0x00cdf7ac B  T 01640 RETURN
    0x00cdf9e0  A T 01650 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01010      01360T
     01300      01220T
     01340      01290T
     01390      01230G
     01420      01480T, 01500T
     01440      01520T, 01540T
     01470      01400T
     01490      01410T
     01510      01420T
     01530      01430T
     01550      01440T, 01450T
     01560      01460T
     01590      01560T
     01610      01570T
     01630      01580T
     01640      01600T, 01620T
     01650      01380T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cdf7dc   0x00cdf7dc   0x00cdf8e0   0x00cdf8e0 
   B) 0x00cdf878   0x00cdf878   0x00cdf8dc   0x00cdf8dc 

    NOTE: Routine B overlaps, or is tangled with, routine A!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00cdf7dc   0x00cdf7dc   0x00cdf8e0   0x00cdf8e0 
   B) 0x00cdf878   0x00cdf878   0x00cdf8dc   0x00cdf8dc 

    NOTE: Routine B overlaps, or is tangled with, routine A!

 */



/*
 * Free line number map.
 *
     Start    End    # Lines in Gap
     -----   -----   ------------------
     00000 - 00990     100 
     01390 - 01640      26 
     01660 - 01660       1 
     01930 - 10000    8080 

 */



/*
 *  Symbol Table Listing for '..\basic\Depth.bas'
 *
    A              Integer 
    A$             String  
    ABS   Function Integer     args=1, int   
    B              Integer 
    C              Integer 
    D              Integer 
    G              Integer 
    INT   Function Integer     args=1, float 
    LOG   Function Integer     args=1, int   
    N              Integer 
    RND   Function Integer     args=1, int   
    X              Integer 
    Y              Integer 
    Z              Integer 

 */


/*
 * Title: Display of final 'clean' BASIC listing.
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Depth.bas: 
 *
               ++---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               || +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  || |
      Address  vv v Original BASIC statement
    ---------- -- - ------------------------------------------------------------------------------
    0x00cdbad4  A   01000 PRINT "DEPTH CHARGE GAME" 
    0x00cdbb2c  A T 01010 PRINT
    0x00cdbc00  A   01020 PRINT "DIMENSION OF SEARCH AREA"; 
    0x00cdbca8  A   01030 INPUT G
    0x00cdbcf8  A   01040 PRINT
    0x00cdbfc4  A   01050 N=INT(LOG(G)/LOG(2))+1 
    0x00cdc040  A   01060 RANDOMIZE
    0x00cdc164  A   01070 PRINT "YOU ARE CAPTAIN OF THE DESTROYER USS DIGITAL AND AN ENEMY SUB HAS"
    0x00cdc28c  A   01080 PRINT "BEEN CAUSING  YOU  TROUBLE,  YOUR MISSION  IS TO DESTROY IT.  YOU"
    0x00cdcee8  A   01090 PRINT "HAVE "N" SHOTS.  SPECIFY DEPTH CHARGE EXPLOSION POINT WITH A TRIO "
    0x00cdcfcc  A   01100 PRINT "OF NUMBERS (DISTANCE NORTH, DISTANCE EAST, DEPTH FROM SURFACE)."
    0x00cdd018  A   01110 PRINT 
    0x00cdd0c8  A   01120 PRINT "GOOD LUCK !" 
    0x00cdd10c  A   01130 PRINT
    0x00cdd294  A   01140 A=INT(G*RND) 
    0x00cdd3d4  A   01150 B=INT(G*RND) 
    0x00cdd514  A   01160 C=INT(G*RND)
    0x00cd19cc  A   01170 FOR D=1 TO N 
    0x00cdd664  A   01180 PRINT 
    0x00cdd740  A   01190 PRINT "TRIAL NUMBER ";D 
    0x00cdd81c  A   01200 PRINT "ENTER COORDINATES (N,E,D) : ";
    0x00cdd9c0  A   01210 INPUT Y,X,Z
    0x00cddca0  A   01220 IF ABS(X-A)+ABS(Y-B)+ABS(Z-C)=0 THEN 1300
    0x00cddcf4  A   01230 GOSUB 1670
    0x00cddd28  A   01240 PRINT 
    0x00cddd7c  A   01250 NEXT D
    0x00cdddec  A   01260 PRINT 
    0x00cddee0  A   01270 PRINT "YOU HAVE BEEN TORPEDOED!  ABANDON SHIP!"
    0x00cde150  A   01280 PRINT "THE SUBMARINE WAS AT ";B,",";A,",";C
    0x00cde18c  A   01290 GOTO 1340
    0x00cde1ec  A T 01300 PRINT 
    0x00cde36c  A   01310 PRINT "B O O M ! !  YOU FOUND IT IN ";D;"TRIES!"
    0x00cde3a8  A   01320 PRINT 
    0x00cde500  A   01330 PRINT 
    0x00cde5d0  A T 01340 PRINT "ANOTHER GAME (Y OR N)";
    0x00cde688  A   01350 INPUT A$
    0x00cde764  A   01360 IF A$="Y" THEN 1010
    0x00cde864  A   01370 PRINT "OK.  HOPE YOU ENJOYED YOURSELF " 
    0x00cde8bc  A   01380 GOTO 1650
    0x00cdf9e0  A T 01650 END
    0x00cde990 B  G 01670 PRINT "SONAR REPORTS SHOT WAS ";
    0x00cdea28 B    01680 IF Y>B THEN 1750
    0x00cdeae0 B    01690 IF Y<B THEN 1770
    0x00cdeb98 B  T 01700 IF X>A THEN 1790
    0x00cdec50 B    01710 IF X<A THEN 1810
    0x00cded08 B  T 01720 IF Y<>B THEN 1830
    0x00cdedc0 B    01730 IF X<>A THEN 1830
    0x00cdee1c B    01740 GOTO 1840
    0x00cdeed4 B  T 01750 PRINT "NORTH";
    0x00cdef18 B    01760 GOTO 1700
    0x00cdefd0 B  T 01770 PRINT "SOUTH";
    0x00cdf014 B    01780 GOTO 1700
    0x00cdf0cc B  T 01790 PRINT "EAST";
    0x00cdf110 B    01800 GOTO 1720
    0x00cdf1c8 B  T 01810 PRINT "WEST";
    0x00cdf20c B    01820 GOTO 1720
    0x00cdf2cc B  T 01830 PRINT " AND ";
    0x00cdf364 B  T 01840 IF Z>C THEN 1870
    0x00cdf41c B    01850 IF Z<C THEN 1890
    0x00cdf4d4 B    01860 IF Z=C THEN 1910
    0x00cdf5a4 B  T 01870 PRINT "TOO LOW"
    0x00cdf5ec B    01880 GOTO 1920
    0x00cdf694 B  T 01890 PRINT "TOO HIGH"
    0x00cdf6dc B    01900 GOTO 1920
    0x00cdf780 B  T 01910 PRINT "DEPTH OK"
    0x00cdf7ac B  T 01920 RETURN
 */

//---------------------------------------------------------------------------
// $Header: D:\\Repository\\D\\Dev\\BasicGames\\Translator\\Translated\\depth.cpp,v 1.9 2011-10-16 22:43:34-04 alan Exp alan $ 
//
// NOTE: This program has been automatically tranlated by b2cpp
//
// $Log: depth.cpp,v $
// Revision 1.9  2011-10-16 22:43:34-04  alan
// Updating the translation of the BASIC programs.
// 
// 
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//---------------------------------------------------------------------------
// Global data area.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------




typedef enum {TYPE_None,TYPE_Integer,TYPE_Float,TYPE_String}t_type;
typedef struct{
    int    LineNum;
    int    Size;
    char** SData;
}t_data;
t_data ProgramData[] = {
    {    0,  0,NULL       }
};

#include "intrinsics.h"


//---------------------------------------------------------------------------
// Global variable area.
//
// NOTE: Variable names are long to allow for easy editing.
//---------------------------------------------------------------------------
int   A_int;        // Comments?
char* A_str;        // Comments?
int   B_int;        // Comments?
int   C_int;        // Comments?
int   D_int;        // Comments?
int   G_int;        // Comments?
int   N_int;        // Comments?
int   X_int;        // Comments?
int   Y_int;        // Comments?
int   Z_int;        // Comments?
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
char* GLBpStr=NULL;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Subroutine Prototypes.
//---------------------------------------------------------------------------
void Routine_01670();

//---------------------------------------------------------------------------
// Program Functions.
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Program Subroutines.
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Routine B
//---------------------------------------------------------------------------

void Routine_01670(){
    // 01670 PRINT "SONAR REPORTS SHOT WAS ";
    MyFpf(stdout,"sonar reports shot was ");
    // 01680 IF Y>B THEN 1750
    if(Y_int>B_int) goto Lbl_01750;
    // 01690 IF Y<B THEN 1770
    if(Y_int<B_int) goto Lbl_01770;

  Lbl_01700:
    // 01700 IF X>A THEN 1790
    if(X_int>A_int) goto Lbl_01790;
    // 01710 IF X<A THEN 1810
    if(X_int<A_int) goto Lbl_01810;

  Lbl_01720:
    // 01720 IF Y<>B THEN 1830
    if(Y_int!=B_int) goto Lbl_01830;
    // 01730 IF X<>A THEN 1830
    if(X_int!=A_int) goto Lbl_01830;
    // 01740 GOTO 1840
    goto Lbl_01840;

  Lbl_01750:
    // 01750 PRINT "NORTH";
    MyFpf(stdout,"north");
    // 01760 GOTO 1700
    goto Lbl_01700;

  Lbl_01770:
    // 01770 PRINT "SOUTH";
    MyFpf(stdout,"south");
    // 01780 GOTO 1700
    goto Lbl_01700;

  Lbl_01790:
    // 01790 PRINT "EAST";
    MyFpf(stdout,"east");
    // 01800 GOTO 1720
    goto Lbl_01720;

  Lbl_01810:
    // 01810 PRINT "WEST";
    MyFpf(stdout,"west");
    // 01820 GOTO 1720
    goto Lbl_01720;

  Lbl_01830:
    // 01830 PRINT " AND ";
    MyFpf(stdout," and ");

  Lbl_01840:
    // 01840 IF Z>C THEN 1870
    if(Z_int>C_int) goto Lbl_01870;
    // 01850 IF Z<C THEN 1890
    if(Z_int<C_int) goto Lbl_01890;
    // 01860 IF Z=C THEN 1910
    if(Z_int==C_int) goto Lbl_01910;

  Lbl_01870:
    // 01870 PRINT "TOO LOW"
    MyFpf(stdout,"too low\n");
    // 01880 GOTO 1920
    goto Lbl_01920;

  Lbl_01890:
    // 01890 PRINT "TOO HIGH"
    MyFpf(stdout,"too high\n");
    // 01900 GOTO 1920
    goto Lbl_01920;

  Lbl_01910:
    // 01910 PRINT "DEPTH OK"
    MyFpf(stdout,"depth ok\n");

  Lbl_01920:
    // 01920 RETURN
    return;
};

//---------------------------------------------------------------------------
// Main Program.
//---------------------------------------------------------------------------
#pragma argsused
void main(int argc,char *argv[])
{
    // 01000 PRINT "DEPTH CHARGE GAME" 
    MyFpf(stdout,"depth charge game\n");

  Lbl_01010:
    // 01010 PRINT
    MyFpf(stdout,"\n");
    // 01020 PRINT "DIMENSION OF SEARCH AREA"; 
    MyFpf(stdout,"dimension of search area");
    // 01030 INPUT G
    // Start of Basic INPUT statement 01030
    printf(" ? ");
    char inpbuf_01030[100];
    if(fgets(inpbuf_01030,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01030=strtok(inpbuf_01030," ,\t\n");
        if(ps_01030==NULL){
            G_int = 0;
        }else{
            G_int = atoi(ps_01030);
        };
    }; // End of Basic INPUT statement 01030
    // 01040 PRINT
    MyFpf(stdout,"\n");
    // 01050 N=INT(LOG(G)/LOG(2))+1 
    N_int = INT(LOG(G_int)/LOG(2))+1;
    // 01060 RANDOMIZE
    char ranbuf_01060[10]; 
    printf("Random number seed (-32768 to 32767)? "); 
    if(fgets(ranbuf_01060,9,stdin)!=NULL){ 
        int seed=atoi(ranbuf_01060); 
        srand(seed); 
    } 
    // 01070 PRINT "YOU ARE CAPTAIN OF THE DESTROYER USS DIGITAL AND AN ENEMY SUB HAS"
    MyFpf(stdout,"you are captain of the destroyer uss digital and an enemy sub has\n");
    // 01080 PRINT "BEEN CAUSING  YOU  TROUBLE,  YOUR MISSION  IS TO DESTROY IT.  YOU"
    MyFpf(stdout,"been causing  you  trouble,  your mission  is to destroy it.  you\n");
    // 01090 PRINT "HAVE "N" SHOTS.  SPECIFY DEPTH CHARGE EXPLOSION POINT WITH A TRIO "
    MyFpf(stdout,"have %d shots.  specify depth charge explosion point with a trio \n",N_int);
    // 01100 PRINT "OF NUMBERS (DISTANCE NORTH, DISTANCE EAST, DEPTH FROM SURFACE)."
    MyFpf(stdout,"of numbers (distance north, distance east, depth from surface).\n");
    // 01110 PRINT 
    MyFpf(stdout,"\n");
    // 01120 PRINT "GOOD LUCK !" 
    MyFpf(stdout,"good luck !\n");
    // 01130 PRINT
    MyFpf(stdout,"\n");
    // 01140 A=INT(G*RND) 
    A_int = INT(G_int*RND());
    // 01150 B=INT(G*RND) 
    B_int = INT(G_int*RND());
    // 01160 C=INT(G*RND)
    C_int = INT(G_int*RND());
    // 01170 FOR D=1 TO N 
    for(D_int=1;D_int<=N_int;D_int++){
        // 01180 PRINT 
        MyFpf(stdout,"\n");
        // 01190 PRINT "TRIAL NUMBER ";D 
        MyFpf(stdout,"trial number %d\n",D_int);
        // 01200 PRINT "ENTER COORDINATES (N,E,D) : ";
        MyFpf(stdout,"enter coordinates (n,e,d) : ");
        // 01210 INPUT Y,X,Z
        // Start of Basic INPUT statement 01210
        printf(" ? ");
        char inpbuf_01210[100];
        if(fgets(inpbuf_01210,100,stdin)==NULL){
            fprintf(stderr,"ERROR: End of file on input.\n");
            exit(2);
        }else{
            // This may cause problems if BASIC programmer expected
            // input strings to be copied instead of just pointing
            // to the input buffer (ie. strings can be over written).
            char *ps_01210=strtok(inpbuf_01210," ,\t\n");
            if(ps_01210==NULL){
                Y_int = 0;
            }else{
                Y_int = atoi(ps_01210);
            };
            ps_01210=strtok(NULL," ,\t\n");
            if(ps_01210==NULL){
                X_int = 0;
            }else{
                X_int = atoi(ps_01210);
            };
            ps_01210=strtok(NULL," ,\t\n");
            if(ps_01210==NULL){
                Z_int = 0;
            }else{
                Z_int = atoi(ps_01210);
            };
        }; // End of Basic INPUT statement 01210
        // 01220 IF ABS(X-A)+ABS(Y-B)+ABS(Z-C)=0 THEN 1300
        if(ABS(X_int-A_int)+ABS(Y_int-B_int)+ABS(Z_int-C_int)==0) goto Lbl_01300;
        // 01230 GOSUB 1670
        Routine_01670();
        // 01240 PRINT 
        MyFpf(stdout,"\n");
        // 01250 NEXT D
    }; // End-For(D_int)
    // 01260 PRINT 
    MyFpf(stdout,"\n");
    // 01270 PRINT "YOU HAVE BEEN TORPEDOED!  ABANDON SHIP!"
    MyFpf(stdout,"you have been torpedoed!  abandon ship!\n");
    // 01280 PRINT "THE SUBMARINE WAS AT ";B,",";A,",";C
    MyFpf(stdout,"the submarine was at %d@,%d@,%d\n",B_int,A_int,C_int);
    // 01290 GOTO 1340
    goto Lbl_01340;

  Lbl_01300:
    // 01300 PRINT 
    MyFpf(stdout,"\n");
    // 01310 PRINT "B O O M ! !  YOU FOUND IT IN ";D;"TRIES!"
    MyFpf(stdout,"b o o m ! !  you found it in %dtries!\n",D_int);
    // 01320 PRINT 
    MyFpf(stdout,"\n");
    // 01330 PRINT 
    MyFpf(stdout,"\n");

  Lbl_01340:
    // 01340 PRINT "ANOTHER GAME (Y OR N)";
    MyFpf(stdout,"another game (y or n)");
    // 01350 INPUT A$
    // Start of Basic INPUT statement 01350
    printf(" ? ");
    char inpbuf_01350[100];
    if(fgets(inpbuf_01350,100,stdin)==NULL){
        fprintf(stderr,"ERROR: End of file on input.\n");
        exit(2);
    }else{
        // This may cause problems if BASIC programmer expected
        // input strings to be copied instead of just pointing
        // to the input buffer (ie. strings can be over written).
        char *ps_01350=strtok(inpbuf_01350," ,\t\n");
        if(ps_01350==NULL){
            A_str = "";
        }else{
            A_str = ps_01350;
        };
    }; // End of Basic INPUT statement 01350
    // 01360 IF A$="Y" THEN 1010
    if(strcmp(A_str,"y")==0) goto Lbl_01010;
    // 01370 PRINT "OK.  HOPE YOU ENJOYED YOURSELF " 
    MyFpf(stdout,"ok.  hope you enjoyed yourself \n");
    // 01380 GOTO 1650
    goto Lbl_01650;

  Lbl_01650:
    // 01650 END
};

//---------------------------------------------------------------------------
// End of $RCSfile: depth.cpp,v $ 
//---------------------------------------------------------------------------
