/*
 * Title: Display the annotated BASIC Listing (1)
 *
 *  Listing of D:\Dev\BasicGames\Translator\basic\Strek2.bas: 
 *
               +--------+---- Routine IDs (Empty field=Inaccessible code, A=Main program).
               |        | +-- Target status (G-GOSUB, T-GOTO, B-Both GOSUB and GOTO)
      Program  |        | |
      Address  v        v v Original BASIC statement
    ---------- ---------- - ------------------------------------------------------------------------------
    0x00cdba50          A   01000 REM (VERSION "STREK7", 1/12/75 RCL)
    0x00cdba90          A   01010 REM
    0x00cdbad0          A   01020 REM
    0x00cdbb2c          A   01030 REM ***         *** STAR TREK ***       ***
    0x00cdbbd8          A   01040 REM *** SIMULATION OF A MISSION OF THE STARSHIP ENTERPRISE.
    0x00cdbc60          A   01050 REM *** AS SEEN ON THE STAR TREK TV SHOW.
    0x00cdbd0c          A   01060 REM *** ORIGINAL PROGRAM BY MIKE MAYFIELD, MODIFIED VERSION
    0x00cdbdb8          A   01070 REM *** PUBLISHED IN DEC'S "101 BASIC GAMES", BY DAVE AHL.
    0x00cdbe64          A   01080 REM ***   MODIFICATIONS TO THE LATTER (PLUS DEBUGGING) BY 
    0x00cdc978          A   01090 REM ***      BOB LEEDOM -- APRIL & DECEMBER 1974
    0x00cdca0c          A   01100 REM ***  WITH A LITTLE HELP FROM HIS FRIENDS...
    0x00cdcab4          A   01110 REM *** COMMENTS, EPITHETS, AND SUGGESTIONS SOLICITED --
    0x00cdcb2c          A   01120 REM *** ADDRESS TO:   R.C.LEEDOM
    0x00cdcbd8          A   01130 REM ***     WESTINGHOUSE DEFENSE & ELECTRONIC SYSTEMS CNTR.
    0x00cdcc74          A   01140 REM ***     BOX 746, M.S. 338   BALTIMORE, MD 21203
    0x00cdcce0          A   01150 RANDOMIZE
    0x00cdce74          A   01160 PRINT  TAB(15);"* * * STAR TREK * * *"
    0x00cdced8          A   01170 PRINT
    0x00cdcfb4          A   01180 PRINT "DO YOU NEED INSTRUCTIONS (YES/NO)";
    0x00cdd070          A   01190 INPUT A$
    0x00cdd14c          A   01200 IF A$<>"YES" GOTO 1270
    0x00cdd24c          A   01210 PRINT "PLEASE WAIT  . . .";
    0x00cdd288          A   01220 GOSUB 11110
    0x00cdd2b8 J      C A T 01230 REM
    0x00cdd374 J      C A   01240 REM ===============================================================
    0x00cdd3b4 J      C A   01250 REM
    0x00cdd428 J      C A T 01260 REM  PROGRAM BEGINS HERE .....
    0x00cdd548 J      C A T 01270 DIM Q$(8)
    0x00cdd6bc J      C A   01280 FOR I = 1 TO 8
    0x00cdd81c J      C A   01290     Q$(I) = SPACE$(24)
    0x00cdd86c J      C A   01300 NEXT I
    0x00cdde64 J      C A   01310 DIM G(8,8),C(9,2),K(3,3),N(3),Z(8,8)
    0x00cde1bc J      C A   01320 LET T=INT(RND(1)*20+20)*100
    0x00cde444 J      C A   01330 LET P1=3.14159/4
    0x00cde514 J      C A   01340 LET T0=T
    0x00cde61c J      C A   01350 LET T9=30
    0x00cde728 J      C A   01360 LET D0=0
    0x00cde830 J      C A   01370 LET E0=3000
    0x00cde900 J      C A   01380 LET E=E0
    0x00cdea08 J      C A   01390 LET P=10
    0x00cdeadc J      C A   01400 LET P0=P
    0x00cdebe4 J      C A   01410 LET S9=200
    0x00cded10 J      C A   01420 LET S=0
    0x00cdf248 J      C A   01430 DEF FND(D)=SQR((K(I,1)-S1)^2+(K(I,2)-S2)^2)
    0x00cdf288 J      C A   01440 REM
    0x00cdf344 J      C A   01450 REM ===============================================================
    0x00cdf384 J      C A   01460 REM
    0x00cdf404 J      C A   01470 REM INITIALIZE INTERPRISE'S POSITION
    0x00cdf684 J      C A   01480 LET Q1=INT(RND(1)*8+1)
    0x00cdf8e4 J      C A   01490 LET Q2=INT(RND(1)*8+1)
    0x00cdfb00 J      C A   01500 LET S1=INT(RND(1)*8+1)
    0x00cdfd0c J      C A   01510 LET S2=INT(RND(1)*8+1)
    0x00cdfda0 J      C A   01520 MAT C=ZER
    0x00ce000c J      C A   01530 LET C(4,1)=-1
    0x00ce0194 J      C A   01540 LET C(3,1)=-1
    0x00ce031c J      C A   01550 LET C(2,1)=-1
    0x00ce04a4 J      C A   01560 LET C(4,2)=-1
    0x00ce062c J      C A   01570 LET C(5,2)=-1
    0x00ce07b4 J      C A   01580 LET C(6,2)=-1
    0x00ce093c J      C A   01590 LET C(1,2)=1
    0x00ce0ac4 J      C A   01600 LET C(2,2)=1
    0x00ce0c4c J      C A   01610 LET C(6,1)=1
    0x00ce0dd4 J      C A   01620 LET C(7,1)=1
    0x00ce0f5c J      C A   01630 LET C(8,1)=1
    0x00ce10e4 J      C A   01640 LET C(8,2)=1
    0x00ce146c J      C A   01650 LET C(9,2)=1
    0x00ce1578 J      C A   01660 DIM D(8)
    0x00ce16a0 J      C A   01670 FOR I=1 TO 8
    0x00ce1794 J      C A   01680     LET D(I)=0
    0x00ce17e4 J      C A   01690 NEXT I
    0x00ce18fc J      C A   01700 DIM D$(8)
    0x00ce1960 J      C A   01710 RESTORE
    0x00ce1e10 J      C A   01720 READ D$(1),D$(2),D$(3),D$(4),D$(5),D$(6),D$(7),D$(8)
    0x00ce2050 J      C A   01730 DATA "WARP ENGINES","S.R. SENSORS","L.R. SENSORS","PHASER CNTRL"
    0x00ce2260 J      C A   01740 DATA "PHOTON TUBES","DAMAGE CNTRL","SHIELD CNTRL","COMPUTER    "
    0x00ce2378 J      C A   01750 LET G4$="III"
    0x00ce2484 J      C A   01760 DIM G1$(16)
    0x00ce25ac J      C A   01770 FOR I=1 TO 16
    0x00ce2640 J      C A   01780     READ G1$(I)
    0x00ce268c J      C A   01790 NEXT I
    0x00ce2a4c J      C A   01800 DATA "ANTARES","SIRIUS","RIGEL","DENEB","PROCYON","CAPELLA","VEGA"
    0x00ce2ce4 J      C A   01810 DATA "BETELGEUSE","CANOPUS","ALDEBARAN","ALTAIR","REGULUS"
    0x00ce2ee0 J      C A   01820 DATA "SAGITTARIUS","ARCTURUS","POLLUX","SPICA"
    0x00ce2fe8 J      C A   01830 LET B9=0
    0x00ce30fc J      C A   01840 LET K9=0
    0x00ce3210 J      C A   01850 LET A1$="NSLPTSDCX"
    0x00ce3244 J      C A   01860 REM
    0x00ce3300 J      C A   01870 REM ===============================================================
    0x00ce3340 J      C A   01880 REM
    0x00ce33c0 J      C A   01890 REM  SET UP WHAT EXISTS IN GALAXY ...
    0x00ce3500 J      C A   01900 FOR I=1 TO 8
    0x00ce3678 J      C A   01910     FOR J=1 TO 8
    0x00ce37bc J      C A   01920 	LET R1=RND(1)
    0x00ce3888 J      C A   01930 	IF R1>.98 GOTO 1980
    0x00ce397c J      C A   01940 	IF R1>.95 GOTO 2010
    0x00ce3a70 J      C A   01950 	IF R1>.8  GOTO 2040
    0x00ce3b98 J      C A   01960 	LET K3=0
    0x00ce3bd4 J      C A   01970 	GOTO 2060
    0x00ce3c98 J      C A T 01980 	LET K3=3
    0x00ce3da4 J      C A   01990 	LET K9=K9+3
    0x00ce3de0 J      C A   02000 	GOTO 2060
    0x00ce3ea4 J      C A T 02010 	LET K3=2
    0x00ce3fb0 J      C A   02020 	LET K9=K9+2
    0x00cde1e4 J      C A   02030 	GOTO 2060
    0x00cde29c J      C A T 02040 	LET K3=1
    0x00ce40dc J      C A   02050 	LET K9=K9+1
    0x00ce41d4 J      C A T 02060 	LET R1=RND(1)
    0x00ce42a0 J      C A   02070 	IF R1>.96 GOTO 2100
    0x00ce43b0 J      C A   02080 	LET B3=0
    0x00ce43ec J      C A   02090 	GOTO 2120
    0x00ce44b0 J      C A T 02100 	LET B3=1
    0x00ce45c8 J      C A   02110 	LET B9=B9+1
    0x00ce482c J      C A T 02120 	LET S3=INT(RND(1)*8+1)
    0x00ce4aa8 J      C A   02130 	LET G(I,J)=K3*100+B3*10+S3
    0x00ce4b00 J      C A   02140 	REM K3=#KLINGONS B3=#STARBASES S3=#STARS
    0x00ce4c2c J      C A   02150 	LET Z(I,J)=0
    0x00ce4c7c J      C A   02160     NEXT J
    0x00ce4cdc J      C A   02170 NEXT I
    0x00ce4dbc J      C A   02180 LET K7=K9
    0x00ce4ed8 J      C A   02190 LET X$=""
    0x00ce4ff8 J      C A   02200 LET X0$=" IS "
    0x00ce50c4 J      C A   02210 IF B9<>0 GOTO 2270
    0x00ce51b4 J      C A   02220 LET B9=1
    0x00ce5340 J      C A   02230 IF G(6,3)>=200 GOTO 2260
    0x00ce55f4 J      C A   02240 LET G(6,3)=G(6,3)+100
    0x00ce5708 J      C A   02250 LET K9=K9+1
    0x00ce5998 J      C A T 02260 LET G(6,3)=G(6,3)+10
    0x00ce5a64 J      C A T 02270 IF B9=1 GOTO 2320
    0x00ce5b5c J      C A   02280 LET X$="S"
    0x00ce6030 J      C A   02290 LET X0$=" ARE "
    0x00ce60d8 J      C A   02300 PRINT " "
    0x00ce61a0 J      C A   02310 PRINT " "
    0x00ce6264 J      C A T 02320 PRINT "YOUR ORDERS ARE AS FOLLOWS:"
    0x00ce6348 J      C A   02330 PRINT " "
    0x00ce6518 J      C A   02340 PRINT "    DESTROY THE "K9" KLINGON WARSHIPS WHICH HAVE INVADED"
    0x00ce6634 J      C A   02350 PRINT "  THE GALAXY BEFORE THEY CAN ATTACK FEDERATION HEADQUARTERS"
    0x00ce6930 J      C A   02360 PRINT "  ON STARDATE"T0+T9"; THIS GIVES YOU"T9" DAYS.  THERE"X0$
    0x00ce6b7c J      C A   02370 PRINT " "B9"STARBASE";X$" IN THE GALAXY FOR RESUPPLYING YOUR SHIP."
    0x00ce6c58 J      C A   02380 PRINT " "
    0x00ce6d40 J      C A   02390 PRINT "HIT 'RETURN' WHEN READY TO ASSUME COMMAND ---";
    0x00ce6da4 J      C A   02400 INPUT A$
    0x00ce6ddc J      C A   02410 REM
    0x00ce6e98 J      C A   02420 REM ===============================================================
    0x00ce6ed8 J      C A   02430 REM
    0x00ce6f68 J      C A   02440 REM *** HERE ANY TIME ENTER NEW QUADRANT ...
    0x00ce7048 J      C A T 02450 LET Z4=Q1
    0x00ce7118 J      C A   02460 LET Z5=Q2
    0x00ce71dc J      C A   02470 LET K3=0
    0x00ce72a0 J      C A   02480 LET B3=0
    0x00ce7364 J      C A   02490 LET S3=0
    0x00ce7474 J      C A   02500 LET G5=0
    0x00ce7628 J      C A   02510 LET D4=.5*RND(1)
    0x00ce779c J      C A   02520 FOR I7 = 1 TO 8
    0x00ce78b8 J      C A   02530     Q$(I7)=SPACE$(24)
    0x00ce7908 J      C A   02540 NEXT I7
    0x00ce79ec J      C A   02550 IF Q1<1 GOTO 2760
    0x00ce7adc J      C A   02560 IF Q1>8 GOTO 2760
    0x00ce7bcc J      C A   02570 IF Q2<1 GOTO 2760
    0x00ce7cbc J      C A   02580 IF Q2>8 GOTO 2760
    0x00ce7d18 J      C A   02590 GOSUB 10950
    0x00ce7dc8 J      C A   02600 PRINT " "
    0x00ce7e60 J      C A   02610 IF T<>T0 GOTO 2650
    0x00ce7fa4 J      C A   02620 PRINT "YOUR MISSION BEGINS WITH YOUR STARSHIP LOCATED"
    0x00ce1274 J      C A   02630 PRINT "IN THE GALACTIC QUADRANT, '"G2$"'."
    0x00ce12d4 J      C A   02640 GOTO 2660
    0x00ce8138 J      C A T 02650 PRINT "NOW ENTERING "G2$" QUADRANT ..."
    0x00ce81f0 J      C A T 02660 PRINT " "
    0x00ce8394 J      C A   02670 LET X=G(Q1,Q2)*.01
    0x00ce8454 J      C A   02680 LET K3=INT(X)
    0x00ce8600 J      C A   02690 LET B3=INT((X-K3)*10)
    0x00ce8898 J      C A   02700 LET S3=G(Q1,Q2)-INT(G(Q1,Q2)*.1)*10
    0x00ce8964 J      C A   02710 IF K3=0 GOTO 2750
    0x00ce8a70 J      C A   02720 PRINT "COMBAT AREA      CONDITION RED"
    0x00ce8b40 J      C A   02730 IF S>200 GOTO 2750
    0x00ce8c38 J      C A   02740 PRINT "   SHIELDS DANGEROUSLY LOW"
    0x00ce8cd0 J      C A T 02750 MAT K=ZER
    0x00ce8ee0 J      C A T 02760 FOR I=1 TO 3
    0x00ce9034 J      C A   02770     LET K(I,3)=0
    0x00ce9084 J      C A   02780 NEXT I
    0x00ce90c4 J      C A   02790 REM
    0x00ce9180 J      C A   02800 REM ===============================================================
    0x00ce91c0 J      C A   02810 REM
    0x00ce9270 J      C A   02820 REM POSITION ENTERPRISE IN QUADRANT, THEN PLACE 'K3' KLINGONS
    0x00ce9304 J      C A   02830 REM  'B3' STARBASES, AND 'S3' STARS ELSEWHERE.
    0x00ce93e8 J      C A   02840 LET A$="<*>"
    0x00ce94b8 J      C A   02850 LET Z1=S1
    0x00ce958c J      C A   02860 LET Z2=S2
    0x00ce95cc J      C A   02870 GOSUB 10540
    0x00ce96bc J      C A   02880 FOR I=1 TO K3
    0x00ce9708 J      C A   02890     GOSUB 10430
    0x00ce97d8 J      C A   02900     LET A$="+++"
    0x00ce9868 J      C A   02910     LET Z1=R1
    0x00ce9940 J      C A   02920     LET Z2=R2
    0x00ce9984 J      C A   02930     GOSUB 10540
    0x00ce9a9c J      C A   02940     LET K(I,1)=R1
    0x00ce9bbc J      C A   02950     LET K(I,2)=R2
    0x00ce9d08 J      C A   02960     LET K(I,3)=200
    0x00ce9d58 J      C A   02970 NEXT I
    0x00ce9e60 J      C A   02980 FOR I=1 TO B3
    0x00ce9eac J      C A   02990     GOSUB 10430
    0x00ce9f7c J      C A   03000     LET A$=">!<"
    0x00cea00c J      C A   03010     LET Z1=R1
    0x00cea0a0 J      C A   03020     LET Z2=R2
    0x00cea0e0 J      C A   03030     GOSUB 10540
    0x00cea1b0 J      C A   03040     LET B4=Z1
    0x00cea280 J      C A   03050     LET B5=Z2
    0x00cea2d0 J      C A   03060 NEXT I
    0x00cea3d8 J      C A   03070 FOR I=1 TO S3
    0x00cea424 J      C A   03080     GOSUB 10430
    0x00cea4f4 J      C A   03090     LET A$=" * "
    0x00cea584 J      C A   03100     LET Z1=R1
    0x00cea618 J      C A   03110     LET Z2=R2
    0x00cea654 J      C A   03120     GOSUB 10540
    0x00cea6a0 J      C A   03130 NEXT I
    0x00cea6fc J      C A T 03140 GOSUB 8060
    0x00cea808 J      C A T 03150 IF S+E<=10 GOTO 3180
    0x00cea8f8 J      C A   03160 IF E>10 GOTO 3220
    0x00ceaa4c J      C A   03170 IF D(7)>=0 GOTO 3220
    0x00ceadc8 J      C A T 03180 PRINT CHR$(7)"** FATAL ERROR **"CHR$(7)"   YOU'VE JUST STRANDED YOUR SHIP IN SPACE!!"
    0x00ceaee8 J      C A   03190 PRINT "YOU HAVE INSUFFICIENT MANEUVERING ENERGY, AND SHIELD CONTROL"
    0x00ceafcc J      C A   03200 PRINT "IS PRESENTLY INCAPABLE OF CROSS-CIRCUITING TO ENGINE ROOM!"
    0x00ceb014 J      C A   03210 GOTO 7860
    0x00ceb0d0 J      C A T 03220 PRINT "COMMAND";
    0x00ceb13c J      C A   03230 INPUT A$
    0x00ceb288 J      C A   03240 FOR I=1 TO 9
    0x00ceb500 J      C A   03250     IF MID$(A$,1,1)<>MID$(A1$,I,1) GOTO 3310
    0x00ceb5f4 J      C A   03260     IF I<>2 GOTO 3300
    0x00ceb75c J      C A   03270     IF LEN(A$)<2 GOTO 3300
    0x00ceb950 J      C A   03280     IF MID$(A$,2,1)="R" GOTO 3300
    0x00ceba70 J      C A   03290     LET I=6
    0x00cebe34 J      C A T 03300     ON I GOTO 3480, 3140, 5370, 5660, 6130, 7070, 7260, 8940, 7870
    0x00cebe88 J      C A T 03310 NEXT I
    0x00cebf88 J      C A   03320 PRINT "ENTER ONE OF THE FOLLOWING:"
    0x00cec068 J      C A   03330 PRINT "  NAV (TO SET COURSE)"
    0x00cec158 J      C A   03340 PRINT "  SRS (FOR SHORT RANGE SENSOR SCAN)"
    0x00cec23c J      C A   03350 PRINT "  LRS (FOR LONG RANGE SENSOR SCAN)"
    0x00cec31c J      C A   03360 PRINT "  PHA (TO FIRE PHASERS)"
    0x00cec404 J      C A   03370 PRINT "  TOR (TO FIRE PHOTON TORPEDOES)"
    0x00cec4ec J      C A   03380 PRINT "  SHE (TO RAISE OR LOWER SHEILDS)"
    0x00cec5d8 J      C A   03390 PRINT "  DAM (FOR DAMAGE CONTROL REPORT)"
    0x00cec6c4 J      C A   03400 PRINT "  COM (TO CALL ON LIBRARY-COMPUTER)"
    0x00cec78c J      C A   03410 PRINT "  XXX (TO RESIGN YOUR COMMAND)"
    0x00cec838 J      C A   03420 PRINT " "
    0x00cec874 J      C A   03430 GOTO 3150
    0x00cec8a4 J      C A   03440 REM
    0x00cec960 J      C A   03450 REM ===============================================================
    0x00cec9a0 J      C A   03460 REM
    0x00ceca14 J      C A   03470 REM  COURSE CONTROL BEGINS HERE
    0x00cecaf4 J      C A T 03480 PRINT "COURSE(1-9)";
    0x00cecbac J      C A   03490 INPUT C1
    0x00cecc7c J      C A   03500 IF C1>=1 GOTO 3530
    0x00cecd9c J      C A T 03510 PRINT "  LT. SULU REPORTS, 'INCORRECT COURSE DATA, SIR!'"
    0x00cecde4 J      C A   03520 GOTO 3150
    0x00ceceac J      C A T 03530 IF C1<9 GOTO 3560
    0x00cecf9c J      C A   03540 IF C1>9 GOTO 3510
    0x00ced008 J      C A   03550 GOTO 3510
    0x00ced0cc J      C A T 03560 PRINT "WARP FACTOR (0-8)";
    0x00ced988 J      C A   03570 INPUT W1
    0x00ceda58 J      C A   03580 IF W1 > 0 GOTO 3620
    0x00cedb90 J      C A   03590 PRINT "  ENSIGN CHEKOV REPORTS INSTURMENTS NOT MADE TO "
    0x00cedd08 J      C A   03600 PRINT "          SET WARP "W1" !"
    0x00cedd54 J      C A   03610 GOTO 3150
    0x00cede1c J      C A T 03620 IF W1<=8 GOTO 3660
    0x00cedf54 J      C A   03630 PRINT "  CHIEF ENGINEER SCOTT REPORTS 'THE ENGINES WON'T"
    0x00cee0cc J      C A   03640 PRINT "         TAKE WARP "W1"!/"
    0x00cee118 J      C A   03650 GOTO 3150
    0x00cee240 J      C A T 03660 IF D(1)>=0 GOTO 3700
    0x00cee334 J      C A   03670 IF W1<=0.2 GOTO 3700
    0x00cee45c J      C A   03680 PRINT "WARP ENGINES ARE DAMAGED.  MAXIMUM SPEED = WARP 0.2"
    0x00cee4a8 J      C A   03690 GOTO 3480
    0x00cee6a0 J      C A T 03700 LET N=INT(W1*8+.5)
    0x00cee7b0 J      C A   03710 IF E-N>=0 GOTO 3830
    0x00cee8f8 J      C A   03720 PRINT "ENGINEERING REPORTS 'INSUFFICIENT ENERGY AVAILABLE"
    0x00ceea84 J      C A   03730 PRINT "   FOR MANEUVERING AT WARP"W1"!'"
    0x00ceeb60 J      C A   03740 IF S<N-E GOTO 3150
    0x00ceecb4 J      C A   03750 IF D(7)<0 GOTO 3150
    0x00ceeeb0 J      C A   03760 PRINT "DEFLECTOR CONTROL ROOM ACKNOWLEGES"S" UNITS"
    0x00ceef84 J      C A   03770 PRINT "   OF ENERGY PRESENTLY DEPLOYED TO SHIELDS."
    0x00ceefc0 J      C A   03780 GOTO 7070
    0x00ceeff0 J      C A   03790 REM
    0x00cef0ac J      C A   03800 REM ===============================================================
    0x00cef0ec J      C A   03810 REM
    0x00cef17c J      C A   03820 REM KLINGONS MOVE/FIRE ON MOVING STARSHIP ...
    0x00cef290 J      C A T 03830 FOR I=1 TO K3
    0x00cef424 J      C A   03840     IF K(1,3)<=0 GOTO 3940
    0x00cef520 J      C A   03850     LET A$="   "
    0x00cef63c J      C A   03860     LET Z1=K(I,1)
    0x00cef758 J      C A   03870     LET Z2=K(I,2)
    0x00cef79c J      C A   03880     GOSUB 10540
    0x00cef7dc J      C A   03890     GOSUB 10430
    0x00cef8f4 J      C A   03900     LET K(I,1)=Z1
    0x00cefa10 J      C A   03910     LET K(I,2)=Z2
    0x00cefae8 J      C A   03920     LET A$="+++"
    0x00cefb24 J      C A   03930     GOSUB 10540
    0x00cefb70 J      C A T 03940 NEXT I
    0x00cefbc0 J      C A   03950 GOSUB 7600
    0x00cefcc4 J      C A   03960 LET D1=0
    0x00cefd9c J      C A   03970 LET D6=W1
    0x00cefe68 J      C A   03980 IF W1<1 GOTO 4040
    0x00ceff44 J      C A   03990 LET D6=1
    0x00ceff78 J      C A   04000 REM
    0x00ce5bcc J      C A   04010 REM ===============================================================
    0x00ce5bfc J      C A   04020 REM
    0x00ce5c64 J      C A   04030 REM MAKE REPAIRS TO SHIP
    0x00ce5dac J      C A T 04040 FOR I=1 TO 8
    0x00ce5ea8 J      C A   04050     IF D(I)>=0 GOTO 4150
    0x00cf00bc J      C A   04060     LET D(I)=D(I)+6
    0x00cf01a4 J      C A   04070     IF D(I)<0 GOTO 4150
    0x00cf0298 J      C A   04080     IF D1=1 GOTO 4110
    0x00cf0398 J      C A   04090     LET D1=1
    0x00cf045c J      C A   04100     PRINT "DAMAGE CONTROL REPORT:"
    0x00cf053c J      C A T 04110     PRINT TAB(8);
    0x00cf05d4 J      C A   04120     LET R1=I
    0x00cf0624 J      C A   04130     GOSUB 10770
    0x00cf06d4 J      C A   04140     PRINT " REPAIR COMPLETED"
    0x00cf0728 J      C A T 04150 NEXT I
    0x00cf0768 J      C A   04160 REM
    0x00cf0824 J      C A   04170 REM ===============================================================
    0x00cf0864 J      C A   04180 REM
    0x00cf08e8 J      C A   04190 REM DAMAGE/IMPROVEMENT DURING SOME VES
    0x00cf0a34 J      C A   04200 IF RND(1)>.2 GOTO 4400
    0x00cf0c7c J      C A   04210 LET R1=INT(RND(1)*8+1)
    0x00cf0da8 J      C A   04220 IF RND(1)>=.6 GOTO 4300
    0x00cf106c J      C A   04230 LET D(R1)=D(R1)-(RND(1)*5+1)
    0x00cf112c J      C A   04240 PRINT " "
    0x00cf1204 J      C A   04250 PRINT "DAMAGE CONTROL REPORT:";
    0x00cf124c J      C A   04260 GOSUB 10770
    0x00cf12f4 J      C A   04270 PRINT " DAMAGED"
    0x00cf13a0 J      C A   04280 PRINT " "
    0x00cf13f4 J      C A   04290 GOTO 4400
    0x00cf1684 J      C A T 04300 LET D(R1)=D(R1)+(RND(1)*3+1)
    0x00cf1744 J      C A   04310 PRINT " "
    0x00cf181c J      C A   04320 PRINT "DAMAGE CONTROL REPORT:";
    0x00cf1874 J      C A   04330 GOSUB 10770
    0x00cf192c J      C A   04340 PRINT " STATE OF REPAIR IMPROVED"
    0x00cf19d4 J      C A   04350 PRINT " "
    0x00cf1a0c J      C A   04360 REM
    0x00cf1ac8 J      C A   04370 REM ===============================================================
    0x00cf1b08 J      C A   04380 REM
    0x00cf1b78 J      C A   04390 REM BEGIN MOVING STARSHIP **
    0x00cf1c64 J      C A T 04400 LET A$="   "
    0x00cf1d20 J      C A   04410 LET Z1=INT(S1)
    0x00cf1dd8 J      C A   04420 LET Z2=INT(S2)
    0x00cf1e24 J      C A   04430 GOSUB 10540
    0x00cf2038 J      C A   04440 LET X1=-SIN((C1-1)*P1)
    0x00cf20c4 J      C A   04450 LET X=S1
    0x00cf21a4 J      C A   04460 LET Y=S2
    0x00cf23bc J      C A   04470 LET X2= COS((C1-1)*P1)
    0x00cf248c J      C A   04480 LET Q4=Q1
    0x00cf2560 J      C A   04490 LET Q5=Q2
    0x00cf2654 J      C A   04500 FOR I=1 TO N
    0x00cf2734 J      C A   04510     LET S1=S1+X1
    0x00cf2814 J      C A   04520     LET S2=S2+X2
    0x00cf28e0 J      C A   04530     IF S1<0.5 GOTO 4790
    0x00cf29d8 J      C A   04540     IF S1>=8.5 GOTO 4790
    0x00cf2ad0 J      C A   04550     IF S2<0.5 GOTO 4790
    0x00cf2bc8 J      C A   04560     IF S2>=8.5 GOTO 4790
    0x00cf3028 J      C A   04570     IF MID$(Q$(INT(S1+.5)),(3*INT(S2+.5)-2),3) = "   " GOTO 4630
    0x00cf3124 J      C A   04580     LET S1=S1-X1
    0x00cf3224 J      C A   04590     LET S2=S2-X2
    0x00cf3404 J      C A   04600     PRINT "WARP ENGINES SHUT DOWN AT SECTOR "INT(S1+.5);
    0x00cf3628 J      C A   04610     PRINT ","INT(S2+.5)" DUE TO BAD NAVIGATION"
    0x00cf3668 J      C A   04620     GOTO 4640
    0x00cf36b4 J      C A T 04630 NEXT I
    0x00cf37a0 J      C A T 04640 LET A$="<*>"
    0x00cf38d8 J      C A   04650 S1=INT(S1+0.5)
    0x00cf3a10 J      C A   04660 S2=INT(S2+0.5)
    0x00cf3acc J      C A   04670 LET Z1=INT(S1)
    0x00cf3b84 J      C A   04680 LET Z2=INT(S2)
    0x00cf3bc4 J      C A   04690 GOSUB 10540
    0x00cf3bfc J      C A   04700 GOSUB 5250
    0x00cf3d0c J      C A   04710 LET T8=1
    0x00cf3dd8 J      C A   04720 IF W1>=1 GOTO 4740
    0x00cf3fb0 J      C A   04730 LET T8=.1*INT(10*W1)
    0x00cf408c J      C A T 04740 LET T=T+T8
    0x00cf4164 J      C A   04750 IF T>T0+T9 GOTO 7820
    0x00cf41ec J      C A   04760 REM SEE IF DOCKED, THEN GET COMMAND
    0x00cf424c J      C A   04770 GOTO 3140
    0x00cf4294 J      C A   04780 REM EXCEEDED QUADRANT LIMITS
    0x00cf4488 J      C A T 04790 LET X=8*Q1+X+N*X1
    0x00cf4664 J      C A   04800 LET Y=8*Q2+Y+N*X2
    0x00cf479c J      C A   04810 LET Q1=INT(X/8)
    0x00cf48d8 J      C A   04820 LET Q2=INT(Y/8)
    0x00cf4a58 J      C A   04830 LET S1=INT(X-Q1*8)
    0x00cf4bcc J      C A   04840 LET S2=INT(Y-Q2*8)
    0x00cf4ce0 J      C A   04850 LET X5=0
    0x00cf4dac J      C A   04860 IF S1<>0 GOTO 4900
    0x00cf4ed4 J      C A   04870 LET Q1=Q1-1
    0x00cf4f98 J      C A   04880 LET S1=8
    0x00cf5068 J      C A   04890 LET X5=0
    0x00cf5134 J      C A T 04900 IF S2<>0 GOTO 4940
    0x00cf525c J      C A   04910 LET Q2=Q2-1
    0x00cf5320 J      C A   04920 LET S2=8
    0x00cf53f0 J      C A   04930 LET X5=0
    0x00cf54bc J      C A T 04940 IF Q1>=1 GOTO 4980
    0x00cf559c J      C A   04950 LET X5=1
    0x00cf5660 J      C A   04960 LET Q1=1
    0x00cf5730 J      C A   04970 LET S1=1
    0x00cf57fc J      C A T 04980 IF Q1<=8 GOTO 5020
    0x00cf58dc J      C A   04990 LET X5=1
    0x00cf59a0 J      C A   05000 LET Q1=8
    0x00cf5a70 J      C A   05010 LET S1=8
    0x00cf5b3c J      C A T 05020 IF Q2>=1 GOTO 5060
    0x00cf5c1c J      C A   05030 LET X5=1
    0x00cf5ce0 J      C A   05040 LET Q2=1
    0x00cf5db0 J      C A   05050 LET S2=1
    0x00cf5e7c J      C A T 05060 IF Q2<=8 GOTO 5100
    0x00cf5f5c J      C A   05070 LET X5=1
    0x00cf6020 J      C A   05080 LET Q2=8
    0x00cf60ec J      C A   05090 LET S2=8
    0x00cf61b8 J      C A T 05100 IF X5=0 GOTO 5170
    0x00cf6310 J      C A   05110 PRINT "LT. UHURA REPORTS MESSAGE FROM STARFLEET COMMAND:"
    0x00cf6420 J      C A   05120 PRINT "  'PERMISSION TO ATTEMPT CROSSING OF GALACTIC PERIMETER"
    0x00cf652c J      C A   05130 PRINT "   IS HEREBY *DENIED*.  SHUT DOWN YOUR ENGINES.'"
    0x00cf6638 J      C A   05140 PRINT "CHIEF ENGINEER SCOTT REPORTS 'WARP ENGINES SHUT DOWN"
    0x00cf69f0 J      C A   05150 PRINT "   AT SECTOR "S1","S2" OF QUADRANT "Q1","Q2".'"
    0x00cf6acc J      C A   05160 IF T>T0+T9 GOTO 7820
    0x00cf6d10 J      C A T 05170 IF 8*Q1+Q2=8*Q4+Q5 GOTO 4640
    0x00cf6e38 J      C A   05180 LET T=T+1
    0x00cf6e74 J      C A   05190 GOSUB 5250
    0x00cf6ea8 J      C A   05200 GOTO 2450
    0x00cf6ed8         B    05210 REM
    0x00cf6f94         B    05220 REM ===============================================================
    0x00cf6fd4         B    05230 REM
    0x00cf7040         B    05240 REM MANEUVER ENERGY S/R ***
    0x00cf71a8         B  G 05250 LET E=E-N-10
    0x00cf7274         B    05260 IF E>=0 GOTO 5320
    0x00cf73a4         B    05270 PRINT "SHIELD CONTROL SUPPLIED ENERGY TO COMPLETE THE MANEUVER."
    0x00cf7478         B    05280 LET S=S+E
    0x00cf7544         B    05290 LET E=0
    0x00cf7610         B    05300 IF S>0 GOTO 5320
    0x00cf76f0         B    05310 LET S=0
    0x00cf7718         B  T 05320 RETURN
    0x00cf7754 J      C A   05330 REM
    0x00cf7810 J      C A   05340 REM ===============================================================
    0x00cf7850 J      C A   05350 REM
    0x00cf78c0 J      C A   05360 REM L.R. SENSOR SCAN CODE ***
    0x00cf7a08 J      C A T 05370 IF D(3)>=0 GOTO 5400
    0x00cf7b08 J      C A   05380 PRINT "LONG RANGE SENSORS ARE INOPERABLE"
    0x00cf7b74 J      C A   05390 GOTO 3150
    0x00cf7d44 J      C A T 05400 PRINT "LONG RANGE SENSOR SCAN FOR QUADRANT"Q1","Q2
    0x00cf7e6c J      C A   05410 LET O1$="..................."
    0x00cf7edc J      C A   05420 PRINT O1$
    0x00cf809c J      C A   05430 FOR I=Q1-1 TO Q1+1
    0x00cf80e0 J      C A   05440     REM    DIM N(3)
    0x00cf8264 J      C A   05450     FOR I1=1 TO 3
    0x00cf835c J      C A   05460 	LET N(I1)=0
    0x00cf83ac J      C A   05470     NEXT I1
    0x00cf8580 J      C A   05480     FOR J=Q2-1 TO Q2+1
    0x00cf8654 J      C A   05490 	IF I<1 GOTO 5570
    0x00cf8744 J      C A   05500 	IF I>8 GOTO 5570
    0x00cf8834 J      C A   05510 	IF J<1 GOTO 5550
    0x00cf8924 J      C A   05520 	IF J>8 GOTO 5550
    0x00cf8b1c J      C A   05530 	LET N(J-Q2+2)=G(I,J)
    0x00cf8c48 J      C A   05540 	LET Z(I,J)=G(I,J)
    0x00cf8c98 J      C A T 05550     NEXTJ
    0x00cf8cf4 J      C A   05560     REM   DIM P1$(20)
    0x00cf8e5c J      C A T 05570     LET P1$=": ### : ### : ### :"
    0x00cf9084 J      C A   05580     PRINT USING P1$,N(1),N(2),N(3)
    0x00cf90ec J      C A   05590     PRINT O1$
    0x00cf9140 J      C A   05600 NEXT I
    0x00cf9188 J      C A   05610 GOTO 3150
    0x00cf91b8 J      C A   05620 REM
    0x00cf9274 J      C A   05630 REM ===============================================================
    0x00cf92b4 J      C A   05640 REM
    0x00cf9338 J      C A   05650 REM *** PHASER CONTROL CODE BEGINS HERE
    0x00cf941c J      C A T 05660 IF K3>0 GOTO 5700
    0x00cf9558 J      C A   05670 PRINT "SCIENCE OFFICER SPOCK REPORTS 'SENSOR SHOW"
    0x00cf9624 J      C A   05680 PRINT "  NO ENEMY SHIPS IN THIS QUADRANT.'"
    0x00cf9670 J      C A   05690 GOTO 3150
    0x00cf9798 J      C A T 05700 IF D(4)>=0 GOTO 5730
    0x00cf9880 J      C A   05710 PRINT "PHASERS INOPERATIVE"
    0x00cf98cc J      C A   05720 GOTO 3150
    0x00cf99f4 J      C A T 05730 IF D(8)>=0 GOTO 5750
    0x00cf9b10 J      C A   05740 PRINT "COMPUTER FAILURE HAMPERS ACCURACY"
    0x00cf9be8 J      C A T 05750 PRINT "PHASERS LOCKED ON TARGET;  "
    0x00cf9cf8 J      C A T 05760 PRINT "ENERGY AVAILABLE ="E
    0x00cf9dcc J      C A   05770 PRINT "NUMBER OF UNITS TO FIRE:";
    0x00cf9e3c J      C A   05780 INPUT X
    0x00cf9f0c J      C A   05790 IF X<=0 GOTO 3150
    0x00cfa044 J      C A   05800 IF E-X<0 GOTO 5760
    0x00cfa134 J      C A   05810 LET E=E-X
    0x00cfa17c J      C A   05820 GOSUB 7600
    0x00cfa2a4 J      C A   05830 IF D(7)>=0 GOTO 5850
    0x00cfa400 J      C A   05840 LET X=X*RND(1)
    0x00cfa540 J      C A T 05850 LET H1=INT(X/K3)
    0x00cfa678 J      C A   05860 FOR I=1 TO 3
    0x00cfa7d4 J      C A   05870     IF K(I,3)<=0 GOTO 6070
    0x00cfab14 J      C A   05880     LET H=INT((H1/FND(0))*(RND(1)*2))
    0x00cfacac J      C A   05890     IF H>.15*K(I,3) GOTO 5930
    0x00cfadc4 J      C A   05900     PRINT "SENSORS SHOW NO DAMAGE"
    0x00cfb088 J      C A   05910     PRINT "    TO ENEMY AT "K(I,1)","K(I,2)
    0x00cfb0d8 J      C A   05920     GOTO 6070
    0x00cfb2e8 J      C A T 05930     LET K(I,3)=K(I,3)-H
    0x00cfb604 J      C A   05940     PRINT H" UNIT HIT ON KLINGON AT SECTOR "K(I,1)","K(I,2)
    0x00cfb75c J      C A   05950     IF K(I,3)<=0 GOTO 5980
    0x00cfb9ac J      C A   05960     PRINT "   (SENSORS SHOW"K(I,3)" UNITS REMAINING)"
    0x00cfba0c J      C A   05970     GOTO 6070
    0x00cfbad0 J      C A T 05980     PRINT " *** KLINGON DESTROYED ***"
    0x00cfbbe4 J      C A   05990     LET K3=K3-1
    0x00cfbcf0 J      C A   06000     LET K9=K9-1
    0x00cfbdc8 J      C A   06010     A$="   "
    0x00cfbee4 J      C A   06020     LET Z1=K(I,1)
    0x00cfc000 J      C A   06030     LET Z2=K(I,2)
    0x00cfc054 J      C A   06040     GOSUB 10540
    0x00cfc2bc J      C A   06050     LET G(Q1,Q2)=K3*100+B3*10+S3
    0x00cfc388 J      C A   06060     IF K9<=0 GOTO 7970
    0x00cfc3f4 J      C A T 06070 NEXT I
    0x00cfc43c J      C A   06080 GOTO 3150
    0x00cfc46c J      C A   06090 REM
    0x00cfc528 J      C A   06100 REM ===============================================================
    0x00cfc568 J      C A   06110 REM
    0x00cfc5e4 J      C A   06120 REM PHOTON TORPEDO CODE BEGINS ***
    0x00cfd730 J      C A T 06130 IF D(5)>=0 GOTO 6160
    0x00cfd830 J      C A   06140 PRINT "PHOTON TUBES ARE NOT OPERATIONAL "
    0x00cfd878 J      C A   06150 GOTO 3150
    0x00cfd940 J      C A T 06160 IF P>0 GOTO 6190
    0x00cfda38 J      C A   06170 PRINT "ALL PHOTON TORPEDOES EXPENDED"
    0x00cfda8c J      C A   06180 GOTO 3150
    0x00cfdb54 J      C A T 06190 PRINT "TORPEDO COURSE (1-9)";
    0x00cfdbc8 J      C A   06200 INPUT C1
    0x00cfdc98 J      C A   06210 IF C1>=1 GOTO 6240
    0x00cfddc0 J      C A T 06220 PRINT " ENSIGN CHEKOV REPORTS, 'INCORRECT COURSE DATA, SIR!'"
    0x00cfde08 J      C A   06230 GOTO 3150
    0x00cfded0 J      C A T 06240 IF C1>9 GOTO 6220
    0x00cfdfc0 J      C A   06250 IF C1<9 GOTO 6280
    0x00cfe0b4 J      C A   06260 IF C1>=9 GOTO 6190
    0x00cfe1a4 J      C A   06270 LET C1=1
    0x00cfe344 J      C A T 06280 LET X1=-SIN((C1-1)*P1)
    0x00cfe4e8 J      C A   06290 LET X2= COS((C1-1)*P1)
    0x00cfe610 J      C A   06300 IF ABS(X1)<ABS(X2) THEN 6350
    0x00cfe7a8 J      C A   06310 M9=ABS(1/X1)
    0x00cfe8a0 J      C A   06320 X1=SGN(X1)
    0x00cfe970 J      C A   06330 X2=X2*M9
    0x00cfe9b0 J      C A   06340 GOTO 6380
    0x00cfeae0 J      C A T 06350 M9=ABS(1/X2)
    0x00cfeb94 J      C A   06360 X2=SGN(X2)
    0x00cfec64 J      C A   06370 X1=X1*M9
    0x00cfed6c J      C A T 06380 LET E=E-2
    0x00cfedf8 J      C A   06390 LET X=S1
    0x00cfee84 J      C A   06400 LET Y=S2
    0x00cfef9c J      C A   06410 LET P=P-1
    0x00cff054 J      C A   06420 PRINT "TORPEDO TRACK:"
    0x00cff12c J      C A T 06430 LET X=X+X1
    0x00cff204 J      C A   06440 LET Y=Y+X2
    0x00cff380 J      C A   06450 LET X9=INT(X+.5)
    0x00cff4fc J      C A   06460 LET Y9=INT(Y+.5)
    0x00cff5c8 J      C A   06470 IF X9<1 GOTO 7000
    0x00cff6bc J      C A   06480 IF X9>=9 GOTO 7000
    0x00cff7ac J      C A   06490 IF Y9<1 GOTO 7000
    0x00cff8a0 J      C A   06500 IF Y9>=9 GOTO 7000
    0x00cffa84 J      C A   06510 PRINT "               "X9","Y9
    0x00cffb58 J      C A   06520 LET A$="   "
    0x00cffbe4 J      C A   06530 LET Z1=X9
    0x00cffc74 J      C A   06540 LET Z2=Y9
    0x00cffcbc J      C A   06550 GOSUB 10830
    0x00cffdc8 J      C A   06560 IF Z3<>0 GOTO 6430
    0x00cffeb8 J      C A   06570 LET A$="+++"
    0x00cfff44 J      C A   06580 LET Z1=X9
    0x00cfffd4 J      C A   06590 LET Z2=Y9
    0x00ced114 J      C A   06600 GOSUB 10830
    0x00ced1dc J      C A   06610 IF Z3=0 GOTO 6720
    0x00ced2d0 J      C A   06620 PRINT "*** KLINGON DESTROYED ***"
    0x00ced3e0 J      C A   06630 LET K3=K3-1
    0x00ced4f4 J      C A   06640 LET K9=K9-1
    0x00ced5c0 J      C A   06650 IF K9<=0 GOTO 7970
    0x00ced718 J      C A   06660 FOR I=1 TO 3
    0x00ced83c J      C A   06670     IF X9<>K(I,1) GOTO 6690
    0x00d00098 J      C A   06680     IF Y9=K(I,2) GOTO 6700
    0x00d000f8 J      C A T 06690 NEXT I
    0x00d00258 J      C A T 06700 LET K(I,3)=0
    0x00d00298 J      C A   06710 GOTO 6940
    0x00d00364 J      C A T 06720 LET A$=" * "
    0x00d003f0 J      C A   06730 LET Z1=X9
    0x00d00480 J      C A   06740 LET Z2=Y9
    0x00d004c4 J      C A   06750 GOSUB 10830
    0x00d0058c J      C A   06760 IF Z3=0 GOTO 6790
    0x00d0080c J      C A   06770 PRINT "STAR AT"X9;","Y9;" ABSORBED TORPEDO ENERGY."
    0x00d00850 J      C A   06780 GOTO 7010
    0x00d0091c J      C A T 06790 LET A$=">!<"
    0x00d009a8 J      C A   06800 LET Z1=X9
    0x00d00a38 J      C A   06810 LET Z2=Y9
    0x00d00a7c J      C A   06820 GOSUB 10830
    0x00d00b44 J      C A   06830 IF Z3=0 GOTO 6190
    0x00d00c40 J      C A   06840 PRINT "*** STARBASE DESTROYED ***"
    0x00d00d50 J      C A   06850 LET B3=B3-1
    0x00d00e60 J      C A   06860 LET B9=B9-1
    0x00d00f2c J      C A   06870 IF B9>0 GOTO 6910
    0x00d010a4 J      C A   06880 PRINT "THAT DOES IT, CAPTAIN!!  YOU ARE HEREBY RELIEVED OF COMMAND"
    0x00d0118c J      C A   06890 PRINT "   AND SENTENCED TO 99 STARDATES AT HARD LABOUR IN CYGNUS 12!!"
    0x00d01200 J      C A   06900 GOTO 7870
    0x00d012e4 J      C A T 06910 PRINT "STARFLEET COMMAND REVIEWING YOUR RECORD TO CONSIDER"
    0x00d0139c J      C A   06920 PRINT "   COURT MARTIAL!"
    0x00d01468 J      C A   06930 LET D0=0
    0x00d01538 J      C A T 06940 LET A$="   "
    0x00d015c4 J      C A   06950 LET Z1=X9
    0x00d01654 J      C A   06960 LET Z2=Y9
    0x00d016a4 J      C A   06970 GOSUB 10540
    0x00d018fc J      C A   06980 LET G(Q1,Q2)=K3*100+B3*10+S3
    0x00d01948 J      C A   06990 GOTO 7010
    0x00d019fc J      C A T 07000 PRINT "TORPEDO MISSED"
    0x00d01a3c J      C A T 07010 GOSUB 7600
    0x00d01a70 J      C A   07020 GOTO 3150
    0x00d01aa0 J      C A   07030 REM
    0x00d01b5c J      C A   07040 REM ===============================================================
    0x00d01b9c J      C A   07050 REM
    0x00d01c18 J      C A   07060 REM *** SHIELD CONTROL STARTS HERE
    0x00d01d60 J      C A T 07070 IF D(7)>=0 GOTO 7100
    0x00d01e50 J      C A   07080 PRINT "SHIELD CONTROL INOPERABLE"
    0x00d01ec4 J      C A   07090 GOTO 3150
    0x00d020dc J      C A T 07100 PRINT "ENERGY AVAILABLE ="E+5". NUMBER OF UNITS TO SHIELDS:";
    0x00d0214c J      C A   07110 INPUT X
    0x00d0221c J      C A   07120 IF X>=0 GOTO 7160
    0x00d022d4 J      C A   07130 IF S<>X GOTO 7160
    0x00d023bc J      C A   07140 PRINT "(SHIELDS UNCHANGED)"
    0x00d02408 J      C A   07150 GOTO 3150
    0x00d02558 J      C A T 07160 IF E+S-X<0 GOTO 7100
    0x00d0268c J      C A   07170 LET E=E+S-X
    0x00d02738 J      C A   07180 LET S=X
    0x00d02824 J      C A   07190 PRINT "DEFLECTOR CONTROL ROOM REPORT:"
    0x00d029ac J      C A   07200 PRINT "  'SHIELDS NOW AT "S" PER YOUR COMMAND'"
    0x00d029e8 J      C A   07210 GOTO 3150
    0x00d02a18 J      C A   07220 REM
    0x00d02ad4 J      C A   07230 REM ===============================================================
    0x00d02b14 J      C A   07240 REM
    0x00d02b90 J      C A   07250 REM *** DAMAGE CONTROL STARTS HERE
    0x00d02cd8 J      C A T 07260 IF D(6)>=0 GOTO 7480
    0x00d02de8 J      C A   07270 PRINT "DAMAGE CONTROL REPORT NOT AVAILABLE"
    0x00d02eb8 J      C A T 07280 IF D0=0 GOTO 3150
    0x00d02fe0 J      C A   07290 LET D3=0
    0x00d03114 J      C A   07300 FOR I=1 TO 8
    0x00d03210 J      C A   07310     IF D(I)>=0 GOTO 7330
    0x00d0333c J      C A   07320     LET D3=D3+.1
    0x00d0338c J      C A T 07330 NEXT I
    0x00d03470 J      C A   07340 IF D3=0 GOTO 3150
    0x00d03568 J      C A   07350 LET D3=D3+D4
    0x00d03634 J      C A   07360 IF D3<1 GOTO 7380
    0x00d0374c J      C A   07370 LET D3=.9
    0x00d03844 J      C A T 07380 PRINT "TECHNICIANS STANDING BY TO EFFECT REPAIRS TO YOUR SHIP:"
    0x00d03930 J      C A   07390 PRINT "ESTIMATED TIME TO REPAIR: ";
    0x00d03a38 J      C A   07400 PRINT USING ".# STARDATES",D3
    0x00d03b20 J      C A   07410 PRINT "WILL YOU AUTHORIZE THE REPAIR ORDER (YES/NO)";
    0x00d03b98 J      C A   07420 INPUT A$
    0x00d03c74 J      C A   07430 IF A$<>"YES" GOTO 3150
    0x00d03dc0 J      C A   07440 FOR I=1 TO 8
    0x00d03eb4 J      C A   07450     LET D(I)=0
    0x00d03f04 J      C A   07460 NEXT I
    0x00d04064 J      C A   07470 LET T=T+D3+.1
    0x00d04128 J      C A T 07480 PRINT " "
    0x00d041f0 J      C A   07490 PRINT "DEVICE        STATE OF REPAIR"
    0x00d04320 J      C A   07500 FOR R1=1 TO 8
    0x00d0437c J      C A   07510     GOSUB 10770
    0x00d04474 J      C A   07520     PRINT USING "  -##.##",D(R1)
    0x00d044c8 J      C A   07530 NEXT R1
    0x00d04580 J      C A   07540 PRINT " "
    0x00d045bc J      C A   07550 GOTO 7280
    0x00d045ec        C     07560 REM
    0x00d046a8        C     07570 REM ===============================================================
    0x00d046e8        C     07580 REM
    0x00d0476c        C     07590 REM "KLINGONS SHOOTING" CODE BEGINS ***
    0x00d04854        C   G 07600 IF K3<=0 GOTO 7810
    0x00d04944        C     07610 IF D0=0 GOTO 7640
    0x00d04a54        C     07620 PRINT "STAR BASE SHIELDS PROTECT THE ENTERPRISE"
    0x00d04a98        C     07630 GOTO 7810
    0x00d04bcc        C   T 07640 FOR I=1 TO 3
    0x00d04d28        C     07650     IF K(I,3)<=0 GOTO 7800
    0x00d050a0        C     07660     LET H=INT((K(I,3)/FND(0))*(2+RND(1)))
    0x00d051a8        C     07670     LET S=S-H
    0x00d054c0        C     07680     PRINT H" UNIT HIT ON ENTERPRISE FROM SECTOR"K(I,1)","K(I,2)
    0x00d05590        C     07690     IF S<0 GOTO 7840
    0x00d05758        C     07700     PRINT "      (SHIELDS DOWN TO"S" UNITS.)"
    0x00d05828        C     07710     IF H<20 GOTO 7800
    0x00d05984        C     07720     IF RND(1)>.6 GOTO 7800
    0x00d05ac0        C     07730     IF H/S<=.02 GOTO 7800
    0x00d05d34        C     07740     LET D2=H/S+.5*RND(1)
    0x00d05f50        C     07750     LET R1=INT(RND(1)*8+1)
    0x00d0608c        C     07760     LET D(R1)=D(R1)-D2
    0x00d06164        C     07770     PRINT "DAMAGE CONTROL REPORTS '";
    0x00d061bc        C     07780     GOSUB 10770
    0x00d06270        C     07790     PRINT " DAMAGED BY THE HIT!'"
    0x00d062c4        C   T 07800 NEXT I
    0x00d062fc        C   T 07810 RETURN
    0x00d06408 J      C A T 07820 PRINT "ITS IS STARDATE "T
    0x00d06448 J      C A   07830 GOTO 7870
    0x00d06530        C   T 07840 PRINT " "
    0x00d06630        C     07850 PRINT "THE ENTERPRISE HAS BEEN DESTROYED.  THE FEDERATION WILL BE CONQUERED."
    0x00d067d4 J      C A T 07860 PRINT "IT IS STARDATE "T"."
    0x00d06978 J      C A T 07870 PRINT "THERE WERE "K9" KLINGON BATTLE CRUISERS LEFT AT "
    0x00d06a38 J      C A   07880 PRINT "THE END OF YOUR MISSION."
    0x00d06ae4 J      C A T 07890 PRINT " "
    0x00d06bc4 J      C A   07900 PRINT " "
    0x00d06cd0 J      C A   07910 PRINT "THE FEDERATION IS IN NEED OF A NEW STARSHIP COMMANDER"
    0x00d06dcc J      C A   07920 PRINT "FOR A SIMILAR MISSION -- IF THERE IS A VOLUNTEER,"
    0x00d06e98 J      C A   07930 PRINT "LET HIM STEP FORWARD AND ENTER 'AYE'."
    0x00d06f0c J      C A   07940 INPUT A$
    0x00d06fe8 J      C A   07950 IF A$="AYE" GOTO 1260
    0x00d07080 J      C A   07960 GOTO 11090
    0x00d07188 J      C A T 07970 PRINT "CONGRATULATIONS, CAPTAIN!  THE LAST KLINGON BATTLE CRUISER"
    0x00d0725c J      C A   07980 PRINT "  MENACING THE FEDERATION HAS BEEN DESTROYED."
    0x00d07338 J      C A   07990 PRINT " "
    0x00d07610 J      C A   08000 PRINT "YOUR EFFICIENCY RATING IS "((K/(T-T0))*1000)"."
    0x00d0764c J      C A   08010 GOTO 7890
    0x00d0767c       D      08020 REM
    0x00d07738       D      08030 REM ===============================================================
    0x00d07778       D      08040 REM
    0x00d07800       D      08050 REM S.R. SENSOR SCAN & STARTUP SUBR. ***
    0x00d079d8       D    G 08060 FOR I=S1-1 TO S1+1
    0x00d07b9c       D      08070     FOR J=S2-1 TO S2+1
    0x00d07d14       D      08080 	IF INT(I+.5)<1 GOTO 8170
    0x00d07eb0       D      08090 	IF INT(I+.5)>8 GOTO 8170
    0x00d0804c       D      08100 	IF INT(J+.5)<1 GOTO 8170
    0x00d081e8       D      08110 	IF INT(J+.5)>8 GOTO 8170
    0x00d082d8       D      08120 	LET A$=">!<"
    0x00d08364       D      08130 	LET Z1=I
    0x00d083f4       D      08140 	LET Z2=J
    0x00d0843c       D      08150 	GOSUB 10830
    0x00d08504       D      08160 	IF Z3=1 GOTO 8210
    0x00d08574       D    T 08170     NEXT J
    0x00d085d4       D      08180 NEXT I
    0x00d086a8       D      08190 LET D0=0
    0x00d086e4       D      08200 GOTO 8280
    0x00d087ac       D    T 08210 LET D0=1
    0x00d088c8       D      08220 LET C$="DOCKED"
    0x00d0898c       D      08230 LET E=3000
    0x00d08a74       D      08240 LET P=10
    0x00d08b3c       D      08250 PRINT "SHIELDS DROPPED FOR DOCKING PURPOSES"
    0x00d08c04       D      08260 LET S=0
    0x00d08c48       D      08270 GOTO 8350
    0x00d08d10       D    T 08280 IF K3>0 GOTO 8320
    0x00d08e48       D      08290 IF E<E0*.1 GOTO 8340
    0x00d08f40       D      08300 LET C$=" GREEN"
    0x00d08f94       D      08310 GOTO 8350
    0x00d09230       D    T 08320 C$=" "+CHR$(7)+"*RED*"+CHR$(7)
    0x00d09274       D      08330 GOTO 8350
    0x00d09350       D    T 08340 LET C$="YELLOW"
    0x00d0947c       D    T 08350 IF D(2)>=0 GOTO 8400
    0x00d09564       D      08360 PRINT " "
    0x00d09630       D      08370 PRINT "*** SHORT RANGE SENSORS ARE OUT ***"
    0x00d096dc       D      08380 PRINT " "
    0x00d09740       D      08390 GOTO 8890
    0x00d09828       D    T 08400 LET O1$="--------------------------------"
    0x00d09894       D      08410 PRINT O1$
    0x00d099b0       D      08420 LET N5$="####"
    0x00d09a78       D      08430 PRINT " ";
    0x00d09c14       D      08440 FOR I=1 TO 22 STEP 3
    0x00d09e24       D      08450     PRINT MID$(Q$(1),I,3)" ";
    0x00d09e78       D      08460 NEXT I
    0x00d09f34       D      08470 PRINT " "
    0x00d0a000       D      08480 PRINT " ";
    0x00d0a19c       D      08490 FOR I=1 TO 22 STEP 3
    0x00d0a3ac       D      08500     PRINT MID$(Q$(2),I,3)" ";
    0x00d0a400       D      08510 NEXT I
    0x00d0a50c       D      08520 PRINT "        STARDATE         ";
    0x00d0a5e8       D      08530 PRINT USING "####.#",T
    0x00d0a6b4       D      08540 PRINT " ";
    0x00d0a850       D      08550 FOR I=1 TO 22 STEP 3
    0x00d0aa60       D      08560     PRINT MID$(Q$(3),I,3)" ";
    0x00d0aab4       D      08570 NEXT I
    0x00d0abb0       D      08580 PRINT "        CONDITION        ";
    0x00d0ac1c       D      08590 PRINT C$
    0x00d0ace8       D      08600 PRINT " ";
    0x00d0ae84       D      08610 FOR I=1 TO 22 STEP 3
    0x00d0b094       D      08620     PRINT MID$(Q$(4),I,3)" ";
    0x00d0b0e8       D      08630 NEXT I
    0x00d0b2d0       D      08640 PRINT "        QUADRANT         "Q1","Q2
    0x00d0b39c       D      08650 PRINT " ";
    0x00d0b538       D      08660 FOR I=1 TO 22 STEP 3
    0x00d0b748       D      08670     PRINT MID$(Q$(5),I,3)" ";
    0x00d0b79c       D      08680 NEXT I
    0x00d0b984       D      08690 PRINT "        SECTOR           "S1","S2
    0x00d0ba50       D      08700 PRINT " ";
    0x00d0bbec       D      08710 FOR I=1 TO 22 STEP 3
    0x00d0bdfc       D      08720     PRINT MID$(Q$(6),I,3)" ";
    0x00d0be50       D      08730 NEXT I
    0x00d0bf58       D      08740 PRINT "        TOTAL ENERGY     ";
    0x00d0c038       D      08750 PRINT USING N5$,E+S
    0x00d0c104       D      08760 PRINT " ";
    0x00d0c2a0       D      08770 FOR I=1 TO 22 STEP 3
    0x00d0c4b0       D      08780     PRINT MID$(Q$(7),I,3)" ";
    0x00d0c504       D      08790 NEXT I
    0x00d0c608       D      08800 PRINT "        PHOTON TORPEDOES ";
    0x00d0c69c       D      08810 PRINT USING N5$,P
    0x00d0c768       D      08820 PRINT " ";
    0x00d0c904       D      08830 FOR I=1 TO 22 STEP 3
    0x00d0cb14       D      08840     PRINT MID$(Q$(8),I,3)" ";
    0x00d0cb68       D      08850 NEXT I
    0x00d0cc6c       D      08860 PRINT "        SHIELDS          ";
    0x00d0ccfc       D      08870 PRINT USING N5$,S
    0x00d0cd64       D      08880 PRINT O1$
    0x00d0cd90       D    T 08890 RETURN
    0x00d0cdcc J      C A   08900 REM
    0x00d0ce88 J      C A   08910 REM ===============================================================
    0x00d0cec8 J      C A   08920 REM
    0x00d0cf50 J      C A   08930 REM *** LIBARY COMPUTER CODE BEGINS HERE
    0x00d0d098 J      C A T 08940 IF D(8)>=0 GOTO 8970
    0x00d0d178 J      C A   08950 PRINT "COMPUTER DISABLED"
    0x00d0d1e0 J      C A   08960 GOTO 3150
    0x00d0d2b8 J      C A T 08970 PRINT "COMPUTER ACTIVE AND AWAITING COMMAND:";
    0x00d0d36c J      C A   08980 INPUT A
    0x00d0d43c J      C A   08990 IF A<0 GOTO 3150
    0x00d0d490 J      C A   09000 PRINT
    0x00d0d5a4 J      C A   09010 LET H8=1
    0x00d0d670 J      C A   09020 IF A=0 GOTO 9260
    0x00d0d760 J      C A   09030 IF A>5 GOTO 9140
    0x00d0d7ac J      C A   09040 REM
    0x00d0d868 J      C A   09050 REM ===============================================================
    0x00d0d8a8 J      C A   09060 REM
    0x00d0db24 J      C A   09070 ON A GOTO 9680, 9880, 10310, 9960, 9090
    0x00d0db64 J      C A   09080 REM  GOTO 9150
    0x00d0dbfc J      C A T 09090 REM *** SETUP TO CHANGE C.G. RECORD TO GALAXY MAP
    0x00d0dcd0 J      C A   09100 LET H8=0
    0x00d0ddb4 J      C A   09110 LET G5=1
    0x00d0de78 J      C A   09120 PRINT "                      THE GALAXY"
    0x00d0dee0 J      C A   09130 GOTO 9270
    0x00d0dfc8 J      C A T 09140 PRINT "FUNCTIONS AVAILABLE FROM LIBARY-COMPUTER:"
    0x00d0e0a4 J      C A   09150 PRINT "   0 = CUMULATIVE GALACTIC RECORD"
    0x00d0e17c J      C A   09160 PRINT "   1 = STATUS REPORT"
    0x00d0e260 J      C A   09170 PRINT "   2 = PHOTON TORPEDO DATA"
    0x00d0e34c J      C A   09180 PRINT "   3 = STARBASE NAVIGATION DATA"
    0x00d0e438 J      C A   09190 PRINT "   4 = DIRECTION/DISTANCE CALCULATOR"
    0x00d0e500 J      C A   09200 PRINT "   5 = GALAXY 'REGION NAME' MAP"
    0x00d0e53c J      C A   09210 GOTO 8970
    0x00d0e56c J      C A   09220 REM
    0x00d0e628 J      C A   09230 REM ===============================================================
    0x00d0e668 J      C A   09240 REM
    0x00d0e6f4 J      C A   09250 REM *** CUM GALACTIC RECORD CODE BEGINS ***
    0x00d0e9a8 J      C A T 09260 PRINT "COMPUTER RECORD OF GALAXY FOR QUADRANT "Q1","Q2":"
    0x00d0eab4 J      C A T 09270 PRINT "      1     2     3     4     5     6     7     8"
    0x00d0ebfc J      C A   09280 LET O3$="    ----- ----- ----- ----- ----- ----- ----- -----"
    0x00d0ec74 J      C A   09290 PRINT O3$
    0x00d0ecc4 J      C A   09300 REM   DIM N1$(2),N2$(8),N$(5)
    0x00d0ee04 J      C A   09310 FOR I=1 TO 8
    0x00d0ef30 J      C A   09320     LET N1$="##"
    0x00d0efdc J      C A   09330     PRINT USING N1$,I;
    0x00d0f144 J      C A   09340     PRINT TAB(3);"|";
    0x00d0f214 J      C A   09350     IF H8=0 GOTO 9470
    0x00d0f364 J      C A   09360     FOR J=1 TO 8
    0x00d0f488 J      C A   09370 	LET N2$=" ### |"
    0x00d0f5a8 J      C A   09380 	LET N$=""
    0x00d0f63c J      C A   09390 	IF I<>Q1 GOTO 9430
    0x00d0f6f8 J      C A   09400 	IF J<>Q2 GOTO 9430
    0x00d0f80c J      C A   09410 	LET N$=CHR$(7)
    0x00d0f894 J      C A   09420 	PRINT N$;
    0x00d0f98c J      C A T 09430 	PRINT USING N2$,Z(I,J);
    0x00d0fa0c J      C A   09440 	PRINT N$;
    0x00d0fa60 J      C A   09450     NEXT J
    0x00d0fab4 J      C A   09460     GOTO 9600
    0x00d0fb40 J      C A T 09470     LET Z4=I
    0x00d0fc0c J      C A   09480     LET Z5=1
    0x00d0fc60 J      C A   09490     GOSUB 10950
    0x00d0fe80 J      C A   09500     LET J0=INT(15-.5*LEN(G2$))
    0x00d0ff28 J      C A   09510     PRINT  TAB(J0);
    0x00d0ffb4 J      C A   09520     PRINT G2$;
    0x00d10114 J      C A   09530     PRINT TAB(27);"|";
    0x00d101e4 J      C A   09540     LET Z5=5
    0x00d10238 J      C A   09550     GOSUB 10950
    0x00d10414 J      C A   09560     LET J0=INT(39-.5*LEN(G2$))
    0x00d104bc J      C A   09570     PRINT  TAB(J0);
    0x00d10548 J      C A   09580     PRINT G2$;
    0x00d106a4 J      C A   09590     PRINT TAB(51);"|";
    0x00d106e8 J      C A T 09600     PRINT
    0x00d10750 J      C A   09610     PRINT O3$
    0x00d107a4 J      C A   09620 NEXT I
    0x00d107ec J      C A   09630 GOTO 3150
    0x00d1081c J      C A   09640 REM
    0x00d108d8 J      C A   09650 REM ===============================================================
    0x00d10918 J      C A   09660 REM
    0x00d109a4 J      C A   09670 REM *** STATUS REPORT CODE BEGINS HERE ***
    0x00d10a78 J      C A T 09680 PRINT "   STATUS REPORT:"
    0x00d10b54 J      C A   09690 LET X$=""
    0x00d10c20 J      C A   09700 IF K9=1 GOTO 9720
    0x00d10d24 J      C A   09710 LET X$="S"
    0x00d10ed0 J      C A T 09720 PRINT K9" KLINGON"X$" LEFT"
    0x00d1107c J      C A   09730 LET V5=(T0+T9)-T
    0x00d11174 J      C A   09740 PRINT USING "MISSION MUST BE COMPLETED IN ##.# STARDATES",V5
    0x00d11250 J      C A   09750 LET X$=""
    0x00d1131c J      C A   09760 IF B9=1 GOTO 9820
    0x00d11418 J      C A   09770 LET X$="S"
    0x00d114e4 J      C A   09780 IF B9<>0 GOTO 9820
    0x00d11628 J      C A   09790 PRINT "YOUR STUPIDITY HAS LEFT YOU ON YOUR OWN IN"
    0x00d116fc J      C A   09800 PRINT "  THE GALAXY -- YOU HAVE NO STARBASES LEFT!"
    0x00d11778 J      C A   09810 GOTO 7260
    0x00d119bc J      C A T 09820 PRINT "THE FEDERATION IS MAINTAINING"B9" STARBASE"X$" IN THE GALAXY"
    0x00d119f8 J      C A   09830 GOTO 7260
    0x00d11a28 J      C A   09840 REM
    0x00d11ae4 J      C A   09850 REM ===============================================================
    0x00d11b24 J      C A   09860 REM
    0x00d11bc8 J      C A   09870 REM CODE FOR TORPEDO DATA, BASE NAV, D/D CALCULATOR ***
    0x00d11ca0 J      C A T 09880 LET H8=0
    0x00d11dd8 J      C A   09890 FOR I=1 TO 3
    0x00d11f34 J      C A   09900     IF K(I,3)<=0 GOTO 10290
    0x00d12074 J      C A   09910     LET W1=K(I,1)
    0x00d1218c J      C A   09920     LET X=K(I,2)
    0x00d1221c J      C A T 09930     LET C1=S1
    0x00d122ac J      C A   09940     LET A=S2
    0x00d1230c J      C A   09950     GOTO10030
    0x00d12404 J      C A T 09960     PRINT "DIRECTION/DISTANCE CALCULATOR:"
    0x00d127cc J      C A   09970     PRINT "YOU ARE AT QUADRANT ("Q1","Q2") SECTOR ("S1","S2")"
    0x00d128a4 J      C A   09980     PRINT "PLEASE ENTER --"
    0x00d12984 J      C A   09990     PRINT "  INITIAL COORDINATES (X,Y)";
    0x00d12a34 J      C A   10000     INPUT C1,A
    0x00d12b10 J      C A   10010     PRINT "  FINAL COORDINATES (X,Y)";
    0x00d12ba4 J      C A   10020     INPUT W1,X
    0x00d12c80 J      C A T 10030     LET X=X-A
    0x00d12d5c J      C A   10040     LET A=C1-W1
    0x00d12e28 J      C A   10050     IF X<0 GOTO 10160
    0x00d12f1c J      C A   10060     IF A<0 GOTO 10220
    0x00d13010 J      C A   10070     IF X>0 GOTO 10090
    0x00d13104 J      C A   10080     IF A=0 GOTO 10180
    0x00d13200 J      C A T 10090     LET C1=1
    0x00d132e4 J      C A T 10100     IF ABS(A)<=ABS(X) GOTO 10140
    0x00d135c8 J      C A   10110     LET V5=C1+(((ABS(A)-ABS(X))+ABS(A))/ABS(A))
    0x00d136bc J      C A   10120     PRINT "DIRECTION ="V5
    0x00d1371c J      C A   10130     GOTO 10270
    0x00d13900 J      C A T 10140     PRINT "DIRECTION ="C1+(ABS(A)/ABS(X))
    0x00d1394c J      C A   10150     GOTO 10270
    0x00d13a14 J      C A T 10160     IF A>0 GOTO 10200
    0x00d13b08 J      C A   10170     IF X=0 GOTO 10220
    0x00d13bf4 J      C A T 10180     LET C1=5
    0x00d13c34 J      C A   10190     GOTO 10100
    0x00d13cfc J      C A T 10200     LET C1=3
    0x00d13d3c J      C A   10210     GOTO 10230
    0x00d13e14 J      C A T 10220     LET C1=7
    0x00d13ef8 J      C A T 10230     IF ABS(A)>=ABS(X) GOTO 10260
    0x00d14248 J      C A   10240     PRINT "DIRECTION ="C1+(((ABS(X)-ABS(A))+ABS(X))/ABS(X))
    0x00d142a8 J      C A   10250     GOTO 10270
    0x00d144a0 J      C A T 10260     PRINT "DIRECTION ="C1+(ABS(X)/ABS(A))
    0x00d14700 J      C A T 10270     PRINT "DISTANCE ="SQR(X^2+A^2)
    0x00d147d0 J      C A   10280     IF H8=1 GOTO 3150
    0x00d1483c J      C A T 10290 NEXT I
    0x00d14894 J      C A   10300 GOTO 3150
    0x00d1495c J      C A T 10310 IF B3<>0 GOTO 10340
    0x00d14a9c J      C A   10320 PRINT "MR. SPOCK REPORTS, 'SENSORS SHOW NO STARBASES IN THIS QUADRANT.'"
    0x00d14af8 J      C A   10330 GOTO 3150
    0x00d14bb4 J      C A T 10340 PRINT "FROM ENTERPRISE TO STARBASE:"
    0x00d14c44 J      C A   10350 LET W1=B4
    0x00d14cd0 J      C A   10360 LET X=B5
    0x00d14d28 J      C A   10370 GOTO 9930
    0x00d14d78      E       10380 REM *** END OF LIBRARY-COMPUTER CODE
    0x00d14db8      E       10390 REM
    0x00d14e74      E       10400 REM ===============================================================
    0x00d14eb4      E       10410 REM
    0x00d14f34      E       10420 REM S/R FINDS RANDOM HOLE IN QUADRANT
    0x00d15170      E     B 10430 LET R1=INT(RND(1)*8+1)
    0x00d15380      E       10440 LET R2=INT(RND(1)*8+1)
    0x00d15450      E       10450 LET A$="   "
    0x00d154dc      E       10460 LET Z1=R1
    0x00d1556c      E       10470 LET Z2=R2
    0x00d155b4      E       10480 GOSUB 10830
    0x00d1567c      E       10490 IF Z3=0 GOTO 10430
    0x00d156c0      E       10500 RETURN
    0x00d156fc     F        10510 REM
    0x00d157b8     F        10520 REM ===============================================================
    0x00d157f8     F        10530 REM
    0x00d15894     F      G 10540 REM *** INSERTION IN STRING ARRAY FOR QUADRANT ***
    0x00d159e4     F        10550 Z1 = INT(Z1+.5)
    0x00d15b20     F        10560 Z2 = INT(Z2+.5)
    0x00d15bec     F        10570 IF Z1<1 GOTO 10690
    0x00d15ce0     F        10580 IF Z1>8 GOTO 10690
    0x00d15dd4     F        10590 IF Z2<1 GOTO 10690
    0x00d15ec8     F        10600 IF Z2>8 GOTO 10690
    0x00d160cc     F        10610 DIM Q9(24), A9(3)
    0x00d161ac     F        10620 CHANGE Q$(Z1) TO Q9
    0x00d16288     F        10630 CHANGE A$ TO A9
    0x00d16428     F        10640 FOR I8 = 1 TO 3
    0x00d16664     F        10650     Q9(3*(Z2-1) + I8) = A9(I8)
    0x00d166b4     F        10660 NEXT I8
    0x00d16770     F        10670 CHANGE Q9 TO Q$(Z1)
    0x00d167c4     F        10680 GOTO 10730
    0x00d16828     F      T 10690 PRINT
    0x00d16a80     F        10700 PRINT "ERROR IN COORDINATES (Z1,Z2): (";Z1;",";Z2;")"
    0x00d16b3c     F        10710 PRINT "     1 <=  Z1,Z2  <=8    "
    0x00d16b7c     F        10720 PRINT
    0x00d16ba8     F      T 10730 RETURN
    0x00d16be4    G         10740 REM
    0x00d16ca0    G         10750 REM ===============================================================
    0x00d16ce0    G         10760 REM
    0x00d16d68    G       G 10770 REM *** PRINTS DEVICE NAME FROM ARRAY ***
    0x00d16e1c    G         10780 PRINT D$(R1);
    0x00d16e48    G         10790 RETURN
    0x00d16e84   H          10800 REM
    0x00d16f40   H          10810 REM ===============================================================
    0x00d16f80   H          10820 REM
    0x00d17014   H        G 10830 REM *** STRING COMPARISON IN QUADRANT ARRAY ***
    0x00d17164   H          10840 LET Z1=INT(Z1+.5)
    0x00d17294   H          10850 LET Z2=INT(Z2+.5)
    0x00d1737c   H          10860 LET Z3=0
    0x00d175fc   H          10870 IF MID$(Q$(Z1),(3*Z2-2),3) <> A$ GOTO 10890
    0x00d176dc   H          10880 Z3 = 1
    0x00d17704   H        T 10890 RETURN
    0x00d17740  I           10900 REM
    0x00d177fc  I           10910 REM ===============================================================
    0x00d1783c  I           10920 REM
    0x00d178e8  I           10930 REM ** S/R PRODUCES QUADRANT NAME IN G2$ FROM Z4,Z5(=Q1,Q2)
    0x00d1797c  I           10940 REM ** (CALL WITH G5=1 TO GET REGION NAME ONLY)
    0x00d17aa0  I         G 10950 LET L2=2
    0x00d17b6c  I           10960 IF Z5>=5 GOTO 10980
    0x00d17c58  I           10970 LET L2=1
    0x00d17e88  I         T 10980 LET L3=2*(Z4-1)+L2
    0x00d17f48  I           10990 LET G2$=G1$(L3)
    0x00d1801c  I           11000 IF G5=1 GOTO 11080
    0x00d180d0  I           11010 LET L3=Z5
    0x00d1819c  I           11020 IF Z5<=4 GOTO 11040
    0x00d182c8  I           11030 LET L3=Z5-4
    0x00d183e8  I         T 11040 LET G3$="IV"
    0x00d184b4  I           11050 IF L3=4 GOTO 11070
    0x00d18624  I           11060 LET G3$=MID$(G4$,1,L3)
    0x00d1877c  I         T 11070 G2$=G2$+" "+G3$
    0x00d187a4  I         T 11080 RETURN 
    0x00d187d4 J      C A T 11090 STOP
    0x00d18810              11100 
    0x00d18850 J          G 11110   
    0x00d18888 J            11120   REM Gosub target.
    0x00d18954 J            11130   REM This segment was originally from file STINST.BAS and was included with 
    0x00d189d8 J            11140   REM a CHAIN command./ASA Jul 27,2009
    0x00d18a18 J            11150 
    0x00d18a64 J            11160 PRINT
    0x00d18ab8 J            11170 REM INSTRUCTIONS FOR "STREK" GAME
    0x00d18b28 J            11180 REM VERSION "STINST2" 12/8/74
    0x00d18ca4 J            11190 FOR I=1 TO 9
    0x00d19070 J            11200     ON I GOTO 11400, 11520, 11700, 11800, 11880, 11940, 12120, 12020, 12070
    0x00d190d0 J          T 11210     PRINT
    0x00d191ac J            11220     PRINT "<TO CONTINUE, HIT 'RETURN'>";
    0x00d19214 J            11230     INPUT A$
    0x00d19254 J            11240     PRINT
    0x00d1b2ac J            11250 NEXT I
    0x00d1b410 J            11260 PRINT "1.  WHEN YOU SEE 'COMMAND ?' PRINTED, ENTER ONE OF THE LEGAL"
    0x00d1b530 J            11270 PRINT "      COMMANDS (NAV,SRS,LRS,PHA,TOR,SHE,DAM,COM, OR XXX)."
    0x00d1b644 J            11280 PRINT "2.  IF YOU SHOULD TYPE IN AN ILLEGAL COMMAND, YOU'LL GET A SHORT"
    0x00d1b758 J            11290 PRINT "      LIST OF THE LEGAL COMMANDS PRINTED OUT."
    0x00d1b880 J            11300 PRINT "3.  SOME COMMANDS REQUIRE YOU TO ENTER DATA.  (FOR EXAMPLE, THE"
    0x00d1b9a8 J            11310 PRINT "      'NAV' COMMAND COMES BACK WITH 'COURSE (1-9) ?'.)  IF YOU"
    0x00d1baa8 J            11320 PRINT "      TYPE IN ILLEGAL DATA (LIKE NEGATIVE NUMBERS), THAT COMMAND"
    0x00d1bb64 J            11330 PRINT "      WILL BE ABORTED."
    0x00d1bbc0 J            11340 PRINT
    0x00d1bc98 J            11350 PRINT "HIT <CAR RET> TO CONTINUE ";
    0x00d1bd14 J            11360 INPUT A$
    0x00d1bde4 J            11370 PRINT "PLEASE WAIT . . . ";
    0x00d1be30 J            11380 GOTO 1230
    0x00d1be70 J            11390 REM *** EXIT HERE ***
    0x00d1bedc J          T 11400 PRINT
    0x00d1bfa8 J            11410 PRINT "    INSTRUCTIONS FOR  ** STAR TREK **"
    0x00d1bfd4 J            11420 PRINT 
    0x00cfc760 J            11430 PRINT "THE GALAXY IS DIVIDED INTO AN 8 x 8 QUADRANT GRID,"
    0x00cfc844 J            11440 PRINT "AND EACH QUADRANT IS FURTHER DIVIDED INTO AN 8 X 8 SECTOR GRID." 
    0x00cfc8c4 J            11450 PRINT
    0x00cfc9ec J            11460 PRINT "   YOU WILL BE ASSIGNED A STARTING POINT SOMEWHERE IN THE GALAXY"
    0x00cfcb14 J            11470 PRINT "TO BEGIN A TOUR OF DUTY AS COMMANDER OF THE STARSHIP 'ENTERPRISE'"
    0x00cfcc30 J            11480 PRINT "YOUR MISSION: TO SEEK AND DESTROY THE FLEET OF KLINGON WARSHIPS"
    0x00cfcd08 J            11490 PRINT "WHICH ARE MENACING THE UNITED FEDERATION OF PLANETS."
    0x00cfcd4c J            11500 PRINT
    0x00cfcd88 J            11510 GOTO 11210
    0x00cfcdf4 J          T 11520 PRINT
    0x00cfcee8 J            11530 PRINT "YOU HAVE THE FOLLOWING COMMANDS AVAILABLE TO YOU AS"
    0x00cfcfd0 J            11540 PRINT "CAPTAIN OF THE STARSHIP:"
    0x00cfd0d4 J            11550 PRINT "'NAV' COMMAND = WARP ENGINE CONTROL --"
    0x00cfd1e4 J            11560 PRINT "  COURSE IS IN A CIRCULAR NUMERICAL         4  3  2"
    0x00cfd2f0 J            11570 PRINT "  VECTOR ARRANGEMENT AS SHOWN.               . . ."
    0x00cfd3fc J            11580 PRINT "  INTEGER AND REAL VALUES MAY BE              ..."
    0x00cfd508 J            11590 PRINT "  USED.  (THUS, COURSE 1.5 IS HALF-        5 ----- 1"
    0x00d1c000 J            11600 PRINT "  WAY BETWEEN 1 AND 2.)                       ..."
    0x00d1c110 J            11610 PRINT "                                             . . ."
    0x00d1c20c J            11620 PRINT "  VALUES MAY APPROACH 9.0, WHICH            6  7  8 "
    0x00d1c308 J            11630 PRINT "  ITSELF IS EQUIVALENT TO 1.0."
    0x00d1c404 J            11640 PRINT "                                            COURSE  "
    0x00d1c4ec J            11650 PRINT " ONE WARP FACTOR IS THE SIZE OF "
    0x00d1c5d8 J            11660 PRINT " ONE QUADRANT.  THEREFORE, TO GET"
    0x00d1c6c0 J            11670 PRINT " FROM QUADRANT 6,5 TO 5,5, YOU WOULD"
    0x00d1c770 J            11680 PRINT " USE COURSE 3, WARP FACTOR 1."
    0x00d1c7d8 J            11690 GOTO 11210
    0x00d1c8cc J          T 11700 PRINT "'SRS' COMMAND = SHORT RANGE SENSOR SCAN"
    0x00d1c9d0 J            11710 PRINT "  SHOWS YOU A SCAN OF YOUR PRESENT QUADRANT."
    0x00d1cac8 J            11720 PRINT "  SYMBOLOGY ON YOUR SENSOR SCREEN IS AS FOLLOWS:"
    0x00d1cbb0 J            11730 PRINT "		<*> = YOUR STARSHIP'S POSITION"
    0x00d1ccb0 J            11740 PRINT "		+++ = KLINGON BATTLE CRUISER"
    0x00d1cd9c J            11750 PRINT "		>!< = FEDERATION STARBASE (REFUEL/REPAIR/RE-ARM HERE!)"
    0x00d1ce84 J            11760 PRINT "		 *  = STAR"
    0x00d1cf5c J            11770 PRINT "  A CONDENSED 'STATUS REPORT' WILL ALSO BE PRESENTED."
    0x00d1cfa0 J            11780 PRINT
    0x00d1d008 J            11790 GOTO 11210
    0x00d1d108 J          T 11800 PRINT "'LRS' COMMAND = LONG RANGE SENSOR SCAN"
    0x00d1d220 J            11810 PRINT "  SHOWS CONDITIONS IN SPACE FOR ONE QUADRANT ON EACH SIDE"
    0x00d1d33c J            11820 PRINT "  OF THE ENTERPRISE (WHICH IS IN THE MIDDLE OF THE SCAN)"
    0x00d1d460 J            11830 PRINT "  THE SCAN IS CODED IN THE FORM '###', WHERE THE UNITS DIGIT"
    0x00d1d578 J            11840 PRINT "  IS THE NUMBER OF STARS, TENS DIGIT IS THE NUMBER OF STARBASES,"
    0x00d1d688 J            11850 PRINT "  AND HUNDREDS DIGIT IS THE NUMBER OF KLINGONS. "
    0x00d1d76c J            11860 PRINT "    EXAMPLE --   207 = 2 KLINGONS, ON STARBASES, 7 STARS."
    0x00d1d7cc J            11870 GOTO 11210
    0x00d1d8c4 J          T 11880 PRINT "'PHA' COMMAND = PHASER CONTROL"
    0x00d1d9d8 J            11890 PRINT "  ALLOWS YOU TO DESTROY THE KLINGON BATTLE CRUISERS BY"
    0x00d1daec J            11900 PRINT "  ZAPPING THEM WITH SUITABLY LARGE UNITS OF ENERGY TO"
    0x00d1dbdc J            11910 PRINT "  DEPLETE THEIR SHIELD POWER.  (REMEMBER, KLINGONS HAVE"
    0x00d1dc98 J            11920 PRINT "  PHASERS, TOO!)"
    0x00d1dd00 J            11930 GOTO 11210
    0x00d1de04 J          T 11940 PRINT "'TOR' COMMAND = PHOTON TORPEDO CONTROL"
    0x00d1df1c J            11950 PRINT "  TORPEDO COURSE IS THE SAME AS USED IN WARP ENGINE CONTROL."
    0x00d1e034 J            11960 PRINT "  IF YOU HIT THE KLINGON VESSEL, HE IS DESTROYED AND "
    0x00d1e12c J            11970 PRINT "  CANNOT FIRE BACK AT YOU.  IF YOU MISS, YOU ARE SUBJECT TO"
    0x00d1e220 J            11980 PRINT "  HIS PHASER FIRE."
    0x00d1e344 J            11990 PRINT "     NOTE: THE LIBRARY-COMPUTER ('COM' COMMAND) HAS AN"
    0x00d1e434 J            12000 PRINT "           OPTION TO COMPUTE TORPEDO TRAJECTORY FOR YOU (OPTION 2)."
    0x00d1e494 J            12010 GOTO 11210
    0x00d1e590 J          T 12020 PRINT "'SHE' COMMAND = SHIELD CONTROL"
    0x00d1e6b0 J            12030 PRINT "  DEFINES NUMBER OF ENERGY UNITS TO BE ASSIGNED TO SHIELDS."
    0x00d1e7bc J            12040 PRINT "  ENERGY IS TAKEN FROM TOTAL SHIP'S ENERGY.  NOTE THAT THE "
    0x00d1e890 J            12050 PRINT "  TOTAL ENERGY INCLUDES SHIELD ENERGY."
    0x00d1e8f4 J            12060 GOTO 11210
    0x00d1e9f0 J          T 12070 PRINT "'DAM' COMMAND = DAMAGE CONTROL REPORT"
    0x00d1eb08 J            12080 PRINT "  GIVES STATE OF REPAIR OF ALL DEVICES, WHERE A NEGATIVE"
    0x00d1ebf4 J            12090 PRINT "  'STATE OF REPAIR' SHOWS THAT THE DEVICE IS TEMPORARILY"
    0x00d1ecac J            12100 PRINT "  DAMAGED."
    0x00d1ed0c J            12110 GOTO 11210
    0x00d1edf8 J          T 12120 PRINT "'COM' COMMAND = LIBRARY-COMPUTER"
    0x00d1eef4 J            12130 PRINT "  THE LIBRARY-COMPUTER CONTAINS SIX OPTIONS:"
    0x00d1f004 J            12140 PRINT "  OPTION 0 = CUMULATIVE GALACTIC RECORD"
    0x00d1f108 J            12150 PRINT "     WHICH SHOWS COMPUTER MEMORY OF THE RESULTS OF ALL PREVIOUS"
    0x00d1f1e8 J            12160 PRINT "     LONG RANGE SENSOR SCANS."
    0x00d1f2ec J            12170 PRINT "  OPTION 1 = STATUS REPORT"
    0x00d1f3f0 J            12180 PRINT "     WHICH SHOWS THE NUMBER OF KLINGONS, STARDATES, AND STARBASES"
    0x00d1f4d4 J            12190 PRINT "     REMAINING IN THE GAME."
    0x00d1f5d8 J            12200 PRINT "  OPTION 2 = PHOTON TORPEDO DATA"
    0x00d1f6e0 J            12210 PRINT "     WHICH GIVES DIRECTIONS AND DISTANCE FROM THE ENTERPRISE"
    0x00d1f7d0 J            12220 PRINT "     TO ALL KLINGONS IN YOUR QUADRANT"
    0x00d1f8d4 J            12230 PRINT "  OPTION 3 = STARBASE NAVIGATION DATA"
    0x00d1f9cc J            12240 PRINT "     WHICH GIVES DIRECTION AND DISTANCE TO ANY STARBASE"
    0x00d1fab8 J            12250 PRINT "     WITHIN YOUR QUADRANT"
    0x00d1fbbc J            12260 PRINT "  OPTION 4 = DIRECTION/DISTANCE CALCULATOR"
    0x00d1fcb8 J            12270 PRINT "     WHICH ALLOWS YOU TO ENTER COORDINATES FOR"
    0x00d1fdac J            12280 PRINT "     DIRECTION/DISTANCE CALCULATIONS."
    0x00d1feb4 J            12290 PRINT "  OPTION 5 = GALACTIC 'REGION NAME' MAP"
    0x00d1ffb8 J            12300 PRINT "     WHICH PRINTS THE NAMES OF THE SIXTEEN MAJOR GALACTIC"
    0x00d20084 J            12310 PRINT "     REGIONS REFERRED TO IN THE GAME."
    0x00d200b0 J            12320 RETURN
    0x00d200e0          A   12330 END
 */

/*
 * Line reference table:
 *

    Target
   Line Num.    Referencing line number (Reference is T-GOTO or G-GOSUB).
   ---------    -------------------------------------------------------------------
     01230      11380T
     01260      07950T
     01270      01200T
     01980      01930T
     02010      01940T
     02040      01950T
     02060      01970T, 02000T, 02030T
     02100      02070T
     02120      02090T
     02260      02230T
     02270      02210T
     02320      02270T
     02450      05200T
     02650      02610T
     02660      02640T
     02750      02710T, 02730T
     02760      02550T, 02560T, 02570T, 02580T
     03140      03300T, 04770T
     03150      03430T, 03520T, 03610T, 03650T, 03740T, 03750T, 05390T, 05610T, 
                05690T, 05720T, 05790T, 06080T, 06150T, 06180T, 06230T, 07020T, 
                07090T, 07150T, 07210T, 07280T, 07340T, 07430T, 08960T, 08990T, 
                09630T, 10280T, 10300T, 10330T
     03180      03150T
     03220      03160T, 03170T
     03300      03260T, 03270T, 03280T
     03310      03250T
     03480      03300T, 03690T
     03510      03540T, 03550T
     03530      03500T
     03560      03530T
     03620      03580T
     03660      03620T
     03700      03660T, 03670T
     03830      03710T
     03940      03840T
     04040      03980T
     04110      04080T
     04150      04050T, 04070T
     04300      04220T
     04400      04200T, 04290T
     04630      04570T
     04640      04620T, 05170T
     04740      04720T
     04790      04530T, 04540T, 04550T, 04560T
     04900      04860T
     04940      04900T
     04980      04940T
     05020      04980T
     05060      05020T
     05100      05060T
     05170      05100T
     05250      04700G, 05190G
     05320      05260T, 05300T
     05370      03300T
     05400      05370T
     05550      05510T, 05520T
     05570      05490T, 05500T
     05660      03300T
     05700      05660T
     05730      05700T
     05750      05730T
     05760      05800T
     05850      05830T
     05930      05890T
     05980      05950T
     06070      05870T, 05920T, 05970T
     06130      03300T
     06160      06130T
     06190      06160T, 06260T, 06830T
     06220      06240T
     06240      06210T
     06280      06250T
     06350      06300T
     06380      06340T
     06430      06560T
     06690      06670T
     06700      06680T
     06720      06610T
     06790      06760T
     06910      06870T
     06940      06710T
     07000      06470T, 06480T, 06490T, 06500T
     07010      06780T, 06990T
     07070      03300T, 03780T
     07100      07070T, 07160T
     07160      07120T, 07130T
     07260      03300T, 09810T, 09830T
     07280      07550T
     07330      07310T
     07380      07360T
     07480      07260T
     07600      03950G, 05820G, 07010G
     07640      07610T
     07800      07650T, 07710T, 07720T, 07730T
     07810      07600T, 07630T
     07820      04750T, 05160T
     07840      07690T
     07860      03210T
     07870      03300T, 06900T, 07830T
     07890      08010T
     07970      06060T, 06650T
     08060      03140G
     08170      08080T, 08090T, 08100T, 08110T
     08210      08160T
     08280      08200T
     08320      08280T
     08340      08290T
     08350      08270T, 08310T, 08330T
     08400      08350T
     08890      08390T
     08940      03300T
     08970      08940T, 09210T
     09090      09070T
     09140      09030T
     09260      09020T
     09270      09130T
     09430      09390T, 09400T
     09470      09350T
     09600      09460T
     09680      09070T
     09720      09700T
     09820      09760T, 09780T
     09880      09070T
     09930      10370T
     09960      09070T
     10030      09950T
     10090      10070T
     10100      10190T
     10140      10100T
     10160      10050T
     10180      10080T
     10200      10160T
     10220      10060T, 10170T
     10230      10210T
     10260      10230T
     10270      10130T, 10150T, 10250T
     10290      09900T
     10310      09070T
     10340      10310T
     10430      02890G, 02990G, 03080G, 03890G, 10490T
     10540      02870G, 02930G, 03030G, 03120G, 03880G, 03930G, 04430G, 04690G, 
                06040G, 06970G
     10690      10570T, 10580T, 10590T, 10600T
     10730      10680T
     10770      04130G, 04260G, 04330G, 07510G, 07780G
     10830      06550G, 06600G, 06750G, 06820G, 08150G, 10480G
     10890      10870T
     10950      02590G, 09490G, 09550G
     10980      10960T
     11040      11020T
     11070      11050T
     11080      11000T
     11090      07960T
     11110      01220G
     11210      11510T, 11690T, 11790T, 11870T, 11930T, 12010T, 12060T, 12110T
     11400      11200T
     11520      11200T
     11700      11200T
     11800      11200T
     11880      11200T
     11940      11200T
     12020      11200T
     12070      11200T
     12120      11200T

 */

/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00d19280   0x00d19280   0x00d1a434   0x00d1a434 
   B) 0x00d19914   0x00d19924   0x00d19940   0x00d19940 
   C) 0x00d192dc   0x00d19cd0   0x00d19d24   0x00d1a244 
   D) 0x00d19d78   0x00d19d88   0x00d19ed4   0x00d19ed4 
   E) 0x00d1a128   0x00d1a13c   0x00d1a158   0x00d1a158 
   F) 0x00d1a15c   0x00d1a168   0x00d1a1b4   0x00d1a1b4 
   G) 0x00d1a1b8   0x00d1a1c4   0x00d1a1cc   0x00d1a1cc 
   H) 0x00d1a1d0   0x00d1a1dc   0x00d1a1f4   0x00d1a1f4 
   I) 0x00d1a1f8   0x00d1a20c   0x00d1a240   0x00d1a240 
   J) 0x00d192dc   0x00d1a24c   0x00d1a430   0x00d1a430 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine J overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine F overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine H overlaps, or is tangled with, routine C!
    NOTE: Routine I overlaps, or is tangled with, routine C!
    NOTE: Routine J overlaps, or is tangled with, routine C!

 */


/* 
 * Routine Start, Target, Return and End Program Addresses 
 * 

  Rtn    Start       Target       Return         End    
  --- ----------   ----------   ----------   ---------- 
   A) 0x00d19280   0x00d19280   0x00d1a434   0x00d1a434 
   B) 0x00d19914   0x00d19924   0x00d19940   0x00d19940 
   C) 0x00d192dc   0x00d19cd0   0x00d19d24   0x00d1a244 
   D) 0x00d19d78   0x00d19d88   0x00d19ed4   0x00d19ed4 
   E) 0x00d1a128   0x00d1a13c   0x00d1a158   0x00d1a158 
   F) 0x00d1a15c   0x00d1a168   0x00d1a1b4   0x00d1a1b4 
   G) 0x00d1a1b8   0x00d1a1c4   0x00d1a1cc   0x00d1a1cc 
   H) 0x00d1a1d0   0x00d1a1dc   0x00d1a1f4   0x00d1a1f4 
   I) 0x00d1a1f8   0x00d1a20c   0x00d1a240   0x00d1a240 
   J) 0x00d192dc   0x00d1a24c   0x00d1a430   0x00d1a430 

    NOTE: Routine B overlaps, or is tangled with, routine A!
    NOTE: Routine C overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine A!
    NOTE: Routine E overlaps, or is tangled with, routine A!
    NOTE: Routine F overlaps, or is tangled with, routine A!
    NOTE: Routine G overlaps, or is tangled with, routine A!
    NOTE: Routine H overlaps, or is tangled with, routine A!
    NOTE: Routine I overlaps, or is tangled with, routine A!
    NOTE: Routine J overlaps, or is tangled with, routine A!
    NOTE: Routine D overlaps, or is tangled with, routine C!
    NOTE: Routine E overlaps, or is tangled with, routine C!
    NOTE: Routine F overlaps, or is tangled with, routine C!
    NOTE: Routine G overlaps, or is tangled with, routine C!
    NOTE: Routine H overlaps, or is tangled with, routine C!
    NOTE: Routine I overlaps, or is tangled with, routine C!
    NOTE: Routine J overlaps, or is tangled with, routine C!

 */

